/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var ee=["require","exports","vs/base/common/lifecycle","vs/base/common/event","vs/platform/instantiation/common/instantiation","vs/base/common/async","vs/base/common/platform","vs/base/common/uri","vs/base/common/path","vs/platform/environment/common/environment","vs/platform/files/common/files","vs/nls","vs/nls!vs/code/electron-browser/sharedProcess/sharedProcessMain","vs/platform/log/common/log","vs/base/common/errors","vs/base/common/types","vs/base/common/network","vs/base/common/arrays","vs/base/common/resources","vs/platform/storage/common/storage","vs/platform/userDataSync/common/userDataSync","vs/base/common/strings","vs/base/common/buffer","vs/base/node/pfs","vs/base/common/objects","vs/platform/configuration/common/configuration","vs/platform/telemetry/common/telemetry","fs","vs/platform/extensionManagement/common/extensionManagement","vs/base/common/cancellation","vs/base/common/uuid","vs/platform/product/common/productService","vs/base/common/json","vs/base/parts/ipc/common/ipc","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/registry/common/platform","vs/platform/product/common/product","vs/base/common/map","os","vs/platform/configuration/common/configurationRegistry","vs/platform/request/common/request","vs/base/common/jsonEdit","vs/base/common/extpath","vs/base/common/errorMessage","vs/platform/serviceMachineId/common/serviceMachineId","vs/platform/userDataSync/common/abstractSynchronizer","vs/base/common/jsonFormatter","child_process","vs/platform/instantiation/common/descriptors","vs/platform/userDataSync/common/content","vs/base/common/iterator","vs/base/common/process","vs/base/common/stream","vs/base/common/date","vs/base/parts/ipc/node/ipc.cp","vs/platform/localizations/common/localizations","vs/base/common/semver/semver","vs/platform/native/electron-sandbox/native","vs/platform/telemetry/common/telemetryUtils","vs/platform/userDataSync/common/userDataSyncAccount","vs/platform/userDataSync/common/userDataSyncMachines","vs/base/node/zip","vs/base/common/collections","vs/base/common/functional","vs/base/common/linkedList","vs/base/common/normalization","vs/base/node/decoder","vs/base/parts/storage/common/storage","vs/platform/extensions/common/extensionValidator","vs/platform/diagnostics/common/diagnostics","vs/platform/download/common/download","vs/platform/extensionRecommendations/common/extensionRecommendations","vs/platform/extensions/common/extensions","vs/platform/files/common/io","vs/platform/files/node/watcher/watcher","vs/platform/instantiation/common/serviceCollection","vs/platform/log/common/logIpc","vs/platform/log/node/spdlogLog","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/terminal/common/terminal","vs/platform/userDataSync/common/extensionsStorageSync","vs/platform/userDataSync/common/ignoredExtensions","vs/platform/userDataSync/common/userDataAutoSyncService","vs/base/common/assert","vs/base/common/decorators","vs/base/common/stopwatch","vs/base/common/console","vs/base/common/glob","vs/base/common/marshalling","vs/base/common/uriIpc","vs/base/node/macAddress","vs/base/node/id","vs/base/node/extpath","vs/base/node/ps","vs/base/node/userDataPath","vs/base/node/watcher","vs/base/parts/ipc/common/ipc.mp","vs/base/parts/ipc/electron-browser/ipc.mp","electron","vs/base/parts/request/browser/request","vs/base/parts/sandbox/electron-sandbox/globals","vs/nls!vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/node/processes","vs/base/node/processes","vs/nls!vs/base/node/zip","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensionManagement/electron-sandbox/extensionTipsService","vs/nls!vs/platform/extensionManagement/node/extensionManagementService","vs/nls!vs/platform/extensionManagement/node/extensionManagementUtil","vs/nls!vs/platform/extensionManagement/node/extensionsScanner","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/telemetry/common/telemetryService","vs/nls!vs/platform/userDataSync/common/abstractSynchronizer","vs/nls!vs/platform/userDataSync/common/keybindingsSync","vs/nls!vs/platform/userDataSync/common/settingsSync","vs/nls!vs/platform/userDataSync/common/userDataAutoSyncService","vs/nls!vs/platform/userDataSync/common/userDataSync","vs/nls!vs/platform/userDataSync/common/userDataSyncMachines","vs/platform/extensionManagement/common/configRemotes","vs/platform/extensionManagement/common/extensionManagementIpc","vs/platform/extensionManagement/common/extensionNls","vs/platform/extensionRecommendations/electron-sandbox/extensionRecommendationsIpc","vs/platform/files/node/watcher/nsfw/watcherService","vs/platform/files/node/watcher/unix/watcherService","vs/platform/files/node/watcher/win32/csharpWatcherService","vs/platform/files/node/watcher/win32/watcherService","vs/platform/instantiation/common/extensions","vs/platform/instantiation/common/graph","vs/platform/contextkey/common/contextkey","vs/code/electron-browser/sharedProcess/contrib/logsDataCleaner","vs/code/electron-browser/sharedProcess/contrib/storageDataCleaner","vs/code/electron-browser/sharedProcess/contrib/deprecatedExtensionsCleaner","vs/platform/extensionManagement/node/extensionsManifestCache","vs/platform/files/node/watcher/nodejs/watcherService","vs/platform/instantiation/common/instantiationService","vs/platform/ipc/electron-browser/mainProcessService","vs/platform/ipc/electron-sandbox/services","vs/code/electron-browser/sharedProcess/contrib/localizationsUpdater","vs/platform/extensionManagement/node/extensionDownloader","vs/platform/extensionManagement/node/extensionLifecycle","vs/platform/files/common/fileService","vs/base/common/performance","vs/platform/files/node/diskFileSystemProvider","vs/platform/localizations/node/localizations","vs/platform/log/common/bufferLog","vs/platform/log/common/fileLog","vs/platform/log/node/loggerService","vs/code/electron-browser/sharedProcess/contrib/languagePackCachedDataCleaner","vs/code/electron-browser/sharedProcess/contrib/nodeCachedDataCleaner","vs/platform/environment/node/environmentService","vs/platform/configuration/common/configurationModels","vs/platform/configuration/common/configurationService","vs/platform/request/browser/requestService","vs/platform/download/common/downloadService","vs/platform/extensionManagement/common/extensionTipsService","vs/platform/extensionManagement/common/extensionEnablementService","vs/platform/storage/common/storageIpc","vs/platform/storage/electron-sandbox/storageService2","vs/platform/telemetry/common/commonProperties","vs/platform/diagnostics/node/diagnosticsService","vs/platform/extensionManagement/common/extensionGalleryService","vs/platform/extensionManagement/electron-sandbox/extensionTipsService","vs/platform/telemetry/common/telemetryIpc","vs/platform/telemetry/common/telemetryService","vs/platform/telemetry/common/telemetryLogAppender","vs/platform/telemetry/node/appInsightsAppender","vs/platform/terminal/electron-browser/localPtyService","vs/platform/terminal/electron-sandbox/terminal","vs/platform/userDataSync/common/extensionsMerge","vs/platform/userDataSync/common/keybindingsMerge","vs/platform/userDataSync/common/snippetsMerge","vs/platform/userDataSync/common/extensionsSync","vs/platform/userDataSync/common/globalStateMerge","vs/platform/userDataSync/common/globalStateSync","vs/platform/userDataSync/common/keybindingsSync","vs/platform/userDataSync/common/settingsMerge","vs/platform/userDataSync/common/settingsSync","vs/platform/userDataSync/common/snippetsSync","vs/platform/userDataSync/common/userDataSyncBackupStoreService","vs/platform/userDataSync/common/userDataSyncIpc","vs/platform/userDataSync/common/userDataSyncLog","vs/platform/userDataSync/common/userDataSyncResourceEnablementService","vs/platform/userDataSync/common/userDataSyncService","vs/platform/userDataSync/common/userDataSyncServiceIpc","vs/platform/userDataSync/common/userDataSyncStoreService","vs/platform/userDataSync/electron-sandbox/userDataAutoSyncService","vs/platform/windows/node/windowTracker","vs/platform/extensionManagement/node/extensionManagementUtil","vs/platform/extensionManagement/node/extensionsScanner","vs/platform/extensionManagement/node/extensionManagementService","string_decoder","path","util","crypto","yauzl","yazl","vs/code/electron-browser/sharedProcess/sharedProcessMain","graceful-fs"],te=function(H){for(var e=[],v=0,k=H.length;v<k;v++)e[v]=ee[H[v]];return e};define(ee[83],te([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function v(k,_){if(!k)throw new Error(_?`Assertion failed (${_})`:"Assertion Failed")}e.ok=v}),define(ee[62],te([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SetMap=e.diffMaps=e.diffSets=e.fromMap=e.groupBy=e.forEach=e.values=void 0;const v=Object.prototype.hasOwnProperty;function k(D){const f=[];for(let S in D)v.call(D,S)&&f.push(D[S]);return f}e.values=k;function _(D,f){for(let S in D)if(v.call(D,S)&&f({key:S,value:D[S]},function(){delete D[S]})===!1)return}e.forEach=_;function R(D,f){const S=Object.create(null);for(const C of D){const a=f(C);let I=S[a];I||(I=S[a]=[]),I.push(C)}return S}e.groupBy=R;function P(D){const f=Object.create(null);return D&&D.forEach((S,C)=>{f[C]=S}),f}e.fromMap=P;function A(D,f){const S=[],C=[];for(let a of D)f.has(a)||S.push(a);for(let a of f)D.has(a)||C.push(a);return{removed:S,added:C}}e.diffSets=A;function y(D,f){const S=[],C=[];for(let[a,I]of D)f.has(a)||S.push(I);for(let[a,I]of f)D.has(a)||C.push(I);return{removed:S,added:C}}e.diffMaps=y;class E{constructor(){this.map=new Map}add(f,S){let C=this.map.get(f);C||(C=new Set,this.map.set(f,C)),C.add(S)}delete(f,S){const C=this.map.get(f);!C||(C.delete(S),C.size===0&&this.map.delete(f))}forEach(f,S){const C=this.map.get(f);!C||C.forEach(S)}}e.SetMap=E}),define(ee[84],te([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createMemoizer=e.createDecorator=void 0;function v(y){return(E,D,f)=>{let S=null,C=null;if(typeof f.value=="function"?(S="value",C=f.value):typeof f.get=="function"&&(S="get",C=f.get),!C)throw new Error("not supported");f[S]=y(C,D)}}e.createDecorator=v;let k=0;function _(){const y=`$memoize${k++}`;let E;const D=function(S,C,a){let I=null,w=null;if(typeof a.value=="function"?(I="value",w=a.value,w.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof a.get=="function"&&(I="get",w=a.get),!w)throw new Error("not supported");const b=`${y}:${C}`;a[I]=function(...g){return E=this,this.hasOwnProperty(b)||Object.defineProperty(this,b,{configurable:!0,enumerable:!1,writable:!0,value:w.apply(this,g)}),this[b]}};return D.clear=()=>{typeof E!="undefined"&&Object.getOwnPropertyNames(E).forEach(f=>{f.indexOf(y)===0&&delete E[f]})},D}e.createMemoizer=_;function R(y,E,D){return _()(y,E,D)}e.memoize=R;function P(y,E,D){return v((f,S)=>{const C=`$debounce$${S}`,a=`$debounce$result$${S}`;return function(...I){this[a]||(this[a]=D?D():void 0),clearTimeout(this[C]),E&&(this[a]=E(this[a],...I),I=[this[a]]),this[C]=setTimeout(()=>{f.apply(this,I),this[a]=D?D():void 0},y)}})}e.debounce=P;function A(y,E,D){return v((f,S)=>{const C=`$throttle$timer$${S}`,a=`$throttle$result$${S}`,I=`$throttle$lastRun$${S}`,w=`$throttle$pending$${S}`;return function(...b){if(this[a]||(this[a]=D?D():void 0),(this[I]===null||this[I]===void 0)&&(this[I]=-Number.MAX_VALUE),E&&(this[a]=E(this[a],...b)),!this[w]){const g=this[I]+y;g<=Date.now()?(this[I]=Date.now(),f.apply(this,[this[a]]),this[a]=D?D():void 0):(this[w]=!0,this[C]=setTimeout(()=>{this[w]=!1,this[I]=Date.now(),f.apply(this,[this[a]]),this[a]=D?D():void 0},g-Date.now()))}}})}e.throttle=A}),define(ee[14],te([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isPromiseCanceledError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class v{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(t){setTimeout(()=>{throw t.stack?new Error(t.message+`

`+t.stack):t},0)}}addListener(t){return this.listeners.push(t),()=>{this._removeListener(t)}}emit(t){this.listeners.forEach(n=>{n(t)})}_removeListener(t){this.listeners.splice(this.listeners.indexOf(t),1)}setUnexpectedErrorHandler(t){this.unexpectedErrorHandler=t}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(t){this.unexpectedErrorHandler(t),this.emit(t)}onUnexpectedExternalError(t){this.unexpectedErrorHandler(t)}}e.ErrorHandler=v,e.errorHandler=new v;function k(i){e.errorHandler.setUnexpectedErrorHandler(i)}e.setUnexpectedErrorHandler=k;function _(i){y(i)||e.errorHandler.onUnexpectedError(i)}e.onUnexpectedError=_;function R(i){y(i)||e.errorHandler.onUnexpectedExternalError(i)}e.onUnexpectedExternalError=R;function P(i){if(i instanceof Error){let{name:t,message:n}=i;const o=i.stacktrace||i.stack;return{$isError:!0,name:t,message:n,stack:o}}return i}e.transformErrorForSerialization=P;const A="Canceled";function y(i){return i instanceof Error&&i.name===A&&i.message===A}e.isPromiseCanceledError=y;class E extends Error{constructor(){super(A);this.name=this.message}}e.CancellationError=E;function D(){const i=new Error(A);return i.name=i.message,i}e.canceled=D;function f(i){return i?new Error(`Illegal argument: ${i}`):new Error("Illegal argument")}e.illegalArgument=f;function S(i){return i?new Error(`Illegal state: ${i}`):new Error("Illegal state")}e.illegalState=S;function C(i){return i?new Error(`readonly property '${i} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=C;function a(i){const t=new Error(`${i} has been disposed`);return t.name="DISPOSED",t}e.disposed=a;function I(i){return i?i.message?i.message:i.stack?i.stack.split(`
`)[0]:String(i):"Error"}e.getErrorMessage=I;class w extends Error{constructor(t){super("NotImplemented");t&&(this.message=t)}}e.NotImplementedError=w;class b extends Error{constructor(t){super("NotSupported");t&&(this.message=t)}}e.NotSupportedError=b;class g extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=g;function c(i){const t=i;return t instanceof Error&&Array.isArray(t.actions)}e.isErrorWithActions=c;function s(i,t=Object.create(null)){const n=new Error(i);return t.actions&&(n.actions=t.actions),n}e.createErrorWithActions=s}),define(ee[17],te([0,1,14]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.firstOrDefault=e.lastIndex=e.uniqueFilter=e.distinctES6=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.mergeSort=e.quickSelect=e.findFirstInSorted=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function k(T,L=0){return T[T.length-(1+L)]}e.tail=k;function _(T){if(T.length===0)throw new Error("Invalid tail call");return[T.slice(0,T.length-1),T[T.length-1]]}e.tail2=_;function R(T,L,F=(M,z)=>M===z){if(T===L)return!0;if(!T||!L||T.length!==L.length)return!1;for(let M=0,z=T.length;M<z;M++)if(!F(T[M],L[M]))return!1;return!0}e.equals=R;function P(T,L,F){let M=0,z=T.length-1;for(;M<=z;){const x=(M+z)/2|0,K=F(T[x],L);if(K<0)M=x+1;else if(K>0)z=x-1;else return x}return-(M+1)}e.binarySearch=P;function A(T,L){let F=0,M=T.length;if(M===0)return 0;for(;F<M;){const z=Math.floor((F+M)/2);L(T[z])?M=z:F=z+1}return F}e.findFirstInSorted=A;function y(T,L,F){if(T=T|0,T>=L.length)throw new TypeError("invalid index");let M=L[Math.floor(L.length*Math.random())],z=[],x=[],K=[];for(let X of L){const Z=F(X,M);Z<0?z.push(X):Z>0?x.push(X):K.push(X)}return T<z.length?y(T,z,F):T<z.length+K.length?K[0]:y(T-(z.length+K.length),x,F)}e.quickSelect=y;function E(T,L){return f(T,L,0,T.length-1,[]),T}e.mergeSort=E;function D(T,L,F,M,z,x){let K=F,X=M+1;for(let Z=F;Z<=z;Z++)x[Z]=T[Z];for(let Z=F;Z<=z;Z++)K>M?T[Z]=x[X++]:X>z?T[Z]=x[K++]:L(x[X],x[K])<0?T[Z]=x[X++]:T[Z]=x[K++]}function f(T,L,F,M,z){if(!(M<=F)){const x=F+(M-F)/2|0;f(T,L,F,x,z),f(T,L,x+1,M,z),!(L(T[x],T[x+1])<=0)&&D(T,L,F,x,M,z)}}function S(T,L){const F=[];let M;for(const z of E(T.slice(0),L))!M||L(M[0],z)!==0?(M=[z],F.push(M)):M.push(z);return F}e.groupBy=S;function C(T,L,F){const M=[];function z(X,Z,ne){if(!(Z===0&&ne.length===0)){const ae=M[M.length-1];ae&&ae.start+ae.deleteCount===X?(ae.deleteCount+=Z,ae.toInsert.push(...ne)):M.push({start:X,deleteCount:Z,toInsert:ne})}}let x=0,K=0;for(;;){if(x===T.length){z(x,0,L.slice(K));break}if(K===L.length){z(x,T.length-x,[]);break}const X=T[x],Z=L[K],ne=F(X,Z);ne===0?(x+=1,K+=1):ne<0?(z(x,1,[]),x+=1):ne>0&&(z(x,0,[Z]),K+=1)}return M}e.sortedDiff=C;function a(T,L,F){const M=C(T,L,F),z=[],x=[];for(const K of M)z.push(...T.slice(K.start,K.start+K.deleteCount)),x.push(...K.toInsert);return{removed:z,added:x}}e.delta=a;function I(T,L,F){if(F===0)return[];const M=T.slice(0,F).sort(L);return b(T,L,M,F,T.length),M}e.top=I;function w(T,L,F,M,z){return F===0?Promise.resolve([]):new Promise((x,K)=>{(async()=>{const X=T.length,Z=T.slice(0,F).sort(L);for(let ne=F,ae=Math.min(F+M,X);ne<X;ne=ae,ae=Math.min(ae+M,X)){if(ne>F&&await new Promise(de=>setTimeout(de)),z&&z.isCancellationRequested)throw v.canceled();b(T,L,Z,ne,ae)}return Z})().then(x,K)})}e.topAsync=w;function b(T,L,F,M,z){for(const x=F.length;M<z;M++){const K=T[M];if(L(K,F[x-1])<0){F.pop();const X=A(F,Z=>L(K,Z)<0);F.splice(X,0,K)}}}function g(T){return T.filter(L=>!!L)}e.coalesce=g;function c(T){let L=0;for(let F=0;F<T.length;F++)T[F]&&(T[L]=T[F],L+=1);T.length=L}e.coalesceInPlace=c;function s(T,L,F){T.splice(F,0,T.splice(L,1)[0])}e.move=s;function i(T){return!Array.isArray(T)||T.length===0}e.isFalsyOrEmpty=i;function t(T){return Array.isArray(T)&&T.length>0}e.isNonEmptyArray=t;function n(T,L){if(!L)return T.filter((M,z)=>T.indexOf(M)===z);const F=Object.create(null);return T.filter(M=>{const z=L(M);return F[z]?!1:(F[z]=!0,!0)})}e.distinct=n;function o(T){const L=new Set;return T.filter(F=>L.has(F)?!1:(L.add(F),!0))}e.distinctES6=o;function h(T){const L=Object.create(null);return F=>{const M=T(F);return L[M]?!1:(L[M]=!0,!0)}}e.uniqueFilter=h;function r(T,L){for(let F=T.length-1;F>=0;F--){const M=T[F];if(L(M))return F}return-1}e.lastIndex=r;function l(T,L){return T.length>0?T[0]:L}e.firstOrDefault=l;function u(T,L,F=(M,z)=>M===z){let M=0;for(let z=0,x=Math.min(T.length,L.length);z<x&&F(T[z],L[z]);z++)M++;return M}e.commonPrefixLength=u;function m(T){return[].concat(...T)}e.flatten=m;function p(T,L){let F=typeof L=="number"?T:0;typeof L=="number"?F=T:(F=0,L=T);const M=[];if(F<=L)for(let z=F;z<L;z++)M.push(z);else for(let z=F;z>L;z--)M.push(z);return M}e.range=p;function d(T,L,F){return T.reduce((M,z)=>(M[L(z)]=F?F(z):z,M),Object.create(null))}e.index=d;function O(T,L){return T.push(L),()=>U(T,L)}e.insert=O;function U(T,L){const F=T.indexOf(L);if(F>-1)return T.splice(F,1),L}e.remove=U;function j(T,L,F){const M=T.slice(0,L),z=T.slice(L);return M.concat(F,z)}e.arrayInsert=j;function B(T,L){let F;if(typeof L=="number"){let M=L;F=()=>{const z=Math.sin(M++)*179426549;return z-Math.floor(z)}}else F=Math.random;for(let M=T.length-1;M>0;M-=1){const z=Math.floor(F()*(M+1)),x=T[M];T[M]=T[z],T[z]=x}}e.shuffle=B;function V(T,L){const F=T.indexOf(L);F>-1&&(T.splice(F,1),T.unshift(L))}e.pushToStart=V;function q(T,L){const F=T.indexOf(L);F>-1&&(T.splice(F,1),T.push(L))}e.pushToEnd=q;function G(T,L){return Array.isArray(T)?T.map(L):L(T)}e.mapArrayOrNot=G;function Q(T){return Array.isArray(T)?T:[T]}e.asArray=Q;function $(T){return T[Math.floor(Math.random()*T.length)]}e.getRandomElement=$;function N(T,L){for(const F of T){const M=L(F);if(M!==void 0)return M}}e.mapFind=N}),define(ee[63],te([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function v(k){const _=this;let R=!1,P;return function(){return R||(R=!0,P=k.apply(_,arguments)),P}}e.once=v}),define(ee[50],te([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var v;(function(k){function _(i){return i&&typeof i=="object"&&typeof i[Symbol.iterator]=="function"}k.is=_;const R=Object.freeze([]);function P(){return R}k.empty=P;function*A(i){yield i}k.single=A;function y(i){return i||R}k.from=y;function E(i){return!i||i[Symbol.iterator]().next().done===!0}k.isEmpty=E;function D(i){return i[Symbol.iterator]().next().value}k.first=D;function f(i,t){for(const n of i)if(t(n))return!0;return!1}k.some=f;function S(i,t){for(const n of i)if(t(n))return n}k.find=S;function*C(i,t){for(const n of i)t(n)&&(yield n)}k.filter=C;function*a(i,t){for(const n of i)yield t(n)}k.map=a;function*I(...i){for(const t of i)for(const n of t)yield n}k.concat=I;function*w(i){for(const t of i)for(const n of t)yield n}k.concatNested=w;function b(i,t,n){let o=n;for(const h of i)o=t(o,h);return o}k.reduce=b;function*g(i,t,n=i.length){for(t<0&&(t+=i.length),n<0?n+=i.length:n>i.length&&(n=i.length);t<n;t++)yield i[t]}k.slice=g;function c(i,t=Number.POSITIVE_INFINITY){const n=[];if(t===0)return[n,i];const o=i[Symbol.iterator]();for(let h=0;h<t;h++){const r=o.next();if(r.done)return[n,k.empty()];n.push(r.value)}return[n,{[Symbol.iterator](){return o}}]}k.consume=c;function s(i,t,n=(o,h)=>o===h){const o=i[Symbol.iterator](),h=t[Symbol.iterator]();for(;;){const r=o.next(),l=h.next();if(r.done!==l.done)return!1;if(r.done)return!0;if(!n(r.value,l.value))return!1}}k.equals=s})(v=e.Iterable||(e.Iterable={}))}),define(ee[32],te([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var v;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(v=e.ScanError||(e.ScanError={}));var k;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(k=e.SyntaxKind||(e.SyntaxKind={}));var _;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})(_=e.ParseErrorCode||(e.ParseErrorCode={}));var R;(function(t){t.DEFAULT={allowTrailingComma:!0}})(R=e.ParseOptions||(e.ParseOptions={}));function P(t,n=!1){let o=0,h=t.length,r="",l=0,u=16,m=0;function p(q){let G=0,Q=0;for(;G<q;){const $=t.charCodeAt(o);if($>=48&&$<=57)Q=Q*16+$-48;else if($>=65&&$<=70)Q=Q*16+$-65+10;else if($>=97&&$<=102)Q=Q*16+$-97+10;else break;o++,G++}return G<q&&(Q=-1),Q}function d(q){o=q,r="",l=0,u=16,m=0}function O(){const q=o;if(t.charCodeAt(o)===48)o++;else for(o++;o<t.length&&E(t.charCodeAt(o));)o++;if(o<t.length&&t.charCodeAt(o)===46)if(o++,o<t.length&&E(t.charCodeAt(o)))for(o++;o<t.length&&E(t.charCodeAt(o));)o++;else return m=3,t.substring(q,o);let G=o;if(o<t.length&&(t.charCodeAt(o)===69||t.charCodeAt(o)===101))if(o++,(o<t.length&&t.charCodeAt(o)===43||t.charCodeAt(o)===45)&&o++,o<t.length&&E(t.charCodeAt(o))){for(o++;o<t.length&&E(t.charCodeAt(o));)o++;G=o}else m=3;return t.substring(q,G)}function U(){let q="",G=o;for(;;){if(o>=h){q+=t.substring(G,o),m=2;break}const Q=t.charCodeAt(o);if(Q===34){q+=t.substring(G,o),o++;break}if(Q===92){if(q+=t.substring(G,o),o++,o>=h){m=2;break}switch(t.charCodeAt(o++)){case 34:q+='"';break;case 92:q+="\\";break;case 47:q+="/";break;case 98:q+="\b";break;case 102:q+="\f";break;case 110:q+=`
`;break;case 114:q+="\r";break;case 116:q+="	";break;case 117:const N=p(4);N>=0?q+=String.fromCharCode(N):m=4;break;default:m=5}G=o;continue}if(Q>=0&&Q<=31)if(y(Q)){q+=t.substring(G,o),m=2;break}else m=6;o++}return q}function j(){if(r="",m=0,l=o,o>=h)return l=h,u=17;let q=t.charCodeAt(o);if(A(q)){do o++,r+=String.fromCharCode(q),q=t.charCodeAt(o);while(A(q));return u=15}if(y(q))return o++,r+=String.fromCharCode(q),q===13&&t.charCodeAt(o)===10&&(o++,r+=`
`),u=14;switch(q){case 123:return o++,u=1;case 125:return o++,u=2;case 91:return o++,u=3;case 93:return o++,u=4;case 58:return o++,u=6;case 44:return o++,u=5;case 34:return o++,r=U(),u=10;case 47:const G=o-1;if(t.charCodeAt(o+1)===47){for(o+=2;o<h&&!y(t.charCodeAt(o));)o++;return r=t.substring(G,o),u=12}if(t.charCodeAt(o+1)===42){o+=2;const Q=h-1;let $=!1;for(;o<Q;){if(t.charCodeAt(o)===42&&t.charCodeAt(o+1)===47){o+=2,$=!0;break}o++}return $||(o++,m=1),r=t.substring(G,o),u=13}return r+=String.fromCharCode(q),o++,u=16;case 45:if(r+=String.fromCharCode(q),o++,o===h||!E(t.charCodeAt(o)))return u=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return r+=O(),u=11;default:for(;o<h&&B(q);)o++,q=t.charCodeAt(o);if(l!==o){switch(r=t.substring(l,o),r){case"true":return u=8;case"false":return u=9;case"null":return u=7}return u=16}return r+=String.fromCharCode(q),o++,u=16}}function B(q){if(A(q)||y(q))return!1;switch(q){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function V(){let q;do q=j();while(q>=12&&q<=15);return q}return{setPosition:d,getPosition:()=>o,scan:n?V:j,getToken:()=>u,getTokenValue:()=>r,getTokenOffset:()=>l,getTokenLength:()=>o-l,getTokenError:()=>m}}e.createScanner=P;function A(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function y(t){return t===10||t===13||t===8232||t===8233}function E(t){return t>=48&&t<=57}var D;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(D||(D={}));function f(t,n){const o=[],h=new Object;let r;const l={value:{},offset:0,length:0,type:"object",parent:void 0};let u=!1;function m(p,d,O,U){l.value=p,l.offset=d,l.length=O,l.type=U,l.colonOffset=void 0,r=l}try{c(t,{onObjectBegin:(p,d)=>{if(n<=p)throw h;r=void 0,u=n>p,o.push("")},onObjectProperty:(p,d,O)=>{if(n<d||(m(p,d,O,"property"),o[o.length-1]=p,n<=d+O))throw h},onObjectEnd:(p,d)=>{if(n<=p)throw h;r=void 0,o.pop()},onArrayBegin:(p,d)=>{if(n<=p)throw h;r=void 0,o.push(0)},onArrayEnd:(p,d)=>{if(n<=p)throw h;r=void 0,o.pop()},onLiteralValue:(p,d,O)=>{if(n<d||(m(p,d,O,i(p)),n<=d+O))throw h},onSeparator:(p,d,O)=>{if(n<=d)throw h;if(p===":"&&r&&r.type==="property")r.colonOffset=d,u=!1,r=void 0;else if(p===","){const U=o[o.length-1];typeof U=="number"?o[o.length-1]=U+1:(u=!0,o[o.length-1]=""),r=void 0}}})}catch(p){if(p!==h)throw p}return{path:o,previousNode:r,isAtPropertyKey:u,matches:p=>{let d=0;for(let O=0;d<p.length&&O<o.length;O++)if(p[d]===o[O]||p[d]==="*")d++;else if(p[d]!=="**")return!1;return d===p.length}}}e.getLocation=f;function S(t,n=[],o=R.DEFAULT){let h=null,r=[];const l=[];function u(p){Array.isArray(r)?r.push(p):h!==null&&(r[h]=p)}return c(t,{onObjectBegin:()=>{const p={};u(p),l.push(r),r=p,h=null},onObjectProperty:p=>{h=p},onObjectEnd:()=>{r=l.pop()},onArrayBegin:()=>{const p=[];u(p),l.push(r),r=p,h=null},onArrayEnd:()=>{r=l.pop()},onLiteralValue:u,onError:(p,d,O)=>{n.push({error:p,offset:d,length:O})}},o),r[0]}e.parse=S;function C(t,n=[],o=R.DEFAULT){let h={type:"array",offset:-1,length:-1,children:[],parent:void 0};function r(p){h.type==="property"&&(h.length=p-h.offset,h=h.parent)}function l(p){return h.children.push(p),p}c(t,{onObjectBegin:p=>{h=l({type:"object",offset:p,length:-1,parent:h,children:[]})},onObjectProperty:(p,d,O)=>{h=l({type:"property",offset:d,length:-1,parent:h,children:[]}),h.children.push({type:"string",value:p,offset:d,length:O,parent:h})},onObjectEnd:(p,d)=>{h.length=p+d-h.offset,h=h.parent,r(p+d)},onArrayBegin:(p,d)=>{h=l({type:"array",offset:p,length:-1,parent:h,children:[]})},onArrayEnd:(p,d)=>{h.length=p+d-h.offset,h=h.parent,r(p+d)},onLiteralValue:(p,d,O)=>{l({type:i(p),offset:d,length:O,parent:h,value:p}),r(d+O)},onSeparator:(p,d,O)=>{h.type==="property"&&(p===":"?h.colonOffset=d:p===","&&r(d))},onError:(p,d,O)=>{n.push({error:p,offset:d,length:O})}},o);const m=h.children[0];return m&&delete m.parent,m}e.parseTree=C;function a(t,n){if(!!t){let o=t;for(let h of n)if(typeof h=="string"){if(o.type!=="object"||!Array.isArray(o.children))return;let r=!1;for(const l of o.children)if(Array.isArray(l.children)&&l.children[0].value===h){o=l.children[1],r=!0;break}if(!r)return}else{const r=h;if(o.type!=="array"||r<0||!Array.isArray(o.children)||r>=o.children.length)return;o=o.children[r]}return o}}e.findNodeAtLocation=a;function I(t){if(!t.parent||!t.parent.children)return[];const n=I(t.parent);if(t.parent.type==="property"){const o=t.parent.children[0].value;n.push(o)}else if(t.parent.type==="array"){const o=t.parent.children.indexOf(t);o!==-1&&n.push(o)}return n}e.getNodePath=I;function w(t){switch(t.type){case"array":return t.children.map(w);case"object":const n=Object.create(null);for(let o of t.children){const h=o.children[1];h&&(n[o.children[0].value]=w(h))}return n;case"null":case"string":case"number":case"boolean":return t.value;default:return}}e.getNodeValue=w;function b(t,n,o=!1){return n>=t.offset&&n<t.offset+t.length||o&&n===t.offset+t.length}e.contains=b;function g(t,n,o=!1){if(b(t,n,o)){const h=t.children;if(Array.isArray(h))for(let r=0;r<h.length&&h[r].offset<=n;r++){const l=g(h[r],n,o);if(l)return l}return t}}e.findNodeAtOffset=g;function c(t,n,o=R.DEFAULT){const h=P(t,!1);function r(x){return x?()=>x(h.getTokenOffset(),h.getTokenLength()):()=>!0}function l(x){return x?K=>x(K,h.getTokenOffset(),h.getTokenLength()):()=>!0}const u=r(n.onObjectBegin),m=l(n.onObjectProperty),p=r(n.onObjectEnd),d=r(n.onArrayBegin),O=r(n.onArrayEnd),U=l(n.onLiteralValue),j=l(n.onSeparator),B=r(n.onComment),V=l(n.onError),q=o&&o.disallowComments,G=o&&o.allowTrailingComma;function Q(){for(;;){const x=h.scan();switch(h.getTokenError()){case 4:$(14);break;case 5:$(15);break;case 3:$(13);break;case 1:q||$(11);break;case 2:$(12);break;case 6:$(16);break}switch(x){case 12:case 13:q?$(10):B();break;case 16:$(1);break;case 15:case 14:break;default:return x}}}function $(x,K=[],X=[]){if(V(x),K.length+X.length>0){let Z=h.getToken();for(;Z!==17;){if(K.indexOf(Z)!==-1){Q();break}else if(X.indexOf(Z)!==-1)break;Z=Q()}}}function N(x){const K=h.getTokenValue();return x?U(K):m(K),Q(),!0}function T(){switch(h.getToken()){case 11:let x=0;try{x=JSON.parse(h.getTokenValue()),typeof x!="number"&&($(2),x=0)}catch(K){$(2)}U(x);break;case 7:U(null);break;case 8:U(!0);break;case 9:U(!1);break;default:return!1}return Q(),!0}function L(){return h.getToken()!==10?($(3,[],[2,5]),!1):(N(!1),h.getToken()===6?(j(":"),Q(),z()||$(4,[],[2,5])):$(5,[],[2,5]),!0)}function F(){u(),Q();let x=!1;for(;h.getToken()!==2&&h.getToken()!==17;){if(h.getToken()===5){if(x||$(4,[],[]),j(","),Q(),h.getToken()===2&&G)break}else x&&$(6,[],[]);L()||$(4,[],[2,5]),x=!0}return p(),h.getToken()!==2?$(7,[2],[]):Q(),!0}function M(){d(),Q();let x=!1;for(;h.getToken()!==4&&h.getToken()!==17;){if(h.getToken()===5){if(x||$(4,[],[]),j(","),Q(),h.getToken()===4&&G)break}else x&&$(6,[],[]);z()||$(4,[],[4,5]),x=!0}return O(),h.getToken()!==4?$(8,[4],[]):Q(),!0}function z(){switch(h.getToken()){case 3:return M();case 1:return F();case 10:return N(!0);default:return T()}}return Q(),h.getToken()===17?o.allowEmptyContent?!0:($(4,[],[]),!1):z()?(h.getToken()!==17&&$(9,[],[]),!0):($(4,[],[]),!1)}e.visit=c;function s(t,n){let o=P(t),h=[],r,l=0,u;do switch(u=o.getPosition(),r=o.scan(),r){case 12:case 13:case 17:l!==u&&h.push(t.substring(l,u)),n!==void 0&&h.push(o.getTokenValue().replace(/[^\r\n]/g,n)),l=o.getPosition();break}while(r!==17);return h.join("")}e.stripComments=s;function i(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=i}),define(ee[46],te([0,1,32]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.format=void 0;function k(y,E,D){let f,S,C,a,I;if(E){for(a=E.offset,I=a+E.length,C=a;C>0&&!A(y,C-1);)C--;let l=I;for(;l<y.length&&!A(y,l);)l++;S=y.substring(C,l),f=R(S,D)}else S=y,f=0,C=0,a=0,I=y.length;const w=P(D,y);let b=!1,g=0,c;D.insertSpaces?c=_(" ",D.tabSize||4):c="	";const s=v.createScanner(S,!1);let i=!1;function t(){return w+_(c,f+g)}function n(){let l=s.scan();for(b=!1;l===15||l===14;)b=b||l===14,l=s.scan();return i=l===16||s.getTokenError()!==0,l}const o=[];function h(l,u,m){!i&&u<I&&m>a&&y.substring(u,m)!==l&&o.push({offset:u,length:m-u,content:l})}let r=n();if(r!==17){const l=s.getTokenOffset()+C,u=_(c,f);h(u,C,l)}for(;r!==17;){let l=s.getTokenOffset()+s.getTokenLength()+C,u=n(),m="";for(;!b&&(u===12||u===13);){const d=s.getTokenOffset()+C;h(" ",l,d),l=s.getTokenOffset()+s.getTokenLength()+C,m=u===12?t():"",u=n()}if(u===2)r!==1&&(g--,m=t());else if(u===4)r!==3&&(g--,m=t());else{switch(r){case 3:case 1:g++,m=t();break;case 5:case 12:m=t();break;case 13:b?m=t():m=" ";break;case 6:m=" ";break;case 10:if(u===6){m="";break}case 7:case 8:case 9:case 11:case 2:case 4:u===12||u===13?m=" ":u!==5&&u!==17&&(i=!0);break;case 16:i=!0;break}b&&(u===12||u===13)&&(m=t())}const p=s.getTokenOffset()+C;h(m,l,p),r=u}return o}e.format=k;function _(y,E){let D="";for(let f=0;f<E;f++)D+=y;return D}function R(y,E){let D=0,f=0;const S=E.tabSize||4;for(;D<y.length;){const C=y.charAt(D);if(C===" ")f++;else if(C==="	")f+=S;else break;D++}return Math.floor(f/S)}function P(y,E){for(let D=0;D<E.length;D++){const f=E.charAt(D);if(f==="\r")return D+1<E.length&&E.charAt(D+1)===`
`?`\r
`:"\r";if(f===`
`)return`
`}return y&&y.eol||`
`}e.getEOL=P;function A(y,E){return`\r
`.indexOf(y.charAt(E))!==-1}e.isEOL=A}),define(ee[41],te([0,1,32,46,17]),function(H,e,v,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function R(D,f,S){return P(D,f,void 0,S)}e.removeProperty=R;function P(D,f,S,C,a){const I=f.slice(),w=[],b=v.parseTree(D,w);let g,c;for(;I.length>0&&(c=I.pop(),g=v.findNodeAtLocation(b,I),g===void 0&&S!==void 0);)typeof c=="string"?S={[c]:S}:S=[S];if(g)if(g.type==="object"&&typeof c=="string"&&Array.isArray(g.children)){const s=v.findNodeAtLocation(g,[c]);if(s!==void 0)if(S===void 0){if(!s.parent)throw new Error("Malformed AST");const i=g.children.indexOf(s.parent);let t,n=s.parent.offset+s.parent.length;if(i>0){const o=g.children[i-1];t=o.offset+o.length}else t=g.offset+1,g.children.length>1&&(n=g.children[1].offset);return A(D,{offset:t,length:n-t,content:""},C)}else return A(D,{offset:s.offset,length:s.length,content:JSON.stringify(S)},C);else{if(S===void 0)return[];const i=`${JSON.stringify(c)}: ${JSON.stringify(S)}`,t=a?a(g.children.map(o=>o.children[0].value)):g.children.length;let n;if(t>0){const o=g.children[t-1];n={offset:o.offset+o.length,length:0,content:","+i}}else g.children.length===0?n={offset:g.offset+1,length:0,content:i}:n={offset:g.offset+1,length:0,content:i+","};return A(D,n,C)}}else if(g.type==="array"&&typeof c=="number"&&Array.isArray(g.children))if(S!==void 0){const s=`${JSON.stringify(S)}`;let i;if(g.children.length===0||c===0)i={offset:g.offset+1,length:0,content:g.children.length===0?s:s+","};else{const t=c===-1||c>g.children.length?g.children.length:c,n=g.children[t-1];i={offset:n.offset+n.length,length:0,content:","+s}}return A(D,i,C)}else{const s=c,i=g.children[s];let t;if(g.children.length===1)t={offset:g.offset+1,length:g.length-2,content:""};else if(g.children.length-1===s){const n=g.children[s-1],o=n.offset+n.length,h=g.offset+g.length;t={offset:o,length:h-2-o,content:""}}else t={offset:i.offset,length:g.children[s+1].offset-i.offset,content:""};return A(D,t,C)}else throw new Error(`Can not add ${typeof c!="number"?"index":"property"} to parent of type ${g.type}`);else{if(S===void 0)throw new Error("Can not delete in empty document");return A(D,{offset:b?b.offset:0,length:b?b.length:0,content:JSON.stringify(S)},C)}}e.setProperty=P;function A(D,f,S){let C=y(D,f),a=f.offset,I=f.offset+f.content.length;if(f.length===0||f.content.length===0){for(;a>0&&!k.isEOL(C,a-1);)a--;for(;I<C.length&&!k.isEOL(C,I);)I++}const w=k.format(C,{offset:a,length:I-a},S);for(let g=w.length-1;g>=0;g--){const c=w[g];C=y(C,c),a=Math.min(a,c.offset),I=Math.max(I,c.offset+c.length),I+=c.content.length-c.length}const b=D.length-(C.length-I)-a;return[{offset:a,length:b,content:C.substring(a,I)}]}e.withFormatting=A;function y(D,f){return D.substring(0,f.offset)+f.content+D.substring(f.offset+f.length)}e.applyEdit=y;function E(D,f){let S=_.mergeSort(f,(a,I)=>{const w=a.offset-I.offset;return w===0?a.length-I.length:w}),C=D.length;for(let a=S.length-1;a>=0;a--){let I=S[a];if(I.offset+I.length<=C)D=y(D,I);else throw new Error("Overlapping edit");C=I.offset}return D}e.applyEdits=E}),define(ee[2],te([0,1,63,50]),function(H,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ImmortalReference=e.ReferenceCollection=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.trackDisposable=e.setDisposableTracker=void 0;const _=!1;let R=null;function P(c){R=c}if(e.setDisposableTracker=P,_){const c="__is_disposable_tracked__";R=new class{trackDisposable(s){const i=new Error("Potentially leaked disposable").stack;setTimeout(()=>{s[c]||console.log(i)},3e3)}markTracked(s){if(s&&s!==I.None)try{s[c]=!0}catch(i){}}}}function A(c){!R||R.markTracked(c)}function y(c){return R&&R.trackDisposable(c),c}e.trackDisposable=y;class E extends Error{constructor(s){super(`Encountered errors while disposing of store. Errors: [${s.join(", ")}]`);this.errors=s}}e.MultiDisposeError=E;function D(c){return typeof c.dispose=="function"&&c.dispose.length===0}e.isDisposable=D;function f(c){if(k.Iterable.is(c)){let s=[];for(const i of c)if(i){A(i);try{i.dispose()}catch(t){s.push(t)}}if(s.length===1)throw s[0];if(s.length>1)throw new E(s);return Array.isArray(c)?[]:c}else if(c)return A(c),c.dispose(),c}e.dispose=f;function S(...c){return c.forEach(A),C(()=>f(c))}e.combinedDisposable=S;function C(c){const s=y({dispose:()=>{A(s),c()}});return s}e.toDisposable=C;class a{constructor(){this._toDispose=new Set,this._isDisposed=!1}dispose(){this._isDisposed||(A(this),this._isDisposed=!0,this.clear())}clear(){try{f(this._toDispose.values())}finally{this._toDispose.clear()}}add(s){if(!s)return s;if(s===this)throw new Error("Cannot register a disposable on itself!");return A(s),this._isDisposed?a.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(s),s}}e.DisposableStore=a,a.DISABLE_DISPOSED_WARNING=!1;class I{constructor(){this._store=new a,y(this)}dispose(){A(this),this._store.dispose()}_register(s){if(s===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(s)}}e.Disposable=I,I.None=Object.freeze({dispose(){}});class w{constructor(){this._isDisposed=!1,y(this)}get value(){return this._isDisposed?void 0:this._value}set value(s){var i;this._isDisposed||s===this._value||((i=this._value)===null||i===void 0||i.dispose(),s&&A(s),this._value=s)}clear(){this.value=void 0}dispose(){var s;this._isDisposed=!0,A(this),(s=this._value)===null||s===void 0||s.dispose(),this._value=void 0}}e.MutableDisposable=w;class b{constructor(){this.references=new Map}acquire(s,...i){let t=this.references.get(s);t||(t={counter:0,object:this.createReferencedObject(s,...i)},this.references.set(s,t));const{object:n}=t,o=v.once(()=>{--t.counter==0&&(this.destroyReferencedObject(s,t.object),this.references.delete(s))});return t.counter++,{object:n,dispose:o}}}e.ReferenceCollection=b;class g{constructor(s){this.object=s}dispose(){}}e.ImmortalReference=g}),define(ee[64],te([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class v{constructor(R){this.element=R,this.next=v.Undefined,this.prev=v.Undefined}}v.Undefined=new v(void 0);class k{constructor(){this._first=v.Undefined,this._last=v.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===v.Undefined}clear(){this._first=v.Undefined,this._last=v.Undefined,this._size=0}unshift(R){return this._insert(R,!1)}push(R){return this._insert(R,!0)}_insert(R,P){const A=new v(R);if(this._first===v.Undefined)this._first=A,this._last=A;else if(P){const E=this._last;this._last=A,A.prev=E,E.next=A}else{const E=this._first;this._first=A,A.next=E,E.prev=A}this._size+=1;let y=!1;return()=>{y||(y=!0,this._remove(A))}}shift(){if(this._first!==v.Undefined){const R=this._first.element;return this._remove(this._first),R}}pop(){if(this._last!==v.Undefined){const R=this._last.element;return this._remove(this._last),R}}_remove(R){if(R.prev!==v.Undefined&&R.next!==v.Undefined){const P=R.prev;P.next=R.next,R.next.prev=P}else R.prev===v.Undefined&&R.next===v.Undefined?(this._first=v.Undefined,this._last=v.Undefined):R.next===v.Undefined?(this._last=this._last.prev,this._last.next=v.Undefined):R.prev===v.Undefined&&(this._first=this._first.next,this._first.prev=v.Undefined);this._size-=1}*[Symbol.iterator](){let R=this._first;for(;R!==v.Undefined;)yield R.element,R=R.next}}e.LinkedList=k});"use strict";function Xe(H){const e=[];typeof H=="number"&&e.push("code/timeOrigin",H);function v(_){e.push(_,Date.now())}function k(){const _=[];for(let R=0;R<e.length;R+=2)_.push({name:e[R],startTime:e[R+1]});return _}return{mark:v,getMarks:k}}function ot(){if(typeof performance=="object"&&typeof performance.mark=="function")return typeof performance.timeOrigin!="number"&&!performance.timing?Xe():{mark(H){performance.mark(H)},getMarks(){let H=performance.timeOrigin;typeof H!="number"&&(H=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const e=[{name:"code/timeOrigin",startTime:Math.round(H)}];for(const v of performance.getEntriesByType("mark"))e.push({name:v.name,startTime:Math.round(H+v.startTime)});return e}};if(typeof process=="object"){const H=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return Xe(H)}else return console.trace("perf-util loaded in UNKNOWN environment"),Xe()}function Qe(H){return H.MonacoPerformanceMarks||(H.MonacoPerformanceMarks=ot()),H.MonacoPerformanceMarks}var je;typeof global=="object"?je=global:typeof self=="object"?je=self:je={},typeof define=="function"?define("vs/base/common/performance",[],function(){return Qe(je)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=Qe(je):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),je.perf=Qe(je)),define(ee[6],te([0,1]),function(H,e){"use strict";var v;Object.defineProperty(e,"__esModule",{value:!0}),e.isLittleEndian=e.OS=e.OperatingSystem=e.setImmediate=e.globals=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isIOS=e.isWeb=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.isPreferringBrowserCodeLoad=e.browserCodeLoadingCacheStrategy=e.isElectronSandboxed=void 0;const k="en";let _=!1,R=!1,P=!1,A=!1,y=!1,E=!1,D=!1,f,S=k,C,a;const I=typeof self=="object"?self:typeof global=="object"?global:{};let w;typeof process!="undefined"?w=process:typeof I.vscode!="undefined"&&(w=I.vscode.process);const b=typeof((v=w==null?void 0:w.versions)===null||v===void 0?void 0:v.electron)=="string"&&w.type==="renderer";if(e.isElectronSandboxed=b&&(w==null?void 0:w.sandboxed),e.browserCodeLoadingCacheStrategy=(()=>{if(e.isElectronSandboxed)return"bypassHeatCheck";const r=w==null?void 0:w.env.ENABLE_VSCODE_BROWSER_CODE_LOADING;if(typeof r=="string")return r==="none"||r==="code"||r==="bypassHeatCheck"||r==="bypassHeatCheckAndEagerCompile"?r:"bypassHeatCheck"})(),e.isPreferringBrowserCodeLoad=typeof e.browserCodeLoadingCacheStrategy=="string",typeof navigator=="object"&&!b)a=navigator.userAgent,_=a.indexOf("Windows")>=0,R=a.indexOf("Macintosh")>=0,D=(a.indexOf("Macintosh")>=0||a.indexOf("iPad")>=0||a.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,P=a.indexOf("Linux")>=0,E=!0,f=navigator.language,S=f;else if(typeof w=="object"){_=w.platform==="win32",R=w.platform==="darwin",P=w.platform==="linux",A=P&&!!w.env.SNAP&&!!w.env.SNAP_REVISION,f=k,S=k;const r=w.env.VSCODE_NLS_CONFIG;if(r)try{const l=JSON.parse(r),u=l.availableLanguages["*"];f=l.locale,S=u||k,C=l._translationsConfigFile}catch(l){}y=!0}else console.error("Unable to resolve platform.");var g;(function(r){r[r.Web=0]="Web",r[r.Mac=1]="Mac",r[r.Linux=2]="Linux",r[r.Windows=3]="Windows"})(g=e.Platform||(e.Platform={}));function c(r){switch(r){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=c;let s=0;R?s=1:_?s=3:P&&(s=2),e.isWindows=_,e.isMacintosh=R,e.isLinux=P,e.isLinuxSnap=A,e.isNative=y,e.isWeb=E,e.isIOS=D,e.platform=s,e.userAgent=a,e.language=S;var i;(function(r){function l(){return e.language}r.value=l;function u(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}r.isDefaultVariant=u;function m(){return e.language==="en"}r.isDefault=m})(i=e.Language||(e.Language={})),e.locale=f,e.translationsConfigFile=C,e.globals=I,e.setImmediate=function(){if(e.globals.setImmediate)return e.globals.setImmediate.bind(e.globals);if(typeof e.globals.postMessage=="function"&&!e.globals.importScripts){let u=[];e.globals.addEventListener("message",p=>{if(p.data&&p.data.vscodeSetImmediateId)for(let d=0,O=u.length;d<O;d++){const U=u[d];if(U.id===p.data.vscodeSetImmediateId){u.splice(d,1),U.callback();return}}});let m=0;return p=>{const d=++m;u.push({id:d,callback:p}),e.globals.postMessage({vscodeSetImmediateId:d},"*")}}if(w&&typeof w.nextTick=="function")return w.nextTick.bind(w);const l=Promise.resolve();return u=>l.then(u)}();var t;(function(r){r[r.Windows=1]="Windows",r[r.Macintosh=2]="Macintosh",r[r.Linux=3]="Linux"})(t=e.OperatingSystem||(e.OperatingSystem={})),e.OS=R||D?2:_?1:3;let n=!0,o=!1;function h(){if(!o){o=!0;const r=new Uint8Array(2);r[0]=1,r[1]=2,n=new Uint16Array(r.buffer)[0]===(2<<8)+1}return n}e.isLittleEndian=h}),define(ee[51],te([0,1,6]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nextTick=e.platform=e.env=e.cwd=void 0;let k;typeof process!="undefined"?k=process:typeof v.globals.vscode!="undefined"?k={get platform(){return v.globals.vscode.process.platform},get env(){return v.globals.vscode.process.env},nextTick(_){return v.setImmediate(_)},cwd(){return v.globals.vscode.process.env.VSCODE_CWD||v.globals.vscode.process.execPath.substr(0,v.globals.vscode.process.execPath.lastIndexOf(v.globals.vscode.process.platform==="win32"?"\\":"/"))}}:k={get platform(){return v.isWindows?"win32":v.isMacintosh?"darwin":"linux"},nextTick(_){return v.setImmediate(_)},get env(){return Object.create(null)},cwd(){return"/"}},e.cwd=k.cwd,e.env=k.env,e.platform=k.platform,e.nextTick=k.nextTick}),define(ee[8],te([0,1,51]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const k=65,_=97,R=90,P=122,A=46,y=47,E=92,D=58,f=63;class S extends Error{constructor(s,i,t){let n;typeof i=="string"&&i.indexOf("not ")===0?(n="must not be",i=i.replace(/^not /,"")):n="must be";const o=s.indexOf(".")!==-1?"property":"argument";let h=`The "${s}" ${o} ${n} of type ${i}`;h+=`. Received type ${typeof t}`,super(h),this.code="ERR_INVALID_ARG_TYPE"}}function C(c,s){if(typeof c!="string")throw new S(s,"string",c)}function a(c){return c===y||c===E}function I(c){return c===y}function w(c){return c>=k&&c<=R||c>=_&&c<=P}function b(c,s,i,t){let n="",o=0,h=-1,r=0,l=0;for(let u=0;u<=c.length;++u){if(u<c.length)l=c.charCodeAt(u);else{if(t(l))break;l=y}if(t(l)){if(!(h===u-1||r===1))if(r===2){if(n.length<2||o!==2||n.charCodeAt(n.length-1)!==A||n.charCodeAt(n.length-2)!==A){if(n.length>2){const m=n.lastIndexOf(i);m===-1?(n="",o=0):(n=n.slice(0,m),o=n.length-1-n.lastIndexOf(i)),h=u,r=0;continue}else if(n.length!==0){n="",o=0,h=u,r=0;continue}}s&&(n+=n.length>0?`${i}..`:"..",o=2)}else n.length>0?n+=`${i}${c.slice(h+1,u)}`:n=c.slice(h+1,u),o=u-h-1;h=u,r=0}else l===A&&r!==-1?++r:r=-1}return n}function g(c,s){if(s===null||typeof s!="object")throw new S("pathObject","Object",s);const i=s.dir||s.root,t=s.base||`${s.name||""}${s.ext||""}`;return i?i===s.root?`${i}${t}`:`${i}${c}${t}`:t}e.win32={resolve(...c){let s="",i="",t=!1;for(let n=c.length-1;n>=-1;n--){let o;if(n>=0){if(o=c[n],C(o,"path"),o.length===0)continue}else s.length===0?o=v.cwd():(o=v.env[`=${s}`]||v.cwd(),(o===void 0||o.slice(0,2).toLowerCase()!==s.toLowerCase()&&o.charCodeAt(2)===E)&&(o=`${s}\\`));const h=o.length;let r=0,l="",u=!1;const m=o.charCodeAt(0);if(h===1)a(m)&&(r=1,u=!0);else if(a(m))if(u=!0,a(o.charCodeAt(1))){let p=2,d=p;for(;p<h&&!a(o.charCodeAt(p));)p++;if(p<h&&p!==d){const O=o.slice(d,p);for(d=p;p<h&&a(o.charCodeAt(p));)p++;if(p<h&&p!==d){for(d=p;p<h&&!a(o.charCodeAt(p));)p++;(p===h||p!==d)&&(l=`\\\\${O}\\${o.slice(d,p)}`,r=p)}}}else r=1;else w(m)&&o.charCodeAt(1)===D&&(l=o.slice(0,2),r=2,h>2&&a(o.charCodeAt(2))&&(u=!0,r=3));if(l.length>0)if(s.length>0){if(l.toLowerCase()!==s.toLowerCase())continue}else s=l;if(t){if(s.length>0)break}else if(i=`${o.slice(r)}\\${i}`,t=u,u&&s.length>0)break}return i=b(i,!t,"\\",a),t?`${s}\\${i}`:`${s}${i}`||"."},normalize(c){C(c,"path");const s=c.length;if(s===0)return".";let i=0,t,n=!1;const o=c.charCodeAt(0);if(s===1)return I(o)?"\\":c;if(a(o))if(n=!0,a(c.charCodeAt(1))){let r=2,l=r;for(;r<s&&!a(c.charCodeAt(r));)r++;if(r<s&&r!==l){const u=c.slice(l,r);for(l=r;r<s&&a(c.charCodeAt(r));)r++;if(r<s&&r!==l){for(l=r;r<s&&!a(c.charCodeAt(r));)r++;if(r===s)return`\\\\${u}\\${c.slice(l)}\\`;r!==l&&(t=`\\\\${u}\\${c.slice(l,r)}`,i=r)}}}else i=1;else w(o)&&c.charCodeAt(1)===D&&(t=c.slice(0,2),i=2,s>2&&a(c.charCodeAt(2))&&(n=!0,i=3));let h=i<s?b(c.slice(i),!n,"\\",a):"";return h.length===0&&!n&&(h="."),h.length>0&&a(c.charCodeAt(s-1))&&(h+="\\"),t===void 0?n?`\\${h}`:h:n?`${t}\\${h}`:`${t}${h}`},isAbsolute(c){C(c,"path");const s=c.length;if(s===0)return!1;const i=c.charCodeAt(0);return a(i)||s>2&&w(i)&&c.charCodeAt(1)===D&&a(c.charCodeAt(2))},join(...c){if(c.length===0)return".";let s,i;for(let o=0;o<c.length;++o){const h=c[o];C(h,"path"),h.length>0&&(s===void 0?s=i=h:s+=`\\${h}`)}if(s===void 0)return".";let t=!0,n=0;if(typeof i=="string"&&a(i.charCodeAt(0))){++n;const o=i.length;o>1&&a(i.charCodeAt(1))&&(++n,o>2&&(a(i.charCodeAt(2))?++n:t=!1))}if(t){for(;n<s.length&&a(s.charCodeAt(n));)n++;n>=2&&(s=`\\${s.slice(n)}`)}return e.win32.normalize(s)},relative(c,s){if(C(c,"from"),C(s,"to"),c===s)return"";const i=e.win32.resolve(c),t=e.win32.resolve(s);if(i===t||(c=i.toLowerCase(),s=t.toLowerCase(),c===s))return"";let n=0;for(;n<c.length&&c.charCodeAt(n)===E;)n++;let o=c.length;for(;o-1>n&&c.charCodeAt(o-1)===E;)o--;const h=o-n;let r=0;for(;r<s.length&&s.charCodeAt(r)===E;)r++;let l=s.length;for(;l-1>r&&s.charCodeAt(l-1)===E;)l--;const u=l-r,m=h<u?h:u;let p=-1,d=0;for(;d<m;d++){const U=c.charCodeAt(n+d);if(U!==s.charCodeAt(r+d))break;U===E&&(p=d)}if(d!==m){if(p===-1)return t}else{if(u>m){if(s.charCodeAt(r+d)===E)return t.slice(r+d+1);if(d===2)return t.slice(r+d)}h>m&&(c.charCodeAt(n+d)===E?p=d:d===2&&(p=3)),p===-1&&(p=0)}let O="";for(d=n+p+1;d<=o;++d)(d===o||c.charCodeAt(d)===E)&&(O+=O.length===0?"..":"\\..");return r+=p,O.length>0?`${O}${t.slice(r,l)}`:(t.charCodeAt(r)===E&&++r,t.slice(r,l))},toNamespacedPath(c){if(typeof c!="string")return c;if(c.length===0)return"";const s=e.win32.resolve(c);if(s.length<=2)return c;if(s.charCodeAt(0)===E){if(s.charCodeAt(1)===E){const i=s.charCodeAt(2);if(i!==f&&i!==A)return`\\\\?\\UNC\\${s.slice(2)}`}}else if(w(s.charCodeAt(0))&&s.charCodeAt(1)===D&&s.charCodeAt(2)===E)return`\\\\?\\${s}`;return c},dirname(c){C(c,"path");const s=c.length;if(s===0)return".";let i=-1,t=0;const n=c.charCodeAt(0);if(s===1)return a(n)?c:".";if(a(n)){if(i=t=1,a(c.charCodeAt(1))){let r=2,l=r;for(;r<s&&!a(c.charCodeAt(r));)r++;if(r<s&&r!==l){for(l=r;r<s&&a(c.charCodeAt(r));)r++;if(r<s&&r!==l){for(l=r;r<s&&!a(c.charCodeAt(r));)r++;if(r===s)return c;r!==l&&(i=t=r+1)}}}}else w(n)&&c.charCodeAt(1)===D&&(i=s>2&&a(c.charCodeAt(2))?3:2,t=i);let o=-1,h=!0;for(let r=s-1;r>=t;--r)if(a(c.charCodeAt(r))){if(!h){o=r;break}}else h=!1;if(o===-1){if(i===-1)return".";o=i}return c.slice(0,o)},basename(c,s){s!==void 0&&C(s,"ext"),C(c,"path");let i=0,t=-1,n=!0,o;if(c.length>=2&&w(c.charCodeAt(0))&&c.charCodeAt(1)===D&&(i=2),s!==void 0&&s.length>0&&s.length<=c.length){if(s===c)return"";let h=s.length-1,r=-1;for(o=c.length-1;o>=i;--o){const l=c.charCodeAt(o);if(a(l)){if(!n){i=o+1;break}}else r===-1&&(n=!1,r=o+1),h>=0&&(l===s.charCodeAt(h)?--h==-1&&(t=o):(h=-1,t=r))}return i===t?t=r:t===-1&&(t=c.length),c.slice(i,t)}for(o=c.length-1;o>=i;--o)if(a(c.charCodeAt(o))){if(!n){i=o+1;break}}else t===-1&&(n=!1,t=o+1);return t===-1?"":c.slice(i,t)},extname(c){C(c,"path");let s=0,i=-1,t=0,n=-1,o=!0,h=0;c.length>=2&&c.charCodeAt(1)===D&&w(c.charCodeAt(0))&&(s=t=2);for(let r=c.length-1;r>=s;--r){const l=c.charCodeAt(r);if(a(l)){if(!o){t=r+1;break}continue}n===-1&&(o=!1,n=r+1),l===A?i===-1?i=r:h!==1&&(h=1):i!==-1&&(h=-1)}return i===-1||n===-1||h===0||h===1&&i===n-1&&i===t+1?"":c.slice(i,n)},format:g.bind(null,"\\"),parse(c){C(c,"path");const s={root:"",dir:"",base:"",ext:"",name:""};if(c.length===0)return s;const i=c.length;let t=0,n=c.charCodeAt(0);if(i===1)return a(n)?(s.root=s.dir=c,s):(s.base=s.name=c,s);if(a(n)){if(t=1,a(c.charCodeAt(1))){let p=2,d=p;for(;p<i&&!a(c.charCodeAt(p));)p++;if(p<i&&p!==d){for(d=p;p<i&&a(c.charCodeAt(p));)p++;if(p<i&&p!==d){for(d=p;p<i&&!a(c.charCodeAt(p));)p++;p===i?t=p:p!==d&&(t=p+1)}}}}else if(w(n)&&c.charCodeAt(1)===D){if(i<=2)return s.root=s.dir=c,s;if(t=2,a(c.charCodeAt(2))){if(i===3)return s.root=s.dir=c,s;t=3}}t>0&&(s.root=c.slice(0,t));let o=-1,h=t,r=-1,l=!0,u=c.length-1,m=0;for(;u>=t;--u){if(n=c.charCodeAt(u),a(n)){if(!l){h=u+1;break}continue}r===-1&&(l=!1,r=u+1),n===A?o===-1?o=u:m!==1&&(m=1):o!==-1&&(m=-1)}return r!==-1&&(o===-1||m===0||m===1&&o===r-1&&o===h+1?s.base=s.name=c.slice(h,r):(s.name=c.slice(h,o),s.base=c.slice(h,r),s.ext=c.slice(o,r))),h>0&&h!==t?s.dir=c.slice(0,h-1):s.dir=s.root,s},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...c){let s="",i=!1;for(let t=c.length-1;t>=-1&&!i;t--){const n=t>=0?c[t]:v.cwd();C(n,"path"),n.length!==0&&(s=`${n}/${s}`,i=n.charCodeAt(0)===y)}return s=b(s,!i,"/",I),i?`/${s}`:s.length>0?s:"."},normalize(c){if(C(c,"path"),c.length===0)return".";const s=c.charCodeAt(0)===y,i=c.charCodeAt(c.length-1)===y;return c=b(c,!s,"/",I),c.length===0?s?"/":i?"./":".":(i&&(c+="/"),s?`/${c}`:c)},isAbsolute(c){return C(c,"path"),c.length>0&&c.charCodeAt(0)===y},join(...c){if(c.length===0)return".";let s;for(let i=0;i<c.length;++i){const t=c[i];C(t,"path"),t.length>0&&(s===void 0?s=t:s+=`/${t}`)}return s===void 0?".":e.posix.normalize(s)},relative(c,s){if(C(c,"from"),C(s,"to"),c===s||(c=e.posix.resolve(c),s=e.posix.resolve(s),c===s))return"";const i=1,t=c.length,n=t-i,o=1,h=s.length-o,r=n<h?n:h;let l=-1,u=0;for(;u<r;u++){const p=c.charCodeAt(i+u);if(p!==s.charCodeAt(o+u))break;p===y&&(l=u)}if(u===r)if(h>r){if(s.charCodeAt(o+u)===y)return s.slice(o+u+1);if(u===0)return s.slice(o+u)}else n>r&&(c.charCodeAt(i+u)===y?l=u:u===0&&(l=0));let m="";for(u=i+l+1;u<=t;++u)(u===t||c.charCodeAt(u)===y)&&(m+=m.length===0?"..":"/..");return`${m}${s.slice(o+l)}`},toNamespacedPath(c){return c},dirname(c){if(C(c,"path"),c.length===0)return".";const s=c.charCodeAt(0)===y;let i=-1,t=!0;for(let n=c.length-1;n>=1;--n)if(c.charCodeAt(n)===y){if(!t){i=n;break}}else t=!1;return i===-1?s?"/":".":s&&i===1?"//":c.slice(0,i)},basename(c,s){s!==void 0&&C(s,"ext"),C(c,"path");let i=0,t=-1,n=!0,o;if(s!==void 0&&s.length>0&&s.length<=c.length){if(s===c)return"";let h=s.length-1,r=-1;for(o=c.length-1;o>=0;--o){const l=c.charCodeAt(o);if(l===y){if(!n){i=o+1;break}}else r===-1&&(n=!1,r=o+1),h>=0&&(l===s.charCodeAt(h)?--h==-1&&(t=o):(h=-1,t=r))}return i===t?t=r:t===-1&&(t=c.length),c.slice(i,t)}for(o=c.length-1;o>=0;--o)if(c.charCodeAt(o)===y){if(!n){i=o+1;break}}else t===-1&&(n=!1,t=o+1);return t===-1?"":c.slice(i,t)},extname(c){C(c,"path");let s=-1,i=0,t=-1,n=!0,o=0;for(let h=c.length-1;h>=0;--h){const r=c.charCodeAt(h);if(r===y){if(!n){i=h+1;break}continue}t===-1&&(n=!1,t=h+1),r===A?s===-1?s=h:o!==1&&(o=1):s!==-1&&(o=-1)}return s===-1||t===-1||o===0||o===1&&s===t-1&&s===i+1?"":c.slice(s,t)},format:g.bind(null,"/"),parse(c){C(c,"path");const s={root:"",dir:"",base:"",ext:"",name:""};if(c.length===0)return s;const i=c.charCodeAt(0)===y;let t;i?(s.root="/",t=1):t=0;let n=-1,o=0,h=-1,r=!0,l=c.length-1,u=0;for(;l>=t;--l){const m=c.charCodeAt(l);if(m===y){if(!r){o=l+1;break}continue}h===-1&&(r=!1,h=l+1),m===A?n===-1?n=l:u!==1&&(u=1):n!==-1&&(u=-1)}if(h!==-1){const m=o===0&&i?1:o;n===-1||u===0||u===1&&n===h-1&&n===o+1?s.base=s.name=c.slice(m,h):(s.name=c.slice(m,n),s.base=c.slice(m,h),s.ext=c.slice(n,h))}return o>0?s.dir=c.slice(0,o-1):i&&(s.dir="/"),s},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=v.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=v.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=v.platform==="win32"?e.win32.join:e.posix.join,e.resolve=v.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=v.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=v.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=v.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=v.platform==="win32"?e.win32.extname:e.posix.extname,e.format=v.platform==="win32"?e.win32.format:e.posix.format,e.parse=v.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=v.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=v.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=v.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),function(H,e){if(typeof exports=="object"&&typeof module=="object")module.exports=e();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],e);else{var v=e();for(var k in v)(typeof exports=="object"?exports:H)[k]=v[k]}}(typeof self!="undefined"?self:this,function(){return function(H){var e={};function v(k){if(e[k])return e[k].exports;var _=e[k]={i:k,l:!1,exports:{}};return H[k].call(_.exports,_,_.exports,v),_.l=!0,_.exports}return v.m=H,v.c=e,v.d=function(k,_,R){v.o(k,_)||Object.defineProperty(k,_,{enumerable:!0,get:R})},v.r=function(k){typeof Symbol!="undefined"&&Symbol.toStringTag&&Object.defineProperty(k,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(k,"__esModule",{value:!0})},v.t=function(k,_){if(1&_&&(k=v(k)),8&_||4&_&&typeof k=="object"&&k&&k.__esModule)return k;var R=Object.create(null);if(v.r(R),Object.defineProperty(R,"default",{enumerable:!0,value:k}),2&_&&typeof k!="string")for(var P in k)v.d(R,P,function(A){return k[A]}.bind(null,P));return R},v.n=function(k){var _=k&&k.__esModule?function(){return k.default}:function(){return k};return v.d(_,"a",_),_},v.o=function(k,_){return Object.prototype.hasOwnProperty.call(k,_)},v.p="",v(v.s=0)}([function(H,e,v){(function(k){var _;e=H.exports=X,_=typeof k=="object"&&k.env&&k.env.NODE_DEBUG&&/\bsemver\b/i.test(k.env.NODE_DEBUG)?function(){var J=Array.prototype.slice.call(arguments,0);J.unshift("SEMVER"),console.log.apply(console,J)}:function(){},e.SEMVER_SPEC_VERSION="2.0.0";var R=256,P=Number.MAX_SAFE_INTEGER||9007199254740991,A=e.re=[],y=e.src=[],E=0,D=E++;y[D]="0|[1-9]\\d*";var f=E++;y[f]="[0-9]+";var S=E++;y[S]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var C=E++;y[C]="("+y[D]+")\\.("+y[D]+")\\.("+y[D]+")";var a=E++;y[a]="("+y[f]+")\\.("+y[f]+")\\.("+y[f]+")";var I=E++;y[I]="(?:"+y[D]+"|"+y[S]+")";var w=E++;y[w]="(?:"+y[f]+"|"+y[S]+")";var b=E++;y[b]="(?:-("+y[I]+"(?:\\."+y[I]+")*))";var g=E++;y[g]="(?:-?("+y[w]+"(?:\\."+y[w]+")*))";var c=E++;y[c]="[0-9A-Za-z-]+";var s=E++;y[s]="(?:\\+("+y[c]+"(?:\\."+y[c]+")*))";var i=E++,t="v?"+y[C]+y[b]+"?"+y[s]+"?";y[i]="^"+t+"$";var n="[v=\\s]*"+y[a]+y[g]+"?"+y[s]+"?",o=E++;y[o]="^"+n+"$";var h=E++;y[h]="((?:<|>)?=?)";var r=E++;y[r]=y[f]+"|x|X|\\*";var l=E++;y[l]=y[D]+"|x|X|\\*";var u=E++;y[u]="[v=\\s]*("+y[l]+")(?:\\.("+y[l]+")(?:\\.("+y[l]+")(?:"+y[b]+")?"+y[s]+"?)?)?";var m=E++;y[m]="[v=\\s]*("+y[r]+")(?:\\.("+y[r]+")(?:\\.("+y[r]+")(?:"+y[g]+")?"+y[s]+"?)?)?";var p=E++;y[p]="^"+y[h]+"\\s*"+y[u]+"$";var d=E++;y[d]="^"+y[h]+"\\s*"+y[m]+"$";var O=E++;y[O]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var U=E++;y[U]="(?:~>?)";var j=E++;y[j]="(\\s*)"+y[U]+"\\s+",A[j]=new RegExp(y[j],"g");var B=E++;y[B]="^"+y[U]+y[u]+"$";var V=E++;y[V]="^"+y[U]+y[m]+"$";var q=E++;y[q]="(?:\\^)";var G=E++;y[G]="(\\s*)"+y[q]+"\\s+",A[G]=new RegExp(y[G],"g");var Q=E++;y[Q]="^"+y[q]+y[u]+"$";var $=E++;y[$]="^"+y[q]+y[m]+"$";var N=E++;y[N]="^"+y[h]+"\\s*("+n+")$|^$";var T=E++;y[T]="^"+y[h]+"\\s*("+t+")$|^$";var L=E++;y[L]="(\\s*)"+y[h]+"\\s*("+n+"|"+y[u]+")",A[L]=new RegExp(y[L],"g");var F=E++;y[F]="^\\s*("+y[u]+")\\s+-\\s+("+y[u]+")\\s*$";var M=E++;y[M]="^\\s*("+y[m]+")\\s+-\\s+("+y[m]+")\\s*$";var z=E++;y[z]="(<|>)?=?\\s*\\*";for(var x=0;x<35;x++)_(x,y[x]),A[x]||(A[x]=new RegExp(y[x]));function K(J,se){if(J instanceof X)return J;if(typeof J!="string"||J.length>R||!(se?A[o]:A[i]).test(J))return null;try{return new X(J,se)}catch(re){return null}}function X(J,se){if(J instanceof X){if(J.loose===se)return J;J=J.version}else if(typeof J!="string")throw new TypeError("Invalid Version: "+J);if(J.length>R)throw new TypeError("version is longer than "+R+" characters");if(!(this instanceof X))return new X(J,se);_("SemVer",J,se),this.loose=se;var re=J.trim().match(se?A[o]:A[i]);if(!re)throw new TypeError("Invalid Version: "+J);if(this.raw=J,this.major=+re[1],this.minor=+re[2],this.patch=+re[3],this.major>P||this.major<0)throw new TypeError("Invalid major version");if(this.minor>P||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>P||this.patch<0)throw new TypeError("Invalid patch version");re[4]?this.prerelease=re[4].split(".").map(function(ge){if(/^[0-9]+$/.test(ge)){var W=+ge;if(W>=0&&W<P)return W}return ge}):this.prerelease=[],this.build=re[5]?re[5].split("."):[],this.format()}e.parse=K,e.valid=function(J,se){var re=K(J,se);return re?re.version:null},e.clean=function(J,se){var re=K(J.trim().replace(/^[=v]+/,""),se);return re?re.version:null},e.SemVer=X,X.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},X.prototype.toString=function(){return this.version},X.prototype.compare=function(J){return _("SemVer.compare",this.version,this.loose,J),J instanceof X||(J=new X(J,this.loose)),this.compareMain(J)||this.comparePre(J)},X.prototype.compareMain=function(J){return J instanceof X||(J=new X(J,this.loose)),ne(this.major,J.major)||ne(this.minor,J.minor)||ne(this.patch,J.patch)},X.prototype.comparePre=function(J){if(J instanceof X||(J=new X(J,this.loose)),this.prerelease.length&&!J.prerelease.length)return-1;if(!this.prerelease.length&&J.prerelease.length)return 1;if(!this.prerelease.length&&!J.prerelease.length)return 0;var se=0;do{var re=this.prerelease[se],ge=J.prerelease[se];if(_("prerelease compare",se,re,ge),re===void 0&&ge===void 0)return 0;if(ge===void 0)return 1;if(re===void 0)return-1;if(re!==ge)return ne(re,ge)}while(++se)},X.prototype.inc=function(J,se){switch(J){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",se);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",se);break;case"prepatch":this.prerelease.length=0,this.inc("patch",se),this.inc("pre",se);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",se),this.inc("pre",se);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var re=this.prerelease.length;--re>=0;)typeof this.prerelease[re]=="number"&&(this.prerelease[re]++,re=-2);re===-1&&this.prerelease.push(0)}se&&(this.prerelease[0]===se?isNaN(this.prerelease[1])&&(this.prerelease=[se,0]):this.prerelease=[se,0]);break;default:throw new Error("invalid increment argument: "+J)}return this.format(),this.raw=this.version,this},e.inc=function(J,se,re,ge){typeof re=="string"&&(ge=re,re=void 0);try{return new X(J,re).inc(se,ge).version}catch(W){return null}},e.diff=function(J,se){if(be(J,se))return null;var re=K(J),ge=K(se);if(re.prerelease.length||ge.prerelease.length){for(var W in re)if((W==="major"||W==="minor"||W==="patch")&&re[W]!==ge[W])return"pre"+W;return"prerelease"}for(var W in re)if((W==="major"||W==="minor"||W==="patch")&&re[W]!==ge[W])return W},e.compareIdentifiers=ne;var Z=/^[0-9]+$/;function ne(J,se){var re=Z.test(J),ge=Z.test(se);return re&&ge&&(J=+J,se=+se),re&&!ge?-1:ge&&!re?1:J<se?-1:J>se?1:0}function ae(J,se,re){return new X(J,re).compare(new X(se,re))}function de(J,se,re){return ae(J,se,re)>0}function me(J,se,re){return ae(J,se,re)<0}function be(J,se,re){return ae(J,se,re)===0}function Ie(J,se,re){return ae(J,se,re)!==0}function Ae(J,se,re){return ae(J,se,re)>=0}function Oe(J,se,re){return ae(J,se,re)<=0}function ke(J,se,re,ge){var W;switch(se){case"===":typeof J=="object"&&(J=J.version),typeof re=="object"&&(re=re.version),W=J===re;break;case"!==":typeof J=="object"&&(J=J.version),typeof re=="object"&&(re=re.version),W=J!==re;break;case"":case"=":case"==":W=be(J,re,ge);break;case"!=":W=Ie(J,re,ge);break;case">":W=de(J,re,ge);break;case">=":W=Ae(J,re,ge);break;case"<":W=me(J,re,ge);break;case"<=":W=Oe(J,re,ge);break;default:throw new TypeError("Invalid operator: "+se)}return W}function Te(J,se){if(J instanceof Te){if(J.loose===se)return J;J=J.value}if(!(this instanceof Te))return new Te(J,se);_("comparator",J,se),this.loose=se,this.parse(J),this.semver===_e?this.value="":this.value=this.operator+this.semver.version,_("comp",this)}e.rcompareIdentifiers=function(J,se){return ne(se,J)},e.major=function(J,se){return new X(J,se).major},e.minor=function(J,se){return new X(J,se).minor},e.patch=function(J,se){return new X(J,se).patch},e.compare=ae,e.compareLoose=function(J,se){return ae(J,se,!0)},e.rcompare=function(J,se,re){return ae(se,J,re)},e.sort=function(J,se){return J.sort(function(re,ge){return e.compare(re,ge,se)})},e.rsort=function(J,se){return J.sort(function(re,ge){return e.rcompare(re,ge,se)})},e.gt=de,e.lt=me,e.eq=be,e.neq=Ie,e.gte=Ae,e.lte=Oe,e.cmp=ke,e.Comparator=Te;var _e={};function Re(J,se){if(J instanceof Re)return J.loose===se?J:new Re(J.raw,se);if(J instanceof Te)return new Re(J.value,se);if(!(this instanceof Re))return new Re(J,se);if(this.loose=se,this.raw=J,this.set=J.split(/\s*\|\|\s*/).map(function(re){return this.parseRange(re.trim())},this).filter(function(re){return re.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+J);this.format()}function Le(J){return!J||J.toLowerCase()==="x"||J==="*"}function $e(J,se,re,ge,W,ie,oe,ce,le,fe,ve,ye,we){return((se=Le(re)?"":Le(ge)?">="+re+".0.0":Le(W)?">="+re+"."+ge+".0":">="+se)+" "+(ce=Le(le)?"":Le(fe)?"<"+(+le+1)+".0.0":Le(ve)?"<"+le+"."+(+fe+1)+".0":ye?"<="+le+"."+fe+"."+ve+"-"+ye:"<="+ce)).trim()}function xe(J,se){for(var re=0;re<J.length;re++)if(!J[re].test(se))return!1;if(se.prerelease.length){for(re=0;re<J.length;re++)if(_(J[re].semver),J[re].semver!==_e&&J[re].semver.prerelease.length>0){var ge=J[re].semver;if(ge.major===se.major&&ge.minor===se.minor&&ge.patch===se.patch)return!0}return!1}return!0}function Me(J,se,re){try{se=new Re(se,re)}catch(ge){return!1}return se.test(J)}function ze(J,se,re,ge){var W,ie,oe,ce,le;switch(J=new X(J,ge),se=new Re(se,ge),re){case">":W=de,ie=Oe,oe=me,ce=">",le=">=";break;case"<":W=me,ie=Ae,oe=de,ce="<",le="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(Me(J,se,ge))return!1;for(var fe=0;fe<se.set.length;++fe){var ve=se.set[fe],ye=null,we=null;if(ve.forEach(function(Ce){Ce.semver===_e&&(Ce=new Te(">=0.0.0")),ye=ye||Ce,we=we||Ce,W(Ce.semver,ye.semver,ge)?ye=Ce:oe(Ce.semver,we.semver,ge)&&(we=Ce)}),ye.operator===ce||ye.operator===le||(!we.operator||we.operator===ce)&&ie(J,we.semver)||we.operator===le&&oe(J,we.semver))return!1}return!0}Te.prototype.parse=function(J){var se=this.loose?A[N]:A[T],re=J.match(se);if(!re)throw new TypeError("Invalid comparator: "+J);this.operator=re[1],this.operator==="="&&(this.operator=""),re[2]?this.semver=new X(re[2],this.loose):this.semver=_e},Te.prototype.toString=function(){return this.value},Te.prototype.test=function(J){return _("Comparator.test",J,this.loose),this.semver===_e||(typeof J=="string"&&(J=new X(J,this.loose)),ke(J,this.operator,this.semver,this.loose))},Te.prototype.intersects=function(J,se){if(!(J instanceof Te))throw new TypeError("a Comparator is required");var re;if(this.operator==="")return re=new Re(J.value,se),Me(this.value,re,se);if(J.operator==="")return re=new Re(this.value,se),Me(J.semver,re,se);var ge=!(this.operator!==">="&&this.operator!==">"||J.operator!==">="&&J.operator!==">"),W=!(this.operator!=="<="&&this.operator!=="<"||J.operator!=="<="&&J.operator!=="<"),ie=this.semver.version===J.semver.version,oe=!(this.operator!==">="&&this.operator!=="<="||J.operator!==">="&&J.operator!=="<="),ce=ke(this.semver,"<",J.semver,se)&&(this.operator===">="||this.operator===">")&&(J.operator==="<="||J.operator==="<"),le=ke(this.semver,">",J.semver,se)&&(this.operator==="<="||this.operator==="<")&&(J.operator===">="||J.operator===">");return ge||W||ie&&oe||ce||le},e.Range=Re,Re.prototype.format=function(){return this.range=this.set.map(function(J){return J.join(" ").trim()}).join("||").trim(),this.range},Re.prototype.toString=function(){return this.range},Re.prototype.parseRange=function(J){var se=this.loose;J=J.trim(),_("range",J,se);var re=se?A[M]:A[F];J=J.replace(re,$e),_("hyphen replace",J),J=J.replace(A[L],"$1$2$3"),_("comparator trim",J,A[L]),J=(J=(J=J.replace(A[j],"$1~")).replace(A[G],"$1^")).split(/\s+/).join(" ");var ge=se?A[N]:A[T],W=J.split(" ").map(function(ie){return function(oe,ce){return _("comp",oe),oe=function(le,fe){return le.trim().split(/\s+/).map(function(ve){return function(ye,we){_("caret",ye,we);var Ce=we?A[$]:A[Q];return ye.replace(Ce,function(Pe,Se,Ee,ue,pe){var De;return _("caret",ye,Pe,Se,Ee,ue,pe),Le(Se)?De="":Le(Ee)?De=">="+Se+".0.0 <"+(+Se+1)+".0.0":Le(ue)?De=Se==="0"?">="+Se+"."+Ee+".0 <"+Se+"."+(+Ee+1)+".0":">="+Se+"."+Ee+".0 <"+(+Se+1)+".0.0":pe?(_("replaceCaret pr",pe),pe.charAt(0)!=="-"&&(pe="-"+pe),De=Se==="0"?Ee==="0"?">="+Se+"."+Ee+"."+ue+pe+" <"+Se+"."+Ee+"."+(+ue+1):">="+Se+"."+Ee+"."+ue+pe+" <"+Se+"."+(+Ee+1)+".0":">="+Se+"."+Ee+"."+ue+pe+" <"+(+Se+1)+".0.0"):(_("no pr"),De=Se==="0"?Ee==="0"?">="+Se+"."+Ee+"."+ue+" <"+Se+"."+Ee+"."+(+ue+1):">="+Se+"."+Ee+"."+ue+" <"+Se+"."+(+Ee+1)+".0":">="+Se+"."+Ee+"."+ue+" <"+(+Se+1)+".0.0"),_("caret return",De),De})}(ve,fe)}).join(" ")}(oe,ce),_("caret",oe),oe=function(le,fe){return le.trim().split(/\s+/).map(function(ve){return function(ye,we){var Ce=we?A[V]:A[B];return ye.replace(Ce,function(Pe,Se,Ee,ue,pe){var De;return _("tilde",ye,Pe,Se,Ee,ue,pe),Le(Se)?De="":Le(Ee)?De=">="+Se+".0.0 <"+(+Se+1)+".0.0":Le(ue)?De=">="+Se+"."+Ee+".0 <"+Se+"."+(+Ee+1)+".0":pe?(_("replaceTilde pr",pe),pe.charAt(0)!=="-"&&(pe="-"+pe),De=">="+Se+"."+Ee+"."+ue+pe+" <"+Se+"."+(+Ee+1)+".0"):De=">="+Se+"."+Ee+"."+ue+" <"+Se+"."+(+Ee+1)+".0",_("tilde return",De),De})}(ve,fe)}).join(" ")}(oe,ce),_("tildes",oe),oe=function(le,fe){return _("replaceXRanges",le,fe),le.split(/\s+/).map(function(ve){return function(ye,we){ye=ye.trim();var Ce=we?A[d]:A[p];return ye.replace(Ce,function(Pe,Se,Ee,ue,pe,De){_("xRange",ye,Pe,Se,Ee,ue,pe,De);var Be=Le(Ee),Fe=Be||Le(ue),Ue=Fe||Le(pe);return Se==="="&&Ue&&(Se=""),Be?Pe=Se===">"||Se==="<"?"<0.0.0":"*":Se&&Ue?(Fe&&(ue=0),Ue&&(pe=0),Se===">"?(Se=">=",Fe?(Ee=+Ee+1,ue=0,pe=0):Ue&&(ue=+ue+1,pe=0)):Se==="<="&&(Se="<",Fe?Ee=+Ee+1:ue=+ue+1),Pe=Se+Ee+"."+ue+"."+pe):Fe?Pe=">="+Ee+".0.0 <"+(+Ee+1)+".0.0":Ue&&(Pe=">="+Ee+"."+ue+".0 <"+Ee+"."+(+ue+1)+".0"),_("xRange return",Pe),Pe})}(ve,fe)}).join(" ")}(oe,ce),_("xrange",oe),oe=function(le,fe){return _("replaceStars",le,fe),le.trim().replace(A[z],"")}(oe,ce),_("stars",oe),oe}(ie,se)}).join(" ").split(/\s+/);return this.loose&&(W=W.filter(function(ie){return!!ie.match(ge)})),W=W.map(function(ie){return new Te(ie,se)})},Re.prototype.intersects=function(J,se){if(!(J instanceof Re))throw new TypeError("a Range is required");return this.set.some(function(re){return re.every(function(ge){return J.set.some(function(W){return W.every(function(ie){return ge.intersects(ie,se)})})})})},e.toComparators=function(J,se){return new Re(J,se).set.map(function(re){return re.map(function(ge){return ge.value}).join(" ").trim().split(" ")})},Re.prototype.test=function(J){if(!J)return!1;typeof J=="string"&&(J=new X(J,this.loose));for(var se=0;se<this.set.length;se++)if(xe(this.set[se],J))return!0;return!1},e.satisfies=Me,e.maxSatisfying=function(J,se,re){var ge=null,W=null;try{var ie=new Re(se,re)}catch(oe){return null}return J.forEach(function(oe){ie.test(oe)&&(ge&&W.compare(oe)!==-1||(W=new X(ge=oe,re)))}),ge},e.minSatisfying=function(J,se,re){var ge=null,W=null;try{var ie=new Re(se,re)}catch(oe){return null}return J.forEach(function(oe){ie.test(oe)&&(ge&&W.compare(oe)!==1||(W=new X(ge=oe,re)))}),ge},e.validRange=function(J,se){try{return new Re(J,se).range||"*"}catch(re){return null}},e.ltr=function(J,se,re){return ze(J,se,"<",re)},e.gtr=function(J,se,re){return ze(J,se,">",re)},e.outside=ze,e.prerelease=function(J,se){var re=K(J,se);return re&&re.prerelease.length?re.prerelease:null},e.intersects=function(J,se,re){return J=new Re(J,re),se=new Re(se,re),J.intersects(se)},e.coerce=function(J){if(J instanceof X)return J;if(typeof J!="string")return null;var se=J.match(A[O]);return se==null?null:K((se[1]||"0")+"."+(se[2]||"0")+"."+(se[3]||"0"))}}).call(this,v(1))},function(H,e){var v,k,_=H.exports={};function R(){throw new Error("setTimeout has not been defined")}function P(){throw new Error("clearTimeout has not been defined")}function A(w){if(v===setTimeout)return setTimeout(w,0);if((v===R||!v)&&setTimeout)return v=setTimeout,setTimeout(w,0);try{return v(w,0)}catch(b){try{return v.call(null,w,0)}catch(g){return v.call(this,w,0)}}}(function(){try{v=typeof setTimeout=="function"?setTimeout:R}catch(w){v=R}try{k=typeof clearTimeout=="function"?clearTimeout:P}catch(w){k=P}})();var y,E=[],D=!1,f=-1;function S(){D&&y&&(D=!1,y.length?E=y.concat(E):f=-1,E.length&&C())}function C(){if(!D){var w=A(S);D=!0;for(var b=E.length;b;){for(y=E,E=[];++f<b;)y&&y[f].run();f=-1,b=E.length}y=null,D=!1,function(g){if(k===clearTimeout)return clearTimeout(g);if((k===P||!k)&&clearTimeout)return k=clearTimeout,clearTimeout(g);try{k(g)}catch(c){try{return k.call(null,g)}catch(s){return k.call(this,g)}}}(w)}}function a(w,b){this.fun=w,this.array=b}function I(){}_.nextTick=function(w){var b=new Array(arguments.length-1);if(arguments.length>1)for(var g=1;g<arguments.length;g++)b[g-1]=arguments[g];E.push(new a(w,b)),E.length!==1||D||A(C)},a.prototype.run=function(){this.fun.apply(null,this.array)},_.title="browser",_.browser=!0,_.env={},_.argv=[],_.version="",_.versions={},_.on=I,_.addListener=I,_.once=I,_.off=I,_.removeListener=I,_.removeAllListeners=I,_.emit=I,_.prependListener=I,_.prependOnceListener=I,_.listeners=function(w){return[]},_.binding=function(w){throw new Error("process.binding is not supported")},_.cwd=function(){return"/"},_.chdir=function(w){throw new Error("process.chdir is not supported")},_.umask=function(){return 0}}])}),define(ee[85],te([0,1,6]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const k=v.globals.performance&&typeof v.globals.performance.now=="function";class _{constructor(P){this._highResolution=k&&P,this._startTime=this._now(),this._stopTime=-1}static create(P=!0){return new _(P)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?v.globals.performance.now():Date.now()}}e.StopWatch=_}),define(ee[3],te([0,1,14,63,2,64,85]),function(H,e,v,k,_,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.PauseableEmitter=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;var A;(function(b){b.None=()=>_.Disposable.None;function g(V){return(q,G=null,Q)=>{let $=!1,N;return N=V(T=>{if(!$)return N?N.dispose():$=!0,q.call(G,T)},null,Q),$&&N.dispose(),N}}b.once=g;function c(V,q){return h((G,Q=null,$)=>V(N=>G.call(Q,q(N)),null,$))}b.map=c;function s(V,q){return h((G,Q=null,$)=>V(N=>{q(N),G.call(Q,N)},null,$))}b.forEach=s;function i(V,q){return h((G,Q=null,$)=>V(N=>q(N)&&G.call(Q,N),null,$))}b.filter=i;function t(V){return V}b.signal=t;function n(...V){return(q,G=null,Q)=>_.combinedDisposable(...V.map($=>$(N=>q.call(G,N),null,Q)))}b.any=n;function o(V,q,G){let Q=G;return c(V,$=>(Q=q(Q,$),Q))}b.reduce=o;function h(V){let q;const G=new S({onFirstListenerAdd(){q=V(G.fire,G)},onLastListenerRemove(){q.dispose()}});return G.event}b.snapshot=h;function r(V,q,G=100,Q=!1,$){let N,T,L,F=0;const M=new S({leakWarningThreshold:$,onFirstListenerAdd(){N=V(z=>{F++,T=q(T,z),Q&&!L&&(M.fire(T),T=void 0),clearTimeout(L),L=setTimeout(()=>{const x=T;T=void 0,L=void 0,(!Q||F>1)&&M.fire(x),F=0},G)})},onLastListenerRemove(){N.dispose()}});return M.event}b.debounce=r;function l(V){const q=new Date().getTime();return c(g(V),G=>new Date().getTime()-q)}b.stopwatch=l;function u(V){let q=!0,G;return i(V,Q=>{const $=q||Q!==G;return q=!1,G=Q,$})}b.latch=u;function m(V,q=!1,G=[]){let Q=G.slice(),$=V(L=>{Q?Q.push(L):T.fire(L)});const N=()=>{Q&&Q.forEach(L=>T.fire(L)),Q=null},T=new S({onFirstListenerAdd(){$||($=V(L=>T.fire(L)))},onFirstListenerDidAdd(){Q&&(q?setTimeout(N):N())},onLastListenerRemove(){$&&$.dispose(),$=null}});return T.event}b.buffer=m;class p{constructor(q){this.event=q}map(q){return new p(c(this.event,q))}forEach(q){return new p(s(this.event,q))}filter(q){return new p(i(this.event,q))}reduce(q,G){return new p(o(this.event,q,G))}latch(){return new p(u(this.event))}debounce(q,G=100,Q=!1,$){return new p(r(this.event,q,G,Q,$))}on(q,G,Q){return this.event(q,G,Q)}once(q,G,Q){return g(this.event)(q,G,Q)}}function d(V){return new p(V)}b.chain=d;function O(V,q,G=Q=>Q){const Q=(...L)=>T.fire(G(...L)),$=()=>V.on(q,Q),N=()=>V.removeListener(q,Q),T=new S({onFirstListenerAdd:$,onLastListenerRemove:N});return T.event}b.fromNodeEventEmitter=O;function U(V,q,G=Q=>Q){const Q=(...L)=>T.fire(G(...L)),$=()=>V.addEventListener(q,Q),N=()=>V.removeEventListener(q,Q),T=new S({onFirstListenerAdd:$,onLastListenerRemove:N});return T.event}b.fromDOMEventEmitter=U;function j(V){const q=new S;let G=!1;return V.then(void 0,()=>null).then(()=>{G?q.fire(void 0):setTimeout(()=>q.fire(void 0),0)}),G=!0,q.event}b.fromPromise=j;function B(V){return new Promise(q=>g(V)(q))}b.toPromise=B})(A=e.Event||(e.Event={}));class y{constructor(g){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${g}_${y._idPool++}`}start(g){this._stopWatch=new P.StopWatch(!0),this._listenerCount=g}stop(){if(this._stopWatch){const g=this._stopWatch.elapsed();this._elapsedOverall+=g,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${g.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}y._idPool=0;let E=-1;function D(b){const g=E;return E=b,{dispose(){E=g}}}e.setGlobalLeakWarningThreshold=D;class f{constructor(g,c=Math.random().toString(18).slice(2,5)){this.customThreshold=g,this.name=c,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(g){let c=E;if(typeof this.customThreshold=="number"&&(c=this.customThreshold),!(c<=0||g<c)){this._stacks||(this._stacks=new Map);const s=new Error().stack.split(`
`).slice(3).join(`
`),i=this._stacks.get(s)||0;if(this._stacks.set(s,i+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=c*.5;let t,n=0;for(const[o,h]of this._stacks)(!t||n<h)&&(t=o,n=h);console.warn(`[${this.name}] potential listener LEAK detected, having ${g} listeners already. MOST frequent listener (${n}):`),console.warn(t)}return()=>{const t=this._stacks.get(s)||0;this._stacks.set(s,t-1)}}}}class S{constructor(g){var c;this._disposed=!1,this._options=g,this._leakageMon=E>0?new f(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=((c=this._options)===null||c===void 0?void 0:c._profName)?new y(this._options._profName):void 0}get event(){return this._event||(this._event=(g,c,s)=>{var i;this._listeners||(this._listeners=new R.LinkedList);const t=this._listeners.isEmpty();t&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const n=this._listeners.push(c?[g,c]:g);t&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,g,c);const o=(i=this._leakageMon)===null||i===void 0?void 0:i.check(this._listeners.size);let h;return h={dispose:()=>{o&&o(),h.dispose=S._noop,this._disposed||(n(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))}},s instanceof _.DisposableStore?s.add(h):Array.isArray(s)&&s.push(h),h}),this._event}fire(g){var c,s;if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new R.LinkedList);for(let i of this._listeners)this._deliveryQueue.push([i,g]);for((c=this._perfMon)===null||c===void 0||c.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[i,t]=this._deliveryQueue.shift();try{typeof i=="function"?i.call(void 0,t):i[0].call(i[1],t)}catch(n){v.onUnexpectedError(n)}}(s=this._perfMon)===null||s===void 0||s.stop()}}dispose(){var g,c,s;(g=this._listeners)===null||g===void 0||g.clear(),(c=this._deliveryQueue)===null||c===void 0||c.clear(),(s=this._leakageMon)===null||s===void 0||s.dispose(),this._disposed=!0}}e.Emitter=S,S._noop=function(){};class C extends S{constructor(g){super(g);this._isPaused=0,this._eventQueue=new R.LinkedList,this._mergeFn=g==null?void 0:g.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const g=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(g))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(g){this._listeners&&(this._isPaused!==0?this._eventQueue.push(g):super.fire(g))}}e.PauseableEmitter=C;class a{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new S({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(g){const c={event:g,listener:null};this.events.push(c),this.hasListeners&&this.hook(c);const s=()=>{this.hasListeners&&this.unhook(c);const i=this.events.indexOf(c);this.events.splice(i,1)};return _.toDisposable(k.once(s))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(g=>this.hook(g))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(g=>this.unhook(g))}hook(g){g.listener=g.event(c=>this.emitter.fire(c))}unhook(g){g.listener&&g.listener.dispose(),g.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=a;class I{constructor(){this.buffers=[]}wrapEvent(g){return(c,s,i)=>g(t=>{const n=this.buffers[this.buffers.length-1];n?n.push(()=>c.call(s,t)):c.call(s,t)},void 0,i)}bufferEvents(g){const c=[];this.buffers.push(c);const s=g();return this.buffers.pop(),c.forEach(i=>i()),s}}e.EventBufferer=I;class w{constructor(){this.listening=!1,this.inputEvent=A.None,this.inputEventListener=_.Disposable.None,this.emitter=new S({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(g){this.inputEvent=g,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=g(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=w}),define(ee[29],te([0,1,3]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const k=Object.freeze(function(A,y){const E=setTimeout(A.bind(y),0);return{dispose(){clearTimeout(E)}}});var _;(function(A){function y(E){return E===A.None||E===A.Cancelled||E instanceof R?!0:!E||typeof E!="object"?!1:typeof E.isCancellationRequested=="boolean"&&typeof E.onCancellationRequested=="function"}A.isCancellationToken=y,A.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:v.Event.None}),A.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:k})})(_=e.CancellationToken||(e.CancellationToken={}));class R{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?k:(this._emitter||(this._emitter=new v.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class P{constructor(y){this._token=void 0,this._parentListener=void 0,this._parentListener=y&&y.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new R),this._token}cancel(){this._token?this._token instanceof R&&this._token.cancel():this._token=_.Cancelled}dispose(y=!1){y&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof R&&this._token.dispose():this._token=_.None}}e.CancellationTokenSource=P}),define(ee[5],te([0,1,29,14,3,2,64]),function(H,e,v,k,_,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.AsyncEmitter=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.RunOnceWorker=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.ignoreErrors=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function A($){return!!$&&typeof $.then=="function"}e.isThenable=A;function y($){const N=new v.CancellationTokenSource,T=$(N.token),L=new Promise((F,M)=>{N.token.onCancellationRequested(()=>{M(k.canceled())}),Promise.resolve(T).then(z=>{N.dispose(),F(z)},z=>{N.dispose(),M(z)})});return new class{cancel(){N.cancel()}then(F,M){return L.then(F,M)}catch(F){return this.then(void 0,F)}finally(F){return L.finally(F)}}}e.createCancelablePromise=y;function E($,N,T){return Promise.race([$,new Promise(L=>N.onCancellationRequested(()=>L(T)))])}e.raceCancellation=E;async function D($){let N=-1;const T=$.map((F,M)=>F.then(z=>(N=M,z))),L=await Promise.race(T);return $.forEach((F,M)=>{M!==N&&F.cancel()}),L}e.raceCancellablePromises=D;function f($,N,T){let L;const F=setTimeout(()=>{L==null||L(void 0),T==null||T()},N);return Promise.race([$.finally(()=>clearTimeout(F)),new Promise(M=>L=M)])}e.raceTimeout=f;function S($){return new Promise((N,T)=>{const L=$();A(L)?L.then(N,T):N(L)})}e.asPromise=S;class C{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(N){if(this.activePromise){if(this.queuedPromiseFactory=N,!this.queuedPromise){const T=()=>{this.queuedPromise=null;const L=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,L};this.queuedPromise=new Promise(L=>{this.activePromise.then(T,T).then(L)})}return new Promise((T,L)=>{this.queuedPromise.then(T,L)})}return this.activePromise=N(),new Promise((T,L)=>{this.activePromise.then(F=>{this.activePromise=null,T(F)},F=>{this.activePromise=null,L(F)})})}}e.Throttler=C;class a{constructor(){this.current=Promise.resolve(null)}queue(N){return this.current=this.current.then(()=>N(),()=>N())}}e.Sequencer=a;class I{constructor(){this.promiseMap=new Map}queue(N,T){var L;const M=((L=this.promiseMap.get(N))!==null&&L!==void 0?L:Promise.resolve()).catch(()=>{}).then(T).finally(()=>{this.promiseMap.get(N)===M&&this.promiseMap.delete(N)});return this.promiseMap.set(N,M),M}}e.SequencerByKey=I;class w{constructor(N){this.defaultDelay=N,this.timeout=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(N,T=this.defaultDelay){return this.task=N,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((L,F)=>{this.doResolve=L,this.doReject=F}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const L=this.task;return this.task=null,L()}})),this.timeout=setTimeout(()=>{this.timeout=null,this.doResolve&&this.doResolve(null)},T),this.completionPromise}isTriggered(){return this.timeout!==null}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject(k.canceled()),this.completionPromise=null)}cancelTimeout(){this.timeout!==null&&(clearTimeout(this.timeout),this.timeout=null)}dispose(){this.cancelTimeout()}}e.Delayer=w;class b{constructor(N){this.delayer=new w(N),this.throttler=new C}trigger(N,T){return this.delayer.trigger(()=>this.throttler.queue(N),T)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=b;class g{constructor(){this._isOpen=!1,this._promise=new Promise((N,T)=>{this._completePromise=N})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=g;class c extends g{constructor(N){super();this._timeout=setTimeout(()=>this.open(),N)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=c;function s($,N){return N?new Promise((T,L)=>{const F=setTimeout(T,$);N.onCancellationRequested(()=>{clearTimeout(F),L(k.canceled())})}):y(T=>s($,T))}e.timeout=s;function i($,N=0){const T=setTimeout($,N);return R.toDisposable(()=>clearTimeout(T))}e.disposableTimeout=i;function t($){return $.then(void 0,N=>{})}e.ignoreErrors=t;function n($){const N=[];let T=0;const L=$.length;function F(){return T<L?$[T++]():null}function M(z){z!=null&&N.push(z);const x=F();return x?x.then(M):Promise.resolve(N)}return Promise.resolve(null).then(M)}e.sequence=n;function o($,N=L=>!!L,T=null){let L=0;const F=$.length,M=()=>{if(L>=F)return Promise.resolve(T);const z=$[L++];return Promise.resolve(z()).then(K=>N(K)?Promise.resolve(K):M())};return M()}e.first=o;function h($,N=L=>!!L,T=null){if($.length===0)return Promise.resolve(T);let L=$.length;const F=()=>{var M,z;L=-1;for(const x of $)(z=(M=x).cancel)===null||z===void 0||z.call(M)};return new Promise((M,z)=>{for(const x of $)x.then(K=>{--L>=0&&N(K)?(F(),M(K)):L===0&&M(T)}).catch(K=>{--L>=0&&(F(),z(K))})})}e.firstParallel=h;class r{constructor(N){this._size=0,this.maxDegreeOfParalellism=N,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new _.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(N){return this._size++,new Promise((T,L)=>{this.outstandingPromises.push({factory:N,c:T,e:L}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const N=this.outstandingPromises.shift();this.runningPromises++;const T=N.factory();T.then(N.c,N.e),T.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=r;class l extends r{constructor(){super(1)}}e.Queue=l;class u{constructor(){this.queues=new Map}queueFor(N){const T=N.toString();if(!this.queues.has(T)){const L=new l;L.onFinished(()=>{L.dispose(),this.queues.delete(T)}),this.queues.set(T,L)}return this.queues.get(T)}dispose(){this.queues.forEach(N=>N.dispose()),this.queues.clear()}}e.ResourceQueue=u;class m{constructor(N,T){this._token=-1,typeof N=="function"&&typeof T=="number"&&this.setIfNotSet(N,T)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(N,T){this.cancel(),this._token=setTimeout(()=>{this._token=-1,N()},T)}setIfNotSet(N,T){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,N()},T))}}e.TimeoutTimer=m;class p{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(N,T){this.cancel(),this._token=setInterval(()=>{N()},T)}}e.IntervalTimer=p;class d{constructor(N,T){this.timeoutToken=-1,this.runner=N,this.timeout=T,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(N=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,N)}get delay(){return this.timeout}set delay(N){this.timeout=N}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=d;class O extends d{constructor(N,T){super(N,T);this.units=[]}work(N){this.units.push(N),this.isScheduled()||this.schedule()}doRun(){const N=this.units;this.units=[],this.runner&&this.runner(N)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=O,function(){if(typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"){const $=Object.freeze({didTimeout:!0,timeRemaining(){return 15}});e.runWhenIdle=N=>{const T=setTimeout(()=>N($));let L=!1;return{dispose(){L||(L=!0,clearTimeout(T))}}}}else e.runWhenIdle=($,N)=>{const T=requestIdleCallback($,typeof N=="number"?{timeout:N}:void 0);let L=!1;return{dispose(){L||(L=!0,cancelIdleCallback(T))}}}}();class U{constructor(N){this._didRun=!1,this._executor=()=>{try{this._value=N()}catch(T){this._error=T}finally{this._didRun=!0}},this._handle=e.runWhenIdle(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}}e.IdleValue=U;async function j($,N,T){let L;for(let F=0;F<T;F++)try{return await $()}catch(M){L=M,await s(N)}throw L}e.retry=j;class B{hasPending(N){return this._pending?typeof N=="number"?this._pending.taskId===N:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){var N;(N=this._pending)===null||N===void 0||N.cancel()}setPending(N,T,L){return this._pending={taskId:N,cancel:()=>L==null?void 0:L(),promise:T},T.then(()=>this.donePending(N),()=>this.donePending(N)),T}donePending(N){this._pending&&N===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const N=this._next;this._next=void 0,N.run().then(N.promiseResolve,N.promiseReject)}}setNext(N){if(this._next)this._next.run=N;else{let T,L;const F=new Promise((M,z)=>{T=M,L=z});this._next={run:N,promise:F,promiseResolve:T,promiseReject:L}}return this._next.promise}}e.TaskSequentializer=B;class V{constructor(N){this.interval=N,this.lastIncrementTime=0,this.value=0}increment(){const N=Date.now();return N-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=N,this.value=0),this.value++,this.value}}e.IntervalCounter=V;class q{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((N,T)=>{this.completeCallback=N,this.errorCallback=T})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(N){return new Promise(T=>{this.completeCallback(N),this.resolved=!0,T()})}error(N){return new Promise(T=>{this.errorCallback(N),this.rejected=!0,T()})}cancel(){new Promise(N=>{this.errorCallback(k.canceled()),this.rejected=!0,N()})}}e.DeferredPromise=q;class G extends _.Emitter{async fireAsync(N,T,L){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new P.LinkedList);for(const F of this._listeners)this._asyncDeliveryQueue.push([F,N]);for(;this._asyncDeliveryQueue.size>0&&!T.isCancellationRequested;){const[F,M]=this._asyncDeliveryQueue.shift(),z=[],x=Object.assign(Object.assign({},M),{waitUntil:K=>{if(Object.isFrozen(z))throw new Error("waitUntil can NOT be called asynchronous");L&&(K=L(K,typeof F=="function"?F:F[0])),z.push(K)}});try{typeof F=="function"?F.call(void 0,x):F[0].call(F[1],x)}catch(K){k.onUnexpectedError(K);continue}Object.freeze(z),await Q.settled(z).catch(K=>k.onUnexpectedError(K))}}}}e.AsyncEmitter=G;var Q;(function($){async function N(M){return typeof Promise.allSettled=="function"?T(M):L(M)}$.allSettled=N;async function T(M){return Promise.allSettled(M)}async function L(M){return Promise.all(M.map(z=>z.then(x=>({status:"fulfilled",value:x}),x=>({status:"rejected",reason:x}))))}async function F(M){let z;const x=await Promise.all(M.map(K=>K.then(X=>X,X=>{z||(z=X)})));if(typeof z!="undefined")throw z;return x}$.settled=F})(Q=e.Promises||(e.Promises={}))}),define(ee[52],te([0,1,14,2]),function(H,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transform=e.toReadable=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function _(w){const b=w;return b&&[b.on,b.pause,b.resume,b.destroy].every(g=>typeof g=="function")}e.isReadableStream=_;function R(w){const b=w;return b&&_(b.stream)&&Array.isArray(b.buffer)&&typeof b.ended=="boolean"}e.isReadableBufferedStream=R;function P(w,b){return new A(w,b)}e.newWriteableStream=P;class A{constructor(b,g){this.reducer=b,this.options=g,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(b){var g;if(!this.state.destroyed){if(this.state.flowing)this.emitData(b);else if(this.buffer.data.push(b),typeof((g=this.options)===null||g===void 0?void 0:g.highWaterMark)=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(c=>this.pendingWritePromises.push(c))}}error(b){this.state.destroyed||(this.state.flowing?this.emitError(b):this.buffer.error.push(b))}end(b){this.state.destroyed||(b instanceof Error?this.error(b):typeof b!="undefined"&&this.write(b),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(b){this.listeners.data.slice(0).forEach(g=>g(b))}emitError(b){this.listeners.error.length===0?v.onUnexpectedError(b):this.listeners.error.slice(0).forEach(g=>g(b))}emitEnd(){this.listeners.end.slice(0).forEach(b=>b())}on(b,g){if(!this.state.destroyed)switch(b){case"data":this.listeners.data.push(g),this.resume();break;case"end":this.listeners.end.push(g),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(g),this.state.flowing&&this.flowErrors();break}}removeListener(b,g){if(!this.state.destroyed){let c;switch(b){case"data":c=this.listeners.data;break;case"end":c=this.listeners.end;break;case"error":c=this.listeners.error;break}if(c){const s=c.indexOf(g);s>=0&&c.splice(s,1)}}}flowData(){if(this.buffer.data.length>0){const b=this.reducer(this.buffer.data);this.emitData(b),this.buffer.data.length=0;const g=[...this.pendingWritePromises];this.pendingWritePromises.length=0,g.forEach(c=>c())}}flowErrors(){if(this.listeners.error.length>0){for(const b of this.buffer.error)this.emitError(b);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function y(w,b){const g=[];let c;for(;(c=w.read())!==null;)g.push(c);return b(g)}e.consumeReadable=y;function E(w,b,g){const c=[];let s;for(;(s=w.read())!==null&&c.length<g;)c.push(s);return s===null&&c.length>0?b(c):{read:()=>{if(c.length>0)return c.shift();if(typeof s!="undefined"){const i=s;return s=void 0,i}return w.read()}}}e.peekReadable=E;function D(w,b){return new Promise((g,c)=>{const s=[];f(w,{onData:i=>{b&&s.push(i)},onError:i=>{b?c(i):g(void 0)},onEnd:()=>{g(b?b(s):void 0)}})})}e.consumeStream=D;function f(w,b){w.on("error",g=>b.onError(g)),w.on("end",()=>b.onEnd()),w.on("data",g=>b.onData(g))}e.listenStream=f;function S(w,b){return new Promise((g,c)=>{const s=new k.DisposableStore,i=[],t=h=>{if(i.push(h),i.length>b)return s.dispose(),w.pause(),g({stream:w,buffer:i,ended:!1})},n=h=>c(h),o=()=>g({stream:w,buffer:i,ended:!0});s.add(k.toDisposable(()=>w.removeListener("error",n))),w.on("error",n),s.add(k.toDisposable(()=>w.removeListener("end",o))),w.on("end",o),s.add(k.toDisposable(()=>w.removeListener("data",t))),w.on("data",t)})}e.peekStream=S;function C(w,b){const g=P(b);return g.end(w),g}e.toStream=C;function a(w){let b=!1;return{read:()=>b?null:(b=!0,w)}}e.toReadable=a;function I(w,b,g){const c=P(g);return f(w,{onData:s=>c.write(b.data(s)),onError:s=>c.error(b.error?b.error(s):s),onEnd:()=>c.end()}),c}e.transform=I}),define(ee[21],te([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.GraphemeBreakType=e.breakBetweenGraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsEmoji=e.containsRTL=e.decodeUTF8=e.encodeUTF8=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format=e.isFalsyOrWhitespace=void 0;function v(W){return!W||typeof W!="string"?!0:W.trim().length===0}e.isFalsyOrWhitespace=v;const k=/{(\d+)}/g;function _(W,...ie){return ie.length===0?W:W.replace(k,function(oe,ce){const le=parseInt(ce,10);return isNaN(le)||le<0||le>=ie.length?oe:ie[le]})}e.format=_;function R(W){return W.replace(/[<>&]/g,function(ie){switch(ie){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return ie}})}e.escape=R;function P(W){return W.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=P;function A(W,ie){let oe=0;const ce=ie.charCodeAt(0);for(let le=W.length-1;le>=0;le--)W.charCodeAt(le)===ce&&oe++;return oe}e.count=A;function y(W,ie,oe="\u2026"){return W.length<=ie?W:`${W.substr(0,ie)}${oe}`}e.truncate=y;function E(W,ie=" "){const oe=D(W,ie);return f(oe,ie)}e.trim=E;function D(W,ie){if(!W||!ie)return W;const oe=ie.length;if(oe===0||W.length===0)return W;let ce=0;for(;W.indexOf(ie,ce)===ce;)ce=ce+oe;return W.substring(ce)}e.ltrim=D;function f(W,ie){if(!W||!ie)return W;const oe=ie.length,ce=W.length;if(oe===0||ce===0)return W;let le=ce,fe=-1;for(;fe=W.lastIndexOf(ie,le-1),!(fe===-1||fe+oe!==le);){if(fe===0)return"";le=fe}return W.substring(0,le)}e.rtrim=f;function S(W){return W.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=S;function C(W){return W.replace(/\*/g,"")}e.stripWildcards=C;function a(W,ie,oe={}){if(!W)throw new Error("Cannot create regex from empty string");ie||(W=P(W)),oe.wholeWord&&(/\B/.test(W.charAt(0))||(W="\\b"+W),/\B/.test(W.charAt(W.length-1))||(W=W+"\\b"));let ce="";return oe.global&&(ce+="g"),oe.matchCase||(ce+="i"),oe.multiline&&(ce+="m"),oe.unicode&&(ce+="u"),new RegExp(W,ce)}e.createRegExp=a;function I(W){return W.source==="^"||W.source==="^$"||W.source==="$"||W.source==="^\\s*$"?!1:!!(W.exec("")&&W.lastIndex===0)}e.regExpLeadsToEndlessLoop=I;function w(W){return!!W.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=w;function b(W){return(W.global?"g":"")+(W.ignoreCase?"i":"")+(W.multiline?"m":"")+(W.unicode?"u":"")}e.regExpFlags=b;function g(W){return W.split(/\r\n|\r|\n/)}e.splitLines=g;function c(W){for(let ie=0,oe=W.length;ie<oe;ie++){const ce=W.charCodeAt(ie);if(ce!==32&&ce!==9)return ie}return-1}e.firstNonWhitespaceIndex=c;function s(W,ie=0,oe=W.length){for(let ce=ie;ce<oe;ce++){const le=W.charCodeAt(ce);if(le!==32&&le!==9)return W.substring(ie,ce)}return W.substring(ie,oe)}e.getLeadingWhitespace=s;function i(W,ie=W.length-1){for(let oe=ie;oe>=0;oe--){const ce=W.charCodeAt(oe);if(ce!==32&&ce!==9)return oe}return-1}e.lastNonWhitespaceIndex=i;function t(W,ie){return W<ie?-1:W>ie?1:0}e.compare=t;function n(W,ie,oe=0,ce=W.length,le=0,fe=ie.length){for(;oe<ce&&le<fe;oe++,le++){let we=W.charCodeAt(oe),Ce=ie.charCodeAt(le);if(we<Ce)return-1;if(we>Ce)return 1}const ve=ce-oe,ye=fe-le;return ve<ye?-1:ve>ye?1:0}e.compareSubstring=n;function o(W,ie){return h(W,ie,0,W.length,0,ie.length)}e.compareIgnoreCase=o;function h(W,ie,oe=0,ce=W.length,le=0,fe=ie.length){for(;oe<ce&&le<fe;oe++,le++){let we=W.charCodeAt(oe),Ce=ie.charCodeAt(le);if(we!==Ce){const Pe=we-Ce;if(!(Pe===32&&l(Ce))&&!(Pe===-32&&l(we)))return r(we)&&r(Ce)?Pe:n(W.toLowerCase(),ie.toLowerCase(),oe,ce,le,fe)}}const ve=ce-oe,ye=fe-le;return ve<ye?-1:ve>ye?1:0}e.compareSubstringIgnoreCase=h;function r(W){return W>=97&&W<=122}e.isLowerAsciiLetter=r;function l(W){return W>=65&&W<=90}e.isUpperAsciiLetter=l;function u(W){return r(W)||l(W)}function m(W,ie){return W.length===ie.length&&p(W,ie)}e.equalsIgnoreCase=m;function p(W,ie,oe=W.length){for(let ce=0;ce<oe;ce++){const le=W.charCodeAt(ce),fe=ie.charCodeAt(ce);if(le!==fe){if(u(le)&&u(fe)){const ve=Math.abs(le-fe);if(ve!==0&&ve!==32)return!1}else if(String.fromCharCode(le).toLowerCase()!==String.fromCharCode(fe).toLowerCase())return!1}}return!0}function d(W,ie){const oe=ie.length;return ie.length>W.length?!1:p(W,ie,oe)}e.startsWithIgnoreCase=d;function O(W,ie){let oe,ce=Math.min(W.length,ie.length);for(oe=0;oe<ce;oe++)if(W.charCodeAt(oe)!==ie.charCodeAt(oe))return oe;return ce}e.commonPrefixLength=O;function U(W,ie){let oe,ce=Math.min(W.length,ie.length);const le=W.length-1,fe=ie.length-1;for(oe=0;oe<ce;oe++)if(W.charCodeAt(le-oe)!==ie.charCodeAt(fe-oe))return oe;return ce}e.commonSuffixLength=U;function j(W){return 55296<=W&&W<=56319}e.isHighSurrogate=j;function B(W){return 56320<=W&&W<=57343}e.isLowSurrogate=B;function V(W,ie){return(W-55296<<10)+(ie-56320)+65536}e.computeCodePoint=V;function q(W,ie,oe){const ce=W.charCodeAt(oe);if(j(ce)&&oe+1<ie){const le=W.charCodeAt(oe+1);if(B(le))return V(ce,le)}return ce}e.getNextCodePoint=q;function G(W,ie){const oe=W.charCodeAt(ie-1);if(B(oe)&&ie>1){const ce=W.charCodeAt(ie-2);if(j(ce))return V(ce,oe)}return oe}function Q(W,ie){const oe=re.getInstance(),ce=ie,le=W.length,fe=q(W,le,ie);ie+=fe>=65536?2:1;let ve=oe.getGraphemeBreakType(fe);for(;ie<le;){const ye=q(W,le,ie),we=oe.getGraphemeBreakType(ye);if(J(ve,we))break;ie+=ye>=65536?2:1,ve=we}return ie-ce}e.nextCharLength=Q;function $(W,ie){const oe=re.getInstance(),ce=ie,le=G(W,ie);ie-=le>=65536?2:1;let fe=oe.getGraphemeBreakType(le);for(;ie>0;){const ve=G(W,ie),ye=oe.getGraphemeBreakType(ve);if(J(ye,fe))break;ie-=ve>=65536?2:1,fe=ye}return ce-ie}e.prevCharLength=$;function N(W,ie){const oe=re.getInstance(),ce=W.length,le=ie,fe=q(W,ce,ie),ve=oe.getGraphemeBreakType(fe);ie+=fe>=65536?2:1;let ye=ve;for(;ie<ce;){const Ce=q(W,ce,ie),Pe=oe.getGraphemeBreakType(Ce);if(J(ye,Pe))break;ie+=Ce>=65536?2:1,ye=Pe}const we=ie;for(ie=le,ye=ve;ie>0;){const Ce=G(W,ie),Pe=oe.getGraphemeBreakType(Ce);if(J(Pe,ye))break;ie-=Ce>=65536?2:1,ye=Pe}return[ie,we]}function T(W,ie){return ie>0&&B(W.charCodeAt(ie))?N(W,ie-1):N(W,ie)}e.getCharContainingOffset=T;function L(W){const ie=W.length;let oe=0,ce=0;for(;ce<ie;){const ve=q(W,ie,ce);ce+=ve>=65536?2:1,ve<128?oe+=1:ve<2048?oe+=2:ve<65536?oe+=3:oe+=4}const le=new Uint8Array(oe);ce=0;let fe=0;for(;ce<ie;){const ve=q(W,ie,ce);ce+=ve>=65536?2:1,ve<128?le[fe++]=ve:ve<2048?(le[fe++]=192|(ve&1984)>>>6,le[fe++]=128|(ve&63)>>>0):ve<65536?(le[fe++]=224|(ve&61440)>>>12,le[fe++]=128|(ve&4032)>>>6,le[fe++]=128|(ve&63)>>>0):(le[fe++]=240|(ve&1835008)>>>18,le[fe++]=128|(ve&258048)>>>12,le[fe++]=128|(ve&4032)>>>6,le[fe++]=128|(ve&63)>>>0)}return le}e.encodeUTF8=L;function F(W){const ie=W.byteLength,oe=[];let ce=0;for(;ce<ie;){const le=W[ce];let fe;if(le>=240&&ce+3<ie?fe=(W[ce++]&7)<<18>>>0|(W[ce++]&63)<<12>>>0|(W[ce++]&63)<<6>>>0|(W[ce++]&63)<<0>>>0:le>=224&&ce+2<ie?fe=(W[ce++]&15)<<12>>>0|(W[ce++]&63)<<6>>>0|(W[ce++]&63)<<0>>>0:le>=192&&ce+1<ie?fe=(W[ce++]&31)<<6>>>0|(W[ce++]&63)<<0>>>0:fe=W[ce++],fe>=0&&fe<=55295||fe>=57344&&fe<=65535)oe.push(String.fromCharCode(fe));else if(fe>=65536&&fe<=1114111){const ve=fe-65536,ye=55296+((ve&1047552)>>>10),we=56320+((ve&1023)>>>0);oe.push(String.fromCharCode(ye)),oe.push(String.fromCharCode(we))}else oe.push(String.fromCharCode(65533))}return oe.join("")}e.decodeUTF8=F;const M=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u08BD\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE33\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDCFF]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD50-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function z(W){return M.test(W)}e.containsRTL=z;const x=/(?:[\u231A\u231B\u23F0\u23F3\u2600-\u27BF\u2B50\u2B55]|\uD83C[\uDDE6-\uDDFF\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F\uDE80-\uDEFC\uDFE0-\uDFEB]|\uD83E[\uDD00-\uDDFF\uDE70-\uDED6])/;function K(W){return x.test(W)}e.containsEmoji=K;const X=/^[\t\n\r\x20-\x7E]*$/;function Z(W){return X.test(W)}e.isBasicASCII=Z,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function ne(W){return e.UNUSUAL_LINE_TERMINATORS.test(W)}e.containsUnusualLineTerminators=ne;function ae(W){for(let ie=0,oe=W.length;ie<oe;ie++)if(de(W.charCodeAt(ie)))return!0;return!1}e.containsFullWidthCharacter=ae;function de(W){return W=+W,W>=11904&&W<=55215||W>=63744&&W<=64255||W>=65281&&W<=65374}e.isFullWidthCharacter=de;function me(W){return W>=127462&&W<=127487||W===8986||W===8987||W===9200||W===9203||W>=9728&&W<=10175||W===11088||W===11093||W>=127744&&W<=128591||W>=128640&&W<=128764||W>=128992&&W<=129003||W>=129280&&W<=129535||W>=129648&&W<=129750}e.isEmojiImprecise=me;function be(W,ie){if(W.length<ie)return W;const oe=/\b/g;let ce=0;for(;oe.test(W)&&!(W.length-oe.lastIndex<ie);)ce=oe.lastIndex,oe.lastIndex+=1;return W.substring(ce).replace(/^\s/,"")}e.lcut=be;const Ie=/\x1B\x5B[12]?K/g,Ae=/\x1b\[\d+m/g,Oe=/\x1b\[0?m/g;function ke(W){return W&&(W=W.replace(Ie,""),W=W.replace(Ae,""),W=W.replace(Oe,"")),W}e.removeAnsiEscapeCodes=ke,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function Te(W){return!!(W&&W.length>0&&W.charCodeAt(0)===65279)}e.startsWithUTF8BOM=Te;function _e(W){return Te(W)?W.substr(1):W}e.stripUTF8BOM=_e;function Re(W,ie){if(!W||!ie||W.length<ie.length)return!1;const oe=ie.length,ce=W.toLowerCase();let le=0,fe=-1;for(;le<oe;){const ve=ce.indexOf(ie[le],fe+1);if(ve<0)return!1;fe=ve,le++}return!0}e.fuzzyContains=Re;function Le(W,ie=!1){return W?(ie&&(W=W.replace(/\\./g,"")),W.toLowerCase()!==W):!1}e.containsUppercaseCharacter=Le;function $e(W){return W.charAt(0).toUpperCase()+W.slice(1)}e.uppercaseFirstLetter=$e;function xe(W,ie=1){if(ie===0)return"";let oe=-1;do oe=W.indexOf(`
`,oe+1),ie--;while(ie>0&&oe>=0);return oe===-1?W:(W[oe-1]==="\r"&&oe--,W.substr(0,oe))}e.getNLines=xe;function Me(W){const ie=90-65+1;return W=W%(2*ie),W<ie?String.fromCharCode(97+W):String.fromCharCode(65+W-ie)}e.singleLetterHash=Me;function ze(W){return re.getInstance().getGraphemeBreakType(W)}e.getGraphemeBreakType=ze;function J(W,ie){return W===0?ie!==5&&ie!==7:W===2&&ie===3?!1:W===4||W===2||W===3||ie===4||ie===2||ie===3?!0:!(W===8&&(ie===8||ie===9||ie===11||ie===12)||(W===11||W===9)&&(ie===9||ie===10)||(W===12||W===10)&&ie===10||ie===5||ie===13||ie===7||W===1||W===13&&ie===14||W===6&&ie===6)}e.breakBetweenGraphemeBreakType=J;var se;(function(W){W[W.Other=0]="Other",W[W.Prepend=1]="Prepend",W[W.CR=2]="CR",W[W.LF=3]="LF",W[W.Control=4]="Control",W[W.Extend=5]="Extend",W[W.Regional_Indicator=6]="Regional_Indicator",W[W.SpacingMark=7]="SpacingMark",W[W.L=8]="L",W[W.V=9]="V",W[W.T=10]="T",W[W.LV=11]="LV",W[W.LVT=12]="LVT",W[W.ZWJ=13]="ZWJ",W[W.Extended_Pictographic=14]="Extended_Pictographic"})(se=e.GraphemeBreakType||(e.GraphemeBreakType={}));class re{constructor(){this._data=ge()}static getInstance(){return re._INSTANCE||(re._INSTANCE=new re),re._INSTANCE}getGraphemeBreakType(ie){if(ie<32)return ie===10?3:ie===13?2:4;if(ie<127)return 0;const oe=this._data,ce=oe.length/3;let le=1;for(;le<=ce;)if(ie<oe[3*le])le=2*le;else if(ie>oe[3*le+1])le=2*le+1;else return oe[3*le+2];return 0}}re._INSTANCE=null;function ge(){return JSON.parse("[0,0,0,51592,51592,11,44424,44424,11,72251,72254,5,7150,7150,7,48008,48008,11,55176,55176,11,128420,128420,14,3276,3277,5,9979,9980,14,46216,46216,11,49800,49800,11,53384,53384,11,70726,70726,5,122915,122916,5,129320,129327,14,2558,2558,5,5906,5908,5,9762,9763,14,43360,43388,8,45320,45320,11,47112,47112,11,48904,48904,11,50696,50696,11,52488,52488,11,54280,54280,11,70082,70083,1,71350,71350,7,73111,73111,5,127892,127893,14,128726,128727,14,129473,129474,14,2027,2035,5,2901,2902,5,3784,3789,5,6754,6754,5,8418,8420,5,9877,9877,14,11088,11088,14,44008,44008,5,44872,44872,11,45768,45768,11,46664,46664,11,47560,47560,11,48456,48456,11,49352,49352,11,50248,50248,11,51144,51144,11,52040,52040,11,52936,52936,11,53832,53832,11,54728,54728,11,69811,69814,5,70459,70460,5,71096,71099,7,71998,71998,5,72874,72880,5,119149,119149,7,127374,127374,14,128335,128335,14,128482,128482,14,128765,128767,14,129399,129400,14,129680,129685,14,1476,1477,5,2377,2380,7,2759,2760,5,3137,3140,7,3458,3459,7,4153,4154,5,6432,6434,5,6978,6978,5,7675,7679,5,9723,9726,14,9823,9823,14,9919,9923,14,10035,10036,14,42736,42737,5,43596,43596,5,44200,44200,11,44648,44648,11,45096,45096,11,45544,45544,11,45992,45992,11,46440,46440,11,46888,46888,11,47336,47336,11,47784,47784,11,48232,48232,11,48680,48680,11,49128,49128,11,49576,49576,11,50024,50024,11,50472,50472,11,50920,50920,11,51368,51368,11,51816,51816,11,52264,52264,11,52712,52712,11,53160,53160,11,53608,53608,11,54056,54056,11,54504,54504,11,54952,54952,11,68108,68111,5,69933,69940,5,70197,70197,7,70498,70499,7,70845,70845,5,71229,71229,5,71727,71735,5,72154,72155,5,72344,72345,5,73023,73029,5,94095,94098,5,121403,121452,5,126981,127182,14,127538,127546,14,127990,127990,14,128391,128391,14,128445,128449,14,128500,128505,14,128752,128752,14,129160,129167,14,129356,129356,14,129432,129442,14,129648,129651,14,129751,131069,14,173,173,4,1757,1757,1,2274,2274,1,2494,2494,5,2641,2641,5,2876,2876,5,3014,3016,7,3262,3262,7,3393,3396,5,3570,3571,7,3968,3972,5,4228,4228,7,6086,6086,5,6679,6680,5,6912,6915,5,7080,7081,5,7380,7392,5,8252,8252,14,9096,9096,14,9748,9749,14,9784,9786,14,9833,9850,14,9890,9894,14,9938,9938,14,9999,9999,14,10085,10087,14,12349,12349,14,43136,43137,7,43454,43456,7,43755,43755,7,44088,44088,11,44312,44312,11,44536,44536,11,44760,44760,11,44984,44984,11,45208,45208,11,45432,45432,11,45656,45656,11,45880,45880,11,46104,46104,11,46328,46328,11,46552,46552,11,46776,46776,11,47000,47000,11,47224,47224,11,47448,47448,11,47672,47672,11,47896,47896,11,48120,48120,11,48344,48344,11,48568,48568,11,48792,48792,11,49016,49016,11,49240,49240,11,49464,49464,11,49688,49688,11,49912,49912,11,50136,50136,11,50360,50360,11,50584,50584,11,50808,50808,11,51032,51032,11,51256,51256,11,51480,51480,11,51704,51704,11,51928,51928,11,52152,52152,11,52376,52376,11,52600,52600,11,52824,52824,11,53048,53048,11,53272,53272,11,53496,53496,11,53720,53720,11,53944,53944,11,54168,54168,11,54392,54392,11,54616,54616,11,54840,54840,11,55064,55064,11,65438,65439,5,69633,69633,5,69837,69837,1,70018,70018,7,70188,70190,7,70368,70370,7,70465,70468,7,70712,70719,5,70835,70840,5,70850,70851,5,71132,71133,5,71340,71340,7,71458,71461,5,71985,71989,7,72002,72002,7,72193,72202,5,72281,72283,5,72766,72766,7,72885,72886,5,73104,73105,5,92912,92916,5,113824,113827,4,119173,119179,5,121505,121519,5,125136,125142,5,127279,127279,14,127489,127490,14,127570,127743,14,127900,127901,14,128254,128254,14,128369,128370,14,128400,128400,14,128425,128432,14,128468,128475,14,128489,128494,14,128715,128720,14,128745,128745,14,128759,128760,14,129004,129023,14,129296,129304,14,129340,129342,14,129388,129392,14,129404,129407,14,129454,129455,14,129485,129487,14,129659,129663,14,129719,129727,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2363,2363,7,2402,2403,5,2507,2508,7,2622,2624,7,2691,2691,7,2786,2787,5,2881,2884,5,3006,3006,5,3072,3072,5,3170,3171,5,3267,3268,7,3330,3331,7,3406,3406,1,3538,3540,5,3655,3662,5,3897,3897,5,4038,4038,5,4184,4185,5,4352,4447,8,6068,6069,5,6155,6157,5,6448,6449,7,6742,6742,5,6783,6783,5,6966,6970,5,7042,7042,7,7143,7143,7,7212,7219,5,7412,7412,5,8206,8207,4,8294,8303,4,8596,8601,14,9410,9410,14,9742,9742,14,9757,9757,14,9770,9770,14,9794,9794,14,9828,9828,14,9855,9855,14,9882,9882,14,9900,9903,14,9929,9933,14,9963,9967,14,9987,9988,14,10006,10006,14,10062,10062,14,10175,10175,14,11744,11775,5,42607,42607,5,43043,43044,7,43263,43263,5,43444,43445,7,43569,43570,5,43698,43700,5,43766,43766,5,44032,44032,11,44144,44144,11,44256,44256,11,44368,44368,11,44480,44480,11,44592,44592,11,44704,44704,11,44816,44816,11,44928,44928,11,45040,45040,11,45152,45152,11,45264,45264,11,45376,45376,11,45488,45488,11,45600,45600,11,45712,45712,11,45824,45824,11,45936,45936,11,46048,46048,11,46160,46160,11,46272,46272,11,46384,46384,11,46496,46496,11,46608,46608,11,46720,46720,11,46832,46832,11,46944,46944,11,47056,47056,11,47168,47168,11,47280,47280,11,47392,47392,11,47504,47504,11,47616,47616,11,47728,47728,11,47840,47840,11,47952,47952,11,48064,48064,11,48176,48176,11,48288,48288,11,48400,48400,11,48512,48512,11,48624,48624,11,48736,48736,11,48848,48848,11,48960,48960,11,49072,49072,11,49184,49184,11,49296,49296,11,49408,49408,11,49520,49520,11,49632,49632,11,49744,49744,11,49856,49856,11,49968,49968,11,50080,50080,11,50192,50192,11,50304,50304,11,50416,50416,11,50528,50528,11,50640,50640,11,50752,50752,11,50864,50864,11,50976,50976,11,51088,51088,11,51200,51200,11,51312,51312,11,51424,51424,11,51536,51536,11,51648,51648,11,51760,51760,11,51872,51872,11,51984,51984,11,52096,52096,11,52208,52208,11,52320,52320,11,52432,52432,11,52544,52544,11,52656,52656,11,52768,52768,11,52880,52880,11,52992,52992,11,53104,53104,11,53216,53216,11,53328,53328,11,53440,53440,11,53552,53552,11,53664,53664,11,53776,53776,11,53888,53888,11,54000,54000,11,54112,54112,11,54224,54224,11,54336,54336,11,54448,54448,11,54560,54560,11,54672,54672,11,54784,54784,11,54896,54896,11,55008,55008,11,55120,55120,11,64286,64286,5,66272,66272,5,68900,68903,5,69762,69762,7,69817,69818,5,69927,69931,5,70003,70003,5,70070,70078,5,70094,70094,7,70194,70195,7,70206,70206,5,70400,70401,5,70463,70463,7,70475,70477,7,70512,70516,5,70722,70724,5,70832,70832,5,70842,70842,5,70847,70848,5,71088,71089,7,71102,71102,7,71219,71226,5,71231,71232,5,71342,71343,7,71453,71455,5,71463,71467,5,71737,71738,5,71995,71996,5,72000,72000,7,72145,72147,7,72160,72160,5,72249,72249,7,72273,72278,5,72330,72342,5,72752,72758,5,72850,72871,5,72882,72883,5,73018,73018,5,73031,73031,5,73109,73109,5,73461,73462,7,94031,94031,5,94192,94193,7,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,126976,126979,14,127184,127231,14,127344,127345,14,127405,127461,14,127514,127514,14,127561,127567,14,127778,127779,14,127896,127896,14,127985,127986,14,127995,127999,5,128326,128328,14,128360,128366,14,128378,128378,14,128394,128397,14,128405,128406,14,128422,128423,14,128435,128443,14,128453,128464,14,128479,128480,14,128484,128487,14,128496,128498,14,128640,128709,14,128723,128724,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129096,129103,14,129292,129292,14,129311,129311,14,129329,129330,14,129344,129349,14,129360,129374,14,129394,129394,14,129402,129402,14,129413,129425,14,129445,129450,14,129466,129471,14,129483,129483,14,129511,129535,14,129653,129655,14,129667,129670,14,129705,129711,14,129731,129743,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2307,2307,7,2366,2368,7,2382,2383,7,2434,2435,7,2497,2500,5,2519,2519,5,2563,2563,7,2631,2632,5,2677,2677,5,2750,2752,7,2763,2764,7,2817,2817,5,2879,2879,5,2891,2892,7,2914,2915,5,3008,3008,5,3021,3021,5,3076,3076,5,3146,3149,5,3202,3203,7,3264,3265,7,3271,3272,7,3298,3299,5,3390,3390,5,3402,3404,7,3426,3427,5,3535,3535,5,3544,3550,7,3635,3635,7,3763,3763,7,3893,3893,5,3953,3966,5,3981,3991,5,4145,4145,7,4157,4158,5,4209,4212,5,4237,4237,5,4520,4607,10,5970,5971,5,6071,6077,5,6089,6099,5,6277,6278,5,6439,6440,5,6451,6456,7,6683,6683,5,6744,6750,5,6765,6770,7,6846,6846,5,6964,6964,5,6972,6972,5,7019,7027,5,7074,7077,5,7083,7085,5,7146,7148,7,7154,7155,7,7222,7223,5,7394,7400,5,7416,7417,5,8204,8204,5,8233,8233,4,8288,8292,4,8413,8416,5,8482,8482,14,8986,8987,14,9193,9203,14,9654,9654,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9775,14,9792,9792,14,9800,9811,14,9825,9826,14,9831,9831,14,9852,9853,14,9872,9873,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9936,9936,14,9941,9960,14,9974,9974,14,9982,9985,14,9992,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10145,10145,14,11013,11015,14,11503,11505,5,12334,12335,5,12951,12951,14,42612,42621,5,43014,43014,5,43047,43047,7,43204,43205,5,43335,43345,5,43395,43395,7,43450,43451,7,43561,43566,5,43573,43574,5,43644,43644,5,43710,43711,5,43758,43759,7,44005,44005,5,44012,44012,7,44060,44060,11,44116,44116,11,44172,44172,11,44228,44228,11,44284,44284,11,44340,44340,11,44396,44396,11,44452,44452,11,44508,44508,11,44564,44564,11,44620,44620,11,44676,44676,11,44732,44732,11,44788,44788,11,44844,44844,11,44900,44900,11,44956,44956,11,45012,45012,11,45068,45068,11,45124,45124,11,45180,45180,11,45236,45236,11,45292,45292,11,45348,45348,11,45404,45404,11,45460,45460,11,45516,45516,11,45572,45572,11,45628,45628,11,45684,45684,11,45740,45740,11,45796,45796,11,45852,45852,11,45908,45908,11,45964,45964,11,46020,46020,11,46076,46076,11,46132,46132,11,46188,46188,11,46244,46244,11,46300,46300,11,46356,46356,11,46412,46412,11,46468,46468,11,46524,46524,11,46580,46580,11,46636,46636,11,46692,46692,11,46748,46748,11,46804,46804,11,46860,46860,11,46916,46916,11,46972,46972,11,47028,47028,11,47084,47084,11,47140,47140,11,47196,47196,11,47252,47252,11,47308,47308,11,47364,47364,11,47420,47420,11,47476,47476,11,47532,47532,11,47588,47588,11,47644,47644,11,47700,47700,11,47756,47756,11,47812,47812,11,47868,47868,11,47924,47924,11,47980,47980,11,48036,48036,11,48092,48092,11,48148,48148,11,48204,48204,11,48260,48260,11,48316,48316,11,48372,48372,11,48428,48428,11,48484,48484,11,48540,48540,11,48596,48596,11,48652,48652,11,48708,48708,11,48764,48764,11,48820,48820,11,48876,48876,11,48932,48932,11,48988,48988,11,49044,49044,11,49100,49100,11,49156,49156,11,49212,49212,11,49268,49268,11,49324,49324,11,49380,49380,11,49436,49436,11,49492,49492,11,49548,49548,11,49604,49604,11,49660,49660,11,49716,49716,11,49772,49772,11,49828,49828,11,49884,49884,11,49940,49940,11,49996,49996,11,50052,50052,11,50108,50108,11,50164,50164,11,50220,50220,11,50276,50276,11,50332,50332,11,50388,50388,11,50444,50444,11,50500,50500,11,50556,50556,11,50612,50612,11,50668,50668,11,50724,50724,11,50780,50780,11,50836,50836,11,50892,50892,11,50948,50948,11,51004,51004,11,51060,51060,11,51116,51116,11,51172,51172,11,51228,51228,11,51284,51284,11,51340,51340,11,51396,51396,11,51452,51452,11,51508,51508,11,51564,51564,11,51620,51620,11,51676,51676,11,51732,51732,11,51788,51788,11,51844,51844,11,51900,51900,11,51956,51956,11,52012,52012,11,52068,52068,11,52124,52124,11,52180,52180,11,52236,52236,11,52292,52292,11,52348,52348,11,52404,52404,11,52460,52460,11,52516,52516,11,52572,52572,11,52628,52628,11,52684,52684,11,52740,52740,11,52796,52796,11,52852,52852,11,52908,52908,11,52964,52964,11,53020,53020,11,53076,53076,11,53132,53132,11,53188,53188,11,53244,53244,11,53300,53300,11,53356,53356,11,53412,53412,11,53468,53468,11,53524,53524,11,53580,53580,11,53636,53636,11,53692,53692,11,53748,53748,11,53804,53804,11,53860,53860,11,53916,53916,11,53972,53972,11,54028,54028,11,54084,54084,11,54140,54140,11,54196,54196,11,54252,54252,11,54308,54308,11,54364,54364,11,54420,54420,11,54476,54476,11,54532,54532,11,54588,54588,11,54644,54644,11,54700,54700,11,54756,54756,11,54812,54812,11,54868,54868,11,54924,54924,11,54980,54980,11,55036,55036,11,55092,55092,11,55148,55148,11,55216,55238,9,65056,65071,5,65529,65531,4,68097,68099,5,68159,68159,5,69446,69456,5,69688,69702,5,69808,69810,7,69815,69816,7,69821,69821,1,69888,69890,5,69932,69932,7,69957,69958,7,70016,70017,5,70067,70069,7,70079,70080,7,70089,70092,5,70095,70095,5,70191,70193,5,70196,70196,5,70198,70199,5,70367,70367,5,70371,70378,5,70402,70403,7,70462,70462,5,70464,70464,5,70471,70472,7,70487,70487,5,70502,70508,5,70709,70711,7,70720,70721,7,70725,70725,7,70750,70750,5,70833,70834,7,70841,70841,7,70843,70844,7,70846,70846,7,70849,70849,7,71087,71087,5,71090,71093,5,71100,71101,5,71103,71104,5,71216,71218,7,71227,71228,7,71230,71230,7,71339,71339,5,71341,71341,5,71344,71349,5,71351,71351,5,71456,71457,7,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123628,123631,5,125252,125258,5,126980,126980,14,127183,127183,14,127245,127247,14,127340,127343,14,127358,127359,14,127377,127386,14,127462,127487,6,127491,127503,14,127535,127535,14,127548,127551,14,127568,127569,14,127744,127777,14,127780,127891,14,127894,127895,14,127897,127899,14,127902,127984,14,127987,127989,14,127991,127994,14,128000,128253,14,128255,128317,14,128329,128334,14,128336,128359,14,128367,128368,14,128371,128377,14,128379,128390,14,128392,128393,14,128398,128399,14,128401,128404,14,128407,128419,14,128421,128421,14,128424,128424,14,128433,128434,14,128444,128444,14,128450,128452,14,128465,128467,14,128476,128478,14,128481,128481,14,128483,128483,14,128488,128488,14,128495,128495,14,128499,128499,14,128506,128591,14,128710,128714,14,128721,128722,14,128725,128725,14,128728,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129664,129666,14,129671,129679,14,129686,129704,14,129712,129718,14,129728,129730,14,129744,129750,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2259,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3134,3136,5,3142,3144,5,3157,3158,5,3201,3201,5,3260,3260,5,3263,3263,5,3266,3266,5,3270,3270,5,3274,3275,7,3285,3286,5,3328,3329,5,3387,3388,5,3391,3392,7,3398,3400,7,3405,3405,5,3415,3415,5,3457,3457,5,3530,3530,5,3536,3537,7,3542,3542,5,3551,3551,5,3633,3633,5,3636,3642,5,3761,3761,5,3764,3772,5,3864,3865,5,3895,3895,5,3902,3903,7,3967,3967,7,3974,3975,5,3993,4028,5,4141,4144,5,4146,4151,5,4155,4156,7,4182,4183,7,4190,4192,5,4226,4226,5,4229,4230,5,4253,4253,5,4448,4519,9,4957,4959,5,5938,5940,5,6002,6003,5,6070,6070,7,6078,6085,7,6087,6088,7,6109,6109,5,6158,6158,4,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6848,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7673,5,8203,8203,4,8205,8205,13,8232,8232,4,8234,8238,4,8265,8265,14,8293,8293,4,8400,8412,5,8417,8417,5,8421,8432,5,8505,8505,14,8617,8618,14,9000,9000,14,9167,9167,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9776,9783,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9935,14,9937,9937,14,9939,9940,14,9961,9962,14,9968,9973,14,9975,9978,14,9981,9981,14,9986,9986,14,9989,9989,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10084,14,10133,10135,14,10160,10160,14,10548,10549,14,11035,11036,14,11093,11093,14,11647,11647,5,12330,12333,5,12336,12336,14,12441,12442,5,12953,12953,14,42608,42610,5,42654,42655,5,43010,43010,5,43019,43019,5,43045,43046,5,43052,43052,5,43188,43203,7,43232,43249,5,43302,43309,5,43346,43347,7,43392,43394,5,43443,43443,5,43446,43449,5,43452,43453,5,43493,43493,5,43567,43568,7,43571,43572,7,43587,43587,5,43597,43597,7,43696,43696,5,43703,43704,5,43713,43713,5,43756,43757,5,43765,43765,7,44003,44004,7,44006,44007,7,44009,44010,7,44013,44013,5,44033,44059,12,44061,44087,12,44089,44115,12,44117,44143,12,44145,44171,12,44173,44199,12,44201,44227,12,44229,44255,12,44257,44283,12,44285,44311,12,44313,44339,12,44341,44367,12,44369,44395,12,44397,44423,12,44425,44451,12,44453,44479,12,44481,44507,12,44509,44535,12,44537,44563,12,44565,44591,12,44593,44619,12,44621,44647,12,44649,44675,12,44677,44703,12,44705,44731,12,44733,44759,12,44761,44787,12,44789,44815,12,44817,44843,12,44845,44871,12,44873,44899,12,44901,44927,12,44929,44955,12,44957,44983,12,44985,45011,12,45013,45039,12,45041,45067,12,45069,45095,12,45097,45123,12,45125,45151,12,45153,45179,12,45181,45207,12,45209,45235,12,45237,45263,12,45265,45291,12,45293,45319,12,45321,45347,12,45349,45375,12,45377,45403,12,45405,45431,12,45433,45459,12,45461,45487,12,45489,45515,12,45517,45543,12,45545,45571,12,45573,45599,12,45601,45627,12,45629,45655,12,45657,45683,12,45685,45711,12,45713,45739,12,45741,45767,12,45769,45795,12,45797,45823,12,45825,45851,12,45853,45879,12,45881,45907,12,45909,45935,12,45937,45963,12,45965,45991,12,45993,46019,12,46021,46047,12,46049,46075,12,46077,46103,12,46105,46131,12,46133,46159,12,46161,46187,12,46189,46215,12,46217,46243,12,46245,46271,12,46273,46299,12,46301,46327,12,46329,46355,12,46357,46383,12,46385,46411,12,46413,46439,12,46441,46467,12,46469,46495,12,46497,46523,12,46525,46551,12,46553,46579,12,46581,46607,12,46609,46635,12,46637,46663,12,46665,46691,12,46693,46719,12,46721,46747,12,46749,46775,12,46777,46803,12,46805,46831,12,46833,46859,12,46861,46887,12,46889,46915,12,46917,46943,12,46945,46971,12,46973,46999,12,47001,47027,12,47029,47055,12,47057,47083,12,47085,47111,12,47113,47139,12,47141,47167,12,47169,47195,12,47197,47223,12,47225,47251,12,47253,47279,12,47281,47307,12,47309,47335,12,47337,47363,12,47365,47391,12,47393,47419,12,47421,47447,12,47449,47475,12,47477,47503,12,47505,47531,12,47533,47559,12,47561,47587,12,47589,47615,12,47617,47643,12,47645,47671,12,47673,47699,12,47701,47727,12,47729,47755,12,47757,47783,12,47785,47811,12,47813,47839,12,47841,47867,12,47869,47895,12,47897,47923,12,47925,47951,12,47953,47979,12,47981,48007,12,48009,48035,12,48037,48063,12,48065,48091,12,48093,48119,12,48121,48147,12,48149,48175,12,48177,48203,12,48205,48231,12,48233,48259,12,48261,48287,12,48289,48315,12,48317,48343,12,48345,48371,12,48373,48399,12,48401,48427,12,48429,48455,12,48457,48483,12,48485,48511,12,48513,48539,12,48541,48567,12,48569,48595,12,48597,48623,12,48625,48651,12,48653,48679,12,48681,48707,12,48709,48735,12,48737,48763,12,48765,48791,12,48793,48819,12,48821,48847,12,48849,48875,12,48877,48903,12,48905,48931,12,48933,48959,12,48961,48987,12,48989,49015,12,49017,49043,12,49045,49071,12,49073,49099,12,49101,49127,12,49129,49155,12,49157,49183,12,49185,49211,12,49213,49239,12,49241,49267,12,49269,49295,12,49297,49323,12,49325,49351,12,49353,49379,12,49381,49407,12,49409,49435,12,49437,49463,12,49465,49491,12,49493,49519,12,49521,49547,12,49549,49575,12,49577,49603,12,49605,49631,12,49633,49659,12,49661,49687,12,49689,49715,12,49717,49743,12,49745,49771,12,49773,49799,12,49801,49827,12,49829,49855,12,49857,49883,12,49885,49911,12,49913,49939,12,49941,49967,12,49969,49995,12,49997,50023,12,50025,50051,12,50053,50079,12,50081,50107,12,50109,50135,12,50137,50163,12,50165,50191,12,50193,50219,12,50221,50247,12,50249,50275,12,50277,50303,12,50305,50331,12,50333,50359,12,50361,50387,12,50389,50415,12,50417,50443,12,50445,50471,12,50473,50499,12,50501,50527,12,50529,50555,12,50557,50583,12,50585,50611,12,50613,50639,12,50641,50667,12,50669,50695,12,50697,50723,12,50725,50751,12,50753,50779,12,50781,50807,12,50809,50835,12,50837,50863,12,50865,50891,12,50893,50919,12,50921,50947,12,50949,50975,12,50977,51003,12,51005,51031,12,51033,51059,12,51061,51087,12,51089,51115,12,51117,51143,12,51145,51171,12,51173,51199,12,51201,51227,12,51229,51255,12,51257,51283,12,51285,51311,12,51313,51339,12,51341,51367,12,51369,51395,12,51397,51423,12,51425,51451,12,51453,51479,12,51481,51507,12,51509,51535,12,51537,51563,12,51565,51591,12,51593,51619,12,51621,51647,12,51649,51675,12,51677,51703,12,51705,51731,12,51733,51759,12,51761,51787,12,51789,51815,12,51817,51843,12,51845,51871,12,51873,51899,12,51901,51927,12,51929,51955,12,51957,51983,12,51985,52011,12,52013,52039,12,52041,52067,12,52069,52095,12,52097,52123,12,52125,52151,12,52153,52179,12,52181,52207,12,52209,52235,12,52237,52263,12,52265,52291,12,52293,52319,12,52321,52347,12,52349,52375,12,52377,52403,12,52405,52431,12,52433,52459,12,52461,52487,12,52489,52515,12,52517,52543,12,52545,52571,12,52573,52599,12,52601,52627,12,52629,52655,12,52657,52683,12,52685,52711,12,52713,52739,12,52741,52767,12,52769,52795,12,52797,52823,12,52825,52851,12,52853,52879,12,52881,52907,12,52909,52935,12,52937,52963,12,52965,52991,12,52993,53019,12,53021,53047,12,53049,53075,12,53077,53103,12,53105,53131,12,53133,53159,12,53161,53187,12,53189,53215,12,53217,53243,12,53245,53271,12,53273,53299,12,53301,53327,12,53329,53355,12,53357,53383,12,53385,53411,12,53413,53439,12,53441,53467,12,53469,53495,12,53497,53523,12,53525,53551,12,53553,53579,12,53581,53607,12,53609,53635,12,53637,53663,12,53665,53691,12,53693,53719,12,53721,53747,12,53749,53775,12,53777,53803,12,53805,53831,12,53833,53859,12,53861,53887,12,53889,53915,12,53917,53943,12,53945,53971,12,53973,53999,12,54001,54027,12,54029,54055,12,54057,54083,12,54085,54111,12,54113,54139,12,54141,54167,12,54169,54195,12,54197,54223,12,54225,54251,12,54253,54279,12,54281,54307,12,54309,54335,12,54337,54363,12,54365,54391,12,54393,54419,12,54421,54447,12,54449,54475,12,54477,54503,12,54505,54531,12,54533,54559,12,54561,54587,12,54589,54615,12,54617,54643,12,54645,54671,12,54673,54699,12,54701,54727,12,54729,54755,12,54757,54783,12,54785,54811,12,54813,54839,12,54841,54867,12,54869,54895,12,54897,54923,12,54925,54951,12,54953,54979,12,54981,55007,12,55009,55035,12,55037,55063,12,55065,55091,12,55093,55119,12,55121,55147,12,55149,55175,12,55177,55203,12,55243,55291,10,65024,65039,5,65279,65279,4,65520,65528,4,66045,66045,5,66422,66426,5,68101,68102,5,68152,68154,5,68325,68326,5,69291,69292,5,69632,69632,7,69634,69634,7,69759,69761,5]")}}),define(ee[22],te([0,1,21,52]),function(H,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const _=typeof Buffer!="undefined",R=typeof TextEncoder!="undefined",P=typeof TextDecoder!="undefined";let A,y;class E{constructor(r){this.buffer=r,this.byteLength=this.buffer.byteLength}static alloc(r){return _?new E(Buffer.allocUnsafe(r)):new E(new Uint8Array(r))}static wrap(r){return _&&!Buffer.isBuffer(r)&&(r=Buffer.from(r.buffer,r.byteOffset,r.byteLength)),new E(r)}static fromString(r,l){return!((l==null?void 0:l.dontUseNodeBuffer)||!1)&&_?new E(Buffer.from(r)):R?(A||(A=new TextEncoder),new E(A.encode(r))):new E(v.encodeUTF8(r))}static concat(r,l){if(typeof l=="undefined"){l=0;for(let p=0,d=r.length;p<d;p++)l+=r[p].byteLength}const u=E.alloc(l);let m=0;for(let p=0,d=r.length;p<d;p++){const O=r[p];u.set(O,m),m+=O.byteLength}return u}toString(){return _?this.buffer.toString():P?(y||(y=new TextDecoder),y.decode(this.buffer)):v.decodeUTF8(this.buffer)}slice(r,l){return new E(this.buffer.subarray(r,l))}set(r,l){r instanceof E?this.buffer.set(r.buffer,l):this.buffer.set(r,l)}readUInt32BE(r){return S(this.buffer,r)}writeUInt32BE(r,l){C(this.buffer,r,l)}readUInt32LE(r){return a(this.buffer,r)}writeUInt32LE(r,l){I(this.buffer,r,l)}readUInt8(r){return w(this.buffer,r)}writeUInt8(r,l){b(this.buffer,r,l)}}e.VSBuffer=E;function D(h,r){return h[r+0]<<0>>>0|h[r+1]<<8>>>0}e.readUInt16LE=D;function f(h,r,l){h[l+0]=r&255,r=r>>>8,h[l+1]=r&255}e.writeUInt16LE=f;function S(h,r){return h[r]*2**24+h[r+1]*2**16+h[r+2]*2**8+h[r+3]}e.readUInt32BE=S;function C(h,r,l){h[l+3]=r,r=r>>>8,h[l+2]=r,r=r>>>8,h[l+1]=r,r=r>>>8,h[l]=r}e.writeUInt32BE=C;function a(h,r){return h[r+0]<<0>>>0|h[r+1]<<8>>>0|h[r+2]<<16>>>0|h[r+3]<<24>>>0}e.readUInt32LE=a;function I(h,r,l){h[l+0]=r&255,r=r>>>8,h[l+1]=r&255,r=r>>>8,h[l+2]=r&255,r=r>>>8,h[l+3]=r&255}e.writeUInt32LE=I;function w(h,r){return h[r]}e.readUInt8=w;function b(h,r,l){h[l]=r}e.writeUInt8=b;function g(h){return k.consumeReadable(h,r=>E.concat(r))}e.readableToBuffer=g;function c(h){return k.toReadable(h)}e.bufferToReadable=c;function s(h){return k.consumeStream(h,r=>E.concat(r))}e.streamToBuffer=s;async function i(h){return h.ended?E.concat(h.buffer):E.concat([...h.buffer,await s(h.stream)])}e.bufferedStreamToBuffer=i;function t(h){return k.toStream(h,r=>E.concat(r))}e.bufferToStream=t;function n(h){return k.transform(h,{data:r=>typeof r=="string"?E.fromString(r):E.wrap(r)},r=>E.concat(r))}e.streamToBufferReadableStream=n;function o(h){return k.newWriteableStream(r=>E.concat(r),h)}e.newWriteableBufferStream=o}),define(ee[15],te([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotImplementedProxy=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isNumber=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function v(r){return Array.isArray(r)}e.isArray=v;function k(r){return typeof r=="string"}e.isString=k;function _(r){return Array.isArray(r)&&r.every(l=>k(l))}e.isStringArray=_;function R(r){return typeof r=="object"&&r!==null&&!Array.isArray(r)&&!(r instanceof RegExp)&&!(r instanceof Date)}e.isObject=R;function P(r){return typeof r=="number"&&!isNaN(r)}e.isNumber=P;function A(r){return r===!0||r===!1}e.isBoolean=A;function y(r){return typeof r=="undefined"}e.isUndefined=y;function E(r){return!D(r)}e.isDefined=E;function D(r){return y(r)||r===null}e.isUndefinedOrNull=D;function f(r,l){if(!r)throw new Error(l?`Unexpected type, expected '${l}'`:"Unexpected type")}e.assertType=f;function S(r){if(D(r))throw new Error("Assertion Failed: argument is undefined or null");return r}e.assertIsDefined=S;function C(...r){const l=[];for(let u=0;u<r.length;u++){const m=r[u];if(D(m))throw new Error(`Assertion Failed: argument at index ${u} is undefined or null`);l.push(m)}return l}e.assertAllDefined=C;const a=Object.prototype.hasOwnProperty;function I(r){if(!R(r))return!1;for(let l in r)if(a.call(r,l))return!1;return!0}e.isEmptyObject=I;function w(r){return typeof r=="function"}e.isFunction=w;function b(...r){return r.length>0&&r.every(w)}e.areFunctions=b;function g(r,l){const u=Math.min(r.length,l.length);for(let m=0;m<u;m++)c(r[m],l[m])}e.validateConstraints=g;function c(r,l){if(k(l)){if(typeof r!==l)throw new Error(`argument does not match constraint: typeof ${l}`)}else if(w(l)){try{if(r instanceof l)return}catch(u){}if(!D(r)&&r.constructor===l||l.length===1&&l.call(void 0,r)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=c;function s(r){let l=[],u=Object.getPrototypeOf(r);for(;Object.prototype!==u;)l=l.concat(Object.getOwnPropertyNames(u)),u=Object.getPrototypeOf(u);return l}e.getAllPropertyNames=s;function i(r){const l=[];for(const u of s(r))typeof r[u]=="function"&&l.push(u);return l}e.getAllMethodNames=i;function t(r,l){const u=p=>function(){const d=Array.prototype.slice.call(arguments,0);return l(p,d)};let m={};for(const p of r)m[p]=u(p);return m}e.createProxyObject=t;function n(r){return r===null?void 0:r}e.withNullAsUndefined=n;function o(r){return typeof r=="undefined"?null:r}e.withUndefinedAsNull=o;function h(r){return class{constructor(){return new Proxy({},{get(l,u){if(l[u])return l[u];throw new Error(`Not Implemented: ${r}->${String(u)}`)}})}}}e.NotImplementedProxy=h}),define(ee[42],te([0,1,6,21,8,15]),function(H,e,v,k,_,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toSlashes=e.isPathSeparator=void 0;function P(n){return n===47||n===92}e.isPathSeparator=P;function A(n){return n.replace(/[\\/]/g,_.posix.sep)}e.toSlashes=A;function y(n,o=_.posix.sep){if(!n)return"";const h=n.length,r=n.charCodeAt(0);if(P(r)){if(P(n.charCodeAt(1))&&!P(n.charCodeAt(2))){let u=3;const m=u;for(;u<h&&!P(n.charCodeAt(u));u++);if(m!==u&&!P(n.charCodeAt(u+1))){for(u+=1;u<h;u++)if(P(n.charCodeAt(u)))return n.slice(0,u+1).replace(/[\\/]/g,o)}}return o}else if(w(r)&&n.charCodeAt(1)===58)return P(n.charCodeAt(2))?n.slice(0,2)+o:n.slice(0,2);let l=n.indexOf("://");if(l!==-1){for(l+=3;l<h;l++)if(P(n.charCodeAt(l)))return n.slice(0,l+1)}return""}e.getRoot=y;function E(n){if(!v.isWindows||!n||n.length<5)return!1;let o=n.charCodeAt(0);if(o!==92||(o=n.charCodeAt(1),o!==92))return!1;let h=2;const r=h;for(;h<n.length&&(o=n.charCodeAt(h),o!==92);h++);return!(r===h||(o=n.charCodeAt(h+1),isNaN(o)||o===92))}e.isUNC=E;const D=/[\\/:\*\?"<>\|]/g,f=/[\\/]/g,S=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function C(n,o=v.isWindows){const h=o?D:f;return!(!n||n.length===0||/^\s+$/.test(n)||(h.lastIndex=0,h.test(n))||o&&S.test(n)||n==="."||n===".."||o&&n[n.length-1]==="."||o&&n.length!==n.trim().length||n.length>255)}e.isValidBasename=C;function a(n,o,h){const r=n===o;return!h||r?r:!n||!o?!1:k.equalsIgnoreCase(n,o)}e.isEqual=a;function I(n,o,h,r=_.sep){if(n===o)return!0;if(!n||!o||o.length>n.length)return!1;if(h){if(!k.startsWithIgnoreCase(n,o))return!1;if(o.length===n.length)return!0;let u=o.length;return o.charAt(o.length-1)===r&&u--,n.charAt(u)===r}return o.charAt(o.length-1)!==r&&(o+=r),n.indexOf(o)===0}e.isEqualOrParent=I;function w(n){return n>=65&&n<=90||n>=97&&n<=122}e.isWindowsDriveLetter=w;function b(n,o){return v.isWindows&&n.endsWith(":")&&(n+=_.sep),_.isAbsolute(n)||(n=_.join(o,n)),n=_.normalize(n),v.isWindows?(n=k.rtrim(n,_.sep),n.endsWith(":")&&(n+=_.sep)):(n=k.rtrim(n,_.sep),n||(n=_.sep)),n}e.sanitizeFilePath=b;function g(n){const o=_.normalize(n);return v.isWindows?n.length>3?!1:c(o)&&(n.length===2||o.charCodeAt(2)===92):o===_.posix.sep}e.isRootOrDriveLetter=g;function c(n){return v.isWindows?w(n.charCodeAt(0))&&n.charCodeAt(1)===58:!1}e.hasDriveLetter=c;function s(n){return c(n)?n[0]:void 0}e.getDriveLetter=s;function i(n,o,h){return o.length>n.length?-1:n===o?0:(h&&(n=n.toLowerCase(),o=o.toLowerCase()),n.indexOf(o))}e.indexOfPath=i;function t(n){const o=n.split(":");let h,r,l;if(o.forEach(u=>{const m=Number(u);R.isNumber(m)?r===void 0?r=m:l===void 0&&(l=m):h=h?[h,u].join(":"):u}),!h)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:h,line:r!==void 0?r:void 0,column:l!==void 0?l:r!==void 0?1:void 0}}e.parseLineAndColumnAware=t}),define(ee[24],te([0,1,15]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getCaseInsensitive=e.distinct=e.getOrDefault=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function k(a){if(!a||typeof a!="object"||a instanceof RegExp)return a;const I=Array.isArray(a)?[]:{};return Object.keys(a).forEach(w=>{a[w]&&typeof a[w]=="object"?I[w]=k(a[w]):I[w]=a[w]}),I}e.deepClone=k;function _(a){if(!a||typeof a!="object")return a;const I=[a];for(;I.length>0;){const w=I.shift();Object.freeze(w);for(const b in w)if(R.call(w,b)){const g=w[b];typeof g=="object"&&!Object.isFrozen(g)&&I.push(g)}}return a}e.deepFreeze=_;const R=Object.prototype.hasOwnProperty;function P(a,I){return A(a,I,new Set)}e.cloneAndChange=P;function A(a,I,w){if(v.isUndefinedOrNull(a))return a;const b=I(a);if(typeof b!="undefined")return b;if(v.isArray(a)){const g=[];for(const c of a)g.push(A(c,I,w));return g}if(v.isObject(a)){if(w.has(a))throw new Error("Cannot clone recursive data-structure");w.add(a);const g={};for(let c in a)R.call(a,c)&&(g[c]=A(a[c],I,w));return w.delete(a),g}return a}function y(a,I,w=!0){return v.isObject(a)?(v.isObject(I)&&Object.keys(I).forEach(b=>{b in a?w&&(v.isObject(a[b])&&v.isObject(I[b])?y(a[b],I[b],w):a[b]=I[b]):a[b]=I[b]}),a):I}e.mixin=y;function E(a,I){if(a===I)return!0;if(a==null||I===null||I===void 0||typeof a!=typeof I||typeof a!="object"||Array.isArray(a)!==Array.isArray(I))return!1;let w,b;if(Array.isArray(a)){if(a.length!==I.length)return!1;for(w=0;w<a.length;w++)if(!E(a[w],I[w]))return!1}else{const g=[];for(b in a)g.push(b);g.sort();const c=[];for(b in I)c.push(b);if(c.sort(),!E(g,c))return!1;for(w=0;w<g.length;w++)if(!E(a[g[w]],I[g[w]]))return!1}return!0}e.equals=E;function D(a){const I=new Set;return JSON.stringify(a,(w,b)=>{if(v.isObject(b)||Array.isArray(b)){if(I.has(b))return"[Circular]";I.add(b)}return b})}e.safeStringify=D;function f(a,I,w){const b=I(a);return typeof b=="undefined"?w:b}e.getOrDefault=f;function S(a,I){const w=Object.create(null);return!a||!I||Object.keys(I).forEach(g=>{const c=a[g],s=I[g];E(c,s)||(w[g]=s)}),w}e.distinct=S;function C(a,I){const w=I.toLowerCase(),b=Object.keys(a).find(g=>g.toLowerCase()===w);return b?a[b]:a[I]}e.getCaseInsensitive=C}),define(ee[7],te([0,1,6,8]),function(H,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const _=/^\w[\w\d+.-]*$/,R=/^\//,P=/^\/\//;function A(o,h){if(!o.scheme&&h)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${o.authority}", path: "${o.path}", query: "${o.query}", fragment: "${o.fragment}"}`);if(o.scheme&&!_.test(o.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(o.path){if(o.authority){if(!R.test(o.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(P.test(o.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function y(o,h){return!o&&!h?"file":o}function E(o,h){switch(o){case"https":case"http":case"file":h?h[0]!==f&&(h=f+h):h=f;break}return h}const D="",f="/",S=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class C{constructor(h,r,l,u,m,p=!1){typeof h=="object"?(this.scheme=h.scheme||D,this.authority=h.authority||D,this.path=h.path||D,this.query=h.query||D,this.fragment=h.fragment||D):(this.scheme=y(h,p),this.authority=r||D,this.path=E(this.scheme,l||D),this.query=u||D,this.fragment=m||D,A(this,p))}static isUri(h){return h instanceof C?!0:h?typeof h.authority=="string"&&typeof h.fragment=="string"&&typeof h.path=="string"&&typeof h.query=="string"&&typeof h.scheme=="string"&&typeof h.fsPath=="string"&&typeof h.with=="function"&&typeof h.toString=="function":!1}get fsPath(){return c(this,!1)}with(h){if(!h)return this;let{scheme:r,authority:l,path:u,query:m,fragment:p}=h;return r===void 0?r=this.scheme:r===null&&(r=D),l===void 0?l=this.authority:l===null&&(l=D),u===void 0?u=this.path:u===null&&(u=D),m===void 0?m=this.query:m===null&&(m=D),p===void 0?p=this.fragment:p===null&&(p=D),r===this.scheme&&l===this.authority&&u===this.path&&m===this.query&&p===this.fragment?this:new I(r,l,u,m,p)}static parse(h,r=!1){const l=S.exec(h);return l?new I(l[2]||D,n(l[4]||D),n(l[5]||D),n(l[7]||D),n(l[9]||D),r):new I(D,D,D,D,D)}static file(h){let r=D;if(v.isWindows&&(h=h.replace(/\\/g,f)),h[0]===f&&h[1]===f){const l=h.indexOf(f,2);l===-1?(r=h.substring(2),h=f):(r=h.substring(2,l),h=h.substring(l)||f)}return new I("file",r,h,D,D)}static from(h){return new I(h.scheme,h.authority,h.path,h.query,h.fragment)}static joinPath(h,...r){if(!h.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let l;return v.isWindows&&h.scheme==="file"?l=C.file(k.win32.join(c(h,!0),...r)).path:l=k.posix.join(h.path,...r),h.with({path:l})}toString(h=!1){return s(this,h)}toJSON(){return this}static revive(h){if(h){if(h instanceof C)return h;{const r=new I(h);return r._formatted=h.external,r._fsPath=h._sep===a?h.fsPath:null,r}}else return h}}e.URI=C;const a=v.isWindows?1:void 0;class I extends C{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=c(this,!1)),this._fsPath}toString(h=!1){return h?s(this,!0):(this._formatted||(this._formatted=s(this,!1)),this._formatted)}toJSON(){const h={$mid:1};return this._fsPath&&(h.fsPath=this._fsPath,h._sep=a),this._formatted&&(h.external=this._formatted),this.path&&(h.path=this.path),this.scheme&&(h.scheme=this.scheme),this.authority&&(h.authority=this.authority),this.query&&(h.query=this.query),this.fragment&&(h.fragment=this.fragment),h}}const w={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function b(o,h){let r,l=-1;for(let u=0;u<o.length;u++){const m=o.charCodeAt(u);if(m>=97&&m<=122||m>=65&&m<=90||m>=48&&m<=57||m===45||m===46||m===95||m===126||h&&m===47)l!==-1&&(r+=encodeURIComponent(o.substring(l,u)),l=-1),r!==void 0&&(r+=o.charAt(u));else{r===void 0&&(r=o.substr(0,u));const p=w[m];p!==void 0?(l!==-1&&(r+=encodeURIComponent(o.substring(l,u)),l=-1),r+=p):l===-1&&(l=u)}}return l!==-1&&(r+=encodeURIComponent(o.substring(l))),r!==void 0?r:o}function g(o){let h;for(let r=0;r<o.length;r++){const l=o.charCodeAt(r);l===35||l===63?(h===void 0&&(h=o.substr(0,r)),h+=w[l]):h!==void 0&&(h+=o[r])}return h!==void 0?h:o}function c(o,h){let r;return o.authority&&o.path.length>1&&o.scheme==="file"?r=`//${o.authority}${o.path}`:o.path.charCodeAt(0)===47&&(o.path.charCodeAt(1)>=65&&o.path.charCodeAt(1)<=90||o.path.charCodeAt(1)>=97&&o.path.charCodeAt(1)<=122)&&o.path.charCodeAt(2)===58?h?r=o.path.substr(1):r=o.path[1].toLowerCase()+o.path.substr(2):r=o.path,v.isWindows&&(r=r.replace(/\//g,"\\")),r}e.uriToFsPath=c;function s(o,h){const r=h?g:b;let l="",{scheme:u,authority:m,path:p,query:d,fragment:O}=o;if(u&&(l+=u,l+=":"),(m||u==="file")&&(l+=f,l+=f),m){let U=m.indexOf("@");if(U!==-1){const j=m.substr(0,U);m=m.substr(U+1),U=j.indexOf(":"),U===-1?l+=r(j,!1):(l+=r(j.substr(0,U),!1),l+=":",l+=r(j.substr(U+1),!1)),l+="@"}m=m.toLowerCase(),U=m.indexOf(":"),U===-1?l+=r(m,!1):(l+=r(m.substr(0,U),!1),l+=m.substr(U))}if(p){if(p.length>=3&&p.charCodeAt(0)===47&&p.charCodeAt(2)===58){const U=p.charCodeAt(1);U>=65&&U<=90&&(p=`/${String.fromCharCode(U+32)}:${p.substr(3)}`)}else if(p.length>=2&&p.charCodeAt(1)===58){const U=p.charCodeAt(0);U>=65&&U<=90&&(p=`${String.fromCharCode(U+32)}:${p.substr(2)}`)}l+=r(p,!0)}return d&&(l+="?",l+=r(d,!1)),O&&(l+="#",l+=h?O:b(O,!1)),l}function i(o){try{return decodeURIComponent(o)}catch(h){return o.length>3?o.substr(0,3)+i(o.substr(3)):o}}const t=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function n(o){return o.match(t)?o.replace(t,h=>i(h)):o}}),define(ee[86],te([0,1,7]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.log=e.getFirstFrame=e.parse=e.isRemoteConsoleLog=void 0;function k(E){const D=E;return D&&typeof D.type=="string"&&typeof D.severity=="string"}e.isRemoteConsoleLog=k;function _(E){const D=[];let f;try{const S=JSON.parse(E.arguments),C=S[S.length-1];C&&C.__$stack&&(S.pop(),f=C.__$stack),D.push(...S)}catch(S){D.push("Unable to log remote console arguments",E.arguments)}return{args:D,stack:f}}e.parse=_;function R(E){if(typeof E!="string")return R(_(E).stack);const D=E;if(D){const f=P(D),S=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(f||"");if(S&&S.length===4)return{uri:v.URI.file(S[1]),line:Number(S[2]),column:Number(S[3])}}}e.getFirstFrame=R;function P(E){if(!E)return E;const D=E.indexOf(`
`);return D===-1?E:E.substring(0,D)}function A(E,D){const{args:f,stack:S}=_(E),C=typeof f[0]=="string"&&f.length===1;let a=P(S);a&&(a=`(${a.trim()})`);let I=[];if(typeof f[0]=="string"?a&&C?I=[`%c[${D}] %c${f[0]} %c${a}`,y("blue"),y(""),y("grey")]:I=[`%c[${D}] %c${f[0]}`,y("blue"),y(""),...f.slice(1)]:I=[`%c[${D}]%`,y("blue"),...f],a&&!C&&I.push(a),typeof console[E.severity]!="function")throw new Error("Unknown console method");console[E.severity].apply(console,I)}e.log=A;function y(E){return`color: ${E}`}}),define(ee[37],te([0,1,7,21]),function(H,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function _(g,c,s){let i=g.get(c);return i===void 0&&(i=s,g.set(c,i)),i}e.getOrSet=_;function R(g){const c=[];return g.forEach((s,i)=>{c.push(`${i} => ${s}`)}),`Map(${g.size}) {${c.join(", ")}}`}e.mapToString=R;function P(g){const c=[];return g.forEach(s=>{c.push(s)}),`Set(${g.size}) {${c.join(", ")}}`}e.setToString=P;class A{constructor(){this._value="",this._pos=0}reset(c){return this._value=c,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(c){const s=c.charCodeAt(0),i=this._value.charCodeAt(this._pos);return s-i}value(){return this._value[this._pos]}}e.StringIterator=A;class y{constructor(c=!0){this._caseSensitive=c}reset(c){return this._value=c,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let c=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(c)this._from++;else break;else c=!1;return this}cmp(c){return this._caseSensitive?k.compareSubstring(c,this._value,0,c.length,this._from,this._to):k.compareSubstringIgnoreCase(c,this._value,0,c.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=y;class E{constructor(c=!0,s=!0){this._splitOnBackslash=c,this._caseSensitive=s}reset(c){return this._value=c.replace(/\\$|\/$/,""),this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let c=!0;for(;this._to<this._value.length;this._to++){const s=this._value.charCodeAt(this._to);if(s===47||this._splitOnBackslash&&s===92)if(c)this._from++;else break;else c=!1}return this}cmp(c){return this._caseSensitive?k.compareSubstring(c,this._value,0,c.length,this._from,this._to):k.compareSubstringIgnoreCase(c,this._value,0,c.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=E;var D;(function(g){g[g.Scheme=1]="Scheme",g[g.Authority=2]="Authority",g[g.Path=3]="Path",g[g.Query=4]="Query",g[g.Fragment=5]="Fragment"})(D||(D={}));class f{constructor(c){this._ignorePathCasing=c,this._states=[],this._stateIdx=0}reset(c){return this._value=c,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new E(!1,!this._ignorePathCasing(c)),this._pathIterator.reset(c.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(c){if(this._states[this._stateIdx]===1)return k.compareIgnoreCase(c,this._value.scheme);if(this._states[this._stateIdx]===2)return k.compareIgnoreCase(c,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(c);if(this._states[this._stateIdx]===4)return k.compare(c,this._value.query);if(this._states[this._stateIdx]===5)return k.compare(c,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=f;class S{isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}}class C{constructor(c){this._iter=c}static forUris(c=()=>!1){return new C(new f(c))}static forPaths(){return new C(new E)}static forStrings(){return new C(new A)}static forConfigKeys(){return new C(new y)}clear(){this._root=void 0}set(c,s){const i=this._iter.reset(c);let t;for(this._root||(this._root=new S,this._root.segment=i.value()),t=this._root;;){const o=i.cmp(t.segment);if(o>0)t.left||(t.left=new S,t.left.segment=i.value()),t=t.left;else if(o<0)t.right||(t.right=new S,t.right.segment=i.value()),t=t.right;else if(i.hasNext())i.next(),t.mid||(t.mid=new S,t.mid.segment=i.value()),t=t.mid;else break}const n=t.value;return t.value=s,t.key=c,n}get(c){var s;return(s=this._getNode(c))===null||s===void 0?void 0:s.value}_getNode(c){const s=this._iter.reset(c);let i=this._root;for(;i;){const t=s.cmp(i.segment);if(t>0)i=i.left;else if(t<0)i=i.right;else if(s.hasNext())s.next(),i=i.mid;else break}return i}has(c){const s=this._getNode(c);return!((s==null?void 0:s.value)===void 0&&(s==null?void 0:s.mid)===void 0)}delete(c){return this._delete(c,!1)}deleteSuperstr(c){return this._delete(c,!0)}_delete(c,s){const i=this._iter.reset(c),t=[];let n=this._root;for(;n;){const o=i.cmp(n.segment);if(o>0)t.push([1,n]),n=n.left;else if(o<0)t.push([-1,n]),n=n.right;else if(i.hasNext())i.next(),t.push([0,n]),n=n.mid;else{for(s?(n.left=void 0,n.mid=void 0,n.right=void 0):n.value=void 0;t.length>0&&n.isEmpty();){let[h,r]=t.pop();switch(h){case 1:r.left=void 0;break;case 0:r.mid=void 0;break;case-1:r.right=void 0;break}n=r}break}}}findSubstr(c){const s=this._iter.reset(c);let i=this._root,t;for(;i;){const n=s.cmp(i.segment);if(n>0)i=i.left;else if(n<0)i=i.right;else if(s.hasNext())s.next(),t=i.value||t,i=i.mid;else break}return i&&i.value||t}findSuperstr(c){const s=this._iter.reset(c);let i=this._root;for(;i;){const t=s.cmp(i.segment);if(t>0)i=i.left;else if(t<0)i=i.right;else if(s.hasNext())s.next(),i=i.mid;else return i.mid?this._entries(i.mid):void 0}}forEach(c){for(const[s,i]of this)c(i,s)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(c){c&&(yield*this._entries(c.left),c.value&&(yield[c.key,c.value]),yield*this._entries(c.mid),yield*this._entries(c.right))}}e.TernarySearchTree=C;class a{constructor(c,s){this[Symbol.toStringTag]="ResourceMap",c instanceof a?(this.map=new Map(c.map),this.toKey=s!=null?s:a.defaultToKey):(this.map=new Map,this.toKey=c!=null?c:a.defaultToKey)}set(c,s){return this.map.set(this.toKey(c),s),this}get(c){return this.map.get(this.toKey(c))}has(c){return this.map.has(this.toKey(c))}get size(){return this.map.size}clear(){this.map.clear()}delete(c){return this.map.delete(this.toKey(c))}forEach(c,s){typeof s!="undefined"&&(c=c.bind(s));for(let[i,t]of this.map)c(t,v.URI.parse(i),this)}values(){return this.map.values()}*keys(){for(let c of this.map.keys())yield v.URI.parse(c)}*entries(){for(let c of this.map.entries())yield[v.URI.parse(c[0]),c[1]]}*[Symbol.iterator](){for(let c of this.map)yield[v.URI.parse(c[0]),c[1]]}}e.ResourceMap=a,a.defaultToKey=g=>g.toString();var I;(function(g){g[g.None=0]="None",g[g.AsOld=1]="AsOld",g[g.AsNew=2]="AsNew"})(I=e.Touch||(e.Touch={}));class w{constructor(){this[Symbol.toStringTag]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){var c;return(c=this._head)===null||c===void 0?void 0:c.value}get last(){var c;return(c=this._tail)===null||c===void 0?void 0:c.value}has(c){return this._map.has(c)}get(c,s=0){const i=this._map.get(c);if(!!i)return s!==0&&this.touch(i,s),i.value}set(c,s,i=0){let t=this._map.get(c);if(t)t.value=s,i!==0&&this.touch(t,i);else{switch(t={key:c,value:s,next:void 0,previous:void 0},i){case 0:this.addItemLast(t);break;case 1:this.addItemFirst(t);break;case 2:this.addItemLast(t);break;default:this.addItemLast(t);break}this._map.set(c,t),this._size++}return this}delete(c){return!!this.remove(c)}remove(c){const s=this._map.get(c);if(!!s)return this._map.delete(c),this.removeItem(s),this._size--,s.value}shift(){if(!(!this._head&&!this._tail)){if(!this._head||!this._tail)throw new Error("Invalid list");const c=this._head;return this._map.delete(c.key),this.removeItem(c),this._size--,c.value}}forEach(c,s){const i=this._state;let t=this._head;for(;t;){if(s?c.bind(s)(t.value,t.key,this):c(t.value,t.key,this),this._state!==i)throw new Error("LinkedMap got modified during iteration.");t=t.next}}keys(){const c=this,s=this._state;let i=this._head;const t={[Symbol.iterator](){return t},next(){if(c._state!==s)throw new Error("LinkedMap got modified during iteration.");if(i){const n={value:i.key,done:!1};return i=i.next,n}else return{value:void 0,done:!0}}};return t}values(){const c=this,s=this._state;let i=this._head;const t={[Symbol.iterator](){return t},next(){if(c._state!==s)throw new Error("LinkedMap got modified during iteration.");if(i){const n={value:i.value,done:!1};return i=i.next,n}else return{value:void 0,done:!0}}};return t}entries(){const c=this,s=this._state;let i=this._head;const t={[Symbol.iterator](){return t},next(){if(c._state!==s)throw new Error("LinkedMap got modified during iteration.");if(i){const n={value:[i.key,i.value],done:!1};return i=i.next,n}else return{value:void 0,done:!0}}};return t}[Symbol.iterator](){return this.entries()}trimOld(c){if(!(c>=this.size)){if(c===0){this.clear();return}let s=this._head,i=this.size;for(;s&&i>c;)this._map.delete(s.key),s=s.next,i--;this._head=s,this._size=i,s&&(s.previous=void 0),this._state++}}addItemFirst(c){if(!this._head&&!this._tail)this._tail=c;else if(this._head)c.next=this._head,this._head.previous=c;else throw new Error("Invalid list");this._head=c,this._state++}addItemLast(c){if(!this._head&&!this._tail)this._head=c;else if(this._tail)c.previous=this._tail,this._tail.next=c;else throw new Error("Invalid list");this._tail=c,this._state++}removeItem(c){if(c===this._head&&c===this._tail)this._head=void 0,this._tail=void 0;else if(c===this._head){if(!c.next)throw new Error("Invalid list");c.next.previous=void 0,this._head=c.next}else if(c===this._tail){if(!c.previous)throw new Error("Invalid list");c.previous.next=void 0,this._tail=c.previous}else{const s=c.next,i=c.previous;if(!s||!i)throw new Error("Invalid list");s.previous=i,i.next=s}c.next=void 0,c.previous=void 0,this._state++}touch(c,s){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(s!==1&&s!==2)){if(s===1){if(c===this._head)return;const i=c.next,t=c.previous;c===this._tail?(t.next=void 0,this._tail=t):(i.previous=t,t.next=i),c.previous=void 0,c.next=this._head,this._head.previous=c,this._head=c,this._state++}else if(s===2){if(c===this._tail)return;const i=c.next,t=c.previous;c===this._head?(i.previous=void 0,this._head=i):(i.previous=t,t.next=i),c.next=void 0,c.previous=this._tail,this._tail.next=c,this._tail=c,this._state++}}}toJSON(){const c=[];return this.forEach((s,i)=>{c.push([i,s])}),c}fromJSON(c){this.clear();for(const[s,i]of c)this.set(s,i)}}e.LinkedMap=w;class b extends w{constructor(c,s=1){super();this._limit=c,this._ratio=Math.min(Math.max(0,s),1)}get limit(){return this._limit}set limit(c){this._limit=c,this.checkTrim()}get ratio(){return this._ratio}set ratio(c){this._ratio=Math.min(Math.max(0,c),1),this.checkTrim()}get(c,s=2){return super.get(c,s)}peek(c){return super.get(c,0)}set(c,s){return super.set(c,s,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=b}),define(ee[87],te([0,1,21,42,8,37,5]),function(H,e,v,k,_,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.getEmptyExpression=void 0;function A(){return Object.create(null)}e.getEmptyExpression=A;const y="**",E="/",D="[/\\\\]",f="[^/\\\\]",S=/\//g;function C(L){switch(L){case 0:return"";case 1:return`${f}*?`;default:return`(?:${D}|${f}+${D}|${D}${f}+)*?`}}function a(L,F){if(!L)return[];const M=[];let z=!1,x=!1,K="";for(const X of L){switch(X){case F:if(!z&&!x){M.push(K),K="";continue}break;case"{":z=!0;break;case"}":z=!1;break;case"[":x=!0;break;case"]":x=!1;break}K+=X}return K&&M.push(K),M}e.splitGlobAware=a;function I(L){if(!L)return"";let F="";const M=a(L,E);if(M.every(z=>z===y))F=".*";else{let z=!1;M.forEach((x,K)=>{if(x===y){z||(F+=C(2),z=!0);return}let X=!1,Z="",ne=!1,ae="";for(const de of x){if(de!=="}"&&X){Z+=de;continue}if(ne&&(de!=="]"||!ae)){let me;de==="-"?me=de:(de==="^"||de==="!")&&!ae?me="^":de===E?me="":me=v.escapeRegExpCharacters(de),ae+=me;continue}switch(de){case"{":X=!0;continue;case"[":ne=!0;continue;case"}":F+=`(?:${a(Z,",").map(Ie=>I(Ie)).join("|")})`,X=!1,Z="";break;case"]":F+="["+ae+"]",ne=!1,ae="";break;case"?":F+=f;continue;case"*":F+=C(1);continue;default:F+=v.escapeRegExpCharacters(de)}}K<M.length-1&&(M[K+1]!==y||K+2<M.length)&&(F+=D),z=!1})}return F}const w=/^\*\*\/\*\.[\w\.-]+$/,b=/^\*\*\/([\w\.-]+)\/?$/,g=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,c=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,s=/^\*\*((\/[\w\.-]+)+)\/?$/,i=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,t=new R.LRUCache(1e4),n=function(){return!1},o=function(){return null};function h(L,F){if(!L)return o;let M;typeof L!="string"?M=L.pattern:M=L,M=M.trim();const z=`${M}_${!!F.trimForExclusions}`;let x=t.get(z);if(x)return r(x,L);let K;if(w.test(M)){const X=M.substr(4);x=function(Z,ne){return typeof Z=="string"&&Z.endsWith(X)?M:null}}else(K=b.exec(l(M,F)))?x=u(K[1],M):(F.trimForExclusions?c:g).test(M)?x=m(M,F):(K=s.exec(l(M,F)))?x=p(K[1].substr(1),M,!0):(K=i.exec(l(M,F)))?x=p(K[1],M,!1):x=d(M);return t.set(z,x),r(x,L)}function r(L,F){return typeof F=="string"?L:function(M,z){return k.isEqualOrParent(M,F.base)?L(_.relative(F.base,M),z):null}}function l(L,F){return F.trimForExclusions&&L.endsWith("/**")?L.substr(0,L.length-2):L}function u(L,F){const M=`/${L}`,z=`\\${L}`,x=function(X,Z){return typeof X!="string"?null:Z?Z===L?F:null:X===L||X.endsWith(M)||X.endsWith(z)?F:null},K=[L];return x.basenames=K,x.patterns=[F],x.allBasenames=K,x}function m(L,F){const M=T(L.slice(1,-1).split(",").map(Z=>h(Z,F)).filter(Z=>Z!==o),L),z=M.length;if(!z)return o;if(z===1)return M[0];const x=function(Z,ne){for(let ae=0,de=M.length;ae<de;ae++)if(M[ae](Z,ne))return L;return null},K=M.find(Z=>!!Z.allBasenames);K&&(x.allBasenames=K.allBasenames);const X=M.reduce((Z,ne)=>ne.allPaths?Z.concat(ne.allPaths):Z,[]);return X.length&&(x.allPaths=X),x}function p(L,F,M){const z=_.sep===_.posix.sep,x=z?L:L.replace(S,_.sep),K=_.sep+x,X=_.posix.sep+L,Z=M?function(ne,ae){return typeof ne=="string"&&(ne===x||ne.endsWith(K)||!z&&(ne===L||ne.endsWith(X)))?F:null}:function(ne,ae){return typeof ne=="string"&&(ne===x||!z&&ne===L)?F:null};return Z.allPaths=[(M?"*/":"./")+L],Z}function d(L){try{const F=new RegExp(`^${I(L)}$`);return function(M){return F.lastIndex=0,typeof M=="string"&&F.test(M)?L:null}}catch(F){return o}}function O(L,F,M){return!L||typeof F!="string"?!1:U(L)(F,void 0,M)}e.match=O;function U(L,F={}){if(!L)return n;if(typeof L=="string"||q(L)){const M=h(L,F);if(M===o)return n;const z=function(x,K){return!!M(x,K)};return M.allBasenames&&(z.allBasenames=M.allBasenames),M.allPaths&&(z.allPaths=M.allPaths),z}return $(L,F)}e.parse=U;function j(L){if(!!L){let F;return M=>(F||(F=(L()||Promise.resolve([])).then(z=>z?V(z):{})),F.then(z=>!!z[M]))}}e.hasSiblingPromiseFn=j;function B(L){if(!!L){let F;return M=>{if(!F){const z=L();F=z?V(z):{}}return!!F[M]}}}e.hasSiblingFn=B;function V(L){const F={};for(const M of L)F[M]=!0;return F}function q(L){const F=L;return F&&typeof F.base=="string"&&typeof F.pattern=="string"}e.isRelativePattern=q;function G(L){return L.allBasenames||[]}e.getBasenameTerms=G;function Q(L){return L.allPaths||[]}e.getPathTerms=Q;function $(L,F){const M=T(Object.getOwnPropertyNames(L).map(Z=>N(Z,L[Z],F)).filter(Z=>Z!==o)),z=M.length;if(!z)return o;if(!M.some(Z=>!!Z.requiresSiblings)){if(z===1)return M[0];const Z=function(de,me){for(let be=0,Ie=M.length;be<Ie;be++){const Ae=M[be](de,me);if(Ae)return Ae}return null},ne=M.find(de=>!!de.allBasenames);ne&&(Z.allBasenames=ne.allBasenames);const ae=M.reduce((de,me)=>me.allPaths?de.concat(me.allPaths):de,[]);return ae.length&&(Z.allPaths=ae),Z}const x=function(Z,ne,ae){let de;for(let me=0,be=M.length;me<be;me++){const Ie=M[me];Ie.requiresSiblings&&ae&&(ne||(ne=_.basename(Z)),de||(de=ne.substr(0,ne.length-_.extname(Z).length)));const Ae=Ie(Z,ne,de,ae);if(Ae)return Ae}return null},K=M.find(Z=>!!Z.allBasenames);K&&(x.allBasenames=K.allBasenames);const X=M.reduce((Z,ne)=>ne.allPaths?Z.concat(ne.allPaths):Z,[]);return X.length&&(x.allPaths=X),x}function N(L,F,M){if(F===!1)return o;const z=h(L,M);if(z===o)return o;if(typeof F=="boolean")return z;if(F){const x=F.when;if(typeof x=="string"){const K=(X,Z,ne,ae)=>{if(!ae||!z(X,Z))return null;const de=x.replace("$(basename)",ne),me=ae(de);return P.isThenable(me)?me.then(be=>be?L:null):me?L:null};return K.requiresSiblings=!0,K}}return z}function T(L,F){const M=L.filter(Z=>!!Z.basenames);if(M.length<2)return L;const z=M.reduce((Z,ne)=>{const ae=ne.basenames;return ae?Z.concat(ae):Z},[]);let x;if(F){x=[];for(let Z=0,ne=z.length;Z<ne;Z++)x.push(F)}else x=M.reduce((Z,ne)=>{const ae=ne.patterns;return ae?Z.concat(ae):Z},[]);const K=function(Z,ne){if(typeof Z!="string")return null;if(!ne){let de;for(de=Z.length;de>0;de--){const me=Z.charCodeAt(de-1);if(me===47||me===92)break}ne=Z.substr(de)}const ae=z.indexOf(ne);return ae!==-1?x[ae]:null};K.basenames=z,K.patterns=x,K.allBasenames=z;const X=L.filter(Z=>!Z.basenames);return X.push(K),X}}),define(ee[88],te([0,1,22,21,7]),function(H,e,v,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.parse=e.stringify=void 0;function R(E){return JSON.stringify(E,A)}e.stringify=R;function P(E){let D=JSON.parse(E);return D=y(D),D}e.parse=P;function A(E,D){return D instanceof RegExp?{$mid:2,source:D.source,flags:k.regExpFlags(D)}:D}function y(E,D=0){if(!E||D>200)return E;if(typeof E=="object"){switch(E.$mid){case 1:return _.URI.revive(E);case 2:return new RegExp(E.source,E.flags)}if(E instanceof v.VSBuffer||E instanceof Uint8Array)return E;if(Array.isArray(E))for(let f=0;f<E.length;++f)E[f]=y(E[f],D+1);else for(const f in E)Object.hasOwnProperty.call(E,f)&&(E[f]=y(E[f],D+1))}return E}e.revive=y}),define(ee[16],te([0,1,7,6]),function(H,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.Schemas=void 0;var _;(function(A){A.inMemory="inmemory",A.vscode="vscode",A.internal="private",A.walkThrough="walkThrough",A.walkThroughSnippet="walkThroughSnippet",A.http="http",A.https="https",A.file="file",A.mailto="mailto",A.untitled="untitled",A.data="data",A.command="command",A.vscodeRemote="vscode-remote",A.vscodeRemoteResource="vscode-remote-resource",A.userData="vscode-userdata",A.vscodeCustomEditor="vscode-custom-editor",A.vscodeNotebook="vscode-notebook",A.vscodeNotebookCell="vscode-notebook-cell",A.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",A.vscodeSettings="vscode-settings",A.vscodeWorkspaceTrust="vscode-workspace-trust",A.webviewPanel="webview-panel",A.vscodeWebview="vscode-webview",A.vscodeWebviewResource="vscode-webview-resource",A.extension="extension",A.vscodeFileResource="vscode-file"})(_=e.Schemas||(e.Schemas={}));class R{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(y){this._preferredWebSchema=y}setDelegate(y){this._delegate=y}set(y,E,D){this._hosts[y]=E,this._ports[y]=D}setConnectionToken(y,E){this._connectionTokens[y]=E}rewrite(y){if(this._delegate)return this._delegate(y);const E=y.authority;let D=this._hosts[E];D&&D.indexOf(":")!==-1&&(D=`[${D}]`);const f=this._ports[E],S=this._connectionTokens[E];let C=`path=${encodeURIComponent(y.path)}`;return typeof S=="string"&&(C+=`&tkn=${encodeURIComponent(S)}`),v.URI.from({scheme:k.isWeb?this._preferredWebSchema:_.vscodeRemoteResource,authority:`${D}:${f}`,path:"/vscode-remote-resource",query:C})}}e.RemoteAuthorities=new R;class P{constructor(){this.FALLBACK_AUTHORITY="vscode-app"}asBrowserUri(y,E,D){const f=this.toUri(y,E);return f.scheme===_.vscodeRemote?e.RemoteAuthorities.rewrite(f):k.isNative&&(D||k.isPreferringBrowserCodeLoad)&&f.scheme===_.file?f.with({scheme:_.vscodeFileResource,authority:f.authority||this.FALLBACK_AUTHORITY,query:null,fragment:null}):f}asFileUri(y,E){const D=this.toUri(y,E);return D.scheme===_.vscodeFileResource?D.with({scheme:_.file,authority:D.authority!==this.FALLBACK_AUTHORITY?D.authority:null,query:null,fragment:null}):D}toUri(y,E){return v.URI.isUri(y)?y:v.URI.parse(E.toUrl(y))}}e.FileAccess=new P}),define(ee[65],te([0,1,37]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=e.canNormalize=void 0,e.canNormalize=typeof String.prototype.normalize=="function";const k=new v.LRUCache(1e4);function _(E){return y(E,"NFC",k)}e.normalizeNFC=_;const R=new v.LRUCache(1e4);function P(E){return y(E,"NFD",R)}e.normalizeNFD=P;const A=/[^\u0000-\u0080]/;function y(E,D,f){if(!e.canNormalize||!E)return E;const S=f.get(E);if(S)return S;let C;return A.test(E)?C=E.normalize(D):C=E,f.set(E,C),C}e.removeAccents=function(){if(e.canNormalize){const E=/[\u0300-\u036f]/g;return function(D){return P(D).replace(E,"")}}else return function(E){return E}}()}),define(ee[18],te([0,1,42,8,7,21,16,6]),function(H,e,v,k,_,R,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function y(C){return _.uriToFsPath(C,!0)}e.originalFSPath=y;class E{constructor(a){this._ignorePathCasing=a}compare(a,I,w=!1){return a===I?0:R.compare(this.getComparisonKey(a,w),this.getComparisonKey(I,w))}isEqual(a,I,w=!1){return a===I?!0:!a||!I?!1:this.getComparisonKey(a,w)===this.getComparisonKey(I,w)}getComparisonKey(a,I=!1){return a.with({path:this._ignorePathCasing(a)?a.path.toLowerCase():void 0,fragment:I?null:void 0}).toString()}ignorePathCasing(a){return this._ignorePathCasing(a)}isEqualOrParent(a,I,w=!1){if(a.scheme===I.scheme){if(a.scheme===P.Schemas.file)return v.isEqualOrParent(y(a),y(I),this._ignorePathCasing(a))&&a.query===I.query&&(w||a.fragment===I.fragment);if(e.isEqualAuthority(a.authority,I.authority))return v.isEqualOrParent(a.path,I.path,this._ignorePathCasing(a),"/")&&a.query===I.query&&(w||a.fragment===I.fragment)}return!1}joinPath(a,...I){return _.URI.joinPath(a,...I)}basenameOrAuthority(a){return e.basename(a)||a.authority}basename(a){return k.posix.basename(a.path)}extname(a){return k.posix.extname(a.path)}dirname(a){if(a.path.length===0)return a;let I;return a.scheme===P.Schemas.file?I=_.URI.file(k.dirname(y(a))).path:(I=k.posix.dirname(a.path),a.authority&&I.length&&I.charCodeAt(0)!==47&&(console.error(`dirname("${a.toString})) resulted in a relative path`),I="/")),a.with({path:I})}normalizePath(a){if(!a.path.length)return a;let I;return a.scheme===P.Schemas.file?I=_.URI.file(k.normalize(y(a))).path:I=k.posix.normalize(a.path),a.with({path:I})}relativePath(a,I){if(!(a.scheme!==I.scheme||!e.isEqualAuthority(a.authority,I.authority))){if(a.scheme===P.Schemas.file){const g=k.relative(y(a),y(I));return A.isWindows?v.toSlashes(g):g}let w=a.path||"/",b=I.path||"/";if(this._ignorePathCasing(a)){let g=0;for(const c=Math.min(w.length,b.length);g<c&&!(w.charCodeAt(g)!==b.charCodeAt(g)&&w.charAt(g).toLowerCase()!==b.charAt(g).toLowerCase());g++);w=b.substr(0,g)+w.substr(g)}return k.posix.relative(w,b)}}resolvePath(a,I){if(a.scheme===P.Schemas.file){const w=_.URI.file(k.resolve(y(a),I));return a.with({authority:w.authority,path:w.path})}return I.indexOf("/")===-1&&(I=v.toSlashes(I),/^[a-zA-Z]:(\/|$)/.test(I)&&(I="/"+I)),a.with({path:k.posix.resolve(a.path,I)})}isAbsolutePath(a){return!!a.path&&a.path[0]==="/"}isEqualAuthority(a,I){return a===I||R.equalsIgnoreCase(a,I)}hasTrailingPathSeparator(a,I=k.sep){if(a.scheme===P.Schemas.file){const w=y(a);return w.length>v.getRoot(w).length&&w[w.length-1]===I}else{const w=a.path;return w.length>1&&w.charCodeAt(w.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(a.fsPath)}}removeTrailingPathSeparator(a,I=k.sep){return e.hasTrailingPathSeparator(a,I)?a.with({path:a.path.substr(0,a.path.length-1)}):a}addTrailingPathSeparator(a,I=k.sep){let w=!1;if(a.scheme===P.Schemas.file){const b=y(a);w=b!==void 0&&b.length===v.getRoot(b).length&&b[b.length-1]===I}else{I="/";const b=a.path;w=b.length===1&&b.charCodeAt(b.length-1)===47}return!w&&!e.hasTrailingPathSeparator(a,I)?a.with({path:a.path+"/"}):a}}e.ExtUri=E,e.extUri=new E(()=>!1),e.extUriBiasedIgnorePathCase=new E(C=>C.scheme===P.Schemas.file?!A.isLinux:!0),e.extUriIgnorePathCase=new E(C=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function D(C,a){const I=[];for(let w=0;w<C.length;w++){const b=a(C[w]);C.some((g,c)=>c===w?!1:e.isEqualOrParent(b,a(g)))||I.push(C[w])}return I}e.distinctParents=D;var f;(function(C){C.META_DATA_LABEL="label",C.META_DATA_DESCRIPTION="description",C.META_DATA_SIZE="size",C.META_DATA_MIME="mime";function a(I){const w=new Map;I.path.substring(I.path.indexOf(";")+1,I.path.lastIndexOf(";")).split(";").forEach(c=>{const[s,i]=c.split(":");s&&i&&w.set(s,i)});const g=I.path.substring(0,I.path.indexOf(";"));return g&&w.set(C.META_DATA_MIME,g),w}C.parseMetaData=a})(f=e.DataUri||(e.DataUri={}));function S(C,a,I){if(a){let w=C.path;return w&&w[0]!==k.posix.sep&&(w=k.posix.sep+w),C.with({scheme:I,authority:a,path:w})}return C.with({scheme:I})}e.toLocalResource=S}),define(ee[89],te([0,1,7]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function k(D){return D.toJSON()}class _{constructor(f){this._uriTransformer=f}transformIncoming(f){const S=this._uriTransformer.transformIncoming(f);return S===f?f:k(v.URI.from(S))}transformOutgoing(f){const S=this._uriTransformer.transformOutgoing(f);return S===f?f:k(v.URI.from(S))}transformOutgoingURI(f){const S=this._uriTransformer.transformOutgoing(f);return S===f?f:v.URI.from(S)}transformOutgoingScheme(f){return this._uriTransformer.transformOutgoingScheme(f)}}e.URITransformer=_,e.DefaultURITransformer=new class{transformIncoming(D){return D}transformOutgoing(D){return D}transformOutgoingURI(D){return D}transformOutgoingScheme(D){return D}};function R(D,f,S){if(!D||S>200)return null;if(typeof D=="object"){if(D instanceof v.URI)return f.transformOutgoing(D);for(let C in D)if(Object.hasOwnProperty.call(D,C)){const a=R(D[C],f,S+1);a!==null&&(D[C]=a)}}return null}function P(D,f){const S=R(D,f,0);return S===null?D:S}e.transformOutgoingURIs=P;function A(D,f,S,C){if(!D||C>200)return null;if(typeof D=="object"){if(D.$mid===1)return S?v.URI.revive(f.transformIncoming(D)):f.transformIncoming(D);for(let a in D)if(Object.hasOwnProperty.call(D,a)){const I=A(D[a],f,S,C+1);I!==null&&(D[a]=I)}}return null}function y(D,f){const S=A(D,f,!1,0);return S===null?D:S}e.transformIncomingURIs=y;function E(D,f){const S=A(D,f,!0,0);return S===null?D:S}e.transformAndReviveIncomingURIs=E}),define(ee[30],te([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const v=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function k(y){return v.test(y)}e.isUUID=k;const _=new Uint8Array(16),R=[];for(let y=0;y<256;y++)R.push(y.toString(16).padStart(2,"0"));let P;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?P=crypto.getRandomValues.bind(crypto):P=function(y){for(let E=0;E<y.length;E++)y[E]=Math.floor(Math.random()*256);return y};function A(){P(_),_[6]=_[6]&15|64,_[8]=_[8]&63|128;let y=0,E="";return E+=R[_[y++]],E+=R[_[y++]],E+=R[_[y++]],E+=R[_[y++]],E+="-",E+=R[_[y++]],E+=R[_[y++]],E+="-",E+=R[_[y++]],E+=R[_[y++]],E+="-",E+=R[_[y++]],E+=R[_[y++]],E+="-",E+=R[_[y++]],E+=R[_[y++]],E+=R[_[y++]],E+=R[_[y++]],E+=R[_[y++]],E+=R[_[y++]],E}e.generateUuid=A}),define(ee[66],te([0,1,197]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class k{constructor(R="utf8"){this.stringDecoder=new v.StringDecoder(R),this.remaining=null}write(R){const P=[],A=this.remaining?this.remaining+this.stringDecoder.write(R):this.stringDecoder.write(R);if(A.length<1)return P;let y=0,E,D=y;for(;D<A.length;)if(E=A.charCodeAt(D),E===13||E===10){if(P.push(A.substring(y,D)),D++,D<A.length){const f=E;E=A.charCodeAt(D),(f===13&&E===10||f===10&&E===13)&&D++}y=D}else D++;return this.remaining=y<A.length?A.substr(y):null,P}end(){return this.remaining}}e.LineDecoder=k}),define(ee[90],te([0,1,38]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMac=void 0;const k=new Set(["00:00:00:00:00:00","ff:ff:ff:ff:ff:ff","ac:de:48:00:11:22"]);function _(A){const y=A.replace(/\-/g,":").toLowerCase();return!k.has(y)}function R(){return new Promise(async(A,y)=>{const E=setTimeout(()=>y("Unable to retrieve mac address (timeout after 10s)"),1e4);try{A(await P())}catch(D){y(D)}finally{clearTimeout(E)}})}e.getMac=R;function P(){return new Promise((A,y)=>{try{const E=v.networkInterfaces();for(const[,D]of Object.entries(E))for(const f of D)if(_(f.mac))return A(f.mac);y("Unable to retrieve mac address (unexpected format)")}catch(E){y(E)}})}}),define(ee[91],te([0,1,14,30,38,37,90]),function(H,e,v,k,_,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMachineId=e.virtualMachineHint=void 0,e.virtualMachineHint=new class{_isVirtualMachineMacAdress(D){return this._virtualMachineOUIs||(this._virtualMachineOUIs=R.TernarySearchTree.forStrings(),this._virtualMachineOUIs.set("00-50-56",!0),this._virtualMachineOUIs.set("00-0C-29",!0),this._virtualMachineOUIs.set("00-05-69",!0),this._virtualMachineOUIs.set("00-03-FF",!0),this._virtualMachineOUIs.set("00-1C-42",!0),this._virtualMachineOUIs.set("00-16-3E",!0),this._virtualMachineOUIs.set("08-00-27",!0),this._virtualMachineOUIs.set("00:50:56",!0),this._virtualMachineOUIs.set("00:0C:29",!0),this._virtualMachineOUIs.set("00:05:69",!0),this._virtualMachineOUIs.set("00:03:FF",!0),this._virtualMachineOUIs.set("00:1C:42",!0),this._virtualMachineOUIs.set("00:16:3E",!0),this._virtualMachineOUIs.set("08:00:27",!0)),!!this._virtualMachineOUIs.findSubstr(D)}value(){if(this._value===void 0){let D=0,f=0;const S=_.networkInterfaces();for(let C in S)if(Object.prototype.hasOwnProperty.call(S,C))for(const{mac:a,internal:I}of S[C])I||(f+=1,this._isVirtualMachineMacAdress(a.toUpperCase())&&(D+=1));this._value=f>0?D/f:0}return this._value}};let A;async function y(){return A||(A=(async()=>await E()||k.generateUuid())()),A}e.getMachineId=y;async function E(){try{const D=await new Promise((S,C)=>{H(["crypto"],S,C)}),f=await P.getMac();return D.createHash("sha256").update(f,"utf8").digest("hex")}catch(D){v.onUnexpectedError(D);return}}}),define(ee[23],te([0,1,27,38,8,5,6,3,42,30,65]),function(H,e,v,k,_,R,P,A,y,E,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.exists=e.copy=e.move=e.writeFileSync=e.writeFile=e.SymlinkSupport=e.whenDeleted=e.readDirsInDir=e.readdirSync=e.readdir=e.rimrafSync=e.rimraf=e.RimRafMode=e.MAX_HEAP_SIZE=e.MAX_FILE_SIZE=void 0;const f=300*1024*1024,S=16*1024*1024*1024,C=700*1024*1024,a=700*2*1024*1024;e.MAX_FILE_SIZE=process.arch==="ia32"?f:S,e.MAX_HEAP_SIZE=process.arch==="ia32"?C:a;var I;(function(L){L[L.UNLINK=0]="UNLINK",L[L.MOVE=1]="MOVE"})(I=e.RimRafMode||(e.RimRafMode={}));async function w(L,F=I.UNLINK){if(y.isRootOrDriveLetter(L))throw new Error("rimraf - will refuse to recursively delete root");return F===I.UNLINK?g(L):b(L)}e.rimraf=w;async function b(L){try{const F=_.join(k.tmpdir(),E.generateUuid());try{await v.promises.rename(L,F)}catch(M){return g(L)}g(F).catch(M=>{})}catch(F){if(F.code!=="ENOENT")throw F}}async function g(L){return v.promises.rmdir(L,{recursive:!0,maxRetries:3})}function c(L){if(y.isRootOrDriveLetter(L))throw new Error("rimraf - will refuse to recursively delete root");v.rmdirSync(L,{recursive:!0})}e.rimrafSync=c;async function s(L,F){return n(await(F?i(L):v.promises.readdir(L)))}e.readdir=s;async function i(L){try{return await v.promises.readdir(L,{withFileTypes:!0})}catch(z){console.warn("[node.js fs] readdir with filetypes failed with error: ",z)}const F=[],M=await s(L);for(const z of M){let x=!1,K=!1,X=!1;try{const Z=await v.promises.lstat(_.join(L,z));x=Z.isFile(),K=Z.isDirectory(),X=Z.isSymbolicLink()}catch(Z){console.warn("[node.js fs] unexpected error from lstat after readdir: ",Z)}F.push({name:z,isFile:()=>x,isDirectory:()=>K,isSymbolicLink:()=>X})}return F}function t(L){return n(v.readdirSync(L))}e.readdirSync=t;function n(L){return L.map(F=>typeof F=="string"?P.isMacintosh?D.normalizeNFC(F):F:(F.name=P.isMacintosh?D.normalizeNFC(F.name):F.name,F))}async function o(L){const F=await s(L),M=[];for(const z of F)await r.existsDirectory(_.join(L,z))&&M.push(z);return M}e.readDirsInDir=o;function h(L,F=1e3){return new Promise(M=>{let z=!1;const x=setInterval(()=>{z||(z=!0,v.access(L,K=>{z=!1,K&&(clearInterval(x),M(void 0))}))},F)})}e.whenDeleted=h;var r;(function(L){async function F(x){let K;try{if(K=await v.promises.lstat(x),!K.isSymbolicLink())return{stat:K}}catch(X){}try{return{stat:await v.promises.stat(x),symbolicLink:(K==null?void 0:K.isSymbolicLink())?{dangling:!1}:void 0}}catch(X){if(X.code==="ENOENT"&&K)return{stat:K,symbolicLink:{dangling:!0}};if(P.isWindows&&X.code==="EACCES")try{return{stat:await v.promises.stat(await v.promises.readlink(x)),symbolicLink:{dangling:!1}}}catch(Z){if(Z.code==="ENOENT"&&K)return{stat:K,symbolicLink:{dangling:!0}};throw Z}throw X}}L.stat=F;async function M(x){try{const{stat:K,symbolicLink:X}=await L.stat(x);return K.isFile()&&(X==null?void 0:X.dangling)!==!0}catch(K){}return!1}L.existsFile=M;async function z(x){try{const{stat:K,symbolicLink:X}=await L.stat(x);return K.isDirectory()&&(X==null?void 0:X.dangling)!==!0}catch(K){}return!1}L.existsDirectory=z})(r=e.SymlinkSupport||(e.SymlinkSupport={}));function l(L,F,M){const z=m(L);return p(z).queue(()=>{const x=j(M);return new Promise((K,X)=>O(L,F,x,Z=>Z?X(Z):K()))})}e.writeFile=l;const u=new Map;function m(L){let F=L;return(P.isWindows||P.isMacintosh)&&(F=F.toLowerCase()),F}function p(L){const F=u.get(L);if(F)return F;const M=new R.Queue;return u.set(L,M),A.Event.once(M.onFinished)(()=>{u.delete(L),M.dispose()}),M}let d=!0;function O(L,F,M,z){if(!d)return v.writeFile(L,F,{mode:M.mode,flag:M.flag},z);v.open(L,M.flag,M.mode,(x,K)=>{if(x)return z(x);v.writeFile(K,F,X=>{if(X)return v.close(K,()=>z(X));v.fdatasync(K,Z=>(Z&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",Z),d=!1),v.close(K,ne=>z(ne))))})})}function U(L,F,M){const z=j(M);if(!d)return v.writeFileSync(L,F,{mode:z.mode,flag:z.flag});const x=v.openSync(L,z.flag,z.mode);try{v.writeFileSync(x,F);try{v.fdatasyncSync(x)}catch(K){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",K),d=!1}}finally{v.closeSync(x)}}e.writeFileSync=U;function j(L){return L?{mode:typeof L.mode=="number"?L.mode:438,flag:typeof L.flag=="string"?L.flag:"w"}:{mode:438,flag:"w"}}async function B(L,F){if(L!==F){async function M(z){try{const x=await v.promises.lstat(z);if(x.isDirectory()||x.isSymbolicLink())return;const K=await v.promises.open(z,"a");try{await K.utimes(x.atime,new Date)}finally{await K.close()}}catch(x){}}try{await v.promises.rename(L,F),await M(F)}catch(z){if(L.toLowerCase()!==F.toLowerCase()&&z.code==="EXDEV"||L.endsWith("."))await V(L,F,{preserveSymlinks:!1}),await w(L,I.MOVE),await M(F);else throw z}}}e.move=B;async function V(L,F,M){return G(L,F,{root:{source:L,target:F},options:M,handledSourcePaths:new Set})}e.copy=V;const q=511;async function G(L,F,M){if(!M.handledSourcePaths.has(L)){M.handledSourcePaths.add(L);const{stat:z,symbolicLink:x}=await r.stat(L);if(x){if(x.dangling)return;if(M.options.preserveSymlinks)try{return await N(L,F,M)}catch(K){console.warn("[node.js fs] copy of symlink failed: ",K)}}return z.isDirectory()?Q(L,F,z.mode&q,M):$(L,F,z.mode&q)}}async function Q(L,F,M,z){await v.promises.mkdir(F,{recursive:!0,mode:M});const x=await s(L);for(const K of x)await G(_.join(L,K),_.join(F,K),z)}async function $(L,F,M){await v.promises.copyFile(L,F),await v.promises.chmod(F,M)}async function N(L,F,M){let z=await v.promises.readlink(L);y.isEqualOrParent(z,M.root.source,!P.isLinux)&&(z=_.join(M.root.target,z.substr(M.root.source.length+1))),await v.promises.symlink(z,F)}async function T(L){try{return await v.promises.access(L),!0}catch(F){return!1}}e.exists=T}),define(ee[92],te([0,1,27,21,8,23]),function(H,e,v,k,_,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcaseSync=void 0;function P(D){const f=_.dirname(D);if(D===f)return D;const S=(_.basename(D)||D).toLowerCase();try{const a=R.readdirSync(f).filter(I=>I.toLowerCase()===S);if(a.length===1){const I=P(f);if(I)return _.join(I,a[0])}else if(a.length>1){const I=a.indexOf(S);if(I>=0){const w=P(f);if(w)return _.join(w,a[I])}}}catch(C){}return null}e.realcaseSync=P;async function A(D){try{return await v.promises.realpath(D)}catch(f){const S=E(D);return await v.promises.access(S,v.constants.R_OK),S}}e.realpath=A;function y(D){try{return v.realpathSync(D)}catch(f){const S=E(D);return v.accessSync(S,v.constants.R_OK),S}}e.realpathSync=y;function E(D){return k.rtrim(_.normalize(D),_.sep)}}),define(ee[93],te([0,1,47,16]),function(H,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.listProcesses=void 0;function _(P){return new Promise((A,y)=>{let E;const D=new Map;function f(a,I,w,b,g){const c=D.get(I);if(a===P||c){const s={name:S(w),cmd:w,pid:a,ppid:I,load:b,mem:g};D.set(a,s),a===P&&(E=s),c&&(c.children||(c.children=[]),c.children.push(s),c.children.length>1&&(c.children=c.children.sort((i,t)=>i.pid-t.pid)))}}function S(a){const I=/--disable-blink-features=Auxclick/,w=/\\watcher\\win32\\CodeHelper\.exe/,b=/--crashes-directory/,g=/\\pipe\\winpty-control/,c=/conhost\.exe/,s=/--type=([a-zA-Z-]+)/;if(w.exec(a))return"watcherService ";if(b.exec(a))return"electron-crash-reporter";if(g.exec(a))return"winpty-process";if(c.exec(a))return"console-window-host (Windows internal process)";let i=s.exec(a);if(i&&i.length===2)return i[1]==="renderer"?I.exec(a)?"shared-process":"window":i[1];const t=/[a-zA-Z-]+\.js/g;let n="";do i=t.exec(a),i&&(n+=i+" ");while(i);return n&&a.indexOf("node ")<0&&a.indexOf("node.exe")<0?`electron_node ${n}`:a}if(process.platform==="win32"){const a=I=>I.indexOf("\\\\?\\")===0||I.indexOf("\\??\\")===0?I.substr(4):I.indexOf('"\\\\?\\')===0||I.indexOf('"\\??\\')===0?'"'+I.substr(5):I;new Promise((I,w)=>{H(["windows-process-tree"],I,w)}).then(I=>{I.getProcessList(P,w=>{I.getProcessCpuUsage(w,b=>{const g=new Map;b.forEach(c=>{const s=a(c.commandLine||"");g.set(c.pid,{name:S(s),cmd:s,pid:c.pid,ppid:c.ppid,load:c.cpu||0,mem:c.memory||0})}),E=g.get(P),E?(g.forEach(c=>{const s=g.get(c.ppid);s&&(s.children||(s.children=[]),s.children.push(c))}),g.forEach(c=>{c.children&&(c.children=c.children.sort((s,i)=>s.pid-i.pid))}),A(E)):y(new Error(`Root process ${P} not found`))})},I.ProcessDataFlag.CommandLine|I.ProcessDataFlag.Memory)})}else{function C(){let a=[E];const I=[];for(;a.length;){const b=a.shift();b&&(I.push(b.pid),b.children&&(a=a.concat(b.children)))}let w=JSON.stringify(k.FileAccess.asFileUri("vs/base/node/cpuUsage.sh",H).fsPath);w+=" "+I.join(" "),v.exec(w,{},(b,g,c)=>{if(b||c)y(b||new Error(c.toString()));else{const s=g.toString().split(`
`);for(let i=0;i<I.length;i++){const t=D.get(I[i]);t.load=parseFloat(s[i])}if(!E){y(new Error(`Root process ${P} not found`));return}A(E)}})}v.exec("which ps",{},(a,I,w)=>{if(a||w)if(process.platform!=="linux")y(a||new Error(w.toString()));else{const b=JSON.stringify(k.FileAccess.asFileUri("vs/base/node/ps.sh",H).fsPath);v.exec(b,{},(g,c,s)=>{g||s?y(g||new Error(s.toString())):(R(c,f),C())})}else{const b=I.toString().trim(),g="-ax -o pid=,ppid=,pcpu=,pmem=,command=";v.exec(`${b} ${g}`,{maxBuffer:1e3*1024,env:{LC_NUMERIC:"en_US.UTF-8"}},(c,s,i)=>{c||i&&!i.includes("screen size is bogus")?y(c||new Error(i.toString())):(R(s,f),process.platform==="linux"?C():E?A(E):y(new Error(`Root process ${P} not found`)))})}})}})}e.listProcesses=_;function R(P,A){const y=/^\s*([0-9]+)\s+([0-9]+)\s+([0-9]+\.[0-9]+)\s+([0-9]+\.[0-9]+)\s+(.+)$/,E=P.toString().split(`
`);for(const D of E){const f=y.exec(D.trim());f&&f.length===6&&A(parseInt(f[1]),parseInt(f[2]),f[5],parseFloat(f[3]),parseFloat(f[4]))}}}),function(){"use strict";function H(e,v,k){function _(){let R=process.env.VSCODE_APPDATA;if(!R)switch(process.platform){case"win32":if(R=process.env.APPDATA,!R){const P=process.env.USERPROFILE;if(typeof P!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");R=e.join(P,"AppData","Roaming")}break;case"darwin":R=e.join(v.homedir(),"Library","Application Support");break;case"linux":R=process.env.XDG_CONFIG_HOME||e.join(v.homedir(),".config");break;default:throw new Error("Platform not supported")}return e.join(R,k)}return{getDefaultUserDataPath:_}}if(typeof define=="function")define(ee[94],te([0,198,38,16,18]),function(e,v,k,_,R){const P=R.dirname(_.FileAccess.asFileUri("",e)),A=e.__$__nodeRequire(R.joinPath(P,"package.json").fsPath);return H(v,k,A.name)});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("../../../../package.json"),v=require("path"),k=require("os");module.exports=H(v,k,e.name)}else throw new Error("Unknown context")}(),define(ee[95],te([0,1,8,27,6,65,2,23]),function(H,e,v,k,_,R,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CHANGE_BUFFER_DELAY=e.watchFolder=e.watchFile=void 0;function y(f,S,C){return D({path:f,isDirectory:!1},S,C)}e.watchFile=y;function E(f,S,C){return D({path:f,isDirectory:!0},S,C)}e.watchFolder=E,e.CHANGE_BUFFER_DELAY=100;function D(f,S,C){const a=v.basename(f.path),I=new Map;let w=!1,b=[P.toDisposable(()=>{I.forEach(g=>P.dispose(g)),I.clear()})];try{const g=k.watch(f.path);b.push(P.toDisposable(()=>{g.removeAllListeners(),g.close()}));const c=new Set;f.isDirectory&&A.readdir(f.path).then(s=>s.forEach(i=>c.add(i))),g.on("error",(s,i)=>{w||C(`Failed to watch ${f.path} for changes using fs.watch() (${s}, ${i})`)}),g.on("change",(s,i)=>{if(!w){let t="";if(i&&(t=i.toString(),_.isMacintosh&&(t=R.normalizeNFC(t))),!(!t||s!=="change"&&s!=="rename")){const n=f.isDirectory?v.join(f.path,t):f.path;if(f.isDirectory)if(s==="rename"){const o=I.get(n);o&&P.dispose(o);const h=setTimeout(async()=>{I.delete(n);const r=await A.exists(n);if(!w){let l;r?c.has(t)?l="changed":(l="added",c.add(t)):(c.delete(t),l="deleted"),S(l,n)}},e.CHANGE_BUFFER_DELAY);I.set(n,P.toDisposable(()=>clearTimeout(h)))}else{let o;c.has(t)?o="changed":(o="added",c.add(t)),S(o,n)}else if(s==="rename"||t!==a){const o=setTimeout(async()=>{const h=await A.exists(n);w||(h?(S("changed",n),b=[D(f,S,C)]):S("deleted",n))},e.CHANGE_BUFFER_DELAY);P.dispose(b),b=[P.toDisposable(()=>clearTimeout(o))]}else S("changed",n)}}})}catch(g){A.exists(f.path).then(c=>{c&&!w&&C(`Failed to watch ${f.path} for changes using fs.watch() (${g.toString()})`)})}return P.toDisposable(()=>{w=!0,b=P.dispose(b)})}}),define(ee[33],te([0,1,3,2,5,29,14,22,17,15,88,21]),function(H,e,v,k,_,R,P,A,y,E,D,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var S;(function(N){N[N.Promise=100]="Promise",N[N.PromiseCancel=101]="PromiseCancel",N[N.EventListen=102]="EventListen",N[N.EventDispose=103]="EventDispose"})(S=e.RequestType||(e.RequestType={}));function C(N){switch(N){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var a;(function(N){N[N.Initialize=200]="Initialize",N[N.PromiseSuccess=201]="PromiseSuccess",N[N.PromiseError=202]="PromiseError",N[N.PromiseErrorObj=203]="PromiseErrorObj",N[N.EventFire=204]="EventFire"})(a=e.ResponseType||(e.ResponseType={}));function I(N){switch(N){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var w;(function(N){N[N.Uninitialized=0]="Uninitialized",N[N.Idle=1]="Idle"})(w||(w={}));class b{constructor(T){this.buffer=T,this.pos=0}read(T){const L=this.buffer.slice(this.pos,this.pos+T);return this.pos+=L.byteLength,L}}class g{constructor(){this.buffers=[]}get buffer(){return A.VSBuffer.concat(this.buffers)}write(T){this.buffers.push(T)}}var c;(function(N){N[N.Undefined=0]="Undefined",N[N.String=1]="String",N[N.Buffer=2]="Buffer",N[N.VSBuffer=3]="VSBuffer",N[N.Array=4]="Array",N[N.Object=5]="Object"})(c||(c={}));function s(N){const T=A.VSBuffer.alloc(4);return T.writeUInt32BE(N,0),T}function i(N){return N.read(4).readUInt32BE(0)}function t(N){const T=A.VSBuffer.alloc(1);return T.writeUInt8(N,0),T}const n={Undefined:t(c.Undefined),String:t(c.String),Buffer:t(c.Buffer),VSBuffer:t(c.VSBuffer),Array:t(c.Array),Object:t(c.Object)},o=typeof Buffer!="undefined";function h(N,T){if(typeof T=="undefined")N.write(n.Undefined);else if(typeof T=="string"){const L=A.VSBuffer.fromString(T);N.write(n.String),N.write(s(L.byteLength)),N.write(L)}else if(o&&Buffer.isBuffer(T)){const L=A.VSBuffer.wrap(T);N.write(n.Buffer),N.write(s(L.byteLength)),N.write(L)}else if(T instanceof A.VSBuffer)N.write(n.VSBuffer),N.write(s(T.byteLength)),N.write(T);else if(Array.isArray(T)){N.write(n.Array),N.write(s(T.length));for(const L of T)h(N,L)}else{const L=A.VSBuffer.fromString(JSON.stringify(T));N.write(n.Object),N.write(s(L.byteLength)),N.write(L)}}function r(N){switch(N.read(1).readUInt8(0)){case c.Undefined:return;case c.String:return N.read(i(N)).toString();case c.Buffer:return N.read(i(N)).buffer;case c.VSBuffer:return N.read(i(N));case c.Array:{const L=i(N),F=[];for(let M=0;M<L;M++)F.push(r(N));return F}case c.Object:return JSON.parse(N.read(i(N)).toString())}}class l{constructor(T,L,F=null,M=1e3){this.protocol=T,this.ctx=L,this.logger=F,this.timeoutDelay=M,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(z=>this.onRawMessage(z)),this.sendResponse({type:200})}registerChannel(T,L){this.channels.set(T,L),setTimeout(()=>this.flushPendingRequests(T),0)}sendResponse(T){switch(T.type){case 200:{const L=this.send([T.type]);this.logger&&this.logger.logOutgoing(L,0,1,I(T.type));return}case 201:case 202:case 204:case 203:{const L=this.send([T.type,T.id],T.data);this.logger&&this.logger.logOutgoing(L,T.id,1,I(T.type),T.data);return}}}send(T,L=void 0){const F=new g;return h(F,T),h(F,L),this.sendBuffer(F.buffer)}sendBuffer(T){try{return this.protocol.send(T),T.byteLength}catch(L){return 0}}onRawMessage(T){const L=new b(T),F=r(L),M=r(L),z=F[0];switch(z){case 100:return this.logger&&this.logger.logIncoming(T.byteLength,F[1],1,`${C(z)}: ${F[2]}.${F[3]}`,M),this.onPromise({type:z,id:F[1],channelName:F[2],name:F[3],arg:M});case 102:return this.logger&&this.logger.logIncoming(T.byteLength,F[1],1,`${C(z)}: ${F[2]}.${F[3]}`,M),this.onEventListen({type:z,id:F[1],channelName:F[2],name:F[3],arg:M});case 101:return this.logger&&this.logger.logIncoming(T.byteLength,F[1],1,`${C(z)}`),this.disposeActiveRequest({type:z,id:F[1]});case 103:return this.logger&&this.logger.logIncoming(T.byteLength,F[1],1,`${C(z)}`),this.disposeActiveRequest({type:z,id:F[1]})}}onPromise(T){const L=this.channels.get(T.channelName);if(!L){this.collectPendingRequest(T);return}const F=new R.CancellationTokenSource;let M;try{M=L.call(this.ctx,T.name,T.arg,F.token)}catch(K){M=Promise.reject(K)}const z=T.id;M.then(K=>{this.sendResponse({id:z,data:K,type:201}),this.activeRequests.delete(T.id)},K=>{K instanceof Error?this.sendResponse({id:z,data:{message:K.message,name:K.name,stack:K.stack?K.stack.split?K.stack.split(`
`):K.stack:void 0},type:202}):this.sendResponse({id:z,data:K,type:203}),this.activeRequests.delete(T.id)});const x=k.toDisposable(()=>F.cancel());this.activeRequests.set(T.id,x)}onEventListen(T){const L=this.channels.get(T.channelName);if(!L){this.collectPendingRequest(T);return}const F=T.id,z=L.listen(this.ctx,T.name,T.arg)(x=>this.sendResponse({id:F,data:x,type:204}));this.activeRequests.set(T.id,z)}disposeActiveRequest(T){const L=this.activeRequests.get(T.id);L&&(L.dispose(),this.activeRequests.delete(T.id))}collectPendingRequest(T){let L=this.pendingRequests.get(T.channelName);L||(L=[],this.pendingRequests.set(T.channelName,L));const F=setTimeout(()=>{console.error(`Unknown channel: ${T.channelName}`),T.type===100&&this.sendResponse({id:T.id,data:{name:"Unknown channel",message:`Channel name '${T.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);L.push({request:T,timeoutTimer:F})}flushPendingRequests(T){const L=this.pendingRequests.get(T);if(L){for(const F of L)switch(clearTimeout(F.timeoutTimer),F.request.type){case 100:this.onPromise(F.request);break;case 102:this.onEventListen(F.request);break}this.pendingRequests.delete(T)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(T=>T.dispose()),this.activeRequests.clear()}}e.ChannelServer=l;var u;(function(N){N[N.LocalSide=0]="LocalSide",N[N.OtherSide=1]="OtherSide"})(u=e.RequestInitiator||(e.RequestInitiator={}));class m{constructor(T,L=null){this.protocol=T,this.isDisposed=!1,this.state=w.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new v.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(F=>this.onBuffer(F)),this.logger=L}getChannel(T){const L=this;return{call(F,M,z){return L.isDisposed?Promise.reject(P.canceled()):L.requestPromise(T,F,M,z)},listen(F,M){return L.isDisposed?Promise.reject(P.canceled()):L.requestEvent(T,F,M)}}}requestPromise(T,L,F,M=R.CancellationToken.None){const z=this.lastRequestId++,K={id:z,type:100,channelName:T,name:L,arg:F};if(M.isCancellationRequested)return Promise.reject(P.canceled());let X;return new Promise((ne,ae)=>{if(M.isCancellationRequested)return ae(P.canceled());const de=()=>{const Ae=Oe=>{switch(Oe.type){case 201:this.handlers.delete(z),ne(Oe.data);break;case 202:this.handlers.delete(z);const ke=new Error(Oe.data.message);ke.stack=Oe.data.stack,ke.name=Oe.data.name,ae(ke);break;case 203:this.handlers.delete(z),ae(Oe.data);break}};this.handlers.set(z,Ae),this.sendRequest(K)};let me=null;this.state===w.Idle?de():(me=_.createCancelablePromise(Ae=>this.whenInitialized()),me.then(()=>{me=null,de()}));const be=()=>{me?(me.cancel(),me=null):this.sendRequest({id:z,type:101}),ae(P.canceled())},Ie=M.onCancellationRequested(be);X=k.combinedDisposable(k.toDisposable(be),Ie),this.activeRequests.add(X)}).finally(()=>{this.activeRequests.delete(X)})}requestEvent(T,L,F){const M=this.lastRequestId++,x={id:M,type:102,channelName:T,name:L,arg:F};let K=null;const X=new v.Emitter({onFirstListenerAdd:()=>{K=_.createCancelablePromise(ne=>this.whenInitialized()),K.then(()=>{K=null,this.activeRequests.add(X),this.sendRequest(x)})},onLastListenerRemove:()=>{K?(K.cancel(),K=null):(this.activeRequests.delete(X),this.sendRequest({id:M,type:103}))}}),Z=ne=>X.fire(ne.data);return this.handlers.set(M,Z),X.event}sendRequest(T){switch(T.type){case 100:case 102:{const L=this.send([T.type,T.id,T.channelName,T.name],T.arg);this.logger&&this.logger.logOutgoing(L,T.id,0,`${C(T.type)}: ${T.channelName}.${T.name}`,T.arg);return}case 101:case 103:{const L=this.send([T.type,T.id]);this.logger&&this.logger.logOutgoing(L,T.id,0,C(T.type));return}}}send(T,L=void 0){const F=new g;return h(F,T),h(F,L),this.sendBuffer(F.buffer)}sendBuffer(T){try{return this.protocol.send(T),T.byteLength}catch(L){return 0}}onBuffer(T){const L=new b(T),F=r(L),M=r(L),z=F[0];switch(z){case 200:return this.logger&&this.logger.logIncoming(T.byteLength,0,0,I(z)),this.onResponse({type:F[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming(T.byteLength,F[1],0,I(z),M),this.onResponse({type:F[0],id:F[1],data:M})}}onResponse(T){if(T.type===200){this.state=w.Idle,this._onDidInitialize.fire();return}const L=this.handlers.get(T.id);L&&L(T)}whenInitialized(){return this.state===w.Idle?Promise.resolve():v.Event.toPromise(this.onDidInitialize)}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(T=>T.dispose()),this.activeRequests.clear()}}e.ChannelClient=m;class p{constructor(T){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new v.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new v.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,T(({protocol:L,onDidClientDisconnect:F})=>{v.Event.once(L.onMessage)(z=>{const x=new b(z),K=r(x),X=new l(L,K),Z=new m(L);this.channels.forEach((ae,de)=>X.registerChannel(de,ae));const ne={channelServer:X,channelClient:Z,ctx:K};this._connections.add(ne),this._onDidAddConnection.fire(ne),F(()=>{X.dispose(),Z.dispose(),this._connections.delete(ne),this._onDidRemoveConnection.fire(ne)})})})}get connections(){const T=[];return this._connections.forEach(L=>T.push(L)),T}getChannel(T,L){const F=this;return{call(M,z,x){let K;if(E.isFunction(L)){let Z=y.getRandomElement(F.connections.filter(L));K=Z?Promise.resolve(Z):v.Event.toPromise(v.Event.filter(F.onDidAddConnection,L))}else K=L.routeCall(F,M,z);const X=K.then(Z=>Z.channelClient.getChannel(T));return O(X).call(M,z,x)},listen(M,z){if(E.isFunction(L))return F.getMulticastEvent(T,L,M,z);const x=L.routeEvent(F,M,z).then(K=>K.channelClient.getChannel(T));return O(x).listen(M,z)}}}getMulticastEvent(T,L,F,M){const z=this;let x=new k.DisposableStore;const K=new v.Emitter({onFirstListenerAdd:()=>{x=new k.DisposableStore;const X=new v.EventMultiplexer,Z=new Map,ne=de=>{const be=de.channelClient.getChannel(T).listen(F,M),Ie=X.add(be);Z.set(de,Ie)},ae=de=>{const me=Z.get(de);!me||(me.dispose(),Z.delete(de))};z.connections.filter(L).forEach(ne),v.Event.filter(z.onDidAddConnection,L)(ne,void 0,x),z.onDidRemoveConnection(ae,void 0,x),X.event(K.fire,K,x),x.add(X)},onLastListenerRemove:()=>{x.dispose()}});return K.event}registerChannel(T,L){this.channels.set(T,L),this._connections.forEach(F=>{F.channelServer.registerChannel(T,L)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=p;class d{constructor(T,L,F=null){const M=new g;h(M,L),T.send(M.buffer),this.channelClient=new m(T,F),this.channelServer=new l(T,L,F)}getChannel(T){return this.channelClient.getChannel(T)}registerChannel(T,L){this.channelServer.registerChannel(T,L)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=d;function O(N){return{call(T,L,F){return N.then(M=>M.call(T,L,F))},listen(T,L){const F=new v.Relay;return N.then(M=>F.input=M.listen(T,L)),F.event}}}e.getDelayedChannel=O;function U(N){let T=!1;return{call(L,F,M){return T?N.call(L,F,M):_.timeout(0).then(()=>T=!0).then(()=>N.call(L,F,M))},listen(L,F){if(T)return N.listen(L,F);const M=new v.Relay;return _.timeout(0).then(()=>T=!0).then(()=>M.input=N.listen(L,F)),M.event}}}e.getNextTickChannel=U;class j{constructor(T){this.fn=T}routeCall(T){return this.route(T)}routeEvent(T){return this.route(T)}async route(T){for(const L of T.connections)if(await Promise.resolve(this.fn(L.ctx)))return Promise.resolve(L);return await v.Event.toPromise(T.onDidAddConnection),await this.route(T)}}e.StaticRouter=j;var B;(function(N){function T(M,z){const x=M,K=z&&z.disableMarshalling,X=new Map;for(const Z in x)F(Z)&&X.set(Z,v.Event.buffer(x[Z],!0));return new class{listen(Z,ne){const ae=X.get(ne);if(ae)return ae;throw new Error(`Event not found: ${ne}`)}call(Z,ne,ae){const de=x[ne];if(typeof de=="function"){if(!K&&Array.isArray(ae))for(let me=0;me<ae.length;me++)ae[me]=D.revive(ae[me]);return de.apply(x,ae)}throw new Error(`Method not found: ${ne}`)}}}N.fromService=T;function L(M,z){const x=z&&z.disableMarshalling;return new Proxy({},{get(K,X){var Z;if(typeof X=="string")return((Z=z==null?void 0:z.properties)===null||Z===void 0?void 0:Z.has(X))?z.properties.get(X):F(X)?M.listen(X):async function(...ne){let ae;z&&!E.isUndefinedOrNull(z.context)?ae=[z.context,...ne]:ae=ne;const de=await M.call(X,ae);return x?de:D.revive(de)};throw new Error(`Property not found: ${String(X)}`)}})}N.toService=L;function F(M){return M[0]==="o"&&M[1]==="n"&&f.isUpperAsciiLetter(M.charCodeAt(2))}})(B=e.ProxyChannel||(e.ProxyChannel={}));const V=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function q(N){if(Array.isArray(N))return N;if(N&&typeof N=="object"&&typeof N.toString=="function"){let T=N.toString();if(T!=="[object Object]")return T}return N}function G(N){return Array.isArray(N)?N.map(q):q(N)}function Q(N,T,L,F,M,z,x){x=G(x);const K=V[M],X=K[F%K.length];let Z=[`%c[${N}]%c[${String(T).padStart(7," ")}]%c[len: ${String(L).padStart(5," ")}]%c${String(F).padStart(5," ")} - ${z}`,"color: darkgreen","color: grey","color: grey",`color: ${X}`];/\($/.test(z)?(Z=Z.concat(x),Z.push(")")):Z.push(x),console.log.apply(console,Z)}e.logWithColors=Q;class ${constructor(T,L){this._outgoingPrefix=T,this._incomingPrefix=L,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(T,L,F,M,z){this._totalOutgoing+=T,Q(this._outgoingPrefix,this._totalOutgoing,T,L,F,M,z)}logIncoming(T,L,F,M,z){this._totalIncoming+=T,Q(this._incomingPrefix,this._totalIncoming,T,L,F,M,z)}}e.IPCLogger=$}),define(ee[96],te([0,1,3,33,22]),function(H,e,v,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Protocol=void 0;class R{constructor(y){this.port=y,this.onMessage=v.Event.fromDOMEventEmitter(this.port,"message",E=>_.VSBuffer.wrap(E.data)),y.start()}send(y){this.port.postMessage(y.buffer)}disconnect(){this.port.close()}}e.Protocol=R;class P extends k.IPCClient{constructor(y,E){const D=new R(y);super(D,E);this.protocol=D}dispose(){this.protocol.disconnect()}}e.Client=P}),define(ee[97],te([0,1,98,3,33,96]),function(H,e,v,k,_,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Server=void 0;class P extends _.IPCServer{static getOnDidClientConnect(){const y=k.Event.fromNodeEventEmitter(v.ipcRenderer,"vscode:createMessageChannel",(E,D)=>D);return k.Event.map(y,E=>{const{port1:D,port2:f}=new MessageChannel,C={protocol:new R.Protocol(D),onDidClientDisconnect:k.Event.fromDOMEventEmitter(D,"close")};return v.ipcRenderer.postMessage("vscode:createMessageChannelResult",E,[f]),C})}constructor(){super(P.getOnDidClientConnect())}}e.Server=P}),define(ee[99],te([0,1,14,22]),function(H,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.request=void 0;function _(A,y){A.proxyAuthorization&&(A.headers=Object.assign(Object.assign({},A.headers||{}),{"Proxy-Authorization":A.proxyAuthorization}));const E=new XMLHttpRequest;return new Promise((D,f)=>{E.open(A.type||"GET",A.url||"",!0,A.user,A.password),R(E,A),E.responseType="arraybuffer",E.onerror=S=>f(new Error(E.statusText&&"XHR failed: "+E.statusText||"XHR failed")),E.onload=S=>{D({res:{statusCode:E.status,headers:P(E)},stream:k.bufferToStream(k.VSBuffer.wrap(new Uint8Array(E.response)))})},E.ontimeout=S=>f(new Error(`XHR timeout: ${A.timeout}ms`)),A.timeout&&(E.timeout=A.timeout),E.send(A.data),y.onCancellationRequested(()=>{E.abort(),f(v.canceled())})})}e.request=_;function R(A,y){if(y.headers){e:for(let E in y.headers){switch(E){case"User-Agent":case"Accept-Encoding":case"Content-Length":continue e}A.setRequestHeader(E,y.headers[E])}}}function P(A){const y=Object.create(null);for(const E of A.getAllResponseHeaders().split(/\r\n|\n|\r/g))if(E){const D=E.indexOf(":");y[E.substr(0,D).trim().toLowerCase()]=E.substr(D+1).trim()}return y}}),define(ee[100],te([0,1,6]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.context=e.process=e.crashReporter=e.webFrame=e.ipcMessagePort=e.ipcRenderer=void 0,e.ipcRenderer=v.globals.vscode.ipcRenderer,e.ipcMessagePort=v.globals.vscode.ipcMessagePort,e.webFrame=v.globals.vscode.webFrame,e.crashReporter=v.globals.vscode.crashReporter,e.process=v.globals.vscode.process,e.context=v.globals.vscode.context}),define(ee[67],te([0,1,2,3,5,15]),function(H,e,v,k,_,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryStorageDatabase=e.Storage=e.StorageHint=void 0;var P;(function(D){D[D.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST"})(P=e.StorageHint||(e.StorageHint={}));var A;(function(D){D[D.None=0]="None",D[D.Initialized=1]="Initialized",D[D.Closed=2]="Closed"})(A||(A={}));class y extends v.Disposable{constructor(f,S=Object.create(null)){super();this.database=f,this.options=S,this._onDidChangeStorage=this._register(new k.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this.state=A.None,this.cache=new Map,this.flushDelayer=new _.ThrottledDelayer(y.DEFAULT_FLUSH_DELAY),this.pendingDeletes=new Set,this.pendingInserts=new Map,this.pendingClose=void 0,this.whenFlushedCallbacks=[],this.registerListeners()}registerListeners(){this._register(this.database.onDidChangeItemsExternal(f=>this.onDidChangeItemsExternal(f)))}onDidChangeItemsExternal(f){var S,C;(S=f.changed)===null||S===void 0||S.forEach((a,I)=>this.accept(I,a)),(C=f.deleted)===null||C===void 0||C.forEach(a=>this.accept(a,void 0))}accept(f,S){if(this.state!==A.Closed){let C=!1;R.isUndefinedOrNull(S)?C=this.cache.delete(f):this.cache.get(f)!==S&&(this.cache.set(f,S),C=!0),C&&this._onDidChangeStorage.fire(f)}}get items(){return this.cache}get size(){return this.cache.size}async init(){this.state===A.None&&(this.state=A.Initialized,this.options.hint!==P.STORAGE_DOES_NOT_EXIST&&(this.cache=await this.database.getItems()))}get(f,S){const C=this.cache.get(f);return R.isUndefinedOrNull(C)?S:C}getBoolean(f,S){const C=this.get(f);return R.isUndefinedOrNull(C)?S:C==="true"}getNumber(f,S){const C=this.get(f);return R.isUndefinedOrNull(C)?S:parseInt(C,10)}async set(f,S){if(this.state!==A.Closed){if(R.isUndefinedOrNull(S))return this.delete(f);const C=String(S);if(this.cache.get(f)!==C)return this.cache.set(f,C),this.pendingInserts.set(f,C),this.pendingDeletes.delete(f),this._onDidChangeStorage.fire(f),this.flushDelayer.trigger(()=>this.flushPending())}}async delete(f){if(this.state!==A.Closed&&!!this.cache.delete(f))return this.pendingDeletes.has(f)||this.pendingDeletes.add(f),this.pendingInserts.delete(f),this._onDidChangeStorage.fire(f),this.flushDelayer.trigger(()=>this.flushPending())}async close(){return this.pendingClose||(this.pendingClose=this.doClose()),this.pendingClose}async doClose(){this.state=A.Closed;try{await this.flushDelayer.trigger(()=>this.flushPending(),0)}catch(f){}await this.database.close(()=>this.cache)}get hasPending(){return this.pendingInserts.size>0||this.pendingDeletes.size>0}async flushPending(){if(!!this.hasPending){const f={insert:this.pendingInserts,delete:this.pendingDeletes};return this.pendingDeletes=new Set,this.pendingInserts=new Map,this.database.updateItems(f).finally(()=>{var S;if(!this.hasPending)for(;this.whenFlushedCallbacks.length;)(S=this.whenFlushedCallbacks.pop())===null||S===void 0||S()})}}async whenFlushed(){if(!!this.hasPending)return new Promise(f=>this.whenFlushedCallbacks.push(f))}dispose(){this.flushDelayer.cancel(),this.flushDelayer.dispose(),super.dispose()}}e.Storage=y,y.DEFAULT_FLUSH_DELAY=100;class E{constructor(){this.onDidChangeItemsExternal=k.Event.None,this.items=new Map}async getItems(){return this.items}async updateItems(f){f.insert&&f.insert.forEach((S,C)=>this.items.set(C,S)),f.delete&&f.delete.forEach(S=>this.items.delete(S))}async close(){}}e.InMemoryStorageDatabase=E}),define(ee[101],te([11,12]),function(H,e){return H.create("vs/base/common/date",e)}),define(ee[53],te([0,1,101]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const k=60,_=k*60,R=_*24,P=R*7,A=R*30,y=R*365;function E(f,S){typeof f!="number"&&(f=f.getTime());const C=Math.round((new Date().getTime()-f)/1e3);if(C<-30)return v.localize(0,null,E(new Date().getTime()+C*1e3,!1));if(C<30)return v.localize(1,null);let a;return C<k?(a=C,S?a===1?v.localize(2,null,a):v.localize(3,null,a):a===1?v.localize(4,null,a):v.localize(5,null,a)):C<_?(a=Math.floor(C/k),S?a===1?v.localize(6,null,a):v.localize(7,null,a):a===1?v.localize(8,null,a):v.localize(9,null,a)):C<R?(a=Math.floor(C/_),S?a===1?v.localize(10,null,a):v.localize(11,null,a):a===1?v.localize(12,null,a):v.localize(13,null,a)):C<P?(a=Math.floor(C/R),S?a===1?v.localize(14,null,a):v.localize(15,null,a):a===1?v.localize(16,null,a):v.localize(17,null,a)):C<A?(a=Math.floor(C/P),S?a===1?v.localize(18,null,a):v.localize(19,null,a):a===1?v.localize(20,null,a):v.localize(21,null,a)):C<y?(a=Math.floor(C/A),S?a===1?v.localize(22,null,a):v.localize(23,null,a):a===1?v.localize(24,null,a):v.localize(25,null,a)):(a=Math.floor(C/y),S?a===1?v.localize(26,null,a):v.localize(27,null,a):a===1?v.localize(28,null,a):v.localize(29,null,a))}e.fromNow=E;function D(f){return f.getFullYear()+"-"+String(f.getMonth()+1).padStart(2,"0")+"-"+String(f.getDate()).padStart(2,"0")+"T"+String(f.getHours()).padStart(2,"0")+":"+String(f.getMinutes()).padStart(2,"0")+":"+String(f.getSeconds()).padStart(2,"0")+"."+(f.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=D}),define(ee[102],te([11,12]),function(H,e){return H.create("vs/base/common/errorMessage",e)}),define(ee[43],te([0,1,102,15,17]),function(H,e,v,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toErrorMessage=void 0;function R(E,D){return D&&(E.stack||E.stacktrace)?v.localize(0,null,A(E),P(E.stack)||P(E.stacktrace)):A(E)}function P(E){return Array.isArray(E)?E.join(`
`):E}function A(E){return typeof E.code=="string"&&typeof E.errno=="number"&&typeof E.syscall=="string"?v.localize(1,null,E.message):E.message||v.localize(2,null)}function y(E=null,D=!1){if(!E)return v.localize(3,null);if(Array.isArray(E)){const f=_.coalesce(E),S=y(f[0],D);return f.length>1?v.localize(4,null,S,f.length):S}if(k.isString(E))return E;if(E.detail){const f=E.detail;if(f.error)return R(f.error,D);if(f.exception)return R(f.exception,D)}return E.stack?R(E,D):E.message?E.message:v.localize(5,null)}e.toErrorMessage=y}),define(ee[103],te([11,12]),function(H,e){return H.create("vs/base/node/processes",e)}),define(ee[104],te([0,1,8,27,23,47,103,15,24,42,6,66,16]),function(H,e,v,k,_,R,P,A,y,E,D,f,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.TerminateResponseCode=e.Source=void 0;function C(s){switch(s){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function a(s,i){if(D.isWindows)try{const t={stdio:["pipe","pipe","ignore"]};i&&(t.cwd=i);const n=R.execFile("taskkill",["/T","/F","/PID",s.pid.toString()],t);return new Promise(o=>{n.once("error",h=>{o({success:!1,error:h})}),n.once("exit",(h,r)=>{o(h===0?{success:!0}:{success:!1,code:h!==null?h:1})})})}catch(t){return Promise.resolve({success:!1,error:t,code:t.status?C(t.status):1})}else if(D.isLinux||D.isMacintosh)try{const t=S.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",H).fsPath;return new Promise(n=>{R.execFile(t,[s.pid.toString()],{encoding:"utf8",shell:!0},(o,h,r)=>{n(o?{success:!1,error:o}:{success:!0})})})}catch(t){return Promise.resolve({success:!1,error:t})}else s.kill("SIGKILL");return Promise.resolve({success:!0})}function I(s=process.env){return s.comspec||"cmd.exe"}e.getWindowsShell=I;class w{constructor(i,t,n,o){if(t!==void 0&&n!==void 0&&o!==void 0)this.cmd=i,this.args=t,this.shell=n,this.options=o;else{const h=i;this.cmd=h.command,this.shell=h.isShellCommand,this.args=h.args.slice(0),this.options=h.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const h=Object.create(null);Object.keys(process.env).forEach(r=>{h[r]=process.env[r]}),Object.keys(this.options.env).forEach(r=>{h[r]=this.options.env[r]}),this.options.env=h}}getSanitizedCommand(){let i=this.cmd.toLowerCase();const t=i.lastIndexOf(v.sep);return t!==-1&&(i=i.substring(t+1)),w.WellKnowCommands[i]?i:"other"}start(i){return D.isWindows&&(this.options&&this.options.cwd&&E.isUNC(this.options.cwd)||!this.options&&E.isUNC(process.cwd()))?Promise.reject(new Error(P.localize(0,null))):this.useExec().then(t=>{let n,o;const h=new Promise((r,l)=>{n=r,o=l});if(t){let r=this.cmd;this.args&&(r=r+" "+this.args.join(" ")),this.childProcess=R.exec(r,this.options,(l,u,m)=>{this.childProcess=null;const p=l;p&&p.killed?o({killed:this.terminateRequested,stdout:u.toString(),stderr:m.toString()}):this.handleExec(n,i,l,u,m)})}else{let r=null;const l=u=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(u,n,i,o);const m={terminated:this.terminateRequested};A.isNumber(u)&&(m.cmdCode=u),n(m)};if(this.shell&&D.isWindows){const u=y.deepClone(this.options);u.windowsVerbatimArguments=!0,u.detached=!1;let m=!1,p=!1;const d=[];let O=this.ensureQuotes(this.cmd);d.push(O.value),m=O.quoted,this.args&&this.args.forEach(j=>{O=this.ensureQuotes(j),d.push(O.value),p=p&&O.quoted});const U=["/s","/c"];m?p?U.push('"'+d.join(" ")+'"'):d.length>1?U.push('"'+d[0]+'" '+d.slice(1).join(" ")):U.push('"'+d[0]+'"'):U.push(d.join(" ")),r=R.spawn(I(),U,u)}else this.cmd&&(r=R.spawn(this.cmd,this.args,this.options));r&&(this.childProcess=r,this.childProcessPromise=Promise.resolve(r),this.pidResolve&&(this.pidResolve(A.isNumber(r.pid)?r.pid:-1),this.pidResolve=void 0),r.on("error",u=>{this.childProcess=null,o({terminated:this.terminateRequested,error:u})}),r.pid&&(this.childProcess.on("close",l),this.handleSpawn(r,n,i,o,!0)))}return h})}handleClose(i,t,n,o){}ensureQuotes(i){return w.regexp.test(i)?{value:'"'+i+'"',quoted:!0}:{value:i,quoted:i.length>0&&i[0]==='"'&&i[i.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(i=>i.pid,i=>-1):new Promise(i=>{this.pidResolve=i})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(i=>(this.terminateRequested=!0,a(i,this.options.cwd).then(t=>(t.success&&(this.childProcess=null),t))),i=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(i=>{if(!this.shell||!D.isWindows)return i(!1);const t=R.spawn(I(),["/s","/c"]);t.on("error",n=>i(!0)),t.on("exit",n=>i(!1))})}}e.AbstractProcess=w,w.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},w.regexp=/^[^"].* .*[^"]/;class b extends w{constructor(i,t,n,o){super(i,t,n,o);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(i,t,n,o,h){[o,h].forEach((r,l)=>{const u=new f.LineDecoder;u.write(r).forEach(d=>{t({line:d,source:l===0?0:1})});const p=u.end();p&&t({line:p,source:l===0?0:1})}),i({terminated:this.terminateRequested,error:n})}handleSpawn(i,t,n,o,h){const r=new f.LineDecoder,l=new f.LineDecoder;i.stdout.on("data",u=>{r.write(u).forEach(p=>n({line:p,source:0}))}),i.stderr.on("data",u=>{l.write(u).forEach(p=>n({line:p,source:1}))}),this.stdoutLineDecoder=r,this.stderrLineDecoder=l}handleClose(i,t,n,o){const h=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;h&&n({line:h,source:0});const r=this.stderrLineDecoder?this.stderrLineDecoder.end():null;r&&n({line:r,source:1})}}e.LineProcess=b;function g(s){let i=[],t=!1;const n=function(o){if(t){i.push(o);return}(!s.send(o,r=>{if(r&&console.error(r),t=!1,i.length>0){const l=i.slice(0);i=[],l.forEach(u=>n(u))}})||D.isWindows)&&(t=!0)};return{send:n}}e.createQueuedSender=g;var c;(function(s){async function i(t,n,o){if(v.isAbsolute(t))return t;if(n===void 0&&(n=process.cwd()),v.dirname(t)!=="."||(o===void 0&&A.isString(process.env.PATH)&&(o=process.env.PATH.split(v.delimiter)),o===void 0||o.length===0))return v.join(n,t);async function r(l){return await _.exists(l)?!(await k.promises.stat(l)).isDirectory():!1}for(let l of o){let u;if(v.isAbsolute(l)?u=v.join(l,t):u=v.join(n,l,t),await r(u))return u;let m=u+".com";if(await r(m)||(m=u+".exe",await r(m)))return m}return v.join(n,t)}s.findExecutable=i})(c=e.win32||(e.win32={}))}),define(ee[54],te([0,1,47,2,5,24,3,104,33,86,29,14,22,6]),function(H,e,v,k,_,R,P,A,y,E,D,f,S,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Server=void 0;class a extends y.ChannelServer{constructor(b){super({send:g=>{try{process.send&&process.send(g.buffer.toString("base64"))}catch(c){}},onMessage:P.Event.fromNodeEventEmitter(process,"message",g=>S.VSBuffer.wrap(Buffer.from(g,"base64")))},b);process.once("disconnect",()=>this.dispose())}}e.Server=a;class I{constructor(b,g){this.modulePath=b,this.options=g,this.activeRequests=new Set,this.channels=new Map,this._onDidProcessExit=new P.Emitter,this.onDidProcessExit=this._onDidProcessExit.event;const c=g&&g.timeout?g.timeout:6e4;this.disposeDelayer=new _.Delayer(c),this.child=null,this._client=null}getChannel(b){const g=this;return{call(c,s,i){return g.requestPromise(b,c,s,i)},listen(c,s){return g.requestEvent(b,c,s)}}}requestPromise(b,g,c,s=D.CancellationToken.None){if(!this.disposeDelayer)return Promise.reject(new Error("disposed"));if(s.isCancellationRequested)return Promise.reject(f.canceled());this.disposeDelayer.cancel();const i=this.getCachedChannel(b),t=_.createCancelablePromise(h=>i.call(g,c,h)),n=s.onCancellationRequested(()=>t.cancel()),o=k.toDisposable(()=>t.cancel());return this.activeRequests.add(o),t.finally(()=>{n.dispose(),this.activeRequests.delete(o),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}),t}requestEvent(b,g,c){if(!this.disposeDelayer)return P.Event.None;this.disposeDelayer.cancel();let s;const i=new P.Emitter({onFirstListenerAdd:()=>{s=this.getCachedChannel(b).listen(g,c)(i.fire,i),this.activeRequests.add(s)},onLastListenerRemove:()=>{this.activeRequests.delete(s),s.dispose(),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}});return i.event}get client(){if(!this._client){const b=this.options&&this.options.args?this.options.args:[],g=Object.create(null);g.env=Object.assign(Object.assign({},R.deepClone(process.env)),{VSCODE_PARENT_PID:String(process.pid)}),this.options&&this.options.env&&(g.env=Object.assign(Object.assign({},g.env),this.options.env)),this.options&&this.options.freshExecArgv&&(g.execArgv=[]),this.options&&typeof this.options.debug=="number"&&(g.execArgv=["--nolazy","--inspect="+this.options.debug]),this.options&&typeof this.options.debugBrk=="number"&&(g.execArgv=["--nolazy","--inspect-brk="+this.options.debugBrk]),g.execArgv===void 0&&(g.execArgv=process.execArgv.filter(r=>!/^--inspect(-brk)?=/.test(r))),C.isMacintosh&&g.env&&delete g.env.DYLD_LIBRARY_PATH,this.child=v.fork(this.modulePath,b,g);const c=new P.Emitter;P.Event.fromNodeEventEmitter(this.child,"message",r=>r)(r=>{if(E.isRemoteConsoleLog(r)){E.log(r,`IPC Library: ${this.options.serverName}`);return}c.fire(S.VSBuffer.wrap(Buffer.from(r,"base64")))});const i=this.options.useQueue?A.createQueuedSender(this.child):this.child,t=r=>this.child&&this.child.connected&&i.send(r.buffer.toString("base64")),n=c.event,o={send:t,onMessage:n};this._client=new y.ChannelClient(o);const h=()=>this.disposeClient();process.once("exit",h),this.child.on("error",r=>console.warn('IPC "'+this.options.serverName+'" errored with '+r)),this.child.on("exit",(r,l)=>{process.removeListener("exit",h),this.activeRequests.forEach(u=>k.dispose(u)),this.activeRequests.clear(),r!==0&&l!=="SIGTERM"&&console.warn('IPC "'+this.options.serverName+'" crashed with exit code '+r+" and signal "+l),this.disposeDelayer&&this.disposeDelayer.cancel(),this.disposeClient(),this._onDidProcessExit.fire({code:r,signal:l})})}return this._client}getCachedChannel(b){let g=this.channels.get(b);return g||(g=this.client.getChannel(b),this.channels.set(b,g)),g}disposeClient(){this._client&&(this.child&&(this.child.kill(),this.child=null),this._client=null,this.channels.clear())}dispose(){this._onDidProcessExit.dispose(),this.disposeDelayer&&(this.disposeDelayer.cancel(),this.disposeDelayer=void 0),this.disposeClient(),this.activeRequests.clear()}}e.Client=I}),define(ee[105],te([11,12]),function(H,e){return H.create("vs/base/node/zip",e)}),define(ee[106],te([11,12]),function(H,e){return H.create("vs/platform/configuration/common/configurationRegistry",e)}),define(ee[107],te([11,12]),function(H,e){return H.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(ee[108],te([11,12]),function(H,e){return H.create("vs/platform/extensionManagement/electron-sandbox/extensionTipsService",e)}),define(ee[109],te([11,12]),function(H,e){return H.create("vs/platform/extensionManagement/node/extensionManagementService",e)}),define(ee[110],te([11,12]),function(H,e){return H.create("vs/platform/extensionManagement/node/extensionManagementUtil",e)}),define(ee[111],te([11,12]),function(H,e){return H.create("vs/platform/extensionManagement/node/extensionsScanner",e)}),define(ee[112],te([11,12]),function(H,e){return H.create("vs/platform/extensions/common/extensionValidator",e)}),define(ee[113],te([11,12]),function(H,e){return H.create("vs/platform/files/common/fileService",e)}),define(ee[114],te([11,12]),function(H,e){return H.create("vs/platform/files/common/files",e)}),define(ee[115],te([11,12]),function(H,e){return H.create("vs/platform/files/common/io",e)}),define(ee[116],te([11,12]),function(H,e){return H.create("vs/platform/files/node/diskFileSystemProvider",e)}),define(ee[117],te([11,12]),function(H,e){return H.create("vs/platform/request/common/request",e)}),define(ee[118],te([11,12]),function(H,e){return H.create("vs/platform/telemetry/common/telemetryService",e)}),define(ee[119],te([11,12]),function(H,e){return H.create("vs/platform/userDataSync/common/abstractSynchronizer",e)}),define(ee[120],te([11,12]),function(H,e){return H.create("vs/platform/userDataSync/common/keybindingsSync",e)}),define(ee[121],te([11,12]),function(H,e){return H.create("vs/platform/userDataSync/common/settingsSync",e)}),define(ee[122],te([11,12]),function(H,e){return H.create("vs/platform/userDataSync/common/userDataAutoSyncService",e)}),define(ee[123],te([11,12]),function(H,e){return H.create("vs/platform/userDataSync/common/userDataSync",e)}),define(ee[124],te([11,12]),function(H,e){return H.create("vs/platform/userDataSync/common/userDataSyncMachines",e)}),define(ee[125],te([0,1,7]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getRemotes=e.getDomainsOfRemotes=e.AllowedSecondLevelDomains=void 0;const k=/^([^@:]+@)?([^:]+):/,_=/^([^@:]+@)?([^:]+):(.+)$/,R=/^([^@]+@)?([^:]+)(:\d+)?$/,P=/([^@:.]+\.[^@:.]+)(:\d+)?$/,A=/^\s*url\s*=\s*(.+\S)\s*$/mg,y=/[^.]/g;e.AllowedSecondLevelDomains=["github.com","bitbucket.org","visualstudio.com","gitlab.com","heroku.com","azurewebsites.net","ibm.com","amazon.com","amazonaws.com","cloudapp.net","rhcloud.com","google.com","azure.com"];function E(w){const b=w.match(P);return b?b[1]:null}function D(w){if(w.indexOf("://")===-1){const b=w.match(k);return b?E(b[2]):null}try{const b=v.URI.parse(w);if(b.authority)return E(b.authority)}catch(b){}return null}function f(w,b){const g=new Set;let c;for(;c=A.exec(w);){const i=D(c[1]);i&&g.add(i)}const s=new Set(b);return Array.from(g).map(i=>s.has(i)?i:i.replace(y,"a"))}e.getDomainsOfRemotes=f;function S(w){const b=w.match(R);return b?b[2]:null}function C(w,b,g){return w&&b?(g&&b.endsWith(".git")&&(b=b.substr(0,b.length-4)),b.indexOf("/")===0?`${w}${b}`:`${w}/${b}`):null}function a(w,b){if(w.indexOf("://")===-1){const g=w.match(_);if(g)return C(g[2],g[3],b)}try{const g=v.URI.parse(w);if(g.authority)return C(S(g.authority),g.path,b)}catch(g){}return null}function I(w,b=!1){const g=[];let c;for(;c=A.exec(w);){const s=a(c[1],b);s&&g.push(s)}return g}e.getRemotes=I}),define(ee[126],te([0,1,3,7,89,24,2]),function(H,e,v,k,_,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionTipsChannel=e.ExtensionManagementChannelClient=e.ExtensionManagementChannel=void 0;function A(a,I){return k.URI.revive(I?I.transformIncoming(a):a)}function y(a,I){return I?I.transformOutgoingURI(a):a}function E(a,I){I=I||_.DefaultURITransformer;const w=a.manifest,b=_.transformAndReviveIncomingURIs(Object.assign(Object.assign({},a),{manifest:void 0}),I);return Object.assign(Object.assign({},b),{manifest:w})}function D(a,I){return I?R.cloneAndChange(a,w=>w instanceof k.URI?I.transformOutgoingURI(w):void 0):a}class f{constructor(I,w){this.service=I,this.getUriTransformer=w,this.onInstallExtension=v.Event.buffer(I.onInstallExtension,!0),this.onDidInstallExtension=v.Event.buffer(I.onDidInstallExtension,!0),this.onUninstallExtension=v.Event.buffer(I.onUninstallExtension,!0),this.onDidUninstallExtension=v.Event.buffer(I.onDidUninstallExtension,!0)}listen(I,w){const b=this.getUriTransformer(I);switch(w){case"onInstallExtension":return this.onInstallExtension;case"onDidInstallExtension":return v.Event.map(this.onDidInstallExtension,g=>Object.assign(Object.assign({},g),{local:g.local?D(g.local,b):g.local}));case"onUninstallExtension":return this.onUninstallExtension;case"onDidUninstallExtension":return this.onDidUninstallExtension}throw new Error("Invalid listen")}call(I,w,b){const g=this.getUriTransformer(I);switch(w){case"zip":return this.service.zip(E(b[0],g)).then(c=>y(c,g));case"unzip":return this.service.unzip(A(b[0],g));case"install":return this.service.install(A(b[0],g));case"getManifest":return this.service.getManifest(A(b[0],g));case"canInstall":return this.service.canInstall(b[0]);case"installFromGallery":return this.service.installFromGallery(b[0],b[1]);case"uninstall":return this.service.uninstall(E(b[0],g),b[1]);case"reinstallFromGallery":return this.service.reinstallFromGallery(E(b[0],g));case"getInstalled":return this.service.getInstalled(b[0]).then(c=>c.map(s=>D(s,g)));case"updateMetadata":return this.service.updateMetadata(E(b[0],g),b[1]).then(c=>D(c,g));case"updateExtensionScope":return this.service.updateExtensionScope(E(b[0],g),b[1]).then(c=>D(c,g));case"getExtensionsReport":return this.service.getExtensionsReport()}throw new Error("Invalid call")}}e.ExtensionManagementChannel=f;class S extends P.Disposable{constructor(I){super();this.channel=I,this._onInstallExtension=this._register(new v.Emitter),this.onInstallExtension=this._onInstallExtension.event,this._onDidInstallExtension=this._register(new v.Emitter),this.onDidInstallExtension=this._onDidInstallExtension.event,this._onUninstallExtension=this._register(new v.Emitter),this.onUninstallExtension=this._onUninstallExtension.event,this._onDidUninstallExtension=this._register(new v.Emitter),this.onDidUninstallExtension=this._onDidUninstallExtension.event,this._register(this.channel.listen("onInstallExtension")(w=>this._onInstallExtension.fire(w))),this._register(this.channel.listen("onDidInstallExtension")(w=>this._onDidInstallExtension.fire(Object.assign(Object.assign({},w),{local:w.local?E(w.local,null):w.local})))),this._register(this.channel.listen("onUninstallExtension")(w=>this._onUninstallExtension.fire(w))),this._register(this.channel.listen("onDidUninstallExtension")(w=>this._onDidUninstallExtension.fire(w)))}zip(I){return Promise.resolve(this.channel.call("zip",[I]).then(w=>k.URI.revive(w)))}unzip(I){return Promise.resolve(this.channel.call("unzip",[I]))}install(I){return Promise.resolve(this.channel.call("install",[I])).then(w=>E(w,null))}getManifest(I){return Promise.resolve(this.channel.call("getManifest",[I]))}async canInstall(I){return!0}installFromGallery(I,w){return Promise.resolve(this.channel.call("installFromGallery",[I,w])).then(b=>E(b,null))}uninstall(I,w){return Promise.resolve(this.channel.call("uninstall",[I,w]))}reinstallFromGallery(I){return Promise.resolve(this.channel.call("reinstallFromGallery",[I]))}getInstalled(I=null){return Promise.resolve(this.channel.call("getInstalled",[I])).then(w=>w.map(b=>E(b,null)))}updateMetadata(I,w){return Promise.resolve(this.channel.call("updateMetadata",[I,w])).then(b=>E(b,null))}updateExtensionScope(I,w){return Promise.resolve(this.channel.call("updateExtensionScope",[I,w])).then(b=>E(b,null))}getExtensionsReport(){return Promise.resolve(this.channel.call("getExtensionsReport"))}}e.ExtensionManagementChannelClient=S;class C{constructor(I){this.service=I}listen(I,w){throw new Error("Invalid listen")}call(I,w,b){switch(w){case"getConfigBasedTips":return this.service.getConfigBasedTips(k.URI.revive(b[0]));case"getImportantExecutableBasedTips":return this.service.getImportantExecutableBasedTips();case"getOtherExecutableBasedTips":return this.service.getOtherExecutableBasedTips();case"getAllWorkspacesTips":return this.service.getAllWorkspacesTips()}throw new Error("Invalid call")}}e.ExtensionTipsChannel=C}),define(ee[127],te([0,1,24]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.localizeManifest=void 0;const k=/^%([\w\d.-]+)%$/i;function _(R,P){const A=y=>{if(typeof y=="string"){const E=k.exec(y);if(!!E)return P[E[1]]||y}};return v.cloneAndChange(R,A)}e.localizeManifest=_}),define(ee[128],te([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionRecommendationNotificationServiceChannel=e.ExtensionRecommendationNotificationServiceChannelClient=void 0;class v{constructor(R){this.channel=R}get ignoredRecommendations(){throw new Error("not supported")}promptImportantExtensionsInstallNotification(R,P,A,y){return this.channel.call("promptImportantExtensionsInstallNotification",[R,P,A,y])}promptWorkspaceRecommendations(R){throw new Error("not supported")}hasToIgnoreRecommendationNotifications(){throw new Error("not supported")}}e.ExtensionRecommendationNotificationServiceChannelClient=v;class k{constructor(R){this.service=R}listen(R,P){throw new Error(`Event not found: ${P}`)}call(R,P,A){switch(P){case"promptImportantExtensionsInstallNotification":return this.service.promptImportantExtensionsInstallNotification(A[0],A[1],A[2],A[3])}throw new Error(`Call not found: ${P}`)}}e.ExtensionRecommendationNotificationServiceChannel=k}),define(ee[68],te([0,1,112]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isVersionValid=e.isEngineValid=e.isValidExtensionVersion=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const k=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/;function _(f){return f=f.trim(),f==="*"||k.test(f)}e.isValidVersionStr=_;function R(f){if(!_(f))return null;if(f=f.trim(),f==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};let S=f.match(k);return S?{hasCaret:S[1]==="^",hasGreaterEquals:S[1]===">=",majorBase:S[2]==="x"?0:parseInt(S[2],10),majorMustEqual:S[2]!=="x",minorBase:S[4]==="x"?0:parseInt(S[4],10),minorMustEqual:S[4]!=="x",patchBase:S[6]==="x"?0:parseInt(S[6],10),patchMustEqual:S[6]!=="x",preRelease:S[8]||null}:null}e.parseVersion=R;function P(f){if(!f)return null;let S=f.majorBase,C=f.majorMustEqual,a=f.minorBase,I=f.minorMustEqual,w=f.patchBase,b=f.patchMustEqual;return f.hasCaret&&(S===0||(I=!1),b=!1),{majorBase:S,majorMustEqual:C,minorBase:a,minorMustEqual:I,patchBase:w,patchMustEqual:b,isMinimum:f.hasGreaterEquals}}e.normalizeVersion=P;function A(f,S){let C;typeof f=="string"?C=P(R(f)):C=f;let a;if(typeof S=="string"?a=P(R(S)):a=S,!C||!a)return!1;let I=C.majorBase,w=C.minorBase,b=C.patchBase,g=a.majorBase,c=a.minorBase,s=a.patchBase,i=a.majorMustEqual,t=a.minorMustEqual,n=a.patchMustEqual;return a.isMinimum?I>g?!0:I<g?!1:w>c?!0:w<c?!1:b>=s:(I===1&&g===0&&(!i||!t||!n)&&(g=1,c=0,s=0,i=!0,t=!1,n=!1),I<g?!1:I>g?!i:w<c?!1:w>c?!t:b<s?!1:b>s?!n:!0)}e.isValidVersion=A;function y(f,S,C){return S.isBuiltin||typeof S.main=="undefined"?!0:D(f,S.engines.vscode,C)}e.isValidExtensionVersion=y;function E(f,S){return f==="*"||D(S,f)}e.isEngineValid=E;function D(f,S,C=[]){let a=P(R(S));if(!a)return C.push(v.localize(0,null,S)),!1;if(a.majorBase===0){if(!a.majorMustEqual||!a.minorMustEqual)return C.push(v.localize(1,null,S)),!1}else if(!a.majorMustEqual)return C.push(v.localize(2,null,S)),!1;return A(f,a)?!0:(C.push(v.localize(3,null,f,S)),!1)}e.isVersionValid=D}),define(ee[129],te([0,1,33,54,2,16]),function(H,e,v,k,_,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class P extends _.Disposable{constructor(y,E,D,f){super();this.folders=y,this.onDidFilesChange=E,this.onLogMessage=D,this.verboseLogging=f,this.isDisposed=!1,this.restartCounter=0,this.startWatching()}startWatching(){const y=this._register(new k.Client(R.FileAccess.asFileUri("bootstrap-fork",H).fsPath,{serverName:"File Watcher (nsfw)",args:["--type=watcherService"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/nsfw/watcherApp",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));this._register(y.onDidProcessExit(()=>{this.isDisposed||(this.restartCounter<=P.MAX_RESTARTS?(this.error("terminated unexpectedly and is restarted again..."),this.restartCounter++,this.startWatching()):this.error("failed to start after retrying for some time, giving up. Please report this as a bug report!"))})),this.service=v.ProxyChannel.toService(v.getNextTickChannel(y.getChannel("watcher"))),this.service.setVerboseLogging(this.verboseLogging),this._register(this.service.onDidChangeFile(E=>!this.isDisposed&&this.onDidFilesChange(E))),this._register(this.service.onDidLogMessage(E=>this.onLogMessage(E))),this.setFolders(this.folders)}setVerboseLogging(y){this.verboseLogging=y,!this.isDisposed&&this.service&&this.service.setVerboseLogging(y)}error(y){this.onLogMessage({type:"error",message:`[File Watcher (nsfw)] ${y}`})}setFolders(y){this.folders=y,this.service&&this.service.setRoots(y)}dispose(){this.isDisposed=!0,super.dispose()}}e.FileWatcher=P,P.MAX_RESTARTS=5}),define(ee[130],te([0,1,33,54,2,16]),function(H,e,v,k,_,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class P extends _.Disposable{constructor(y,E,D,f,S={}){super();this.folders=y,this.onDidFilesChange=E,this.onLogMessage=D,this.verboseLogging=f,this.watcherOptions=S,this.isDisposed=!1,this.restartCounter=0,this.startWatching()}startWatching(){const y=this._register(new k.Client(R.FileAccess.asFileUri("bootstrap-fork",H).fsPath,{serverName:"File Watcher (chokidar)",args:["--type=watcherService"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/unix/watcherApp",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));this._register(y.onDidProcessExit(()=>{this.isDisposed||(this.restartCounter<=P.MAX_RESTARTS?(this.error("terminated unexpectedly and is restarted again..."),this.restartCounter++,this.startWatching()):this.error("failed to start after retrying for some time, giving up. Please report this as a bug report!"))})),this.service=v.ProxyChannel.toService(v.getNextTickChannel(y.getChannel("watcher"))),this.service.init(Object.assign(Object.assign({},this.watcherOptions),{verboseLogging:this.verboseLogging})),this._register(this.service.onDidChangeFile(E=>!this.isDisposed&&this.onDidFilesChange(E))),this._register(this.service.onDidLogMessage(E=>this.onLogMessage(E))),this.service.setRoots(this.folders)}error(y){this.onLogMessage({type:"error",message:`[File Watcher (chokidar)] ${y}`})}setVerboseLogging(y){this.verboseLogging=y,this.service&&this.service.setVerboseLogging(y)}setFolders(y){this.folders=y,this.service&&this.service.setRoots(y)}dispose(){this.isDisposed=!0,super.dispose()}}e.FileWatcher=P,P.MAX_RESTARTS=5}),define(ee[131],te([0,1,47,66,87,16]),function(H,e,v,k,_,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OutOfProcessWin32FolderWatcher=void 0;class P{constructor(y,E,D,f,S){this.watchedFolder=y,this.eventCallback=D,this.logCallback=f,this.verboseLogging=S,this.restartCounter=0,Array.isArray(E)?this.ignored=E.map(C=>_.parse(C)):this.ignored=[],this.verboseLogging&&this.log(`Start watching: ${y}`),this.startWatcher()}startWatcher(){const y=[this.watchedFolder];this.verboseLogging&&y.push("-verbose"),this.handle=v.spawn(R.FileAccess.asFileUri("vs/platform/files/node/watcher/win32/CodeHelper.exe",H).fsPath,y);const E=new k.LineDecoder;this.handle.stdout.on("data",D=>{const f=[];E.write(D).forEach(S=>{const C=S.split("|");if(C.length===2){const a=Number(C[0]),I=C[1];if(a>=0&&a<3){if(this.ignored&&this.ignored.some(w=>w(I))){this.verboseLogging&&this.log(I);return}f.push({type:P.changeTypeMap[a],path:I})}else this.log(C[1])}}),f.length>0&&this.eventCallback(f)}),this.handle.on("error",D=>this.onError(D)),this.handle.stderr.on("data",D=>this.onError(D)),this.handle.on("exit",(D,f)=>this.onExit(D,f))}onError(y){this.error("process error: "+y.toString())}onExit(y,E){this.handle&&(this.error(`terminated unexpectedly (code: ${y}, signal: ${E})`),this.restartCounter<=P.MAX_RESTARTS?(this.error("is restarted again..."),this.restartCounter++,this.startWatcher()):this.error("Watcher failed to start after retrying for some time, giving up. Please report this as a bug report!"))}error(y){this.logCallback({type:"error",message:`[File Watcher (C#)] ${y}`})}log(y){this.logCallback({type:"trace",message:`[File Watcher (C#)] ${y}`})}dispose(){this.handle&&(this.handle.kill(),this.handle=void 0)}}e.OutOfProcessWin32FolderWatcher=P,P.MAX_RESTARTS=5,P.changeTypeMap=[0,1,2]}),define(ee[132],te([0,1,131,8,21]),function(H,e,v,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class R{constructor(A,y,E,D){this.onDidFilesChange=y,this.onLogMessage=E,this.verboseLogging=D,this.service=void 0,this.folder=A[0],this.folder.path.indexOf("\\\\")===0&&this.folder.path.endsWith(k.posix.sep)&&(this.folder.path=_.rtrim(this.folder.path,k.posix.sep)),this.service=this.startWatching()}get isDisposed(){return!this.service}startWatching(){return new v.OutOfProcessWin32FolderWatcher(this.folder.path,this.folder.excludes,A=>this.onFileEvents(A),A=>this.onLogMessage(A),this.verboseLogging)}setVerboseLogging(A){this.verboseLogging=A,this.service&&(this.service.dispose(),this.service=this.startWatching())}onFileEvents(A){this.isDisposed||A.length>0&&this.onDidFilesChange(A)}dispose(){this.service&&(this.service.dispose(),this.service=void 0)}}e.FileWatcher=R}),define(ee[48],te([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createSyncDescriptor=e.SyncDescriptor=void 0;class v{constructor(R,P=[],A=!1){this.ctor=R,this.staticArguments=P,this.supportsDelayedInstantiation=A}}e.SyncDescriptor=v;const k=(_,...R)=>new v(_,R);e.createSyncDescriptor=k}),define(ee[133],te([0,1,48]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const k=[];function _(P,A,y){A instanceof v.SyncDescriptor||(A=new v.SyncDescriptor(A,[],y)),k.push([P,A])}e.registerSingleton=_;function R(){return k}e.getSingletonServiceDescriptors=R}),define(ee[134],te([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class v{constructor(R){this.incoming=new Map,this.outgoing=new Map,this.data=R}}e.Node=v;class k{constructor(R){this._hashFn=R,this._nodes=new Map}roots(){const R=[];for(let P of this._nodes.values())P.outgoing.size===0&&R.push(P);return R}insertEdge(R,P){const A=this.lookupOrInsertNode(R),y=this.lookupOrInsertNode(P);A.outgoing.set(this._hashFn(P),y),y.incoming.set(this._hashFn(R),A)}removeNode(R){const P=this._hashFn(R);this._nodes.delete(P);for(let A of this._nodes.values())A.outgoing.delete(P),A.incoming.delete(P)}lookupOrInsertNode(R){const P=this._hashFn(R);let A=this._nodes.get(P);return A||(A=new v(R),this._nodes.set(P,A)),A}lookup(R){return this._nodes.get(this._hashFn(R))}isEmpty(){return this._nodes.size===0}toString(){let R=[];for(let[P,A]of this._nodes)R.push(`${P}, (incoming)[${[...A.incoming.keys()].join(", ")}], (outgoing)[${[...A.outgoing.keys()].join(",")}]`);return R.join(`
`)}}e.Graph=k}),define(ee[4],te([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.optional=e.createDecorator=e.IInstantiationService=e._util=void 0;var v;(function(P){P.serviceIds=new Map,P.DI_TARGET="$di$target",P.DI_DEPENDENCIES="$di$dependencies";function A(y){return y[P.DI_DEPENDENCIES]||[]}P.getServiceDependencies=A})(v=e._util||(e._util={})),e.IInstantiationService=_("instantiationService");function k(P,A,y,E){A[v.DI_TARGET]===A?A[v.DI_DEPENDENCIES].push({id:P,index:y,optional:E}):(A[v.DI_DEPENDENCIES]=[{id:P,index:y,optional:E}],A[v.DI_TARGET]=A)}function _(P){if(v.serviceIds.has(P))return v.serviceIds.get(P);const A=function(y,E,D){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");k(A,y,D,!1)};return A.toString=()=>P,v.serviceIds.set(P,A),A}e.createDecorator=_;function R(P){return function(A,y,E){if(arguments.length!==3)throw new Error("@optional-decorator can only be used to decorate a parameter");k(P,A,E,!0)}}e.optional=R}),define(ee[135],te([0,1,21,4,6]),function(H,e,v,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyOrExpr=e.ContextKeyAndExpr=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.ContextKeyExpr=e.ContextKeyExprType=void 0;let R=_.userAgent||"";const P=new Map;P.set("false",!1),P.set("true",!0),P.set("isMac",_.isMacintosh),P.set("isLinux",_.isLinux),P.set("isWindows",_.isWindows),P.set("isWeb",_.isWeb),P.set("isMacNative",_.isMacintosh&&!_.isWeb),P.set("isEdge",R.indexOf("Edg/")>=0),P.set("isFirefox",R.indexOf("Firefox")>=0),P.set("isChrome",R.indexOf("Chrome")>=0),P.set("isSafari",R.indexOf("Safari")>=0),P.set("isIPad",R.indexOf("iPad")>=0);const A=Object.prototype.hasOwnProperty;var y;(function(p){p[p.False=0]="False",p[p.True=1]="True",p[p.Defined=2]="Defined",p[p.Not=3]="Not",p[p.Equals=4]="Equals",p[p.NotEquals=5]="NotEquals",p[p.And=6]="And",p[p.Regex=7]="Regex",p[p.NotRegex=8]="NotRegex",p[p.Or=9]="Or",p[p.In=10]="In",p[p.NotIn=11]="NotIn",p[p.Greater=12]="Greater",p[p.GreaterEquals=13]="GreaterEquals",p[p.Smaller=14]="Smaller",p[p.SmallerEquals=15]="SmallerEquals"})(y=e.ContextKeyExprType||(e.ContextKeyExprType={}));class E{static false(){return f.INSTANCE}static true(){return S.INSTANCE}static has(d){return C.create(d)}static equals(d,O){return a.create(d,O)}static notEquals(d,O){return b.create(d,O)}static regex(d,O){return n.create(d,O)}static in(d,O){return I.create(d,O)}static not(d){return g.create(d)}static and(...d){return h.create(d)}static or(...d){return r.create(d)}static greater(d,O){return c.create(d,O)}static less(d,O){return i.create(d,O)}static deserialize(d,O=!1){if(!!d)return this._deserializeOrExpression(d,O)}static _deserializeOrExpression(d,O){let U=d.split("||");return r.create(U.map(j=>this._deserializeAndExpression(j,O)))}static _deserializeAndExpression(d,O){let U=d.split("&&");return h.create(U.map(j=>this._deserializeOne(j,O)))}static _deserializeOne(d,O){if(d=d.trim(),d.indexOf("!=")>=0){let U=d.split("!=");return b.create(U[0].trim(),this._deserializeValue(U[1],O))}if(d.indexOf("==")>=0){let U=d.split("==");return a.create(U[0].trim(),this._deserializeValue(U[1],O))}if(d.indexOf("=~")>=0){let U=d.split("=~");return n.create(U[0].trim(),this._deserializeRegexValue(U[1],O))}if(d.indexOf(" in ")>=0){let U=d.split(" in ");return I.create(U[0].trim(),U[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(d)){const U=d.split(">=");return s.create(U[0].trim(),U[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(d)){const U=d.split(">");return c.create(U[0].trim(),U[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(d)){const U=d.split("<=");return t.create(U[0].trim(),U[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(d)){const U=d.split("<");return i.create(U[0].trim(),U[1].trim())}return/^\!\s*/.test(d)?g.create(d.substr(1).trim()):C.create(d)}static _deserializeValue(d,O){if(d=d.trim(),d==="true")return!0;if(d==="false")return!1;let U=/^'([^']*)'$/.exec(d);return U?U[1].trim():d}static _deserializeRegexValue(d,O){if(v.isFalsyOrWhitespace(d)){if(O)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}let U=d.indexOf("/"),j=d.lastIndexOf("/");if(U===j||U<0){if(O)throw new Error(`bad regexp-value '${d}', missing /-enclosure`);return console.warn(`bad regexp-value '${d}', missing /-enclosure`),null}let B=d.slice(U+1,j),V=d[j+1]==="i"?"i":"";try{return new RegExp(B,V)}catch(q){if(O)throw new Error(`bad regexp-value '${d}', parse error: ${q}`);return console.warn(`bad regexp-value '${d}', parse error: ${q}`),null}}}e.ContextKeyExpr=E;function D(p,d){return p.cmp(d)}class f{constructor(){this.type=0}cmp(d){return this.type-d.type}equals(d){return d.type===this.type}evaluate(d){return!1}serialize(){return"false"}keys(){return[]}map(d){return this}negate(){return S.INSTANCE}}e.ContextKeyFalseExpr=f,f.INSTANCE=new f;class S{constructor(){this.type=1}cmp(d){return this.type-d.type}equals(d){return d.type===this.type}evaluate(d){return!0}serialize(){return"true"}keys(){return[]}map(d){return this}negate(){return f.INSTANCE}}e.ContextKeyTrueExpr=S,S.INSTANCE=new S;class C{constructor(d){this.key=d,this.type=2}static create(d){const O=P.get(d);return typeof O=="boolean"?O?S.INSTANCE:f.INSTANCE:new C(d)}cmp(d){return d.type!==this.type?this.type-d.type:u(this.key,d.key)}equals(d){return d.type===this.type?this.key===d.key:!1}evaluate(d){return!!d.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(d){return d.mapDefined(this.key)}negate(){return g.create(this.key)}}e.ContextKeyDefinedExpr=C;class a{constructor(d,O){this.key=d,this.value=O,this.type=4}static create(d,O){if(typeof O=="boolean")return O?C.create(d):g.create(d);const U=P.get(d);return typeof U=="boolean"?O===(U?"true":"false")?S.INSTANCE:f.INSTANCE:new a(d,O)}cmp(d){return d.type!==this.type?this.type-d.type:m(this.key,this.value,d.key,d.value)}equals(d){return d.type===this.type?this.key===d.key&&this.value===d.value:!1}evaluate(d){return d.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(d){return d.mapEquals(this.key,this.value)}negate(){return b.create(this.key,this.value)}}e.ContextKeyEqualsExpr=a;class I{constructor(d,O){this.key=d,this.valueKey=O,this.type=10}static create(d,O){return new I(d,O)}cmp(d){return d.type!==this.type?this.type-d.type:m(this.key,this.valueKey,d.key,d.valueKey)}equals(d){return d.type===this.type?this.key===d.key&&this.valueKey===d.valueKey:!1}evaluate(d){const O=d.getValue(this.valueKey),U=d.getValue(this.key);return Array.isArray(O)?O.indexOf(U)>=0:typeof U=="string"&&typeof O=="object"&&O!==null?A.call(O,U):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(d){return d.mapIn(this.key,this.valueKey)}negate(){return w.create(this)}}e.ContextKeyInExpr=I;class w{constructor(d){this._actual=d,this.type=11}static create(d){return new w(d)}cmp(d){return d.type!==this.type?this.type-d.type:this._actual.cmp(d._actual)}equals(d){return d.type===this.type?this._actual.equals(d._actual):!1}evaluate(d){return!this._actual.evaluate(d)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(d){return new w(this._actual.map(d))}negate(){return this._actual}}e.ContextKeyNotInExpr=w;class b{constructor(d,O){this.key=d,this.value=O,this.type=5}static create(d,O){if(typeof O=="boolean")return O?g.create(d):C.create(d);const U=P.get(d);return typeof U=="boolean"?O===(U?"true":"false")?f.INSTANCE:S.INSTANCE:new b(d,O)}cmp(d){return d.type!==this.type?this.type-d.type:m(this.key,this.value,d.key,d.value)}equals(d){return d.type===this.type?this.key===d.key&&this.value===d.value:!1}evaluate(d){return d.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(d){return d.mapNotEquals(this.key,this.value)}negate(){return a.create(this.key,this.value)}}e.ContextKeyNotEqualsExpr=b;class g{constructor(d){this.key=d,this.type=3}static create(d){const O=P.get(d);return typeof O=="boolean"?O?f.INSTANCE:S.INSTANCE:new g(d)}cmp(d){return d.type!==this.type?this.type-d.type:u(this.key,d.key)}equals(d){return d.type===this.type?this.key===d.key:!1}evaluate(d){return!d.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(d){return d.mapNot(this.key)}negate(){return C.create(this.key)}}e.ContextKeyNotExpr=g;class c{constructor(d,O){this.key=d,this.value=O,this.type=12}static create(d,O){return new c(d,O)}cmp(d){return d.type!==this.type?this.type-d.type:m(this.key,this.value,d.key,d.value)}equals(d){return d.type===this.type?this.key===d.key&&this.value===d.value:!1}evaluate(d){return parseFloat(d.getValue(this.key))>parseFloat(this.value)}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(d){return d.mapGreater(this.key,this.value)}negate(){return t.create(this.key,this.value)}}e.ContextKeyGreaterExpr=c;class s{constructor(d,O){this.key=d,this.value=O,this.type=13}static create(d,O){return new s(d,O)}cmp(d){return d.type!==this.type?this.type-d.type:m(this.key,this.value,d.key,d.value)}equals(d){return d.type===this.type?this.key===d.key&&this.value===d.value:!1}evaluate(d){return parseFloat(d.getValue(this.key))>=parseFloat(this.value)}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(d){return d.mapGreaterEquals(this.key,this.value)}negate(){return i.create(this.key,this.value)}}e.ContextKeyGreaterEqualsExpr=s;class i{constructor(d,O){this.key=d,this.value=O,this.type=14}static create(d,O){return new i(d,O)}cmp(d){return d.type!==this.type?this.type-d.type:m(this.key,this.value,d.key,d.value)}equals(d){return d.type===this.type?this.key===d.key&&this.value===d.value:!1}evaluate(d){return parseFloat(d.getValue(this.key))<parseFloat(this.value)}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(d){return d.mapSmaller(this.key,this.value)}negate(){return s.create(this.key,this.value)}}e.ContextKeySmallerExpr=i;class t{constructor(d,O){this.key=d,this.value=O,this.type=15}static create(d,O){return new t(d,O)}cmp(d){return d.type!==this.type?this.type-d.type:m(this.key,this.value,d.key,d.value)}equals(d){return d.type===this.type?this.key===d.key&&this.value===d.value:!1}evaluate(d){return parseFloat(d.getValue(this.key))<=parseFloat(this.value)}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(d){return d.mapSmallerEquals(this.key,this.value)}negate(){return c.create(this.key,this.value)}}e.ContextKeySmallerEqualsExpr=t;class n{constructor(d,O){this.key=d,this.regexp=O,this.type=7}static create(d,O){return new n(d,O)}cmp(d){if(d.type!==this.type)return this.type-d.type;if(this.key<d.key)return-1;if(this.key>d.key)return 1;const O=this.regexp?this.regexp.source:"",U=d.regexp?d.regexp.source:"";return O<U?-1:O>U?1:0}equals(d){if(d.type===this.type){const O=this.regexp?this.regexp.source:"",U=d.regexp?d.regexp.source:"";return this.key===d.key&&O===U}return!1}evaluate(d){let O=d.getValue(this.key);return this.regexp?this.regexp.test(O):!1}serialize(){const d=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${d}`}keys(){return[this.key]}map(d){return d.mapRegex(this.key,this.regexp)}negate(){return o.create(this)}}e.ContextKeyRegexExpr=n;class o{constructor(d){this._actual=d,this.type=8}static create(d){return new o(d)}cmp(d){return d.type!==this.type?this.type-d.type:this._actual.cmp(d._actual)}equals(d){return d.type===this.type?this._actual.equals(d._actual):!1}evaluate(d){return!this._actual.evaluate(d)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(d){return new o(this._actual.map(d))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=o;class h{constructor(d){this.expr=d,this.type=6}static create(d){return h._normalizeArr(d)}cmp(d){if(d.type!==this.type)return this.type-d.type;if(this.expr.length<d.expr.length)return-1;if(this.expr.length>d.expr.length)return 1;for(let O=0,U=this.expr.length;O<U;O++){const j=D(this.expr[O],d.expr[O]);if(j!==0)return j}return 0}equals(d){if(d.type===this.type){if(this.expr.length!==d.expr.length)return!1;for(let O=0,U=this.expr.length;O<U;O++)if(!this.expr[O].equals(d.expr[O]))return!1;return!0}return!1}evaluate(d){for(let O=0,U=this.expr.length;O<U;O++)if(!this.expr[O].evaluate(d))return!1;return!0}static _normalizeArr(d){const O=[];let U=!1;for(const j of d)if(!!j){if(j.type===1){U=!0;continue}if(j.type===0)return f.INSTANCE;if(j.type===6){O.push(...j.expr);continue}O.push(j)}if(O.length===0&&U)return S.INSTANCE;if(O.length!==0){if(O.length===1)return O[0];for(O.sort(D);O.length>1;){const j=O[O.length-1];if(j.type!==9)break;O.pop();const B=O.pop(),V=r.create(j.expr.map(q=>h.create([q,B])));V&&(O.push(V),O.sort(D))}return O.length===1?O[0]:new h(O)}}serialize(){return this.expr.map(d=>d.serialize()).join(" && ")}keys(){const d=[];for(let O of this.expr)d.push(...O.keys());return d}map(d){return new h(this.expr.map(O=>O.map(d)))}negate(){let d=[];for(let O of this.expr)d.push(O.negate());return r.create(d)}}e.ContextKeyAndExpr=h;class r{constructor(d){this.expr=d,this.type=9}static create(d){const O=r._normalizeArr(d);if(O.length!==0)return O.length===1?O[0]:new r(O)}cmp(d){if(d.type!==this.type)return this.type-d.type;if(this.expr.length<d.expr.length)return-1;if(this.expr.length>d.expr.length)return 1;for(let O=0,U=this.expr.length;O<U;O++){const j=D(this.expr[O],d.expr[O]);if(j!==0)return j}return 0}equals(d){if(d.type===this.type){if(this.expr.length!==d.expr.length)return!1;for(let O=0,U=this.expr.length;O<U;O++)if(!this.expr[O].equals(d.expr[O]))return!1;return!0}return!1}evaluate(d){for(let O=0,U=this.expr.length;O<U;O++)if(this.expr[O].evaluate(d))return!0;return!1}static _normalizeArr(d){let O=[],U=!1;if(d){for(let j=0,B=d.length;j<B;j++){const V=d[j];if(!!V){if(V.type===0){U=!0;continue}if(V.type===1)return[S.INSTANCE];if(V.type===9){O=O.concat(V.expr);continue}O.push(V)}}if(O.length===0&&U)return[f.INSTANCE];O.sort(D)}return O}serialize(){return this.expr.map(d=>d.serialize()).join(" || ")}keys(){const d=[];for(let O of this.expr)d.push(...O.keys());return d}map(d){return new r(this.expr.map(O=>O.map(d)))}negate(){let d=[];for(let U of this.expr)d.push(U.negate());const O=U=>U.type===9?U.expr:[U];for(;d.length>1;){const U=d.shift(),j=d.shift(),B=[];for(const V of O(U))for(const q of O(j))B.push(E.and(V,q));d.unshift(E.or(...B))}return d[0]}}e.ContextKeyOrExpr=r;class l extends C{constructor(d,O,U){super(d);this.key=d,this._defaultValue=O,typeof U=="object"?l._info.push(Object.assign(Object.assign({},U),{key:d})):U!==!0&&l._info.push({key:d,description:U,type:O!=null?typeof O:void 0})}static all(){return l._info.values()}bindTo(d){return d.createKey(this.key,this._defaultValue)}getValue(d){return d.getContextKeyValue(this.key)}toNegated(){return E.not(this.key)}isEqualTo(d){return E.equals(this.key,d)}notEqualsTo(d){return E.notEquals(this.key,d)}}e.RawContextKey=l,l._info=[],e.IContextKeyService=k.createDecorator("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function u(p,d){return p<d?-1:p>d?1:0}function m(p,d,O,U){return p<O?-1:p>O?1:d<U?-1:d>U?1:0}}),define(ee[69],te([0,1,4]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isRemoteDiagnosticError=e.IDiagnosticsService=e.ID=void 0,e.ID="diagnosticsService",e.IDiagnosticsService=v.createDecorator(e.ID);function k(_){return!!_.hostName&&!!_.errorMessage}e.isRemoteDiagnosticError=k}),define(ee[70],te([0,1,4]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IDownloadService=void 0,e.IDownloadService=v.createDecorator("downloadService")}),define(ee[9],te([0,1,4]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=v.createDecorator("environmentService"),e.INativeEnvironmentService=v.createDecorator("nativeEnvironmentService")});var he=this&&this.__decorate||function(H,e,v,k){var _=arguments.length,R=_<3?e:k===null?k=Object.getOwnPropertyDescriptor(e,v):k,P;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")R=Reflect.decorate(H,e,v,k);else for(var A=H.length-1;A>=0;A--)(P=H[A])&&(R=(_<3?P(R):_>3?P(e,v,R):P(e,v))||R);return _>3&&R&&Object.defineProperty(e,v,R),R},Y=this&&this.__param||function(H,e){return function(v,k){e(v,k,H)}};define(ee[136],te([0,1,9,8,23,14,2,5]),function(H,e,v,k,_,R,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogsDataCleaner=void 0;let y=class extends P.Disposable{constructor(D){super();this.environmentService=D,this.cleanUpOldLogsSoon()}cleanUpOldLogsSoon(){let D=setTimeout(()=>{D=void 0;const f=k.basename(this.environmentService.logsPath),S=k.dirname(this.environmentService.logsPath);_.readdir(S).then(C=>{const I=C.filter(b=>/^\d{8}T\d{6}$/.test(b)).sort().filter((b,g)=>b!==f),w=I.slice(0,Math.max(0,I.length-9));return A.Promises.settled(w.map(b=>_.rimraf(k.join(S,b))))}).then(null,R.onUnexpectedError)},10*1e3);this._register(P.toDisposable(()=>{D&&(clearTimeout(D),D=void 0)}))}};y=he([Y(0,v.IEnvironmentService)],y),e.LogsDataCleaner=y}),define(ee[137],te([0,1,27,9,8,23,14,2]),function(H,e,v,k,_,R,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageDataCleaner=void 0;let y=class rt extends A.Disposable{constructor(D,f){super();this.backupWorkspacesPath=D,this.environmentService=f,this.cleanUpStorageSoon()}cleanUpStorageSoon(){let D=setTimeout(()=>{D=void 0,(async()=>{try{const f=await v.promises.readFile(this.backupWorkspacesPath,"utf8"),C=JSON.parse(f).emptyWorkspaceInfos.map(w=>w.backupFolder),a=await R.readdir(this.environmentService.workspaceStorageHome.fsPath),I=[];a.forEach(w=>{w.length!==rt.NON_EMPTY_WORKSPACE_ID_LENGTH&&C.indexOf(w)===-1&&I.push(R.rimraf(_.join(this.environmentService.workspaceStorageHome.fsPath,w)))}),await Promise.all(I)}catch(f){P.onUnexpectedError(f)}})()},30*1e3);this._register(A.toDisposable(()=>{D&&(clearTimeout(D),D=void 0)}))}};y.NON_EMPTY_WORKSPACE_ID_LENGTH=128/4,y=he([Y(1,k.INativeEnvironmentService)],y),e.StorageDataCleaner=y}),define(ee[28],te([0,1,107,4,16]),function(H,e,v,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.DefaultIconPath=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IExtensionManagementService=e.ExtensionManagementError=e.INSTALL_ERROR_INCOMPATIBLE=e.INSTALL_ERROR_MALICIOUS=e.INSTALL_ERROR_NOT_SUPPORTED=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN);function R(f){return f&&typeof f=="object"&&typeof f.id=="string"&&(!f.uuid||typeof f.uuid=="string")}e.isIExtensionIdentifier=R;var P;(function(f){f[f.NoneOrRelevance=0]="NoneOrRelevance",f[f.LastUpdatedDate=1]="LastUpdatedDate",f[f.Title=2]="Title",f[f.PublisherName=3]="PublisherName",f[f.InstallCount=4]="InstallCount",f[f.PublishedDate=5]="PublishedDate",f[f.AverageRating=6]="AverageRating",f[f.WeightedRating=12]="WeightedRating"})(P=e.SortBy||(e.SortBy={}));var A;(function(f){f[f.Default=0]="Default",f[f.Ascending=1]="Ascending",f[f.Descending=2]="Descending"})(A=e.SortOrder||(e.SortOrder={}));var y;(function(f){f.Uninstall="uninstall"})(y=e.StatisticType||(e.StatisticType={}));var E;(function(f){f[f.None=0]="None",f[f.Install=1]="Install",f[f.Update=2]="Update"})(E=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=k.createDecorator("extensionGalleryService"),e.INSTALL_ERROR_NOT_SUPPORTED="notsupported",e.INSTALL_ERROR_MALICIOUS="malicious",e.INSTALL_ERROR_INCOMPATIBLE="incompatible";class D extends Error{constructor(S,C){super(S);this.code=C}}e.ExtensionManagementError=D,e.IExtensionManagementService=k.createDecorator("extensionManagementService"),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=k.createDecorator("IGlobalExtensionEnablementService"),e.IExtensionTipsService=k.createDecorator("IExtensionTipsService"),e.DefaultIconPath=_.FileAccess.asBrowserUri("./media/defaultIcon.png",H).toString(!0),e.ExtensionsLabel=v.localize(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=v.localize(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=k.createDecorator("IExtensionManagementCLIService")}),define(ee[138],te([0,1,2,28]),function(H,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DeprecatedExtensionsCleaner=void 0;let _=class extends v.Disposable{constructor(P){super();this.extensionManagementService=P,this._register(P),this.cleanUpDeprecatedExtensions()}cleanUpDeprecatedExtensions(){this.extensionManagementService.removeDeprecatedExtensions()}};_=he([Y(0,k.IExtensionManagementService)],_),e.DeprecatedExtensionsCleaner=_}),define(ee[71],te([0,1,4]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionRecommendationNotificationService=e.RecommendationsNotificationResult=e.RecommendationSourceToString=e.RecommendationSource=void 0;var k;(function(P){P[P.FILE=1]="FILE",P[P.WORKSPACE=2]="WORKSPACE",P[P.EXE=3]="EXE"})(k=e.RecommendationSource||(e.RecommendationSource={}));function _(P){switch(P){case 1:return"file";case 2:return"workspace";case 3:return"exe"}}e.RecommendationSourceToString=_;var R;(function(P){P.Ignored="ignored",P.Cancelled="cancelled",P.TooMany="toomany",P.IncompatibleWindow="incompatibleWindow",P.Accepted="reacted"})(R=e.RecommendationsNotificationResult||(e.RecommendationsNotificationResult={})),e.IExtensionRecommendationNotificationService=v.createDecorator("IExtensionRecommendationNotificationService")}),define(ee[72],te([0,1,21,4]),function(H,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isAuthenticaionProviderExtension=e.isLanguagePackExtension=e.ExtensionIdentifier=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin";function _(E){return E&&typeof E=="object"&&typeof E.id=="string"&&(!E.uuid||typeof E.uuid=="string")}e.isIExtensionIdentifier=_,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var R;(function(E){E[E.System=0]="System",E[E.User=1]="User"})(R=e.ExtensionType||(e.ExtensionType={}));class P{constructor(D){this.value=D,this._lower=D.toLowerCase()}static equals(D,f){if(typeof D=="undefined"||D===null)return typeof f=="undefined"||f===null;if(typeof f=="undefined"||f===null)return!1;if(typeof D=="string"||typeof f=="string"){let S=typeof D=="string"?D:D.value,C=typeof f=="string"?f:f.value;return v.equalsIgnoreCase(S,C)}return D._lower===f._lower}static toKey(D){return typeof D=="string"?D.toLowerCase():D._lower}}e.ExtensionIdentifier=P;function A(E){return E.contributes&&E.contributes.localizations?E.contributes.localizations.length>0:!1}e.isLanguagePackExtension=A;function y(E){return E.contributes&&E.contributes.authentication?E.contributes.authentication.length>0:!1}e.isAuthenticaionProviderExtension=y,e.IBuiltinExtensionsScannerService=k.createDecorator("IBuiltinExtensionsScannerService")}),define(ee[34],te([0,1,21,72]),function(H,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.ExtensionIdentifierWithVersion=e.areSameExtensions=void 0;function _(C,a){return C.uuid&&a.uuid?C.uuid===a.uuid:C.id===a.id?!0:v.compareIgnoreCase(C.id,a.id)===0}e.areSameExtensions=_;class R{constructor(a,I){this.version=I,this.id=a.id,this.uuid=a.uuid}key(){return`${this.id}-${this.version}`}equals(a){return a instanceof R?_(this,a)&&this.version===a.version:!1}}e.ExtensionIdentifierWithVersion=R;function P(C,a){return`${C}.${a}`}e.getExtensionId=P;function A(C){return C.toLocaleLowerCase()}e.adoptToGalleryExtensionId=A;function y(C,a){return A(P(C,a))}e.getGalleryExtensionId=y;function E(C,a){const I=[],w=b=>{for(const g of I)if(g.some(c=>_(a(c),a(b))))return g;return null};for(const b of C){const g=w(b);g?g.push(b):I.push([b])}return I}e.groupByExtension=E;function D(C){return{id:C.identifier.id,name:C.manifest.name,galleryId:null,publisherId:C.publisherId,publisherName:C.manifest.publisher,publisherDisplayName:C.publisherDisplayName,dependencies:C.manifest.extensionDependencies&&C.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=D;function f(C){return Object.assign({id:C.identifier.id,name:C.name,galleryId:C.identifier.uuid,publisherId:C.publisherId,publisherName:C.publisher,publisherDisplayName:C.publisherDisplayName,dependencies:!!(C.properties.dependencies&&C.properties.dependencies.length>0)},C.telemetryData)}e.getGalleryExtensionTelemetryData=f,e.BetterMergeId=new k.ExtensionIdentifier("pprice.better-merge");function S(C){const a=new Set;for(const I of C)I.malicious&&a.add(I.id.id);return a}e.getMaliciousExtensionsSet=S}),define(ee[139],te([0,1,2,8,72,23]),function(H,e,v,k,_,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsManifestCache=void 0;class P extends v.Disposable{constructor(y,E){super();this.environmentService=y,this.extensionsManifestCache=k.join(this.environmentService.userDataPath,_.MANIFEST_CACHE_FOLDER,_.USER_MANIFEST_CACHE_FILE),this._register(E.onDidInstallExtension(D=>this.onDidInstallExtension(D))),this._register(E.onDidUninstallExtension(D=>this.onDidUnInstallExtension(D)))}onDidInstallExtension(y){y.error||this.invalidate()}onDidUnInstallExtension(y){y.error||this.invalidate()}invalidate(){R.rimraf(this.extensionsManifestCache,R.RimRafMode.MOVE).then(()=>{},()=>{})}}e.ExtensionsManifestCache=P}),define(ee[10],te([0,1,114,8,7,4,21,15,37]),function(H,e,v,k,_,R,P,A,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FileType=e.IFileService=void 0,e.IFileService=R.createDecorator("fileService");var E;(function(U){U[U.Unknown=0]="Unknown",U[U.File=1]="File",U[U.Directory=2]="Directory",U[U.SymbolicLink=64]="SymbolicLink"})(E=e.FileType||(e.FileType={}));var D;(function(U){U[U.FileReadWrite=2]="FileReadWrite",U[U.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",U[U.FileReadStream=16]="FileReadStream",U[U.FileFolderCopy=8]="FileFolderCopy",U[U.PathCaseSensitive=1024]="PathCaseSensitive",U[U.Readonly=2048]="Readonly",U[U.Trash=4096]="Trash"})(D=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function f(U){return!!(U.capabilities&2)}e.hasReadWriteCapability=f;function S(U){return!!(U.capabilities&8)}e.hasFileFolderCopyCapability=S;function C(U){return!!(U.capabilities&4)}e.hasOpenReadWriteCloseCapability=C;function a(U){return!!(U.capabilities&16)}e.hasFileReadStreamCapability=a;var I;(function(U){U.FileExists="EntryExists",U.FileNotFound="EntryNotFound",U.FileNotADirectory="EntryNotADirectory",U.FileIsADirectory="EntryIsADirectory",U.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",U.FileTooLarge="EntryTooLarge",U.NoPermissions="NoPermissions",U.Unavailable="Unavailable",U.Unknown="Unknown"})(I=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class w extends Error{constructor(j,B){super(j);this.code=B}}e.FileSystemProviderError=w;function b(U,j){const B=new w(U.toString(),j);return c(B,j),B}e.createFileSystemProviderError=b;function g(U){return U||b(v.localize(0,null),I.Unknown)}e.ensureFileSystemProviderError=g;function c(U,j){return U.name=j?`${j} (FileSystemError)`:"FileSystemError",U}e.markAsFileSystemProviderError=c;function s(U){if(!U)return I.Unknown;if(U instanceof w)return U.code;const j=/^(.+) \(FileSystemError\)$/.exec(U.name);if(!j)return I.Unknown;switch(j[1]){case I.FileExists:return I.FileExists;case I.FileIsADirectory:return I.FileIsADirectory;case I.FileNotADirectory:return I.FileNotADirectory;case I.FileNotFound:return I.FileNotFound;case I.FileExceedsMemoryLimit:return I.FileExceedsMemoryLimit;case I.FileTooLarge:return I.FileTooLarge;case I.NoPermissions:return I.NoPermissions;case I.Unavailable:return I.Unavailable}return I.Unknown}e.toFileSystemProviderErrorCode=s;function i(U){if(U instanceof l)return U.fileOperationResult;switch(s(U)){case I.FileNotFound:return 1;case I.FileIsADirectory:return 0;case I.FileNotADirectory:return 10;case I.NoPermissions:return 6;case I.FileExists:return 4;case I.FileExceedsMemoryLimit:return 9;case I.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=i;var t;(function(U){U[U.CREATE=0]="CREATE",U[U.DELETE=1]="DELETE",U[U.MOVE=2]="MOVE",U[U.COPY=3]="COPY"})(t=e.FileOperation||(e.FileOperation={}));class n{constructor(j,B,V){this.resource=j,this.operation=B,this.target=V}isOperation(j){return this.operation===j}}e.FileOperationEvent=n;var o;(function(U){U[U.UPDATED=0]="UPDATED",U[U.ADDED=1]="ADDED",U[U.DELETED=2]="DELETED"})(o=e.FileChangeType||(e.FileChangeType={}));class h{constructor(j,B){this.ignorePathCasing=B,this.added=void 0,this.updated=void 0,this.deleted=void 0,this.changes=j;for(const V of j)switch(V.type){case 1:this.added||(this.added=y.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.added.set(V.resource,V);break;case 0:this.updated||(this.updated=y.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.updated.set(V.resource,V);break;case 2:this.deleted||(this.deleted=y.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.deleted.set(V.resource,V);break}}contains(j,...B){return this.doContains(j,{includeChildren:!1},...B)}affects(j,...B){return this.doContains(j,{includeChildren:!0},...B)}doContains(j,B,...V){var q,G,Q,$,N,T;if(!j)return!1;const L=V.length>0;return!!((!L||V.includes(1))&&(((q=this.added)===null||q===void 0?void 0:q.get(j))||B.includeChildren&&((G=this.added)===null||G===void 0?void 0:G.findSuperstr(j)))||(!L||V.includes(0))&&(((Q=this.updated)===null||Q===void 0?void 0:Q.get(j))||B.includeChildren&&(($=this.updated)===null||$===void 0?void 0:$.findSuperstr(j)))||(!L||V.includes(2))&&(((N=this.deleted)===null||N===void 0?void 0:N.findSubstr(j))||B.includeChildren&&((T=this.deleted)===null||T===void 0?void 0:T.findSuperstr(j))))}getAdded(){return this.getOfType(1)}gotAdded(){return!!this.added}getDeleted(){return this.getOfType(2)}gotDeleted(){return!!this.deleted}getUpdated(){return this.getOfType(0)}gotUpdated(){return!!this.updated}getOfType(j){const B=[],V=j===1?this.added:j===0?this.updated:this.deleted;if(V)for(const[,q]of V)B.push(q);return B}filter(j){return new h(this.changes.filter(B=>j(B)),this.ignorePathCasing)}}e.FileChangesEvent=h;function r(U,j,B){return!U||!j||U===j||j.length>U.length?!1:(j.charAt(j.length-1)!==k.sep&&(j+=k.sep),B?P.startsWithIgnoreCase(U,j):U.indexOf(j)===0)}e.isParent=r;class l extends Error{constructor(j,B,V){super(j);this.fileOperationResult=B,this.options=V}static isFileOperationError(j){return j instanceof Error&&!A.isUndefinedOrNull(j.fileOperationResult)}}e.FileOperationError=l;var u;(function(U){U[U.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",U[U.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",U[U.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",U[U.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",U[U.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",U[U.FILE_READ_ONLY=5]="FILE_READ_ONLY",U[U.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",U[U.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",U[U.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",U[U.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",U[U.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",U[U.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(u=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var m;(function(U){U[U.FILE=0]="FILE",U[U.FOLDER=1]="FOLDER",U[U.ROOT_FOLDER=2]="ROOT_FOLDER"})(m=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function p(U){if(!(typeof U.size!="number"||typeof U.mtime!="number"))return U.mtime.toString(29)+U.size.toString(31)}e.etag=p;async function d(U,j){if(!j.canHandleResource(_.URI.from({scheme:U.scheme})))return new Promise(B=>{const V=j.onDidChangeFileSystemProviderRegistrations(q=>{q.scheme===U.scheme&&q.added&&(V.dispose(),B())})})}e.whenProviderRegistered=d,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class O{static formatSize(j){return A.isNumber(j)||(j=0),j<O.KB?v.localize(1,null,j.toFixed(0)):j<O.MB?v.localize(2,null,(j/O.KB).toFixed(2)):j<O.GB?v.localize(3,null,(j/O.MB).toFixed(2)):j<O.TB?v.localize(4,null,(j/O.GB).toFixed(2)):v.localize(5,null,(j/O.TB).toFixed(2))}}e.ByteSize=O,O.KB=1024,O.MB=O.KB*O.KB,O.GB=O.MB*O.KB,O.TB=O.GB*O.KB}),define(ee[73],te([0,1,115,22,10,14]),function(H,e,v,k,_,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.readFileIntoStream=void 0;async function P(D,f,S,C,a,I){let w;try{await A(D,f,S,C,a,I)}catch(b){w=b}finally{w&&a.errorTransformer&&(w=a.errorTransformer(w)),S.end(w)}}e.readFileIntoStream=P;async function A(D,f,S,C,a,I){y(I);const w=await D.open(f,{create:!1});try{y(I);let b=0,g=0,c=a&&typeof a.length=="number"?a.length:void 0,s=k.VSBuffer.alloc(Math.min(a.bufferSize,typeof c=="number"?c:a.bufferSize)),i=a&&typeof a.position=="number"?a.position:0,t=0;do g=await D.read(w,i,s.buffer,t,s.byteLength-t),i+=g,t+=g,b+=g,typeof c=="number"&&(c-=g),t===s.byteLength&&(await S.write(C(s)),s=k.VSBuffer.alloc(Math.min(a.bufferSize,typeof c=="number"?c:a.bufferSize)),t=0);while(g>0&&(typeof c!="number"||c>0)&&y(I)&&E(b,a));if(t>0){let n=t;typeof c=="number"&&(n=Math.min(t,c)),S.write(C(s.slice(0,n)))}}catch(b){throw _.ensureFileSystemProviderError(b)}finally{await D.close(w)}}function y(D){if(D.isCancellationRequested)throw R.canceled();return!0}function E(D,f){if(f==null?void 0:f.limits){if(typeof f.limits.memory=="number"&&D>f.limits.memory)throw _.createFileSystemProviderError(v.localize(0,null),_.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof f.limits.size=="number"&&D>f.limits.size)throw _.createFileSystemProviderError(v.localize(1,null),_.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(ee[74],te([0,1,7,10,6]),function(H,e,v,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.normalizeFileChanges=e.toFileChanges=void 0;function R(y){return y.map(E=>({type:E.type,resource:v.URI.file(E.path)}))}e.toFileChanges=R;function P(y){const E=new A;for(const D of y)E.processEvent(D);return E.normalize()}e.normalizeFileChanges=P;class A{constructor(){this.normalized=[],this.mapPathToChange=new Map}processEvent(E){const D=this.mapPathToChange.get(E.path);if(D){const f=D.type,S=E.type;f===1&&S===2?(this.mapPathToChange.delete(E.path),this.normalized.splice(this.normalized.indexOf(D),1)):f===2&&S===1?D.type=0:f===1&&S===0||(D.type=S)}else this.normalized.push(E),this.mapPathToChange.set(E.path,E)}normalize(){const E=[],D=[];return this.normalized.filter(f=>f.type!==2?(E.push(f),!1):!0).sort((f,S)=>f.path.length-S.path.length).filter(f=>D.some(S=>k.isParent(f.path,S,!_.isLinux))?!1:(D.push(f.path),!0)).concat(E)}}}),define(ee[140],te([0,1,74,2,23,92,95,5,8]),function(H,e,v,k,_,R,P,A,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class E extends k.Disposable{constructor(f,S,C,a){super();this.path=f,this.onDidFilesChange=S,this.onLogMessage=C,this.verboseLogging=a,this.fileChangesDelayer=this._register(new A.ThrottledDelayer(P.CHANGE_BUFFER_DELAY*2)),this.fileChangesBuffer=[],this.startWatching()}setVerboseLogging(f){this.verboseLogging=f}async startWatching(){try{const{stat:f,symbolicLink:S}=await _.SymlinkSupport.stat(this.path);if(this.isDisposed)return;let C=this.path;if(S)try{C=await R.realpath(C)}catch(a){if(this.onError(a),S.dangling)return}f.isDirectory()?this._register(P.watchFolder(C,(a,I)=>{this.onFileChange({type:a==="changed"?0:a==="added"?1:2,path:y.join(this.path,y.basename(I))})},a=>this.onError(a))):this._register(P.watchFile(C,a=>{this.onFileChange({type:a==="changed"?0:2,path:this.path})},a=>this.onError(a)))}catch(f){f.code!=="ENOENT"&&this.onError(f)}}onFileChange(f){this.fileChangesBuffer.push(f),this.verboseLogging&&this.onVerbose(`${f.type===1?"[ADDED]":f.type===2?"[DELETED]":"[CHANGED]"} ${f.path}`),this.fileChangesDelayer.trigger(async()=>{const S=this.fileChangesBuffer;this.fileChangesBuffer=[];const C=v.normalizeFileChanges(S);this.verboseLogging&&C.forEach(a=>{this.onVerbose(`>> normalized ${a.type===1?"[ADDED]":a.type===2?"[DELETED]":"[CHANGED]"} ${a.path}`)}),C.length>0&&this.onDidFilesChange(C)})}onError(f){this.isDisposed||this.onLogMessage({type:"error",message:`[File Watcher (node.js)] ${f}`})}onVerbose(f){this.isDisposed||this.onLogMessage({type:"trace",message:`[File Watcher (node.js)] ${f}`})}dispose(){this.isDisposed=!0,super.dispose()}}e.FileWatcher=E}),define(ee[75],te([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class v{constructor(..._){this._entries=new Map;for(let[R,P]of _)this.set(R,P)}set(_,R){const P=this._entries.get(_);return this._entries.set(_,R),P}has(_){return this._entries.has(_)}get(_){return this._entries.get(_)}}e.ServiceCollection=v}),define(ee[141],te([0,1,14,134,48,4,75,5]),function(H,e,v,k,_,R,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InstantiationService=void 0;const y=!1;class E extends Error{constructor(a){super("cyclic dependency between services");this.message=a.toString()}}class D{constructor(a=new P.ServiceCollection,I=!1,w){this._activeInstantiations=new Set,this._services=a,this._strict=I,this._parent=w,this._services.set(R.IInstantiationService,this)}createChild(a){return new D(a,this._strict,this)}invokeFunction(a,...I){let w=S.traceInvocation(a),b=!1;try{return a({get:(c,s)=>{if(b)throw v.illegalState("service accessor is only valid during the invocation of its target method");const i=this._getOrCreateServiceInstance(c,w);if(!i&&s!==R.optional)throw new Error(`[invokeFunction] unknown service '${c}'`);return i}},...I)}finally{b=!0,w.stop()}}createInstance(a,...I){let w,b;return a instanceof _.SyncDescriptor?(w=S.traceCreation(a.ctor),b=this._createInstance(a.ctor,a.staticArguments.concat(I),w)):(w=S.traceCreation(a),b=this._createInstance(a,I,w)),w.stop(),b}_createInstance(a,I=[],w){let b=R._util.getServiceDependencies(a).sort((s,i)=>s.index-i.index),g=[];for(const s of b){let i=this._getOrCreateServiceInstance(s.id,w);if(!i&&this._strict&&!s.optional)throw new Error(`[createInstance] ${a.name} depends on UNKNOWN service ${s.id}.`);g.push(i)}let c=b.length>0?b[0].index:I.length;if(I.length!==c){console.warn(`[createInstance] First service dependency of ${a.name} at position ${c+1} conflicts with ${I.length} static arguments`);let s=c-I.length;s>0?I=I.concat(new Array(s)):I=I.slice(0,c)}return new a(...[...I,...g])}_setServiceInstance(a,I){if(this._services.get(a)instanceof _.SyncDescriptor)this._services.set(a,I);else if(this._parent)this._parent._setServiceInstance(a,I);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(a){let I=this._services.get(a);return!I&&this._parent?this._parent._getServiceInstanceOrDescriptor(a):I}_getOrCreateServiceInstance(a,I){let w=this._getServiceInstanceOrDescriptor(a);return w instanceof _.SyncDescriptor?this._safeCreateAndCacheServiceInstance(a,w,I.branch(a,!0)):(I.branch(a,!1),w)}_safeCreateAndCacheServiceInstance(a,I,w){if(this._activeInstantiations.has(a))throw new Error(`illegal state - RECURSIVELY instantiating service '${a}'`);this._activeInstantiations.add(a);try{return this._createAndCacheServiceInstance(a,I,w)}finally{this._activeInstantiations.delete(a)}}_createAndCacheServiceInstance(a,I,w){const b=new k.Graph(s=>s.id.toString());let g=0;const c=[{id:a,desc:I,_trace:w}];for(;c.length;){const s=c.pop();if(b.lookupOrInsertNode(s),g++>1e3)throw new E(b);for(let i of R._util.getServiceDependencies(s.desc.ctor)){let t=this._getServiceInstanceOrDescriptor(i.id);if(!t&&!i.optional&&console.warn(`[createInstance] ${a} depends on ${i.id} which is NOT registered.`),t instanceof _.SyncDescriptor){const n={id:i.id,desc:t,_trace:s._trace.branch(i.id,!0)};b.insertEdge(s,n),c.push(n)}}}for(;;){const s=b.roots();if(s.length===0){if(!b.isEmpty())throw new E(b);break}for(const{data:i}of s){if(this._getServiceInstanceOrDescriptor(i.id)instanceof _.SyncDescriptor){const n=this._createServiceInstanceWithOwner(i.id,i.desc.ctor,i.desc.staticArguments,i.desc.supportsDelayedInstantiation,i._trace);this._setServiceInstance(i.id,n)}b.removeNode(i)}}return this._getServiceInstanceOrDescriptor(a)}_createServiceInstanceWithOwner(a,I,w=[],b,g){if(this._services.get(a)instanceof _.SyncDescriptor)return this._createServiceInstance(I,w,b,g);if(this._parent)return this._parent._createServiceInstanceWithOwner(a,I,w,b,g);throw new Error(`illegalState - creating UNKNOWN service instance ${I.name}`)}_createServiceInstance(a,I=[],w,b){if(w){const g=new A.IdleValue(()=>this._createInstance(a,I,b));return new Proxy(Object.create(null),{get(c,s){if(s in c)return c[s];let i=g.value,t=i[s];return typeof t!="function"||(t=t.bind(i),c[s]=t),t},set(c,s,i){return g.value[s]=i,!0}})}else return this._createInstance(a,I,b)}}e.InstantiationService=D;var f;(function(C){C[C.Creation=0]="Creation",C[C.Invocation=1]="Invocation",C[C.Branch=2]="Branch"})(f||(f={}));class S{constructor(a,I){this.type=a,this.name=I,this._start=Date.now(),this._dep=[]}static traceInvocation(a){return y?new S(1,a.name||a.toString().substring(0,42).replace(/\n/g,"")):S._None}static traceCreation(a){return y?new S(0,a.name):S._None}branch(a,I){let w=new S(2,a.toString());return this._dep.push([a,I,w]),w}stop(){let a=Date.now()-this._start;S._totals+=a;let I=!1;function w(g,c){let s=[],i=new Array(g+1).join("	");for(const[t,n,o]of c._dep)if(n&&o){I=!0,s.push(`${i}CREATES -> ${t}`);let h=w(g+1,o);h&&s.push(h)}else s.push(`${i}uses -> ${t}`);return s.join(`
`)}let b=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${w(1,this)}`,`DONE, took ${a.toFixed(2)}ms (grand total ${S._totals.toFixed(2)}ms)`];(a>2||I)&&console.log(b.join(`
`))}}S._None=new class extends S{constructor(){super(-1,null)}stop(){}branch(){return this}},S._totals=0}),define(ee[142],te([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MessagePortMainProcessService=void 0;class v{constructor(_,R){this.server=_,this.router=R}getChannel(_){return this.server.getChannel(_,this.router)}registerChannel(_,R){this.server.registerChannel(_,R)}}e.MessagePortMainProcessService=v}),define(ee[143],te([0,1,33,48,133,4]),function(H,e,v,k,_,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerSharedProcessRemoteService=e.ISharedProcessService=e.registerMainProcessRemoteService=e.IMainProcessService=void 0;class P{constructor(S,C,a){const I=a.getChannel(S);return C?new C(I):v.ProxyChannel.toService(I)}}e.IMainProcessService=R.createDecorator("mainProcessService");let A=class extends P{constructor(S,C,a){super(S,C,a)}};A=he([Y(2,e.IMainProcessService)],A);function y(f,S,C={}){_.registerSingleton(f,new k.SyncDescriptor(A,[S,C.channelClientCtor],C.supportsDelayedInstantiation))}e.registerMainProcessRemoteService=y,e.ISharedProcessService=R.createDecorator("sharedProcessService");let E=class extends P{constructor(S,C,a){super(S,C,a)}};E=he([Y(2,e.ISharedProcessService)],E);function D(f,S,C={}){_.registerSingleton(f,new k.SyncDescriptor(E,[S,C.channelClientCtor],C.supportsDelayedInstantiation))}e.registerSharedProcessRemoteService=D}),define(ee[55],te([0,1,4]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isValidLocalization=e.ILocalizationsService=void 0,e.ILocalizationsService=v.createDecorator("localizationsService");function k(_){if(typeof _.languageId!="string"||!Array.isArray(_.translations)||_.translations.length===0)return!1;for(const R of _.translations)if(typeof R.id!="string"||typeof R.path!="string")return!1;return!(_.languageName&&typeof _.languageName!="string"||_.localizedLanguageName&&typeof _.localizedLanguageName!="string")}e.isValidLocalization=k}),define(ee[144],te([0,1,2,55]),function(H,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LocalizationsUpdater=void 0;let _=class extends v.Disposable{constructor(P){super();this.localizationsService=P,this.updateLocalizations()}updateLocalizations(){this.localizationsService.update()}};_=he([Y(0,k.ILocalizationsService)],_),e.LocalizationsUpdater=_}),define(ee[13],te([0,1,4,2,6,3,43]),function(H,e,v,k,_,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=v.createDecorator("logService"),e.ILoggerService=v.createDecorator("loggerService");function A(){return new Date().toISOString()}var y;(function(s){s[s.Trace=0]="Trace",s[s.Debug=1]="Debug",s[s.Info=2]="Info",s[s.Warning=3]="Warning",s[s.Error=4]="Error",s[s.Critical=5]="Critical",s[s.Off=6]="Off"})(y=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=y.Info;class E extends k.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new R.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(i){this.level!==i&&(this.level=i,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=E;class D extends E{constructor(i){super();this.logAlways=i}checkLogLevel(i){return this.logAlways||this.getLevel()<=i}trace(i,...t){this.checkLogLevel(y.Trace)&&this.log(y.Trace,this.format([i,...t]))}debug(i,...t){this.checkLogLevel(y.Debug)&&this.log(y.Debug,this.format([i,...t]))}info(i,...t){this.checkLogLevel(y.Info)&&this.log(y.Info,this.format([i,...t]))}warn(i,...t){this.checkLogLevel(y.Warning)&&this.log(y.Warning,this.format([i,...t]))}error(i,...t){if(this.checkLogLevel(y.Error))if(i instanceof Error){const n=Array.prototype.slice.call(arguments);n[0]=i.stack,this.log(y.Error,this.format(n))}else this.log(y.Error,this.format([i,...t]))}critical(i,...t){this.checkLogLevel(y.Critical)&&this.log(y.Critical,this.format([i,...t]))}flush(){}format(i){let t="";for(let n=0;n<i.length;n++){let o=i[n];if(typeof o=="object")try{o=JSON.stringify(o)}catch(h){}t+=(n>0?" ":"")+o}return t}}e.AbstractMessageLogger=D;class f extends E{constructor(i=e.DEFAULT_LOG_LEVEL){super();this.setLevel(i),this.useColors=!_.isWindows}trace(i,...t){this.getLevel()<=y.Trace&&(this.useColors?console.log(`[90m[main ${A()}][0m`,i,...t):console.log(`[main ${A()}]`,i,...t))}debug(i,...t){this.getLevel()<=y.Debug&&(this.useColors?console.log(`[90m[main ${A()}][0m`,i,...t):console.log(`[main ${A()}]`,i,...t))}info(i,...t){this.getLevel()<=y.Info&&(this.useColors?console.log(`[90m[main ${A()}][0m`,i,...t):console.log(`[main ${A()}]`,i,...t))}warn(i,...t){this.getLevel()<=y.Warning&&(this.useColors?console.warn(`[93m[main ${A()}][0m`,i,...t):console.warn(`[main ${A()}]`,i,...t))}error(i,...t){this.getLevel()<=y.Error&&(this.useColors?console.error(`[91m[main ${A()}][0m`,i,...t):console.error(`[main ${A()}]`,i,...t))}critical(i,...t){this.getLevel()<=y.Critical&&(this.useColors?console.error(`[90m[main ${A()}][0m`,i,...t):console.error(`[main ${A()}]`,i,...t))}dispose(){}flush(){}}e.ConsoleMainLogger=f;class S extends E{constructor(i=e.DEFAULT_LOG_LEVEL){super();this.setLevel(i)}trace(i,...t){this.getLevel()<=y.Trace&&console.log("%cTRACE","color: #888",i,...t)}debug(i,...t){this.getLevel()<=y.Debug&&console.log("%cDEBUG","background: #eee; color: #888",i,...t)}info(i,...t){this.getLevel()<=y.Info&&console.log("%c INFO","color: #33f",i,...t)}warn(i,...t){this.getLevel()<=y.Warning&&console.log("%c WARN","color: #993",i,...t)}error(i,...t){this.getLevel()<=y.Error&&console.log("%c  ERR","color: #f33",i,...t)}critical(i,...t){this.getLevel()<=y.Critical&&console.log("%cCRITI","background: #f33; color: white",i,...t)}dispose(){}flush(){}}e.ConsoleLogger=S;class C extends E{constructor(i,t=e.DEFAULT_LOG_LEVEL){super();this.adapter=i,this.setLevel(t)}trace(i,...t){this.getLevel()<=y.Trace&&this.adapter.log(y.Trace,[this.extractMessage(i),...t])}debug(i,...t){this.getLevel()<=y.Debug&&this.adapter.log(y.Debug,[this.extractMessage(i),...t])}info(i,...t){this.getLevel()<=y.Info&&this.adapter.log(y.Info,[this.extractMessage(i),...t])}warn(i,...t){this.getLevel()<=y.Warning&&this.adapter.log(y.Warning,[this.extractMessage(i),...t])}error(i,...t){this.getLevel()<=y.Error&&this.adapter.log(y.Error,[this.extractMessage(i),...t])}critical(i,...t){this.getLevel()<=y.Critical&&this.adapter.log(y.Critical,[this.extractMessage(i),...t])}extractMessage(i){return typeof i=="string"?i:P.toErrorMessage(i,this.getLevel()<=y.Trace)}dispose(){}flush(){}}e.AdapterLogger=C;class a extends E{constructor(i){super();this.logServices=i,i.length&&this.setLevel(i[0].getLevel())}setLevel(i){for(const t of this.logServices)t.setLevel(i);super.setLevel(i)}trace(i,...t){for(const n of this.logServices)n.trace(i,...t)}debug(i,...t){for(const n of this.logServices)n.debug(i,...t)}info(i,...t){for(const n of this.logServices)n.info(i,...t)}warn(i,...t){for(const n of this.logServices)n.warn(i,...t)}error(i,...t){for(const n of this.logServices)n.error(i,...t)}critical(i,...t){for(const n of this.logServices)n.critical(i,...t)}flush(){for(const i of this.logServices)i.flush()}dispose(){for(const i of this.logServices)i.dispose()}}e.MultiplexLogService=a;class I extends k.Disposable{constructor(i){super();this.logger=i,this._register(i)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(i){this.logger.setLevel(i)}getLevel(){return this.logger.getLevel()}trace(i,...t){this.logger.trace(i,...t)}debug(i,...t){this.logger.debug(i,...t)}info(i,...t){this.logger.info(i,...t)}warn(i,...t){this.logger.warn(i,...t)}error(i,...t){this.logger.error(i,...t)}critical(i,...t){this.logger.critical(i,...t)}flush(){this.logger.flush()}}e.LogService=I;class w{constructor(){this.onDidChangeLogLevel=new R.Emitter().event}setLevel(i){}getLevel(){return y.Info}trace(i,...t){}debug(i,...t){}info(i,...t){}warn(i,...t){}error(i,...t){}critical(i,...t){}dispose(){}flush(){}}e.NullLogService=w;function b(s){if(s.verbose)return y.Trace;if(typeof s.logLevel=="string"){const i=g(s.logLevel.toLowerCase());if(i!==void 0)return i}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=b;function g(s){switch(s){case"trace":return y.Trace;case"debug":return y.Debug;case"info":return y.Info;case"warn":return y.Warning;case"error":return y.Error;case"critical":return y.Critical;case"off":return y.Off}}e.parseLogLevel=g;function c(s){switch(s){case y.Trace:return"trace";case y.Debug:return"debug";case y.Info:return"info";case y.Warning:return"warn";case y.Error:return"error";case y.Critical:return"critical";case y.Off:return"off"}}e.LogLevelToString=c}),define(ee[145],te([0,1,27,2,10,28,9,7,18,34,13,30,56,6,5]),function(H,e,v,k,_,R,P,A,y,E,D,f,S,C,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsDownloader=void 0;const I=/^([^.]+\..+)-(\d+\.\d+\.\d+)$/;let w=class extends k.Disposable{constructor(g,c,s,i){super();this.fileService=c,this.extensionGalleryService=s,this.logService=i,this.extensionsDownloadDir=A.URI.file(g.extensionsDownloadPath),this.cache=20,this.cleanUpPromise=this.cleanUp()}async downloadExtension(g,c){await this.cleanUpPromise;const s=this.getName(g),i=y.joinPath(this.extensionsDownloadDir,s);if(!await this.fileService.exists(i)){const t=y.joinPath(this.extensionsDownloadDir,`.${s}`);await this.fileService.exists(t)||await this.extensionGalleryService.download(g,t,c),await this.rename(t,i,Date.now()+2*60*1e3)}return i}async delete(g){}async rename(g,c,s){try{await v.promises.rename(g.fsPath,c.fsPath)}catch(i){if(C.isWindows&&i&&i.code==="EPERM"&&Date.now()<s)return this.logService.info(`Failed renaming ${g} to ${c} with 'EPERM' error. Trying again...`),this.rename(g,c,s);throw i}}async cleanUp(){try{if(!await this.fileService.exists(this.extensionsDownloadDir)){this.logService.trace("Extension VSIX downlads cache dir does not exist");return}const g=await this.fileService.resolve(this.extensionsDownloadDir,{resolveMetadata:!0});if(g.children){const c=[],s=[];for(const n of g.children){const o=this.parse(n.name);o&&s.push([o,n])}const i=E.groupByExtension(s,([n])=>n),t=[];for(const n of i)n.sort((o,h)=>S.rcompare(o[0].version,h[0].version)),c.push(...n.slice(1).map(o=>o[1].resource)),t.push(n[0][1]);t.sort((n,o)=>n.mtime-o.mtime),c.push(...t.slice(0,Math.max(0,t.length-this.cache)).map(n=>n.resource)),await a.Promises.settled(c.map(n=>(this.logService.trace("Deleting vsix from cache",n.path),this.fileService.del(n))))}}catch(g){this.logService.error(g)}}getName(g){return this.cache?new E.ExtensionIdentifierWithVersion(g.identifier,g.version).key().toLowerCase():f.generateUuid()}parse(g){const c=I.exec(g);return c&&c[1]&&c[2]?new E.ExtensionIdentifierWithVersion({id:c[1]},c[2]):null}};w=he([Y(0,P.INativeEnvironmentService),Y(1,_.IFileService),Y(2,R.IExtensionGalleryService),Y(3,D.ILogService)],w),e.ExtensionsDownloader=w}),define(ee[146],te([0,1,2,13,47,43,8,5,3,16,23,9]),function(H,e,v,k,_,R,P,A,y,E,D,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsLifecycle=void 0;let S=class extends v.Disposable{constructor(a,I){super();this.environmentService=a,this.logService=I,this.processesLimiter=new A.Limiter(5)}async postUninstall(a){const I=this.parseScript(a,"uninstall");return I&&(this.logService.info(a.identifier.id,a.manifest.version,"Running post uninstall script"),await this.processesLimiter.queue(()=>this.runLifecycleHook(I.script,"uninstall",I.args,!0,a).then(()=>this.logService.info(a.identifier.id,a.manifest.version,"Finished running post uninstall script"),w=>this.logService.error(a.identifier.id,a.manifest.version,`Failed to run post uninstall script: ${w}`)))),D.rimraf(this.getExtensionStoragePath(a)).then(void 0,w=>this.logService.error("Error while removing extension storage path",w))}parseScript(a,I){const w=`vscode:${I}`;if(a.location.scheme===E.Schemas.file&&a.manifest&&a.manifest.scripts&&typeof a.manifest.scripts[w]=="string"){const b=a.manifest.scripts[w].split(" ");return b.length<2||b[0]!=="node"||!b[1]?(this.logService.warn(a.identifier.id,a.manifest.version,`${w} should be a node script`),null):{script:P.join(a.location.fsPath,b[1]),args:b.slice(2)||[]}}return null}runLifecycleHook(a,I,w,b,g){return new Promise((c,s)=>{const i=this.start(a,I,w,g);let t;const n=o=>{t&&(clearTimeout(t),t=null),o?s(o):c(void 0)};i.on("error",o=>{n(R.toErrorMessage(o)||"Unknown")}),i.on("exit",(o,h)=>{n(o?`post-${I} process exited with code ${o}`:void 0)}),b&&(t=setTimeout(()=>{t=null,i.kill(),s("timed out")},5e3))})}start(a,I,w,b){const g={silent:!0,execArgv:void 0},c=_.fork(a,[`--type=extension-post-${I}`,...w],g);c.stdout.setEncoding("utf8"),c.stderr.setEncoding("utf8");const s=y.Event.fromNodeEventEmitter(c.stdout,"data"),i=y.Event.fromNodeEventEmitter(c.stderr,"data");s(o=>this.logService.info(b.identifier.id,b.manifest.version,`post-${I}`,o)),i(o=>this.logService.error(b.identifier.id,b.manifest.version,`post-${I}`,o));const t=y.Event.any(y.Event.map(s,o=>({data:`%c${o}`,format:[""]})),y.Event.map(i,o=>({data:`%c${o}`,format:["color: red"]})));return y.Event.debounce(t,(o,h)=>o?{data:o.data+h.data,format:[...o.format,...h.format]}:{data:h.data,format:h.format},100)(o=>{console.group(b.identifier.id),console.log(o.data,...o.format),console.groupEnd()}),c}getExtensionStoragePath(a){return P.join(this.environmentService.globalStorageHome.fsPath,a.identifier.id.toLowerCase())}};S=he([Y(0,f.IEnvironmentService),Y(1,k.ILogService)],S),e.ExtensionsLifecycle=S}),define(ee[147],te([0,1,113,148,2,10,3,18,37,17,13,22,52,5,29,16,73,50]),function(H,e,v,k,_,R,P,A,y,E,D,f,S,C,a,I,w,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileService=void 0;let g=class extends _.Disposable{constructor(s){super();this.logService=s,this.BUFFER_SIZE=64*1024,this._onDidChangeFileSystemProviderRegistrations=this._register(new P.Emitter),this.onDidChangeFileSystemProviderRegistrations=this._onDidChangeFileSystemProviderRegistrations.event,this._onWillActivateFileSystemProvider=this._register(new P.Emitter),this.onWillActivateFileSystemProvider=this._onWillActivateFileSystemProvider.event,this._onDidChangeFileSystemProviderCapabilities=this._register(new P.Emitter),this.onDidChangeFileSystemProviderCapabilities=this._onDidChangeFileSystemProviderCapabilities.event,this.provider=new Map,this._onDidRunOperation=this._register(new P.Emitter),this.onDidRunOperation=this._onDidRunOperation.event,this._onError=this._register(new P.Emitter),this.onError=this._onError.event,this._onDidFilesChange=this._register(new P.Emitter),this.onDidFilesChange=this._onDidFilesChange.event,this.activeWatchers=new Map,this.writeQueues=new Map}registerProvider(s,i){if(this.provider.has(s))throw new Error(`A filesystem provider for the scheme '${s}' is already registered.`);k.mark(`code/registerFilesystem/${s}`),this.provider.set(s,i),this._onDidChangeFileSystemProviderRegistrations.fire({added:!0,scheme:s,provider:i});const t=new _.DisposableStore;return t.add(i.onDidChangeFile(n=>this._onDidFilesChange.fire(new R.FileChangesEvent(n,!this.isPathCaseSensitive(i))))),t.add(i.onDidChangeCapabilities(()=>this._onDidChangeFileSystemProviderCapabilities.fire({provider:i,scheme:s}))),typeof i.onDidErrorOccur=="function"&&t.add(i.onDidErrorOccur(n=>this._onError.fire(new Error(n)))),_.toDisposable(()=>{this._onDidChangeFileSystemProviderRegistrations.fire({added:!1,scheme:s,provider:i}),this.provider.delete(s),_.dispose(t)})}async activateProvider(s){const i=[];this._onWillActivateFileSystemProvider.fire({scheme:s,join(t){t&&i.push(t)}}),!this.provider.has(s)&&await C.Promises.settled(i)}canHandleResource(s){return this.provider.has(s.scheme)}hasCapability(s,i){const t=this.provider.get(s.scheme);return!!(t&&t.capabilities&i)}listCapabilities(){return b.Iterable.map(this.provider,([s,i])=>({scheme:s,capabilities:i.capabilities}))}async withProvider(s){if(!A.isAbsolutePath(s))throw new R.FileOperationError(v.localize(0,null,this.resourceForError(s)),8);await this.activateProvider(s.scheme);const i=this.provider.get(s.scheme);if(!i){const t=new Error;throw t.name="ENOPRO",t.message=v.localize(1,null,s.toString()),t}return i}async withReadProvider(s){const i=await this.withProvider(s);if(R.hasOpenReadWriteCloseCapability(i)||R.hasReadWriteCapability(i)||R.hasFileReadStreamCapability(i))return i;throw new Error(`Filesystem provider for scheme '${s.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async withWriteProvider(s){const i=await this.withProvider(s);if(R.hasOpenReadWriteCloseCapability(i)||R.hasReadWriteCapability(i))return i;throw new Error(`Filesystem provider for scheme '${s.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(s,i){try{return await this.doResolveFile(s,i)}catch(t){throw R.toFileSystemProviderErrorCode(t)===R.FileSystemProviderErrorCode.FileNotFound?new R.FileOperationError(v.localize(2,null,this.resourceForError(s)),1):R.ensureFileSystemProviderError(t)}}async doResolveFile(s,i){const t=await this.withProvider(s),n=this.isPathCaseSensitive(t),o=i==null?void 0:i.resolveTo,h=i==null?void 0:i.resolveSingleChildDescendants,r=i==null?void 0:i.resolveMetadata,l=await t.stat(s);let u;return this.toFileStat(t,s,l,void 0,!!r,(m,p)=>(u||(u=y.TernarySearchTree.forUris(()=>!n),u.set(s,!0),E.isNonEmptyArray(o)&&o.forEach(d=>u.set(d,!0))),Boolean(u.findSuperstr(m.resource)||u.get(m.resource))?!0:m.isDirectory&&h?p===1:!1))}async toFileStat(s,i,t,n,o,h){const{providerExtUri:r}=this.getExtUri(s),l={resource:i,name:r.basename(i),isFile:(t.type&R.FileType.File)!=0,isDirectory:(t.type&R.FileType.Directory)!=0,isSymbolicLink:(t.type&R.FileType.SymbolicLink)!=0,mtime:t.mtime,ctime:t.ctime,size:t.size,etag:R.etag({mtime:t.mtime,size:t.size})};if(l.isDirectory&&h(l,n)){try{const u=await s.readdir(i),m=await C.Promises.settled(u.map(async([p,d])=>{try{const O=r.joinPath(i,p),U=o?await s.stat(O):{type:d};return await this.toFileStat(s,O,U,u.length,o,h)}catch(O){return this.logService.trace(O),null}}));l.children=E.coalesce(m)}catch(u){this.logService.trace(u),l.children=[]}return l}return l}async resolveAll(s){return C.Promises.settled(s.map(async i=>{try{return{stat:await this.doResolveFile(i.resource,i.options),success:!0}}catch(t){return this.logService.trace(t),{stat:void 0,success:!1}}}))}async exists(s){const i=await this.withProvider(s);try{return!!await i.stat(s)}catch(t){return!1}}async canCreateFile(s,i){try{await this.doValidateCreateFile(s,i)}catch(t){return t}return!0}async doValidateCreateFile(s,i){if(!(i==null?void 0:i.overwrite)&&await this.exists(s))throw new R.FileOperationError(v.localize(3,null,this.resourceForError(s)),3,i)}async createFile(s,i=f.VSBuffer.fromString(""),t){await this.doValidateCreateFile(s,t);const n=await this.writeFile(s,i);return this._onDidRunOperation.fire(new R.FileOperationEvent(s,0,n)),n}async writeFile(s,i,t){const n=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(s),s),{providerExtUri:o}=this.getExtUri(n);try{await this.validateWriteFile(n,s,t)||await this.mkdirp(n,o.dirname(s));let r;if(R.hasReadWriteCapability(n)&&!(i instanceof f.VSBuffer))if(S.isReadableStream(i)){const l=await S.peekStream(i,3);l.ended?r=f.VSBuffer.concat(l.buffer):r=l}else r=S.peekReadable(i,l=>f.VSBuffer.concat(l),3);else r=i;!R.hasOpenReadWriteCloseCapability(n)||R.hasReadWriteCapability(n)&&r instanceof f.VSBuffer?await this.doWriteUnbuffered(n,s,r):await this.doWriteBuffered(n,s,r instanceof f.VSBuffer?f.bufferToReadable(r):r)}catch(h){throw new R.FileOperationError(v.localize(4,null,this.resourceForError(s),R.ensureFileSystemProviderError(h).toString()),R.toFileOperationResult(h),t)}return this.resolve(s,{resolveMetadata:!0})}async validateWriteFile(s,i,t){let n;try{n=await s.stat(i)}catch(o){return}if((n.type&R.FileType.Directory)!=0)throw new R.FileOperationError(v.localize(5,null,this.resourceForError(i)),0,t);if(t&&typeof t.mtime=="number"&&typeof t.etag=="string"&&t.etag!==R.ETAG_DISABLED&&typeof n.mtime=="number"&&typeof n.size=="number"&&t.mtime<n.mtime&&t.etag!==R.etag({mtime:t.mtime,size:n.size}))throw new R.FileOperationError(v.localize(6,null),3,t);return n}async readFile(s,i){const t=await this.withReadProvider(s),n=await this.doReadAsFileStream(t,s,Object.assign(Object.assign({},i),{preferUnbuffered:!0}));return Object.assign(Object.assign({},n),{value:await f.streamToBuffer(n.value)})}async readFileStream(s,i){const t=await this.withReadProvider(s);return this.doReadAsFileStream(t,s,i)}async doReadAsFileStream(s,i,t){const n=new a.CancellationTokenSource,o=this.validateReadFile(i,t).then(r=>r,r=>{throw n.cancel(),r});let h;try{t&&typeof t.etag=="string"&&t.etag!==R.ETAG_DISABLED&&await o,!(R.hasOpenReadWriteCloseCapability(s)||R.hasFileReadStreamCapability(s))||R.hasReadWriteCapability(s)&&(t==null?void 0:t.preferUnbuffered)?h=this.readFileUnbuffered(s,i,t):R.hasFileReadStreamCapability(s)?h=this.readFileStreamed(s,i,n.token,t):h=this.readFileBuffered(s,i,n.token,t);const r=await o;return Object.assign(Object.assign({},r),{value:h})}catch(r){throw h&&await S.consumeStream(h),new R.FileOperationError(v.localize(7,null,this.resourceForError(i),R.ensureFileSystemProviderError(r).toString()),R.toFileOperationResult(r),t)}}readFileStreamed(s,i,t,n=Object.create(null)){const o=s.readFileStream(i,n,t);return S.transform(o,{data:h=>h instanceof f.VSBuffer?h:f.VSBuffer.wrap(h),error:h=>new R.FileOperationError(v.localize(8,null,this.resourceForError(i),R.ensureFileSystemProviderError(h).toString()),R.toFileOperationResult(h),n)},h=>f.VSBuffer.concat(h))}readFileBuffered(s,i,t,n=Object.create(null)){const o=f.newWriteableBufferStream();return w.readFileIntoStream(s,i,o,h=>h,Object.assign(Object.assign({},n),{bufferSize:this.BUFFER_SIZE,errorTransformer:h=>new R.FileOperationError(v.localize(9,null,this.resourceForError(i),R.ensureFileSystemProviderError(h).toString()),R.toFileOperationResult(h),n)}),t),o}readFileUnbuffered(s,i,t){const n=S.newWriteableStream(o=>f.VSBuffer.concat(o));return(async()=>{try{let o=await s.readFile(i);t&&typeof t.position=="number"&&(o=o.slice(t.position)),t&&typeof t.length=="number"&&(o=o.slice(0,t.length)),this.validateReadFileLimits(i,o.byteLength,t),n.end(f.VSBuffer.wrap(o))}catch(o){n.error(o)}})(),n}async validateReadFile(s,i){const t=await this.resolve(s,{resolveMetadata:!0});if(t.isDirectory)throw new R.FileOperationError(v.localize(10,null,this.resourceForError(s)),0,i);if(i&&typeof i.etag=="string"&&i.etag!==R.ETAG_DISABLED&&i.etag===t.etag)throw new R.FileOperationError(v.localize(11,null),2,i);return this.validateReadFileLimits(s,t.size,i),t}validateReadFileLimits(s,i,t){if(t==null?void 0:t.limits){let n;if(typeof t.limits.memory=="number"&&i>t.limits.memory&&(n=9),typeof t.limits.size=="number"&&i>t.limits.size&&(n=7),typeof n=="number")throw new R.FileOperationError(v.localize(12,null,this.resourceForError(s)),n)}}async canMove(s,i,t){return this.doCanMoveCopy(s,i,"move",t)}async canCopy(s,i,t){return this.doCanMoveCopy(s,i,"copy",t)}async doCanMoveCopy(s,i,t,n){if(s.toString()!==i.toString())try{const o=t==="move"?this.throwIfFileSystemIsReadonly(await this.withWriteProvider(s),s):await this.withReadProvider(s),h=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(i),i);await this.doValidateMoveCopy(o,s,h,i,t,n)}catch(o){return o}return!0}async move(s,i,t){const n=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(s),s),o=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(i),i),h=await this.doMoveCopy(n,s,o,i,"move",!!t),r=await this.resolve(i,{resolveMetadata:!0});return this._onDidRunOperation.fire(new R.FileOperationEvent(s,h==="move"?2:3,r)),r}async copy(s,i,t){const n=await this.withReadProvider(s),o=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(i),i),h=await this.doMoveCopy(n,s,o,i,"copy",!!t),r=await this.resolve(i,{resolveMetadata:!0});return this._onDidRunOperation.fire(new R.FileOperationEvent(s,h==="copy"?3:2,r)),r}async doMoveCopy(s,i,t,n,o,h){if(i.toString()===n.toString())return o;const{exists:r,isSameResourceWithDifferentPathCase:l}=await this.doValidateMoveCopy(s,i,t,n,o,h);if(r&&!l&&h&&await this.del(n,{recursive:!0}),await this.mkdirp(t,this.getExtUri(t).providerExtUri.dirname(n)),o==="copy"){if(s===t&&R.hasFileFolderCopyCapability(s))await s.copy(i,n,{overwrite:h});else{const u=await this.resolve(i);u.isDirectory?await this.doCopyFolder(s,u,t,n):await this.doCopyFile(s,i,t,n)}return o}else return s===t?(await s.rename(i,n,{overwrite:h}),o):(await this.doMoveCopy(s,i,t,n,"copy",h),await this.del(i,{recursive:!0}),"copy")}async doCopyFile(s,i,t,n){if(R.hasOpenReadWriteCloseCapability(s)&&R.hasOpenReadWriteCloseCapability(t))return this.doPipeBuffered(s,i,t,n);if(R.hasOpenReadWriteCloseCapability(s)&&R.hasReadWriteCapability(t))return this.doPipeBufferedToUnbuffered(s,i,t,n);if(R.hasReadWriteCapability(s)&&R.hasOpenReadWriteCloseCapability(t))return this.doPipeUnbufferedToBuffered(s,i,t,n);if(R.hasReadWriteCapability(s)&&R.hasReadWriteCapability(t))return this.doPipeUnbuffered(s,i,t,n)}async doCopyFolder(s,i,t,n){await t.mkdir(n),Array.isArray(i.children)&&await C.Promises.settled(i.children.map(async o=>{const h=this.getExtUri(t).providerExtUri.joinPath(n,o.name);return o.isDirectory?this.doCopyFolder(s,await this.resolve(o.resource),t,h):this.doCopyFile(s,o.resource,t,h)}))}async doValidateMoveCopy(s,i,t,n,o,h){let r=!1;if(s===t){const{providerExtUri:u,isPathCaseSensitive:m}=this.getExtUri(s);if(m||(r=u.isEqual(i,n)),r&&o==="copy")throw new Error(v.localize(13,null,this.resourceForError(i),this.resourceForError(n)));if(!r&&u.isEqualOrParent(n,i))throw new Error(v.localize(14,null,this.resourceForError(i),this.resourceForError(n)))}const l=await this.exists(n);if(l&&!r){if(!h)throw new R.FileOperationError(v.localize(15,null,this.resourceForError(i),this.resourceForError(n)),4);if(s===t){const{providerExtUri:u}=this.getExtUri(s);if(u.isEqualOrParent(i,n))throw new Error(v.localize(16,null,this.resourceForError(i),this.resourceForError(n)))}}return{exists:l,isSameResourceWithDifferentPathCase:r}}getExtUri(s){const i=this.isPathCaseSensitive(s);return{providerExtUri:i?A.extUri:A.extUriIgnorePathCase,isPathCaseSensitive:i}}isPathCaseSensitive(s){return!!(s.capabilities&1024)}async createFolder(s){const i=this.throwIfFileSystemIsReadonly(await this.withProvider(s),s);await this.mkdirp(i,s);const t=await this.resolve(s,{resolveMetadata:!0});return this._onDidRunOperation.fire(new R.FileOperationEvent(s,0,t)),t}async mkdirp(s,i){const t=[],{providerExtUri:n}=this.getExtUri(s);for(;!n.isEqual(i,n.dirname(i));)try{if(((await s.stat(i)).type&R.FileType.Directory)==0)throw new Error(v.localize(17,null,this.resourceForError(i)));break}catch(o){if(R.toFileSystemProviderErrorCode(o)!==R.FileSystemProviderErrorCode.FileNotFound)throw o;t.push(n.basename(i)),i=n.dirname(i)}for(let o=t.length-1;o>=0;o--){i=n.joinPath(i,t[o]);try{await s.mkdir(i)}catch(h){if(R.toFileSystemProviderErrorCode(h)!==R.FileSystemProviderErrorCode.FileExists)throw h}}}async canDelete(s,i){try{await this.doValidateDelete(s,i)}catch(t){return t}return!0}async doValidateDelete(s,i){const t=this.throwIfFileSystemIsReadonly(await this.withProvider(s),s);if(!!(i==null?void 0:i.useTrash)&&!(t.capabilities&4096))throw new Error(v.localize(18,null,this.resourceForError(s)));const o=await this.exists(s);if(!o)throw new R.FileOperationError(v.localize(19,null,this.resourceForError(s)),1);if(!!!(i==null?void 0:i.recursive)&&o){const r=await this.resolve(s);if(r.isDirectory&&Array.isArray(r.children)&&r.children.length>0)throw new Error(v.localize(20,null,this.resourceForError(s)))}return t}async del(s,i){const t=await this.doValidateDelete(s,i),n=!!(i==null?void 0:i.useTrash),o=!!(i==null?void 0:i.recursive);await t.delete(s,{recursive:o,useTrash:n}),this._onDidRunOperation.fire(new R.FileOperationEvent(s,1))}watch(s,i={recursive:!1,excludes:[]}){let t=!1,n=()=>{t=!0};return this.doWatch(s,i).then(o=>{t?_.dispose(o):n=()=>_.dispose(o)},o=>this.logService.error(o)),_.toDisposable(()=>n())}async doWatch(s,i){const t=await this.withProvider(s),n=this.toWatchKey(t,s,i),o=this.activeWatchers.get(n)||{count:0,disposable:t.watch(s,i)};return this.activeWatchers.has(n)||this.activeWatchers.set(n,o),o.count+=1,_.toDisposable(()=>{o.count--,o.count===0&&(_.dispose(o.disposable),this.activeWatchers.delete(n))})}toWatchKey(s,i,t){const{providerExtUri:n}=this.getExtUri(s);return[n.getComparisonKey(i),String(t.recursive),t.excludes.join()].join()}dispose(){super.dispose(),this.activeWatchers.forEach(s=>_.dispose(s.disposable)),this.activeWatchers.clear()}ensureWriteQueue(s,i){const{providerExtUri:t}=this.getExtUri(s),n=t.getComparisonKey(i);let o=this.writeQueues.get(n);return o||(o=new C.Queue,this.writeQueues.set(n,o),P.Event.once(o.onFinished)(()=>{this.writeQueues.delete(n),_.dispose(o)})),o}async doWriteBuffered(s,i,t){return this.ensureWriteQueue(s,i).queue(async()=>{const n=await s.open(i,{create:!0});try{S.isReadableStream(t)||S.isReadableBufferedStream(t)?await this.doWriteStreamBufferedQueued(s,n,t):await this.doWriteReadableBufferedQueued(s,n,t)}catch(o){throw R.ensureFileSystemProviderError(o)}finally{await s.close(n)}})}async doWriteStreamBufferedQueued(s,i,t){let n=0,o;if(S.isReadableBufferedStream(t)){if(t.buffer.length>0){const h=f.VSBuffer.concat(t.buffer);await this.doWriteBuffer(s,i,h,h.byteLength,n,0),n+=h.byteLength}if(t.ended)return;o=t.stream}else o=t;return new Promise(async(h,r)=>{S.listenStream(o,{onData:async l=>{o.pause();try{await this.doWriteBuffer(s,i,l,l.byteLength,n,0)}catch(u){return r(u)}n+=l.byteLength,setTimeout(()=>o.resume())},onError:l=>r(l),onEnd:()=>h()})})}async doWriteReadableBufferedQueued(s,i,t){let n=0,o;for(;(o=t.read())!==null;)await this.doWriteBuffer(s,i,o,o.byteLength,n,0),n+=o.byteLength}async doWriteBuffer(s,i,t,n,o,h){let r=0;for(;r<n;)r+=await s.write(i,o+r,t.buffer,h+r,n-r)}async doWriteUnbuffered(s,i,t){return this.ensureWriteQueue(s,i).queue(()=>this.doWriteUnbufferedQueued(s,i,t))}async doWriteUnbufferedQueued(s,i,t){let n;t instanceof f.VSBuffer?n=t:S.isReadableStream(t)?n=await f.streamToBuffer(t):S.isReadableBufferedStream(t)?n=await f.bufferedStreamToBuffer(t):n=f.readableToBuffer(t),await s.writeFile(i,n.buffer,{create:!0,overwrite:!0})}async doPipeBuffered(s,i,t,n){return this.ensureWriteQueue(t,n).queue(()=>this.doPipeBufferedQueued(s,i,t,n))}async doPipeBufferedQueued(s,i,t,n){let o,h;try{o=await s.open(i,{create:!1}),h=await t.open(n,{create:!0});const r=f.VSBuffer.alloc(this.BUFFER_SIZE);let l=0,u=0,m=0;do m=await s.read(o,l,r.buffer,u,r.byteLength-u),await this.doWriteBuffer(t,h,r,m,l,u),l+=m,u+=m,u===r.byteLength&&(u=0);while(m>0)}catch(r){throw R.ensureFileSystemProviderError(r)}finally{await C.Promises.settled([typeof o=="number"?s.close(o):Promise.resolve(),typeof h=="number"?t.close(h):Promise.resolve()])}}async doPipeUnbuffered(s,i,t,n){return this.ensureWriteQueue(t,n).queue(()=>this.doPipeUnbufferedQueued(s,i,t,n))}async doPipeUnbufferedQueued(s,i,t,n){return t.writeFile(n,await s.readFile(i),{create:!0,overwrite:!0})}async doPipeUnbufferedToBuffered(s,i,t,n){return this.ensureWriteQueue(t,n).queue(()=>this.doPipeUnbufferedToBufferedQueued(s,i,t,n))}async doPipeUnbufferedToBufferedQueued(s,i,t,n){const o=await t.open(n,{create:!0});try{const h=await s.readFile(i);await this.doWriteBuffer(t,o,f.VSBuffer.wrap(h),h.byteLength,0,0)}catch(h){throw R.ensureFileSystemProviderError(h)}finally{await t.close(o)}}async doPipeBufferedToUnbuffered(s,i,t,n){const o=await f.streamToBuffer(this.readFileBuffered(s,i,a.CancellationToken.None));await this.doWriteUnbuffered(t,n,o)}throwIfFileSystemIsReadonly(s,i){if(s.capabilities&2048)throw new R.FileOperationError(v.localize(21,null,this.resourceForError(i)),6);return s}resourceForError(s){return s.scheme===I.Schemas.file?s.fsPath:s.toString(!0)}};g=he([Y(0,D.ILogService)],g),e.FileService=g}),define(ee[149],te([0,1,27,199,2,10,3,6,23,8,18,42,5,13,116,74,130,132,129,140,52,73,17,22]),function(H,e,v,k,_,R,P,A,y,E,D,f,S,C,a,I,w,b,g,c,s,i,t,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProvider=void 0;class o extends _.Disposable{constructor(r,l){var u;super();this.logService=r,this.options=l,this.BUFFER_SIZE=((u=this.options)===null||u===void 0?void 0:u.bufferSize)||64*1024,this.onDidChangeCapabilities=P.Event.None,this.mapHandleToPos=new Map,this.writeHandles=new Set,this.canFlush=!0,this._onDidWatchErrorOccur=this._register(new P.Emitter),this.onDidErrorOccur=this._onDidWatchErrorOccur.event,this._onDidChangeFile=this._register(new P.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this.recursiveFoldersToWatch=[],this.recursiveWatchRequestDelayer=this._register(new S.ThrottledDelayer(0))}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8,A.isLinux&&(this._capabilities|=1024)),this._capabilities}async stat(r){try{const{stat:l,symbolicLink:u}=await y.SymlinkSupport.stat(this.toFilePath(r));return{type:this.toType(l,u),ctime:l.birthtime.getTime(),mtime:l.mtime.getTime(),size:l.size}}catch(l){throw this.toFileSystemProviderError(l)}}async readdir(r){try{const l=await y.readdir(this.toFilePath(r),{withFileTypes:!0}),u=[];return await Promise.all(l.map(async m=>{try{let p;m.isSymbolicLink()?p=(await this.stat(D.joinPath(r,m.name))).type:p=this.toType(m),u.push([m.name,p])}catch(p){this.logService.trace(p)}})),u}catch(l){throw this.toFileSystemProviderError(l)}}toType(r,l){let u;return(l==null?void 0:l.dangling)?u=R.FileType.Unknown:r.isFile()?u=R.FileType.File:r.isDirectory()?u=R.FileType.Directory:u=R.FileType.Unknown,l&&(u|=R.FileType.SymbolicLink),u}async readFile(r){try{const l=this.toFilePath(r);return await v.promises.readFile(l)}catch(l){throw this.toFileSystemProviderError(l)}}readFileStream(r,l,u){const m=s.newWriteableStream(p=>n.VSBuffer.concat(p.map(d=>n.VSBuffer.wrap(d))).buffer);return i.readFileIntoStream(this,r,m,p=>p.buffer,Object.assign(Object.assign({},l),{bufferSize:this.BUFFER_SIZE}),u),m}async writeFile(r,l,u){let m;try{const p=this.toFilePath(r);if(!u.create||!u.overwrite){if(await y.exists(p)){if(!u.overwrite)throw R.createFileSystemProviderError(a.localize(0,null),R.FileSystemProviderErrorCode.FileExists)}else if(!u.create)throw R.createFileSystemProviderError(a.localize(1,null),R.FileSystemProviderErrorCode.FileNotFound)}m=await this.open(r,{create:!0}),await this.write(m,0,l,0,l.byteLength)}catch(p){throw this.toFileSystemProviderError(p)}finally{typeof m=="number"&&await this.close(m)}}async open(r,l){try{const u=this.toFilePath(r);let m;if(l.create){if(A.isWindows)try{await v.promises.truncate(u,0),m="r+"}catch(d){d.code!=="ENOENT"&&this.logService.trace(d)}m||(m="w")}else m="r";const p=await k.promisify(v.open)(u,m);return this.mapHandleToPos.set(p,0),l.create&&this.writeHandles.add(p),p}catch(u){throw this.toFileSystemProviderError(u)}}async close(r){try{if(this.mapHandleToPos.delete(r),this.writeHandles.delete(r)&&this.canFlush)try{await k.promisify(v.fdatasync)(r)}catch(l){this.canFlush=!1,this.logService.error(l)}return await k.promisify(v.close)(r)}catch(l){throw this.toFileSystemProviderError(l)}}async read(r,l,u,m,p){const d=this.normalizePos(r,l);let O=null;try{const U=await k.promisify(v.read)(r,u,m,p,d);return typeof U=="number"?O=U:O=U.bytesRead,O}catch(U){throw this.toFileSystemProviderError(U)}finally{this.updatePos(r,d,O)}}normalizePos(r,l){return l===this.mapHandleToPos.get(r)?null:l}updatePos(r,l,u){const m=this.mapHandleToPos.get(r);typeof m=="number"&&(typeof l=="number"||(typeof u=="number"?this.mapHandleToPos.set(r,m+u):this.mapHandleToPos.delete(r)))}async write(r,l,u,m,p){return S.retry(()=>this.doWrite(r,l,u,m,p),100,3)}async doWrite(r,l,u,m,p){const d=this.normalizePos(r,l);let O=null;try{const U=await k.promisify(v.write)(r,u,m,p,d);return typeof U=="number"?O=U:O=U.bytesWritten,O}catch(U){throw this.toFileSystemProviderError(U)}finally{this.updatePos(r,d,O)}}async mkdir(r){try{await v.promises.mkdir(this.toFilePath(r))}catch(l){throw this.toFileSystemProviderError(l)}}async delete(r,l){try{const u=this.toFilePath(r);await this.doDelete(u,l)}catch(u){throw this.toFileSystemProviderError(u)}}async doDelete(r,l){l.recursive?await y.rimraf(r,y.RimRafMode.MOVE):await v.promises.unlink(r)}async rename(r,l,u){const m=this.toFilePath(r),p=this.toFilePath(l);if(m!==p)try{await this.validateTargetDeleted(r,l,"move",u.overwrite),await y.move(m,p)}catch(d){throw(d.code==="EINVAL"||d.code==="EBUSY"||d.code==="ENAMETOOLONG")&&(d=new Error(a.localize(2,null,E.basename(m),E.basename(E.dirname(p)),d.toString()))),this.toFileSystemProviderError(d)}}async copy(r,l,u){const m=this.toFilePath(r),p=this.toFilePath(l);if(m!==p)try{await this.validateTargetDeleted(r,l,"copy",u.overwrite),await y.copy(m,p,{preserveSymlinks:!0})}catch(d){throw(d.code==="EINVAL"||d.code==="EBUSY"||d.code==="ENAMETOOLONG")&&(d=new Error(a.localize(3,null,E.basename(m),E.basename(E.dirname(p)),d.toString()))),this.toFileSystemProviderError(d)}}async validateTargetDeleted(r,l,u,m){const p=this.toFilePath(r),d=this.toFilePath(l);let O=!1;if(!!(this.capabilities&1024)||(O=f.isEqual(p,d,!0)),O&&u==="copy")throw R.createFileSystemProviderError(a.localize(4,null),R.FileSystemProviderErrorCode.FileExists);if(!O&&await y.exists(d)){if(!m)throw R.createFileSystemProviderError(a.localize(5,null),R.FileSystemProviderErrorCode.FileExists);await this.delete(l,{recursive:!0,useTrash:!1})}}watch(r,l){return l.recursive?this.watchRecursive(r,l.excludes):this.watchNonRecursive(r)}watchRecursive(r,l){const u={path:this.toFilePath(r),excludes:l},m=t.insert(this.recursiveFoldersToWatch,u);return this.refreshRecursiveWatchers(),_.toDisposable(()=>{m(),this.refreshRecursiveWatchers()})}refreshRecursiveWatchers(){this.recursiveWatchRequestDelayer.trigger(async()=>{this.doRefreshRecursiveWatchers()})}doRefreshRecursiveWatchers(){var r,l,u;if(this.recursiveWatcher instanceof g.FileWatcher)this.recursiveWatcher.setFolders(this.recursiveFoldersToWatch);else if(_.dispose(this.recursiveWatcher),this.recursiveWatcher=void 0,this.recursiveFoldersToWatch.length>0){let m,p;((l=(r=this.options)===null||r===void 0?void 0:r.watcher)===null||l===void 0?void 0:l.usePolling)?(m=w.FileWatcher,p=(u=this.options)===null||u===void 0?void 0:u.watcher):this.recursiveFoldersToWatch.length===1?A.isWindows?m=b.FileWatcher:m=w.FileWatcher:m=g.FileWatcher,this.recursiveWatcher=new m(this.recursiveFoldersToWatch,d=>this._onDidChangeFile.fire(I.toFileChanges(d)),d=>{d.type==="error"&&this._onDidWatchErrorOccur.fire(d.message),this.logService[d.type](d.message)},this.logService.getLevel()===C.LogLevel.Trace,p),this.recursiveWatcherLogLevelListener||(this.recursiveWatcherLogLevelListener=this.logService.onDidChangeLogLevel(()=>{this.recursiveWatcher&&this.recursiveWatcher.setVerboseLogging(this.logService.getLevel()===C.LogLevel.Trace)}))}}watchNonRecursive(r){const l=new c.FileWatcher(this.toFilePath(r),m=>this._onDidChangeFile.fire(I.toFileChanges(m)),m=>{m.type==="error"&&this._onDidWatchErrorOccur.fire(m.message),this.logService[m.type](m.message)},this.logService.getLevel()===C.LogLevel.Trace),u=this.logService.onDidChangeLogLevel(()=>{l.setVerboseLogging(this.logService.getLevel()===C.LogLevel.Trace)});return _.combinedDisposable(l,u)}toFilePath(r){return E.normalize(r.fsPath)}toFileSystemProviderError(r){if(r instanceof R.FileSystemProviderError)return r;let l;switch(r.code){case"ENOENT":l=R.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":l=R.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":l=R.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":l=R.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":l=R.FileSystemProviderErrorCode.NoPermissions;break;default:l=R.FileSystemProviderErrorCode.Unknown}return R.createFileSystemProviderError(r,l)}dispose(){super.dispose(),_.dispose(this.recursiveWatcher),this.recursiveWatcher=void 0,_.dispose(this.recursiveWatcherLogLevelListener),this.recursiveWatcherLogLevelListener=void 0}}e.DiskFileSystemProvider=o}),define(ee[150],te([0,1,23,27,200,28,2,9,5,34,13,55,17,3,16,8]),function(H,e,v,k,_,R,P,A,y,E,D,f,S,C,a,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LocalizationsService=void 0;let w=class extends P.Disposable{constructor(c,s,i){super();this.extensionManagementService=c,this.logService=i,this._onDidLanguagesChange=this._register(new C.Emitter),this.onDidLanguagesChange=this._onDidLanguagesChange.event,this.cache=this._register(new b(s,i)),this._register(c.onDidInstallExtension(({local:t})=>this.onDidInstallExtension(t))),this._register(c.onDidUninstallExtension(({identifier:t})=>this.onDidUninstallExtension(t)))}getLanguageIds(){return this.cache.getLanguagePacks().then(c=>{const s=["en",...Object.keys(c)];return S.distinct(s)})}onDidInstallExtension(c){c&&c.manifest&&c.manifest.contributes&&c.manifest.contributes.localizations&&c.manifest.contributes.localizations.length&&(this.logService.debug("Adding language packs from the extension",c.identifier.id),this.update().then(s=>{s&&this._onDidLanguagesChange.fire()}))}onDidUninstallExtension(c){this.cache.getLanguagePacks().then(s=>{Object.keys(s).some(i=>s[i]&&s[i].extensions.some(t=>E.areSameExtensions(t.extensionIdentifier,c)))&&(this.logService.debug("Removing language packs from the extension",c.id),this.update().then(i=>{i&&this._onDidLanguagesChange.fire()}))})}async update(){const[c,s]=await Promise.all([this.cache.getLanguagePacks(),this.extensionManagementService.getInstalled()]),i=await this.cache.update(s);return!S.equals(Object.keys(c),Object.keys(i))}};w=he([Y(0,R.IExtensionManagementService),Y(1,A.INativeEnvironmentService),Y(2,D.ILogService)],w),e.LocalizationsService=w;let b=class extends P.Disposable{constructor(c,s){super();this.logService=s,this.languagePacks={},this.languagePacksFilePath=I.join(c.userDataPath,"languagepacks.json"),this.languagePacksFileLimiter=new y.Queue}getLanguagePacks(){return this.languagePacksFileLimiter.size||!this.initializedCache?this.withLanguagePacks().then(()=>this.languagePacks):Promise.resolve(this.languagePacks)}update(c){return this.withLanguagePacks(s=>{Object.keys(s).forEach(i=>delete s[i]),this.createLanguagePacksFromExtensions(s,...c)}).then(()=>this.languagePacks)}createLanguagePacksFromExtensions(c,...s){for(const i of s)i&&i.manifest&&i.manifest.contributes&&i.manifest.contributes.localizations&&i.manifest.contributes.localizations.length&&this.createLanguagePacksFromExtension(c,i);Object.keys(c).forEach(i=>this.updateHash(c[i]))}createLanguagePacksFromExtension(c,s){const i=s.identifier,t=s.manifest.contributes&&s.manifest.contributes.localizations?s.manifest.contributes.localizations:[];for(const n of t)if(s.location.scheme===a.Schemas.file&&f.isValidLocalization(n)){let o=c[n.languageId];o||(o={hash:"",extensions:[],translations:{}},c[n.languageId]=o);let h=o.extensions.filter(r=>E.areSameExtensions(r.extensionIdentifier,i))[0];h?h.version=s.manifest.version:o.extensions.push({extensionIdentifier:i,version:s.manifest.version});for(const r of n.translations)o.translations[r.id]=I.join(s.location.fsPath,r.path)}}updateHash(c){if(c){const s=_.createHash("md5");for(const i of c.extensions)s.update(i.extensionIdentifier.uuid||i.extensionIdentifier.id).update(i.version);c.hash=s.digest("hex")}}withLanguagePacks(c=()=>null){return this.languagePacksFileLimiter.queue(()=>{let s=null;return k.promises.readFile(this.languagePacksFilePath,"utf8").then(void 0,i=>i.code==="ENOENT"?Promise.resolve("{}"):Promise.reject(i)).then(i=>{try{return JSON.parse(i)}catch(t){return{}}}).then(i=>(s=c(i),i)).then(i=>{for(const n of Object.keys(i))i[n]||delete i[n];this.languagePacks=i,this.initializedCache=!0;const t=JSON.stringify(this.languagePacks);return this.logService.debug("Writing language packs",t),v.writeFile(this.languagePacksFilePath,t)}).then(()=>s,i=>this.logService.error(i))})}};b=he([Y(0,A.INativeEnvironmentService),Y(1,D.ILogService)],b)}),define(ee[151],te([0,1,13]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BufferLogService=void 0;function k(R,P){switch(P){case v.LogLevel.Trace:return R.trace;case v.LogLevel.Debug:return R.debug;case v.LogLevel.Info:return R.info;case v.LogLevel.Warning:return R.warn;case v.LogLevel.Error:return R.error;case v.LogLevel.Critical:return R.critical;default:throw new Error("Invalid log level")}}class _ extends v.AbstractLogger{constructor(P=v.DEFAULT_LOG_LEVEL){super();this.buffer=[],this._logger=void 0,this.setLevel(P),this._register(this.onDidChangeLogLevel(A=>{this._logger&&this._logger.setLevel(A)}))}set logger(P){this._logger=P;for(const{level:A,args:y}of this.buffer)k(P,A).apply(P,y);this.buffer=[]}_log(P,...A){this._logger?k(this._logger,P).apply(this._logger,A):this.getLevel()<=P&&this.buffer.push({level:P,args:A})}trace(P,...A){this._log(v.LogLevel.Trace,P,...A)}debug(P,...A){this._log(v.LogLevel.Debug,P,...A)}info(P,...A){this._log(v.LogLevel.Info,P,...A)}warn(P,...A){this._log(v.LogLevel.Warning,P,...A)}error(P,...A){this._log(v.LogLevel.Error,P,...A)}critical(P,...A){this._log(v.LogLevel.Critical,P,...A)}dispose(){this._logger&&this._logger.dispose()}flush(){this._logger&&this._logger.flush()}}e.BufferLogService=_}),define(ee[152],te([0,1,13,10,5,22,18,2,4,151]),function(H,e,v,k,_,R,P,A,y,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileLoggerService=e.FileLogger=void 0;const D=5*k.ByteSize.MB;let f=class extends v.AbstractLogger{constructor(a,I,w,b){super();this.name=a,this.resource=I,this.fileService=b,this.backupIndex=1,this.setLevel(w),this.queue=this._register(new _.Queue),this.initializePromise=this.initialize()}trace(){this.getLevel()<=v.LogLevel.Trace&&this._log(v.LogLevel.Trace,this.format(arguments))}debug(){this.getLevel()<=v.LogLevel.Debug&&this._log(v.LogLevel.Debug,this.format(arguments))}info(){this.getLevel()<=v.LogLevel.Info&&this._log(v.LogLevel.Info,this.format(arguments))}warn(){this.getLevel()<=v.LogLevel.Warning&&this._log(v.LogLevel.Warning,this.format(arguments))}error(){if(this.getLevel()<=v.LogLevel.Error){const a=arguments[0];if(a instanceof Error){const I=Array.prototype.slice.call(arguments);I[0]=a.stack,this._log(v.LogLevel.Error,this.format(I))}else this._log(v.LogLevel.Error,this.format(arguments))}}critical(){this.getLevel()<=v.LogLevel.Critical&&this._log(v.LogLevel.Critical,this.format(arguments))}flush(){}log(a,I){this._log(a,this.format(I))}async initialize(){try{await this.fileService.createFile(this.resource)}catch(a){if(a.fileOperationResult!==3)throw a}}_log(a,I){this.queue.queue(async()=>{await this.initializePromise;let w=await this.loadContent();w.length>D&&(await this.fileService.writeFile(this.getBackupResource(),R.VSBuffer.fromString(w)),w=""),w+=`[${this.getCurrentTimestamp()}] [${this.name}] [${this.stringifyLogLevel(a)}] ${I}
`,await this.fileService.writeFile(this.resource,R.VSBuffer.fromString(w))})}getCurrentTimestamp(){const a=b=>b<10?`0${b}`:b,I=b=>b<10?`00${b}`:b<100?`0${b}`:b,w=new Date;return`${w.getFullYear()}-${a(w.getMonth()+1)}-${a(w.getDate())} ${a(w.getHours())}:${a(w.getMinutes())}:${a(w.getSeconds())}.${I(w.getMilliseconds())}`}getBackupResource(){return this.backupIndex=this.backupIndex>5?1:this.backupIndex,P.joinPath(P.dirname(this.resource),`${P.basename(this.resource)}_${this.backupIndex++}`)}async loadContent(){try{return(await this.fileService.readFile(this.resource)).value.toString()}catch(a){return""}}stringifyLogLevel(a){switch(a){case v.LogLevel.Critical:return"critical";case v.LogLevel.Debug:return"debug";case v.LogLevel.Error:return"error";case v.LogLevel.Info:return"info";case v.LogLevel.Trace:return"trace";case v.LogLevel.Warning:return"warning"}return""}format(a){let I="";for(let w=0;w<a.length;w++){let b=a[w];if(typeof b=="object")try{b=JSON.stringify(b)}catch(g){}I+=(w>0?" ":"")+b}return I}};f=he([Y(3,k.IFileService)],f),e.FileLogger=f;let S=class extends A.Disposable{constructor(a,I,w){super();this.logService=a,this.instantiationService=I,this.fileService=w,this.loggers=new Map,this._register(a.onDidChangeLogLevel(b=>this.loggers.forEach(g=>g.setLevel(b))))}createLogger(a){let I=this.loggers.get(a.toString());return I||(I=new E.BufferLogService(this.logService.getLevel()),this.loggers.set(a.toString(),I),k.whenProviderRegistered(a,this.fileService).then(()=>I.logger=this.instantiationService.createInstance(f,P.basename(a),a,this.logService.getLevel()))),I}dispose(){this.loggers.forEach(a=>a.dispose()),this.loggers.clear(),super.dispose()}};S=he([Y(0,v.ILogService),Y(1,y.IInstantiationService),Y(2,k.IFileService)],S),e.FileLoggerService=S}),define(ee[76],te([0,1,13,3,7]),function(H,e,v,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FollowerLogService=e.LoggerChannelClient=e.LoggerChannel=e.LogLevelChannelClient=e.LogLevelChannel=void 0;class R{constructor(S){this.service=S,this.onDidChangeLogLevel=k.Event.buffer(S.onDidChangeLogLevel,!0)}listen(S,C){switch(C){case"onDidChangeLogLevel":return this.onDidChangeLogLevel}throw new Error(`Event not found: ${C}`)}async call(S,C,a){switch(C){case"setLevel":return this.service.setLevel(a)}throw new Error(`Call not found: ${C}`)}}e.LogLevelChannel=R;class P{constructor(S){this.channel=S}get onDidChangeLogLevel(){return this.channel.listen("onDidChangeLogLevel")}setLevel(S){P.setLevel(this.channel,S)}static setLevel(S,C){return S.call("setLevel",C)}}e.LogLevelChannelClient=P;class A{constructor(S){this.loggerService=S,this.loggers=new Map}listen(S,C){throw new Error(`Event not found: ${C}`)}async call(S,C,a){switch(C){case"createLogger":this.createLogger(_.URI.revive(a[0]),a[1]);return;case"log":return this.log(_.URI.revive(a[0]),a[1]);case"consoleLog":return this.consoleLog(a[0],a[1])}throw new Error(`Call not found: ${C}`)}createLogger(S,C){this.loggers.set(S.toString(),this.loggerService.createLogger(S,C))}consoleLog(S,C){let a=console.log;switch(S){case v.LogLevel.Error:a=console.error;break;case v.LogLevel.Warning:a=console.warn;break;case v.LogLevel.Info:a=console.info;break}a.call(console,...C)}log(S,C){const a=this.loggers.get(S.toString());if(!a)throw new Error("Create the logger before logging");for(const[I,w]of C)switch(I){case v.LogLevel.Trace:a.trace(w);break;case v.LogLevel.Debug:a.debug(w);break;case v.LogLevel.Info:a.info(w);break;case v.LogLevel.Warning:a.warn(w);break;case v.LogLevel.Error:a.error(w);break;case v.LogLevel.Critical:a.critical(w);break;default:throw new Error("Invalid log level")}}}e.LoggerChannel=A;class y{constructor(S){this.channel=S}createConsoleMainLogger(){return new v.AdapterLogger({log:(S,C)=>{this.channel.call("consoleLog",[S,C])}})}createLogger(S,C){return new E(this.channel,S,C)}}e.LoggerChannelClient=y;class E extends v.AbstractMessageLogger{constructor(S,C,a){super(a==null?void 0:a.always);this.channel=S,this.file=C,this.isLoggerCreated=!1,this.buffer=[],this.channel.call("createLogger",[C,a]).then(()=>{this._log(this.buffer),this.isLoggerCreated=!0})}log(S,C){this._log([[S,C]])}_log(S){this.isLoggerCreated?this.channel.call("log",[this.file,S]):this.buffer.push(...S)}}class D extends v.LogService{constructor(S,C){super(C);this.parent=S,this._register(S.onDidChangeLogLevel(a=>C.setLevel(a)))}setLevel(S){super.setLevel(S),this.parent.setLevel(S)}}e.FollowerLogService=D}),define(ee[77],te([0,1,13,10]),function(H,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SpdLogLogger=e.createRotatingLogger=void 0;async function _(y,E,D,f){try{const S=await new Promise((C,a)=>{H(["spdlog"],C,a)});return S.setAsyncMode(8192,500),S.createRotatingLoggerAsync(y,E,D,f)}catch(S){console.error(S)}return null}function R(y,E,D,f){return H.__$__nodeRequire("spdlog").createRotatingLogger(y,E,D,f)}e.createRotatingLogger=R;function P(y,E,D){switch(E){case v.LogLevel.Trace:y.trace(D);break;case v.LogLevel.Debug:y.debug(D);break;case v.LogLevel.Info:y.info(D);break;case v.LogLevel.Warning:y.warn(D);break;case v.LogLevel.Error:y.error(D);break;case v.LogLevel.Critical:y.critical(D);break;default:throw new Error("Invalid log level")}}class A extends v.AbstractMessageLogger{constructor(E,D,f,S){super();this.name=E,this.filepath=D,this.rotating=f,this.buffer=[],this.setLevel(S),this._loggerCreationPromise=this._createSpdLogLogger(),this._register(this.onDidChangeLogLevel(C=>{this._logger&&this._logger.setLevel(C)}))}_createSpdLogLogger(){const E=this.rotating?6:1,D=30/E*k.ByteSize.MB;return _(this.name,this.filepath,D,E).then(f=>{if(f){this._logger=f,this._logger.setLevel(this.getLevel());for(const{level:S,message:C}of this.buffer)P(this._logger,S,C);this.buffer=[]}})}log(E,D){this._logger?P(this._logger,E,D):this.getLevel()<=E&&this.buffer.push({level:E,message:D})}clearFormatters(){this._logger?this._logger.clearFormatters():this._loggerCreationPromise.then(()=>this.clearFormatters())}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}e.SpdLogLogger=A}),define(ee[153],te([0,1,13,2,18,16,152,77,10,30]),function(H,e,v,k,_,R,P,A,y,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LoggerService=void 0;let D=class extends k.Disposable{constructor(S,C){super();this.logService=S,this.fileService=C,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(S.onDidChangeLogLevel(a=>this.logLevelChangeableLoggers.forEach(I=>I.setLevel(a))))}createLogger(S,C){var a;let I=this.loggers.get(S.toString());return I||(S.scheme===R.Schemas.file?(I=new A.SpdLogLogger((C==null?void 0:C.name)||E.generateUuid(),S.fsPath,!(C==null?void 0:C.donotRotate),this.logService.getLevel()),(C==null?void 0:C.donotUseFormatters)&&I.clearFormatters()):I=new P.FileLogger((a=C==null?void 0:C.name)!==null&&a!==void 0?a:_.basename(S),S,this.logService.getLevel(),this.fileService),this.loggers.set(S.toString(),I),(C==null?void 0:C.always)?I.setLevel(v.LogLevel.Trace):this.logLevelChangeableLoggers.push(I)),I}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(S=>S.dispose()),this.loggers.clear(),super.dispose()}};D=he([Y(0,v.ILogService),Y(1,y.IFileService)],D),e.LoggerService=D}),define(ee[57],te([0,1,4]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeHostService=void 0,e.INativeHostService=v.createDecorator("nativeHostService")}),define(ee[36],te([0,1,6,51,16,18]),function(H,e,v,k,_,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let P;if(v.isWeb||typeof H=="undefined"||typeof H.__$__nodeRequire!="function")P={},Object.keys(P).length===0&&Object.assign(P,{version:"1.54.0-dev",nameShort:v.isWeb?"Code Web - OSS Dev":"Code - OSS Dev",nameLong:v.isWeb?"Code Web - OSS Dev":"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",extensionAllowedProposedApi:["ms-vscode.vscode-js-profile-flame","ms-vscode.vscode-js-profile-table","ms-vscode.github-browser"]});else{const A=R.dirname(_.FileAccess.asFileUri("",H));P=H.__$__nodeRequire(R.joinPath(A,"product.json").fsPath);const y=H.__$__nodeRequire(R.joinPath(A,"package.json").fsPath);k.env.VSCODE_DEV&&Object.assign(P,{nameShort:`${P.nameShort} Dev`,nameLong:`${P.nameLong} Dev`,dataFolderName:`${P.dataFolderName}-dev`}),Object.assign(P,{version:y.version})}e.default=P}),define(ee[154],te([0,1,27,8,23,36,2,14,13,9]),function(H,e,v,k,_,R,P,A,y,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LanguagePackCachedDataCleaner=void 0;let D=class extends P.Disposable{constructor(S,C){super();this._environmentService=S,this._logService=C,this._environmentService.isBuilt&&this._manageCachedDataSoon()}_manageCachedDataSoon(){let S=setTimeout(async()=>{S=void 0,this._logService.info("Starting to clean up unused language packs.");const C=R.default.nameLong.indexOf("Insiders")>=0?1e3*60*60*24*7:1e3*60*60*24*30*3;try{const a=Object.create(null),I=JSON.parse(await v.promises.readFile(k.join(this._environmentService.userDataPath,"languagepacks.json"),"utf8"));for(let c of Object.keys(I)){const s=I[c];a[`${s.hash}.${c}`]=!0}const w=k.join(this._environmentService.userDataPath,"clp");if(!await _.exists(w))return;for(let c of await _.readdir(w)){if(a[c]){this._logService.info(`Skipping directory ${c}. Language pack still in use.`);continue}this._logService.info("Removing unused language pack:",c),await _.rimraf(k.join(w,c))}const g=Date.now();for(let c of Object.keys(a)){const s=k.join(w,c);for(let i of await _.readdir(s))if(i!=="tcf.json"){const t=k.join(s,i),n=await v.promises.stat(t);n.isDirectory()&&g-n.mtime.getTime()>C&&(this._logService.info("Removing language pack cache entry: ",k.join(c,i)),await _.rimraf(t))}}}catch(a){A.onUnexpectedError(a)}},40*1e3);this._register(P.toDisposable(()=>{S!==void 0&&clearTimeout(S)}))}};D=he([Y(0,E.INativeEnvironmentService),Y(1,y.ILogService)],D),e.LanguagePackCachedDataCleaner=D}),define(ee[155],te([0,1,27,8,14,2,23,36]),function(H,e,v,k,_,R,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NodeCachedDataCleaner=void 0;class y{constructor(D){this.nodeCachedDataDir=D,this._disposables=new R.DisposableStore,this._manageCachedDataSoon()}dispose(){this._disposables.dispose()}_manageCachedDataSoon(){if(!!this.nodeCachedDataDir){const D=k.dirname(this.nodeCachedDataDir),f=k.basename(this.nodeCachedDataDir);let S=setTimeout(()=>{S=void 0,P.readdir(D).then(C=>{const a=Date.now(),I=[];return C.forEach(w=>{if(w!==f){const b=k.join(D,w);I.push(v.promises.stat(b).then(g=>{if(g.isDirectory()&&a-g.mtime.getTime()>y._DataMaxAge)return P.rimraf(b)}))}}),Promise.all(I)}).then(void 0,_.onUnexpectedError)},30*1e3);this._disposables.add(R.toDisposable(()=>{S&&(clearTimeout(S),S=void 0)}))}}}e.NodeCachedDataCleaner=y,y._DataMaxAge=A.default.nameLong.indexOf("Insiders")>=0?1e3*60*60*24*7:1e3*60*60*24*30*3}),define(ee[156],te([0,1,38,36,94,8,18,84,53,16,7]),function(H,e,v,k,_,R,P,A,y,E,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseUserDataDir=e.parsePathArg=e.parseSearchPort=e.parseExtensionHostPort=e.NativeEnvironmentService=void 0;class f{constructor(g){if(this._args=g,!g.logsPath){const c=y.toLocalISOString(new Date).replace(/-|:|\.\d+Z$/g,"");g.logsPath=R.join(this.userDataPath,"logs",c)}this.logsPath=g.logsPath}get args(){return this._args}get appRoot(){return R.dirname(E.FileAccess.asFileUri("",H).fsPath)}get userHome(){return D.URI.file(v.homedir())}get userDataPath(){const g=process.env.VSCODE_PORTABLE;return g?R.join(g,"user-data"):w(this._args,process)}get appSettingsHome(){return D.URI.file(R.join(this.userDataPath,"User"))}get tmpDir(){return D.URI.file(v.tmpdir())}get userRoamingDataHome(){return this.appSettingsHome}get settingsResource(){return P.joinPath(this.userRoamingDataHome,"settings.json")}get userDataSyncHome(){return P.joinPath(this.userRoamingDataHome,"sync")}get userDataSyncLogResource(){return D.URI.file(R.join(this.logsPath,"userDataSync.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return P.joinPath(D.URI.file(R.join(this.userDataPath,"Machine")),"settings.json")}get globalStorageHome(){return D.URI.joinPath(this.appSettingsHome,"globalStorage")}get workspaceStorageHome(){return D.URI.joinPath(this.appSettingsHome,"workspaceStorage")}get keybindingsResource(){return P.joinPath(this.userRoamingDataHome,"keybindings.json")}get keyboardLayoutResource(){return P.joinPath(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const g=process.env.VSCODE_PORTABLE;return g?D.URI.file(R.join(g,"argv.json")):P.joinPath(this.userHome,k.default.dataFolderName,"argv.json")}get snippetsHome(){return P.joinPath(this.userRoamingDataHome,"snippets")}get isExtensionDevelopment(){return!!this._args.extensionDevelopmentPath}get untitledWorkspacesHome(){return D.URI.file(R.join(this.userDataPath,"Workspaces"))}get installSourcePath(){return R.join(this.userDataPath,"installSource")}get builtinExtensionsPath(){const g=I(this._args["builtin-extensions-dir"],process);return g||R.normalize(R.join(E.FileAccess.asFileUri("",H).fsPath,"..","extensions"))}get extensionsDownloadPath(){const g=I(this._args["extensions-download-dir"],process);return g||R.join(this.userDataPath,"CachedExtensionVSIXs")}get extensionsPath(){const g=I(this._args["extensions-dir"],process);if(g)return g;const c=process.env.VSCODE_EXTENSIONS;if(c)return c;const s=process.env.VSCODE_PORTABLE;return s?R.join(s,"extensions"):P.joinPath(this.userHome,k.default.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const g=this._args.extensionDevelopmentPath;if(Array.isArray(g))return g.map(c=>/^[^:/?#]+?:\/\//.test(c)?D.URI.parse(c):D.URI.file(R.normalize(c)))}get extensionTestsLocationURI(){const g=this._args.extensionTestsPath;if(g)return/^[^:/?#]+?:\/\//.test(g)?D.URI.parse(g):D.URI.file(R.normalize(g))}get disableExtensions(){if(this._args["disable-extensions"])return!0;const g=this._args["disable-extension"];if(g){if(typeof g=="string")return[g];if(Array.isArray(g)&&g.length>0)return g}return!1}get debugExtensionHost(){return S(this._args,this.isBuilt)}get debugRenderer(){return!!this._args.debugRenderer}get isBuilt(){return!process.env.VSCODE_DEV}get verbose(){return!!this._args.verbose}get logLevel(){return this._args.log}get serviceMachineIdResource(){return P.joinPath(D.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this._args["crash-reporter-id"]}get crashReporterDirectory(){return this._args["crash-reporter-directory"]}get driverHandle(){return this._args.driver}get telemetryLogResource(){return D.URI.file(R.join(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this._args["disable-telemetry"]}}he([A.memoize],f.prototype,"appRoot",null),he([A.memoize],f.prototype,"userHome",null),he([A.memoize],f.prototype,"userDataPath",null),he([A.memoize],f.prototype,"appSettingsHome",null),he([A.memoize],f.prototype,"tmpDir",null),he([A.memoize],f.prototype,"userRoamingDataHome",null),he([A.memoize],f.prototype,"settingsResource",null),he([A.memoize],f.prototype,"userDataSyncHome",null),he([A.memoize],f.prototype,"userDataSyncLogResource",null),he([A.memoize],f.prototype,"sync",null),he([A.memoize],f.prototype,"machineSettingsResource",null),he([A.memoize],f.prototype,"globalStorageHome",null),he([A.memoize],f.prototype,"workspaceStorageHome",null),he([A.memoize],f.prototype,"keybindingsResource",null),he([A.memoize],f.prototype,"keyboardLayoutResource",null),he([A.memoize],f.prototype,"argvResource",null),he([A.memoize],f.prototype,"snippetsHome",null),he([A.memoize],f.prototype,"isExtensionDevelopment",null),he([A.memoize],f.prototype,"untitledWorkspacesHome",null),he([A.memoize],f.prototype,"installSourcePath",null),he([A.memoize],f.prototype,"builtinExtensionsPath",null),he([A.memoize],f.prototype,"extensionsPath",null),he([A.memoize],f.prototype,"extensionDevelopmentLocationURI",null),he([A.memoize],f.prototype,"extensionTestsLocationURI",null),he([A.memoize],f.prototype,"debugExtensionHost",null),he([A.memoize],f.prototype,"serviceMachineIdResource",null),he([A.memoize],f.prototype,"telemetryLogResource",null),e.NativeEnvironmentService=f;function S(b,g){return a(b["inspect-extensions"],b["inspect-brk-extensions"],5870,g,b.debugId)}e.parseExtensionHostPort=S;function C(b,g){return a(b["inspect-search"],b["inspect-brk-search"],5876,g)}e.parseSearchPort=C;function a(b,g,c,s,i){const n=Number(g||b)||(s?null:c),o=n?Boolean(!!g):!1;return{port:n,break:o,debugId:i}}function I(b,g){if(!!b){const c=R.resolve(b);return R.normalize(b)===c?c:R.resolve(g.env.VSCODE_CWD||g.cwd(),b)}}e.parsePathArg=I;function w(b,g){return I(b["user-data-dir"],g)||R.resolve(_.getDefaultUserDataPath())}e.parseUserDataDir=w}),define(ee[31],te([0,1,4]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IProductService=void 0,e.IProductService=v.createDecorator("productService")}),define(ee[35],te([0,1,15,83]),function(H,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class _{constructor(){this.data=new Map}add(P,A){k.ok(v.isString(P)),k.ok(v.isObject(A)),k.ok(!this.data.has(P),"There is already an extension with this id"),this.data.set(P,A)}knows(P){return this.data.has(P)}as(P){return this.data.get(P)||null}}e.Registry=new _}),define(ee[78],te([0,1,35,3]),function(H,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function _(A){return A.length>0&&A.charAt(A.length-1)==="#"?A.substring(0,A.length-1):A}class R{constructor(){this._onDidChangeSchema=new k.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(y,E){this.schemasById[_(y)]=E,this._onDidChangeSchema.fire(y)}notifySchemaChanged(y){this._onDidChangeSchema.fire(y)}getSchemaContributions(){return{schemas:this.schemasById}}}const P=new R;v.Registry.add(e.Extensions.JSONContribution,P)}),define(ee[39],te([0,1,106,3,35,15,78]),function(H,e,v,k,_,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.overrideIdentifierFromKey=e.OVERRIDE_PROPERTY_PATTERN=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=void 0,e.Extensions={Configuration:"base.contributions.configuration"};var A;(function(w){w[w.APPLICATION=1]="APPLICATION",w[w.MACHINE=2]="MACHINE",w[w.WINDOW=3]="WINDOW",w[w.RESOURCE=4]="RESOURCE",w[w.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",w[w.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(A=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage";const y=_.Registry.as(P.Extensions.JSONContribution);class E{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new k.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new k.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.defaultValues={},this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:v.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},y.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema)}registerConfiguration(b,g=!0){this.registerConfigurations([b],g)}registerConfigurations(b,g=!0){const c=[];b.forEach(s=>{c.push(...this.validateAndRegisterProperties(s,g)),this.configurationContributors.push(s),this.registerJSONConfiguration(s)}),y.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(c)}deregisterConfigurations(b){const g=[],c=s=>{if(s.properties)for(const i in s.properties)g.push(i),delete this.configurationProperties[i],this.removeFromSchema(i,s.properties[i]);s.allOf&&s.allOf.forEach(i=>c(i))};for(const s of b){c(s);const i=this.configurationContributors.indexOf(s);i!==-1&&this.configurationContributors.splice(i,1)}y.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(g)}registerDefaultConfigurations(b){const g=[],c=[];for(const s of b)for(const i in s)if(g.push(i),e.OVERRIDE_PROPERTY_PATTERN.test(i)){this.defaultValues[i]=Object.assign(Object.assign({},this.defaultValues[i]||{}),s[i]);const t={type:"object",default:this.defaultValues[i],description:v.localize(1,null,i),$ref:e.resourceLanguageSettingsSchemaId};c.push(f(i)),this.configurationProperties[i]=t,this.defaultLanguageConfigurationOverridesNode.properties[i]=t}else{this.defaultValues[i]=s[i];const t=this.configurationProperties[i];t&&(this.updatePropertyDefaultValue(i,t),this.updateSchema(i,t))}this.registerOverrideIdentifiers(c),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(g)}deregisterDefaultConfigurations(b){const g=[];for(const c of b)for(const s in c)if(g.push(s),delete this.defaultValues[s],e.OVERRIDE_PROPERTY_PATTERN.test(s))delete this.configurationProperties[s],delete this.defaultLanguageConfigurationOverridesNode.properties[s];else{const i=this.configurationProperties[s];i&&(this.updatePropertyDefaultValue(s,i),this.updateSchema(s,i))}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(g)}notifyConfigurationSchemaUpdated(...b){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(b){for(const g of b)this.overrideIdentifiers.add(g);this.updateOverridePropertyPatternKey()}validateAndRegisterProperties(b,g=!0,c=3){c=R.isUndefinedOrNull(b.scope)?c:b.scope;let s=[],i=b.properties;if(i)for(let n in i){if(g&&a(n)){delete i[n];continue}const o=i[n];if(this.updatePropertyDefaultValue(n,o),e.OVERRIDE_PROPERTY_PATTERN.test(n)?o.scope=void 0:o.scope=R.isUndefinedOrNull(o.scope)?c:o.scope,i[n].hasOwnProperty("included")&&!i[n].included){this.excludedConfigurationProperties[n]=i[n],delete i[n];continue}else this.configurationProperties[n]=i[n];!i[n].deprecationMessage&&i[n].markdownDeprecationMessage&&(i[n].deprecationMessage=i[n].markdownDeprecationMessage),s.push(n)}let t=b.allOf;if(t)for(let n of t)s.push(...this.validateAndRegisterProperties(n,g,c));return s}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}registerJSONConfiguration(b){const g=c=>{let s=c.properties;if(s)for(const t in s)this.updateSchema(t,s[t]);let i=c.allOf;i&&i.forEach(g)};g(b)}updateSchema(b,g){switch(e.allSettings.properties[b]=g,g.scope){case 1:e.applicationSettings.properties[b]=g;break;case 2:e.machineSettings.properties[b]=g;break;case 6:e.machineOverridableSettings.properties[b]=g;break;case 3:e.windowSettings.properties[b]=g;break;case 4:e.resourceSettings.properties[b]=g;break;case 5:e.resourceSettings.properties[b]=g,this.resourceLanguageSettingsSchema.properties[b]=g;break}}removeFromSchema(b,g){switch(delete e.allSettings.properties[b],g.scope){case 1:delete e.applicationSettings.properties[b];break;case 2:delete e.machineSettings.properties[b];break;case 6:delete e.machineOverridableSettings.properties[b];break;case 3:delete e.windowSettings.properties[b];break;case 4:case 5:delete e.resourceSettings.properties[b];break}}updateOverridePropertyPatternKey(){for(const b of this.overrideIdentifiers.values()){const g=`[${b}]`,c={type:"object",description:v.localize(2,null),errorMessage:v.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(g,c),e.allSettings.properties[g]=c,e.applicationSettings.properties[g]=c,e.machineSettings.properties[g]=c,e.machineOverridableSettings.properties[g]=c,e.windowSettings.properties[g]=c,e.resourceSettings.properties[g]=c}this._onDidSchemaChange.fire()}updatePropertyDefaultValue(b,g){let c=this.defaultValues[b];R.isUndefined(c)&&(c=g.default),R.isUndefined(c)&&(c=S(g.type)),g.default=c}}const D="\\[.*\\]$";e.OVERRIDE_PROPERTY_PATTERN=new RegExp(D);function f(w){return w.substring(1,w.length-1)}e.overrideIdentifierFromKey=f;function S(w){switch(Array.isArray(w)?w[0]:w){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=S;const C=new E;_.Registry.add(e.Extensions.Configuration,C);function a(w){return w.trim()?e.OVERRIDE_PROPERTY_PATTERN.test(w)?v.localize(5,null,w):C.getConfigurationProperties()[w]!==void 0?v.localize(6,null,w):null:v.localize(4,null)}e.validateProperty=a;function I(){const w=[],b=C.getConfigurationProperties();for(const g of Object.keys(b))w.push([g,b[g].scope]);return w.push(["launch",4]),w.push(["task",4]),w}e.getScopes=I}),define(ee[25],te([0,1,24,15,7,35,4,39]),function(H,e,v,k,_,R,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.keyFromOverrideIdentifier=e.getDefaultValues=e.getConfigurationKeys=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.toOverrides=e.compare=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=P.createDecorator("configurationService");function y(n){return n&&typeof n=="object"&&(!n.overrideIdentifier||typeof n.overrideIdentifier=="string")&&(!n.resource||n.resource instanceof _.URI)}e.isConfigurationOverrides=y;var E;(function(n){n[n.USER=1]="USER",n[n.USER_LOCAL=2]="USER_LOCAL",n[n.USER_REMOTE=3]="USER_REMOTE",n[n.WORKSPACE=4]="WORKSPACE",n[n.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",n[n.DEFAULT=6]="DEFAULT",n[n.MEMORY=7]="MEMORY"})(E=e.ConfigurationTarget||(e.ConfigurationTarget={}));function D(n){switch(n){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=D;function f(n,o){const h=o?n?o.keys.filter(O=>n.keys.indexOf(O)===-1):[...o.keys]:[],r=n?o?n.keys.filter(O=>o.keys.indexOf(O)===-1):[...n.keys]:[],l=[];if(o&&n){for(const O of n.keys)if(o.keys.indexOf(O)!==-1){const U=b(n.contents,O),j=b(o.contents,O);v.equals(U,j)||l.push(O)}}const u=[],m=O=>{const U={};for(const j of O)for(const B of j.identifiers)U[i(B)]=j;return U},p=o?m(o.overrides):{},d=n?m(n.overrides):{};if(Object.keys(p).length)for(const O of h){const U=p[O];U&&u.push([A.overrideIdentifierFromKey(O),U.keys])}if(Object.keys(d).length)for(const O of r){const U=d[O];U&&u.push([A.overrideIdentifierFromKey(O),U.keys])}if(Object.keys(p).length&&Object.keys(d).length)for(const O of l){const U=d[O],j=p[O];if(U&&j){const B=f({contents:U.contents,keys:U.keys,overrides:[]},{contents:j.contents,keys:j.keys,overrides:[]});u.push([A.overrideIdentifierFromKey(O),[...B.added,...B.removed,...B.updated]])}}return{added:h,removed:r,updated:l,overrides:u}}e.compare=f;function S(n,o){const h=[];for(const r of Object.keys(n))if(A.OVERRIDE_PROPERTY_PATTERN.test(r)){const l={};for(const u in n[r])l[u]=n[r][u];h.push({identifiers:[A.overrideIdentifierFromKey(r).trim()],keys:Object.keys(l),contents:C(l,o)})}return h}e.toOverrides=S;function C(n,o){const h=Object.create(null);for(let r in n)a(h,r,n[r],o);return h}e.toValuesTree=C;function a(n,o,h,r){const l=o.split("."),u=l.pop();let m=n;for(let p=0;p<l.length;p++){let d=l[p],O=m[d];switch(typeof O){case"undefined":O=m[d]=Object.create(null);break;case"object":break;default:r(`Ignoring ${o} as ${l.slice(0,p+1).join(".")} is ${JSON.stringify(O)}`);return}m=O}if(typeof m=="object"&&m!==null)try{m[u]=h}catch(p){r(`Ignoring ${o} as ${l.join(".")} is ${JSON.stringify(m)}`)}else r(`Ignoring ${o} as ${l.join(".")} is ${JSON.stringify(m)}`)}e.addToValueTree=a;function I(n,o){const h=o.split(".");w(n,h)}e.removeFromValueTree=I;function w(n,o){const h=o.shift();if(o.length===0){delete n[h];return}if(Object.keys(n).indexOf(h)!==-1){const r=n[h];typeof r=="object"&&!Array.isArray(r)&&(w(r,o),Object.keys(r).length===0&&delete n[h])}}function b(n,o,h){function r(m,p){let d=m;for(const O of p){if(typeof d!="object"||d===null)return;d=d[O]}return d}const l=o.split("."),u=r(n,l);return typeof u=="undefined"?h:u}e.getConfigurationValue=b;function g(n,o,h){Object.keys(o).forEach(r=>{r!=="__proto__"&&(r in n?k.isObject(n[r])&&k.isObject(o[r])?g(n[r],o[r],h):h&&(n[r]=o[r]):n[r]=o[r])})}e.merge=g;function c(){const n=R.Registry.as(A.Extensions.Configuration).getConfigurationProperties();return Object.keys(n)}e.getConfigurationKeys=c;function s(){const n=Object.create(null),o=R.Registry.as(A.Extensions.Configuration).getConfigurationProperties();for(let h in o){let r=o[h].default;a(n,h,r,l=>console.error(`Conflict in default settings: ${l}`))}return n}e.getDefaultValues=s;function i(n){return`[${n}]`}e.keyFromOverrideIdentifier=i;function t(n,o,h){const r=n.inspect(o),l=n.inspect(h);return typeof r.userValue!="undefined"||typeof r.workspaceValue!="undefined"||typeof r.workspaceFolderValue!="undefined"?r.value:typeof l.userValue!="undefined"||typeof l.workspaceValue!="undefined"||typeof l.workspaceFolderValue!="undefined"?l.value:r.defaultValue}e.getMigratedSettingValue=t}),define(ee[157],te([0,1,32,37,17,15,24,7,39,25,35,2,3]),function(H,e,v,k,_,R,P,A,y,E,D,f,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class C{constructor(t={},n=[],o=[]){this._contents=t,this._keys=n,this._overrides=o,this.isFrozen=!1}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(t){return t?E.getConfigurationValue(this.contents,t):this.contents}getOverrideValue(t,n){const o=this.getContentsForOverrideIdentifer(n);return o?t?E.getConfigurationValue(o,t):o:void 0}getKeysForOverrideIdentifier(t){for(const n of this.overrides)if(n.identifiers.indexOf(t)!==-1)return n.keys;return[]}override(t){const n=this.getContentsForOverrideIdentifer(t);if(!n||typeof n!="object"||!Object.keys(n).length)return this;let o={};for(const h of _.distinct([...Object.keys(this.contents),...Object.keys(n)])){let r=this.contents[h],l=n[h];l&&(typeof r=="object"&&typeof l=="object"?(r=P.deepClone(r),this.mergeContents(r,l)):r=l),o[h]=r}return new C(o,this.keys,this.overrides)}merge(...t){const n=P.deepClone(this.contents),o=P.deepClone(this.overrides),h=[...this.keys];for(const r of t){this.mergeContents(n,r.contents);for(const l of r.overrides){const[u]=o.filter(m=>_.equals(m.identifiers,l.identifiers));u?this.mergeContents(u.contents,l.contents):o.push(P.deepClone(l))}for(const l of r.keys)h.indexOf(l)===-1&&h.push(l)}return new C(n,h,o)}freeze(){return this.isFrozen=!0,this}mergeContents(t,n){for(const o of Object.keys(n)){if(o in t&&R.isObject(t[o])&&R.isObject(n[o])){this.mergeContents(t[o],n[o]);continue}t[o]=P.deepClone(n[o])}}checkAndFreeze(t){return this.isFrozen&&!Object.isFrozen(t)?P.deepFreeze(t):t}getContentsForOverrideIdentifer(t){for(const n of this.overrides)if(n.identifiers.indexOf(t)!==-1)return n.contents;return null}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(t,n){this.addKey(t),E.addToValueTree(this.contents,t,n,o=>{throw new Error(o)})}removeValue(t){this.removeKey(t)&&E.removeFromValueTree(this.contents,t)}addKey(t){let n=this.keys.length;for(let o=0;o<n;o++)t.indexOf(this.keys[o])===0&&(n=o);this.keys.splice(n,1,t)}removeKey(t){let n=this.keys.indexOf(t);return n!==-1?(this.keys.splice(n,1),!0):!1}}e.ConfigurationModel=C;class a extends C{constructor(){const t=E.getDefaultValues(),n=E.getConfigurationKeys(),o=[];for(const h of Object.keys(t))y.OVERRIDE_PROPERTY_PATTERN.test(h)&&o.push({identifiers:[y.overrideIdentifierFromKey(h).trim()],keys:Object.keys(t[h]),contents:E.toValuesTree(t[h],r=>console.error(`Conflict in default settings file: ${r}`))});super(t,n,o)}}e.DefaultConfigurationModel=a;class I{constructor(t,n){this._name=t,this._scopes=n,this._raw=null,this._configurationModel=null,this._parseErrors=[]}get configurationModel(){return this._configurationModel||new C}get errors(){return this._parseErrors}parseContent(t){if(!R.isUndefinedOrNull(t)){const n=this.doParseContent(t);this.parseRaw(n)}}parseRaw(t){this._raw=t;const n=this.doParseRaw(t);this._configurationModel=new C(n.contents,n.keys,n.overrides)}parse(){this._raw&&this.parseRaw(this._raw)}doParseContent(t){let n={},o=null,h=[],r=[],l=[];function u(p){Array.isArray(h)?h.push(p):o&&(h[o]=p)}let m={onObjectBegin:()=>{let p={};u(p),r.push(h),h=p,o=null},onObjectProperty:p=>{o=p},onObjectEnd:()=>{h=r.pop()},onArrayBegin:()=>{let p=[];u(p),r.push(h),h=p,o=null},onArrayEnd:()=>{h=r.pop()},onLiteralValue:u,onError:(p,d,O)=>{l.push({error:p,offset:d,length:O})}};if(t)try{v.visit(t,m),n=h[0]||{}}catch(p){console.error(`Error while parsing settings file ${this._name}: ${p}`),this._parseErrors=[p]}return n}doParseRaw(t){if(this._scopes){const r=D.Registry.as(y.Extensions.Configuration).getConfigurationProperties();t=this.filterByScope(t,r,!0,this._scopes)}const n=E.toValuesTree(t,r=>console.error(`Conflict in settings file ${this._name}: ${r}`)),o=Object.keys(t),h=E.toOverrides(t,r=>console.error(`Conflict in settings file ${this._name}: ${r}`));return{contents:n,keys:o,overrides:h}}filterByScope(t,n,o,h){const r={};for(let l in t)if(y.OVERRIDE_PROPERTY_PATTERN.test(l)&&o)r[l]=this.filterByScope(t[l],n,!1,h);else{const u=this.getScope(l,n);(u===void 0||h.indexOf(u)!==-1)&&(r[l]=t[l])}return r}getScope(t,n){const o=n[t];return o?typeof o.scope!="undefined"?o.scope:3:void 0}}e.ConfigurationModelParser=I;class w extends f.Disposable{constructor(t,n,o,h){super();this.userSettingsResource=t,this.scopes=n,this.fileService=h,this._onDidChange=this._register(new S.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new I(this.userSettingsResource.toString(),this.scopes),this._register(this.fileService.watch(o.dirname(this.userSettingsResource))),this._register(S.Event.filter(this.fileService.onDidFilesChange,r=>r.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const t=await this.fileService.readFile(this.userSettingsResource);return this.parser.parseContent(t.value.toString()||"{}"),this.parser.configurationModel}catch(t){return new C}}reprocess(){return this.parser.parse(),this.parser.configurationModel}}e.UserSettings=w;class b{constructor(t,n,o=new C,h=new C,r=new k.ResourceMap,l=new C,u=new k.ResourceMap,m=!0){this._defaultConfiguration=t,this._localUserConfiguration=n,this._remoteUserConfiguration=o,this._workspaceConfiguration=h,this._folderConfigurations=r,this._memoryConfiguration=l,this._memoryConfigurationByResource=u,this._freeze=m,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new k.ResourceMap,this._userConfiguration=null}getValue(t,n,o){return this.getConsolidateConfigurationModel(n,o).getValue(t)}updateValue(t,n,o={}){let h;o.resource?(h=this._memoryConfigurationByResource.get(o.resource),h||(h=new C,this._memoryConfigurationByResource.set(o.resource,h))):h=this._memoryConfiguration,n===void 0?h.removeValue(t):h.setValue(t,n),o.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(t,n,o){const h=this.getConsolidateConfigurationModel(n,o),r=this.getFolderConfigurationModelForResource(n.resource,o),l=n.resource?this._memoryConfigurationByResource.get(n.resource)||this._memoryConfiguration:this._memoryConfiguration,u=n.overrideIdentifier?this._defaultConfiguration.freeze().override(n.overrideIdentifier).getValue(t):this._defaultConfiguration.freeze().getValue(t),m=n.overrideIdentifier?this.userConfiguration.freeze().override(n.overrideIdentifier).getValue(t):this.userConfiguration.freeze().getValue(t),p=n.overrideIdentifier?this.localUserConfiguration.freeze().override(n.overrideIdentifier).getValue(t):this.localUserConfiguration.freeze().getValue(t),d=n.overrideIdentifier?this.remoteUserConfiguration.freeze().override(n.overrideIdentifier).getValue(t):this.remoteUserConfiguration.freeze().getValue(t),O=o?n.overrideIdentifier?this._workspaceConfiguration.freeze().override(n.overrideIdentifier).getValue(t):this._workspaceConfiguration.freeze().getValue(t):void 0,U=r?n.overrideIdentifier?r.freeze().override(n.overrideIdentifier).getValue(t):r.freeze().getValue(t):void 0,j=n.overrideIdentifier?l.override(n.overrideIdentifier).getValue(t):l.getValue(t),B=h.getValue(t),V=_.distinct(_.flatten(h.overrides.map(q=>q.identifiers))).filter(q=>h.getOverrideValue(t,q)!==void 0);return{defaultValue:u,userValue:m,userLocalValue:p,userRemoteValue:d,workspaceValue:O,workspaceFolderValue:U,memoryValue:j,value:B,default:u!==void 0?{value:this._defaultConfiguration.freeze().getValue(t),override:n.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(t,n.overrideIdentifier):void 0}:void 0,user:m!==void 0?{value:this.userConfiguration.freeze().getValue(t),override:n.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(t,n.overrideIdentifier):void 0}:void 0,userLocal:p!==void 0?{value:this.localUserConfiguration.freeze().getValue(t),override:n.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(t,n.overrideIdentifier):void 0}:void 0,userRemote:d!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(t),override:n.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(t,n.overrideIdentifier):void 0}:void 0,workspace:O!==void 0?{value:this._workspaceConfiguration.freeze().getValue(t),override:n.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(t,n.overrideIdentifier):void 0}:void 0,workspaceFolder:U!==void 0?{value:r==null?void 0:r.freeze().getValue(t),override:n.overrideIdentifier?r==null?void 0:r.freeze().getOverrideValue(t,n.overrideIdentifier):void 0}:void 0,memory:j!==void 0?{value:l.getValue(t),override:n.overrideIdentifier?l.getOverrideValue(t,n.overrideIdentifier):void 0}:void 0,overrideIdentifiers:V.length?V:void 0}}keys(t){const n=this.getFolderConfigurationModelForResource(void 0,t);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:n?n.freeze().keys:[]}}updateDefaultConfiguration(t){this._defaultConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(t){this._localUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(t){this._remoteUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(t){this._workspaceConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(t,n){this._folderConfigurations.set(t,n),this._foldersConsolidatedConfigurations.delete(t)}deleteFolderConfiguration(t){this.folderConfigurations.delete(t),this._foldersConsolidatedConfigurations.delete(t)}compareAndUpdateDefaultConfiguration(t,n){const o=n.filter(h=>y.OVERRIDE_PROPERTY_PATTERN.test(h)).map(h=>{const r=y.overrideIdentifierFromKey(h),l=this._defaultConfiguration.getKeysForOverrideIdentifier(r),u=t.getKeysForOverrideIdentifier(r),m=[...u.filter(p=>l.indexOf(p)===-1),...l.filter(p=>u.indexOf(p)===-1),...l.filter(p=>!P.equals(this._defaultConfiguration.override(r).getValue(p),t.override(r).getValue(p)))];return[r,m]});return this.updateDefaultConfiguration(t),{keys:n,overrides:o}}compareAndUpdateLocalUserConfiguration(t){const{added:n,updated:o,removed:h,overrides:r}=E.compare(this.localUserConfiguration,t),l=[...n,...o,...h];return l.length&&this.updateLocalUserConfiguration(t),{keys:l,overrides:r}}compareAndUpdateRemoteUserConfiguration(t){const{added:n,updated:o,removed:h,overrides:r}=E.compare(this.remoteUserConfiguration,t);let l=[...n,...o,...h];return l.length&&this.updateRemoteUserConfiguration(t),{keys:l,overrides:r}}compareAndUpdateWorkspaceConfiguration(t){const{added:n,updated:o,removed:h,overrides:r}=E.compare(this.workspaceConfiguration,t);let l=[...n,...o,...h];return l.length&&this.updateWorkspaceConfiguration(t),{keys:l,overrides:r}}compareAndUpdateFolderConfiguration(t,n){const o=this.folderConfigurations.get(t),{added:h,updated:r,removed:l,overrides:u}=E.compare(o,n);let m=[...h,...r,...l];return(m.length||!o)&&this.updateFolderConfiguration(t,n),{keys:m,overrides:u}}compareAndDeleteFolderConfiguration(t){const n=this.folderConfigurations.get(t);if(!n)throw new Error("Unknown folder");this.deleteFolderConfiguration(t);const{added:o,updated:h,removed:r,overrides:l}=E.compare(n,void 0);return{keys:[...o,...h,...r],overrides:l}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(t,n){let o=this.getConsolidatedConfigurationModelForResource(t,n);return t.overrideIdentifier?o.override(t.overrideIdentifier):o}getConsolidatedConfigurationModelForResource({resource:t},n){let o=this.getWorkspaceConsolidatedConfiguration();if(n&&t){const h=n.getFolder(t);h&&(o=this.getFolderConsolidatedConfiguration(h.uri)||o);const r=this._memoryConfigurationByResource.get(t);r&&(o=o.merge(r))}return o}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(t){let n=this._foldersConsolidatedConfigurations.get(t);if(!n){const o=this.getWorkspaceConsolidatedConfiguration(),h=this._folderConfigurations.get(t);h?(n=o.merge(h),this._freeze&&(n=n.freeze()),this._foldersConsolidatedConfigurations.set(t,n)):n=o}return n}getFolderConfigurationModelForResource(t,n){if(n&&t){const o=n.getFolder(t);if(o)return this._folderConfigurations.get(o.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((t,n)=>{const{contents:o,overrides:h,keys:r}=this._folderConfigurations.get(n);return t.push([n,{contents:o,overrides:h,keys:r}]),t},[])}}allKeys(){const t=new Set;return this._defaultConfiguration.freeze().keys.forEach(n=>t.add(n)),this.userConfiguration.freeze().keys.forEach(n=>t.add(n)),this._workspaceConfiguration.freeze().keys.forEach(n=>t.add(n)),this._folderConfigurations.forEach(n=>n.freeze().keys.forEach(o=>t.add(o))),[...t.values()]}getAllKeysForOverrideIdentifier(t){const n=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(t).forEach(o=>n.add(o)),this.userConfiguration.getKeysForOverrideIdentifier(t).forEach(o=>n.add(o)),this._workspaceConfiguration.getKeysForOverrideIdentifier(t).forEach(o=>n.add(o)),this._folderConfigurations.forEach(o=>o.getKeysForOverrideIdentifier(t).forEach(h=>n.add(h))),[...n.values()]}static parse(t){const n=this.parseConfigurationModel(t.defaults),o=this.parseConfigurationModel(t.user),h=this.parseConfigurationModel(t.workspace),r=t.folders.reduce((l,u)=>(l.set(A.URI.revive(u[0]),this.parseConfigurationModel(u[1])),l),new k.ResourceMap);return new b(n,o,new C,h,r,new C,new k.ResourceMap,!1)}static parseConfigurationModel(t){return new C(t.contents,t.keys,t.overrides).freeze()}}e.Configuration=b;function g(...i){if(i.length===0)return{keys:[],overrides:[]};if(i.length===1)return i[0];const t=new Set,n=new Map;for(const h of i)h.keys.forEach(r=>t.add(r)),h.overrides.forEach(([r,l])=>{const u=k.getOrSet(n,r,new Set);l.forEach(m=>u.add(m))});const o=[];return n.forEach((h,r)=>o.push([r,[...h.values()]])),{keys:[...t.values()],overrides:o}}e.mergeChanges=g;class c{constructor(t,n,o,h){this.change=t,this.previous=n,this.currentConfiguraiton=o,this.currentWorkspace=h,this._previousConfiguration=void 0;const r=new Set;t.keys.forEach(u=>r.add(u)),t.overrides.forEach(([,u])=>u.forEach(m=>r.add(m))),this.affectedKeys=[...r.values()];const l=new C;this.affectedKeys.forEach(u=>l.setValue(u,{})),this.affectedKeysTree=l.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=b.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(t,n){var o;if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,t)){if(n){const h=this.previousConfiguration?this.previousConfiguration.getValue(t,n,(o=this.previous)===null||o===void 0?void 0:o.workspace):void 0,r=this.currentConfiguraiton.getValue(t,n,this.currentWorkspace);return!P.equals(h,r)}return!0}return!1}doesAffectedKeysTreeContains(t,n){let o=E.toValuesTree({[n]:!0},()=>{}),h;for(;typeof o=="object"&&(h=Object.keys(o)[0]);){if(t=t[h],!t)return!1;o=o[h]}return!0}}e.ConfigurationChangeEvent=c;class s extends c{constructor(t,n,o,h){super({keys:t.allKeys(),overrides:[]},void 0,t,n);this.source=o,this.sourceConfig=h}}e.AllKeysConfigurationChangeEvent=s}),define(ee[158],te([0,1,35,39,2,25,157,3,5,18]),function(H,e,v,k,_,R,P,A,y,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ConfigurationService=void 0;class D extends _.Disposable{constructor(S,C){super();this.settingsResource=S,this._onDidChangeConfiguration=this._register(new A.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this.userConfiguration=this._register(new P.UserSettings(this.settingsResource,void 0,E.extUriBiasedIgnorePathCase,C)),this.configuration=new P.Configuration(new P.DefaultConfigurationModel,new P.ConfigurationModel),this.reloadConfigurationScheduler=this._register(new y.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this._register(v.Registry.as(k.Extensions.Configuration).onDidUpdateConfiguration(a=>this.onDidDefaultConfigurationChange(a))),this._register(this.userConfiguration.onDidChange(()=>this.reloadConfigurationScheduler.schedule()))}async initialize(){const S=await this.userConfiguration.loadConfiguration();this.configuration=new P.Configuration(new P.DefaultConfigurationModel,S)}getConfigurationData(){return this.configuration.toData()}getValue(S,C){const a=typeof S=="string"?S:void 0,I=R.isConfigurationOverrides(S)?S:R.isConfigurationOverrides(C)?C:{};return this.configuration.getValue(a,I,void 0)}updateValue(S,C,a,I){return Promise.reject(new Error("not supported"))}inspect(S){return this.configuration.inspect(S,{},void 0)}keys(){return this.configuration.keys(void 0)}async reloadConfiguration(){const S=await this.userConfiguration.loadConfiguration();this.onDidChangeUserConfiguration(S)}onDidChangeUserConfiguration(S){const C=this.configuration.toData(),a=this.configuration.compareAndUpdateLocalUserConfiguration(S);this.trigger(a,C,1)}onDidDefaultConfigurationChange(S){const C=this.configuration.toData(),a=this.configuration.compareAndUpdateDefaultConfiguration(new P.DefaultConfigurationModel,S);this.trigger(a,C,6)}trigger(S,C,a){const I=new P.ConfigurationChangeEvent(S,{data:C},this.configuration);I.source=a,I.sourceConfig=this.getTargetConfiguration(a),this._onDidChangeConfiguration.fire(I)}getTargetConfiguration(S){switch(S){case 6:return this.configuration.defaults.contents;case 1:return this.configuration.localUserConfiguration.contents}return{}}}e.ConfigurationService=D}),define(ee[159],te([0,1,25,13,99]),function(H,e,v,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestService=void 0;let R=class{constructor(A,y){this.configurationService=A,this.logService=y}request(A,y){return this.logService.trace("RequestService#request",A.url),A.proxyAuthorization||(A.proxyAuthorization=this.configurationService.getValue("http.proxyAuthorization")),_.request(A,y)}async resolveProxy(A){}};R=he([Y(0,v.IConfigurationService),Y(1,k.ILogService)],R),e.RequestService=R}),define(ee[40],te([0,1,117,4,39,35,22]),function(H,e,v,k,_,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.asJson=e.asText=e.isSuccess=e.IRequestService=void 0,e.IRequestService=k.createDecorator("requestService");function A(f){return f.res.statusCode&&f.res.statusCode>=200&&f.res.statusCode<300||f.res.statusCode===1223}e.isSuccess=A;function y(f){return f.res.statusCode===204}async function E(f){if(!A(f))throw new Error("Server returned "+f.res.statusCode);return y(f)?null:(await P.streamToBuffer(f.stream)).toString()}e.asText=E;async function D(f){if(!A(f))throw new Error("Server returned "+f.res.statusCode);if(y(f))return null;const C=(await P.streamToBuffer(f.stream)).toString();try{return JSON.parse(C)}catch(a){throw a.message+=`:
`+C,a}}e.asJson=D,R.Registry.as(_.Extensions.Configuration).registerConfiguration({id:"http",order:15,title:v.localize(0,null),type:"object",properties:{"http.proxy":{type:"string",pattern:"^https?://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:v.localize(1,null)},"http.proxyStrictSSL":{type:"boolean",default:!0,description:v.localize(2,null)},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:v.localize(3,null)},"http.proxySupport":{type:"string",enum:["off","on","override"],enumDescriptions:[v.localize(4,null),v.localize(5,null),v.localize(6,null)],default:"override",description:v.localize(7,null)},"http.systemCertificates":{type:"boolean",default:!0,description:v.localize(8,null)}}})}),define(ee[160],te([0,1,40,29,10,16]),function(H,e,v,k,_,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DownloadService=void 0;let P=class{constructor(y,E){this.requestService=y,this.fileService=E}async download(y,E,D=k.CancellationToken.None){if(y.scheme===R.Schemas.file||y.scheme===R.Schemas.vscodeRemote){await this.fileService.copy(y,E);return}const f={type:"GET",url:y.toString()},S=await this.requestService.request(f,D);if(S.res.statusCode===200)await this.fileService.writeFile(E,S.stream);else{const C=await v.asText(S);throw new Error(`Expected 200, got back ${S.res.statusCode} instead.

${C}`)}}};P=he([Y(0,v.IRequestService),Y(1,_.IFileService)],P),e.DownloadService=P}),define(ee[161],te([0,1,31,10,17,62,40,29,13,18,125,2]),function(H,e,v,k,_,R,P,A,y,E,D,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionTipsService=void 0;let S=class extends f.Disposable{constructor(a,I,w,b){super();this.fileService=a,this.productService=I,this.requestService=w,this.logService=b,this.allConfigBasedTips=new Map,this.productService.configBasedExtensionTips&&R.forEach(this.productService.configBasedExtensionTips,({value:g})=>this.allConfigBasedTips.set(g.configPath,g))}getConfigBasedTips(a){return this.getValidConfigBasedTips(a)}getAllWorkspacesTips(){return this.fetchWorkspacesTips()}async getImportantExecutableBasedTips(){return[]}async getOtherExecutableBasedTips(){return[]}async getValidConfigBasedTips(a){const I=[];for(const[w,b]of this.allConfigBasedTips)try{const g=await this.fileService.readFile(E.joinPath(a,w)),c=new Map;R.forEach(b.recommendations,({key:i,value:t})=>{if(_.isNonEmptyArray(t.remotes))for(const n of t.remotes)c.set(n,{extensionId:i,extensionName:t.name,configName:b.configName,important:!!t.important,isExtensionPack:!!t.isExtensionPack});else I.push({extensionId:i,extensionName:t.name,configName:b.configName,important:!!t.important,isExtensionPack:!!t.isExtensionPack})});const s=D.getDomainsOfRemotes(g.value.toString(),[...c.keys()]);for(const i of s){const t=c.get(i);t&&I.push(t)}}catch(g){}return I}async fetchWorkspacesTips(){var a,I;if(!((a=this.productService.extensionsGallery)===null||a===void 0?void 0:a.recommendationsUrl))return[];try{const w=await this.requestService.request({type:"GET",url:(I=this.productService.extensionsGallery)===null||I===void 0?void 0:I.recommendationsUrl},A.CancellationToken.None);if(w.res.statusCode!==200)return[];const b=await P.asJson(w);return b?b.workspaceRecommendations||[]:[]}catch(w){return this.logService.error(w),[]}}};S=he([Y(0,k.IFileService),Y(1,v.IProductService),Y(2,P.IRequestService),Y(3,y.ILogService)],S),e.ExtensionTipsService=S}),define(ee[44],te([0,1,30,22]),function(H,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getServiceMachineId=void 0;async function _(R,P,A){let y=A&&A.get("storage.serviceMachineId",0)||null;if(y)return y;try{const D=(await P.readFile(R.serviceMachineIdResource)).value.toString();y=v.isUUID(D)?D:null}catch(E){y=null}if(!y){y=v.generateUuid();try{await P.writeFile(R.serviceMachineIdResource,k.VSBuffer.fromString(y))}catch(E){}}return A&&A.store("storage.serviceMachineId",y,0,1),y}e.getServiceMachineId=_}),define(ee[19],te([0,1,4,3,2,15,67,5]),function(H,e,v,k,_,R,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.logStorage=e.InMemoryStorageService=e.AbstractStorageService=e.StorageTarget=e.StorageScope=e.WillSaveStateReason=e.IStorageService=e.IS_NEW_KEY=void 0,e.IS_NEW_KEY="__$__isNewStorageMarker";const y="__$__targetStorageMarker";e.IStorageService=v.createDecorator("storageService");var E;(function(I){I[I.NONE=0]="NONE",I[I.SHUTDOWN=1]="SHUTDOWN"})(E=e.WillSaveStateReason||(e.WillSaveStateReason={}));var D;(function(I){I[I.GLOBAL=0]="GLOBAL",I[I.WORKSPACE=1]="WORKSPACE"})(D=e.StorageScope||(e.StorageScope={}));var f;(function(I){I[I.USER=0]="USER",I[I.MACHINE=1]="MACHINE"})(f=e.StorageTarget||(e.StorageTarget={}));class S extends _.Disposable{constructor(w={flushInterval:S.DEFAULT_FLUSH_INTERVAL}){super();this.options=w,this._onDidChangeValue=this._register(new k.PauseableEmitter),this.onDidChangeValue=this._onDidChangeValue.event,this._onDidChangeTarget=this._register(new k.PauseableEmitter),this.onDidChangeTarget=this._onDidChangeTarget.event,this._onWillSaveState=this._register(new k.Emitter),this.onWillSaveState=this._onWillSaveState.event,this.flushWhenIdleScheduler=this._register(new A.RunOnceScheduler(()=>this.doFlushWhenIdle(),this.options.flushInterval)),this.runFlushWhenIdle=this._register(new _.MutableDisposable),this._workspaceKeyTargets=void 0,this._globalKeyTargets=void 0}doFlushWhenIdle(){this.runFlushWhenIdle.value=A.runWhenIdle(()=>{this.shouldFlushWhenIdle()&&this.flush(),this.flushWhenIdleScheduler.schedule()})}shouldFlushWhenIdle(){return!0}stopFlushWhenIdle(){_.dispose([this.runFlushWhenIdle,this.flushWhenIdleScheduler])}initialize(){return this.initializationPromise||(this.initializationPromise=(async()=>{await this.doInitialize(),this.flushWhenIdleScheduler.schedule()})()),this.initializationPromise}emitDidChangeValue(w,b){b===y?(w===0?this._globalKeyTargets=void 0:w===1&&(this._workspaceKeyTargets=void 0),this._onDidChangeTarget.fire({scope:w})):this._onDidChangeValue.fire({scope:w,key:b,target:this.getKeyTargets(w)[b]})}emitWillSaveState(w){this._onWillSaveState.fire({reason:w})}get(w,b,g){var c;return(c=this.getStorage(b))===null||c===void 0?void 0:c.get(w,g)}getBoolean(w,b,g){var c;return(c=this.getStorage(b))===null||c===void 0?void 0:c.getBoolean(w,g)}getNumber(w,b,g){var c;return(c=this.getStorage(b))===null||c===void 0?void 0:c.getNumber(w,g)}store(w,b,g,c){if(R.isUndefinedOrNull(b)){this.remove(w,g);return}this.withPausedEmitters(()=>{var s;this.updateKeyTarget(w,g,c),(s=this.getStorage(g))===null||s===void 0||s.set(w,b)})}remove(w,b){this.withPausedEmitters(()=>{var g;this.updateKeyTarget(w,b,void 0),(g=this.getStorage(b))===null||g===void 0||g.delete(w)})}withPausedEmitters(w){this._onDidChangeValue.pause(),this._onDidChangeTarget.pause();try{w()}finally{this._onDidChangeValue.resume(),this._onDidChangeTarget.resume()}}keys(w,b){const g=[],c=this.getKeyTargets(w);for(const s of Object.keys(c))c[s]===b&&g.push(s);return g}updateKeyTarget(w,b,g){var c,s;const i=this.getKeyTargets(b);typeof g=="number"?i[w]!==g&&(i[w]=g,(c=this.getStorage(b))===null||c===void 0||c.set(y,JSON.stringify(i))):typeof i[w]=="number"&&(delete i[w],(s=this.getStorage(b))===null||s===void 0||s.set(y,JSON.stringify(i)))}get workspaceKeyTargets(){return this._workspaceKeyTargets||(this._workspaceKeyTargets=this.loadKeyTargets(1)),this._workspaceKeyTargets}get globalKeyTargets(){return this._globalKeyTargets||(this._globalKeyTargets=this.loadKeyTargets(0)),this._globalKeyTargets}getKeyTargets(w){return w===0?this.globalKeyTargets:this.workspaceKeyTargets}loadKeyTargets(w){const b=this.get(y,w);if(b)try{return JSON.parse(b)}catch(g){}return Object.create(null)}isNew(w){return this.getBoolean(e.IS_NEW_KEY,w)===!0}async flush(){var w,b,g,c;this._onWillSaveState.fire({reason:E.NONE}),await A.Promises.settled([(b=(w=this.getStorage(0))===null||w===void 0?void 0:w.whenFlushed())!==null&&b!==void 0?b:Promise.resolve(),(c=(g=this.getStorage(1))===null||g===void 0?void 0:g.whenFlushed())!==null&&c!==void 0?c:Promise.resolve()])}async logStorage(){var w,b,g,c,s,i;const t=(b=(w=this.getStorage(0))===null||w===void 0?void 0:w.items)!==null&&b!==void 0?b:new Map,n=(c=(g=this.getStorage(1))===null||g===void 0?void 0:g.items)!==null&&c!==void 0?c:new Map;return a(t,n,(s=this.getLogDetails(0))!==null&&s!==void 0?s:"",(i=this.getLogDetails(1))!==null&&i!==void 0?i:"")}}e.AbstractStorageService=S,S.DEFAULT_FLUSH_INTERVAL=60*1e3;class C extends S{constructor(){super();this.globalStorage=new P.Storage(new P.InMemoryStorageDatabase),this.workspaceStorage=new P.Storage(new P.InMemoryStorageDatabase),this._register(this.workspaceStorage.onDidChangeStorage(w=>this.emitDidChangeValue(1,w))),this._register(this.globalStorage.onDidChangeStorage(w=>this.emitDidChangeValue(0,w)))}getStorage(w){return w===0?this.globalStorage:this.workspaceStorage}getLogDetails(w){return w===0?"inMemory (global)":"inMemory (workspace)"}async doInitialize(){}async migrate(w){}}e.InMemoryStorageService=C;async function a(I,w,b,g){const c=r=>{try{return JSON.parse(r)}catch(l){return r}},s=new Map,i=new Map;I.forEach((r,l)=>{s.set(l,r),i.set(l,c(r))});const t=new Map,n=new Map;w.forEach((r,l)=>{t.set(l,r),n.set(l,c(r))}),console.group(`Storage: Global (path: ${b})`);let o=[];s.forEach((r,l)=>{o.push({key:l,value:r})}),console.table(o),console.groupEnd(),console.log(i),console.group(`Storage: Workspace (path: ${g})`);let h=[];t.forEach((r,l)=>{h.push({key:l,value:r})}),console.table(h),console.groupEnd(),console.log(n)}e.logStorage=a}),define(ee[162],te([0,1,3,2,28,34,19,15]),function(H,e,v,k,_,R,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageManager=e.GlobalExtensionEnablementService=void 0;let y=class extends k.Disposable{constructor(f){super();this._onDidChangeEnablement=new v.Emitter,this.onDidChangeEnablement=this._onDidChangeEnablement.event,this.storageManger=this._register(new E(f)),this._register(this.storageManger.onDidChange(S=>this._onDidChangeEnablement.fire({extensions:S,source:"storage"})))}async enableExtension(f,S){return this._removeFromDisabledExtensions(f)?(this._onDidChangeEnablement.fire({extensions:[f],source:S}),!0):!1}async disableExtension(f,S){return this._addToDisabledExtensions(f)?(this._onDidChangeEnablement.fire({extensions:[f],source:S}),!0):!1}getDisabledExtensions(){return this._getExtensions(_.DISABLED_EXTENSIONS_STORAGE_PATH)}async getDisabledExtensionsAsync(){return this.getDisabledExtensions()}_addToDisabledExtensions(f){let S=this.getDisabledExtensions();return S.every(C=>!R.areSameExtensions(C,f))?(S.push(f),this._setDisabledExtensions(S),!0):!1}_removeFromDisabledExtensions(f){let S=this.getDisabledExtensions();for(let C=0;C<S.length;C++){const a=S[C];if(R.areSameExtensions(a,f))return S.splice(C,1),this._setDisabledExtensions(S),!0}return!1}_setDisabledExtensions(f){this._setExtensions(_.DISABLED_EXTENSIONS_STORAGE_PATH,f)}_getExtensions(f){return this.storageManger.get(f,0)}_setExtensions(f,S){this.storageManger.set(f,S,0)}};y=he([Y(0,P.IStorageService)],y),e.GlobalExtensionEnablementService=y;class E extends k.Disposable{constructor(f){super();this.storageService=f,this.storage=Object.create(null),this._onDidChange=this._register(new v.Emitter),this.onDidChange=this._onDidChange.event,this._register(f.onDidChangeValue(S=>this.onDidStorageChange(S)))}get(f,S){let C;return S===0?(A.isUndefinedOrNull(this.storage[f])&&(this.storage[f]=this._get(f,S)),C=this.storage[f]):C=this._get(f,S),JSON.parse(C)}set(f,S,C){let a=JSON.stringify(S.map(({id:w,uuid:b})=>({id:w,uuid:b})));this._get(f,C)!==a&&(C===0&&(S.length?this.storage[f]=a:delete this.storage[f]),this._set(f,S.length?a:void 0,C))}onDidStorageChange(f){if(f.scope===0&&!A.isUndefinedOrNull(this.storage[f.key])&&this._get(f.key,f.scope)!==this.storage[f.key]){const C=this.get(f.key,f.scope);delete this.storage[f.key];const a=this.get(f.key,f.scope),I=C.filter(b=>!a.some(g=>R.areSameExtensions(b,g))),w=a.filter(b=>!C.some(g=>R.areSameExtensions(g,b)));(I.length||w.length)&&this._onDidChange.fire([...I,...w])}}_get(f,S){return this.storageService.get(f,S,"[]")}_set(f,S,C){S?this.storageService.store(f,S,C,1):this.storageService.remove(f,C)}}e.StorageManager=E}),define(ee[163],te([0,1,3,2]),function(H,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageDatabaseChannelClient=void 0;class _ extends k.Disposable{constructor(E,D){super();this.channel=E,this.workspace=D}async getItems(){const E={workspace:this.workspace},D=await this.channel.call("getItems",E);return new Map(D)}updateItems(E){const D={workspace:this.workspace};return E.insert&&(D.insert=Array.from(E.insert.entries())),E.delete&&(D.delete=Array.from(E.delete.values())),this.channel.call("updateItems",D)}}class R extends _{constructor(E){super(E,void 0);this._onDidChangeItemsExternal=this._register(new v.Emitter),this.onDidChangeItemsExternal=this._onDidChangeItemsExternal.event,this.registerListeners()}registerListeners(){this._register(this.channel.listen("onDidChangeGlobalStorage")(E=>this.onDidChangeGlobalStorage(E)))}onDidChangeGlobalStorage(E){(Array.isArray(E.changed)||Array.isArray(E.deleted))&&this._onDidChangeItemsExternal.fire({changed:E.changed?new Map(E.changed):void 0,deleted:E.deleted?new Set(E.deleted):void 0})}async close(){this.dispose()}}class P extends _{constructor(E,D){super(E,D);this.onDidChangeItemsExternal=v.Event.None}async close(){const E={workspace:this.workspace};return this.channel.call("close",E)}}class A extends k.Disposable{constructor(E,D){super();this.channel=E,this.workspace=D,this._globalStorage=void 0,this._workspaceStorage=void 0}get globalStorage(){return this._globalStorage||(this._globalStorage=new R(this.channel)),this._globalStorage}get workspaceStorage(){return!this._workspaceStorage&&this.workspace&&(this._workspaceStorage=new P(this.channel,this.workspace)),this._workspaceStorage}}e.StorageDatabaseChannelClient=A}),define(ee[164],te([0,1,2,19,67,5,148,163,18]),function(H,e,v,k,_,R,P,A,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeStorageService2=void 0;class E extends k.AbstractStorageService{constructor(f,S,C){super();this.mainProcessService=S,this.environmentService=C,this.workspaceStorage=void 0,this.workspaceStorageId=void 0,this.workspaceStorageDisposable=this._register(new v.MutableDisposable),this.globalStorage=this.createGlobalStorage(),this.workspaceStorage=this.createWorkspaceStorage(f)}createGlobalStorage(){const f=new A.StorageDatabaseChannelClient(this.mainProcessService.getChannel("storage"),void 0),S=new _.Storage(f.globalStorage);return this._register(S.onDidChangeStorage(C=>this.emitDidChangeValue(0,C))),S}createWorkspaceStorage(f){const S=new A.StorageDatabaseChannelClient(this.mainProcessService.getChannel("storage"),f);if(S.workspaceStorage){const C=new _.Storage(S.workspaceStorage);return this.workspaceStorageDisposable.value=C.onDidChangeStorage(a=>this.emitDidChangeValue(1,a)),this.workspaceStorageId=f==null?void 0:f.id,C}else{this.workspaceStorageDisposable.clear(),this.workspaceStorageId=void 0;return}}async doInitialize(){var f,S;P.mark("code/willInitStorage");try{await R.Promises.settled([this.globalStorage.init(),(S=(f=this.workspaceStorage)===null||f===void 0?void 0:f.init())!==null&&S!==void 0?S:Promise.resolve()])}finally{P.mark("code/didInitStorage")}}getStorage(f){return f===0?this.globalStorage:this.workspaceStorage}getLogDetails(f){return f===0?this.environmentService.globalStorageHome.fsPath:this.workspaceStorageId?`${y.joinPath(this.environmentService.workspaceStorageHome,this.workspaceStorageId,"state.vscdb").fsPath} [!!! Experimental Main Storage !!!]`:void 0}async close(){var f,S;this.stopFlushWhenIdle(),this.emitWillSaveState(k.WillSaveStateReason.SHUTDOWN),await R.Promises.settled([this.globalStorage.close(),(S=(f=this.workspaceStorage)===null||f===void 0?void 0:f.close())!==null&&S!==void 0?S:Promise.resolve()])}async migrate(f){var S;const C=this.workspaceStorage,a=(S=C==null?void 0:C.items)!==null&&S!==void 0?S:new Map;C&&(await C.close(),C.dispose()),this.workspaceStorage=this.createWorkspaceStorage(f),await this.workspaceStorage.init();for(const[I,w]of a)this.workspaceStorage.set(I,w)}}e.NativeStorageService2=E}),define(ee[165],te([0,1,6,51,30,7]),function(H,e,v,k,_,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveCommonProperties=void 0;async function P(y,E,D,f,S,C,a,I,w){const b=Object.create(null);b["common.machineId"]=C,b.sessionID=_.generateUuid()+Date.now(),b.commitHash=f,b.version=S,b["common.platformVersion"]=(E||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),b["common.platform"]=v.PlatformToString(v.platform),b["common.nodePlatform"]=k.platform,b["common.nodeArch"]=D,b["common.product"]=w||"desktop";const g=A(a||[]);g&&(b["common.msftInternal"]=g);let c=0;const s=Date.now();Object.defineProperties(b,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-s,enumerable:!0},"common.sequence":{get:()=>c++,enumerable:!0}}),v.isLinuxSnap&&(b["common.snap"]="true");try{const i=await y.readFile(R.URI.file(I));b["common.source"]=i.value.toString().slice(0,30)}catch(i){}return b}e.resolveCommonProperties=P;function A(y){const E=k.env.USERDNSDOMAIN;if(!E)return!1;const D=E.toLowerCase();return y.some(f=>D===f)}}),define(ee[26],te([0,1,4]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.machineIdKey=e.lastSessionDateStorageKey=e.firstSessionDateStorageKey=e.currentSessionDateStorageKey=e.instanceStorageKey=e.ITelemetryService=void 0,e.ITelemetryService=v.createDecorator("telemetryService"),e.instanceStorageKey="telemetry.instanceId",e.currentSessionDateStorageKey="telemetry.currentSessionDate",e.firstSessionDateStorageKey="telemetry.firstSessionDate",e.lastSessionDateStorageKey="telemetry.lastSessionDate",e.machineIdKey="telemetry.machineId"}),define(ee[166],te([0,1,38,91,69,27,8,32,93,36,6,7,26,50,16,10,23]),function(H,e,v,k,_,R,P,A,y,E,D,f,S,C,a,I,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiagnosticsService=e.collectLaunchConfigs=e.getMachineInfo=e.collectWorkspaceStats=void 0;async function b(t,n){const o=[{tag:"grunt.js",filePattern:/^gruntfile\.js$/i},{tag:"gulp.js",filePattern:/^gulpfile\.js$/i},{tag:"tsconfig.json",filePattern:/^tsconfig\.json$/i},{tag:"package.json",filePattern:/^package\.json$/i},{tag:"jsconfig.json",filePattern:/^jsconfig\.json$/i},{tag:"tslint.json",filePattern:/^tslint\.json$/i},{tag:"eslint.json",filePattern:/^eslint\.json$/i},{tag:"tasks.json",filePattern:/^tasks\.json$/i},{tag:"launch.json",filePattern:/^launch\.json$/i},{tag:"settings.json",filePattern:/^settings\.json$/i},{tag:"webpack.config.js",filePattern:/^webpack\.config\.js$/i},{tag:"project.json",filePattern:/^project\.json$/i},{tag:"makefile",filePattern:/^makefile$/i},{tag:"sln",filePattern:/^.+\.sln$/i},{tag:"csproj",filePattern:/^.+\.csproj$/i},{tag:"cmake",filePattern:/^.+\.cmake$/i},{tag:"github-actions",filePattern:/^.+\.yml$/i,relativePathPattern:/^\.github(?:\/|\\)workflows$/i}],h=new Map,r=new Map,l=2e4;function u(d,O,U,j){const B=O.substring(d.length+1);return new Promise(async V=>{var q,G,Q;let $;try{$=await w.readdir(O,{withFileTypes:!0})}catch(L){V();return}if(j.count>=l){j.count+=$.length,j.maxReached=!0,V();return}let N=$.length;if(N===0){V();return}let T=$;j.count+$.length>l&&(j.maxReached=!0,N=l-j.count,T=$.slice(0,N)),j.count+=$.length;for(const L of T)if(L.isDirectory()){if(U.includes(L.name)||await u(d,P.join(O,L.name),U,j),--N==0){V();return}}else{const F=L.name.lastIndexOf(".");if(F>=0){const M=L.name.substring(F+1);M&&h.set(M,((q=h.get(M))!==null&&q!==void 0?q:0)+1)}for(const M of o)((G=M.relativePathPattern)===null||G===void 0?void 0:G.test(B))!==!1&&M.filePattern.test(L.name)&&r.set(M.tag,((Q=r.get(M.tag))!==null&&Q!==void 0?Q:0)+1);if(--N==0){V();return}}})}const m={count:0,maxReached:!1};await u(t,t,n,m);const p=await s(t);return{configFiles:g(r),fileTypes:g(h),fileCount:m.count,maxFilesReached:m.maxReached,launchConfigFiles:p}}e.collectWorkspaceStats=b;function g(t){return[...C.Iterable.map(t.entries(),([n,o])=>({name:n,count:o}))].sort((n,o)=>o.count-n.count)}function c(){const t={os:`${v.type()} ${v.arch()} ${v.release()}`,memory:`${(v.totalmem()/I.ByteSize.GB).toFixed(2)}GB (${(v.freemem()/I.ByteSize.GB).toFixed(2)}GB free)`,vmHint:`${Math.round(k.virtualMachineHint.value()*100)}%`},n=v.cpus();return n&&n.length>0&&(t.cpus=`${n[0].model} (${n.length} x ${n[0].speed})`),t}e.getMachineInfo=c;function s(t){let n=new Map,o=P.join(t,".vscode","launch.json");return new Promise((h,r)=>{R.exists(o,l=>{if(l)R.readFile(o,(u,m)=>{if(u)return h([]);const p=[],d=A.parse(m.toString(),p);if(p.length)return console.log(`Unable to parse ${o}`),h([]);if(A.getNodeType(d)==="object"&&d.configurations)for(const O of d.configurations){const U=O.type;U&&(n.has(U)?n.set(U,n.get(U)+1):n.set(U,1))}return h(g(n))});else return h([])})})}e.collectLaunchConfigs=s;let i=class{constructor(n){this.telemetryService=n}formatMachineInfo(n){const o=[];return o.push(`OS Version:       ${n.os}`),o.push(`CPUs:             ${n.cpus}`),o.push(`Memory (System):  ${n.memory}`),o.push(`VM:               ${n.vmHint}`),o.join(`
`)}formatEnvironment(n){const o=[];o.push(`Version:          ${E.default.nameShort} ${E.default.version} (${E.default.commit||"Commit unknown"}, ${E.default.date||"Date unknown"})`),o.push(`OS Version:       ${v.type()} ${v.arch()} ${v.release()}`);const h=v.cpus();return h&&h.length>0&&o.push(`CPUs:             ${h[0].model} (${h.length} x ${h[0].speed})`),o.push(`Memory (System):  ${(v.totalmem()/I.ByteSize.GB).toFixed(2)}GB (${(v.freemem()/I.ByteSize.GB).toFixed(2)}GB free)`),D.isWindows||o.push(`Load (avg):       ${v.loadavg().map(r=>Math.round(r)).join(", ")}`),o.push(`VM:               ${Math.round(k.virtualMachineHint.value()*100)}%`),o.push(`Screen Reader:    ${n.screenReader?"yes":"no"}`),o.push(`Process Argv:     ${n.mainArguments.join(" ")}`),o.push(`GPU Status:       ${this.expandGPUFeatures(n.gpuFeatureStatus)}`),o.join(`
`)}async getPerformanceInfo(n,o){return Promise.all([y.listProcesses(n.mainPID),this.formatWorkspaceMetadata(n)]).then(async h=>{let[r,l]=h,u=this.formatProcessList(n,r);return o.forEach(m=>{if(_.isRemoteDiagnosticError(m))u+=`
${m.errorMessage}`,l+=`
${m.errorMessage}`;else if(u+=`

Remote: ${m.hostName}`,m.processes&&(u+=`
${this.formatProcessList(n,m.processes)}`),m.workspaceMetadata){l+=`
|  Remote: ${m.hostName}`;for(const p of Object.keys(m.workspaceMetadata)){const d=m.workspaceMetadata[p];let O=`${d.fileCount} files`;d.maxFilesReached&&(O=`more than ${O}`),l+=`|    Folder (${p}): ${O}`,l+=this.formatWorkspaceStats(d)}}}),{processInfo:u,workspaceInfo:l}})}async getSystemInfo(n,o){const{memory:h,vmHint:r,os:l,cpus:u}=c(),m={os:l,memory:h,cpus:u,vmHint:r,processArgs:`${n.mainArguments.join(" ")}`,gpuStatus:n.gpuFeatureStatus,screenReader:`${n.screenReader?"yes":"no"}`,remoteData:o};return D.isWindows||(m.load=`${v.loadavg().map(p=>Math.round(p)).join(", ")}`),D.isLinux&&(m.linuxEnv={desktopSession:process.env.DESKTOP_SESSION,xdgSessionDesktop:process.env.XDG_SESSION_DESKTOP,xdgCurrentDesktop:process.env.XDG_CURRENT_DESKTOP,xdgSessionType:process.env.XDG_SESSION_TYPE}),Promise.resolve(m)}async getDiagnostics(n,o){const h=[];return y.listProcesses(n.mainPID).then(async r=>(h.push(""),h.push(this.formatEnvironment(n)),h.push(""),h.push(this.formatProcessList(n,r)),n.windows.some(l=>l.folderURIs&&l.folderURIs.length>0&&!l.remoteAuthority)&&(h.push(""),h.push("Workspace Stats: "),h.push(await this.formatWorkspaceMetadata(n))),o.forEach(l=>{if(_.isRemoteDiagnosticError(l))h.push(`
${l.errorMessage}`);else if(h.push(`

`),h.push(`Remote:           ${l.hostName}`),h.push(this.formatMachineInfo(l.machineInfo)),l.processes&&h.push(this.formatProcessList(n,l.processes)),l.workspaceMetadata)for(const u of Object.keys(l.workspaceMetadata)){const m=l.workspaceMetadata[u];let p=`${m.fileCount} files`;m.maxFilesReached&&(p=`more than ${p}`),h.push(`Folder (${u}): ${p}`),h.push(this.formatWorkspaceStats(m))}}),h.push(""),h.push(""),h.join(`
`)))}formatWorkspaceStats(n){const o=[],h=60;let r=0;const l=(d,O)=>{const U=` ${d}(${O})`;r+U.length>h?(o.push(u),u="|                 ",r=u.length):r+=U.length,u+=U};let u="|      File types:";const m=10;let p=n.fileTypes.length>m?m:n.fileTypes.length;for(let d=0;d<p;d++){const O=n.fileTypes[d];l(O.name,O.count)}if(o.push(u),n.configFiles.length>=0&&(u="|      Conf files:",r=0,n.configFiles.forEach(d=>{l(d.name,d.count)}),o.push(u)),n.launchConfigFiles.length>0){let d="|      Launch Configs:";n.launchConfigFiles.forEach(O=>{d+=O.count>1?` ${O.name}(${O.count})`:` ${O.name}`}),o.push(d)}return o.join(`
`)}expandGPUFeatures(n){const o=Math.max(...Object.keys(n).map(h=>h.length));return Object.keys(n).map(h=>`${h}:  ${" ".repeat(o-h.length)}  ${n[h]}`).join(`
                  `)}formatWorkspaceMetadata(n){const o=[],h=[];return n.windows.forEach(r=>{r.folderURIs.length===0||!!r.remoteAuthority||(o.push(`|  Window (${r.title})`),r.folderURIs.forEach(l=>{const u=f.URI.revive(l);if(u.scheme===a.Schemas.file){const m=u.fsPath;h.push(b(m,["node_modules",".git"]).then(p=>{let d=`${p.fileCount} files`;p.maxFilesReached&&(d=`more than ${d}`),o.push(`|    Folder (${P.basename(m)}): ${d}`),o.push(this.formatWorkspaceStats(p))}).catch(p=>{o.push(`|      Error: Unable to collect workspace stats for folder ${m} (${p.toString()})`)}))}else o.push(`|    Folder (${u.toString()}): Workspace stats not available.`)}))}),Promise.all(h).then(r=>o.join(`
`)).catch(r=>`Unable to collect workspace stats: ${r}`)}formatProcessList(n,o){const h=new Map;n.windows.forEach(l=>h.set(l.pid,l.title));const r=[];return r.push("CPU %	Mem MB	   PID	Process"),o&&this.formatProcessItem(n.mainPID,h,r,o,0),r.join(`
`)}formatProcessItem(n,o,h,r,l){const u=l===0;let m;u?m=r.pid===n?`${E.default.applicationName} main`:"remote agent":(m=`${"  ".repeat(l)} ${r.name}`,r.name==="window"&&(m=`${m} (${o.get(r.pid)})`));const p=process.platform==="win32"?r.mem:v.totalmem()*(r.mem/100);h.push(`${r.load.toFixed(0).padStart(5," ")}	${(p/I.ByteSize.MB).toFixed(0).padStart(6," ")}	${r.pid.toFixed(0).padStart(6," ")}	${m}`),Array.isArray(r.children)&&r.children.forEach(d=>this.formatProcessItem(n,o,h,d,l+1))}async reportWorkspaceStats(n){for(const{uri:o}of n.folders){const h=f.URI.revive(o);if(h.scheme===a.Schemas.file){const r=h.fsPath;try{const l=await b(r,["node_modules",".git"]);this.telemetryService.publicLog2("workspace.stats",{"workspace.id":n.telemetryId,rendererSessionId:n.rendererSessionId}),l.fileTypes.forEach(u=>{this.telemetryService.publicLog2("workspace.stats.file",{rendererSessionId:n.rendererSessionId,type:u.name,count:u.count})}),l.launchConfigFiles.forEach(u=>{this.telemetryService.publicLog2("workspace.stats.launchConfigFile",{rendererSessionId:n.rendererSessionId,type:u.name,count:u.count})}),l.configFiles.forEach(u=>{this.telemetryService.publicLog2("workspace.stats.configFiles",{rendererSessionId:n.rendererSessionId,type:u.name,count:u.count})})}catch(l){}}}}};i=he([Y(0,S.ITelemetryService)],i),e.DiagnosticsService=i}),define(ee[167],te([0,1,14,28,34,24,26,40,68,9,29,13,10,7,31,19,44,4,18]),function(H,e,v,k,_,R,P,A,y,E,D,f,S,C,a,I,w,b,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveMarketplaceHeaders=e.ExtensionGalleryService=void 0;var c;(function(T){T[T.None=0]="None",T[T.IncludeVersions=1]="IncludeVersions",T[T.IncludeFiles=2]="IncludeFiles",T[T.IncludeCategoryAndTags=4]="IncludeCategoryAndTags",T[T.IncludeSharedAccounts=8]="IncludeSharedAccounts",T[T.IncludeVersionProperties=16]="IncludeVersionProperties",T[T.ExcludeNonValidated=32]="ExcludeNonValidated",T[T.IncludeInstallationTargets=64]="IncludeInstallationTargets",T[T.IncludeAssetUri=128]="IncludeAssetUri",T[T.IncludeStatistics=256]="IncludeStatistics",T[T.IncludeLatestVersionOnly=512]="IncludeLatestVersionOnly",T[T.Unpublished=4096]="Unpublished"})(c||(c={}));function s(...T){return String(T.reduce((L,F)=>L|F,0))}var i;(function(T){T[T.Tag=1]="Tag",T[T.ExtensionId=4]="ExtensionId",T[T.Category=5]="Category",T[T.ExtensionName=7]="ExtensionName",T[T.Target=8]="Target",T[T.Featured=9]="Featured",T[T.SearchText=10]="SearchText",T[T.ExcludeWithFlags=12]="ExcludeWithFlags"})(i||(i={}));const t={Icon:"Microsoft.VisualStudio.Services.Icons.Default",Details:"Microsoft.VisualStudio.Services.Content.Details",Changelog:"Microsoft.VisualStudio.Services.Content.Changelog",Manifest:"Microsoft.VisualStudio.Code.Manifest",VSIX:"Microsoft.VisualStudio.Services.VSIXPackage",License:"Microsoft.VisualStudio.Services.Content.License",Repository:"Microsoft.VisualStudio.Services.Links.Source"},n={Dependency:"Microsoft.VisualStudio.Code.ExtensionDependencies",ExtensionPack:"Microsoft.VisualStudio.Code.ExtensionPack",Engine:"Microsoft.VisualStudio.Code.Engine",LocalizedLanguages:"Microsoft.VisualStudio.Code.LocalizedLanguages",WebExtension:"Microsoft.VisualStudio.Code.WebExtension"},h={pageNumber:1,pageSize:10,sortBy:0,sortOrder:0,flags:c.None,criteria:[],assetTypes:[]};class r{constructor(L=h){this.state=L}get pageNumber(){return this.state.pageNumber}get pageSize(){return this.state.pageSize}get sortBy(){return this.state.sortBy}get sortOrder(){return this.state.sortOrder}get flags(){return this.state.flags}withPage(L,F=this.state.pageSize){return new r(Object.assign(Object.assign({},this.state),{pageNumber:L,pageSize:F}))}withFilter(L,...F){const M=[...this.state.criteria,...F.length?F.map(z=>({filterType:L,value:z})):[{filterType:L}]];return new r(Object.assign(Object.assign({},this.state),{criteria:M}))}withSortBy(L){return new r(Object.assign(Object.assign({},this.state),{sortBy:L}))}withSortOrder(L){return new r(Object.assign(Object.assign({},this.state),{sortOrder:L}))}withFlags(...L){return new r(Object.assign(Object.assign({},this.state),{flags:L.reduce((F,M)=>F|M,0)}))}withAssetTypes(...L){return new r(Object.assign(Object.assign({},this.state),{assetTypes:L}))}get raw(){const{criteria:L,pageNumber:F,pageSize:M,sortBy:z,sortOrder:x,flags:K,assetTypes:X}=this.state;return{filters:[{criteria:L,pageNumber:F,pageSize:M,sortBy:z,sortOrder:x}],assetTypes:X,flags:K}}get searchText(){const L=this.state.criteria.filter(F=>F.filterType===i.SearchText)[0];return L&&L.value?L.value:""}get telemetryData(){return{filterTypes:this.state.criteria.map(L=>String(L.filterType)),sortBy:String(this.sortBy),sortOrder:String(this.sortOrder)}}}function l(T,L){const F=(T||[]).filter(M=>M.statisticName===L)[0];return F?F.value:0}function u(T){const L="Microsoft.VisualStudio.Code.Translation.";return T.files.filter(M=>M.assetType.indexOf(L)===0).reduce((M,z)=>{const x=O(T,z.assetType);return x&&M.push([z.assetType.substring(L.length),x]),M},[])}function m(T){if(T.properties){const L=T.properties.filter(z=>z.key===t.Repository),F=new RegExp("((git|ssh|http(s)?)|(git@[w.]+))(:(//)?)([w.@:/-~]+)(.git)(/)?"),M=L.filter(z=>F.test(z.value))[0];return M?{uri:M.value,fallbackUri:M.value}:null}return O(T,t.Repository)}function p(T){return{uri:`${T.fallbackAssetUri}/${t.VSIX}?redirect=true`,fallbackUri:`${T.fallbackAssetUri}/${t.VSIX}`}}function d(T){const L=O(T,t.Icon);if(L)return L;const F=k.DefaultIconPath;return{uri:F,fallbackUri:F}}function O(T,L){return T.files.filter(M=>M.assetType===L)[0]?{uri:`${T.assetUri}/${L}`,fallbackUri:`${T.fallbackAssetUri}/${L}`}:null}function U(T,L){const F=T.properties?T.properties.filter(z=>z.key===L):[],M=F.length>0&&F[0].value;return M?M.split(",").map(z=>_.adoptToGalleryExtensionId(z)):[]}function j(T){const L=T.properties?T.properties.filter(F=>F.key===n.Engine):[];return L.length>0&&L[0].value||""}function B(T){const L=T.properties?T.properties.filter(M=>M.key===n.LocalizedLanguages):[],F=L.length>0&&L[0].value||"";return F?F.split(","):[]}function V(T){return T.indexOf("preview")!==-1}function q(T){const L=T.properties?T.properties.find(F=>F.key===n.WebExtension):void 0;return!!L&&L.value==="true"}function G(T){return T.files.some(L=>L.assetType.startsWith("Microsoft.VisualStudio.Code.WebResources"))?g.joinPath(C.URI.parse(T.assetUri),"Microsoft.VisualStudio.Code.WebResources","extension"):void 0}function Q(T,L,F,M,z){const x={manifest:O(L,t.Manifest),readme:O(L,t.Details),changelog:O(L,t.Changelog),license:O(L,t.License),repository:m(L),download:p(L),icon:d(L),coreTranslations:u(L)};return{identifier:{id:_.getGalleryExtensionId(T.publisher.publisherName,T.extensionName),uuid:T.extensionId},name:T.extensionName,version:L.version,date:L.lastUpdated,displayName:T.displayName,publisherId:T.publisher.publisherId,publisher:T.publisher.publisherName,publisherDisplayName:T.publisher.displayName,description:T.shortDescription||"",installCount:l(T.statistics,"install"),rating:l(T.statistics,"averagerating"),ratingCount:l(T.statistics,"ratingcount"),assetUri:C.URI.parse(L.assetUri),webResource:G(L),assetTypes:L.files.map(({assetType:K})=>K),assets:x,properties:{dependencies:U(L,n.Dependency),extensionPack:U(L,n.ExtensionPack),engine:j(L),localizedLanguages:B(L),webExtension:q(L)},telemetryData:{index:(M.pageNumber-1)*M.pageSize+F,searchText:M.searchText,querySource:z},preview:V(T.flags)}}let $=class{constructor(L,F,M,z,x,K,X){this.requestService=L,this.logService=F,this.environmentService=M,this.telemetryService=z,this.fileService=x,this.productService=K;const Z=K.extensionsGallery;this.extensionsGalleryUrl=Z&&Z.serviceUrl,this.extensionsControlUrl=Z&&Z.controlUrl,this.commonHeadersPromise=N(K.version,this.environmentService,this.fileService,X)}api(L=""){return`${this.extensionsGalleryUrl}${L}`}isEnabled(){return!!this.extensionsGalleryUrl}async getExtensions(L,F){const M=[];let{total:z,firstPage:x,getPage:K}=await this.query({names:L,pageSize:L.length},F);M.push(...x);for(let X=1;M.length<z&&(x=await K(X,F),x.length);X++)M.push(...x);return M}async getCompatibleExtension(L,F){const M=await this.getCompatibleExtensionByEngine(L,F);return(M==null?void 0:M.properties.webExtension)?M.webResource?M:null:M}async getCompatibleExtensionByEngine(L,F){const M=k.isIExtensionIdentifier(L)?null:L;if(M&&M.properties.engine&&y.isEngineValid(M.properties.engine,this.productService.version))return M;const{id:z,uuid:x}=M?M.identifier:L;let K=new r().withFlags(c.IncludeAssetUri,c.IncludeStatistics,c.IncludeFiles,c.IncludeVersionProperties).withPage(1,1).withFilter(i.Target,"Microsoft.VisualStudio.Code");x?K=K.withFilter(i.ExtensionId,x):K=K.withFilter(i.ExtensionName,z);const{galleryExtensions:X}=await this.queryGallery(K,D.CancellationToken.None),[Z]=X;if(!Z||!Z.versions.length)return null;if(F){const ae=Z.versions.filter(de=>de.version===F)[0];if(ae){const de=Q(Z,ae,0,K);if(de.properties.engine&&y.isEngineValid(de.properties.engine,this.productService.version))return de}return null}const ne=await this.getLastValidExtensionVersion(Z,Z.versions);return ne?Q(Z,ne,0,K):null}async query(L,F){const M=D.CancellationToken.isCancellationToken(L)?{}:L,z=D.CancellationToken.isCancellationToken(L)?L:F;if(!this.isEnabled())throw new Error("No extension gallery service configured.");let x=M.text||"";const K=R.getOrDefault(M,me=>me.pageSize,50);let X=new r().withFlags(c.IncludeLatestVersionOnly,c.IncludeAssetUri,c.IncludeStatistics,c.IncludeFiles,c.IncludeVersionProperties).withPage(1,K).withFilter(i.Target,"Microsoft.VisualStudio.Code");x?(x=x.replace(/\bcategory:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(me,be,Ie)=>(X=X.withFilter(i.Category,Ie||be),"")),x=x.replace(/\btag:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(me,be,Ie)=>(X=X.withFilter(i.Tag,Ie||be),"")),x=x.replace(/\bfeatured(\s+|\b|$)/g,()=>(X=X.withFilter(i.Featured),"")),x=x.trim(),x&&(x=x.length<200?x:x.substring(0,200),X=X.withFilter(i.SearchText,x)),X=X.withSortBy(0)):M.ids?X=X.withFilter(i.ExtensionId,...M.ids):M.names?X=X.withFilter(i.ExtensionName,...M.names):X=X.withSortBy(4),typeof M.sortBy=="number"&&(X=X.withSortBy(M.sortBy)),typeof M.sortOrder=="number"&&(X=X.withSortOrder(M.sortOrder));const{galleryExtensions:Z,total:ne}=await this.queryGallery(X,z),ae=Z.map((me,be)=>Q(me,me.versions[0],be,X,M.source)),de=async(me,be)=>{if(be.isCancellationRequested)throw v.canceled();const Ie=X.withPage(me+1),{galleryExtensions:Ae}=await this.queryGallery(Ie,be);return Ae.map((Oe,ke)=>Q(Oe,Oe.versions[0],ke,Ie,M.source))};return{firstPage:ae,total:ne,pageSize:X.pageSize,getPage:de}}async queryGallery(L,F){if(!this.isEnabled())throw new Error("No extension gallery service configured.");L=L.withFlags(L.flags,c.ExcludeNonValidated).withFilter(i.ExcludeWithFlags,s(c.Unpublished));const M=await this.commonHeadersPromise,z=JSON.stringify(L.raw),x=Object.assign(Object.assign({},M),{"Content-Type":"application/json",Accept:"application/json;api-version=3.0-preview.1","Accept-Encoding":"gzip","Content-Length":String(z.length)}),K=new Date().getTime();let X,Z,ne=0;try{if(X=await this.requestService.request({type:"POST",url:this.api("/extensionquery"),data:z,headers:x},F),X.res.statusCode&&X.res.statusCode>=400&&X.res.statusCode<500)return{galleryExtensions:[],total:ne};const ae=await A.asJson(X);if(ae){const de=ae.results[0],me=de.extensions,be=de.resultMetadata&&de.resultMetadata.filter(Ie=>Ie.metadataType==="ResultCount")[0];return ne=be&&be.metadataItems.filter(Ie=>Ie.name==="TotalCount")[0].count||0,{galleryExtensions:me,total:ne}}return{galleryExtensions:[],total:ne}}catch(ae){throw Z=ae,ae}finally{this.telemetryService.publicLog2("galleryService:query",Object.assign(Object.assign({},L.telemetryData),{requestBodySize:String(z.length),duration:new Date().getTime()-K,success:!!X&&A.isSuccess(X),responseBodySize:X==null?void 0:X.res.headers["Content-Length"],statusCode:X?String(X.res.statusCode):void 0,errorCode:Z?v.isPromiseCanceledError(Z)?"canceled":v.getErrorMessage(Z).startsWith("XHR timeout")?"timeout":"failed":void 0,count:String(ne)}))}}async reportStatistic(L,F,M,z){if(!!this.isEnabled()){const x=await this.commonHeadersPromise,K=Object.assign(Object.assign({},x),{Accept:"*/*;api-version=4.0-preview.1"});try{await this.requestService.request({type:"POST",url:this.api(`/publishers/${L}/extensions/${F}/${M}/stats?statType=${z}`),headers:K},D.CancellationToken.None)}catch(X){}}}async download(L,F,M){this.logService.trace("ExtensionGalleryService#download",L.identifier.id);const z=_.getGalleryExtensionTelemetryData(L),x=new Date().getTime(),K=ae=>this.telemetryService.publicLog("galleryService:downloadVSIX",Object.assign(Object.assign({},z),{duration:ae})),X=M===1?"install":M===2?"update":"",Z=X?{uri:`${L.assets.download.uri}&${X}=true`,fallbackUri:`${L.assets.download.fallbackUri}?${X}=true`}:L.assets.download,ne=await this.getAsset(Z);await this.fileService.writeFile(F,ne.stream),K(new Date().getTime()-x)}async getReadme(L,F){if(L.assets.readme){const M=await this.getAsset(L.assets.readme,{},F);return await A.asText(M)||""}return""}async getManifest(L,F){if(L.assets.manifest){const M=await this.getAsset(L.assets.manifest,{},F),z=await A.asText(M);return z?JSON.parse(z):null}return null}async getCoreTranslation(L,F){const M=L.assets.coreTranslations.filter(z=>z[0]===F.toUpperCase())[0];if(M){const z=await this.getAsset(M[1]),x=await A.asText(z);return x?JSON.parse(x):null}return null}async getChangelog(L,F){if(L.assets.changelog){const M=await this.getAsset(L.assets.changelog,{},F);return await A.asText(M)||""}return""}async getAllVersions(L,F){let M=new r().withFlags(c.IncludeVersions,c.IncludeFiles,c.IncludeVersionProperties).withPage(1,1).withFilter(i.Target,"Microsoft.VisualStudio.Code");L.identifier.uuid?M=M.withFilter(i.ExtensionId,L.identifier.uuid):M=M.withFilter(i.ExtensionName,L.identifier.id);const z=[],{galleryExtensions:x}=await this.queryGallery(M,D.CancellationToken.None);return x.length&&(F?await Promise.all(x[0].versions.map(async K=>{let X;try{X=await this.getEngine(K)}catch(Z){}X&&y.isEngineValid(X,this.productService.version)&&z.push({version:K.version,date:K.lastUpdated})})):z.push(...x[0].versions.map(K=>({version:K.version,date:K.lastUpdated})))),z}async getAsset(L,F={},M=D.CancellationToken.None){const z=await this.commonHeadersPromise,x={type:"GET"},K=Object.assign(Object.assign({},z),F.headers||{});F=Object.assign(Object.assign(Object.assign({},F),x),{headers:K});const X=L.uri,Z=L.fallbackUri,ne=Object.assign(Object.assign({},F),{url:X});try{const ae=await this.requestService.request(ne,M);if(ae.res.statusCode===200)return ae;const de=await A.asText(ae);throw new Error(`Expected 200, got back ${ae.res.statusCode} instead.

${de}`)}catch(ae){if(v.isPromiseCanceledError(ae))throw ae;const de=v.getErrorMessage(ae);this.telemetryService.publicLog2("galleryService:cdnFallback",{url:X,message:de});const me=Object.assign(Object.assign({},F),{url:Z});return this.requestService.request(me,M)}}async getLastValidExtensionVersion(L,F){const M=this.getLastValidExtensionVersionFromProperties(L,F);return M||this.getLastValidExtensionVersionRecursively(L,F)}getLastValidExtensionVersionFromProperties(L,F){for(const M of F){const z=j(M);if(!z)return null;if(y.isEngineValid(z,this.productService.version))return M}return null}async getEngine(L){const F=j(L);if(F)return F;const M=O(L,t.Manifest);if(!M)throw new Error("Manifest was not found");const z={"Accept-Encoding":"gzip"},x=await this.getAsset(M,{headers:z}),K=await A.asJson(x);if(K)return K.engines.vscode;throw new Error("Error while reading manifest")}async getLastValidExtensionVersionRecursively(L,F){if(!F.length)return null;const M=F[0],z=await this.getEngine(M);return y.isEngineValid(z,this.productService.version)?(M.properties=M.properties||[],M.properties.push({key:n.Engine,value:z}),M):this.getLastValidExtensionVersionRecursively(L,F.slice(1))}async getExtensionsReport(){if(!this.isEnabled())throw new Error("No extension gallery service configured.");if(!this.extensionsControlUrl)return[];const L=await this.requestService.request({type:"GET",url:this.extensionsControlUrl},D.CancellationToken.None);if(L.res.statusCode!==200)throw new Error("Could not get extensions report.");const F=await A.asJson(L),M=new Map;if(F)for(const z of F.malicious){const x=M.get(z)||{id:{id:z},malicious:!0,slow:!1};x.malicious=!0,M.set(z,x)}return[...M.values()]}};$=he([Y(0,A.IRequestService),Y(1,f.ILogService),Y(2,E.IEnvironmentService),Y(3,P.ITelemetryService),Y(4,S.IFileService),Y(5,a.IProductService),Y(6,b.optional(I.IStorageService))],$),e.ExtensionGalleryService=$;async function N(T,L,F,M){const z={"X-Market-Client-Id":`VSCode ${T}`,"User-Agent":`VSCode ${T}`},x=await w.getServiceMachineId(L,F,M);return z["X-Market-User-Id"]=x,z}e.resolveMarketplaceHeaders=N}),define(ee[168],te([0,1,7,8,31,9,100,10,6,17,28,62,40,13,161,5,26,71,108,19,3,57]),function(H,e,v,k,_,R,P,A,y,E,D,f,S,C,a,I,w,b,g,c,s,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionTipsService=void 0;const t="extensionTips/promptedExecutableTips",n="extensionTips/lastPromptedMediumImpExeTime";let o=class extends a.ExtensionTipsService{constructor(r,l,u,m,p,d,O,U,j,B){super(O,U,j,B);this.environmentService=r,this.telemetryService=l,this.extensionManagementService=u,this.storageService=m,this.nativeHostService=p,this.extensionRecommendationNotificationService=d,this.highImportanceExecutableTips=new Map,this.mediumImportanceExecutableTips=new Map,this.allOtherExecutableTips=new Map,this.highImportanceTipsByExe=new Map,this.mediumImportanceTipsByExe=new Map,U.exeBasedExtensionTips&&f.forEach(U.exeBasedExtensionTips,({key:V,value:q})=>{const G=[],Q=[],$=[];f.forEach(q.recommendations,({key:N,value:T})=>{T.important?q.important?G.push({extensionId:N,extensionName:T.name,isExtensionPack:!!T.isExtensionPack}):Q.push({extensionId:N,extensionName:T.name,isExtensionPack:!!T.isExtensionPack}):$.push({extensionId:N,extensionName:T.name,isExtensionPack:!!T.isExtensionPack})}),G.length&&this.highImportanceExecutableTips.set(V,{exeFriendlyName:q.friendlyName,windowsPath:q.windowsPath,recommendations:G}),Q.length&&this.mediumImportanceExecutableTips.set(V,{exeFriendlyName:q.friendlyName,windowsPath:q.windowsPath,recommendations:Q}),$.length&&this.allOtherExecutableTips.set(V,{exeFriendlyName:q.friendlyName,windowsPath:q.windowsPath,recommendations:$})}),I.timeout(3e3).then(async()=>{await this.collectTips(),this.promptHighImportanceExeBasedTip(),this.promptMediumImportanceExeBasedTip()})}async getImportantExecutableBasedTips(){const r=await this.getValidExecutableBasedExtensionTips(this.highImportanceExecutableTips),l=await this.getValidExecutableBasedExtensionTips(this.mediumImportanceExecutableTips);return[...r,...l]}getOtherExecutableBasedTips(){return this.getValidExecutableBasedExtensionTips(this.allOtherExecutableTips)}async collectTips(){const r=await this.getValidExecutableBasedExtensionTips(this.highImportanceExecutableTips),l=await this.getValidExecutableBasedExtensionTips(this.mediumImportanceExecutableTips),u=await this.extensionManagementService.getInstalled();this.highImportanceTipsByExe=this.groupImportantTipsByExe(r,u),this.mediumImportanceTipsByExe=this.groupImportantTipsByExe(l,u)}groupImportantTipsByExe(r,l){const u=new Map;r.forEach(U=>u.set(U.extensionId.toLowerCase(),U));const{installed:m,uninstalled:p}=this.groupByInstalled([...u.keys()],l);for(const U of m){const j=u.get(U);j&&this.telemetryService.publicLog2("exeExtensionRecommendations:alreadyInstalled",{extensionId:U,exeName:k.basename(j.windowsPath)})}for(const U of p){const j=u.get(U);j&&this.telemetryService.publicLog2("exeExtensionRecommendations:notInstalled",{extensionId:U,exeName:k.basename(j.windowsPath)})}const d=this.getPromptedExecutableTips(),O=new Map;for(const U of p){const j=u.get(U);if(j&&(!d[j.exeName]||!d[j.exeName].includes(j.extensionId))){let B=O.get(j.exeName);B||(B=[],O.set(j.exeName,B)),B.push(j)}}return O}promptHighImportanceExeBasedTip(){if(this.highImportanceTipsByExe.size!==0){const[r,l]=[...this.highImportanceTipsByExe.entries()][0];this.promptExeRecommendations(l).then(u=>{switch(u){case"reacted":this.addToRecommendedExecutables(l[0].exeName,l);break;case"ignored":this.highImportanceTipsByExe.delete(r);break;case"incompatibleWindow":const m=s.Event.once(s.Event.latch(s.Event.any(this.nativeHostService.onDidOpenWindow,this.nativeHostService.onDidFocusWindow)));this._register(m(()=>this.promptHighImportanceExeBasedTip()));break;case"toomany":const p=this._register(I.disposableTimeout(()=>{p.dispose(),this.promptHighImportanceExeBasedTip()},60*60*1e3));break}})}}promptMediumImportanceExeBasedTip(){if(this.mediumImportanceTipsByExe.size!==0){const r=this.getLastPromptedMediumExeTime(),l=Date.now()-r,u=7*24*60*60*1e3;if(l<u){const d=this._register(I.disposableTimeout(()=>{d.dispose(),this.promptMediumImportanceExeBasedTip()},u-l));return}const[m,p]=[...this.mediumImportanceTipsByExe.entries()][0];this.promptExeRecommendations(p).then(d=>{switch(d){case"reacted":this.updateLastPromptedMediumExeTime(Date.now()),this.mediumImportanceTipsByExe.delete(m),this.addToRecommendedExecutables(p[0].exeName,p);const O=this._register(I.disposableTimeout(()=>{O.dispose(),this.promptMediumImportanceExeBasedTip()},u));break;case"ignored":this.mediumImportanceTipsByExe.delete(m),this.promptMediumImportanceExeBasedTip();break;case"incompatibleWindow":const U=s.Event.once(s.Event.latch(s.Event.any(this.nativeHostService.onDidOpenWindow,this.nativeHostService.onDidFocusWindow)));this._register(U(()=>this.promptMediumImportanceExeBasedTip()));break;case"toomany":const j=this._register(I.disposableTimeout(()=>{j.dispose(),this.promptMediumImportanceExeBasedTip()},60*60*1e3));break}})}}promptExeRecommendations(r){const l=r.map(({extensionId:m})=>m.toLowerCase()),u=g.localize(0,null,r[0].exeFriendlyName);return this.extensionRecommendationNotificationService.promptImportantExtensionsInstallNotification(l,u,`@exe:"${r[0].exeName}"`,3)}getLastPromptedMediumExeTime(){let r=this.storageService.getNumber(n,0);return r||(r=Date.now(),this.updateLastPromptedMediumExeTime(r)),r}updateLastPromptedMediumExeTime(r){this.storageService.store(n,r,0,1)}getPromptedExecutableTips(){return JSON.parse(this.storageService.get(t,0,"{}"))}addToRecommendedExecutables(r,l){const u=this.getPromptedExecutableTips();u[r]=l.map(({extensionId:m})=>m.toLowerCase()),this.storageService.store(t,JSON.stringify(u),0,0)}groupByInstalled(r,l){const u=[],m=[],p=l.reduce((d,O)=>(d.add(O.identifier.id.toLowerCase()),d),new Set);return r.forEach(d=>{p.has(d.toLowerCase())?u.push(d):m.push(d)}),{installed:u,uninstalled:m}}async getValidExecutableBasedExtensionTips(r){const l=[],u=new Map;for(const m of r.keys()){const p=r.get(m);if(!(!p||!E.isNonEmptyArray(p.recommendations))){const d=[];y.isWindows?p.windowsPath&&d.push(p.windowsPath.replace("%USERPROFILE%",P.process.env.USERPROFILE).replace("%ProgramFiles(x86)%",P.process.env["ProgramFiles(x86)"]).replace("%ProgramFiles%",P.process.env.ProgramFiles).replace("%APPDATA%",P.process.env.APPDATA).replace("%WINDIR%",P.process.env.WINDIR)):(d.push(k.join("/usr/local/bin",m)),d.push(k.join("/usr/bin",m)),d.push(k.join(this.environmentService.userHome.fsPath,m)));for(const O of d){let U=u.get(O);if(U===void 0&&(U=await this.fileService.exists(v.URI.file(O)),u.set(O,U)),U)for(const{extensionId:j,extensionName:B,isExtensionPack:V}of p.recommendations)l.push({extensionId:j,extensionName:B,isExtensionPack:V,exeName:m,exeFriendlyName:p.exeFriendlyName,windowsPath:p.windowsPath})}}}return l}};o=he([Y(0,R.INativeEnvironmentService),Y(1,w.ITelemetryService),Y(2,D.IExtensionManagementService),Y(3,c.IStorageService),Y(4,i.INativeHostService),Y(5,b.IExtensionRecommendationNotificationService),Y(6,A.IFileService),Y(7,_.IProductService),Y(8,S.IRequestService),Y(9,C.ILogService)],o),e.ExtensionTipsService=o}),define(ee[169],te([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryAppenderClient=e.TelemetryAppenderChannel=void 0;class v{constructor(R){this.appender=R}listen(R,P){throw new Error(`Event not found: ${P}`)}call(R,P,{eventName:A,data:y}){return this.appender.log(A,y),Promise.resolve(null)}}e.TelemetryAppenderChannel=v;class k{constructor(R){this.channel=R}log(R,P){return this.channel.call("log",{eventName:R,data:P}).then(void 0,A=>`Failed to log telemetry: ${console.warn(A)}`),Promise.resolve(null)}flush(){return Promise.resolve()}}e.TelemetryAppenderClient=k}),define(ee[170],te([0,1,36,118,21,4,25,39,2,24,35]),function(H,e,v,k,_,R,P,A,y,E,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryService=void 0;let f=class{constructor(a,I){this._configurationService=I,this._experimentProperties={},this._disposables=new y.DisposableStore,this._cleanupPatterns=[],this._appender=a.appender,this._commonProperties=a.commonProperties||Promise.resolve({}),this._piiPaths=a.piiPaths||[],this._userOptIn=!0,this._enabled=!0,this.sendErrorTelemetry=!!a.sendErrorTelemetry,this._cleanupPatterns=[/file:\/\/\/.*?\/resources\/app\//gi];for(let w of this._piiPaths)this._cleanupPatterns.push(new RegExp(_.escapeRegExpCharacters(w),"gi"));this._configurationService&&(this._updateUserOptIn(),this._configurationService.onDidChangeConfiguration(this._updateUserOptIn,this,this._disposables),this.publicLog2("optInStatus",{optIn:this._userOptIn}),this._commonProperties.then(w=>{const b=/^[a-f0-9]+$/i.test(w["common.machineId"]);this.publicLog2("machineIdFallback",{usingFallbackGuid:!b})}))}setExperimentProperty(a,I){this._experimentProperties[a]=I}setEnabled(a){this._enabled=a}_updateUserOptIn(){var a;const I=(a=this._configurationService)===null||a===void 0?void 0:a.getValue(S);this._userOptIn=I?I.enableTelemetry:this._userOptIn}get isOptedIn(){return this._userOptIn&&this._enabled}async getTelemetryInfo(){const a=await this._commonProperties;let I=a.sessionID,w=a["common.instanceId"],b=a["common.machineId"],g=a["common.firstSessionDate"],c=a["common.msftInternal"];return{sessionId:I,instanceId:w,machineId:b,firstSessionDate:g,msftInternal:c}}dispose(){this._disposables.dispose()}publicLog(a,I,w){return this.isOptedIn?this._commonProperties.then(b=>{I=E.mixin(I,b),I=E.mixin(I,this._experimentProperties),I=E.cloneAndChange(I,g=>{if(typeof g=="string")return this._cleanupInfo(g,w)}),this._appender.log(a,I)},b=>{console.error(b)}):Promise.resolve(void 0)}publicLog2(a,I,w){return this.publicLog(a,I,w)}publicLogError(a,I){return this.sendErrorTelemetry?this.publicLog(a,I,!0):Promise.resolve(void 0)}publicLogError2(a,I){return this.publicLogError(a,I)}_cleanupInfo(a,I){let w=a;if(I){const b=[];for(let i of this._cleanupPatterns)for(;;){const t=i.exec(a);if(!t)break;b.push([t.index,i.lastIndex])}const g=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,c=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let s=0;for(w="";;){const i=c.exec(a);if(!i)break;!g.test(i[0])&&b.every(([t,n])=>i.index<t||i.index>=n)&&(w+=a.substring(s,i.index)+"<REDACTED: user-file-path>",s=c.lastIndex)}s<a.length&&(w+=a.substr(s))}for(let b of this._cleanupPatterns)w=w.replace(b,"");return w}};f.IDLE_START_EVENT_NAME="UserIdleStart",f.IDLE_STOP_EVENT_NAME="UserIdleStop",f=he([Y(1,R.optional(P.IConfigurationService))],f),e.TelemetryService=f;const S="telemetry";D.Registry.as(A.Extensions.Configuration).registerConfiguration({id:S,order:110,type:"object",title:k.localize(0,null),properties:{"telemetry.enableTelemetry":{type:"boolean",markdownDescription:v.default.privacyStatementUrl?k.localize(2,null,v.default.privacyStatementUrl):k.localize(1,null),default:!0,tags:["usesOnlineServices"]}}})}),define(ee[58],te([0,1,25,24,15,5]),function(H,e,v,k,_,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.cleanRemoteAuthority=e.validateTelemetryData=e.configurationTelemetry=e.NullAppender=e.combinedAppender=e.NullTelemetryService=void 0,e.NullTelemetryService=new class{constructor(){this.sendErrorTelemetry=!1,this.isOptedIn=!0}publicLog(C,a){return Promise.resolve(void 0)}publicLog2(C,a){return this.publicLog(C,a)}publicLogError(C,a){return Promise.resolve(void 0)}publicLogError2(C,a){return this.publicLogError(C,a)}setExperimentProperty(){}setEnabled(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}};function P(...C){return{log:(a,I)=>C.forEach(w=>w.log(a,I)),flush:()=>R.Promises.settled(C.map(a=>a.flush()))}}e.combinedAppender=P,e.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function A(C,a){return a.onDidChangeConfiguration(I=>{I.source!==6&&C.publicLog2("updateConfiguration",{configurationSource:v.ConfigurationTargetToString(I.source),configurationKeys:f(I.sourceConfig)})})}e.configurationTelemetry=A;function y(C){const a=Object.create(null),I=Object.create(null),w=Object.create(null);D(C,w);for(let b in w){b=b.length>150?b.substr(b.length-149):b;const g=w[b];typeof g=="number"?I[b]=g:typeof g=="boolean"?I[b]=g?1:0:typeof g=="string"?a[b]=g.substring(0,1023):typeof g!="undefined"&&g!==null&&(a[b]=g)}return{properties:a,measurements:I}}e.validateTelemetryData=y;function E(C){if(!C)return"none";let a="other";return["ssh-remote","dev-container","attached-container","wsl"].forEach(w=>{C.indexOf(`${w}+`)===0&&(a=w)}),a}e.cleanRemoteAuthority=E;function D(C,a,I=0,w){if(!!C)for(let b of Object.getOwnPropertyNames(C)){const g=C[b],c=w?w+b:b;Array.isArray(g)?a[c]=k.safeStringify(g):g instanceof Date?a[c]=g.toISOString():_.isObject(g)?I<2?D(g,a,I+1,c+"."):a[c]=k.safeStringify(g):a[c]=g}}function f(C){if(!C)return[];const a=[];return S(a,"",C),a}function S(C,a,I){I&&typeof I=="object"&&!Array.isArray(I)?Object.keys(I).forEach(w=>S(C,a?`${a}.${w}`:w,I[w])):C.push(a)}}),define(ee[171],te([0,1,2,9,13,58]),function(H,e,v,k,_,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryLogAppender=void 0;let P=class extends v.Disposable{constructor(y,E){super();this.logger=this._register(y.createLogger(E.telemetryLogResource)),this.logger.info("The below are logs for every telemetry event sent from VS Code once the log level is set to trace."),this.logger.info("===========================================================")}flush(){return Promise.resolve(void 0)}log(y,E){this.logger.trace(`telemetry/${y}`,R.validateTelemetryData(E))}};P=he([Y(0,_.ILoggerService),Y(1,k.IEnvironmentService)],P),e.TelemetryLogAppender=P}),define(ee[172],te([0,1,14,24,58]),function(H,e,v,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AppInsightsAppender=void 0;async function R(A){const y=await new Promise((D,f)=>{H(["applicationinsights"],D,f)});let E;return y.defaultClient?(E=new y.TelemetryClient(A),E.channel.setUseDiskRetryCaching(!0)):(y.setup(A).setAutoCollectRequests(!1).setAutoCollectPerformance(!1).setAutoCollectExceptions(!1).setAutoCollectDependencies(!1).setAutoDependencyCorrelation(!1).setAutoCollectConsole(!1).setInternalLogging(!1,!1).setUseDiskRetryCaching(!0).start(),E=y.defaultClient),A.indexOf("AIF-")===0&&(E.config.endpointUrl="https://vortex.data.microsoft.com/collect/v1"),E}class P{constructor(y,E,D){this._eventPrefix=y,this._defaultData=E,this._defaultData||(this._defaultData=Object.create(null)),typeof D=="function"?this._aiClient=D():this._aiClient=D,this._asyncAIClient=null}_withAIClient(y){if(!!this._aiClient){if(typeof this._aiClient!="string"){y(this._aiClient);return}this._asyncAIClient||(this._asyncAIClient=R(this._aiClient)),this._asyncAIClient.then(E=>{y(E)},E=>{v.onUnexpectedError(E),console.error(E)})}}log(y,E){!this._aiClient||(E=k.mixin(E,this._defaultData),E=_.validateTelemetryData(E),this._withAIClient(D=>D.trackEvent({name:this._eventPrefix+"/"+y,properties:E.properties,measurements:E.measurements})))}flush(){return this._aiClient?new Promise(y=>{this._withAIClient(E=>{E.flush({callback:()=>{this._aiClient=void 0,y(void 0)}})})}):Promise.resolve(void 0)}}e.AppInsightsAppender=P}),define(ee[79],te([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FlowControlConstants=e.LocalReconnectConstants=e.HeartbeatConstants=e.TerminalIpcChannels=void 0;var v;(function(P){P.LocalPty="localPty",P.PtyHost="ptyHost",P.Log="log",P.Heartbeat="heartbeat"})(v=e.TerminalIpcChannels||(e.TerminalIpcChannels={}));var k;(function(P){P[P.BeatInterval=5e3]="BeatInterval",P[P.FirstWaitMultiplier=1.2]="FirstWaitMultiplier",P[P.SecondWaitMultiplier=1]="SecondWaitMultiplier",P[P.CreateProcessTimeout=5e3]="CreateProcessTimeout"})(k=e.HeartbeatConstants||(e.HeartbeatConstants={}));var _;(function(P){P[P.ReconnectionGraceTime=3e4]="ReconnectionGraceTime",P[P.ReconnectionShortGraceTime=6e3]="ReconnectionShortGraceTime"})(_=e.LocalReconnectConstants||(e.LocalReconnectConstants={}));var R;(function(P){P[P.HighWatermarkChars=1e5]="HighWatermarkChars",P[P.LowWatermarkChars=5e3]="LowWatermarkChars",P[P.CharCountAckSize=5e3]="CharCountAckSize"})(R=e.FlowControlConstants||(e.FlowControlConstants={}))}),define(ee[173],te([0,1,2,13,79,54,16,33,3,76]),function(H,e,v,k,_,R,P,A,y,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LocalPtyService=void 0;var D;(function(C){C[C.MaxRestarts=5]="MaxRestarts"})(D||(D={}));let f=0,S=class extends v.Disposable{constructor(a){super();this._logService=a,this._restartCount=0,this._isDisposed=!1,this._onPtyHostExit=this._register(new y.Emitter),this.onPtyHostExit=this._onPtyHostExit.event,this._onPtyHostStart=this._register(new y.Emitter),this.onPtyHostStart=this._onPtyHostStart.event,this._onPtyHostUnresponsive=this._register(new y.Emitter),this.onPtyHostUnresponsive=this._onPtyHostUnresponsive.event,this._onProcessData=this._register(new y.Emitter),this.onProcessData=this._onProcessData.event,this._onProcessExit=this._register(new y.Emitter),this.onProcessExit=this._onProcessExit.event,this._onProcessReady=this._register(new y.Emitter),this.onProcessReady=this._onProcessReady.event,this._onProcessReplay=this._register(new y.Emitter),this.onProcessReplay=this._onProcessReplay.event,this._onProcessTitleChanged=this._register(new y.Emitter),this.onProcessTitleChanged=this._onProcessTitleChanged.event,this._onProcessOverrideDimensions=this._register(new y.Emitter),this.onProcessOverrideDimensions=this._onProcessOverrideDimensions.event,this._onProcessResolvedShellLaunchConfig=this._register(new y.Emitter),this.onProcessResolvedShellLaunchConfig=this._onProcessResolvedShellLaunchConfig.event,this._register(v.toDisposable(()=>this._disposePtyHost())),[this._client,this._proxy]=this._startPtyHost()}_startPtyHost(){const a=this._register(new R.Client(P.FileAccess.asFileUri("bootstrap-fork",H).fsPath,{serverName:"Pty Host",args:["--type=ptyHost"],env:{VSCODE_LAST_PTY_ID:f,VSCODE_AMD_ENTRYPOINT:"vs/platform/terminal/node/ptyHostMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));this._onPtyHostStart.fire(),A.ProxyChannel.toService(a.getChannel(_.TerminalIpcChannels.Heartbeat)).onBeat(()=>this._handleHeartbeat()),this._register(a.onDidProcessExit(g=>{this._onPtyHostExit.fire(g.code),this._isDisposed||(this._restartCount<=D.MaxRestarts?(this._logService.error(`ptyHost terminated unexpectedly with code ${g.code}`),this._restartCount++,this.restartPtyHost()):this._logService.error(`ptyHost terminated unexpectedly with code ${g.code}, giving up`))}));const w=a.getChannel(_.TerminalIpcChannels.Log);this._register(this._logService.onDidChangeLogLevel(()=>{E.LogLevelChannelClient.setLevel(w,this._logService.getLevel())}));const b=A.ProxyChannel.toService(a.getChannel(_.TerminalIpcChannels.PtyHost));return this._register(b.onProcessData(g=>this._onProcessData.fire(g))),this._register(b.onProcessExit(g=>this._onProcessExit.fire(g))),this._register(b.onProcessReady(g=>this._onProcessReady.fire(g))),this._register(b.onProcessTitleChanged(g=>this._onProcessTitleChanged.fire(g))),this._register(b.onProcessOverrideDimensions(g=>this._onProcessOverrideDimensions.fire(g))),this._register(b.onProcessResolvedShellLaunchConfig(g=>this._onProcessResolvedShellLaunchConfig.fire(g))),this._register(b.onProcessReplay(g=>this._onProcessReplay.fire(g))),[a,b]}dispose(){this._isDisposed=!0,super.dispose()}async createProcess(a,I,w,b,g,c,s,i,t,n){const o=setTimeout(()=>this._handleUnresponsiveCreateProcess(),_.HeartbeatConstants.CreateProcessTimeout),h=await this._proxy.createProcess(a,I,w,b,g,c,s,i,t,n);return clearTimeout(o),f=Math.max(f,h),h}attachToProcess(a){return this._proxy.attachToProcess(a)}detachFromProcess(a){return this._proxy.detachFromProcess(a)}start(a){return this._proxy.start(a)}shutdown(a,I){return this._proxy.shutdown(a,I)}input(a,I){return this._proxy.input(a,I)}resize(a,I,w){return this._proxy.resize(a,I,w)}acknowledgeDataEvent(a,I){return this._proxy.acknowledgeDataEvent(a,I)}getInitialCwd(a){return this._proxy.getInitialCwd(a)}getCwd(a){return this._proxy.getCwd(a)}getLatency(a){return this._proxy.getLatency(a)}setTerminalLayoutInfo(a){return this._proxy.setTerminalLayoutInfo(a)}async getTerminalLayoutInfo(a){return await this._proxy.getTerminalLayoutInfo(a)}async restartPtyHost(){this._disposePtyHost(),[this._client,this._proxy]=this._startPtyHost()}_disposePtyHost(){this._proxy.shutdownAll&&this._proxy.shutdownAll(),this._client.dispose()}_handleHeartbeat(){this._clearHeartbeatTimeouts(),this._heartbeatFirstTimeout=setTimeout(()=>this._handleHeartbeatFirstTimeout(),_.HeartbeatConstants.BeatInterval*_.HeartbeatConstants.FirstWaitMultiplier)}_handleHeartbeatFirstTimeout(){this._logService.warn(`No ptyHost heartbeat after ${_.HeartbeatConstants.BeatInterval*_.HeartbeatConstants.FirstWaitMultiplier/1e3} seconds`),this._heartbeatFirstTimeout=void 0,this._heartbeatSecondTimeout=setTimeout(()=>this._handleHeartbeatSecondTimeout(),_.HeartbeatConstants.BeatInterval*_.HeartbeatConstants.SecondWaitMultiplier)}_handleHeartbeatSecondTimeout(){this._logService.error(`No ptyHost heartbeat after ${(_.HeartbeatConstants.BeatInterval*_.HeartbeatConstants.FirstWaitMultiplier+_.HeartbeatConstants.BeatInterval*_.HeartbeatConstants.FirstWaitMultiplier)/1e3} seconds`),this._heartbeatSecondTimeout=void 0,this._onPtyHostUnresponsive.fire()}_handleUnresponsiveCreateProcess(){this._clearHeartbeatTimeouts(),this._logService.error(`No ptyHost response to createProcess after ${_.HeartbeatConstants.CreateProcessTimeout/1e3} seconds`),this._onPtyHostUnresponsive.fire()}_clearHeartbeatTimeouts(){this._heartbeatFirstTimeout&&(clearTimeout(this._heartbeatFirstTimeout),this._heartbeatFirstTimeout=void 0),this._heartbeatSecondTimeout&&(clearTimeout(this._heartbeatSecondTimeout),this._heartbeatSecondTimeout=void 0)}};S=he([Y(0,k.ILogService)],S),e.LocalPtyService=S}),define(ee[174],te([0,1,4]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ILocalPtyService=void 0,e.ILocalPtyService=v.createDecorator("localPtyService")}),define(ee[49],te([0,1,41]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getLineEndOffset=e.getLineStartOffset=e.edit=void 0;function k(P,A,y,E){const D=v.setProperty(P,A,y,E)[0];return D&&(P=P.substring(0,D.offset)+D.content+P.substring(D.offset+D.length)),P}e.edit=k;function _(P,A,y){let E=y;for(;E>=0;){if(P.charAt(E)===A.charAt(A.length-1)&&A.length===1)return E+1;if(E--,A.length===2&&E>=0&&P.charAt(E)===A.charAt(0))return E+2}return 0}e.getLineStartOffset=_;function R(P,A,y){let E=y;for(;E>=0;)if(P.charAt(E)===A.charAt(A.length-1)&&A.length===1||(E++,A.length===2&&E>=0&&P.charAt(E)===A.charAt(1)))return E;return P.length-1}e.getLineEndOffset=R}),define(ee[175],te([0,1,24,56]),function(H,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.merge=void 0;function _(f,S,C,a,I){var w,b;const g=[],c=[],s=[];if(!S){const j=f.filter(({identifier:B})=>I.every(V=>V.toLowerCase()!==B.id.toLowerCase()));return{added:g,removed:c,updated:s,remote:j.length>0?j:null}}f=f.map(E),S=S.map(E),C=C?C.map(E):null;const i=new Map,t=j=>{j.uuid&&i.set(j.id.toLowerCase(),j.uuid)};f.forEach(({identifier:j})=>t(j)),S.forEach(({identifier:j})=>t(j)),C&&C.forEach(({identifier:j})=>t(j));const n=j=>{const B=j.identifier.uuid||i.get(j.identifier.id.toLowerCase());return B?`uuid:${B}`:`id:${j.identifier.id.toLowerCase()}`},o=(j,B)=>(j.set(n(B),B),j),h=f.reduce(o,new Map),r=S.reduce(o,new Map),l=S.reduce((j,B)=>{const V=n(B);B=v.deepClone(B);const q=h.get(V);return q&&(q.installed&&(B.installed=!0),B.version||(B.version=q.version)),o(j,B)},new Map),u=C?C.reduce(o,new Map):null,m=a.reduce(o,new Map),p=I.reduce((j,B)=>{const V=i.get(B.toLowerCase());return j.add(V?`uuid:${V}`:`id:${B.toLowerCase()}`)},new Set),d=R(h,r,p);if(d.added.size>0||d.removed.size>0||d.updated.size>0){const j=R(u,h,p),B=R(u,r,p),V=(q,G)=>{const Q=h.get(q);if(Q){const $=r.get(q);return Object.assign(Object.assign({},G?$:Q),{version:($.version&&k.gt($.version,Q.version),Q.version),state:P(Q,$,u==null?void 0:u.get(q))})}};for(const q of B.removed.values()){const G=h.get(q);G&&c.push(G.identifier)}for(const q of B.added.values())if(j.added.has(q)){if(d.updated.has(q)){const G=V(q,!0);G&&(s.push(D(G,q)),l.set(q,G))}}else{const G=r.get(q);G.installed&&g.push(D(G,q))}for(const q of B.updated.values()){const G=V(q,!0);G&&(s.push(D(G,q)),l.set(q,G))}for(const q of j.added.values())B.added.has(q)||l.set(q,h.get(q));for(const q of j.updated.values())if(!B.removed.has(q)&&!B.updated.has(q)){const G=V(q,!1);G&&(((w=l.get(q))===null||w===void 0?void 0:w.installed)&&(G.installed=!0),l.set(q,G))}for(const q of j.removed.values())!m.has(q)&&!B.updated.has(q)&&((b=u==null?void 0:u.get(q))===null||b===void 0?void 0:b.installed)&&l.delete(q)}const O=[],U=R(r,l,new Set,{checkInstalledProperty:!0,checkVersionProperty:!0});return(U.added.size>0||U.updated.size>0||U.removed.size>0)&&l.forEach((j,B)=>O.push(D(j,B))),{added:g,removed:c,updated:s,remote:O.length?O:null}}e.merge=_;function R(f,S,C,{checkInstalledProperty:a,checkVersionProperty:I}={checkInstalledProperty:!1,checkVersionProperty:!1}){const w=f?[...f.keys()].filter(i=>!C.has(i)):[],b=[...S.keys()].filter(i=>!C.has(i)),g=b.filter(i=>w.indexOf(i)===-1).reduce((i,t)=>(i.add(t),i),new Set),c=w.filter(i=>b.indexOf(i)===-1).reduce((i,t)=>(i.add(t),i),new Set),s=new Set;for(const i of w)if(!c.has(i)){const t=f.get(i),n=S.get(i);(!n||t.disabled!==n.disabled||!y(t.state,n.state)||I&&t.version!==n.version||a&&t.installed!==n.installed)&&s.add(i)}return{added:g,removed:c,updated:s}}function P(f,S,C){const a=f.state,I=S.state,w=C==null?void 0:C.state;if(!S.version||a&&k.gt(f.version,S.version))return a;if(I&&k.gt(S.version,f.version)||!a)return I;if(!I)return a;const b=v.deepClone(a),g=w?A(w,I):{added:Object.keys(I).reduce((s,i)=>(s.add(i),s),new Set),removed:new Set,updated:new Set},c=w?A(w,a):{added:Object.keys(a).reduce((s,i)=>(s.add(i),s),new Set),removed:new Set,updated:new Set};for(const s of[...g.added.values(),...g.updated.values()])b[s]=I[s];for(const s of g.removed.values())c.updated.has(s)||delete b[s];return b}function A(f,S){const C=Object.keys(f),a=Object.keys(S),I=a.filter(g=>C.indexOf(g)===-1).reduce((g,c)=>(g.add(c),g),new Set),w=C.filter(g=>a.indexOf(g)===-1).reduce((g,c)=>(g.add(c),g),new Set),b=new Set;for(const g of C)if(!w.has(g)){const c=f[g],s=S[g];v.equals(c,s)||b.add(g)}return{added:I,removed:w,updated:b}}function y(f={},S={}){const{added:C,removed:a,updated:I}=A(f,S);return C.size===0&&a.size===0&&I.size===0}function E(f){return Object.assign(Object.assign({},f),{disabled:!!f.disabled,installed:!!f.installed})}function D(f,S){const C={identifier:{id:f.identifier.id,uuid:S.startsWith("uuid:")?S.substring("uuid:".length):void 0}};return f.version&&(C.version=f.version),f.disabled&&(C.disabled=!0),f.installed&&(C.installed=!0),f.state&&(C.state=f.state),C}}),define(ee[80],te([0,1,17,3,2,34,4,31,19]),function(H,e,v,k,_,R,P,A,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsStorageSyncService=e.IExtensionsStorageSyncService=void 0,e.IExtensionsStorageSyncService=P.createDecorator("IExtensionsStorageSyncService");const E=/^extensionKeys\/([^.]+\..+)@(\d+\.\d+\.\d+(-.*)?)$/;let D=class Ye extends _.Disposable{constructor(S,C){super();this.storageService=S,this.productService=C,this._onDidChangeExtensionsStorage=this._register(new k.Emitter),this.onDidChangeExtensionsStorage=this._onDidChangeExtensionsStorage.event,this.extensionsWithKeysForSync=new Set,this.initialize(),this._register(this.storageService.onDidChangeValue(a=>this.onDidChangeStorageValue(a)))}static toKey(S){return`extensionKeys/${R.adoptToGalleryExtensionId(S.id)}@${S.version}`}static fromKey(S){const C=E.exec(S);if(C&&C[1])return{id:C[1],version:C[2]}}initialize(){const S=this.storageService.keys(0,1);for(const C of S){const a=Ye.fromKey(C);a&&this.extensionsWithKeysForSync.add(a.id.toLowerCase())}}onDidChangeStorageValue(S){if(S.scope===0){if(this.extensionsWithKeysForSync.has(S.key.toLowerCase())){this._onDidChangeExtensionsStorage.fire();return}const C=Ye.fromKey(S.key);if(C){this.extensionsWithKeysForSync.add(C.id.toLowerCase()),this._onDidChangeExtensionsStorage.fire();return}}}setKeysForSync(S,C){this.storageService.store(Ye.toKey(S),JSON.stringify(C),0,1)}getKeysForSync(S){var C;const a=(C=this.productService.extensionSyncedKeys)===null||C===void 0?void 0:C[S.id.toLowerCase()],I=this.storageService.get(Ye.toKey(S),0),w=I?JSON.parse(I):void 0;return w&&a?v.distinct([...w,...a]):w||a}};D=he([Y(0,y.IStorageService),Y(1,A.IProductService)],D),e.ExtensionsStorageSyncService=D}),define(ee[81],te([0,1,17,25,4]),function(H,e,v,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IgnoredExtensionsManagementService=e.IIgnoredExtensionsManagementService=void 0,e.IIgnoredExtensionsManagementService=_.createDecorator("IIgnoredExtensionsManagementService");let R=class{constructor(A){this.configurationService=A}hasToNeverSyncExtension(A){return this.getConfiguredIgnoredExtensions().includes(A.toLowerCase())}hasToAlwaysSyncExtension(A){return this.getConfiguredIgnoredExtensions().includes(`-${A.toLowerCase()}`)}updateIgnoredExtensions(A,y){let E=[...this.configurationService.getValue("settingsSync.ignoredExtensions")].map(D=>D.toLowerCase());return E=E.filter(D=>D!==A&&D!==`-${A}`),y&&E.push(A.toLowerCase()),this.configurationService.updateValue("settingsSync.ignoredExtensions",E.length?E:void 0,1)}updateSynchronizedExtensions(A,y){let E=[...this.configurationService.getValue("settingsSync.ignoredExtensions")].map(D=>D.toLowerCase());return E=E.filter(D=>D!==A&&D!==`-${A}`),y&&E.push(`-${A.toLowerCase()}`),this.configurationService.updateValue("settingsSync.ignoredExtensions",E.length?E:void 0,1)}getIgnoredExtensions(A){const y=A.filter(S=>S.isMachineScoped).map(S=>S.identifier.id.toLowerCase()),E=this.getConfiguredIgnoredExtensions().map(S=>S.toLowerCase()),D=[],f=[];if(Array.isArray(E))for(const S of E)S.startsWith("-")?f.push(S.substring(1)):D.push(S);return v.distinct([...y,...D].filter(S=>f.indexOf(S)===-1))}getConfiguredIgnoredExtensions(){let A=this.configurationService.inspect("settingsSync.ignoredExtensions").userValue;return A!==void 0||(A=this.configurationService.inspect("sync.ignoredExtensions").userValue,A!==void 0)?A:(this.configurationService.getValue("settingsSync.ignoredExtensions")||[]).map(y=>y.toLowerCase())}};R=he([Y(0,k.IConfigurationService)],R),e.IgnoredExtensionsManagementService=R}),define(ee[176],te([0,1,24,32,17,135,49]),function(H,e,v,k,_,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.merge=e.parseKeybindings=void 0;function A(s){return k.parse(s)||[]}e.parseKeybindings=A;async function y(s,i,t,n,o){const h=A(s),r=A(i),l=t?A(t):null,u=[...h,...r,...l||[]].map(Q=>Q.key),m=await o.resolveUserBindings(u);let p=D(h,r,l,m);if(!p.hasLocalForwarded&&!p.hasRemoteForwarded)return{mergeContent:s,hasChanges:!1,hasConflicts:!1};if(!p.hasLocalForwarded&&p.hasRemoteForwarded)return{mergeContent:i,hasChanges:!0,hasConflicts:!1};if(p.hasLocalForwarded&&!p.hasRemoteForwarded)return{mergeContent:s,hasChanges:!0,hasConflicts:!1};const d=S(h),O=S(r),U=l?S(l):null,j=a(d,O,m),B=U?a(U,d,m):{added:[...d.keys()].reduce((Q,$)=>(Q.add($),Q),new Set),removed:new Set,updated:new Set},V=U?a(U,O,m):{added:[...O.keys()].reduce((Q,$)=>(Q.add($),Q),new Set),removed:new Set,updated:new Set},q=E(j,B,V);let G=s;for(const Q of q.removed.values())q.conflicts.has(Q)||(G=g(G,Q,n));for(const Q of q.added.values())if(!q.conflicts.has(Q)){const $=O.get(Q);if($.some(N=>N.command!==`-${Q}`&&p.conflicts.has(m[N.key]))){q.conflicts.add(Q);continue}G=b(G,$,n)}for(const Q of q.updated.values())if(!q.conflicts.has(Q)){const $=O.get(Q);if($.some(N=>N.command!==`-${Q}`&&p.conflicts.has(m[N.key]))){q.conflicts.add(Q);continue}G=c(G,Q,$,n)}return{mergeContent:G,hasChanges:!0,hasConflicts:q.conflicts.size>0}}e.merge=y;function E(s,i,t){const n=new Set,o=new Set,h=new Set,r=new Set;for(const l of i.removed.values())t.updated.has(l)&&r.add(l);for(const l of t.removed.values())r.has(l)||(i.updated.has(l)?r.add(l):o.add(l));for(const l of i.added.values())r.has(l)||t.added.has(l)&&s.updated.has(l)&&r.add(l);for(const l of t.added.values())r.has(l)||(i.added.has(l)?s.updated.has(l)&&r.add(l):n.add(l));for(const l of i.updated.values())r.has(l)||t.updated.has(l)&&s.updated.has(l)&&r.add(l);for(const l of t.updated.values())r.has(l)||(i.updated.has(l)?s.updated.has(l)&&r.add(l):h.add(l));return{added:n,removed:o,updated:h,conflicts:r}}function D(s,i,t,n){const o=new Set,h=f(s,n),r=f(i,n),l=t?f(t,n):null,u=C(h,r);if(u.added.size===0&&u.removed.size===0&&u.updated.size===0)return{hasLocalForwarded:!1,hasRemoteForwarded:!1,added:o,removed:o,updated:o,conflicts:o};const m=l?C(l,h):{added:[...h.keys()].reduce((B,V)=>(B.add(V),B),new Set),removed:new Set,updated:new Set};if(m.added.size===0&&m.removed.size===0&&m.updated.size===0)return{hasLocalForwarded:!1,hasRemoteForwarded:!0,added:o,removed:o,updated:o,conflicts:o};const p=l?C(l,r):{added:[...r.keys()].reduce((B,V)=>(B.add(V),B),new Set),removed:new Set,updated:new Set};if(p.added.size===0&&p.removed.size===0&&p.updated.size===0)return{hasLocalForwarded:!0,hasRemoteForwarded:!1,added:o,removed:o,updated:o,conflicts:o};const{added:d,removed:O,updated:U,conflicts:j}=E(u,m,p);return{hasLocalForwarded:!0,hasRemoteForwarded:!0,added:d,removed:O,updated:U,conflicts:j}}function f(s,i){const t=new Map;for(const n of s){const o=i[n.key];let h=t.get(o);h||(h=[],t.set(o,h)),h.push(n)}return t}function S(s){const i=new Map;for(const t of s){const n=t.command[0]==="-"?t.command.substring(1):t.command;let o=i.get(n);o||(o=[],i.set(n,o)),o.push(t)}return i}function C(s,i){const t=[...s.keys()],n=[...i.keys()],o=n.filter(l=>t.indexOf(l)===-1).reduce((l,u)=>(l.add(u),l),new Set),h=t.filter(l=>n.indexOf(l)===-1).reduce((l,u)=>(l.add(u),l),new Set),r=new Set;for(const l of t)if(!h.has(l)){const u=s.get(l).map(p=>Object.assign(Object.assign({},p),{key:l})),m=i.get(l).map(p=>Object.assign(Object.assign({},p),{key:l}));_.equals(u,m,(p,d)=>w(p,d))||r.add(l)}return{added:o,removed:h,updated:r}}function a(s,i,t){const n=[...s.keys()],o=[...i.keys()],h=o.filter(u=>n.indexOf(u)===-1).reduce((u,m)=>(u.add(m),u),new Set),r=n.filter(u=>o.indexOf(u)===-1).reduce((u,m)=>(u.add(m),u),new Set),l=new Set;for(const u of n)if(!r.has(u)){const m=s.get(u).map(d=>Object.assign(Object.assign({},d),{key:t[d.key]})),p=i.get(u).map(d=>Object.assign(Object.assign({},d),{key:t[d.key]}));I(m,p)||l.add(u)}return{added:h,removed:r,updated:l}}function I(s,i){return!(!_.equals(s.filter(({command:t})=>t[0]!=="-"),i.filter(({command:t})=>t[0]!=="-"),(t,n)=>w(t,n))||!_.equals(s.filter(({command:t})=>t[0]==="-"),i.filter(({command:t})=>t[0]==="-"),(t,n)=>w(t,n)))}function w(s,i){if(s.command!==i.command||s.key!==i.key)return!1;const t=R.ContextKeyExpr.deserialize(s.when),n=R.ContextKeyExpr.deserialize(i.when);return!(t&&!n||!t&&n||t&&n&&!t.equals(n)||!v.equals(s.args,i.args))}function b(s,i,t){for(const n of i)s=P.edit(s,[-1],n,t);return s}function g(s,i,t){const n=A(s);for(let o=n.length-1;o>=0;o--)(n[o].command===i||n[o].command===`-${i}`)&&(s=P.edit(s,[o],void 0,t));return s}function c(s,i,t,n){const o=A(s),h=o.findIndex(r=>r.command===i||r.command===`-${i}`);for(let r=o.length-1;r>=0;r--)(o[r].command===i||o[r].command===`-${i}`)&&(s=P.edit(s,[r],void 0,n));for(let r=t.length-1;r>=0;r--)s=P.edit(s,[h],t[r],n);return s}}),define(ee[177],te([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.areSame=e.merge=void 0;function v(R,P,A){const y={},E={},D=new Set;if(!P)return{local:{added:y,updated:E,removed:[...D.values()]},remote:{added:R,updated:{},removed:[]},conflicts:[]};const f=k(R,P);if(f.added.size===0&&f.removed.size===0&&f.updated.size===0)return{local:{added:y,updated:E,removed:[...D.values()]},remote:{added:{},updated:{},removed:[]},conflicts:[]};const S=k(A,R),C=k(A,P),a={},I={},w=new Set,b=new Set;for(const g of S.removed.values())C.updated.has(g)?y[g]=P[g]:w.add(g);for(const g of C.removed.values())b.has(g)||(S.updated.has(g)?b.add(g):D.add(g));for(const g of S.updated.values())b.has(g)||(C.updated.has(g)?f.updated.has(g)&&b.add(g):I[g]=R[g]);for(const g of C.updated.values())b.has(g)||(S.updated.has(g)?f.updated.has(g)&&b.add(g):R[g]!==void 0&&(E[g]=P[g]));for(const g of S.added.values())b.has(g)||(C.added.has(g)?f.updated.has(g)&&b.add(g):a[g]=R[g]);for(const g of C.added.values())b.has(g)||(S.added.has(g)?f.updated.has(g)&&b.add(g):y[g]=P[g]);return{local:{added:y,removed:[...D.values()],updated:E},remote:{added:a,removed:[...w.values()],updated:I},conflicts:[...b.values()]}}e.merge=v;function k(R,P){const A=R?Object.keys(R):[],y=P?Object.keys(P):[],E=y.filter(S=>A.indexOf(S)===-1).reduce((S,C)=>(S.add(C),S),new Set),D=A.filter(S=>y.indexOf(S)===-1).reduce((S,C)=>(S.add(C),S),new Set),f=new Set;for(const S of A)if(!D.has(S)){const C=R[S],a=P[S];C!==a&&f.add(S)}return{added:E,removed:D,updated:f}}function _(R,P){const{added:A,removed:y,updated:E}=k(R,P);return A.size===0&&y.size===0&&E.size===0}e.areSame=_}),define(ee[20],te([0,1,4,28,35,39,123,78,18,17,15]),function(H,e,v,k,_,R,P,A,y,E,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSyncResourceFromLocalPreview=e.PREVIEW_DIR_NAME=e.USER_DATA_SYNC_SCHEME=e.IUserDataSyncLogService=e.IUserDataSyncUtilService=e.IUserDataAutoSyncService=e.IUserDataAutoSyncEnablementService=e.IUserDataSyncService=e.IUserDataSyncResourceEnablementService=e.getEnablementKey=e.SYNC_SERVICE_URL_TYPE=e.MergeState=e.Change=e.SyncStatus=e.UserDataAutoSyncError=e.UserDataSyncStoreError=e.UserDataSyncError=e.UserDataSyncErrorCode=e.createSyncHeaders=e.HEADER_EXECUTION_ID=e.HEADER_OPERATION_ID=e.IUserDataSyncBackupStoreService=e.IUserDataSyncStoreService=e.IUserDataSyncStoreManagementService=e.ALL_SYNC_RESOURCES=e.SyncResource=e.isAuthenticationProvider=e.registerConfiguration=e.getDefaultIgnoredSettings=e.getDisallowedIgnoredSettings=e.CONFIGURATION_SYNC_STORE_KEY=void 0,e.CONFIGURATION_SYNC_STORE_KEY="configurationSync.store";function f(){const r=_.Registry.as(R.Extensions.Configuration).getConfigurationProperties();return Object.keys(r).filter(l=>!!r[l].disallowSyncIgnore)}e.getDisallowedIgnoredSettings=f;function S(){const r=_.Registry.as(R.Extensions.Configuration).getConfigurationProperties(),l=Object.keys(r).filter(p=>!!r[p].ignoreSync),u=Object.keys(r).filter(p=>r[p].scope===2||r[p].scope===6),m=f();return E.distinct([e.CONFIGURATION_SYNC_STORE_KEY,...l,...u,...m])}e.getDefaultIgnoredSettings=S;function C(){const r="vscode://schemas/ignoredSettings",l=_.Registry.as(R.Extensions.Configuration);l.registerConfiguration({id:"settingsSync",order:30,title:P.localize(0,null),type:"object",properties:{"settingsSync.keybindingsPerPlatform":{type:"boolean",description:P.localize(1,null),default:!0,scope:1,tags:["sync","usesOnlineServices"]},"settingsSync.ignoredExtensions":{type:"array",markdownDescription:P.localize(2,null),items:[{type:"string",pattern:k.EXTENSION_IDENTIFIER_PATTERN,errorMessage:P.localize(3,null)}],default:[],scope:1,uniqueItems:!0,disallowSyncIgnore:!0,tags:["sync","usesOnlineServices"]},"settingsSync.ignoredSettings":{type:"array",description:P.localize(4,null),default:[],scope:1,$ref:r,additionalProperties:!0,uniqueItems:!0,disallowSyncIgnore:!0,tags:["sync","usesOnlineServices"]}}});const u=_.Registry.as(A.Extensions.JSONContribution),m=()=>{const p=f(),d=S().filter(B=>B!==e.CONFIGURATION_SYNC_STORE_KEY),O=Object.keys(R.allSettings.properties).filter(B=>d.indexOf(B)===-1),U=d.filter(B=>p.indexOf(B)===-1),j={items:{type:"string",enum:[...O,...U.map(B=>`-${B}`)]}};u.registerSchema(r,j)};return l.onDidUpdateConfiguration(()=>m())}e.registerConfiguration=C;function a(r){return r&&D.isObject(r)&&D.isString(r.id)&&D.isArray(r.scopes)}e.isAuthenticationProvider=a;var I;(function(r){r.Settings="settings",r.Keybindings="keybindings",r.Snippets="snippets",r.Extensions="extensions",r.GlobalState="globalState"})(I=e.SyncResource||(e.SyncResource={})),e.ALL_SYNC_RESOURCES=["settings","keybindings","snippets","extensions","globalState"],e.IUserDataSyncStoreManagementService=v.createDecorator("IUserDataSyncStoreManagementService"),e.IUserDataSyncStoreService=v.createDecorator("IUserDataSyncStoreService"),e.IUserDataSyncBackupStoreService=v.createDecorator("IUserDataSyncBackupStoreService"),e.HEADER_OPERATION_ID="x-operation-id",e.HEADER_EXECUTION_ID="X-Execution-Id";function w(r){const l={};return l[e.HEADER_EXECUTION_ID]=r,l}e.createSyncHeaders=w;var b;(function(r){r.Unauthorized="Unauthorized",r.Conflict="Conflict",r.Gone="Gone",r.PreconditionFailed="PreconditionFailed",r.TooLarge="TooLarge",r.UpgradeRequired="UpgradeRequired",r.PreconditionRequired="PreconditionRequired",r.TooManyRequests="RemoteTooManyRequests",r.TooManyRequestsAndRetryAfter="TooManyRequestsAndRetryAfter",r.RequestFailed="RequestFailed",r.RequestCanceled="RequestCanceled",r.RequestTimeout="RequestTimeout",r.NoRef="NoRef",r.TurnedOff="TurnedOff",r.SessionExpired="SessionExpired",r.ServiceChanged="ServiceChanged",r.DefaultServiceChanged="DefaultServiceChanged",r.LocalTooManyRequests="LocalTooManyRequests",r.LocalPreconditionFailed="LocalPreconditionFailed",r.LocalInvalidContent="LocalInvalidContent",r.LocalError="LocalError",r.IncompatibleLocalContent="IncompatibleLocalContent",r.IncompatibleRemoteContent="IncompatibleRemoteContent",r.UnresolvedConflicts="UnresolvedConflicts",r.Unknown="Unknown"})(b=e.UserDataSyncErrorCode||(e.UserDataSyncErrorCode={}));class g extends Error{constructor(l,u,m,p){super(l);this.code=u,this.resource=m,this.operationId=p,this.name=`${this.code} (UserDataSyncError) syncResource:${this.resource||"unknown"} operationId:${this.operationId||"unknown"}`}}e.UserDataSyncError=g;class c extends g{constructor(l,u,m,p){super(l,m,void 0,p);this.url=u,this.operationId=p}}e.UserDataSyncStoreError=c;class s extends g{constructor(l,u){super(l,u)}}e.UserDataAutoSyncError=s,function(r){function l(u){if(u instanceof r)return u;const m=/^(.+) \(UserDataSyncError\) syncResource:(.+) operationId:(.+)$/.exec(u.name);if(m&&m[1]){const p=m[2]==="unknown"?void 0:m[2],d=m[3]==="unknown"?void 0:m[3];return new r(u.message,m[1],p,d)}return new r(u.message,b.Unknown)}r.toUserDataSyncError=l}(g=e.UserDataSyncError||(e.UserDataSyncError={}));var i;(function(r){r.Uninitialized="uninitialized",r.Idle="idle",r.Syncing="syncing",r.HasConflicts="hasConflicts"})(i=e.SyncStatus||(e.SyncStatus={}));var t;(function(r){r[r.None=0]="None",r[r.Added=1]="Added",r[r.Modified=2]="Modified",r[r.Deleted=3]="Deleted"})(t=e.Change||(e.Change={}));var n;(function(r){r.Preview="preview",r.Conflict="conflict",r.Accepted="accepted"})(n=e.MergeState||(e.MergeState={})),e.SYNC_SERVICE_URL_TYPE="sync.store.url.type";function o(r){return`sync.enable.${r}`}e.getEnablementKey=o,e.IUserDataSyncResourceEnablementService=v.createDecorator("IUserDataSyncResourceEnablementService"),e.IUserDataSyncService=v.createDecorator("IUserDataSyncService"),e.IUserDataAutoSyncEnablementService=v.createDecorator("IUserDataAutoSyncEnablementService"),e.IUserDataAutoSyncService=v.createDecorator("IUserDataAutoSyncService"),e.IUserDataSyncUtilService=v.createDecorator("IUserDataSyncUtilService"),e.IUserDataSyncLogService=v.createDecorator("IUserDataSyncLogService"),e.USER_DATA_SYNC_SCHEME="vscode-userdata-sync",e.PREVIEW_DIR_NAME="preview";function h(r,l){if(r.scheme!==e.USER_DATA_SYNC_SCHEME)return r=r.with({scheme:l.userDataSyncHome.scheme}),e.ALL_SYNC_RESOURCES.filter(u=>y.isEqualOrParent(r,y.joinPath(l.userDataSyncHome,u,e.PREVIEW_DIR_NAME)))[0]}e.getSyncResourceFromLocalPreview=h}),define(ee[45],te([0,1,2,10,22,7,20,9,18,5,3,26,32,119,25,15,21,17,44,19,29]),function(H,e,v,k,_,R,P,A,y,E,D,f,S,C,a,I,w,b,g,c,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractInitializer=e.AbstractJsonFileSynchroniser=e.AbstractFileSynchroniser=e.AbstractSynchroniser=e.isSyncData=void 0;function i(l){return!!(l&&l.version!==void 0&&typeof l.version=="number"&&l.content!==void 0&&typeof l.content=="string"&&(Object.keys(l).length===2||Object.keys(l).length===3&&l.machineId!==void 0&&typeof l.machineId=="string"))}e.isSyncData=i;function t(l,u,m){return m.joinPath(u.userDataSyncHome,l,`lastSync${l}.json`)}let n=class extends v.Disposable{constructor(u,m,p,d,O,U,j,B,V,q){super();this.resource=u,this.fileService=m,this.environmentService=p,this.userDataSyncStoreService=O,this.userDataSyncBackupStoreService=U,this.userDataSyncResourceEnablementService=j,this.telemetryService=B,this.logService=V,this.configurationService=q,this.syncPreviewPromise=null,this._status="idle",this._onDidChangStatus=this._register(new D.Emitter),this.onDidChangeStatus=this._onDidChangStatus.event,this._conflicts=[],this._onDidChangeConflicts=this._register(new D.Emitter),this.onDidChangeConflicts=this._onDidChangeConflicts.event,this.localChangeTriggerScheduler=new E.RunOnceScheduler(()=>this.doTriggerLocalChange(),50),this._onDidChangeLocal=this._register(new D.Emitter),this.onDidChangeLocal=this._onDidChangeLocal.event,this.syncHeaders={},this.syncResourceLogLabel=w.uppercaseFirstLetter(this.resource),this.extUri=this.fileService.hasCapability(p.userDataSyncHome,1024)?y.extUri:y.extUriIgnorePathCase,this.syncFolder=this.extUri.joinPath(p.userDataSyncHome,u),this.syncPreviewFolder=this.extUri.joinPath(this.syncFolder,P.PREVIEW_DIR_NAME),this.lastSyncResource=t(u,p,this.extUri),this.currentMachineIdPromise=g.getServiceMachineId(p,m,d)}get status(){return this._status}get conflicts(){return this._conflicts}isEnabled(){return this.userDataSyncResourceEnablementService.isResourceEnabled(this.resource)}async triggerLocalChange(){this.isEnabled()&&this.localChangeTriggerScheduler.schedule()}async doTriggerLocalChange(){if(this.status==="hasConflicts"){this.logService.info(`${this.syncResourceLogLabel}: In conflicts state and local change detected. Syncing again...`);const u=await this.syncPreviewPromise;this.syncPreviewPromise=null;const m=await this.performSync(u.remoteUserData,u.lastSyncUserData,!0);this.setStatus(m)}else{this.logService.trace(`${this.syncResourceLogLabel}: Checking for local changes...`);const u=await this.getLastSyncUserData();(u?(await this.doGenerateSyncResourcePreview(u,u,!0,s.CancellationToken.None)).resourcePreviews.some(({remoteChange:p})=>p!==0):!0)&&this._onDidChangeLocal.fire()}}setStatus(u){if(this._status!==u){const m=this._status;u==="hasConflicts"&&this.telemetryService.publicLog2("sync/conflictsDetected",{source:this.resource}),m==="hasConflicts"&&u==="idle"&&this.telemetryService.publicLog2("sync/conflictsResolved",{source:this.resource}),this._status=u,this._onDidChangStatus.fire(u)}}async sync(u,m={}){await this._sync(u,!0,m)}async preview(u,m={}){return this._sync(u,!1,m)}async apply(u,m={}){try{this.syncHeaders=Object.assign({},m);const p=await this.doApply(u);return this.setStatus(p),this.syncPreviewPromise}finally{this.syncHeaders={}}}async _sync(u,m,p){try{if(this.syncHeaders=Object.assign({},p),!this.isEnabled())return this.status!=="idle"&&await this.stop(),this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing ${this.resource.toLowerCase()} as it is disabled.`),null;if(this.status==="hasConflicts")return this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing ${this.resource.toLowerCase()} as there are conflicts.`),this.syncPreviewPromise;if(this.status==="syncing")return this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing ${this.resource.toLowerCase()} as it is running already.`),this.syncPreviewPromise;this.logService.trace(`${this.syncResourceLogLabel}: Started synchronizing ${this.resource.toLowerCase()}...`),this.setStatus("syncing");let d="idle";try{const O=await this.getLastSyncUserData(),U=await this.getLatestRemoteUserData(u,O);return d=await this.performSync(U,O,m),d==="hasConflicts"?this.logService.info(`${this.syncResourceLogLabel}: Detected conflicts while synchronizing ${this.resource.toLowerCase()}.`):d==="idle"&&this.logService.trace(`${this.syncResourceLogLabel}: Finished synchronizing ${this.resource.toLowerCase()}.`),this.syncPreviewPromise||null}finally{this.setStatus(d)}}finally{this.syncHeaders={}}}async replace(u){const m=await this.resolveContent(u);if(!m)return!1;const p=this.parseSyncData(m);if(!p)return!1;await this.stop();try{this.logService.trace(`${this.syncResourceLogLabel}: Started resetting ${this.resource.toLowerCase()}...`),this.setStatus("syncing");const d=await this.getLastSyncUserData(),O=await this.getLatestRemoteUserData(null,d),U=await this.generateSyncPreview({ref:O.ref,syncData:p},d,s.CancellationToken.None),j=[];for(const B of U){const V=await this.getAcceptResult(B,B.remoteResource,void 0,s.CancellationToken.None),{remoteChange:q}=await this.getAcceptResult(B,B.previewResource,B.remoteContent,s.CancellationToken.None);j.push([B,Object.assign(Object.assign({},V),{remoteChange:q!==0?q:2})])}await this.applyResult(O,d,j,!1),this.logService.info(`${this.syncResourceLogLabel}: Finished resetting ${this.resource.toLowerCase()}.`)}finally{this.setStatus("idle")}return!0}async getLatestRemoteUserData(u,m){if(m){const p=u&&u.latest?u.latest[this.resource]:void 0;if(m.ref===p||p===void 0&&m.syncData===null)return m}return this.getRemoteUserData(m)}async performSync(u,m,p){if(u.syncData&&u.syncData.version>this.version)throw this.telemetryService.publicLog2("sync/incompatible",{source:this.resource}),new P.UserDataSyncError(C.localize(0,null,this.resource,this.version,u.syncData.version),P.UserDataSyncErrorCode.IncompatibleLocalContent,this.resource);try{return await this.doSync(u,m,p)}catch(d){if(d instanceof P.UserDataSyncError)switch(d.code){case P.UserDataSyncErrorCode.LocalPreconditionFailed:return this.logService.info(`${this.syncResourceLogLabel}: Failed to synchronize ${this.syncResourceLogLabel} as there is a new local version available. Synchronizing again...`),this.performSync(u,m,p);case P.UserDataSyncErrorCode.Conflict:case P.UserDataSyncErrorCode.PreconditionFailed:return this.logService.info(`${this.syncResourceLogLabel}: Failed to synchronize as there is a new remote version available. Synchronizing again...`),u=await this.getRemoteUserData(null),m=await this.getLastSyncUserData(),this.performSync(u,m,p)}throw d}}async doSync(u,m,p){try{this.syncPreviewPromise||(this.syncPreviewPromise=E.createCancelablePromise(O=>this.doGenerateSyncResourcePreview(u,m,p,O)));const d=await this.syncPreviewPromise;return this.updateConflicts(d.resourcePreviews),d.resourcePreviews.some(({mergeState:O})=>O==="conflict")?"hasConflicts":p?await this.doApply(!1):"syncing"}catch(d){throw this.syncPreviewPromise=null,d}}async merge(u){return await this.updateSyncResourcePreview(u,async m=>{const p=await this.getMergeResult(m,s.CancellationToken.None);await this.fileService.writeFile(m.previewResource,_.VSBuffer.fromString((p==null?void 0:p.content)||""));const d=p&&!p.hasConflicts?await this.getAcceptResult(m,m.previewResource,void 0,s.CancellationToken.None):void 0;return m.acceptResult=d,m.mergeState=p.hasConflicts?"conflict":d?"accepted":"preview",m.localChange=d?d.localChange:p.localChange,m.remoteChange=d?d.remoteChange:p.remoteChange,m}),this.syncPreviewPromise}async accept(u,m){return await this.updateSyncResourcePreview(u,async p=>{const d=await this.getAcceptResult(p,u,m,s.CancellationToken.None);return p.acceptResult=d,p.mergeState="accepted",p.localChange=d.localChange,p.remoteChange=d.remoteChange,p}),this.syncPreviewPromise}async discard(u){return await this.updateSyncResourcePreview(u,async m=>{const p=await this.getMergeResult(m,s.CancellationToken.None);return await this.fileService.writeFile(m.previewResource,_.VSBuffer.fromString(p.content||"")),m.acceptResult=void 0,m.mergeState="preview",m.localChange=p.localChange,m.remoteChange=p.remoteChange,m}),this.syncPreviewPromise}async updateSyncResourcePreview(u,m){if(!!this.syncPreviewPromise){let p=await this.syncPreviewPromise;const d=p.resourcePreviews.findIndex(({localResource:O,remoteResource:U,previewResource:j})=>this.extUri.isEqual(O,u)||this.extUri.isEqual(U,u)||this.extUri.isEqual(j,u));d!==-1&&(this.syncPreviewPromise=E.createCancelablePromise(async O=>{const U=[...p.resourcePreviews];return U[d]=await m(U[d]),Object.assign(Object.assign({},p),{resourcePreviews:U})}),p=await this.syncPreviewPromise,this.updateConflicts(p.resourcePreviews),p.resourcePreviews.some(({mergeState:O})=>O==="conflict")?this.setStatus("hasConflicts"):this.setStatus("syncing"))}}async doApply(u){if(!this.syncPreviewPromise)return"idle";const m=await this.syncPreviewPromise;return m.resourcePreviews.some(({mergeState:p})=>p==="conflict")?"hasConflicts":m.resourcePreviews.some(({mergeState:p})=>p!=="accepted")?"syncing":(await this.applyResult(m.remoteUserData,m.lastSyncUserData,m.resourcePreviews.map(p=>[p,p.acceptResult]),u),this.syncPreviewPromise=null,await this.clearPreviewFolder(),"idle")}async clearPreviewFolder(){try{await this.fileService.del(this.syncPreviewFolder,{recursive:!0})}catch(u){}}updateConflicts(u){const m=u.filter(({mergeState:p})=>p==="conflict");b.equals(this._conflicts,m,(p,d)=>this.extUri.isEqual(p.previewResource,d.previewResource))||(this._conflicts=m,this._onDidChangeConflicts.fire(m))}async hasPreviouslySynced(){return!!await this.getLastSyncUserData()}async getRemoteSyncResourceHandles(){return(await this.userDataSyncStoreService.getAllRefs(this.resource)).map(({created:m,ref:p})=>({created:m,uri:this.toRemoteBackupResource(p)}))}async getLocalSyncResourceHandles(){return(await this.userDataSyncBackupStoreService.getAllRefs(this.resource)).map(({created:m,ref:p})=>({created:m,uri:this.toLocalBackupResource(p)}))}toRemoteBackupResource(u){return R.URI.from({scheme:P.USER_DATA_SYNC_SCHEME,authority:"remote-backup",path:`/${this.resource}/${u}`})}toLocalBackupResource(u){return R.URI.from({scheme:P.USER_DATA_SYNC_SCHEME,authority:"local-backup",path:`/${this.resource}/${u}`})}async getMachineId({uri:u}){const m=this.extUri.basename(u);if(this.extUri.isEqual(u,this.toRemoteBackupResource(m))){const{content:p}=await this.getUserData(m);if(p){const d=this.parseSyncData(p);return d==null?void 0:d.machineId}}}async resolveContent(u){const m=this.extUri.basename(u);if(this.extUri.isEqual(u,this.toRemoteBackupResource(m))){const{content:p}=await this.getUserData(m);return p}return this.extUri.isEqual(u,this.toLocalBackupResource(m))?this.userDataSyncBackupStoreService.resolveContent(this.resource,m):null}async resolvePreviewContent(u){const m=this.syncPreviewPromise?await this.syncPreviewPromise:null;if(m)for(const p of m.resourcePreviews){if(this.extUri.isEqual(p.acceptedResource,u))return p.acceptResult?p.acceptResult.content:null;if(this.extUri.isEqual(p.remoteResource,u))return p.remoteContent;if(this.extUri.isEqual(p.localResource,u))return p.localContent}return null}async resetLocal(){try{await this.fileService.del(this.lastSyncResource)}catch(u){}}async doGenerateSyncResourcePreview(u,m,p,d){var O;const U=await this.currentMachineIdPromise,j=!!((O=u.syncData)===null||O===void 0?void 0:O.machineId)&&u.syncData.machineId===U,B=m===null&&j?u:m,V=await this.generateSyncPreview(u,B,d),q=[];for(const G of V){const Q=G.previewResource.with({scheme:P.USER_DATA_SYNC_SCHEME,authority:"accepted"});if(G.localChange===0&&G.remoteChange===0)q.push(Object.assign(Object.assign({},G),{acceptedResource:Q,acceptResult:{content:null,localChange:0,remoteChange:0},mergeState:"accepted"}));else{const $=p?await this.getMergeResult(G,d):void 0;if(d.isCancellationRequested)break;await this.fileService.writeFile(G.previewResource,_.VSBuffer.fromString(($==null?void 0:$.content)||""));const N=$&&!$.hasConflicts?await this.getAcceptResult(G,G.previewResource,void 0,d):void 0;q.push(Object.assign(Object.assign({},G),{acceptResult:N,mergeState:($==null?void 0:$.hasConflicts)?"conflict":N?"accepted":"preview",localChange:N?N.localChange:$?$.localChange:G.localChange,remoteChange:N?N.remoteChange:$?$.remoteChange:G.remoteChange}))}}return{remoteUserData:u,lastSyncUserData:m,resourcePreviews:q,isLastSyncFromCurrentMachine:j}}async getLastSyncUserData(){try{const u=await this.fileService.readFile(this.lastSyncResource),m=JSON.parse(u.value.toString()),p=m;if(p.content===null)return{ref:m.ref,syncData:null};const d=JSON.parse(p.content);if(i(d))return Object.assign(Object.assign({},m),{syncData:d,content:void 0})}catch(u){u instanceof k.FileOperationError&&u.fileOperationResult===1||this.logService.error(u)}return null}async updateLastSyncUserData(u,m={}){const p=Object.assign({ref:u.ref,content:u.syncData?JSON.stringify(u.syncData):null},m);await this.fileService.writeFile(this.lastSyncResource,_.VSBuffer.fromString(JSON.stringify(p)))}async getRemoteUserData(u){const{ref:m,content:p}=await this.getUserData(u);let d=null;return p!==null&&(d=this.parseSyncData(p)),{ref:m,syncData:d}}parseSyncData(u){try{const m=JSON.parse(u);if(i(m))return m}catch(m){this.logService.error(m)}throw new P.UserDataSyncError(C.localize(1,null),P.UserDataSyncErrorCode.IncompatibleRemoteContent,this.resource)}async getUserData(u){if(I.isString(u)){const m=await this.userDataSyncStoreService.resolveContent(this.resource,u);return{ref:u,content:m}}else{const m=u?{ref:u.ref,content:u.syncData?JSON.stringify(u.syncData):null}:null;return this.userDataSyncStoreService.read(this.resource,m,this.syncHeaders)}}async updateRemoteUserData(u,m){const p=await this.currentMachineIdPromise,d={version:this.version,machineId:p,content:u};return m=await this.userDataSyncStoreService.write(this.resource,JSON.stringify(d),m,this.syncHeaders),{ref:m,syncData:d}}async backupLocal(u){const m={version:this.version,content:u};return this.userDataSyncBackupStoreService.backup(this.resource,JSON.stringify(m))}async stop(){this.status!=="idle"&&(this.logService.trace(`${this.syncResourceLogLabel}: Stopping synchronizing ${this.resource.toLowerCase()}.`),this.syncPreviewPromise&&(this.syncPreviewPromise.cancel(),this.syncPreviewPromise=null),this.updateConflicts([]),await this.clearPreviewFolder(),this.setStatus("idle"),this.logService.info(`${this.syncResourceLogLabel}: Stopped synchronizing ${this.resource.toLowerCase()}.`))}};n=he([Y(1,k.IFileService),Y(2,A.IEnvironmentService),Y(3,c.IStorageService),Y(4,P.IUserDataSyncStoreService),Y(5,P.IUserDataSyncBackupStoreService),Y(6,P.IUserDataSyncResourceEnablementService),Y(7,f.ITelemetryService),Y(8,P.IUserDataSyncLogService),Y(9,a.IConfigurationService)],n),e.AbstractSynchroniser=n;let o=class extends n{constructor(u,m,p,d,O,U,j,B,V,q,G){super(m,p,d,O,U,j,B,V,q,G);this.file=u,this._register(this.fileService.watch(this.extUri.dirname(u))),this._register(this.fileService.onDidFilesChange(Q=>this.onFileChanges(Q)))}async getLocalFileContent(){try{return await this.fileService.readFile(this.file)}catch(u){return null}}async updateLocalFileContent(u,m,p){try{m?await this.fileService.writeFile(this.file,_.VSBuffer.fromString(u),p?void 0:m):await this.fileService.createFile(this.file,_.VSBuffer.fromString(u),{overwrite:p})}catch(d){throw d instanceof k.FileOperationError&&d.fileOperationResult===1||d instanceof k.FileOperationError&&d.fileOperationResult===3?new P.UserDataSyncError(d.message,P.UserDataSyncErrorCode.LocalPreconditionFailed):d}}onFileChanges(u){!u.contains(this.file)||this.triggerLocalChange()}};o=he([Y(2,k.IFileService),Y(3,A.IEnvironmentService),Y(4,c.IStorageService),Y(5,P.IUserDataSyncStoreService),Y(6,P.IUserDataSyncBackupStoreService),Y(7,P.IUserDataSyncResourceEnablementService),Y(8,f.ITelemetryService),Y(9,P.IUserDataSyncLogService),Y(10,a.IConfigurationService)],o),e.AbstractFileSynchroniser=o;let h=class extends o{constructor(u,m,p,d,O,U,j,B,V,q,G,Q){super(u,m,p,d,O,U,j,B,V,q,Q);this.userDataSyncUtilService=G,this._formattingOptions=void 0}hasErrors(u){const m=[];return S.parse(u,m,{allowEmptyContent:!0,allowTrailingComma:!0}),m.length>0}getFormattingOptions(){return this._formattingOptions||(this._formattingOptions=this.userDataSyncUtilService.resolveFormattingOptions(this.file)),this._formattingOptions}};h=he([Y(2,k.IFileService),Y(3,A.IEnvironmentService),Y(4,c.IStorageService),Y(5,P.IUserDataSyncStoreService),Y(6,P.IUserDataSyncBackupStoreService),Y(7,P.IUserDataSyncResourceEnablementService),Y(8,f.ITelemetryService),Y(9,P.IUserDataSyncLogService),Y(10,P.IUserDataSyncUtilService),Y(11,a.IConfigurationService)],h),e.AbstractJsonFileSynchroniser=h;let r=class{constructor(u,m,p,d){this.resource=u,this.environmentService=m,this.logService=p,this.fileService=d,this.extUri=this.fileService.hasCapability(m.userDataSyncHome,1024)?y.extUri:y.extUriIgnorePathCase,this.lastSyncResource=t(this.resource,m,y.extUri)}async initialize({ref:u,content:m}){if(!m){this.logService.info("Remote content does not exist.",this.resource);return}const p=this.parseSyncData(m);if(!!p){if(await this.fileService.exists(this.lastSyncResource)){this.logService.info("Remote content does not exist.",this.resource);return}try{await this.doInitialize({ref:u,syncData:p})}catch(O){this.logService.error(O)}}}parseSyncData(u){try{const m=JSON.parse(u);if(i(m))return m}catch(m){this.logService.error(m)}this.logService.info("Cannot parse sync data as it is not compatible with the current version.",this.resource)}async updateLastSyncUserData(u,m={}){const p=Object.assign({ref:u.ref,content:u.syncData?JSON.stringify(u.syncData):null},m);await this.fileService.writeFile(this.lastSyncResource,_.VSBuffer.fromString(JSON.stringify(p)))}};r=he([Y(1,A.IEnvironmentService),Y(2,P.IUserDataSyncLogService),Y(3,k.IFileService)],r),e.AbstractInitializer=r}),define(ee[178],te([0,1,20,3,9,28,34,10,25,175,45,26,7,46,41,21,19,29,81,14,80,5]),function(H,e,v,k,_,R,P,A,y,E,D,f,S,C,a,I,w,b,g,c,s,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsInitializer=e.ExtensionsSynchroniser=void 0;async function t(l,u){const m=JSON.parse(l.content);if(l.version===1||l.version===2){const p=(await u.getInstalled(0)).filter(d=>d.isBuiltin);for(const d of m)l.version===1&&(d.enabled===!1&&(d.disabled=!0),delete d.enabled),l.version===2&&p.every(O=>!P.areSameExtensions(O.identifier,d.identifier))&&(d.installed=!0)}return m}function n(l,u,m){const p=m.get(P.getExtensionId(l,u),0)||"{}";return JSON.parse(p)}function o(l,u,m,p){p.store(P.getExtensionId(l,u),JSON.stringify(m),0,1)}let h=class it extends D.AbstractSynchroniser{constructor(u,m,p,d,O,U,j,B,V,q,G,Q,$,N){super("extensions",m,u,p,d,O,Q,$,V,G);this.storageService=p,this.extensionManagementService=U,this.extensionEnablementService=j,this.ignoredExtensionsManagementService=B,this.extensionGalleryService=q,this.extensionsStorageSyncService=N,this.version=5,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"extensions.json"),this.localResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._register(k.Event.debounce(k.Event.any(k.Event.filter(this.extensionManagementService.onDidInstallExtension,T=>!!T.gallery),k.Event.filter(this.extensionManagementService.onDidUninstallExtension,T=>!T.error),this.extensionEnablementService.onDidChangeEnablement,this.extensionsStorageSyncService.onDidChangeExtensionsStorage),()=>{},500)(()=>this.triggerLocalChange()))}isEnabled(){return super.isEnabled()&&this.extensionGalleryService.isEnabled()}async generateSyncPreview(u,m){const p=u.syncData?await t(u.syncData,this.extensionManagementService):null,d=(m==null?void 0:m.skippedExtensions)||[],O=(m==null?void 0:m.syncData)?await t(m.syncData,this.extensionManagementService):null,U=await this.extensionManagementService.getInstalled(),j=this.getLocalExtensions(U),B=this.ignoredExtensionsManagementService.getIgnoredExtensions(U);p?this.logService.trace(`${this.syncResourceLogLabel}: Merging remote extensions with local extensions...`):this.logService.trace(`${this.syncResourceLogLabel}: Remote extensions does not exist. Synchronizing extensions for the first time.`);const{added:V,removed:q,updated:G,remote:Q}=E.merge(j,p,O,d,B),$={added:V,removed:q,updated:G,remote:Q,content:this.getPreviewContent(j,V,G,q),localChange:V.length>0||q.length>0||G.length>0?2:0,remoteChange:Q!==null?2:0};return[{skippedExtensions:d,localResource:this.localResource,localContent:this.format(j),localExtensions:j,remoteResource:this.remoteResource,remoteContent:p?this.format(p):null,previewResource:this.previewResource,previewResult:$,localChange:$.localChange,remoteChange:$.remoteChange,acceptedResource:this.acceptedResource}]}getPreviewContent(u,m,p,d){const O=[...m,...p],U=new Set,j=B=>{U.add(B.id.toLowerCase()),B.uuid&&U.add(B.uuid)};O.forEach(({identifier:B})=>j(B)),d.forEach(j);for(const B of u)U.has(B.identifier.id.toLowerCase())||B.identifier.uuid&&U.has(B.identifier.uuid)||O.push(B);return this.format(O)}async getMergeResult(u,m){return Object.assign(Object.assign({},u.previewResult),{hasConflicts:!1})}async getAcceptResult(u,m,p,d){if(this.extUri.isEqual(m,this.localResource))return this.acceptLocal(u);if(this.extUri.isEqual(m,this.remoteResource))return this.acceptRemote(u);if(this.extUri.isEqual(m,this.previewResource))return u.previewResult;throw new Error(`Invalid Resource: ${m.toString()}`)}async acceptLocal(u){const m=await this.extensionManagementService.getInstalled(),p=this.ignoredExtensionsManagementService.getIgnoredExtensions(m),d=E.merge(u.localExtensions,null,null,u.skippedExtensions,p),{added:O,removed:U,updated:j,remote:B}=d;return{content:u.localContent,added:O,removed:U,updated:j,remote:B,localChange:O.length>0||U.length>0||j.length>0?2:0,remoteChange:B!==null?2:0}}async acceptRemote(u){const m=await this.extensionManagementService.getInstalled(),p=this.ignoredExtensionsManagementService.getIgnoredExtensions(m),d=u.remoteContent?JSON.parse(u.remoteContent):null;if(d!==null){const O=E.merge(u.localExtensions,d,u.localExtensions,[],p),{added:U,removed:j,updated:B,remote:V}=O;return{content:u.remoteContent,added:U,removed:j,updated:B,remote:V,localChange:U.length>0||j.length>0||B.length>0?2:0,remoteChange:V!==null?2:0}}else return{content:u.remoteContent,added:[],removed:[],updated:[],remote:null,localChange:0,remoteChange:0}}async applyResult(u,m,p,d){let{skippedExtensions:O,localExtensions:U}=p[0][0],{added:j,removed:B,updated:V,remote:q,localChange:G,remoteChange:Q}=p[0][1];if(G===0&&Q===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing extensions.`),G!==0&&(await this.backupLocal(JSON.stringify(U)),O=await this.updateLocalExtensions(j,B,V,O)),q){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote extensions...`);const $=JSON.stringify(q);u=await this.updateRemoteUserData($,d?null:u.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote extensions`)}(m==null?void 0:m.ref)!==u.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized extensions...`),await this.updateLastSyncUserData(u,{skippedExtensions:O}),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized extensions`))}async getAssociatedResources({uri:u}){return[{resource:this.extUri.joinPath(u,"extensions.json"),comparableResource:it.EXTENSIONS_DATA_URI}]}async resolveContent(u){if(this.extUri.isEqual(u,it.EXTENSIONS_DATA_URI)){const p=await this.extensionManagementService.getInstalled(),d=this.ignoredExtensionsManagementService.getIgnoredExtensions(p),O=this.getLocalExtensions(p).filter(U=>!d.some(j=>P.areSameExtensions({id:j},U.identifier)));return this.format(O)}if(this.extUri.isEqual(this.remoteResource,u)||this.extUri.isEqual(this.localResource,u)||this.extUri.isEqual(this.acceptedResource,u))return this.resolvePreviewContent(u);let m=await super.resolveContent(u);if(m)return m;if(m=await super.resolveContent(this.extUri.dirname(u)),m){const p=this.parseSyncData(m);if(p)switch(this.extUri.basename(u)){case"extensions.json":return this.format(this.parseExtensions(p))}}return null}format(u){u.sort((d,O)=>!d.identifier.uuid&&O.identifier.uuid?-1:d.identifier.uuid&&!O.identifier.uuid?1:I.compare(d.identifier.id,O.identifier.id));const m=JSON.stringify(u),p=C.format(m,void 0,{});return a.applyEdits(m,p)}async hasLocalData(){try{const u=await this.extensionManagementService.getInstalled();if(this.getLocalExtensions(u).some(p=>p.installed||p.disabled))return!0}catch(u){}return!1}async updateLocalExtensions(u,m,p,d){const O=[],U=[],j=await this.extensionManagementService.getInstalled();if(m.length){const V=j.filter(({identifier:q,isBuiltin:G})=>!G&&m.some(Q=>P.areSameExtensions(q,Q)));await i.Promises.settled(V.map(async q=>{this.logService.trace(`${this.syncResourceLogLabel}: Uninstalling local extension...`,q.identifier.id),await this.extensionManagementService.uninstall(q,{donotIncludePack:!0,donotCheckDependents:!0}),this.logService.info(`${this.syncResourceLogLabel}: Uninstalled local extension.`,q.identifier.id),O.push(q.identifier)}))}(u.length||p.length)&&await i.Promises.settled([...u,...p].map(async V=>{const q=j.find(Q=>P.areSameExtensions(Q.identifier,V.identifier));if(q&&q.isBuiltin){V.state&&q.manifest.version===V.version&&this.updateExtensionState(V.state,q.manifest.publisher,q.manifest.name,q.manifest.version),V.disabled?(this.logService.trace(`${this.syncResourceLogLabel}: Disabling extension...`,V.identifier.id),await this.extensionEnablementService.disableExtension(V.identifier),this.logService.info(`${this.syncResourceLogLabel}: Disabled extension`,V.identifier.id)):(this.logService.trace(`${this.syncResourceLogLabel}: Enabling extension...`,V.identifier.id),await this.extensionEnablementService.enableExtension(V.identifier),this.logService.info(`${this.syncResourceLogLabel}: Enabled extension`,V.identifier.id)),O.push(V.identifier);return}const G=await this.extensionGalleryService.getCompatibleExtension(V.identifier);if(V.state&&(q?q.manifest.version===V.version:!!G)){const Q=q?q.manifest.publisher:G.publisher,$=q?q.manifest.name:G.name;this.updateExtensionState(V.state,Q,$,q==null?void 0:q.manifest.version)}if(G)try{V.disabled?(this.logService.trace(`${this.syncResourceLogLabel}: Disabling extension...`,V.identifier.id,G.version),await this.extensionEnablementService.disableExtension(G.identifier),this.logService.info(`${this.syncResourceLogLabel}: Disabled extension`,V.identifier.id,G.version)):(this.logService.trace(`${this.syncResourceLogLabel}: Enabling extension...`,V.identifier.id,G.version),await this.extensionEnablementService.enableExtension(G.identifier),this.logService.info(`${this.syncResourceLogLabel}: Enabled extension`,V.identifier.id,G.version)),q||(this.logService.trace(`${this.syncResourceLogLabel}: Installing extension...`,V.identifier.id,G.version),await this.extensionManagementService.installFromGallery(G,{isMachineScoped:!1,donotIncludePackAndDependencies:!0}),this.logService.info(`${this.syncResourceLogLabel}: Installed extension.`,V.identifier.id,G.version),O.push(G.identifier))}catch(Q){U.push(V),this.logService.error(Q),this.logService.info(`${this.syncResourceLogLabel}: Skipped synchronizing extension`,G.displayName||G.identifier.id)}else U.push(V)}));const B=[];for(const V of d)O.some(q=>P.areSameExtensions(q,V.identifier))||B.push(V);for(const V of U)B.some(q=>P.areSameExtensions(q.identifier,V.identifier))||B.push(V);return B}updateExtensionState(u,m,p,d){const O=n(m,p,this.storageService),U=d?this.extensionsStorageSyncService.getKeysForSync({id:P.getGalleryExtensionId(m,p),version:d}):void 0;U?U.forEach(j=>{O[j]=u[j]}):Object.keys(u).forEach(j=>O[j]=u[j]),o(m,p,O,this.storageService)}parseExtensions(u){return JSON.parse(u.content)}getLocalExtensions(u){const m=this.extensionEnablementService.getDisabledExtensions();return u.map(({identifier:p,isBuiltin:d,manifest:O})=>{const U={identifier:p,version:O.version};m.some(j=>P.areSameExtensions(j,p))&&(U.disabled=!0),d||(U.installed=!0);try{const j=this.extensionsStorageSyncService.getKeysForSync({id:p.id,version:O.version});if(j){const B=n(O.publisher,O.name,this.storageService);U.state=Object.keys(B).reduce((V,q)=>(j.includes(q)&&(V[q]=B[q]),V),{})}}catch(j){this.logService.info(`${this.syncResourceLogLabel}: Error while parsing extension state`,c.getErrorMessage(j))}return U})}};h.EXTENSIONS_DATA_URI=S.URI.from({scheme:v.USER_DATA_SYNC_SCHEME,authority:"extensions",path:"/extensions.json"}),h=he([Y(0,_.IEnvironmentService),Y(1,A.IFileService),Y(2,w.IStorageService),Y(3,v.IUserDataSyncStoreService),Y(4,v.IUserDataSyncBackupStoreService),Y(5,R.IExtensionManagementService),Y(6,R.IGlobalExtensionEnablementService),Y(7,g.IIgnoredExtensionsManagementService),Y(8,v.IUserDataSyncLogService),Y(9,R.IExtensionGalleryService),Y(10,y.IConfigurationService),Y(11,v.IUserDataSyncResourceEnablementService),Y(12,f.ITelemetryService),Y(13,s.IExtensionsStorageSyncService)],h),e.ExtensionsSynchroniser=h;let r=class extends D.AbstractInitializer{constructor(u,m,p,d,O,U,j,B){super("extensions",j,B,U);this.extensionManagementService=u,this.galleryService=m,this.extensionEnablementService=p,this.storageService=d,this.ignoredExtensionsManagementService=O}async doInitialize(u){const m=u.syncData?await t(u.syncData,this.extensionManagementService):null;if(!m){this.logService.info("Skipping initializing extensions because remote extensions does not exist.");return}await this.initializeRemoteExtensions(m)}async initializeRemoteExtensions(u){const m=[],p=await this.extensionManagementService.getInstalled(),d=new Map,O=[],U={names:[],uuids:[]},j=[];for(const B of u)if(!this.ignoredExtensionsManagementService.hasToNeverSyncExtension(B.identifier.id)){const V=p.find(q=>P.areSameExtensions(q.identifier,B.identifier));V?(O.push({syncExtension:B,installedExtension:V}),B.disabled&&j.push(B.identifier)):B.installed&&(d.set(B.identifier.id.toLowerCase(),B),B.identifier.uuid?U.uuids.push(B.identifier.uuid):U.names.push(B.identifier.id),B.disabled&&j.push(B.identifier))}for(const{syncExtension:B,installedExtension:V}of O)if(B.state){const q=n(V.manifest.publisher,V.manifest.name,this.storageService);Object.keys(B.state).forEach(G=>q[G]=B.state[G]),o(V.manifest.publisher,V.manifest.name,q,this.storageService)}if(j.length)for(const B of j)this.logService.trace("Disabling extension...",B.id),await this.extensionEnablementService.disableExtension(B),this.logService.info("Disabling extension",B.id);if(U.names.length||U.uuids.length){const B=(await this.galleryService.query({ids:U.uuids,names:U.names,pageSize:U.uuids.length+U.names.length},b.CancellationToken.None)).firstPage;for(const V of B)try{const q=d.get(V.identifier.id.toLowerCase());q.state&&o(V.publisher,V.name,q.state,this.storageService),this.logService.trace("Installing extension...",V.identifier.id);const G=await this.extensionManagementService.installFromGallery(V,{isMachineScoped:!1});j.some(Q=>P.areSameExtensions(Q,V.identifier))||m.push(G),this.logService.info("Installed extension.",V.identifier.id)}catch(q){this.logService.error(q)}}return m}};r=he([Y(0,R.IExtensionManagementService),Y(1,R.IExtensionGalleryService),Y(2,R.IGlobalExtensionEnablementService),Y(3,w.IStorageService),Y(4,g.IIgnoredExtensionsManagementService),Y(5,A.IFileService),Y(6,_.IEnvironmentService),Y(7,v.IUserDataSyncLogService)],r),e.ExtensionsInitializer=r}),define(ee[179],te([0,1,24,20]),function(H,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.merge=void 0;function _(A,y,E,D,f){if(!y)return{remote:Object.keys(A).length>0?A:null,local:{added:{},removed:[],updated:{}}};const S=R(A,y);if(S.added.size===0&&S.removed.size===0&&S.updated.size===0)return{remote:null,local:{added:{},removed:[],updated:{}}};const C=E?R(E,y):{added:Object.keys(y).reduce((g,c)=>(g.add(c),g),new Set),removed:new Set,updated:new Set},a=E?R(E,A):{added:Object.keys(A).reduce((g,c)=>(g.add(c),g),new Set),removed:new Set,updated:new Set},I={added:{},removed:[],updated:{}},w=v.deepClone(y),b=!E;for(const g of a.added.values())g!==k.SYNC_SERVICE_URL_TYPE&&b&&C.added.has(g)||(w[g]=A[g]);for(const g of a.updated.values())w[g]=A[g];for(const g of a.removed.values())D.unregistered.includes(g)||delete w[g];for(const g of C.added.values()){const c=y[g];if(D.machine.includes(g)){f.info(`GlobalState: Skipped adding ${g} in local storage because it is declared as machine scoped.`);continue}if(!(E&&a.added.has(g))){const s=A[g];s&&s.value===c.value||g===k.SYNC_SERVICE_URL_TYPE&&b&&a.added.has(g)||(s?I.updated[g]=c:I.added[g]=c)}}for(const g of C.updated.values()){const c=y[g];if(D.machine.includes(g)){f.info(`GlobalState: Skipped updating ${g} in local storage because it is declared as machine scoped.`);continue}if(!(a.updated.has(g)||a.removed.has(g))){const s=A[g];s&&s.value===c.value||(I.updated[g]=c)}}for(const g of C.removed.values()){if(D.machine.includes(g)){f.trace(`GlobalState: Skipped removing ${g} in local storage because it is declared as machine scoped.`);continue}a.updated.has(g)||a.removed.has(g)||I.removed.push(g)}return{local:I,remote:P(w,y)?null:w}}e.merge=_;function R(A,y){const E=Object.keys(A),D=Object.keys(y),f=D.filter(a=>E.indexOf(a)===-1).reduce((a,I)=>(a.add(I),a),new Set),S=E.filter(a=>D.indexOf(a)===-1).reduce((a,I)=>(a.add(I),a),new Set),C=new Set;for(const a of E)if(!S.has(a)){const I=A[a],w=y[a];v.equals(I,w)||C.add(a)}return{added:f,removed:S,updated:C}}function P(A,y){const{added:E,removed:D,updated:f}=R(A,y);return E.size===0&&D.size===0&&f.size===0}}),define(ee[180],te([0,1,20,22,3,9,10,49,179,32,45,26,25,7,46,41,19,6,44,30,13]),function(H,e,v,k,_,R,P,A,y,E,D,f,S,C,a,I,w,b,g,c,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncStoreTypeSynchronizer=e.GlobalStateInitializer=e.GlobalStateSynchroniser=void 0;const i="globalState.argv.",t=["locale"];function n(u){const m=u.storage?Object.keys(u.storage).sort():[],p={};m.forEach(U=>p[U]=u.storage[U]),u.storage=p;const d=JSON.stringify(u),O=a.format(d,void 0,{});return I.applyEdits(d,O)}const o=1;let h=class nt extends D.AbstractSynchroniser{constructor(m,p,d,O,U,j,B,V,q){super("globalState",m,U,q,p,d,j,B,O,V);this.environmentService=U,this.storageService=q,this.version=o,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"globalState.json"),this.localResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._register(m.watch(this.extUri.dirname(this.environmentService.argvResource))),this._register(_.Event.any(_.Event.filter(m.onDidFilesChange,G=>G.contains(this.environmentService.argvResource)),_.Event.filter(q.onDidChangeValue,G=>G.scope===0&&G.target!==void 0?G.target===0:q.keys(0,0).includes(G.key)),this.storageService.onDidChangeTarget)(()=>this.triggerLocalChange()))}async generateSyncPreview(m,p,d){const O=m.syncData?JSON.parse(m.syncData.content):null,U=p&&p.syncData?JSON.parse(p.syncData.content):null,j=await this.getLocalGlobalState();O?this.logService.trace(`${this.syncResourceLogLabel}: Merging remote ui state with local ui state...`):this.logService.trace(`${this.syncResourceLogLabel}: Remote ui state does not exist. Synchronizing ui state for the first time.`);const B=this.getStorageKeys(U),{local:V,remote:q}=y.merge(j.storage,O?O.storage:null,U?U.storage:null,B,this.logService),G={content:null,local:V,remote:q,localChange:Object.keys(V.added).length>0||Object.keys(V.updated).length>0||V.removed.length>0?2:0,remoteChange:q!==null?2:0};return[{localResource:this.localResource,localContent:n(j),localUserData:j,remoteResource:this.remoteResource,remoteContent:O?n(O):null,previewResource:this.previewResource,previewResult:G,localChange:G.localChange,remoteChange:G.remoteChange,acceptedResource:this.acceptedResource,storageKeys:B}]}async getMergeResult(m,p){return Object.assign(Object.assign({},m.previewResult),{hasConflicts:!1})}async getAcceptResult(m,p,d,O){if(this.extUri.isEqual(p,this.localResource))return this.acceptLocal(m);if(this.extUri.isEqual(p,this.remoteResource))return this.acceptRemote(m);if(this.extUri.isEqual(p,this.previewResource))return m.previewResult;throw new Error(`Invalid Resource: ${p.toString()}`)}async acceptLocal(m){return{content:m.localContent,local:{added:{},removed:[],updated:{}},remote:m.localUserData.storage,localChange:0,remoteChange:2}}async acceptRemote(m){if(m.remoteContent!==null){const p=JSON.parse(m.remoteContent),{local:d,remote:O}=y.merge(m.localUserData.storage,p.storage,null,m.storageKeys,this.logService);return{content:m.remoteContent,local:d,remote:O,localChange:Object.keys(d.added).length>0||Object.keys(d.updated).length>0||d.removed.length>0?2:0,remoteChange:O!==null?2:0}}else return{content:m.remoteContent,local:{added:{},removed:[],updated:{}},remote:null,localChange:0,remoteChange:0}}async applyResult(m,p,d,O){let{localUserData:U}=d[0][0],{local:j,remote:B,localChange:V,remoteChange:q}=d[0][1];if(V===0&&q===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing ui state.`),V!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local ui state...`),await this.backupLocal(JSON.stringify(U)),await this.writeLocalGlobalState(j),this.logService.info(`${this.syncResourceLogLabel}: Updated local ui state`)),q!==0){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote ui state...`);const G=JSON.stringify({storage:B});m=await this.updateRemoteUserData(G,O?null:m.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote ui state`)}(p==null?void 0:p.ref)!==m.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized ui state...`),await this.updateLastSyncUserData(m),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized ui state`))}async getAssociatedResources({uri:m}){return[{resource:this.extUri.joinPath(m,"globalState.json"),comparableResource:nt.GLOBAL_STATE_DATA_URI}]}async resolveContent(m){if(this.extUri.isEqual(m,nt.GLOBAL_STATE_DATA_URI)){const d=await this.getLocalGlobalState();return n(d)}if(this.extUri.isEqual(this.remoteResource,m)||this.extUri.isEqual(this.localResource,m)||this.extUri.isEqual(this.acceptedResource,m))return this.resolvePreviewContent(m);let p=await super.resolveContent(m);if(p)return p;if(p=await super.resolveContent(this.extUri.dirname(m)),p){const d=this.parseSyncData(p);if(d)switch(this.extUri.basename(m)){case"globalState.json":return n(JSON.parse(d.content))}}return null}async hasLocalData(){var m;try{const{storage:p}=await this.getLocalGlobalState();if(Object.keys(p).length>1||((m=p[`${i}.locale`])===null||m===void 0?void 0:m.value)!=="en")return!0}catch(p){}return!1}async getLocalGlobalState(){const m={},p=await this.getLocalArgvContent(),d=E.parse(p);for(const O of t)d[O]!==void 0&&(m[`${i}${O}`]={version:1,value:d[O]});for(const O of this.storageService.keys(0,0)){const U=this.storageService.get(O,0);U&&(m[O]={version:1,value:U})}return{storage:m}}async getLocalArgvContent(){try{return(await this.fileService.readFile(this.environmentService.argvResource)).value.toString()}catch(m){}return"{}"}async writeLocalGlobalState({added:m,removed:p,updated:d}){const O={},U={},j=(V,q)=>{for(const G of V){if(G.startsWith(i)){O[G.substring(i.length)]=q?q[G].value:void 0;continue}if(q){const Q=q[G];Q.value!==String(this.storageService.get(G,0))&&(U[G]=Q.value)}else this.storageService.get(G,0)!==void 0&&(U[G]=void 0)}};if(j(Object.keys(m),m),j(Object.keys(d),d),j(p),Object.keys(O).length&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating locale...`),await this.updateArgv(O),this.logService.info(`${this.syncResourceLogLabel}: Updated locale`)),Object.keys(U).length){this.logService.trace(`${this.syncResourceLogLabel}: Updating global state...`);for(const V of Object.keys(U))this.storageService.store(V,U[V],0,0);this.logService.info(`${this.syncResourceLogLabel}: Updated global state`,Object.keys(U))}}async updateArgv(m){const p=await this.getLocalArgvContent();let d=p;for(const O of Object.keys(m))d=A.edit(d,[O],m[O],{});p!==d&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating locale...`),await this.fileService.writeFile(this.environmentService.argvResource,k.VSBuffer.fromString(d)),this.logService.info(`${this.syncResourceLogLabel}: Updated locale.`))}getStorageKeys(m){const p=this.storageService.keys(0,0),d=this.storageService.keys(0,1),O=[...p,...d],U=(m==null?void 0:m.storage)?Object.keys(m.storage).filter(j=>!j.startsWith(i)&&!O.includes(j)&&this.storageService.get(j,0)!==void 0):[];if(!b.isWeb){const j=[...v.ALL_SYNC_RESOURCES.map(B=>v.getEnablementKey(B)),v.SYNC_SERVICE_URL_TYPE];U.push(...j),d.push(...j)}return{user:p,machine:d,unregistered:U}}};h.GLOBAL_STATE_DATA_URI=C.URI.from({scheme:v.USER_DATA_SYNC_SCHEME,authority:"globalState",path:"/globalState.json"}),h=he([Y(0,P.IFileService),Y(1,v.IUserDataSyncStoreService),Y(2,v.IUserDataSyncBackupStoreService),Y(3,v.IUserDataSyncLogService),Y(4,R.IEnvironmentService),Y(5,v.IUserDataSyncResourceEnablementService),Y(6,f.ITelemetryService),Y(7,S.IConfigurationService),Y(8,w.IStorageService)],h),e.GlobalStateSynchroniser=h;let r=class extends D.AbstractInitializer{constructor(m,p,d,O){super("globalState",d,O,p);this.storageService=m}async doInitialize(m){const p=m.syncData?JSON.parse(m.syncData.content):null;if(!p){this.logService.info("Skipping initializing global state because remote global state does not exist.");return}const d={},O={};for(const U of Object.keys(p.storage))U.startsWith(i)?d[U.substring(i.length)]=p.storage[U].value:this.storageService.get(U,0)===void 0&&(O[U]=p.storage[U].value);if(Object.keys(d).length){let U="{}";try{U=(await this.fileService.readFile(this.environmentService.argvResource)).value.toString()}catch(j){}for(const j of Object.keys(d))U=A.edit(U,[j],d[j],{});await this.fileService.writeFile(this.environmentService.argvResource,k.VSBuffer.fromString(U))}if(Object.keys(O).length)for(const U of Object.keys(O))this.storageService.store(U,O[U],0,0)}};r=he([Y(0,w.IStorageService),Y(1,P.IFileService),Y(2,R.IEnvironmentService),Y(3,v.IUserDataSyncLogService)],r),e.GlobalStateInitializer=r;let l=class{constructor(m,p,d,O,U){this.userDataSyncStoreClient=m,this.storageService=p,this.environmentService=d,this.fileService=O,this.logService=U}getSyncStoreType(m){var p;const d=this.parseGlobalState(m);return(p=d==null?void 0:d.storage[v.SYNC_SERVICE_URL_TYPE])===null||p===void 0?void 0:p.value}async sync(m){const p=v.createSyncHeaders(c.generateUuid());try{return await this.doSync(m,p)}catch(d){if(d instanceof v.UserDataSyncError)switch(d.code){case v.UserDataSyncErrorCode.PreconditionFailed:return this.logService.info("Failed to synchronize UserDataSyncStoreType as there is a new remote version available. Synchronizing again..."),this.doSync(m,p)}throw d}}async doSync(m,p){const d=await this.userDataSyncStoreClient.read("globalState",null,p),O=this.parseGlobalState(d)||{storage:{}};O.storage[v.SYNC_SERVICE_URL_TYPE]={value:m,version:o};const U=await g.getServiceMachineId(this.environmentService,this.fileService,this.storageService),j={version:o,machineId:U,content:n(O)};await this.userDataSyncStoreClient.write("globalState",JSON.stringify(j),d.ref,p)}parseGlobalState({content:m}){if(!m)return null;const p=JSON.parse(m);if(D.isSyncData(p))return p?JSON.parse(p.content):null;throw new Error("Invalid remote data")}};l=he([Y(1,w.IStorageService),Y(2,R.IEnvironmentService),Y(3,P.IFileService),Y(4,s.ILogService)],l),e.UserDataSyncStoreTypeSynchronizer=l}),define(ee[181],te([0,1,10,20,176,32,120,9,25,6,15,17,45,26,19,22,3]),function(H,e,v,k,_,R,P,A,y,E,D,f,S,C,a,I,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.KeybindingsInitializer=e.KeybindingsSynchroniser=e.getKeybindingsContentFromSyncContent=void 0;function b(s,i){const t=JSON.parse(s);if(!i)return D.isUndefined(t.all)?null:t.all;switch(E.OS){case 2:return D.isUndefined(t.mac)?null:t.mac;case 3:return D.isUndefined(t.linux)?null:t.linux;case 1:return D.isUndefined(t.windows)?null:t.windows}}e.getKeybindingsContentFromSyncContent=b;let g=class extends S.AbstractJsonFileSynchroniser{constructor(i,t,n,o,h,r,l,u,m,p){super(l.keybindingsResource,"keybindings",r,l,u,i,t,h,p,n,m,o);this.version=2,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"keybindings.json"),this.localResource=this.previewResource.with({scheme:k.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:k.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:k.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._register(w.Event.filter(o.onDidChangeConfiguration,d=>d.affectsConfiguration("settingsSync.keybindingsPerPlatform"))(()=>this.triggerLocalChange()))}async generateSyncPreview(i,t,n){const o=i.syncData?this.getKeybindingsContentFromSyncContent(i.syncData.content):null,h=t?this.getKeybindingsContentFromLastSyncUserData(t):null,r=await this.getLocalFileContent(),l=await this.getFormattingOptions();let u=null,m=!1,p=!1,d=!1;if(o){let U=r?r.value.toString():"[]";if(U=U||"[]",this.hasErrors(U))throw new k.UserDataSyncError(P.localize(0,null),k.UserDataSyncErrorCode.LocalInvalidContent,this.resource);if(!h||h!==U||h!==o){this.logService.trace(`${this.syncResourceLogLabel}: Merging remote keybindings with local keybindings...`);const j=await _.merge(U,o,h,l,this.userDataSyncUtilService);j.hasChanges&&(u=j.mergeContent,d=j.hasConflicts,m=d||j.mergeContent!==U,p=d||j.mergeContent!==o)}}else r&&(this.logService.trace(`${this.syncResourceLogLabel}: Remote keybindings does not exist. Synchronizing keybindings for the first time.`),u=r.value.toString(),p=!0);const O={content:u,localChange:m?r?2:1:0,remoteChange:p?2:0,hasConflicts:d};return[{fileContent:r,localResource:this.localResource,localContent:r?r.value.toString():null,localChange:O.localChange,remoteResource:this.remoteResource,remoteContent:o,remoteChange:O.remoteChange,previewResource:this.previewResource,previewResult:O,acceptedResource:this.acceptedResource}]}async getMergeResult(i,t){return i.previewResult}async getAcceptResult(i,t,n,o){if(this.extUri.isEqual(t,this.localResource))return{content:i.fileContent?i.fileContent.value.toString():null,localChange:0,remoteChange:2};if(this.extUri.isEqual(t,this.remoteResource))return{content:i.remoteContent,localChange:2,remoteChange:0};if(this.extUri.isEqual(t,this.previewResource))return n===void 0?{content:i.previewResult.content,localChange:i.previewResult.localChange,remoteChange:i.previewResult.remoteChange}:{content:n,localChange:2,remoteChange:2};throw new Error(`Invalid Resource: ${t.toString()}`)}async applyResult(i,t,n,o){var h;const{fileContent:r}=n[0][0];let{content:l,localChange:u,remoteChange:m}=n[0][1];if(u===0&&m===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing keybindings.`),l!==null&&(l=l.trim(),l=l||"[]",this.hasErrors(l)))throw new k.UserDataSyncError(P.localize(1,null),k.UserDataSyncErrorCode.LocalInvalidContent,this.resource);if(u!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local keybindings...`),r&&await this.backupLocal(this.toSyncContent(r.value.toString())),await this.updateLocalFileContent(l||"[]",r,o),this.logService.info(`${this.syncResourceLogLabel}: Updated local keybindings`)),m!==0){this.logService.trace(`${this.syncResourceLogLabel}: Updating remote keybindings...`);const p=this.toSyncContent(l||"[]",(h=i.syncData)===null||h===void 0?void 0:h.content);i=await this.updateRemoteUserData(p,o?null:i.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote keybindings`)}try{await this.fileService.del(this.previewResource)}catch(p){}(t==null?void 0:t.ref)!==i.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized keybindings...`),await this.updateLastSyncUserData(i,{platformSpecific:this.syncKeybindingsPerPlatform()}),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized keybindings`))}async hasLocalData(){try{const i=await this.getLocalFileContent();if(i){const t=R.parse(i.value.toString());if(f.isNonEmptyArray(t))return!0}}catch(i){if(i.fileOperationResult!==1)return!0}return!1}async getAssociatedResources({uri:i}){const t=await this.fileService.exists(this.file)?this.file:this.localResource;return[{resource:this.extUri.joinPath(i,"keybindings.json"),comparableResource:t}]}async resolveContent(i){if(this.extUri.isEqual(this.remoteResource,i)||this.extUri.isEqual(this.localResource,i)||this.extUri.isEqual(this.acceptedResource,i))return this.resolvePreviewContent(i);let t=await super.resolveContent(i);if(t)return t;if(t=await super.resolveContent(this.extUri.dirname(i)),t){const n=this.parseSyncData(t);if(n)switch(this.extUri.basename(i)){case"keybindings.json":return this.getKeybindingsContentFromSyncContent(n.content)}}return null}getKeybindingsContentFromLastSyncUserData(i){return!i.syncData||i.platformSpecific!==void 0&&i.platformSpecific!==this.syncKeybindingsPerPlatform()?null:this.getKeybindingsContentFromSyncContent(i.syncData.content)}getKeybindingsContentFromSyncContent(i){try{return b(i,this.syncKeybindingsPerPlatform())}catch(t){return this.logService.error(t),null}}toSyncContent(i,t){let n={};try{n=JSON.parse(t||"{}")}catch(o){this.logService.error(o)}switch(this.syncKeybindingsPerPlatform()?delete n.all:n.all=i,E.OS){case 2:n.mac=i;break;case 3:n.linux=i;break;case 1:n.windows=i;break}return JSON.stringify(n)}syncKeybindingsPerPlatform(){let i=this.configurationService.inspect("settingsSync.keybindingsPerPlatform").userValue;return i!==void 0||(i=this.configurationService.inspect("sync.keybindingsPerPlatform").userValue,i!==void 0)?i:this.configurationService.getValue("settingsSync.keybindingsPerPlatform")}};g=he([Y(0,k.IUserDataSyncStoreService),Y(1,k.IUserDataSyncBackupStoreService),Y(2,k.IUserDataSyncLogService),Y(3,y.IConfigurationService),Y(4,k.IUserDataSyncResourceEnablementService),Y(5,v.IFileService),Y(6,A.IEnvironmentService),Y(7,a.IStorageService),Y(8,k.IUserDataSyncUtilService),Y(9,C.ITelemetryService)],g),e.KeybindingsSynchroniser=g;let c=class extends S.AbstractInitializer{constructor(i,t,n){super("keybindings",t,n,i)}async doInitialize(i){const t=i.syncData?this.getKeybindingsContentFromSyncContent(i.syncData.content):null;if(!t){this.logService.info("Skipping initializing keybindings because remote keybindings does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing keybindings because local keybindings exist.");return}await this.fileService.writeFile(this.environmentService.keybindingsResource,I.VSBuffer.fromString(t)),await this.updateLastSyncUserData(i)}async isEmpty(){try{const i=await this.fileService.readFile(this.environmentService.settingsResource),t=R.parse(i.value.toString());return!f.isNonEmptyArray(t)}catch(i){return i.fileOperationResult===1}}getKeybindingsContentFromSyncContent(i){try{return b(i,!0)}catch(t){return this.logService.error(t),null}}};c=he([Y(0,v.IFileService),Y(1,A.IEnvironmentService),Y(2,k.IUserDataSyncLogService)],c),e.KeybindingsInitializer=c}),define(ee[182],te([0,1,24,32,41,46,49,20,17]),function(H,e,v,k,_,R,P,A,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.addSetting=e.isEmpty=e.areSame=e.merge=e.updateIgnoredSettings=e.getIgnoredSettings=void 0;function E(l,u,m){let p=[];m?p=f(m):p=D(u);const d=[],O=[...A.getDisallowedIgnoredSettings()];if(Array.isArray(p))for(const U of p)U.startsWith("-")?O.push(U.substring(1)):d.push(U);return y.distinct([...l,...d].filter(U=>O.indexOf(U)===-1))}e.getIgnoredSettings=E;function D(l){let u=l.inspect("settingsSync.ignoredSettings").userValue;return u!==void 0||(u=l.inspect("sync.ignoredSettings").userValue,u!==void 0)?u:l.getValue("settingsSync.ignoredSettings")||[]}function f(l){const u=k.parse(l);return u?u["settingsSync.ignoredSettings"]||u["sync.ignoredSettings"]||[]:[]}function S(l,u,m,p){if(m.length){const d=r(u),O=k.parse(u),U=k.parse(l),j=[];for(const B of m){const V=O[B],q=U[B];V===void 0?l=P.edit(l,[B],void 0,p):q!==void 0?l=P.edit(l,[B],V,p):j.push(i(B,d))}j.sort((B,V)=>B.startOffset-V.startOffset),j.forEach(B=>l=b(B.setting.key,u,l,p))}return l}e.updateIgnoredSettings=S;function C(l,u,m,p,d,O){const U=S(l,u,p,O),j=m!==U,B=m!==u;if(!j&&!B)return{conflictsSettings:[],localContent:null,remoteContent:null,hasConflicts:!1};if(j&&!B)return{conflictsSettings:[],localContent:null,remoteContent:U,hasConflicts:!1};if(B&&!j)return{conflictsSettings:[],localContent:S(u,l,p,O),remoteContent:null,hasConflicts:!1};if(m===null&&I(l)){const ne=a(l,u,p)?null:S(u,l,p,O);return{conflictsSettings:[],localContent:ne,remoteContent:null,hasConflicts:!1}}let V=l,q=u;const G=k.parse(l),Q=k.parse(u),$=m?k.parse(m):null,N=p.reduce((ne,ae)=>(ne.add(ae),ne),new Set),T=w(G,Q,N),L=w($,G,N),F=w($,Q,N),M=new Map,z=new Set,x=ne=>{z.add(ne);const ae=d.filter(({key:de})=>de===ne)[0];ae?(V=P.edit(V,[ne],ae.value,O),q=P.edit(q,[ne],ae.value,O)):M.set(ne,{key:ne,localValue:G[ne],remoteValue:Q[ne]})};for(const ne of L.removed.values())F.updated.has(ne)?x(ne):q=P.edit(q,[ne],void 0,O);for(const ne of F.removed.values())z.has(ne)||(L.updated.has(ne)?x(ne):V=P.edit(V,[ne],void 0,O));for(const ne of L.updated.values())z.has(ne)||(F.updated.has(ne)?T.updated.has(ne)&&x(ne):q=P.edit(q,[ne],G[ne],O));for(const ne of F.updated.values())z.has(ne)||(L.updated.has(ne)?T.updated.has(ne)&&x(ne):V=P.edit(V,[ne],Q[ne],O));for(const ne of L.added.values())z.has(ne)||(F.added.has(ne)?T.updated.has(ne)&&x(ne):q=b(ne,V,q,O));for(const ne of F.added.values())z.has(ne)||(L.added.has(ne)?T.updated.has(ne)&&x(ne):V=b(ne,q,V,O));const K=M.size>0||!a(V,q,p),X=K||!a(V,l,[]),Z=K||!a(q,u,[]);return{localContent:X?V:null,remoteContent:Z?q:null,conflictsSettings:[...M.values()],hasConflicts:K}}e.merge=C;function a(l,u,m){if(l===u)return!0;const p=k.parse(l),d=k.parse(u),O=m.reduce((B,V)=>(B.add(V),B),new Set),U=r(l).filter(B=>!(B.setting&&O.has(B.setting.key))),j=r(u).filter(B=>!(B.setting&&O.has(B.setting.key)));if(U.length!==j.length)return!1;for(let B=0;B<U.length;B++){const V=U[B],q=j[B];if(V.setting&&q.setting){if(V.setting.key!==q.setting.key||!v.equals(p[V.setting.key],d[V.setting.key]))return!1}else if(!V.setting&&!q.setting){if(V.value!==q.value)return!1}else return!1}return!0}e.areSame=a;function I(l){return l?r(l).length===0:!0}e.isEmpty=I;function w(l,u,m){const p=l?Object.keys(l).filter(B=>!m.has(B)):[],d=Object.keys(u).filter(B=>!m.has(B)),O=d.filter(B=>p.indexOf(B)===-1).reduce((B,V)=>(B.add(V),B),new Set),U=p.filter(B=>d.indexOf(B)===-1).reduce((B,V)=>(B.add(V),B),new Set),j=new Set;if(l){for(const B of p)if(!U.has(B)){const V=l[B],q=u[B];v.equals(V,q)||j.add(B)}}return{added:O,removed:U,updated:j}}function b(l,u,m,p){const d=k.parse(u),O=r(u),U=r(m),j=g(l,O,U);return c(m,l,d[l],j,U,p)}e.addSetting=b;function g(l,u,m){const p=u.findIndex(O=>{var U;return((U=O.setting)===null||U===void 0?void 0:U.key)===l}),d=u[p-1];if(d){if(d.setting){const U=i(d.setting.key,m);if(U)return{index:m.indexOf(U),insertAfter:!0}}else{const U=t(p,u);if(U){const j=i(U.setting.key,m);if(j){const B=n(m.indexOf(j),m),V=o(u,U,u[p]);if(B){const q=o(m,j,B),G=h(V,q);return G?{index:m.indexOf(G),insertAfter:!0}:{index:m.indexOf(B),insertAfter:!1}}else{const q=o(m,j,m[m.length-1]),G=h(V,q);return G?{index:m.indexOf(G),insertAfter:!0}:{index:m.length-1,insertAfter:!0}}}}}const O=u[p+1];if(O)if(O.setting){const U=i(O.setting.key,m);if(U)return{index:m.indexOf(U),insertAfter:!1}}else{const U=n(p,u);if(U){const j=i(U.setting.key,m);if(j){const B=t(m.indexOf(j),m),V=o(u,u[p],U);if(B){const q=o(m,B,j),G=h(V.reverse(),q.reverse());return G?{index:m.indexOf(G),insertAfter:!1}:{index:m.indexOf(B),insertAfter:!0}}else{const q=o(m,m[0],j),G=h(V.reverse(),q.reverse());return G?{index:m.indexOf(G),insertAfter:!1}:{index:0,insertAfter:!1}}}}}}return{index:m.length-1,insertAfter:!0}}function c(l,u,m,p,d,O){let U;return p.index===-1?U=_.setProperty(l,[u],m,O):U=s(l,u,m,p,d,O).map(j=>_.withFormatting(l,j,O)[0]),_.applyEdits(l,U)}function s(l,u,m,p,d,O){var U;const j=`${JSON.stringify(u)}: ${JSON.stringify(m)}`,B=R.getEOL(O,l),V=d[p.index];if(p.insertAfter){const q=[];if(V.setting)q.push({offset:V.endOffset,length:0,content:","+j});else{const G=n(p.index,d),Q=t(p.index,d),$=(U=Q==null?void 0:Q.setting)===null||U===void 0?void 0:U.commaOffset;Q&&$===void 0&&q.push({offset:Q.endOffset,length:0,content:","});const N=$!==void 0&&$>V.endOffset;q.push({offset:N?$+1:V.endOffset,length:0,content:G?B+j+",":B+j})}return q}else{if(V.setting)return[{offset:V.startOffset,length:0,content:j+","}];const q=(d[p.index-1]&&!d[p.index-1].setting?B:"")+j+(n(p.index,d)?",":"")+B;return[{offset:V.startOffset,length:0,content:q}]}}function i(l,u){return u.filter(m=>{var p;return((p=m.setting)===null||p===void 0?void 0:p.key)===l})[0]}function t(l,u){for(let m=l-1;m>=0;m--)if(u[m].setting)return u[m]}function n(l,u){for(let m=l+1;m<u.length;m++)if(u[m].setting)return u[m]}function o(l,u,m){const p=l.indexOf(u),d=l.indexOf(m);return l.filter((O,U)=>p<U&&U<d)}function h(l,u){if(l.length&&u.length){let m=0;for(;m<u.length&&m<l.length;m++)if(l[m].value!==u[m].value)return u[m-1];return u[m-1]}}function r(l){const u=[];let m=-1,p,d;const O={onObjectBegin:U=>{m++},onObjectProperty:(U,j,B)=>{m===0&&(p=j,d=U)},onObjectEnd:(U,j)=>{m--,m===0&&u.push({startOffset:p,endOffset:U+j,value:l.substring(p,U+j),setting:{key:d,commaOffset:void 0}})},onArrayBegin:(U,j)=>{m++},onArrayEnd:(U,j)=>{m--,m===0&&u.push({startOffset:p,endOffset:U+j,value:l.substring(p,U+j),setting:{key:d,commaOffset:void 0}})},onLiteralValue:(U,j,B)=>{m===0&&u.push({startOffset:p,endOffset:j+B,value:l.substring(p,j+B),setting:{key:d,commaOffset:void 0}})},onSeparator:(U,j,B)=>{if(m===0&&U===","){let V=u.length-1;for(;V>=0&&!u[V].setting;V--);const q=u[V];q&&u.splice(V,1,{startOffset:q.startOffset,endOffset:q.endOffset,value:q.value,setting:{key:q.setting.key,commaOffset:j}})}},onComment:(U,j)=>{m===0&&u.push({startOffset:U,endOffset:U+j,value:l.substring(U,U+j)})}};return k.visit(l,O),u}}),define(ee[183],te([0,1,10,20,22,121,3,9,25,182,49,45,26,28,19,41]),function(H,e,v,k,_,R,P,A,y,E,D,f,S,C,a,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SettingsInitializer=e.SettingsSynchroniser=e.parseSettingsSyncContent=void 0;function w(i){return i&&i.settings&&typeof i.settings=="string"&&Object.keys(i).length===1}function b(i){const t=JSON.parse(i);return w(t)?t:{settings:i}}e.parseSettingsSyncContent=b;let g=class extends f.AbstractJsonFileSynchroniser{constructor(t,n,o,h,r,l,u,m,p,d,O){super(n.settingsResource,"settings",t,n,o,h,r,p,d,l,u,m);this.extensionManagementService=O,this.version=2,this.previewResource=this.extUri.joinPath(this.syncPreviewFolder,"settings.json"),this.localResource=this.previewResource.with({scheme:k.USER_DATA_SYNC_SCHEME,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:k.USER_DATA_SYNC_SCHEME,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:k.USER_DATA_SYNC_SCHEME,authority:"accepted"}),this._defaultIgnoredSettings=void 0}async generateSyncPreview(t,n,o){const h=await this.getLocalFileContent(),r=await this.getFormattingOptions(),l=this.getSettingsSyncContent(t),u=n?this.getSettingsSyncContent(n):null,m=await this.getIgnoredSettings();let p=null,d=!1,O=!1,U=!1;if(l){let B=h?h.value.toString().trim():"{}";B=B||"{}",this.validateContent(B),this.logService.trace(`${this.syncResourceLogLabel}: Merging remote settings with local settings...`);const V=E.merge(B,l.settings,u?u.settings:null,m,[],r);p=V.localContent||V.remoteContent,d=V.localContent!==null,O=V.remoteContent!==null,U=V.hasConflicts}else h&&(this.logService.trace(`${this.syncResourceLogLabel}: Remote settings does not exist. Synchronizing settings for the first time.`),p=h.value.toString(),O=!0);const j={content:p,localChange:d?2:0,remoteChange:O?2:0,hasConflicts:U};return[{fileContent:h,localResource:this.localResource,localContent:h?h.value.toString():null,localChange:j.localChange,remoteResource:this.remoteResource,remoteContent:l?l.settings:null,remoteChange:j.remoteChange,previewResource:this.previewResource,previewResult:j,acceptedResource:this.acceptedResource}]}async getMergeResult(t,n){const o=await this.getFormattingOptions(),h=await this.getIgnoredSettings();return Object.assign(Object.assign({},t.previewResult),{content:t.previewResult.content?E.updateIgnoredSettings(t.previewResult.content,"{}",h,o):null})}async getAcceptResult(t,n,o,h){const r=await this.getFormattingOptions(),l=await this.getIgnoredSettings();if(this.extUri.isEqual(n,this.localResource))return{content:t.fileContent?E.updateIgnoredSettings(t.fileContent.value.toString(),"{}",l,r):null,localChange:0,remoteChange:2};if(this.extUri.isEqual(n,this.remoteResource))return{content:t.remoteContent!==null?E.updateIgnoredSettings(t.remoteContent,t.fileContent?t.fileContent.value.toString():"{}",l,r):null,localChange:2,remoteChange:0};if(this.extUri.isEqual(n,this.previewResource))return o===void 0?{content:t.previewResult.content,localChange:t.previewResult.localChange,remoteChange:t.previewResult.remoteChange}:{content:o!==null?E.updateIgnoredSettings(o,t.fileContent?t.fileContent.value.toString():"{}",l,r):null,localChange:2,remoteChange:2};throw new Error(`Invalid Resource: ${n.toString()}`)}async applyResult(t,n,o,h){const{fileContent:r}=o[0][0];let{content:l,localChange:u,remoteChange:m}=o[0][1];if(u===0&&m===0&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing settings.`),l=l?l.trim():"{}",l=l||"{}",this.validateContent(l),u!==0&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating local settings...`),r&&await this.backupLocal(JSON.stringify(this.toSettingsSyncContent(r.value.toString()))),await this.updateLocalFileContent(l,r,h),await this.configurationService.reloadConfiguration(2),this.logService.info(`${this.syncResourceLogLabel}: Updated local settings`)),m!==0){const p=await this.getFormattingOptions(),d=this.getSettingsSyncContent(t),O=await this.getIgnoredSettings(l);l=E.updateIgnoredSettings(l,d?d.settings:"{}",O,p),this.logService.trace(`${this.syncResourceLogLabel}: Updating remote settings...`),t=await this.updateRemoteUserData(JSON.stringify(this.toSettingsSyncContent(l)),h?null:t.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote settings`)}try{await this.fileService.del(this.previewResource)}catch(p){}(n==null?void 0:n.ref)!==t.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized settings...`),await this.updateLastSyncUserData(t),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized settings`))}async hasLocalData(){try{const t=await this.getLocalFileContent();if(t){const n=await this.getFormattingOptions(),o=D.edit(t.value.toString(),[k.CONFIGURATION_SYNC_STORE_KEY],void 0,n);return!E.isEmpty(o)}}catch(t){if(t.fileOperationResult!==1)return!0}return!1}async getAssociatedResources({uri:t}){const n=await this.fileService.exists(this.file)?this.file:this.localResource;return[{resource:this.extUri.joinPath(t,"settings.json"),comparableResource:n}]}async resolveContent(t){if(this.extUri.isEqual(this.remoteResource,t)||this.extUri.isEqual(this.localResource,t)||this.extUri.isEqual(this.acceptedResource,t))return this.resolvePreviewContent(t);let n=await super.resolveContent(t);if(n)return n;if(n=await super.resolveContent(this.extUri.dirname(t)),n){const o=this.parseSyncData(n);if(o){const h=this.parseSettingsSyncContent(o.content);if(h)switch(this.extUri.basename(t)){case"settings.json":return h.settings}}}return null}async resolvePreviewContent(t){let n=await super.resolvePreviewContent(t);if(n){const o=await this.getFormattingOptions(),h=await this.getIgnoredSettings();n=E.updateIgnoredSettings(n,"{}",h,o)}return n}getSettingsSyncContent(t){return t.syncData?this.parseSettingsSyncContent(t.syncData.content):null}parseSettingsSyncContent(t){try{return b(t)}catch(n){this.logService.error(n)}return null}toSettingsSyncContent(t){return{settings:t}}async getIgnoredSettings(t){if(!this._defaultIgnoredSettings){this._defaultIgnoredSettings=this.userDataSyncUtilService.resolveDefaultIgnoredSettings();const o=P.Event.any(P.Event.filter(this.extensionManagementService.onDidInstallExtension,h=>!!h.gallery),P.Event.filter(this.extensionManagementService.onDidUninstallExtension,h=>!h.error))(()=>{o.dispose(),this._defaultIgnoredSettings=void 0})}const n=await this._defaultIgnoredSettings;return E.getIgnoredSettings(n,this.configurationService,t)}validateContent(t){if(this.hasErrors(t))throw new k.UserDataSyncError(R.localize(0,null),k.UserDataSyncErrorCode.LocalInvalidContent,this.resource)}async recoverSettings(){try{const t=await this.getLocalFileContent();if(!t)return;const n=JSON.parse(t.value.toString());if(!s(n))return;this.telemetryService.publicLog2("sync/settingsCorrupted");const o=this.parseSettingsSyncContent(n.content);if(!o||!o.settings)return;let h=o.settings;const r=await this.getFormattingOptions();for(const l in n)if(["version","content","machineId"].indexOf(l)===-1&&n[l]!==void 0){const u=I.setProperty(h,[l],n[l],r);u.length&&(h=I.applyEdits(h,u))}await this.fileService.writeFile(this.file,_.VSBuffer.fromString(h))}catch(t){}}};g=he([Y(0,v.IFileService),Y(1,A.IEnvironmentService),Y(2,a.IStorageService),Y(3,k.IUserDataSyncStoreService),Y(4,k.IUserDataSyncBackupStoreService),Y(5,k.IUserDataSyncLogService),Y(6,k.IUserDataSyncUtilService),Y(7,y.IConfigurationService),Y(8,k.IUserDataSyncResourceEnablementService),Y(9,S.ITelemetryService),Y(10,C.IExtensionManagementService)],g),e.SettingsSynchroniser=g;let c=class extends f.AbstractInitializer{constructor(t,n,o){super("settings",n,o,t)}async doInitialize(t){const n=t.syncData?this.parseSettingsSyncContent(t.syncData.content):null;if(!n){this.logService.info("Skipping initializing settings because remote settings does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing settings because local settings exist.");return}await this.fileService.writeFile(this.environmentService.settingsResource,_.VSBuffer.fromString(n.settings)),await this.updateLastSyncUserData(t)}async isEmpty(){try{const t=await this.fileService.readFile(this.environmentService.settingsResource);return E.isEmpty(t.value.toString().trim())}catch(t){return t.fileOperationResult===1}}parseSettingsSyncContent(t){try{return b(t)}catch(n){this.logService.error(n)}return null}};c=he([Y(0,v.IFileService),Y(1,A.IEnvironmentService),Y(2,k.IUserDataSyncLogService)],c),e.SettingsInitializer=c;function s(i){return!!(i&&i.version!==void 0&&typeof i.version=="number"&&i.content!==void 0&&typeof i.content=="string"&&i.machineId!==void 0&&typeof i.machineId=="string")}}),define(ee[184],te([0,1,20,9,10,25,45,26,22,177,19,24,3]),function(H,e,v,k,_,R,P,A,y,E,D,f,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SnippetsInitializer=e.SnippetsSynchroniser=void 0;let C=class extends P.AbstractSynchroniser{constructor(w,b,g,c,s,i,t,n,o){super("snippets",b,w,g,c,s,n,o,i,t);this.version=1,this.snippetsFolder=w.snippetsHome,this._register(this.fileService.watch(w.userRoamingDataHome)),this._register(this.fileService.watch(this.snippetsFolder)),this._register(S.Event.filter(this.fileService.onDidFilesChange,h=>h.affects(this.snippetsFolder))(()=>this.triggerLocalChange()))}async generateSyncPreview(w,b,g){const c=await this.getSnippetsFileContents(),s=this.toSnippetsContents(c),i=w.syncData?this.parseSnippets(w.syncData):null,t=b&&b.syncData?this.parseSnippets(b.syncData):null;i?this.logService.trace(`${this.syncResourceLogLabel}: Merging remote snippets with local snippets...`):this.logService.trace(`${this.syncResourceLogLabel}: Remote snippets does not exist. Synchronizing snippets for the first time.`);const n=E.merge(s,i,t);return this.getResourcePreviews(n,c,i||{})}async getMergeResult(w,b){return w.previewResult}async getAcceptResult(w,b,g,c){if(this.extUri.isEqualOrParent(b,this.syncPreviewFolder.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"})))return{content:w.fileContent?w.fileContent.value.toString():null,localChange:0,remoteChange:w.fileContent?w.remoteContent!==null?2:1:3};if(this.extUri.isEqualOrParent(b,this.syncPreviewFolder.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"})))return{content:w.remoteContent,localChange:w.remoteContent!==null?w.fileContent?2:1:3,remoteChange:0};if(this.extUri.isEqualOrParent(b,this.syncPreviewFolder))return g===void 0?{content:w.previewResult.content,localChange:w.previewResult.localChange,remoteChange:w.previewResult.remoteChange}:{content:g,localChange:g===null?w.fileContent!==null?3:0:2,remoteChange:g===null?w.remoteContent!==null?3:0:2};throw new Error(`Invalid Resource: ${b.toString()}`)}async applyResult(w,b,g,c){const s=g.map(([i,t])=>Object.assign(Object.assign({},i),{acceptResult:t}));s.every(({localChange:i,remoteChange:t})=>i===0&&t===0)&&this.logService.info(`${this.syncResourceLogLabel}: No changes found during synchronizing snippets.`),s.some(({localChange:i})=>i!==0)&&(await this.updateLocalBackup(s),await this.updateLocalSnippets(s,c)),s.some(({remoteChange:i})=>i!==0)&&(w=await this.updateRemoteSnippets(s,w,c)),(b==null?void 0:b.ref)!==w.ref&&(this.logService.trace(`${this.syncResourceLogLabel}: Updating last synchronized snippets...`),await this.updateLastSyncUserData(w),this.logService.info(`${this.syncResourceLogLabel}: Updated last synchronized snippets`));for(const{previewResource:i}of s)try{await this.fileService.del(i)}catch(t){}}getResourcePreviews(w,b,g){const c=new Map;for(const s of Object.keys(w.local.added)){const i={content:w.local.added[s],hasConflicts:!1,localChange:1,remoteChange:0};c.set(s,{fileContent:null,localResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),localContent:null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:g[s],previewResource:this.extUri.joinPath(this.syncPreviewFolder,s),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const s of Object.keys(w.local.updated)){const i={content:w.local.updated[s],hasConflicts:!1,localChange:2,remoteChange:0};c.set(s,{localResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:b[s],localContent:b[s].value.toString(),remoteResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:g[s],previewResource:this.extUri.joinPath(this.syncPreviewFolder,s),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const s of w.local.removed){const i={content:null,hasConflicts:!1,localChange:3,remoteChange:0};c.set(s,{localResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:b[s],localContent:b[s].value.toString(),remoteResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,s),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const s of Object.keys(w.remote.added)){const i={content:w.remote.added[s],hasConflicts:!1,localChange:0,remoteChange:1};c.set(s,{localResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:b[s],localContent:b[s].value.toString(),remoteResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,s),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const s of Object.keys(w.remote.updated)){const i={content:w.remote.updated[s],hasConflicts:!1,localChange:0,remoteChange:2};c.set(s,{localResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:b[s],localContent:b[s].value.toString(),remoteResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:g[s],previewResource:this.extUri.joinPath(this.syncPreviewFolder,s),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const s of w.remote.removed){const i={content:null,hasConflicts:!1,localChange:0,remoteChange:3};c.set(s,{localResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:null,localContent:null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:g[s],previewResource:this.extUri.joinPath(this.syncPreviewFolder,s),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const s of w.conflicts){const i={content:b[s]?b[s].value.toString():null,hasConflicts:!0,localChange:b[s]?2:1,remoteChange:g[s]?2:1};c.set(s,{localResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:b[s]||null,localContent:b[s]?b[s].value.toString():null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:g[s]||null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,s),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}for(const s of Object.keys(b))if(!c.has(s)){const i={content:b[s]?b[s].value.toString():null,hasConflicts:!1,localChange:0,remoteChange:0};c.set(s,{localResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}),fileContent:b[s]||null,localContent:b[s]?b[s].value.toString():null,remoteResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}),remoteContent:g[s]||null,previewResource:this.extUri.joinPath(this.syncPreviewFolder,s),previewResult:i,localChange:i.localChange,remoteChange:i.remoteChange,acceptedResource:this.extUri.joinPath(this.syncPreviewFolder,s).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})})}return[...c.values()]}async getAssociatedResources({uri:w}){let b=await super.resolveContent(w);if(b){const g=this.parseSyncData(b);if(g){const c=this.parseSnippets(g),s=[];for(const i of Object.keys(c)){const t=this.extUri.joinPath(w,i),n=this.extUri.joinPath(this.snippetsFolder,i),o=await this.fileService.exists(n);s.push({resource:t,comparableResource:o?n:this.extUri.joinPath(this.syncPreviewFolder,i).with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"})})}return s}}return[]}async resolveContent(w){if(this.extUri.isEqualOrParent(w,this.syncPreviewFolder.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"remote"}))||this.extUri.isEqualOrParent(w,this.syncPreviewFolder.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"local"}))||this.extUri.isEqualOrParent(w,this.syncPreviewFolder.with({scheme:v.USER_DATA_SYNC_SCHEME,authority:"accepted"})))return this.resolvePreviewContent(w);let b=await super.resolveContent(w);if(b)return b;if(b=await super.resolveContent(this.extUri.dirname(w)),b){const g=this.parseSyncData(b);if(g)return this.parseSnippets(g)[this.extUri.basename(w)]||null}return null}async hasLocalData(){try{const w=await this.getSnippetsFileContents();if(Object.keys(w).length)return!0}catch(w){}return!1}async updateLocalBackup(w){const b={};for(const g of w)g.fileContent&&(b[this.extUri.basename(g.localResource)]=g.fileContent);await this.backupLocal(JSON.stringify(this.toSnippetsContents(b)))}async updateLocalSnippets(w,b){for(const{fileContent:g,acceptResult:c,localResource:s,remoteResource:i,localChange:t}of w)if(t!==0){const n=i?this.extUri.basename(i):this.extUri.basename(s),o=this.extUri.joinPath(this.snippetsFolder,n);t===3?(this.logService.trace(`${this.syncResourceLogLabel}: Deleting snippet...`,this.extUri.basename(o)),await this.fileService.del(o),this.logService.info(`${this.syncResourceLogLabel}: Deleted snippet`,this.extUri.basename(o))):t===1?(this.logService.trace(`${this.syncResourceLogLabel}: Creating snippet...`,this.extUri.basename(o)),await this.fileService.createFile(o,y.VSBuffer.fromString(c.content),{overwrite:b}),this.logService.info(`${this.syncResourceLogLabel}: Created snippet`,this.extUri.basename(o))):(this.logService.trace(`${this.syncResourceLogLabel}: Updating snippet...`,this.extUri.basename(o)),await this.fileService.writeFile(o,y.VSBuffer.fromString(c.content),b?void 0:g),this.logService.info(`${this.syncResourceLogLabel}: Updated snippet`,this.extUri.basename(o)))}}async updateRemoteSnippets(w,b,g){const c=b.syncData?this.parseSnippets(b.syncData):{},s=f.deepClone(c);for(const{acceptResult:i,localResource:t,remoteResource:n,remoteChange:o}of w)if(o!==0){const h=t?this.extUri.basename(t):this.extUri.basename(n);o===3?delete s[h]:s[h]=i.content}return E.areSame(c,s)||(this.logService.trace(`${this.syncResourceLogLabel}: Updating remote snippets...`),b=await this.updateRemoteUserData(JSON.stringify(s),g?null:b.ref),this.logService.info(`${this.syncResourceLogLabel}: Updated remote snippets`)),b}parseSnippets(w){return JSON.parse(w.content)}toSnippetsContents(w){const b={};for(const g of Object.keys(w))b[g]=w[g].value.toString();return b}async getSnippetsFileContents(){const w={};let b;try{b=await this.fileService.resolve(this.snippetsFolder)}catch(g){if(g instanceof _.FileOperationError&&g.fileOperationResult===1)return w;throw g}for(const g of b.children||[]){const c=g.resource,s=this.extUri.extname(c);if(s===".json"||s===".code-snippets"){const i=this.extUri.relativePath(this.snippetsFolder,c),t=await this.fileService.readFile(c);w[i]=t}}return w}};C=he([Y(0,k.IEnvironmentService),Y(1,_.IFileService),Y(2,D.IStorageService),Y(3,v.IUserDataSyncStoreService),Y(4,v.IUserDataSyncBackupStoreService),Y(5,v.IUserDataSyncLogService),Y(6,R.IConfigurationService),Y(7,v.IUserDataSyncResourceEnablementService),Y(8,A.ITelemetryService)],C),e.SnippetsSynchroniser=C;let a=class extends P.AbstractInitializer{constructor(w,b,g){super("snippets",b,g,w)}async doInitialize(w){const b=w.syncData?JSON.parse(w.syncData.content):null;if(!b){this.logService.info("Skipping initializing snippets because remote snippets does not exist.");return}if(!await this.isEmpty()){this.logService.info("Skipping initializing snippets because local snippets exist.");return}for(const c of Object.keys(b)){const s=b[c];if(s){const i=this.extUri.joinPath(this.environmentService.snippetsHome,c);await this.fileService.createFile(i,y.VSBuffer.fromString(s)),this.logService.info("Created snippet",this.extUri.basename(i))}}await this.updateLastSyncUserData(w)}async isEmpty(){var w;try{return!((w=(await this.fileService.resolve(this.environmentService.snippetsHome)).children)===null||w===void 0?void 0:w.length)}catch(b){return b.fileOperationResult===1}}};a=he([Y(0,_.IFileService),Y(1,k.IEnvironmentService),Y(2,v.IUserDataSyncLogService)],a),e.SnippetsInitializer=a}),define(ee[59],te([0,1,4,3,2,20]),function(H,e,v,k,_,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncAccountService=e.IUserDataSyncAccountService=void 0,e.IUserDataSyncAccountService=v.createDecorator("IUserDataSyncAccountService");let P=class extends _.Disposable{constructor(y){super();this.userDataSyncStoreService=y,this._onDidChangeAccount=this._register(new k.Emitter),this.onDidChangeAccount=this._onDidChangeAccount.event,this._onTokenFailed=this._register(new k.Emitter),this.onTokenFailed=this._onTokenFailed.event,this.wasTokenFailed=!1,this._register(y.onTokenFailed(()=>{this.updateAccount(void 0),this._onTokenFailed.fire(this.wasTokenFailed),this.wasTokenFailed=!0})),this._register(y.onTokenSucceed(()=>this.wasTokenFailed=!1))}get account(){return this._account}async updateAccount(y){(y&&this._account?y.token!==this._account.token||y.authenticationProviderId!==this._account.authenticationProviderId:y!==this._account)&&(this._account=y,this._account&&this.userDataSyncStoreService.setAuthToken(this._account.token,this._account.authenticationProviderId),this._onDidChangeAccount.fire(y))}};P=he([Y(0,R.IUserDataSyncStoreService)],P),e.UserDataSyncAccountService=P}),define(ee[185],te([0,1,2,20,18,25,10,9,53,22,5]),function(H,e,v,k,_,R,P,A,y,E,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncBackupStoreService=void 0;let f=class extends v.Disposable{constructor(C,a,I,w){super();this.environmentService=C,this.fileService=a,this.configurationService=I,this.logService=w,k.ALL_SYNC_RESOURCES.forEach(b=>this.cleanUpBackup(b))}async getAllRefs(C){const a=_.joinPath(this.environmentService.userDataSyncHome,C),I=await this.fileService.resolve(a);return I.children?I.children.filter(b=>b.isFile&&/^\d{8}T\d{6}(\.json)?$/.test(b.name)).sort().reverse().map(b=>({ref:b.name,created:this.getCreationTime(b)})):[]}async resolveContent(C,a){if(!a){const I=await this.getAllRefs(C);I.length&&(a=I[I.length-1].ref)}if(a){const I=_.joinPath(this.environmentService.userDataSyncHome,C,a);return(await this.fileService.readFile(I)).value.toString()}return null}async backup(C,a){const I=_.joinPath(this.environmentService.userDataSyncHome,C),w=_.joinPath(I,`${y.toLocalISOString(new Date).replace(/-|:|\.\d+Z$/g,"")}.json`);try{await this.fileService.writeFile(w,E.VSBuffer.fromString(a))}catch(b){this.logService.error(b)}try{this.cleanUpBackup(C)}catch(b){}}async cleanUpBackup(C){const a=_.joinPath(this.environmentService.userDataSyncHome,C);try{try{if(!await this.fileService.exists(a))return}catch(w){return}const I=await this.fileService.resolve(a);if(I.children){const w=I.children.filter(s=>s.isFile&&/^\d{8}T\d{6}(\.json)?$/.test(s.name)).sort(),b=1e3*60*60*24*(this.configurationService.getValue("sync.localBackupDuration")||30);let g=w.filter(s=>Date.now()-this.getCreationTime(s)>b);const c=w.length-g.length;c<10&&(g=g.slice(10-c)),await D.Promises.settled(g.map(async s=>{this.logService.info("Deleting from backup",s.resource.path),await this.fileService.del(s.resource)}))}}catch(I){this.logService.error(I)}}getCreationTime(C){return C.ctime||new Date(parseInt(C.name.substring(0,4)),parseInt(C.name.substring(4,6))-1,parseInt(C.name.substring(6,8)),parseInt(C.name.substring(9,11)),parseInt(C.name.substring(11,13)),parseInt(C.name.substring(13,15))).getTime()}};f=he([Y(0,A.IEnvironmentService),Y(1,P.IFileService),Y(2,R.IConfigurationService),Y(3,k.IUserDataSyncLogService)],f),e.UserDataSyncBackupStoreService=f}),define(ee[186],te([0,1,7,2]),function(H,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncStoreManagementServiceChannelClient=e.UserDataSyncStoreManagementServiceChannel=e.UserDataSyncAccountServiceChannel=e.UserDataSyncMachinesServiceChannel=e.UserDataSyncUtilServiceClient=e.UserDataSycnUtilServiceChannel=e.UserDataAutoSyncChannel=void 0;class _{constructor(S){this.service=S}listen(S,C){switch(C){case"onError":return this.service.onError}throw new Error(`Event not found: ${C}`)}call(S,C,a){switch(C){case"triggerSync":return this.service.triggerSync(a[0],a[1],a[2]);case"turnOn":return this.service.turnOn();case"turnOff":return this.service.turnOff(a[0])}throw new Error("Invalid call")}}e.UserDataAutoSyncChannel=_;class R{constructor(S){this.service=S}listen(S,C){throw new Error(`Event not found: ${C}`)}call(S,C,a){switch(C){case"resolveDefaultIgnoredSettings":return this.service.resolveDefaultIgnoredSettings();case"resolveUserKeybindings":return this.service.resolveUserBindings(a[0]);case"resolveFormattingOptions":return this.service.resolveFormattingOptions(v.URI.revive(a[0]))}throw new Error("Invalid call")}}e.UserDataSycnUtilServiceChannel=R;class P{constructor(S){this.channel=S}async resolveDefaultIgnoredSettings(){return this.channel.call("resolveDefaultIgnoredSettings")}async resolveUserBindings(S){return this.channel.call("resolveUserKeybindings",[S])}async resolveFormattingOptions(S){return this.channel.call("resolveFormattingOptions",[S])}}e.UserDataSyncUtilServiceClient=P;class A{constructor(S){this.service=S}listen(S,C){switch(C){case"onDidChange":return this.service.onDidChange}throw new Error(`Event not found: ${C}`)}async call(S,C,a){switch(C){case"getMachines":return this.service.getMachines();case"addCurrentMachine":return this.service.addCurrentMachine();case"removeCurrentMachine":return this.service.removeCurrentMachine();case"renameMachine":return this.service.renameMachine(a[0],a[1]);case"setEnablement":return this.service.setEnablement(a[0],a[1])}throw new Error("Invalid call")}}e.UserDataSyncMachinesServiceChannel=A;class y{constructor(S){this.service=S}listen(S,C){switch(C){case"onDidChangeAccount":return this.service.onDidChangeAccount;case"onTokenFailed":return this.service.onTokenFailed}throw new Error(`Event not found: ${C}`)}call(S,C,a){switch(C){case"_getInitialData":return Promise.resolve(this.service.account);case"updateAccount":return this.service.updateAccount(a)}throw new Error("Invalid call")}}e.UserDataSyncAccountServiceChannel=y;class E{constructor(S){this.service=S}listen(S,C){switch(C){case"onDidChangeUserDataSyncStore":return this.service.onDidChangeUserDataSyncStore}throw new Error(`Event not found: ${C}`)}call(S,C,a){switch(C){case"switch":return this.service.switch(a[0]);case"getPreviousUserDataSyncStore":return this.service.getPreviousUserDataSyncStore()}throw new Error("Invalid call")}}e.UserDataSyncStoreManagementServiceChannel=E;class D extends k.Disposable{constructor(S){super();this.channel=S,this.onDidChangeUserDataSyncStore=this.channel.listen("onDidChangeUserDataSyncStore")}async switch(S){return this.channel.call("switch",[S])}async getPreviousUserDataSyncStore(){const S=await this.channel.call("getPreviousUserDataSyncStore");return this.revive(S)}revive(S){return{url:v.URI.revive(S.url),type:S.type,defaultUrl:v.URI.revive(S.defaultUrl),insidersUrl:v.URI.revive(S.insidersUrl),stableUrl:v.URI.revive(S.stableUrl),canSwitch:S.canSwitch,authenticationProviders:S.authenticationProviders}}}e.UserDataSyncStoreManagementServiceChannelClient=D}),define(ee[187],te([0,1,13,9]),function(H,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncLogService=void 0;let _=class extends v.AbstractLogger{constructor(P,A){super();this.logger=this._register(P.createLogger(A.userDataSyncLogResource,{name:"settingssync"}))}trace(P,...A){this.logger.trace(P,...A)}debug(P,...A){this.logger.debug(P,...A)}info(P,...A){this.logger.info(P,...A)}warn(P,...A){this.logger.warn(P,...A)}error(P,...A){this.logger.error(P,...A)}critical(P,...A){this.logger.critical(P,...A)}flush(){this.logger.flush()}};_=he([Y(0,v.ILoggerService),Y(1,k.IEnvironmentService)],_),e.UserDataSyncLogService=_}),define(ee[60],te([0,1,4,2,44,9,10,19,20,124,31,6,21,3]),function(H,e,v,k,_,R,P,A,y,E,D,f,S,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncMachinesService=e.IUserDataSyncMachinesService=void 0,e.IUserDataSyncMachinesService=v.createDecorator("IUserDataSyncMachinesService");const a="sync.currentMachineName";let I=class Ve extends k.Disposable{constructor(b,g,c,s,i,t){super();this.storageService=c,this.userDataSyncStoreService=s,this.logService=i,this.productService=t,this._onDidChange=this._register(new C.Emitter),this.onDidChange=this._onDidChange.event,this.userData=null,this.currentMachineIdPromise=_.getServiceMachineId(b,g,c)}async getMachines(b){const g=await this.currentMachineIdPromise;return(await this.readMachinesData(b)).machines.map(s=>Object.assign(Object.assign({},s),{isCurrent:s.id===g}))}async addCurrentMachine(b){const g=await this.currentMachineIdPromise,c=await this.readMachinesData(b);c.machines.some(({id:s})=>s===g)||(c.machines.push({id:g,name:this.computeCurrentMachineName(c.machines)}),await this.writeMachinesData(c))}async removeCurrentMachine(b){const g=await this.currentMachineIdPromise,c=await this.readMachinesData(b),s=c.machines.filter(({id:i})=>i!==g);s.length!==c.machines.length&&(c.machines=s,await this.writeMachinesData(c))}async renameMachine(b,g,c){const s=await this.currentMachineIdPromise,i=await this.readMachinesData(c),t=i.machines.find(({id:n})=>n===b);t&&(t.name=g,await this.writeMachinesData(i),i.machines.some(({id:n})=>n===s)&&this.storageService.store(a,g,0,1))}async setEnablement(b,g){const c=await this.readMachinesData(),s=c.machines.find(({id:i})=>i===b);s&&(s.disabled=g?void 0:!0,await this.writeMachinesData(c))}computeCurrentMachineName(b){const g=this.storageService.get(a,0);if(g)return g;const c=`${this.productService.nameLong} (${f.PlatformToString(f.isWeb?0:f.platform)})`,s=new RegExp(`${S.escapeRegExpCharacters(c)}\\s#(\\d+)`);let i=0;for(const t of b){const n=s.exec(t.name),o=n?parseInt(n[1]):0;i=o>i?o:i}return`${c} #${i+1}`}async readMachinesData(b){this.userData=await this.readUserData(b);const g=this.parse(this.userData);if(g.version!==Ve.VERSION)throw new Error(E.localize(0,null,this.productService.nameLong));return g}async writeMachinesData(b){var g;const c=JSON.stringify(b),s=await this.userDataSyncStoreService.write(Ve.RESOURCE,c,((g=this.userData)===null||g===void 0?void 0:g.ref)||null);this.userData={ref:s,content:c},this._onDidChange.fire()}async readUserData(b){if(this.userData){const g=b&&b.latest?b.latest[Ve.RESOURCE]:void 0;if(this.userData.ref===g)return this.userData;if(g===void 0&&this.userData.content===null)return this.userData}return this.userDataSyncStoreService.read(Ve.RESOURCE,this.userData)}parse(b){if(b.content!==null)try{return JSON.parse(b.content)}catch(g){this.logService.error(g)}return{version:Ve.VERSION,machines:[]}}};I.VERSION=1,I.RESOURCE="machines",I=he([Y(0,R.IEnvironmentService),Y(1,P.IFileService),Y(2,A.IStorageService),Y(3,y.IUserDataSyncStoreService),Y(4,y.IUserDataSyncLogService),Y(5,D.IProductService)],I),e.UserDataSyncMachinesService=I}),define(ee[82],te([0,1,5,3,2,20,59,26,14,19,9,60,122,53,7,18,6,31]),function(H,e,v,k,_,R,P,A,y,E,D,f,S,C,a,I,w,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataAutoSyncService=e.UserDataAutoSyncEnablementService=void 0;const g="sync.enable",c="sync.disableMachineEventually",s="sync.sessionId",i="sync.storeUrl",t="sync.productQuality";let n=class extends _.Disposable{constructor(l,u,m){super();this.storageService=l,this.environmentService=u,this.userDataSyncStoreManagementService=m,this._onDidChangeEnablement=new k.Emitter,this.onDidChangeEnablement=this._onDidChangeEnablement.event,this._register(l.onDidChangeValue(p=>this.onDidStorageChange(p)))}isEnabled(l){switch(this.environmentService.sync){case"on":return!0;case"off":return!1}return this.storageService.getBoolean(g,0,!!l)}canToggleEnablement(){return this.userDataSyncStoreManagementService.userDataSyncStore!==void 0&&this.environmentService.sync===void 0}setEnablement(l){l&&!this.canToggleEnablement()||this.storageService.store(g,l,0,1)}onDidStorageChange(l){if(l.scope===0&&g===l.key){this._onDidChangeEnablement.fire(this.isEnabled());return}}};n=he([Y(0,E.IStorageService),Y(1,D.IEnvironmentService),Y(2,R.IUserDataSyncStoreManagementService)],n),e.UserDataAutoSyncEnablementService=n;let o=class extends _.Disposable{constructor(l,u,m,p,d,O,U,j,B,V,q){var G;super();this.userDataSyncStoreManagementService=u,this.userDataSyncStoreService=m,this.userDataSyncResourceEnablementService=p,this.userDataSyncService=d,this.logService=O,this.userDataSyncAccountService=U,this.telemetryService=j,this.userDataSyncMachinesService=B,this.storageService=V,this.autoSync=this._register(new _.MutableDisposable),this.successiveFailures=0,this.lastSyncTriggerTime=void 0,this._onError=this._register(new k.Emitter),this.onError=this._onError.event,this.sources=[],this.userDataAutoSyncEnablementService=q,this.syncTriggerDelayer=this._register(new v.Delayer(0)),this.lastSyncUrl=this.syncUrl,this.syncUrl=(G=u.userDataSyncStore)===null||G===void 0?void 0:G.url,this.previousProductQuality=this.productQuality,this.productQuality=l.quality,this.syncUrl&&(this.logService.info("Using settings sync service",this.syncUrl.toString()),this._register(u.onDidChangeUserDataSyncStore(()=>{var Q,$;I.isEqual(this.syncUrl,(Q=u.userDataSyncStore)===null||Q===void 0?void 0:Q.url)||(this.lastSyncUrl=this.syncUrl,this.syncUrl=($=u.userDataSyncStore)===null||$===void 0?void 0:$.url,this.syncUrl&&this.logService.info("Using settings sync service",this.syncUrl.toString()))})),this.userDataAutoSyncEnablementService.isEnabled()?this.logService.info("Auto Sync is enabled."):this.logService.info("Auto Sync is disabled."),this.updateAutoSync(),this.hasToDisableMachineEventually()&&this.disableMachineEventually(),this._register(U.onDidChangeAccount(()=>this.updateAutoSync())),this._register(m.onDidChangeDonotMakeRequestsUntil(()=>this.updateAutoSync())),this._register(k.Event.debounce(d.onDidChangeLocal,(Q,$)=>Q?[...Q,$]:[$],1e3)(Q=>this.triggerSync(Q,!1,!1))),this._register(k.Event.filter(this.userDataSyncResourceEnablementService.onDidChangeResourceEnablement,([,Q])=>Q)(()=>this.triggerSync(["resourceEnablement"],!1,!1))),this._register(this.userDataSyncStoreManagementService.onDidChangeUserDataSyncStore(()=>this.triggerSync(["userDataSyncStoreChanged"],!1,!1))))}get syncUrl(){const l=this.storageService.get(i,0);return l?a.URI.parse(l):void 0}set syncUrl(l){l?this.storageService.store(i,l.toString(),0,1):this.storageService.remove(i,0)}get productQuality(){return this.storageService.get(t,0)}set productQuality(l){l?this.storageService.store(t,l,0,1):this.storageService.remove(t,0)}updateAutoSync(){const{enabled:l,message:u}=this.isAutoSyncEnabled();l?this.autoSync.value===void 0&&(this.autoSync.value=new h(this.lastSyncUrl,1e3*60*5,this.userDataSyncStoreManagementService,this.userDataSyncStoreService,this.userDataSyncService,this.userDataSyncMachinesService,this.logService,this.storageService),this.autoSync.value.register(this.autoSync.value.onDidStartSync(()=>this.lastSyncTriggerTime=new Date().getTime())),this.autoSync.value.register(this.autoSync.value.onDidFinishSync(m=>this.onDidFinishSync(m))),this.startAutoSync()&&this.autoSync.value.start()):(this.syncTriggerDelayer.cancel(),this.autoSync.value!==void 0?(u&&this.logService.info(u),this.autoSync.clear()):u&&this.userDataAutoSyncEnablementService.isEnabled()&&this.logService.info(u))}startAutoSync(){return!0}isAutoSyncEnabled(){return this.userDataAutoSyncEnablementService.isEnabled()?this.userDataSyncAccountService.account?this.userDataSyncStoreService.donotMakeRequestsUntil?{enabled:!1,message:`Auto Sync: Suspended until ${C.toLocalISOString(this.userDataSyncStoreService.donotMakeRequestsUntil)} because server is not accepting requests until then.`}:{enabled:!0}:{enabled:!1,message:"Auto Sync: Suspended until auth token is available."}:{enabled:!1,message:"Auto Sync: Disabled."}}async turnOn(){this.stopDisableMachineEventually(),this.lastSyncUrl=this.syncUrl,this.updateEnablement(!0)}async turnOff(l,u,m){try{this.userDataSyncAccountService.account&&!m&&await this.userDataSyncMachinesService.removeCurrentMachine(),this.updateEnablement(!1),this.storageService.remove(s,0),l?(this.telemetryService.publicLog2("sync/turnOffEveryWhere"),await this.userDataSyncService.reset()):await this.userDataSyncService.resetLocal()}catch(p){if(u)this.logService.error(p),this.updateEnablement(!1);else throw p}}updateEnablement(l){this.userDataAutoSyncEnablementService.isEnabled()!==l&&(this.telemetryService.publicLog2(g,{enabled:l}),this.userDataAutoSyncEnablementService.setEnablement(l),this.updateAutoSync())}hasProductQualityChanged(){return!!this.previousProductQuality&&!!this.productQuality&&this.previousProductQuality!==this.productQuality}async onDidFinishSync(l){if(!l){this.successiveFailures=0;return}const u=R.UserDataSyncError.toUserDataSyncError(l);u instanceof R.UserDataAutoSyncError&&this.telemetryService.publicLog2("autosync/error",{code:u.code,service:this.userDataSyncStoreManagementService.userDataSyncStore.url.toString()}),u.code===R.UserDataSyncErrorCode.SessionExpired?(await this.turnOff(!1,!0),this.logService.info("Auto Sync: Turned off sync because current session is expired")):u.code===R.UserDataSyncErrorCode.TurnedOff?(await this.turnOff(!1,!0),this.logService.info("Auto Sync: Turned off sync because sync is turned off in the cloud")):u.code===R.UserDataSyncErrorCode.LocalTooManyRequests||u.code===R.UserDataSyncErrorCode.TooManyRequests?(await this.turnOff(!1,!0,!0),this.disableMachineEventually(),this.logService.info("Auto Sync: Turned off sync because of making too many requests to server")):u.code===R.UserDataSyncErrorCode.UpgradeRequired||u.code===R.UserDataSyncErrorCode.Gone?(await this.turnOff(!1,!0,!0),this.disableMachineEventually(),this.logService.info("Auto Sync: Turned off sync because current client is not compatible with server. Requires client upgrade.")):u.code===R.UserDataSyncErrorCode.IncompatibleLocalContent?(await this.turnOff(!1,!0),this.logService.info(`Auto Sync: Turned off sync because server has ${u.resource} content with newer version than of client. Requires client upgrade.`)):u.code===R.UserDataSyncErrorCode.IncompatibleRemoteContent?(await this.turnOff(!1,!0),this.logService.info(`Auto Sync: Turned off sync because server has ${u.resource} content with older version than of client. Requires server reset.`)):u.code===R.UserDataSyncErrorCode.ServiceChanged||u.code===R.UserDataSyncErrorCode.DefaultServiceChanged?w.isWeb&&u.code===R.UserDataSyncErrorCode.DefaultServiceChanged&&!this.hasProductQualityChanged()?(await this.turnOff(!1,!0),this.logService.info("Auto Sync: Turned off sync because default sync service is changed.")):(await this.turnOff(!1,!0,!0),await this.turnOn(),this.logService.info("Auto Sync: Sync Service changed. Turned off auto sync, reset local state and turned on auto sync.")):(this.logService.error(u),this.successiveFailures++),this._onError.fire(u)}async disableMachineEventually(){this.storageService.store(c,!0,0,1),await v.timeout(1e3*60*10),!!this.hasToDisableMachineEventually()&&(this.stopDisableMachineEventually(),!this.userDataAutoSyncEnablementService.isEnabled()&&this.userDataSyncAccountService.account&&await this.userDataSyncMachinesService.removeCurrentMachine())}hasToDisableMachineEventually(){return this.storageService.getBoolean(c,0,!1)}stopDisableMachineEventually(){this.storageService.remove(c,0)}async triggerSync(l,u,m){if(this.autoSync.value===void 0)return this.syncTriggerDelayer.cancel();if(u&&this.lastSyncTriggerTime&&Math.round((new Date().getTime()-this.lastSyncTriggerTime)/1e3)<10){this.logService.debug("Auto Sync: Skipped. Limited to once per 10 seconds.");return}return this.sources.push(...l),this.syncTriggerDelayer.trigger(async()=>{this.logService.trace("activity sources",...this.sources),this.telemetryService.publicLog2("sync/triggered",{sources:this.sources}),this.sources=[],this.autoSync.value&&await this.autoSync.value.sync("Activity",m)},this.successiveFailures?this.getSyncTriggerDelayTime()*1*Math.min(Math.pow(2,this.successiveFailures),60):this.getSyncTriggerDelayTime())}getSyncTriggerDelayTime(){return 1e3}};o=he([Y(0,b.IProductService),Y(1,R.IUserDataSyncStoreManagementService),Y(2,R.IUserDataSyncStoreService),Y(3,R.IUserDataSyncResourceEnablementService),Y(4,R.IUserDataSyncService),Y(5,R.IUserDataSyncLogService),Y(6,P.IUserDataSyncAccountService),Y(7,A.ITelemetryService),Y(8,f.IUserDataSyncMachinesService),Y(9,E.IStorageService),Y(10,R.IUserDataAutoSyncEnablementService)],o),e.UserDataAutoSyncService=o;class h extends _.Disposable{constructor(l,u,m,p,d,O,U,j){super();this.lastSyncUrl=l,this.interval=u,this.userDataSyncStoreManagementService=m,this.userDataSyncStoreService=p,this.userDataSyncService=d,this.userDataSyncMachinesService=O,this.logService=U,this.storageService=j,this.intervalHandler=this._register(new _.MutableDisposable),this._onDidStartSync=this._register(new k.Emitter),this.onDidStartSync=this._onDidStartSync.event,this._onDidFinishSync=this._register(new k.Emitter),this.onDidFinishSync=this._onDidFinishSync.event}start(){this._register(this.onDidFinishSync(()=>this.waitUntilNextIntervalAndSync())),this._register(_.toDisposable(()=>{this.syncPromise&&(this.syncPromise.cancel(),this.logService.info("Auto sync: Cancelled sync that is in progress"),this.syncPromise=void 0),this.syncTask&&this.syncTask.stop(),this.logService.info("Auto Sync: Stopped")})),this.logService.info("Auto Sync: Started"),this.sync(h.INTERVAL_SYNCING,!1)}waitUntilNextIntervalAndSync(){this.intervalHandler.value=v.disposableTimeout(()=>this.sync(h.INTERVAL_SYNCING,!1),this.interval)}sync(l,u){const m=v.createCancelablePromise(async p=>{if(this.syncPromise)try{this.logService.debug("Auto Sync: Waiting until sync is finished."),await this.syncPromise}catch(d){if(y.isPromiseCanceledError(d))return}return this.doSync(l,u,p)});return this.syncPromise=m,this.syncPromise.finally(()=>this.syncPromise=void 0),this.syncPromise}hasSyncServiceChanged(){var l;return this.lastSyncUrl!==void 0&&!I.isEqual(this.lastSyncUrl,(l=this.userDataSyncStoreManagementService.userDataSyncStore)===null||l===void 0?void 0:l.url)}async hasDefaultServiceChanged(){const l=await this.userDataSyncStoreManagementService.getPreviousUserDataSyncStore(),u=this.userDataSyncStoreManagementService.userDataSyncStore;return!!u&&!!l&&(!I.isEqual(u.defaultUrl,l.defaultUrl)||!I.isEqual(u.insidersUrl,l.insidersUrl)||!I.isEqual(u.stableUrl,l.stableUrl))}async doSync(l,u,m){this.logService.info(`Auto Sync: Triggered by ${l}`),this._onDidStartSync.fire();let p;try{if(this.syncTask=await this.userDataSyncService.createSyncTask(u),m.isCancellationRequested)return;let d=this.syncTask.manifest;if(d===null&&await this.userDataSyncService.hasPreviouslySynced())throw this.hasSyncServiceChanged()?await this.hasDefaultServiceChanged()?new R.UserDataAutoSyncError(S.localize(0,null),R.UserDataSyncErrorCode.DefaultServiceChanged):new R.UserDataAutoSyncError(S.localize(1,null),R.UserDataSyncErrorCode.ServiceChanged):new R.UserDataAutoSyncError(S.localize(2,null),R.UserDataSyncErrorCode.TurnedOff);const O=this.storageService.get(s,0);if(O&&d&&O!==d.session)throw this.hasSyncServiceChanged()?await this.hasDefaultServiceChanged()?new R.UserDataAutoSyncError(S.localize(3,null),R.UserDataSyncErrorCode.DefaultServiceChanged):new R.UserDataAutoSyncError(S.localize(4,null),R.UserDataSyncErrorCode.ServiceChanged):new R.UserDataAutoSyncError(S.localize(5,null),R.UserDataSyncErrorCode.SessionExpired);const U=await this.userDataSyncMachinesService.getMachines(d||void 0);if(m.isCancellationRequested)return;const j=U.find(B=>B.isCurrent);if(j==null?void 0:j.disabled)throw new R.UserDataAutoSyncError(S.localize(6,null),R.UserDataSyncErrorCode.TurnedOff);if(await this.syncTask.run(),d===null&&(d=await this.userDataSyncStoreService.manifest()),d&&d.session!==O&&this.storageService.store(s,d.session,0,1),m.isCancellationRequested)return;j||await this.userDataSyncMachinesService.addCurrentMachine(d||void 0)}catch(d){this.logService.error(d),p=d}this._onDidFinishSync.fire(p)}register(l){return super._register(l)}}h.INTERVAL_SYNCING="Interval"}),define(ee[188],te([0,1,20,2,3,19,26,6]),function(H,e,v,k,_,R,P,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncResourceEnablementService=void 0;let y=class extends k.Disposable{constructor(D,f){super();this.storageService=D,this.telemetryService=f,this._onDidChangeResourceEnablement=new _.Emitter,this.onDidChangeResourceEnablement=this._onDidChangeResourceEnablement.event,this._register(D.onDidChangeValue(S=>this.onDidStorageChange(S)))}isResourceEnabled(D){return this.storageService.getBoolean(v.getEnablementKey(D),0,!0)}setResourceEnablement(D,f){if(this.isResourceEnabled(D)!==f){const S=v.getEnablementKey(D);this.telemetryService.publicLog2(S,{enabled:f}),this.storeResourceEnablement(S,f)}}storeResourceEnablement(D,f){this.storageService.store(D,f,0,A.isWeb?0:1)}onDidStorageChange(D){if(D.scope===0){const f=v.ALL_SYNC_RESOURCES.filter(S=>v.getEnablementKey(S)===D.key)[0];if(f){this._onDidChangeResourceEnablement.fire([f,this.isResourceEnabled(f)]);return}}}};y=he([Y(0,R.IStorageService),Y(1,P.ITelemetryService)],y),e.UserDataSyncResourceEnablementService=y}),define(ee[189],te([0,1,20,2,4,3,178,181,180,43,26,17,19,183,18,184,30,5,14]),function(H,e,v,k,_,R,P,A,y,E,D,f,S,C,a,I,w,b,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncService=void 0;const c="sync.lastSyncTime";let s=class extends k.Disposable{constructor(o,h,r,l,u,m){super();this.userDataSyncStoreService=o,this.userDataSyncStoreManagementService=h,this.instantiationService=r,this.logService=l,this.telemetryService=u,this.storageService=m,this._status="uninitialized",this._onDidChangeStatus=this._register(new R.Emitter),this.onDidChangeStatus=this._onDidChangeStatus.event,this._conflicts=[],this._onDidChangeConflicts=this._register(new R.Emitter),this.onDidChangeConflicts=this._onDidChangeConflicts.event,this._syncErrors=[],this._onSyncErrors=this._register(new R.Emitter),this.onSyncErrors=this._onSyncErrors.event,this._lastSyncTime=void 0,this._onDidChangeLastSyncTime=this._register(new R.Emitter),this.onDidChangeLastSyncTime=this._onDidChangeLastSyncTime.event,this._onDidResetLocal=this._register(new R.Emitter),this.onDidResetLocal=this._onDidResetLocal.event,this._onDidResetRemote=this._register(new R.Emitter),this.onDidResetRemote=this._onDidResetRemote.event,this.recoveredSettings=!1,this.settingsSynchroniser=this._register(this.instantiationService.createInstance(C.SettingsSynchroniser)),this.keybindingsSynchroniser=this._register(this.instantiationService.createInstance(A.KeybindingsSynchroniser)),this.snippetsSynchroniser=this._register(this.instantiationService.createInstance(I.SnippetsSynchroniser)),this.globalStateSynchroniser=this._register(this.instantiationService.createInstance(y.GlobalStateSynchroniser)),this.extensionsSynchroniser=this._register(this.instantiationService.createInstance(P.ExtensionsSynchroniser)),this.synchronisers=[this.settingsSynchroniser,this.keybindingsSynchroniser,this.snippetsSynchroniser,this.globalStateSynchroniser,this.extensionsSynchroniser],this.updateStatus(),this.userDataSyncStoreManagementService.userDataSyncStore&&(this._register(R.Event.any(...this.synchronisers.map(p=>R.Event.map(p.onDidChangeStatus,()=>{})))(()=>this.updateStatus())),this._register(R.Event.any(...this.synchronisers.map(p=>R.Event.map(p.onDidChangeConflicts,()=>{})))(()=>this.updateConflicts()))),this._lastSyncTime=this.storageService.getNumber(c,0,void 0),this.onDidChangeLocal=R.Event.any(...this.synchronisers.map(p=>R.Event.map(p.onDidChangeLocal,()=>p.resource)))}get status(){return this._status}get conflicts(){return this._conflicts}get lastSyncTime(){return this._lastSyncTime}async createSyncTask(o){await this.checkEnablement();const h=w.generateUuid();let r;try{const p=v.createSyncHeaders(h);o&&(p["Cache-Control"]="no-cache"),r=await this.userDataSyncStoreService.manifest(p)}catch(p){const d=v.UserDataSyncError.toUserDataSyncError(p);throw this.reportUserDataSyncError(d,h),d}let l=!1;const u=this;let m;return{manifest:r,run(){if(l)throw new Error("Can run a task only once");return m=b.createCancelablePromise(p=>u.sync(r,h,p)),m.finally(()=>m=void 0)},async stop(){if(m&&m.cancel(),u.status!=="idle")return u.stop()}}}async createManualSyncTask(){await this.checkEnablement();const o=w.generateUuid(),h=v.createSyncHeaders(o);let r;try{r=await this.userDataSyncStoreService.manifest(h)}catch(l){const u=v.UserDataSyncError.toUserDataSyncError(l);throw this.reportUserDataSyncError(u,o),u}return new i(o,r,h,this.synchronisers,this.logService)}async sync(o,h,r){if(this.recoveredSettings||(await this.settingsSynchroniser.recoverSettings(),this.recoveredSettings=!0),!r.isCancellationRequested){const l=new Date().getTime();this._syncErrors=[];try{this.logService.trace("Sync started."),this.status!=="hasConflicts"&&this.setStatus("syncing");const u=v.createSyncHeaders(h);for(const m of this.synchronisers){if(r.isCancellationRequested)return;try{await m.sync(o,u)}catch(p){if(p instanceof v.UserDataSyncError)switch(p.code){case v.UserDataSyncErrorCode.TooLarge:throw new v.UserDataSyncError(p.message,p.code,m.resource);case v.UserDataSyncErrorCode.TooManyRequests:case v.UserDataSyncErrorCode.TooManyRequestsAndRetryAfter:case v.UserDataSyncErrorCode.LocalTooManyRequests:case v.UserDataSyncErrorCode.Gone:case v.UserDataSyncErrorCode.UpgradeRequired:case v.UserDataSyncErrorCode.IncompatibleRemoteContent:case v.UserDataSyncErrorCode.IncompatibleLocalContent:throw p}const d=v.UserDataSyncError.toUserDataSyncError(p);this.reportUserDataSyncError(d,h),this.logService.error(p),this.logService.error(`${m.resource}: ${E.toErrorMessage(p)}`),this._syncErrors.push([m.resource,d])}}this.logService.info(`Sync done. Took ${new Date().getTime()-l}ms`),this.updateLastSyncTime()}catch(u){const m=v.UserDataSyncError.toUserDataSyncError(u);throw this.reportUserDataSyncError(m,h),m}finally{this.updateStatus(),this._onSyncErrors.fire(this._syncErrors)}}}async stop(){if(this.status!=="idle")for(const o of this.synchronisers)try{o.status!=="idle"&&await o.stop()}catch(h){this.logService.error(h)}}async replace(o){await this.checkEnablement();for(const h of this.synchronisers)if(await h.replace(o))return}async accept(o,h,r,l){await this.checkEnablement();const u=this.getSynchroniser(o);await u.accept(h,r),l&&await u.apply(!1,v.createSyncHeaders(w.generateUuid()))}async resolveContent(o){for(const h of this.synchronisers){const r=await h.resolveContent(o);if(r)return r}return null}getRemoteSyncResourceHandles(o){return this.getSynchroniser(o).getRemoteSyncResourceHandles()}getLocalSyncResourceHandles(o){return this.getSynchroniser(o).getLocalSyncResourceHandles()}getAssociatedResources(o,h){return this.getSynchroniser(o).getAssociatedResources(h)}getMachineId(o,h){return this.getSynchroniser(o).getMachineId(h)}async hasLocalData(){const o=[this.settingsSynchroniser,this.keybindingsSynchroniser,this.snippetsSynchroniser,this.extensionsSynchroniser];for(const h of o)if(await h.hasLocalData())return!0;return!1}async reset(){await this.checkEnablement(),await this.resetRemote(),await this.resetLocal()}async resetRemote(){await this.checkEnablement();try{await this.userDataSyncStoreService.clear(),this.logService.info("Cleared data on server")}catch(o){this.logService.error(o)}this._onDidResetRemote.fire()}async resetLocal(){await this.checkEnablement(),this.storageService.remove(c,0);for(const o of this.synchronisers)try{await o.resetLocal()}catch(h){this.logService.error(`${o.resource}: ${E.toErrorMessage(h)}`),this.logService.error(h)}this._onDidResetLocal.fire(),this.logService.info("Did reset the local sync state.")}async hasPreviouslySynced(){for(const o of this.synchronisers)if(await o.hasPreviouslySynced())return!0;return!1}setStatus(o){const h=this._status;this._status!==o&&(this._status=o,this._onDidChangeStatus.fire(o),h==="hasConflicts"&&this.updateLastSyncTime())}updateStatus(){this.updateConflicts();const o=this.computeStatus();this.setStatus(o)}updateConflicts(){const o=this.computeConflicts();f.equals(this._conflicts,o,([h,r],[l,u])=>h===h&&f.equals(r,u,(m,p)=>a.isEqual(m.previewResource,p.previewResource)))||(this._conflicts=this.computeConflicts(),this._onDidChangeConflicts.fire(o))}computeStatus(){return this.userDataSyncStoreManagementService.userDataSyncStore?this.synchronisers.some(o=>o.status==="hasConflicts")?"hasConflicts":this.synchronisers.some(o=>o.status==="syncing")?"syncing":"idle":"uninitialized"}updateLastSyncTime(){this.status==="idle"&&(this._lastSyncTime=new Date().getTime(),this.storageService.store(c,this._lastSyncTime,0,1),this._onDidChangeLastSyncTime.fire(this._lastSyncTime))}reportUserDataSyncError(o,h){this.telemetryService.publicLog2("sync/error",{code:o.code,url:o instanceof v.UserDataSyncStoreError?o.url:void 0,resource:o.resource,executionId:h,service:this.userDataSyncStoreManagementService.userDataSyncStore.url.toString()})}computeConflicts(){return this.synchronisers.filter(o=>o.status==="hasConflicts").map(o=>[o.resource,o.conflicts.map(t)])}getSynchroniser(o){return this.synchronisers.find(h=>h.resource===o)}async checkEnablement(){if(!this.userDataSyncStoreManagementService.userDataSyncStore)throw new Error("Not enabled")}};s=he([Y(0,v.IUserDataSyncStoreService),Y(1,v.IUserDataSyncStoreManagementService),Y(2,_.IInstantiationService),Y(3,v.IUserDataSyncLogService),Y(4,D.ITelemetryService),Y(5,S.IStorageService)],s),e.UserDataSyncService=s;class i extends k.Disposable{constructor(o,h,r,l,u){super();this.id=o,this.manifest=h,this.syncHeaders=r,this.synchronisers=l,this.logService=u,this.synchronizingResources=[],this._onSynchronizeResources=this._register(new R.Emitter),this.onSynchronizeResources=this._onSynchronizeResources.event,this.isDisposed=!1}get status(){return this.synchronisers.some(o=>o.status==="hasConflicts")?"hasConflicts":this.synchronisers.some(o=>o.status==="syncing")?"syncing":"idle"}async preview(){try{if(this.isDisposed)throw new Error("Disposed");return this.previewsPromise||(this.previewsPromise=b.createCancelablePromise(o=>this.getPreviews(o))),this.previews||(this.previews=await this.previewsPromise),this.previews}catch(o){throw this.logService.error(o),o}}async accept(o,h){try{return await this.performAction(o,r=>r.accept(o,h))}catch(r){throw this.logService.error(r),r}}async merge(o){try{return o?await this.performAction(o,h=>h.merge(o)):await this.mergeAll()}catch(h){throw this.logService.error(h),h}}async discard(o){try{return await this.performAction(o,h=>h.discard(o))}catch(h){throw this.logService.error(h),h}}async discardConflicts(){try{if(!this.previews)throw new Error("Missing preview. Create preview and try again.");if(this.synchronizingResources.length)throw new Error("Cannot discard while synchronizing resources");const o=[];for(const[,h]of this.previews)for(const r of h.resourcePreviews)r.mergeState==="conflict"&&o.push(r.previewResource);for(const h of o)await this.discard(h);return this.previews}catch(o){throw this.logService.error(o),o}}async apply(){try{if(!this.previews)throw new Error("You need to create preview before applying");if(this.synchronizingResources.length)throw new Error("Cannot pull while synchronizing resources");const o=[];for(const[h,r]of this.previews){this.synchronizingResources.push([h,r.resourcePreviews.map(m=>m.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const l=this.synchronisers.find(m=>m.resource===h);for(const m of r.resourcePreviews)(m.localChange!==0||m.remoteChange!==0)&&m.mergeState==="preview"&&await l.merge(m.previewResource);const u=await l.apply(!1,this.syncHeaders);u&&o.push(this.toSyncResourcePreview(l.resource,u)),this.synchronizingResources.splice(this.synchronizingResources.findIndex(m=>m[0]===h),1),this._onSynchronizeResources.fire(this.synchronizingResources)}return this.previews=o,this.previews}catch(o){throw this.logService.error(o),o}}async pull(){try{if(!this.previews)throw new Error("You need to create preview before applying");if(this.synchronizingResources.length)throw new Error("Cannot pull while synchronizing resources");for(const[o,h]of this.previews){this.synchronizingResources.push([o,h.resourcePreviews.map(l=>l.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const r=this.synchronisers.find(l=>l.resource===o);for(const l of h.resourcePreviews)await r.accept(l.remoteResource);await r.apply(!0,this.syncHeaders),this.synchronizingResources.splice(this.synchronizingResources.findIndex(l=>l[0]===o),1),this._onSynchronizeResources.fire(this.synchronizingResources)}this.previews=[]}catch(o){throw this.logService.error(o),o}}async push(){try{if(!this.previews)throw new Error("You need to create preview before applying");if(this.synchronizingResources.length)throw new Error("Cannot pull while synchronizing resources");for(const[o,h]of this.previews){this.synchronizingResources.push([o,h.resourcePreviews.map(l=>l.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const r=this.synchronisers.find(l=>l.resource===o);for(const l of h.resourcePreviews)await r.accept(l.localResource);await r.apply(!0,this.syncHeaders),this.synchronizingResources.splice(this.synchronizingResources.findIndex(l=>l[0]===o),1),this._onSynchronizeResources.fire(this.synchronizingResources)}this.previews=[]}catch(o){throw this.logService.error(o),o}}async stop(){for(const o of this.synchronisers)try{await o.stop()}catch(h){g.isPromiseCanceledError(h)||this.logService.error(h)}this.reset()}async performAction(o,h){if(!this.previews)throw new Error("Missing preview. Create preview and try again.");const r=this.previews.findIndex(([,j])=>j.resourcePreviews.some(({localResource:B,previewResource:V,remoteResource:q})=>a.isEqual(o,B)||a.isEqual(o,V)||a.isEqual(o,q)));if(r===-1)return this.previews;const[l,u]=this.previews[r],m=u.resourcePreviews.find(({localResource:j,remoteResource:B,previewResource:V})=>a.isEqual(j,o)||a.isEqual(B,o)||a.isEqual(V,o));if(!m)return this.previews;let p=this.synchronizingResources.find(j=>j[0]===l);p||(p=[l,[]],this.synchronizingResources.push(p)),p[1].some(j=>a.isEqual(j,m.localResource))||(p[1].push(m.localResource),this._onSynchronizeResources.fire(this.synchronizingResources));const d=this.synchronisers.find(j=>j.resource===this.previews[r][0]),O=await h(d);O?this.previews.splice(r,1,this.toSyncResourcePreview(d.resource,O)):this.previews.splice(r,1);const U=this.synchronizingResources.findIndex(j=>j[0]===l);return this.synchronizingResources[U][1].splice(p[1].findIndex(j=>a.isEqual(j,m.localResource)),1),p[1].length||(this.synchronizingResources.splice(U,1),this._onSynchronizeResources.fire(this.synchronizingResources)),this.previews}async mergeAll(){if(!this.previews)throw new Error("You need to create preview before merging or applying");if(this.synchronizingResources.length)throw new Error("Cannot merge or apply while synchronizing resources");const o=[];for(const[h,r]of this.previews){this.synchronizingResources.push([h,r.resourcePreviews.map(m=>m.localResource)]),this._onSynchronizeResources.fire(this.synchronizingResources);const l=this.synchronisers.find(m=>m.resource===h);let u=r;for(const m of r.resourcePreviews)(m.localChange!==0||m.remoteChange!==0)&&m.mergeState==="preview"&&(u=await l.merge(m.previewResource));u&&o.push(this.toSyncResourcePreview(l.resource,u)),this.synchronizingResources.splice(this.synchronizingResources.findIndex(m=>m[0]===h),1),this._onSynchronizeResources.fire(this.synchronizingResources)}return this.previews=o,this.previews}async getPreviews(o){const h=[];for(const r of this.synchronisers){if(o.isCancellationRequested)return[];const l=await r.preview(this.manifest,this.syncHeaders);l&&h.push(this.toSyncResourcePreview(r.resource,l))}return h}toSyncResourcePreview(o,h){return[o,{isLastSyncFromCurrentMachine:h.isLastSyncFromCurrentMachine,resourcePreviews:h.resourcePreviews.map(t)}]}reset(){this.previewsPromise&&(this.previewsPromise.cancel(),this.previewsPromise=void 0),this.previews=void 0,this.synchronizingResources=[]}dispose(){this.reset(),this.isDisposed=!0}}function t(n){return{localResource:n.localResource,previewResource:n.previewResource,remoteResource:n.remoteResource,acceptedResource:n.acceptedResource,localChange:n.localChange,remoteChange:n.remoteChange,mergeState:n.mergeState}}}),define(ee[190],te([0,1,3,20,7,2,15]),function(H,e,v,k,_,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataSyncChannelClient=e.UserDataSyncChannel=void 0;class A{constructor(f,S){this.service=f,this.logService=S,this.manualSyncTasks=new Map,this.onManualSynchronizeResources=new v.Emitter}listen(f,S){switch(S){case"onDidChangeStatus":return this.service.onDidChangeStatus;case"onDidChangeConflicts":return this.service.onDidChangeConflicts;case"onDidChangeLocal":return this.service.onDidChangeLocal;case"onDidChangeLastSyncTime":return this.service.onDidChangeLastSyncTime;case"onSyncErrors":return this.service.onSyncErrors;case"onDidResetLocal":return this.service.onDidResetLocal;case"onDidResetRemote":return this.service.onDidResetRemote;case"manualSync/onSynchronizeResources":return this.onManualSynchronizeResources.event}throw new Error(`Event not found: ${S}`)}async call(f,S,C){try{return await this._call(f,S,C)}catch(a){throw this.logService.error(a),a}}async _call(f,S,C){switch(S){case"_getInitialData":return Promise.resolve([this.service.status,this.service.conflicts,this.service.lastSyncTime]);case"replace":return this.service.replace(_.URI.revive(C[0]));case"reset":return this.service.reset();case"resetRemote":return this.service.resetRemote();case"resetLocal":return this.service.resetLocal();case"hasPreviouslySynced":return this.service.hasPreviouslySynced();case"hasLocalData":return this.service.hasLocalData();case"accept":return this.service.accept(C[0],_.URI.revive(C[1]),C[2],C[3]);case"resolveContent":return this.service.resolveContent(_.URI.revive(C[0]));case"getLocalSyncResourceHandles":return this.service.getLocalSyncResourceHandles(C[0]);case"getRemoteSyncResourceHandles":return this.service.getRemoteSyncResourceHandles(C[0]);case"getAssociatedResources":return this.service.getAssociatedResources(C[0],{created:C[1].created,uri:_.URI.revive(C[1].uri)});case"getMachineId":return this.service.getMachineId(C[0],{created:C[1].created,uri:_.URI.revive(C[1].uri)});case"createManualSyncTask":return this.createManualSyncTask()}if(S.startsWith("manualSync/")){const a=S.substring("manualSync/".length),I=C[0],w=this.getManualSyncTask(I);switch(C=C.slice(1),a){case"preview":return w.preview();case"accept":return w.accept(_.URI.revive(C[0]),C[1]);case"merge":return w.merge(_.URI.revive(C[0]));case"discard":return w.discard(_.URI.revive(C[0]));case"discardConflicts":return w.discardConflicts();case"apply":return w.apply();case"pull":return w.pull();case"push":return w.push();case"stop":return w.stop();case"_getStatus":return w.status;case"dispose":return this.disposeManualSyncTask(w)}}throw new Error("Invalid call")}getManualSyncTask(f){const S=this.manualSyncTasks.get(this.createKey(f));if(!S)throw new Error(`Manual sync taks not found: ${f}`);return S.manualSyncTask}async createManualSyncTask(){const f=new R.DisposableStore,S=f.add(await this.service.createManualSyncTask());return f.add(S.onSynchronizeResources(C=>this.onManualSynchronizeResources.fire({manualSyncTaskId:S.id,data:C}))),this.manualSyncTasks.set(this.createKey(S.id),{manualSyncTask:S,disposables:f}),{id:S.id,manifest:S.manifest,status:S.status}}disposeManualSyncTask(f){var S;f.dispose();const C=this.createKey(f.id);(S=this.manualSyncTasks.get(C))===null||S===void 0||S.disposables.dispose(),this.manualSyncTasks.delete(C)}createKey(f){return`manualSyncTask-${f}`}}e.UserDataSyncChannel=A;class y extends R.Disposable{constructor(f){super();this._status="uninitialized",this._onDidChangeStatus=this._register(new v.Emitter),this.onDidChangeStatus=this._onDidChangeStatus.event,this._conflicts=[],this._onDidChangeConflicts=this._register(new v.Emitter),this.onDidChangeConflicts=this._onDidChangeConflicts.event,this._lastSyncTime=void 0,this._onDidChangeLastSyncTime=this._register(new v.Emitter),this.onDidChangeLastSyncTime=this._onDidChangeLastSyncTime.event,this._onSyncErrors=this._register(new v.Emitter),this.onSyncErrors=this._onSyncErrors.event,this.channel={call(S,C,a){return f.call(S,C,a).then(null,I=>{throw k.UserDataSyncError.toUserDataSyncError(I)})},listen(S,C){return f.listen(S,C)}},this.channel.call("_getInitialData").then(([S,C,a])=>{this.updateStatus(S),this.updateConflicts(C),a&&this.updateLastSyncTime(a),this._register(this.channel.listen("onDidChangeStatus")(I=>this.updateStatus(I))),this._register(this.channel.listen("onDidChangeLastSyncTime")(I=>this.updateLastSyncTime(I)))}),this._register(this.channel.listen("onDidChangeConflicts")(S=>this.updateConflicts(S))),this._register(this.channel.listen("onSyncErrors")(S=>this._onSyncErrors.fire(S.map(([C,a])=>[C,k.UserDataSyncError.toUserDataSyncError(a)]))))}get status(){return this._status}get onDidChangeLocal(){return this.channel.listen("onDidChangeLocal")}get conflicts(){return this._conflicts}get lastSyncTime(){return this._lastSyncTime}get onDidResetLocal(){return this.channel.listen("onDidResetLocal")}get onDidResetRemote(){return this.channel.listen("onDidResetRemote")}createSyncTask(){throw new Error("not supported")}async createManualSyncTask(){const{id:f,manifest:S,status:C}=await this.channel.call("createManualSyncTask"),a=this,I=new E(f,S,C,{async call(w,b,g){return a.channel.call(`manualSync/${w}`,[f,...P.isArray(b)?b:[b]],g)},listen(w,b){return v.Event.map(v.Event.filter(a.channel.listen(`manualSync/${w}`,b),g=>!I.isDiposed()&&g.manualSyncTaskId===f),g=>g.data)}});return I}replace(f){return this.channel.call("replace",[f])}reset(){return this.channel.call("reset")}resetRemote(){return this.channel.call("resetRemote")}resetLocal(){return this.channel.call("resetLocal")}hasPreviouslySynced(){return this.channel.call("hasPreviouslySynced")}hasLocalData(){return this.channel.call("hasLocalData")}accept(f,S,C,a){return this.channel.call("accept",[f,S,C,a])}resolveContent(f){return this.channel.call("resolveContent",[f])}async getLocalSyncResourceHandles(f){return(await this.channel.call("getLocalSyncResourceHandles",[f])).map(({created:C,uri:a})=>({created:C,uri:_.URI.revive(a)}))}async getRemoteSyncResourceHandles(f){return(await this.channel.call("getRemoteSyncResourceHandles",[f])).map(({created:C,uri:a})=>({created:C,uri:_.URI.revive(a)}))}async getAssociatedResources(f,S){return(await this.channel.call("getAssociatedResources",[f,S])).map(({resource:a,comparableResource:I})=>({resource:_.URI.revive(a),comparableResource:_.URI.revive(I)}))}async getMachineId(f,S){return this.channel.call("getMachineId",[f,S])}async updateStatus(f){this._status=f,this._onDidChangeStatus.fire(f)}async updateConflicts(f){this._conflicts=f.map(([S,C])=>[S,C.map(a=>Object.assign(Object.assign({},a),{localResource:_.URI.revive(a.localResource),remoteResource:_.URI.revive(a.remoteResource),previewResource:_.URI.revive(a.previewResource)}))]),this._onDidChangeConflicts.fire(this._conflicts)}updateLastSyncTime(f){this._lastSyncTime!==f&&(this._lastSyncTime=f,this._onDidChangeLastSyncTime.fire(f))}}e.UserDataSyncChannelClient=y;class E extends R.Disposable{constructor(f,S,C,a){super();this.id=f,this.manifest=S,this._disposed=!1,this._status=C;const I=this;this.channel={async call(w,b,g){try{const c=await a.call(w,b,g);return I.isDiposed()||(I._status=await a.call("_getStatus")),c}catch(c){throw k.UserDataSyncError.toUserDataSyncError(c)}},listen(w,b){return a.listen(w,b)}}}get onSynchronizeResources(){return this.channel.listen("onSynchronizeResources")}get status(){return this._status}async preview(){const f=await this.channel.call("preview");return this.deserializePreviews(f)}async accept(f,S){const C=await this.channel.call("accept",[f,S]);return this.deserializePreviews(C)}async merge(f){const S=await this.channel.call("merge",[f]);return this.deserializePreviews(S)}async discard(f){const S=await this.channel.call("discard",[f]);return this.deserializePreviews(S)}async discardConflicts(){const f=await this.channel.call("discardConflicts");return this.deserializePreviews(f)}async apply(){const f=await this.channel.call("apply");return this.deserializePreviews(f)}pull(){return this.channel.call("pull")}push(){return this.channel.call("push")}stop(){return this.channel.call("stop")}isDiposed(){return this._disposed}dispose(){this._disposed=!0,this.channel.call("dispose")}deserializePreviews(f){return f.map(([S,C])=>[S,{isLastSyncFromCurrentMachine:C.isLastSyncFromCurrentMachine,resourcePreviews:C.resourcePreviews.map(a=>Object.assign(Object.assign({},a),{localResource:_.URI.revive(a.localResource),remoteResource:_.URI.revive(a.remoteResource),previewResource:_.URI.revive(a.previewResource),acceptedResource:_.URI.revive(a.acceptedResource)}))}])}}}),define(ee[191],te([0,1,2,20,40,18,29,25,31,44,9,10,19,30,6,3,5,15,7,14]),function(H,e,v,k,_,R,P,A,y,E,D,f,S,C,a,I,w,b,g,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestsSession=e.UserDataSyncStoreService=e.UserDataSyncStoreClient=e.UserDataSyncStoreManagementService=e.AbstractUserDataSyncStoreManagementService=void 0;const s="sync.previous.store",i="sync.donot-make-requests-until",t="sync.user-session-id",n="sync.machine-session-id",o=100,h=1e3*60*5;let r=class extends v.Disposable{constructor(O,U,j){super();this.productService=O,this.configurationService=U,this.storageService=j,this._onDidChangeUserDataSyncStore=this._register(new I.Emitter),this.onDidChangeUserDataSyncStore=this._onDidChangeUserDataSyncStore.event,this.updateUserDataSyncStore(),this._register(I.Event.filter(j.onDidChangeValue,B=>{var V;return B.key===k.SYNC_SERVICE_URL_TYPE&&B.scope===0&&this.userDataSyncStoreType!==((V=this.userDataSyncStore)===null||V===void 0?void 0:V.type)})(()=>this.updateUserDataSyncStore()))}get userDataSyncStore(){return this._userDataSyncStore}get userDataSyncStoreType(){return this.storageService.get(k.SYNC_SERVICE_URL_TYPE,0)}set userDataSyncStoreType(O){this.storageService.store(k.SYNC_SERVICE_URL_TYPE,O,0,a.isWeb?0:1)}updateUserDataSyncStore(){this._userDataSyncStore=this.toUserDataSyncStore(this.productService[k.CONFIGURATION_SYNC_STORE_KEY],this.configurationService.getValue(k.CONFIGURATION_SYNC_STORE_KEY)),this._onDidChangeUserDataSyncStore.fire()}toUserDataSyncStore(O,U){O=a.isWeb&&(O==null?void 0:O.web)?Object.assign(Object.assign({},O),O.web):O;const j=Object.assign(Object.assign({},O||{}),U||{});if(j&&b.isString(j.url)&&b.isObject(j.authenticationProviders)&&Object.keys(j.authenticationProviders).every(B=>b.isArray(j.authenticationProviders[B].scopes))){const B=j,V=!!B.canSwitch&&!(U==null?void 0:U.url),q=B.url===B.insidersUrl?"insiders":"stable",G=(V?this.userDataSyncStoreType:void 0)||q,Q=(U==null?void 0:U.url)||(G==="insiders"?B.insidersUrl:G==="stable"?B.stableUrl:B.url);return{url:g.URI.parse(Q),type:G,defaultType:q,defaultUrl:g.URI.parse(B.url),stableUrl:g.URI.parse(B.stableUrl),insidersUrl:g.URI.parse(B.insidersUrl),canSwitch:V,authenticationProviders:Object.keys(B.authenticationProviders).reduce(($,N)=>($.push({id:N,scopes:B.authenticationProviders[N].scopes}),$),[])}}}};r=he([Y(0,y.IProductService),Y(1,A.IConfigurationService),Y(2,S.IStorageService)],r),e.AbstractUserDataSyncStoreManagementService=r;let l=class extends r{constructor(O,U,j){super(O,U,j);const B=this.storageService.get(s,0);B&&(this.previousConfigurationSyncStore=JSON.parse(B));const V=this.productService[k.CONFIGURATION_SYNC_STORE_KEY];V?this.storageService.store(s,JSON.stringify(V),0,1):this.storageService.remove(s,0)}async switch(O){O!==this.userDataSyncStoreType&&(this.userDataSyncStoreType=O,this.updateUserDataSyncStore())}async getPreviousUserDataSyncStore(){return this.toUserDataSyncStore(this.previousConfigurationSyncStore)}};l=he([Y(0,y.IProductService),Y(1,A.IConfigurationService),Y(2,S.IStorageService)],l),e.UserDataSyncStoreManagementService=l;let u=class extends v.Disposable{constructor(O,U,j,B,V,q,G){super();this.requestService=j,this.logService=B,this.storageService=G,this._onTokenFailed=this._register(new I.Emitter),this.onTokenFailed=this._onTokenFailed.event,this._onTokenSucceed=this._register(new I.Emitter),this.onTokenSucceed=this._onTokenSucceed.event,this._donotMakeRequestsUntil=void 0,this._onDidChangeDonotMakeRequestsUntil=this._register(new I.Emitter),this.onDidChangeDonotMakeRequestsUntil=this._onDidChangeDonotMakeRequestsUntil.event,this.resetDonotMakeRequestsUntilPromise=void 0,this.updateUserDataSyncStoreUrl(O),this.commonHeadersPromise=E.getServiceMachineId(V,q,G).then(Q=>{const $={"X-Client-Name":`${U.applicationName}${a.isWeb?"-web":""}`,"X-Client-Version":U.version,"X-Machine-Id":Q};return U.commit&&($["X-Client-Commit"]=U.commit),$}),this.session=new p(o,h,this.requestService,this.logService),this.initDonotMakeRequestsUntil(),this._register(v.toDisposable(()=>{this.resetDonotMakeRequestsUntilPromise&&(this.resetDonotMakeRequestsUntilPromise.cancel(),this.resetDonotMakeRequestsUntilPromise=void 0)}))}get donotMakeRequestsUntil(){return this._donotMakeRequestsUntil}setAuthToken(O,U){this.authToken={token:O,type:U}}updateUserDataSyncStoreUrl(O){this.userDataSyncStoreUrl=O?R.joinPath(O,"v1"):void 0}initDonotMakeRequestsUntil(){const O=this.storageService.getNumber(i,0);O&&Date.now()<O&&this.setDonotMakeRequestsUntil(new Date(O))}setDonotMakeRequestsUntil(O){var U;((U=this._donotMakeRequestsUntil)===null||U===void 0?void 0:U.getTime())!==(O==null?void 0:O.getTime())&&(this._donotMakeRequestsUntil=O,this.resetDonotMakeRequestsUntilPromise&&(this.resetDonotMakeRequestsUntilPromise.cancel(),this.resetDonotMakeRequestsUntilPromise=void 0),this._donotMakeRequestsUntil?(this.storageService.store(i,this._donotMakeRequestsUntil.getTime(),0,1),this.resetDonotMakeRequestsUntilPromise=w.createCancelablePromise(j=>w.timeout(this._donotMakeRequestsUntil.getTime()-Date.now(),j).then(()=>this.setDonotMakeRequestsUntil(void 0))),this.resetDonotMakeRequestsUntilPromise.then(null,j=>null)):this.storageService.remove(i,0),this._onDidChangeDonotMakeRequestsUntil.fire())}async getAllRefs(O){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const U=R.joinPath(this.userDataSyncStoreUrl,"resource",O),j={},B=await this.request(U.toString(),{type:"GET",headers:j},[],P.CancellationToken.None);return(await _.asJson(B)||[]).map(({url:q,created:G})=>({ref:R.relativePath(U,U.with({path:q})),created:G*1e3}))}async resolveContent(O,U){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const j=R.joinPath(this.userDataSyncStoreUrl,"resource",O,U).toString(),B={};B["Cache-Control"]="no-cache";const V=await this.request(j,{type:"GET",headers:B},[],P.CancellationToken.None);return await _.asText(V)}async delete(O){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const U=R.joinPath(this.userDataSyncStoreUrl,"resource",O).toString(),j={};await this.request(U,{type:"DELETE",headers:j},[],P.CancellationToken.None)}async read(O,U,j={}){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const B=R.joinPath(this.userDataSyncStoreUrl,"resource",O,"latest").toString();j=Object.assign({},j),j["Cache-Control"]="no-cache",U&&(j["If-None-Match"]=U.ref);const V=await this.request(B,{type:"GET",headers:j},[304],P.CancellationToken.None);if(V.res.statusCode===304)return U;const q=V.res.headers.etag;if(!q)throw new k.UserDataSyncStoreError("Server did not return the ref",B,k.UserDataSyncErrorCode.NoRef,V.res.headers[k.HEADER_OPERATION_ID]);const G=await _.asText(V);return{ref:q,content:G}}async write(O,U,j,B={}){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const V=R.joinPath(this.userDataSyncStoreUrl,"resource",O).toString();B=Object.assign({},B),B["Content-Type"]="text/plain",j&&(B["If-Match"]=j);const q=await this.request(V,{type:"POST",data:U,headers:B},[],P.CancellationToken.None),G=q.res.headers.etag;if(!G)throw new k.UserDataSyncStoreError("Server did not return the ref",V,k.UserDataSyncErrorCode.NoRef,q.res.headers[k.HEADER_OPERATION_ID]);return G}async manifest(O={}){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const U=R.joinPath(this.userDataSyncStoreUrl,"manifest").toString();O=Object.assign({},O),O["Content-Type"]="application/json";const j=await this.request(U,{type:"GET",headers:O},[],P.CancellationToken.None),B=await _.asJson(j),V=this.storageService.get(t,0);return V&&B&&V!==B.session&&this.clearSession(),B===null&&V&&this.clearSession(),B&&this.storageService.store(t,B.session,0,1),B}async clear(){if(!this.userDataSyncStoreUrl)throw new Error("No settings sync store url configured.");const O=R.joinPath(this.userDataSyncStoreUrl,"resource").toString(),U={"Content-Type":"text/plain"};await this.request(O,{type:"DELETE",headers:U},[],P.CancellationToken.None),this.clearSession()}clearSession(){this.storageService.remove(t,0),this.storageService.remove(n,0)}async request(O,U,j,B){if(!this.authToken)throw new k.UserDataSyncStoreError("No Auth Token Available",O,k.UserDataSyncErrorCode.Unauthorized,void 0);if(this._donotMakeRequestsUntil&&Date.now()<this._donotMakeRequestsUntil.getTime())throw new k.UserDataSyncStoreError(`${U.type} request '${O}' failed because of too many requests (429).`,O,k.UserDataSyncErrorCode.TooManyRequestsAndRetryAfter,void 0);this.setDonotMakeRequestsUntil(void 0);const V=await this.commonHeadersPromise;U.headers=Object.assign(Object.assign(Object.assign({},U.headers||{}),V),{"X-Account-Type":this.authToken.type,authorization:`Bearer ${this.authToken.token}`}),this.addSessionHeaders(U.headers),this.logService.trace("Sending request to server",{url:O,type:U.type,headers:Object.assign(Object.assign({},U.headers),{authorization:void 0})});let q;try{q=await this.session.request(O,U,B)}catch(N){if(!(N instanceof k.UserDataSyncStoreError)){const T=c.isPromiseCanceledError(N)?k.UserDataSyncErrorCode.RequestCanceled:c.getErrorMessage(N).startsWith("XHR timeout")?k.UserDataSyncErrorCode.RequestTimeout:k.UserDataSyncErrorCode.RequestFailed;N=new k.UserDataSyncStoreError(`Connection refused for the request '${O}'.`,O,T,void 0)}throw this.logService.info("Request failed",O),N}const G=q.res.headers[k.HEADER_OPERATION_ID],Q={url:O,status:q.res.statusCode,"execution-id":U.headers[k.HEADER_EXECUTION_ID],"operation-id":G},$=_.isSuccess(q)||q.res.statusCode&&j.indexOf(q.res.statusCode)!==-1;if($?this.logService.trace("Request succeeded",Q):this.logService.info("Request failed",Q),q.res.statusCode===401)throw this.authToken=void 0,this._onTokenFailed.fire(),new k.UserDataSyncStoreError(`Request '${O}' failed because of Unauthorized (401).`,O,k.UserDataSyncErrorCode.Unauthorized,G);if(this._onTokenSucceed.fire(),q.res.statusCode===409)throw new k.UserDataSyncStoreError(`${U.type} request '${O}' failed because of Conflict (409). There is new data for this resource. Make the request again with latest data.`,O,k.UserDataSyncErrorCode.Conflict,G);if(q.res.statusCode===410)throw new k.UserDataSyncStoreError(`${U.type} request '${O}' failed because the requested resource is not longer available (410).`,O,k.UserDataSyncErrorCode.Gone,G);if(q.res.statusCode===412)throw new k.UserDataSyncStoreError(`${U.type} request '${O}' failed because of Precondition Failed (412). There is new data for this resource. Make the request again with latest data.`,O,k.UserDataSyncErrorCode.PreconditionFailed,G);if(q.res.statusCode===413)throw new k.UserDataSyncStoreError(`${U.type} request '${O}' failed because of too large payload (413).`,O,k.UserDataSyncErrorCode.TooLarge,G);if(q.res.statusCode===426)throw new k.UserDataSyncStoreError(`${U.type} request '${O}' failed with status Upgrade Required (426). Please upgrade the client and try again.`,O,k.UserDataSyncErrorCode.UpgradeRequired,G);if(q.res.statusCode===429){const N=q.res.headers["retry-after"];throw N?(this.setDonotMakeRequestsUntil(new Date(Date.now()+parseInt(N)*1e3)),new k.UserDataSyncStoreError(`${U.type} request '${O}' failed because of too many requests (429).`,O,k.UserDataSyncErrorCode.TooManyRequestsAndRetryAfter,G)):new k.UserDataSyncStoreError(`${U.type} request '${O}' failed because of too many requests (429).`,O,k.UserDataSyncErrorCode.TooManyRequests,G)}if(!$)throw new k.UserDataSyncStoreError("Server returned "+q.res.statusCode,O,k.UserDataSyncErrorCode.Unknown,G);return q}addSessionHeaders(O){let U=this.storageService.get(n,0);U===void 0&&(U=C.generateUuid(),this.storageService.store(n,U,0,1)),O["X-Machine-Session-Id"]=U;const j=this.storageService.get(t,0);j!==void 0&&(O["X-User-Session-Id"]=j)}};u=he([Y(1,y.IProductService),Y(2,_.IRequestService),Y(3,k.IUserDataSyncLogService),Y(4,D.IEnvironmentService),Y(5,f.IFileService),Y(6,S.IStorageService)],u),e.UserDataSyncStoreClient=u;let m=class extends u{constructor(O,U,j,B,V,q,G){var Q;super((Q=O.userDataSyncStore)===null||Q===void 0?void 0:Q.url,U,j,B,V,q,G);this._register(O.onDidChangeUserDataSyncStore(()=>{var $;return this.updateUserDataSyncStoreUrl(($=O.userDataSyncStore)===null||$===void 0?void 0:$.url)}))}};m=he([Y(0,k.IUserDataSyncStoreManagementService),Y(1,y.IProductService),Y(2,_.IRequestService),Y(3,k.IUserDataSyncLogService),Y(4,D.IEnvironmentService),Y(5,f.IFileService),Y(6,S.IStorageService)],m),e.UserDataSyncStoreService=m;class p{constructor(O,U,j,B){this.limit=O,this.interval=U,this.requestService=j,this.logService=B,this.requests=[],this.startTime=void 0}request(O,U,j){if(this.isExpired()&&this.reset(),U.url=O,this.requests.length>=this.limit)throw this.logService.info("Too many requests",...this.requests),new k.UserDataSyncStoreError(`Too many requests. Only ${this.limit} requests allowed in ${this.interval/(1e3*60)} minutes.`,O,k.UserDataSyncErrorCode.LocalTooManyRequests,void 0);return this.startTime=this.startTime||new Date,this.requests.push(O),this.requestService.request(U,j)}isExpired(){return this.startTime!==void 0&&new Date().getTime()-this.startTime.getTime()>this.interval}reset(){this.requests=[],this.startTime=void 0}}e.RequestsSession=p}),define(ee[192],te([0,1,20,3,57,82,59,26,19,60,31]),function(H,e,v,k,_,R,P,A,y,E,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserDataAutoSyncService=void 0;let f=class extends R.UserDataAutoSyncService{constructor(C,a,I,w,b,g,c,s,i,t,n,o){super(C,a,I,w,b,c,s,i,t,n,o);this._register(k.Event.debounce(k.Event.any(k.Event.map(g.onDidFocusWindow,()=>"windowFocus"),k.Event.map(g.onDidOpenWindow,()=>"windowOpen")),(h,r)=>h?[...h,r]:[r],1e3)(h=>this.triggerSync(h,!0,!1)))}};f=he([Y(0,D.IProductService),Y(1,v.IUserDataSyncStoreManagementService),Y(2,v.IUserDataSyncStoreService),Y(3,v.IUserDataSyncResourceEnablementService),Y(4,v.IUserDataSyncService),Y(5,_.INativeHostService),Y(6,v.IUserDataSyncLogService),Y(7,P.IUserDataSyncAccountService),Y(8,A.ITelemetryService),Y(9,E.IUserDataSyncMachinesService),Y(10,y.IStorageService),Y(11,v.IUserDataAutoSyncEnablementService)],f),e.UserDataAutoSyncService=f}),define(ee[193],te([0,1,3,2,5]),function(H,e,v,k,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ActiveWindowManager=void 0;class R extends k.Disposable{constructor({onDidOpenWindow:A,onDidFocusWindow:y,getActiveWindowId:E}){super();this.disposables=this._register(new k.DisposableStore),v.Event.latch(v.Event.any(A,y))(this.setActiveWindow,this,this.disposables),this.firstActiveWindowIdPromise=_.createCancelablePromise(()=>E()),(async()=>{try{const f=await this.firstActiveWindowIdPromise;this.activeWindowId=typeof this.activeWindowId=="number"?this.activeWindowId:f}catch(f){}finally{this.firstActiveWindowIdPromise=void 0}})()}setActiveWindow(A){this.firstActiveWindowIdPromise&&(this.firstActiveWindowIdPromise.cancel(),this.firstActiveWindowIdPromise=void 0),this.activeWindowId=A}async getActiveClientId(){return`window:${this.firstActiveWindowIdPromise?await this.firstActiveWindowIdPromise:this.activeWindowId}`}}e.ActiveWindowManager=R}),define(ee[61],te([0,1,105,8,27,5,23,201,202,15]),function(H,e,v,k,_,R,P,A,y,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buffer=e.extract=e.zip=e.ExtractError=void 0;class D extends Error{constructor(t,n){let o=n.message;switch(t){case"CorruptZip":o=`Corrupt ZIP: ${o}`;break}super(o);this.type=t,this.cause=n}}e.ExtractError=D;function f(i){const t=i.externalFileAttributes>>16||33188;return[448,56,7].map(n=>t&n).reduce((n,o)=>n+o,t&61440)}function S(i){if(i instanceof D)return i;let t;return/end of central directory record signature not found/.test(i.message)&&(t="CorruptZip"),new D(t,i)}function C(i,t,n,o,h,r){const l=k.dirname(t),u=k.join(o,l);if(!u.startsWith(o))return Promise.reject(new Error(v.localize(0,null,t)));const m=k.join(o,t);let p;return r.onCancellationRequested(()=>{p&&p.destroy()}),Promise.resolve(_.promises.mkdir(u,{recursive:!0})).then(()=>new Promise((d,O)=>{if(!r.isCancellationRequested)try{p=_.createWriteStream(m,{mode:n}),p.once("close",()=>d()),p.once("error",O),i.once("error",O),i.pipe(p)}catch(U){O(U)}}))}function a(i,t,n,o){let h=R.createCancelablePromise(()=>Promise.resolve()),r=0;return o.onCancellationRequested(()=>{h.cancel(),i.close()}),new Promise((l,u)=>{const m=new R.Sequencer,p=d=>{d.isCancellationRequested||(r++,i.readEntry())};i.once("error",u),i.once("close",()=>h.then(()=>{o.isCancellationRequested||i.entryCount===r?l():u(new D("Incomplete",new Error(v.localize(1,null,r,i.entryCount))))},u)),i.readEntry(),i.on("entry",d=>{if(!o.isCancellationRequested){if(!n.sourcePathRegex.test(d.fileName)){p(o);return}const O=d.fileName.replace(n.sourcePathRegex,"");if(/\/$/.test(O)){const B=k.join(t,O);h=R.createCancelablePromise(V=>_.promises.mkdir(B,{recursive:!0}).then(()=>p(V)).then(void 0,u));return}const U=w(i,d),j=f(d);h=R.createCancelablePromise(B=>m.queue(()=>U.then(V=>C(V,O,j,t,n,B).then(()=>p(B)))).then(null,u))}})})}function I(i,t=!1){return new Promise((n,o)=>{A.open(i,t?{lazyEntries:!0}:void 0,(h,r)=>{h?o(S(h)):n(E.assertIsDefined(r))})})}function w(i,t){return new Promise((n,o)=>{i.openReadStream(t,(h,r)=>{h?o(S(h)):n(E.assertIsDefined(r))})})}function b(i,t){return new Promise((n,o)=>{const h=new y.ZipFile;t.forEach(l=>{l.contents?h.addBuffer(typeof l.contents=="string"?Buffer.from(l.contents,"utf8"):l.contents,l.path):l.localPath&&h.addFile(l.localPath,l.path)}),h.end();const r=_.createWriteStream(i);h.outputStream.pipe(r),h.outputStream.once("error",o),r.once("error",o),r.once("finish",()=>n(i))})}e.zip=b;function g(i,t,n={},o){const h=new RegExp(n.sourcePath?`^${n.sourcePath}`:"");let r=I(i,!0);return n.overwrite&&(r=r.then(l=>P.rimraf(t).then(()=>l))),r.then(l=>a(l,t,{sourcePathRegex:h},o))}e.extract=g;function c(i,t){return I(i).then(n=>new Promise((o,h)=>{n.on("entry",r=>{r.fileName===t&&w(n,r).then(l=>o(l),l=>h(l))}),n.once("close",()=>h(new Error(v.localize(2,null,t))))}))}function s(i,t){return c(i,t).then(n=>new Promise((o,h)=>{const r=[];n.once("error",h),n.on("data",l=>r.push(l)),n.on("end",()=>o(Buffer.concat(r)))}))}e.buffer=s}),define(ee[194],te([0,1,61,110]),function(H,e,v,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getManifest=void 0;function _(R){return v.buffer(R,"extension/package.json").then(P=>{try{return JSON.parse(P.toString("utf8"))}catch(A){throw new Error(k.localize(0,null))}})}e.getManifest=_}),define(ee[195],te([0,1,27,56,2,23,8,13,28,34,5,7,9,127,111,31,61,6,17,16]),function(H,e,v,k,_,R,P,A,y,E,D,f,S,C,a,I,w,b,g,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsScanner=void 0;const s="scanningSystem",i="scanningUser",t="extracting",n="deleting",o="renaming";let h=class extends _.Disposable{constructor(l,u,m,p){super();this.beforeRemovingExtension=l,this.logService=u,this.environmentService=m,this.productService=p,this._devSystemExtensionsPath=null,this.systemExtensionsPath=m.builtinExtensionsPath,this.extensionsPath=m.extensionsPath,this.uninstalledPath=P.join(this.extensionsPath,".obsolete"),this.uninstalledFileLimiter=new D.Queue}async cleanUp(){await this.removeUninstalledExtensions(),await this.removeOutdatedExtensions()}async scanExtensions(l){const u=[];(l===null||l===0)&&u.push(this.scanSystemExtensions().then(null,m=>Promise.reject(new y.ExtensionManagementError(this.joinErrors(m).message,s)))),(l===null||l===1)&&u.push(this.scanUserExtensions(!0).then(null,m=>Promise.reject(new y.ExtensionManagementError(this.joinErrors(m).message,i))));try{const m=await Promise.all(u);return g.flatten(m)}catch(m){throw this.joinErrors(m)}}async scanUserExtensions(l){this.logService.trace("Started scanning user extensions");let[u,m]=await Promise.all([this.getUninstalledExtensions(),this.scanAllUserExtensions()]);return m=m.filter(p=>!u[new E.ExtensionIdentifierWithVersion(p.identifier,p.manifest.version).key()]),l&&(m=E.groupByExtension(m,d=>d.identifier).map(d=>d.sort((O,U)=>k.rcompare(O.manifest.version,U.manifest.version))[0])),this.logService.trace("Scanned user extensions:",m.length),m}async scanAllUserExtensions(){return this.scanExtensionsInDir(this.extensionsPath,1)}async extractUserExtension(l,u,m){const p=l.key(),d=P.join(this.extensionsPath,`.${p}`),O=P.join(this.extensionsPath,p);try{await R.rimraf(O)}catch(j){try{await R.rimraf(O)}catch(B){}throw new y.ExtensionManagementError(a.localize(0,null,O,l.id),n)}await this.extractAtLocation(l,u,d,m);try{await this.rename(l,d,O,Date.now()+2*60*1e3),this.logService.info("Renamed to",O)}catch(j){this.logService.info("Rename failed. Deleting from extracted location",d);try{R.rimraf(d)}catch(B){}throw j}let U=null;try{U=await this.scanExtension(p,this.extensionsPath,1)}catch(j){}if(U)return U;throw new Error(a.localize(1,null,this.extensionsPath))}async saveMetadataForLocalExtension(l,u){this.setMetadata(l,u),u.isMachineScoped=u.isMachineScoped||void 0,u.isBuiltin=u.isBuiltin||void 0;const m=P.join(l.location.fsPath,"package.json"),p=await v.promises.readFile(m,"utf8"),{manifest:d}=await this.parseManifest(p);return d.__metadata=u,await R.writeFile(m,JSON.stringify(d,null,"	")),l}getUninstalledExtensions(){return this.withUninstalledExtensions(l=>l)}async withUninstalledExtensions(l){return this.uninstalledFileLimiter.queue(async()=>{let u;try{u=await v.promises.readFile(this.uninstalledPath,"utf8")}catch(d){if(d.code!=="ENOENT")throw d}let m={};if(u)try{m=JSON.parse(u)}catch(d){}const p=l(m);return Object.keys(m).length?await R.writeFile(this.uninstalledPath,JSON.stringify(m)):await R.rimraf(this.uninstalledPath),p})}async removeExtension(l,u){this.logService.trace(`Deleting ${u} extension from disk`,l.identifier.id,l.location.fsPath),await R.rimraf(l.location.fsPath),this.logService.info("Deleted from disk",l.identifier.id,l.location.fsPath)}async removeUninstalledExtension(l){await this.removeExtension(l,"uninstalled"),await this.withUninstalledExtensions(u=>delete u[new E.ExtensionIdentifierWithVersion(l.identifier,l.manifest.version).key()])}async extractAtLocation(l,u,m,p){this.logService.trace(`Started extracting the extension from ${u} to ${m}`);try{await R.rimraf(m)}catch(d){throw new y.ExtensionManagementError(this.joinErrors(d).message,n)}try{await w.extract(u,m,{sourcePath:"extension",overwrite:!0},p),this.logService.info(`Extracted extension to ${m}:`,l.id)}catch(d){try{await R.rimraf(m)}catch(O){}throw new y.ExtensionManagementError(d.message,d instanceof w.ExtractError&&d.type?d.type:t)}}async rename(l,u,m,p){try{await v.promises.rename(u,m)}catch(d){if(b.isWindows&&d&&d.code==="EPERM"&&Date.now()<p)return this.logService.info(`Failed renaming ${u} to ${m} with 'EPERM' error. Trying again...`,l.id),this.rename(l,u,m,p);throw new y.ExtensionManagementError(d.message||a.localize(2,null,u,m),d.code||o)}}async scanSystemExtensions(){this.logService.trace("Started scanning system extensions");const l=this.scanDefaultSystemExtensions();if(this.environmentService.isBuilt)return l;const u=this.scanDevSystemExtensions(),[m,p]=await Promise.all([l,u]);return[...m,...p]}async scanExtensionsInDir(l,u){const m=new D.Limiter(10),p=await R.readdir(l);return(await Promise.all(p.map(O=>m.queue(()=>this.scanExtension(O,l,u))))).filter(O=>O&&O.identifier)}async scanExtension(l,u,m){if(m===1&&l.indexOf(".")===0)return null;const p=P.join(u,l);try{const d=await R.readdir(p),{manifest:O,metadata:U}=await this.readManifest(p),j=d.filter($=>/^readme(\.txt|\.md|)$/i.test($))[0],B=j?f.URI.file(P.join(p,j)):void 0,V=d.filter($=>/^changelog(\.txt|\.md|)$/i.test($))[0],q=V?f.URI.file(P.join(p,V)):void 0,G={id:E.getGalleryExtensionId(O.publisher,O.name)},Q={type:m,identifier:G,manifest:O,location:f.URI.file(p),readmeUrl:B,changelogUrl:q,publisherDisplayName:null,publisherId:null,isMachineScoped:!1,isBuiltin:m===0};return U&&this.setMetadata(Q,U),Q}catch(d){return this.logService.trace(d),null}}async scanDefaultSystemExtensions(){const l=await this.scanExtensionsInDir(this.systemExtensionsPath,0);return this.logService.trace("Scanned system extensions:",l.length),l}async scanDevSystemExtensions(){const l=this.getDevSystemExtensionsList();if(l.length){const u=await this.scanExtensionsInDir(this.devSystemExtensionsPath,0);return this.logService.trace("Scanned dev system extensions:",u.length),u.filter(m=>l.some(p=>E.areSameExtensions(m.identifier,{id:p})))}else return[]}setMetadata(l,u){l.publisherDisplayName=u.publisherDisplayName||null,l.publisherId=u.publisherId||null,l.identifier.uuid=u.id,l.isMachineScoped=!!u.isMachineScoped,l.isBuiltin=l.type===0||!!u.isBuiltin}async removeUninstalledExtensions(){const l=await this.getUninstalledExtensions(),u=await this.scanAllUserExtensions(),m=new Set;for(const O of u)l[new E.ExtensionIdentifierWithVersion(O.identifier,O.manifest.version).key()]||m.add(O.identifier.id.toLowerCase());const p=E.groupByExtension(u,O=>O.identifier);await D.Promises.settled(p.map(async O=>{const U=O.sort((j,B)=>k.rcompare(j.manifest.version,B.manifest.version))[0];m.has(U.identifier.id.toLowerCase())||await this.beforeRemovingExtension(U)}));const d=u.filter(O=>l[new E.ExtensionIdentifierWithVersion(O.identifier,O.manifest.version).key()]);await D.Promises.settled(d.map(O=>this.removeUninstalledExtension(O)))}async removeOutdatedExtensions(){const l=await this.scanAllUserExtensions(),u=[],m=E.groupByExtension(l,p=>p.identifier);u.push(...g.flatten(m.map(p=>p.sort((d,O)=>k.rcompare(d.manifest.version,O.manifest.version)).slice(1)))),await D.Promises.settled(u.map(p=>this.removeExtension(p,"outdated")))}getDevSystemExtensionsList(){return(this.productService.builtInExtensions||[]).map(l=>l.name)}joinErrors(l){const u=Array.isArray(l)?l:[l];return u.length===1?u[0]instanceof Error?u[0]:new Error(u[0]):u.reduce((m,p)=>new Error(`${m.message}${m.message?",":""}${p instanceof Error?p.message:p}`),new Error(""))}get devSystemExtensionsPath(){return this._devSystemExtensionsPath||(this._devSystemExtensionsPath=P.normalize(P.join(c.FileAccess.asFileUri("",H).fsPath,"..",".build","builtInExtensions"))),this._devSystemExtensionsPath}async readManifest(l){const u=[v.promises.readFile(P.join(l,"package.json"),"utf8").then(O=>this.parseManifest(O)),v.promises.readFile(P.join(l,"package.nls.json"),"utf8").then(void 0,O=>O.code!=="ENOENT"?Promise.reject(O):"{}").then(O=>JSON.parse(O))],[{manifest:m,metadata:p},d]=await Promise.all(u);return{manifest:C.localizeManifest(m,d),metadata:p}}parseManifest(l){return new Promise((u,m)=>{try{const p=JSON.parse(l),d=p.__metadata||null;u({manifest:p,metadata:d})}catch(p){m(new Error(a.localize(3,null)))}})}};h=he([Y(1,A.ILogService),Y(2,S.INativeEnvironmentService),Y(3,I.IProductService)],h),e.ExtensionsScanner=h}),define(ee[196],te([0,1,27,109,8,23,2,17,61,28,34,9,5,3,56,7,36,6,13,139,43,26,68,18,30,70,4,16,29,194,145,195,146]),function(H,e,v,k,_,R,P,A,y,E,D,f,S,C,a,I,w,b,g,c,s,i,t,n,o,h,r,l,u,m,p,d,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionManagementService=void 0;const U="unsetUninstalled",j="downloading",B="validating",V="local",q="unknown";let G=class extends P.Disposable{constructor($,N,T,L,F,M){super();this.environmentService=$,this.galleryService=N,this.logService=T,this.downloadService=L,this.telemetryService=F,this.lastReportTimestamp=0,this.installingExtensions=new Map,this.uninstallingExtensions=new Map,this._onInstallExtension=this._register(new C.Emitter),this.onInstallExtension=this._onInstallExtension.event,this._onDidInstallExtension=this._register(new C.Emitter),this.onDidInstallExtension=this._onDidInstallExtension.event,this._onUninstallExtension=this._register(new C.Emitter),this.onUninstallExtension=this._onUninstallExtension.event,this._onDidUninstallExtension=this._register(new C.Emitter),this.onDidUninstallExtension=this._onDidUninstallExtension.event;const z=this._register(M.createInstance(O.ExtensionsLifecycle));this.extensionsScanner=this._register(M.createInstance(d.ExtensionsScanner,x=>z.postUninstall(x))),this.manifestCache=this._register(new c.ExtensionsManifestCache($,this)),this.extensionsDownloader=this._register(M.createInstance(p.ExtensionsDownloader)),this._register(P.toDisposable(()=>{this.installingExtensions.forEach(x=>x.cancel()),this.uninstallingExtensions.forEach(x=>x.cancel()),this.installingExtensions.clear(),this.uninstallingExtensions.clear()}))}async zip($){this.logService.trace("ExtensionManagementService#zip",$.identifier.id);const N=await this.collectFiles($),T=await y.zip(n.joinPath(this.environmentService.tmpDir,o.generateUuid()).fsPath,N);return I.URI.file(T)}async unzip($){return this.logService.trace("ExtensionManagementService#unzip",$.toString()),(await this.install($)).identifier}async getManifest($){const N=await this.downloadVsix($),T=_.resolve(N.fsPath);return m.getManifest(T)}async collectFiles($){const N=async L=>{let F=await R.readdir(L);F=F.map(x=>_.join(L,x));const M=await Promise.all(F.map(x=>v.promises.stat(x)));let z=Promise.resolve([]);return M.forEach((x,K)=>{const X=F[K];x.isFile()&&(z=z.then(Z=>[...Z,X])),x.isDirectory()&&(z=z.then(Z=>N(X).then(ne=>[...Z,...ne])))}),z};return(await N($.location.fsPath)).map(L=>({path:`extension/${_.relative($.location.fsPath,L)}`,localPath:L}))}async install($,N={}){return this.logService.trace("ExtensionManagementService#install",$.toString()),S.createCancelablePromise(async T=>{const L=await this.downloadVsix($),F=_.resolve(L.fsPath),M=await m.getManifest(F),z={id:D.getGalleryExtensionId(M.publisher,M.name)};let x=1;if(M.engines&&M.engines.vscode&&!t.isEngineValid(M.engines.vscode,w.default.version))throw new Error(k.localize(0,null,z.id,w.default.version));const K=new D.ExtensionIdentifierWithVersion(z,M.version),Z=(await this.getInstalled(1)).find(ae=>D.areSameExtensions(z,ae.identifier));if(Z)if(N.isMachineScoped=N.isMachineScoped||Z.isMachineScoped,N.isBuiltin=N.isBuiltin||Z.isBuiltin,x=2,K.equals(new D.ExtensionIdentifierWithVersion(Z.identifier,Z.manifest.version)))try{await this.extensionsScanner.removeExtension(Z,"existing")}catch(ae){throw new Error(k.localize(1,null,M.displayName||M.name))}else a.gt(Z.manifest.version,M.version)&&await this.uninstallExtension(Z);else{const ae=await this.unsetUninstalledAndGetLocal(K);if(ae)try{await this.extensionsScanner.removeExtension(ae,"existing")}catch(de){throw new Error(k.localize(2,null,M.displayName||M.name))}}this.logService.info("Installing the extension:",z.id),this._onInstallExtension.fire({identifier:z,zipPath:F});let ne;try{ne=await this.getGalleryMetadata(D.getGalleryExtensionId(M.publisher,M.name))}catch(ae){}try{const ae=await this.installFromZipPath(K,F,Object.assign(Object.assign({},ne||{}),N),N,x,T);return this.logService.info("Successfully installed the extension:",z.id),ae}catch(ae){throw this.logService.error("Failed to install the extension:",z.id,ae.message),ae}})}async downloadVsix($){if($.scheme===l.Schemas.file)return $;if(!this.downloadService)throw new Error("Download service is not available");const N=n.joinPath(this.environmentService.tmpDir,o.generateUuid());return await this.downloadService.download($,N),N}async installFromZipPath($,N,T,L,F,M){try{const z=await this.installExtension({zipPath:N,identifierWithVersion:$,metadata:T},M);try{await this.installDependenciesAndPackExtensions(z,void 0,L)}catch(x){A.isNonEmptyArray(z.manifest.extensionDependencies)&&this.logService.warn("Cannot install dependencies of extension:",z.identifier.id,x.message),A.isNonEmptyArray(z.manifest.extensionPack)&&this.logService.warn("Cannot install packed extensions of extension:",z.identifier.id,x.message)}return this._onDidInstallExtension.fire({identifier:$,zipPath:N,local:z,operation:F}),z}catch(z){throw this._onDidInstallExtension.fire({identifier:$,zipPath:N,operation:F,error:z}),z}}async canInstall($){return!0}async installFromGallery($,N={}){if(!this.galleryService.isEnabled())throw new Error(k.localize(3,null));try{$=await this.checkAndGetCompatibleVersion($)}catch(F){const M=F&&F.code?F.code:q;throw this.logService.error("Failed to install extension:",$.identifier.id,F?F.message:M),this.reportTelemetry(this.getTelemetryEvent(1),D.getGalleryExtensionTelemetryData($),void 0,F),F instanceof Error&&(F.name=M),F}const T=new D.ExtensionIdentifierWithVersion($.identifier,$.version).key();let L=this.installingExtensions.get(T);return L||(L=S.createCancelablePromise(F=>this.doInstallFromGallery($,N,F)),this.installingExtensions.set(T,L),L.finally(()=>this.installingExtensions.delete(T))),L}async doInstallFromGallery($,N,T){const L=new Date().getTime();let F=1;this.logService.info("Installing extension:",$.identifier.id),this._onInstallExtension.fire({identifier:$.identifier,gallery:$});try{const z=(await this.getInstalled(1)).find(X=>D.areSameExtensions(X.identifier,$.identifier));z&&(F=2);const x=await this.downloadInstallableExtension($,F);x.metadata.isMachineScoped=N.isMachineScoped||(z==null?void 0:z.isMachineScoped),x.metadata.isBuiltin=N.isBuiltin||(z==null?void 0:z.isBuiltin);const K=await this.installExtension(x,T);try{await this.extensionsDownloader.delete(I.URI.file(x.zipPath))}catch(X){}if(!N.donotIncludePackAndDependencies)try{await this.installDependenciesAndPackExtensions(K,z,N)}catch(X){try{await this.uninstall(K)}catch(Z){}throw X}return z&&a.neq(z.manifest.version,$.version)&&await this.setUninstalled(z),this.logService.info("Extensions installed successfully:",$.identifier.id),this._onDidInstallExtension.fire({identifier:$.identifier,gallery:$,local:K,operation:F}),this.reportTelemetry(this.getTelemetryEvent(F),D.getGalleryExtensionTelemetryData($),new Date().getTime()-L,void 0),K}catch(M){const z=M&&M.code?M.code:q;throw this.logService.error("Failed to install extension:",$.identifier.id,M?M.message:z),this._onDidInstallExtension.fire({identifier:$.identifier,gallery:$,operation:F,error:z}),this.reportTelemetry(this.getTelemetryEvent(F),D.getGalleryExtensionTelemetryData($),new Date().getTime()-L,M),M instanceof Error&&(M.name=z),M}}async checkAndGetCompatibleVersion($){if(await this.isMalicious($))throw new E.ExtensionManagementError(k.localize(4,null),E.INSTALL_ERROR_MALICIOUS);const N=await this.galleryService.getCompatibleExtension($);if(!N)throw new E.ExtensionManagementError(k.localize(5,null,$.identifier.id,w.default.version),E.INSTALL_ERROR_INCOMPATIBLE);return N}async reinstallFromGallery($){if(this.logService.trace("ExtensionManagementService#reinstallFromGallery",$.identifier.id),!this.galleryService.isEnabled())throw new Error(k.localize(6,null));const N=await this.findGalleryExtension($);if(!N)throw new Error(k.localize(7,null));await this.setUninstalled($);try{await this.extensionsScanner.removeUninstalledExtension($)}catch(T){throw new Error(k.localize(8,null,s.toErrorMessage(T)))}await this.installFromGallery(N)}getTelemetryEvent($){return $===2?"extensionGallery:update":"extensionGallery:install"}async isMalicious($){const N=await this.getExtensionsReport();return D.getMaliciousExtensionsSet(N).has($.identifier.id)}async downloadInstallableExtension($,N){const T={id:$.identifier.uuid,publisherId:$.publisherId,publisherDisplayName:$.publisherDisplayName};let L;try{this.logService.trace("Started downloading extension:",$.identifier.id);const F=await this.extensionsDownloader.downloadExtension($,N);this.logService.info("Downloaded extension:",$.identifier.id,L),L=F.fsPath}catch(F){throw new E.ExtensionManagementError(this.joinErrors(F).message,j)}try{const F=await m.getManifest(L);return{zipPath:L,identifierWithVersion:new D.ExtensionIdentifierWithVersion($.identifier,F.version),metadata:T}}catch(F){throw new E.ExtensionManagementError(this.joinErrors(F).message,B)}}async installExtension($,N){try{const T=await this.unsetUninstalledAndGetLocal($.identifierWithVersion);if(T)return $.metadata?this.extensionsScanner.saveMetadataForLocalExtension(T,$.metadata):T}catch(T){throw b.isMacintosh?new E.ExtensionManagementError(k.localize(9,null),U):new E.ExtensionManagementError(k.localize(10,null),U)}return this.extractAndInstall($,N)}async unsetUninstalledAndGetLocal($){return await this.isUninstalled($)?(this.logService.trace("Removing the extension from uninstalled list:",$.id),await this.unsetUninstalled($),this.logService.info("Removed the extension from uninstalled list:",$.id),(await this.getInstalled(1)).find(L=>new D.ExtensionIdentifierWithVersion(L.identifier,L.manifest.version).equals($))||null):null}async extractAndInstall({zipPath:$,identifierWithVersion:N,metadata:T},L){let F=await this.extensionsScanner.extractUserExtension(N,$,L);return this.logService.info("Installation completed.",N.id),T&&(F=await this.extensionsScanner.saveMetadataForLocalExtension(F,T)),F}async installDependenciesAndPackExtensions($,N,T){if(!!this.galleryService.isEnabled()){const L=$.manifest.extensionDependencies||[];if($.manifest.extensionPack)for(const F of $.manifest.extensionPack)N&&N.manifest.extensionPack&&N.manifest.extensionPack.some(M=>D.areSameExtensions({id:M},{id:F}))||L.every(M=>!D.areSameExtensions({id:M},{id:F}))&&L.push(F);if(L.length){const F=await this.getInstalled(),M=L.filter(z=>F.every(({identifier:x})=>!D.areSameExtensions(x,{id:z})));if(M.length){const x=(await this.galleryService.query({names:M,pageSize:L.length},u.CancellationToken.None)).firstPage;try{await S.Promises.settled(x.map(K=>this.installFromGallery(K,T)))}catch(K){try{await this.rollback(x)}catch(X){}throw K}}}}}async rollback($){const T=(await this.getInstalled(1)).filter(L=>$.some(F=>new D.ExtensionIdentifierWithVersion(L.identifier,L.manifest.version).equals(new D.ExtensionIdentifierWithVersion(F.identifier,F.version))));await S.Promises.settled(T.map(L=>this.uninstall(L)))}async uninstall($,N={}){this.logService.trace("ExtensionManagementService#uninstall",$.identifier.id);const T=await this.getInstalled(1),L=T.find(F=>D.areSameExtensions(F.identifier,$.identifier));if(!L)throw new Error(k.localize(11,null,$.manifest.displayName||$.manifest.name));try{await this.checkForDependenciesAndUninstall(L,T,N)}catch(F){throw this.joinErrors(F)}}async updateMetadata($,N){return this.logService.trace("ExtensionManagementService#updateMetadata",$.identifier.id),$=await this.extensionsScanner.saveMetadataForLocalExtension($,Object.assign(Object.assign({},$.manifest.__metadata||{}),N)),this.manifestCache.invalidate(),$}async updateExtensionScope($,N){return this.logService.trace("ExtensionManagementService#updateExtensionScope",$.identifier.id),$=await this.extensionsScanner.saveMetadataForLocalExtension($,Object.assign(Object.assign({},$.manifest.__metadata||{}),{isMachineScoped:N})),this.manifestCache.invalidate(),$}async getGalleryMetadata($){const N=await this.findGalleryExtensionByName($);return N?{id:N.identifier.uuid,publisherDisplayName:N.publisherDisplayName,publisherId:N.publisherId}:void 0}async findGalleryExtension($){if($.identifier.uuid){const N=await this.findGalleryExtensionById($.identifier.uuid);return N||this.findGalleryExtensionByName($.identifier.id)}return this.findGalleryExtensionByName($.identifier.id)}async findGalleryExtensionById($){return(await this.galleryService.query({ids:[$],pageSize:1},u.CancellationToken.None)).firstPage[0]}async findGalleryExtensionByName($){return(await this.galleryService.query({names:[$],pageSize:1},u.CancellationToken.None)).firstPage[0]}joinErrors($){const N=Array.isArray($)?$:[$];return N.length===1?N[0]instanceof Error?N[0]:new Error(N[0]):N.reduce((T,L)=>new Error(`${T.message}${T.message?",":""}${L instanceof Error?L.message:L}`),new Error(""))}async checkForDependenciesAndUninstall($,N,T){try{await this.preUninstallExtension($);const L=T.donotIncludePack?[]:this.getAllPackExtensionsToUninstall($,N);await this.uninstallExtensions($,L,N,T)}catch(L){throw await this.postUninstallExtension($,new E.ExtensionManagementError(L instanceof Error?L.message:L,V)),L}await this.postUninstallExtension($)}async uninstallExtensions($,N,T,L){const F=[$,...N];if(!L.donotCheckDependents)for(const M of F)this.checkForDependents(M,F,T,$);await S.Promises.settled([this.uninstallExtension($),...N.map(M=>this.doUninstall(M))])}checkForDependents($,N,T,L){const F=this.getDependents($,T);if(F.length){const M=F.filter(z=>N.indexOf(z)===-1);if(M.length)throw new Error(this.getDependentsErrorMessage($,M,L))}}getDependentsErrorMessage($,N,T){return T===$?N.length===1?k.localize(12,null,T.manifest.displayName||T.manifest.name,N[0].manifest.displayName||N[0].manifest.name):N.length===2?k.localize(13,null,T.manifest.displayName||T.manifest.name,N[0].manifest.displayName||N[0].manifest.name,N[1].manifest.displayName||N[1].manifest.name):k.localize(14,null,T.manifest.displayName||T.manifest.name,N[0].manifest.displayName||N[0].manifest.name,N[1].manifest.displayName||N[1].manifest.name):N.length===1?k.localize(15,null,T.manifest.displayName||T.manifest.name,$.manifest.displayName||$.manifest.name,N[0].manifest.displayName||N[0].manifest.name):N.length===2?k.localize(16,null,T.manifest.displayName||T.manifest.name,$.manifest.displayName||$.manifest.name,N[0].manifest.displayName||N[0].manifest.name,N[1].manifest.displayName||N[1].manifest.name):k.localize(17,null,T.manifest.displayName||T.manifest.name,$.manifest.displayName||$.manifest.name,N[0].manifest.displayName||N[0].manifest.name,N[1].manifest.displayName||N[1].manifest.name)}getAllPackExtensionsToUninstall($,N,T=[]){if(T.indexOf($)!==-1)return[];T.push($);const L=$.manifest.extensionPack?$.manifest.extensionPack:[];if(L.length){const F=N.filter(z=>!z.isBuiltin&&L.some(x=>D.areSameExtensions({id:x},z.identifier))),M=[];for(const z of F)M.push(...this.getAllPackExtensionsToUninstall(z,N,T));return[...F,...M]}return[]}getDependents($,N){return N.filter(T=>T.manifest.extensionDependencies&&T.manifest.extensionDependencies.some(L=>D.areSameExtensions({id:L},$.identifier)))}async doUninstall($){try{await this.preUninstallExtension($),await this.uninstallExtension($)}catch(N){throw await this.postUninstallExtension($,new E.ExtensionManagementError(N instanceof Error?N.message:N,V)),N}await this.postUninstallExtension($)}async preUninstallExtension($){if(!await R.exists($.location.fsPath))throw new Error(k.localize(18,null));this.logService.info("Uninstalling extension:",$.identifier.id),this._onUninstallExtension.fire($.identifier)}async uninstallExtension($){let N=this.uninstallingExtensions.get($.identifier.id);return N||(N=S.createCancelablePromise(async()=>{const T=await this.extensionsScanner.scanUserExtensions(!1);await this.setUninstalled(...T.filter(L=>D.areSameExtensions(L.identifier,$.identifier)))}),this.uninstallingExtensions.set($.identifier.id,N),N.finally(()=>this.uninstallingExtensions.delete($.identifier.id))),N}async postUninstallExtension($,N){if(N)this.logService.error("Failed to uninstall extension:",$.identifier.id,N.message);else if(this.logService.info("Successfully uninstalled extension:",$.identifier.id),$.identifier.uuid)try{await this.galleryService.reportStatistic($.manifest.publisher,$.manifest.name,$.manifest.version,"uninstall")}catch(L){}this.reportTelemetry("extensionGallery:uninstall",D.getLocalExtensionTelemetryData($),void 0,N);const T=N?N instanceof E.ExtensionManagementError?N.code:q:void 0;this._onDidUninstallExtension.fire({identifier:$.identifier,error:T})}getInstalled($=null){return this.extensionsScanner.scanExtensions($)}removeDeprecatedExtensions(){return this.extensionsScanner.cleanUp()}async isUninstalled($){return(await this.filterUninstalled($)).length===1}filterUninstalled(...$){return this.extensionsScanner.withUninstalledExtensions(N=>{const T=[];for(const L of $)N[L.key()]&&T.push(L.key());return T})}setUninstalled(...$){const N=$.map(T=>new D.ExtensionIdentifierWithVersion(T.identifier,T.manifest.version));return this.extensionsScanner.withUninstalledExtensions(T=>(N.forEach(L=>T[L.key()]=!0),T))}unsetUninstalled($){return this.extensionsScanner.withUninstalledExtensions(N=>delete N[$.key()])}getExtensionsReport(){const $=new Date().getTime();return(!this.reportedExtensions||$-this.lastReportTimestamp>1e3*60*5)&&(this.reportedExtensions=this.updateReportCache(),this.lastReportTimestamp=$),this.reportedExtensions}async updateReportCache(){try{this.logService.trace("ExtensionManagementService.refreshReportedCache");const $=await this.galleryService.getExtensionsReport();return this.logService.trace(`ExtensionManagementService.refreshReportedCache - got ${$.length} reported extensions from service`),$}catch($){return this.logService.trace("ExtensionManagementService.refreshReportedCache - failed to get extension report"),[]}}reportTelemetry($,N,T,L){const F=L?L instanceof E.ExtensionManagementError?L.code:q:void 0;this.telemetryService.publicLogError($,Object.assign(Object.assign({},N),{success:!L,duration:T,errorcode:F}))}};G=he([Y(0,f.INativeEnvironmentService),Y(1,E.IExtensionGalleryService),Y(2,g.ILogService),Y(3,r.optional(h.IDownloadService)),Y(4,i.ITelemetryService),Y(5,r.IInstantiationService)],G),e.ExtensionManagementService=G}),define(ee[203],te([0,1,27,38,204,98,36,97,33,75,48,141,9,156,126,28,196,167,25,158,40,159,26,58,165,169,170,172,13,76,150,55,2,160,70,155,154,137,136,143,142,77,166,69,147,10,149,16,31,20,189,191,186,57,153,187,192,164,19,162,188,59,185,168,60,71,128,193,171,82,81,80,4,144,138,14,43,8,79,173,174,190]),function(H,e,v,k,_,R,P,A,y,E,D,f,S,C,a,I,w,b,g,c,s,i,t,n,o,h,r,l,u,m,p,d,O,U,j,B,V,q,G,Q,$,N,T,L,F,M,z,x,K,X,Z,ne,ae,de,me,be,Ie,Ae,Oe,ke,Te,_e,Re,Le,$e,xe,Me,ze,J,se,re,ge,W,ie,oe,ce,le,fe,ve,ye,we,Ce){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.main=void 0;class Pe extends O.Disposable{constructor(ue){super();this.configuration=ue,this.server=this._register(new A.Server),_.gracefulify(v),this.registerListeners()}registerListeners(){const ue=()=>this.dispose();process.once("exit",ue),R.ipcRenderer.once("vscode:electron-main->shared-process=exit",ue)}async open(){const ue=await this.initServices();X.registerConfiguration(),ue.invokeFunction(pe=>{const De=pe.get(u.ILogService);De.trace("sharedProcess configuration",JSON.stringify(this.configuration)),this.initChannels(pe),this.registerErrorHandler(De)}),this._register(O.combinedDisposable(new B.NodeCachedDataCleaner(this.configuration.nodeCachedDataDir),ue.createInstance(V.LanguagePackCachedDataCleaner),ue.createInstance(q.StorageDataCleaner,this.configuration.backupWorkspacesPath),ue.createInstance(G.LogsDataCleaner),ue.createInstance(ie.LocalizationsUpdater),ue.createInstance(oe.DeprecatedExtensionsCleaner)))}async initServices(){const ue=new E.ServiceCollection,pe=new C.NativeEnvironmentService(this.configuration.args);ue.set(S.IEnvironmentService,pe),ue.set(S.INativeEnvironmentService,pe);const De=new y.StaticRouter(Ne=>Ne==="main"),Be=new m.LogLevelChannelClient(this.server.getChannel("logLevel",De)),Fe=this._register(new u.MultiplexLogService([this._register(new u.ConsoleLogger(this.configuration.logLevel)),this._register(new N.SpdLogLogger("sharedprocess",fe.join(pe.logsPath,"sharedprocess.log"),!0,this.configuration.logLevel))])),Ue=this._register(new m.FollowerLogService(Be,Fe));ue.set(u.ILogService,Ue);const He=new $.MessagePortMainProcessService(this.server,De);ue.set(Q.IMainProcessService,He);const qe=this._register(new F.FileService(Ue));ue.set(M.IFileService,qe);const Ze=this._register(new z.DiskFileSystemProvider(Ue));qe.registerProvider(x.Schemas.file,Ze);const Ge=this._register(new c.ConfigurationService(pe.settingsResource,qe));ue.set(g.IConfigurationService,Ge),await Ge.initialize();const Ke=new Ae.NativeStorageService2(void 0,He,pe);ue.set(Oe.IStorageService,Ke),await Ke.initialize(),this._register(O.toDisposable(()=>Ke.flush())),ue.set(K.IProductService,Object.assign({_serviceBrand:void 0},P.default)),ue.set(s.IRequestService,new D.SyncDescriptor(i.RequestService));const Je=y.ProxyChannel.toService(He.getChannel("nativeHost"),{context:this.configuration.windowId});ue.set(de.INativeHostService,Je),ue.set(j.IDownloadService,new D.SyncDescriptor(U.DownloadService));const et=this._register(new ze.ActiveWindowManager(Je)),at=new y.StaticRouter(Ne=>et.getActiveClientId().then(gt=>Ne===gt));ue.set(xe.IExtensionRecommendationNotificationService,new Me.ExtensionRecommendationNotificationServiceChannelClient(this.server.getChannel("extensionRecommendationNotification",at)));const st=this._register(new me.LoggerService(Ue,qe));ue.set(u.ILoggerService,st);const{appRoot:ct,extensionsPath:lt,extensionDevelopmentLocationURI:ut,isBuilt:ht,installSourcePath:dt}=pe;let tt,We;if(!ut&&!pe.disableTelemetry&&P.default.enableTelemetry){if(We=new J.TelemetryLogAppender(st,pe),P.default.aiConfig&&P.default.aiConfig.asimovKey&&ht){const Ne=new l.AppInsightsAppender("monacoworkbench",null,P.default.aiConfig.asimovKey);this._register(O.toDisposable(()=>Ne.flush())),We=n.combinedAppender(Ne,We)}tt=new r.TelemetryService({appender:We,commonProperties:o.resolveCommonProperties(qe,k.release(),process.arch,P.default.commit,P.default.version,this.configuration.machineId,P.default.msftInternalDomains,dt),sendErrorTelemetry:!0,piiPaths:[ct,lt]},Ge)}else tt=n.NullTelemetryService,We=n.NullAppender;this.server.registerChannel("telemetryAppender",new h.TelemetryAppenderChannel(We)),ue.set(t.ITelemetryService,tt),ue.set(I.IExtensionManagementService,new D.SyncDescriptor(w.ExtensionManagementService)),ue.set(I.IExtensionGalleryService,new D.SyncDescriptor(b.ExtensionGalleryService)),ue.set(I.IExtensionTipsService,new D.SyncDescriptor(Le.ExtensionTipsService)),ue.set(d.ILocalizationsService,new D.SyncDescriptor(p.LocalizationsService)),ue.set(L.IDiagnosticsService,new D.SyncDescriptor(T.DiagnosticsService)),ue.set(_e.IUserDataSyncAccountService,new D.SyncDescriptor(_e.UserDataSyncAccountService)),ue.set(X.IUserDataSyncLogService,new D.SyncDescriptor(be.UserDataSyncLogService)),ue.set(X.IUserDataSyncUtilService,new ae.UserDataSyncUtilServiceClient(this.server.getChannel("userDataSyncUtil",Ne=>Ne.ctx!=="main"))),ue.set(I.IGlobalExtensionEnablementService,new D.SyncDescriptor(ke.GlobalExtensionEnablementService)),ue.set(re.IIgnoredExtensionsManagementService,new D.SyncDescriptor(re.IgnoredExtensionsManagementService)),ue.set(ge.IExtensionsStorageSyncService,new D.SyncDescriptor(ge.ExtensionsStorageSyncService)),ue.set(X.IUserDataSyncStoreManagementService,new D.SyncDescriptor(ne.UserDataSyncStoreManagementService)),ue.set(X.IUserDataSyncStoreService,new D.SyncDescriptor(ne.UserDataSyncStoreService)),ue.set($e.IUserDataSyncMachinesService,new D.SyncDescriptor($e.UserDataSyncMachinesService)),ue.set(X.IUserDataSyncBackupStoreService,new D.SyncDescriptor(Re.UserDataSyncBackupStoreService)),ue.set(X.IUserDataAutoSyncEnablementService,new D.SyncDescriptor(se.UserDataAutoSyncEnablementService)),ue.set(X.IUserDataSyncResourceEnablementService,new D.SyncDescriptor(Te.UserDataSyncResourceEnablementService)),ue.set(X.IUserDataSyncService,new D.SyncDescriptor(Z.UserDataSyncService));const ft=this._register(new ye.LocalPtyService(Ue));return ue.set(we.ILocalPtyService,ft),new f.InstantiationService(ue)}initChannels(ue){const pe=new a.ExtensionManagementChannel(ue.get(I.IExtensionManagementService),()=>null);this.server.registerChannel("extensions",pe);const De=y.ProxyChannel.fromService(ue.get(d.ILocalizationsService));this.server.registerChannel("localizations",De);const Be=y.ProxyChannel.fromService(ue.get(L.IDiagnosticsService));this.server.registerChannel("diagnostics",Be);const Fe=new a.ExtensionTipsChannel(ue.get(I.IExtensionTipsService));this.server.registerChannel("extensionTipsService",Fe);const Ue=new ae.UserDataSyncMachinesServiceChannel(ue.get($e.IUserDataSyncMachinesService));this.server.registerChannel("userDataSyncMachines",Ue);const He=new ae.UserDataSyncAccountServiceChannel(ue.get(_e.IUserDataSyncAccountService));this.server.registerChannel("userDataSyncAccount",He);const qe=new ae.UserDataSyncStoreManagementServiceChannel(ue.get(X.IUserDataSyncStoreManagementService));this.server.registerChannel("userDataSyncStoreManagement",qe);const Ze=new Ce.UserDataSyncChannel(ue.get(X.IUserDataSyncService),ue.get(u.ILogService));this.server.registerChannel("userDataSync",Ze);const Ge=this._register(ue.get(W.IInstantiationService).createInstance(Ie.UserDataAutoSyncService)),Ke=new ae.UserDataAutoSyncChannel(Ge);this.server.registerChannel("userDataAutoSync",Ke);const Je=ue.get(we.ILocalPtyService),et=y.ProxyChannel.fromService(Je);this.server.registerChannel(ve.TerminalIpcChannels.LocalPty,et)}registerErrorHandler(ue){window.addEventListener("unhandledrejection",pe=>{ce.onUnexpectedError(pe.reason),pe.preventDefault()}),ce.setUnexpectedErrorHandler(pe=>{const De=le.toErrorMessage(pe,!0);!De||ue.error(`[uncaught exception in sharedProcess]: ${De}`)})}}async function Se(Ee){const ue=new Pe(Ee);R.ipcRenderer.send("vscode:shared-process->electron-main=ipc-ready"),await ue.open(),R.ipcRenderer.send("vscode:shared-process->electron-main=init-done")}e.main=Se})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/f30a9b73e8ffc278e71575118b6bf568f04587c8/core/vs/code/electron-browser/sharedProcess/sharedProcessMain.js.map
