/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var Y=["require","exports","vs/base/common/lifecycle","vs/base/common/event","vs/base/common/platform","vs/platform/instantiation/common/instantiation","vs/platform/log/common/log","vs/base/common/uri","vs/base/common/path","vs/base/common/async","vs/base/common/network","electron","vs/nls!vs/code/electron-main/main","vs/base/common/types","vs/nls","vs/base/common/resources","vs/platform/files/common/files","vs/platform/product/common/product","vs/platform/configuration/common/configuration","vs/platform/lifecycle/electron-main/lifecycleMainService","vs/base/common/errors","vs/base/common/strings","vs/base/common/buffer","fs","vs/base/node/pfs","vs/base/common/cancellation","vs/platform/environment/electron-main/environmentMainService","os","vs/platform/workspaces/common/workspaces","vs/base/common/extpath","vs/base/common/uuid","vs/platform/telemetry/common/telemetry","vs/platform/windows/electron-main/windows","vs/base/common/arrays","vs/base/parts/ipc/common/ipc","vs/base/common/map","vs/platform/registry/common/platform","vs/platform/state/node/state","vs/base/common/labels","vs/platform/request/common/request","vs/platform/update/common/update","vs/base/common/functional","vs/base/common/json","vs/base/common/objects","vs/platform/native/electron-main/nativeHostMainService","child_process","vs/platform/configuration/common/configurationRegistry","vs/platform/backup/electron-main/backup","vs/platform/dialogs/electron-main/dialogMainService","vs/platform/workspaces/electron-main/workspacesManagementMainService","vs/base/common/decorators","vs/base/common/process","vs/platform/environment/common/environment","vs/platform/environment/node/argvHelper","vs/platform/remote/common/tunnel","vs/base/parts/ipc/node/ipc.net","vs/base/common/keyCodes","vs/base/common/stream","crypto","net","vs/platform/environment/node/argv","vs/platform/product/common/productService","vs/platform/windows/common/windows","vs/platform/workspaces/electron-main/workspacesHistoryMainService","vs/base/common/iterator","vs/base/common/normalization","vs/base/node/id","vs/base/common/errorMessage","vs/platform/instantiation/common/descriptors","vs/platform/diagnostics/common/diagnostics","vs/platform/instantiation/common/serviceCollection","vs/platform/theme/electron-main/themeMainService","vs/platform/webview/common/resourceLoader","vs/platform/update/electron-main/abstractUpdateService","vs/base/common/linkedList","vs/base/common/scanCode","vs/base/common/hash","vs/base/common/glob","vs/base/node/decoder","vs/base/node/ps","vs/base/parts/ipc/common/ipc.net","vs/base/parts/ipc/electron-main/ipc.mp","vs/base/parts/storage/common/storage","vs/base/node/processes","vs/base/parts/ipc/node/ipc.cp","vs/platform/encryption/electron-main/encryptionMainService","vs/platform/environment/node/shellEnv","vs/platform/files/common/io","vs/platform/files/node/watcher/watcher","vs/platform/log/common/bufferLog","vs/platform/log/node/spdlogLog","vs/platform/remote/common/remoteHosts","vs/platform/sign/common/sign","vs/platform/storage/common/storage","vs/platform/telemetry/common/telemetryUtils","vs/platform/url/common/url","vs/platform/storage/electron-main/storageMainService","vs/platform/windows/electron-main/windowsFinder","vs/platform/launch/electron-main/launchMainService","vs/base/common/assert","vs/base/common/jsonFormatter","vs/base/common/jsonEdit","vs/base/common/keybindingParser","vs/base/common/stopwatch","vs/base/common/codicons","vs/base/common/console","vs/base/common/marshalling","vs/base/common/mime","vs/base/node/crypto","vs/base/node/macAddress","vs/base/node/extpath","vs/base/node/ports","vs/base/node/powershell","vs/base/node/userDataPath","vs/base/node/watcher","vs/base/parts/contextmenu/common/contextmenu","vs/base/parts/contextmenu/electron-main/contextmenu","vs/base/parts/ipc/common/ipc.electron","vs/base/parts/ipc/common/ipc.mp","vs/base/parts/ipc/electron-main/ipc.electron","vs/base/parts/storage/node/storage","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/common/keybindingLabels","vs/base/common/keybindingLabels","vs/nls!vs/base/node/processes","vs/base/node/shell","vs/nls!vs/code/electron-main/app","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/dialogs/electron-main/dialogMainService","vs/nls!vs/platform/environment/node/argv","vs/nls!vs/platform/environment/node/argvHelper","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/issue/electron-main/issueMainService","vs/nls!vs/platform/menubar/electron-main/menubar","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/telemetry/common/telemetryService","vs/nls!vs/platform/update/common/update.config.contribution","vs/nls!vs/platform/windows/electron-main/window","vs/nls!vs/platform/windows/electron-main/windowsMainService","vs/nls!vs/platform/workspaces/common/workspaces","vs/nls!vs/platform/workspaces/electron-main/workspacesHistoryMainService","vs/nls!vs/platform/workspaces/electron-main/workspacesManagementMainService","vs/platform/debug/common/extensionHostDebugIpc","vs/platform/debug/electron-main/extensionHostDebugIpc","vs/platform/environment/node/wait","vs/platform/extensions/common/extensionValidator","vs/platform/files/node/watcher/nsfw/watcherService","vs/platform/files/node/watcher/unix/watcherService","vs/platform/files/node/watcher/win32/csharpWatcherService","vs/platform/files/node/watcher/win32/watcherService","vs/platform/instantiation/common/graph","vs/platform/display/electron-main/displayMainService","vs/platform/extensionManagement/common/extensionManagement","vs/platform/extensionManagement/common/extensionUrlTrust","vs/platform/extensions/common/extensions","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/files/node/watcher/nodejs/watcherService","vs/platform/instantiation/common/instantiationService","vs/platform/keybinding/common/baseResolvedKeybinding","vs/platform/keybinding/common/usLayoutResolvedKeybinding","vs/platform/lifecycle/common/lifecycle","vs/code/electron-main/protocol","vs/platform/files/common/fileService","vs/base/common/performance","vs/platform/files/node/diskFileSystemProvider","vs/platform/log/common/fileLog","vs/platform/log/common/logIpc","vs/platform/log/node/loggerService","vs/platform/menubar/common/menubar","vs/platform/environment/node/environmentService","vs/platform/extensionManagement/node/extensionUrlTrustService","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurationModels","vs/platform/configuration/common/configurationService","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteAgentConnection","vs/platform/request/node/proxy","url","vs/platform/serviceMachineId/common/serviceMachineId","vs/platform/sign/node/signService","vs/platform/keyboardLayout/electron-main/keyboardLayoutMainService","vs/platform/state/node/stateService","vs/platform/telemetry/common/commonProperties","vs/platform/diagnostics/node/diagnosticsService","vs/platform/extensionManagement/common/extensionGalleryService","vs/platform/telemetry/common/telemetryIpc","vs/platform/telemetry/common/telemetryService","vs/platform/theme/common/theme","vs/platform/theme/common/themeService","vs/platform/update/common/update.config.contribution","vs/platform/update/common/updateIpc","vs/platform/url/common/urlIpc","vs/platform/url/common/urlService","vs/platform/url/electron-main/electronUrlListener","vs/platform/webview/common/mimeTypes","vs/platform/webview/common/webviewManagerService","vs/platform/webview/common/webviewPortMapping","vs/platform/webview/electron-main/webviewPortMappingProvider","vs/platform/webview/electron-main/webviewProtocolProvider","vs/platform/webview/electron-main/webviewMainService","vs/platform/windows/node/windowTracker","vs/platform/workspace/common/workspace","vs/platform/storage/electron-main/storageIpc","vs/platform/storage/electron-main/storageMain","vs/platform/windows/electron-main/windowsStateHandler","zlib","vs/platform/driver/node/driver","vs/platform/backup/electron-main/backupMainService","vs/code/electron-main/auth","vs/platform/driver/electron-main/driver","vs/platform/remote/node/nodeSocketFactory","vs/platform/remote/node/tunnelService","vs/platform/request/node/requestService","vs/platform/request/electron-main/requestMainService","vs/platform/sharedProcess/electron-main/sharedProcess","vs/platform/update/electron-main/updateService.darwin","vs/platform/update/electron-main/updateService.linux","vs/platform/update/electron-main/updateService.snap","vs/platform/update/electron-main/updateService.win32","vs/platform/issue/electron-main/issueMainService","vs/platform/windows/electron-main/window","vs/platform/menubar/electron-main/menubar","vs/platform/menubar/electron-main/menubarMainService","vs/platform/windows/electron-main/windowsMainService","vs/platform/workspaces/electron-main/workspacesMainService","vs/code/electron-main/app","string_decoder","path","minimist","assert","util","stream","vs/code/electron-main/main"],J=function(H){for(var e=[],v=0,R=H.length;v<R;v++)e[v]=Y[H[v]];return e};define(Y[99],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function v(R,L){if(!R)throw new Error(L?`Assertion failed (${L})`:"Assertion Failed")}e.ok=v}),define(Y[50],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createMemoizer=e.createDecorator=void 0;function v(y){return(i,k,f)=>{let b=null,g=null;if(typeof f.value=="function"?(b="value",g=f.value):typeof f.get=="function"&&(b="get",g=f.get),!g)throw new Error("not supported");f[b]=y(g,k)}}e.createDecorator=v;let R=0;function L(){const y=`$memoize${R++}`;let i;const k=function(b,g,h){let w=null,S=null;if(typeof h.value=="function"?(w="value",S=h.value,S.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof h.get=="function"&&(w="get",S=h.get),!S)throw new Error("not supported");const p=`${y}:${g}`;h[w]=function(...s){return i=this,this.hasOwnProperty(p)||Object.defineProperty(this,p,{configurable:!0,enumerable:!1,writable:!0,value:S.apply(this,s)}),this[p]}};return k.clear=()=>{typeof i!="undefined"&&Object.getOwnPropertyNames(i).forEach(f=>{f.indexOf(y)===0&&delete i[f]})},k}e.createMemoizer=L;function E(y,i,k){return L()(y,i,k)}e.memoize=E;function M(y,i,k){return v((f,b)=>{const g=`$debounce$${b}`,h=`$debounce$result$${b}`;return function(...w){this[h]||(this[h]=k?k():void 0),clearTimeout(this[g]),i&&(this[h]=i(this[h],...w),w=[this[h]]),this[g]=setTimeout(()=>{f.apply(this,w),this[h]=k?k():void 0},y)}})}e.debounce=M;function n(y,i,k){return v((f,b)=>{const g=`$throttle$timer$${b}`,h=`$throttle$result$${b}`,w=`$throttle$lastRun$${b}`,S=`$throttle$pending$${b}`;return function(...p){if(this[h]||(this[h]=k?k():void 0),(this[w]===null||this[w]===void 0)&&(this[w]=-Number.MAX_VALUE),i&&(this[h]=i(this[h],...p)),!this[S]){const s=this[w]+y;s<=Date.now()?(this[w]=Date.now(),f.apply(this,[this[h]]),this[h]=k?k():void 0):(this[S]=!0,this[g]=setTimeout(()=>{this[S]=!1,this[w]=Date.now(),f.apply(this,[this[h]]),this[h]=k?k():void 0},s-Date.now()))}}})}e.throttle=n}),define(Y[20],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isPromiseCanceledError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class v{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(t){setTimeout(()=>{throw t.stack?new Error(t.message+`

`+t.stack):t},0)}}addListener(t){return this.listeners.push(t),()=>{this._removeListener(t)}}emit(t){this.listeners.forEach(r=>{r(t)})}_removeListener(t){this.listeners.splice(this.listeners.indexOf(t),1)}setUnexpectedErrorHandler(t){this.unexpectedErrorHandler=t}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(t){this.unexpectedErrorHandler(t),this.emit(t)}onUnexpectedExternalError(t){this.unexpectedErrorHandler(t)}}e.ErrorHandler=v,e.errorHandler=new v;function R(l){e.errorHandler.setUnexpectedErrorHandler(l)}e.setUnexpectedErrorHandler=R;function L(l){y(l)||e.errorHandler.onUnexpectedError(l)}e.onUnexpectedError=L;function E(l){y(l)||e.errorHandler.onUnexpectedExternalError(l)}e.onUnexpectedExternalError=E;function M(l){if(l instanceof Error){let{name:t,message:r}=l;const c=l.stacktrace||l.stack;return{$isError:!0,name:t,message:r,stack:c}}return l}e.transformErrorForSerialization=M;const n="Canceled";function y(l){return l instanceof Error&&l.name===n&&l.message===n}e.isPromiseCanceledError=y;class i extends Error{constructor(){super(n);this.name=this.message}}e.CancellationError=i;function k(){const l=new Error(n);return l.name=l.message,l}e.canceled=k;function f(l){return l?new Error(`Illegal argument: ${l}`):new Error("Illegal argument")}e.illegalArgument=f;function b(l){return l?new Error(`Illegal state: ${l}`):new Error("Illegal state")}e.illegalState=b;function g(l){return l?new Error(`readonly property '${l} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=g;function h(l){const t=new Error(`${l} has been disposed`);return t.name="DISPOSED",t}e.disposed=h;function w(l){return l?l.message?l.message:l.stack?l.stack.split(`
`)[0]:String(l):"Error"}e.getErrorMessage=w;class S extends Error{constructor(t){super("NotImplemented");t&&(this.message=t)}}e.NotImplementedError=S;class p extends Error{constructor(t){super("NotSupported");t&&(this.message=t)}}e.NotSupportedError=p;class s extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=s;function o(l){const t=l;return t instanceof Error&&Array.isArray(t.actions)}e.isErrorWithActions=o;function a(l,t=Object.create(null)){const r=new Error(l);return t.actions&&(r.actions=t.actions),r}e.createErrorWithActions=a}),define(Y[33],J([0,1,20]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.firstOrDefault=e.lastIndex=e.uniqueFilter=e.distinctES6=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.mergeSort=e.quickSelect=e.findFirstInSorted=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function R(D,P=0){return D[D.length-(1+P)]}e.tail=R;function L(D){if(D.length===0)throw new Error("Invalid tail call");return[D.slice(0,D.length-1),D[D.length-1]]}e.tail2=L;function E(D,P,_=(T,O)=>T===O){if(D===P)return!0;if(!D||!P||D.length!==P.length)return!1;for(let T=0,O=D.length;T<O;T++)if(!_(D[T],P[T]))return!1;return!0}e.equals=E;function M(D,P,_){let T=0,O=D.length-1;for(;T<=O;){const B=(T+O)/2|0,j=_(D[B],P);if(j<0)T=B+1;else if(j>0)O=B-1;else return B}return-(T+1)}e.binarySearch=M;function n(D,P){let _=0,T=D.length;if(T===0)return 0;for(;_<T;){const O=Math.floor((_+T)/2);P(D[O])?T=O:_=O+1}return _}e.findFirstInSorted=n;function y(D,P,_){if(D=D|0,D>=P.length)throw new TypeError("invalid index");let T=P[Math.floor(P.length*Math.random())],O=[],B=[],j=[];for(let V of P){const K=_(V,T);K<0?O.push(V):K>0?B.push(V):j.push(V)}return D<O.length?y(D,O,_):D<O.length+j.length?j[0]:y(D-(O.length+j.length),B,_)}e.quickSelect=y;function i(D,P){return f(D,P,0,D.length-1,[]),D}e.mergeSort=i;function k(D,P,_,T,O,B){let j=_,V=T+1;for(let K=_;K<=O;K++)B[K]=D[K];for(let K=_;K<=O;K++)j>T?D[K]=B[V++]:V>O?D[K]=B[j++]:P(B[V],B[j])<0?D[K]=B[V++]:D[K]=B[j++]}function f(D,P,_,T,O){if(!(T<=_)){const B=_+(T-_)/2|0;f(D,P,_,B,O),f(D,P,B+1,T,O),!(P(D[B],D[B+1])<=0)&&k(D,P,_,B,T,O)}}function b(D,P){const _=[];let T;for(const O of i(D.slice(0),P))!T||P(T[0],O)!==0?(T=[O],_.push(T)):T.push(O);return _}e.groupBy=b;function g(D,P,_){const T=[];function O(V,K,ee){if(!(K===0&&ee.length===0)){const Q=T[T.length-1];Q&&Q.start+Q.deleteCount===V?(Q.deleteCount+=K,Q.toInsert.push(...ee)):T.push({start:V,deleteCount:K,toInsert:ee})}}let B=0,j=0;for(;;){if(B===D.length){O(B,0,P.slice(j));break}if(j===P.length){O(B,D.length-B,[]);break}const V=D[B],K=P[j],ee=_(V,K);ee===0?(B+=1,j+=1):ee<0?(O(B,1,[]),B+=1):ee>0&&(O(B,0,[K]),j+=1)}return T}e.sortedDiff=g;function h(D,P,_){const T=g(D,P,_),O=[],B=[];for(const j of T)O.push(...D.slice(j.start,j.start+j.deleteCount)),B.push(...j.toInsert);return{removed:O,added:B}}e.delta=h;function w(D,P,_){if(_===0)return[];const T=D.slice(0,_).sort(P);return p(D,P,T,_,D.length),T}e.top=w;function S(D,P,_,T,O){return _===0?Promise.resolve([]):new Promise((B,j)=>{(async()=>{const V=D.length,K=D.slice(0,_).sort(P);for(let ee=_,Q=Math.min(_+T,V);ee<V;ee=Q,Q=Math.min(Q+T,V)){if(ee>_&&await new Promise(re=>setTimeout(re)),O&&O.isCancellationRequested)throw v.canceled();p(D,P,K,ee,Q)}return K})().then(B,j)})}e.topAsync=S;function p(D,P,_,T,O){for(const B=_.length;T<O;T++){const j=D[T];if(P(j,_[B-1])<0){_.pop();const V=n(_,K=>P(j,K)<0);_.splice(V,0,j)}}}function s(D){return D.filter(P=>!!P)}e.coalesce=s;function o(D){let P=0;for(let _=0;_<D.length;_++)D[_]&&(D[P]=D[_],P+=1);D.length=P}e.coalesceInPlace=o;function a(D,P,_){D.splice(_,0,D.splice(P,1)[0])}e.move=a;function l(D){return!Array.isArray(D)||D.length===0}e.isFalsyOrEmpty=l;function t(D){return Array.isArray(D)&&D.length>0}e.isNonEmptyArray=t;function r(D,P){if(!P)return D.filter((T,O)=>D.indexOf(T)===O);const _=Object.create(null);return D.filter(T=>{const O=P(T);return _[O]?!1:(_[O]=!0,!0)})}e.distinct=r;function c(D){const P=new Set;return D.filter(_=>P.has(_)?!1:(P.add(_),!0))}e.distinctES6=c;function d(D){const P=Object.create(null);return _=>{const T=D(_);return P[T]?!1:(P[T]=!0,!0)}}e.uniqueFilter=d;function u(D,P){for(let _=D.length-1;_>=0;_--){const T=D[_];if(P(T))return _}return-1}e.lastIndex=u;function m(D,P){return D.length>0?D[0]:P}e.firstOrDefault=m;function I(D,P,_=(T,O)=>T===O){let T=0;for(let O=0,B=Math.min(D.length,P.length);O<B&&_(D[O],P[O]);O++)T++;return T}e.commonPrefixLength=I;function A(D){return[].concat(...D)}e.flatten=A;function F(D,P){let _=typeof P=="number"?D:0;typeof P=="number"?_=D:(_=0,P=D);const T=[];if(_<=P)for(let O=_;O<P;O++)T.push(O);else for(let O=_;O>P;O--)T.push(O);return T}e.range=F;function N(D,P,_){return D.reduce((T,O)=>(T[P(O)]=_?_(O):O,T),Object.create(null))}e.index=N;function $(D,P){return D.push(P),()=>z(D,P)}e.insert=$;function z(D,P){const _=D.indexOf(P);if(_>-1)return D.splice(_,1),P}e.remove=z;function x(D,P,_){const T=D.slice(0,P),O=D.slice(P);return T.concat(_,O)}e.arrayInsert=x;function te(D,P){let _;if(typeof P=="number"){let T=P;_=()=>{const O=Math.sin(T++)*179426549;return O-Math.floor(O)}}else _=Math.random;for(let T=D.length-1;T>0;T-=1){const O=Math.floor(_()*(T+1)),B=D[T];D[T]=D[O],D[O]=B}}e.shuffle=te;function Z(D,P){const _=D.indexOf(P);_>-1&&(D.splice(_,1),D.unshift(P))}e.pushToStart=Z;function C(D,P){const _=D.indexOf(P);_>-1&&(D.splice(_,1),D.push(P))}e.pushToEnd=C;function X(D,P){return Array.isArray(D)?D.map(P):P(D)}e.mapArrayOrNot=X;function G(D){return Array.isArray(D)?D:[D]}e.asArray=G;function U(D){return D[Math.floor(Math.random()*D.length)]}e.getRandomElement=U;function W(D,P){for(const _ of D){const T=P(_);if(T!==void 0)return T}}e.mapFind=W}),define(Y[41],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function v(R){const L=this;let E=!1,M;return function(){return E||(E=!0,M=R.apply(L,arguments)),M}}e.once=v}),define(Y[64],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var v;(function(R){function L(l){return l&&typeof l=="object"&&typeof l[Symbol.iterator]=="function"}R.is=L;const E=Object.freeze([]);function M(){return E}R.empty=M;function*n(l){yield l}R.single=n;function y(l){return l||E}R.from=y;function i(l){return!l||l[Symbol.iterator]().next().done===!0}R.isEmpty=i;function k(l){return l[Symbol.iterator]().next().value}R.first=k;function f(l,t){for(const r of l)if(t(r))return!0;return!1}R.some=f;function b(l,t){for(const r of l)if(t(r))return r}R.find=b;function*g(l,t){for(const r of l)t(r)&&(yield r)}R.filter=g;function*h(l,t){for(const r of l)yield t(r)}R.map=h;function*w(...l){for(const t of l)for(const r of t)yield r}R.concat=w;function*S(l){for(const t of l)for(const r of t)yield r}R.concatNested=S;function p(l,t,r){let c=r;for(const d of l)c=t(c,d);return c}R.reduce=p;function*s(l,t,r=l.length){for(t<0&&(t+=l.length),r<0?r+=l.length:r>l.length&&(r=l.length);t<r;t++)yield l[t]}R.slice=s;function o(l,t=Number.POSITIVE_INFINITY){const r=[];if(t===0)return[r,l];const c=l[Symbol.iterator]();for(let d=0;d<t;d++){const u=c.next();if(u.done)return[r,R.empty()];r.push(u.value)}return[r,{[Symbol.iterator](){return c}}]}R.consume=o;function a(l,t,r=(c,d)=>c===d){const c=l[Symbol.iterator](),d=t[Symbol.iterator]();for(;;){const u=c.next(),m=d.next();if(u.done!==m.done)return!1;if(u.done)return!0;if(!r(u.value,m.value))return!1}}R.equals=a})(v=e.Iterable||(e.Iterable={}))}),define(Y[42],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var v;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(v=e.ScanError||(e.ScanError={}));var R;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(R=e.SyntaxKind||(e.SyntaxKind={}));var L;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})(L=e.ParseErrorCode||(e.ParseErrorCode={}));var E;(function(t){t.DEFAULT={allowTrailingComma:!0}})(E=e.ParseOptions||(e.ParseOptions={}));function M(t,r=!1){let c=0,d=t.length,u="",m=0,I=16,A=0;function F(C){let X=0,G=0;for(;X<C;){const U=t.charCodeAt(c);if(U>=48&&U<=57)G=G*16+U-48;else if(U>=65&&U<=70)G=G*16+U-65+10;else if(U>=97&&U<=102)G=G*16+U-97+10;else break;c++,X++}return X<C&&(G=-1),G}function N(C){c=C,u="",m=0,I=16,A=0}function $(){const C=c;if(t.charCodeAt(c)===48)c++;else for(c++;c<t.length&&i(t.charCodeAt(c));)c++;if(c<t.length&&t.charCodeAt(c)===46)if(c++,c<t.length&&i(t.charCodeAt(c)))for(c++;c<t.length&&i(t.charCodeAt(c));)c++;else return A=3,t.substring(C,c);let X=c;if(c<t.length&&(t.charCodeAt(c)===69||t.charCodeAt(c)===101))if(c++,(c<t.length&&t.charCodeAt(c)===43||t.charCodeAt(c)===45)&&c++,c<t.length&&i(t.charCodeAt(c))){for(c++;c<t.length&&i(t.charCodeAt(c));)c++;X=c}else A=3;return t.substring(C,X)}function z(){let C="",X=c;for(;;){if(c>=d){C+=t.substring(X,c),A=2;break}const G=t.charCodeAt(c);if(G===34){C+=t.substring(X,c),c++;break}if(G===92){if(C+=t.substring(X,c),c++,c>=d){A=2;break}switch(t.charCodeAt(c++)){case 34:C+='"';break;case 92:C+="\\";break;case 47:C+="/";break;case 98:C+="\b";break;case 102:C+="\f";break;case 110:C+=`
`;break;case 114:C+="\r";break;case 116:C+="	";break;case 117:const W=F(4);W>=0?C+=String.fromCharCode(W):A=4;break;default:A=5}X=c;continue}if(G>=0&&G<=31)if(y(G)){C+=t.substring(X,c),A=2;break}else A=6;c++}return C}function x(){if(u="",A=0,m=c,c>=d)return m=d,I=17;let C=t.charCodeAt(c);if(n(C)){do c++,u+=String.fromCharCode(C),C=t.charCodeAt(c);while(n(C));return I=15}if(y(C))return c++,u+=String.fromCharCode(C),C===13&&t.charCodeAt(c)===10&&(c++,u+=`
`),I=14;switch(C){case 123:return c++,I=1;case 125:return c++,I=2;case 91:return c++,I=3;case 93:return c++,I=4;case 58:return c++,I=6;case 44:return c++,I=5;case 34:return c++,u=z(),I=10;case 47:const X=c-1;if(t.charCodeAt(c+1)===47){for(c+=2;c<d&&!y(t.charCodeAt(c));)c++;return u=t.substring(X,c),I=12}if(t.charCodeAt(c+1)===42){c+=2;const G=d-1;let U=!1;for(;c<G;){if(t.charCodeAt(c)===42&&t.charCodeAt(c+1)===47){c+=2,U=!0;break}c++}return U||(c++,A=1),u=t.substring(X,c),I=13}return u+=String.fromCharCode(C),c++,I=16;case 45:if(u+=String.fromCharCode(C),c++,c===d||!i(t.charCodeAt(c)))return I=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return u+=$(),I=11;default:for(;c<d&&te(C);)c++,C=t.charCodeAt(c);if(m!==c){switch(u=t.substring(m,c),u){case"true":return I=8;case"false":return I=9;case"null":return I=7}return I=16}return u+=String.fromCharCode(C),c++,I=16}}function te(C){if(n(C)||y(C))return!1;switch(C){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function Z(){let C;do C=x();while(C>=12&&C<=15);return C}return{setPosition:N,getPosition:()=>c,scan:r?Z:x,getToken:()=>I,getTokenValue:()=>u,getTokenOffset:()=>m,getTokenLength:()=>c-m,getTokenError:()=>A}}e.createScanner=M;function n(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function y(t){return t===10||t===13||t===8232||t===8233}function i(t){return t>=48&&t<=57}var k;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(k||(k={}));function f(t,r){const c=[],d=new Object;let u;const m={value:{},offset:0,length:0,type:"object",parent:void 0};let I=!1;function A(F,N,$,z){m.value=F,m.offset=N,m.length=$,m.type=z,m.colonOffset=void 0,u=m}try{o(t,{onObjectBegin:(F,N)=>{if(r<=F)throw d;u=void 0,I=r>F,c.push("")},onObjectProperty:(F,N,$)=>{if(r<N||(A(F,N,$,"property"),c[c.length-1]=F,r<=N+$))throw d},onObjectEnd:(F,N)=>{if(r<=F)throw d;u=void 0,c.pop()},onArrayBegin:(F,N)=>{if(r<=F)throw d;u=void 0,c.push(0)},onArrayEnd:(F,N)=>{if(r<=F)throw d;u=void 0,c.pop()},onLiteralValue:(F,N,$)=>{if(r<N||(A(F,N,$,l(F)),r<=N+$))throw d},onSeparator:(F,N,$)=>{if(r<=N)throw d;if(F===":"&&u&&u.type==="property")u.colonOffset=N,I=!1,u=void 0;else if(F===","){const z=c[c.length-1];typeof z=="number"?c[c.length-1]=z+1:(I=!0,c[c.length-1]=""),u=void 0}}})}catch(F){if(F!==d)throw F}return{path:c,previousNode:u,isAtPropertyKey:I,matches:F=>{let N=0;for(let $=0;N<F.length&&$<c.length;$++)if(F[N]===c[$]||F[N]==="*")N++;else if(F[N]!=="**")return!1;return N===F.length}}}e.getLocation=f;function b(t,r=[],c=E.DEFAULT){let d=null,u=[];const m=[];function I(F){Array.isArray(u)?u.push(F):d!==null&&(u[d]=F)}return o(t,{onObjectBegin:()=>{const F={};I(F),m.push(u),u=F,d=null},onObjectProperty:F=>{d=F},onObjectEnd:()=>{u=m.pop()},onArrayBegin:()=>{const F=[];I(F),m.push(u),u=F,d=null},onArrayEnd:()=>{u=m.pop()},onLiteralValue:I,onError:(F,N,$)=>{r.push({error:F,offset:N,length:$})}},c),u[0]}e.parse=b;function g(t,r=[],c=E.DEFAULT){let d={type:"array",offset:-1,length:-1,children:[],parent:void 0};function u(F){d.type==="property"&&(d.length=F-d.offset,d=d.parent)}function m(F){return d.children.push(F),F}o(t,{onObjectBegin:F=>{d=m({type:"object",offset:F,length:-1,parent:d,children:[]})},onObjectProperty:(F,N,$)=>{d=m({type:"property",offset:N,length:-1,parent:d,children:[]}),d.children.push({type:"string",value:F,offset:N,length:$,parent:d})},onObjectEnd:(F,N)=>{d.length=F+N-d.offset,d=d.parent,u(F+N)},onArrayBegin:(F,N)=>{d=m({type:"array",offset:F,length:-1,parent:d,children:[]})},onArrayEnd:(F,N)=>{d.length=F+N-d.offset,d=d.parent,u(F+N)},onLiteralValue:(F,N,$)=>{m({type:l(F),offset:N,length:$,parent:d,value:F}),u(N+$)},onSeparator:(F,N,$)=>{d.type==="property"&&(F===":"?d.colonOffset=N:F===","&&u(N))},onError:(F,N,$)=>{r.push({error:F,offset:N,length:$})}},c);const A=d.children[0];return A&&delete A.parent,A}e.parseTree=g;function h(t,r){if(!!t){let c=t;for(let d of r)if(typeof d=="string"){if(c.type!=="object"||!Array.isArray(c.children))return;let u=!1;for(const m of c.children)if(Array.isArray(m.children)&&m.children[0].value===d){c=m.children[1],u=!0;break}if(!u)return}else{const u=d;if(c.type!=="array"||u<0||!Array.isArray(c.children)||u>=c.children.length)return;c=c.children[u]}return c}}e.findNodeAtLocation=h;function w(t){if(!t.parent||!t.parent.children)return[];const r=w(t.parent);if(t.parent.type==="property"){const c=t.parent.children[0].value;r.push(c)}else if(t.parent.type==="array"){const c=t.parent.children.indexOf(t);c!==-1&&r.push(c)}return r}e.getNodePath=w;function S(t){switch(t.type){case"array":return t.children.map(S);case"object":const r=Object.create(null);for(let c of t.children){const d=c.children[1];d&&(r[c.children[0].value]=S(d))}return r;case"null":case"string":case"number":case"boolean":return t.value;default:return}}e.getNodeValue=S;function p(t,r,c=!1){return r>=t.offset&&r<t.offset+t.length||c&&r===t.offset+t.length}e.contains=p;function s(t,r,c=!1){if(p(t,r,c)){const d=t.children;if(Array.isArray(d))for(let u=0;u<d.length&&d[u].offset<=r;u++){const m=s(d[u],r,c);if(m)return m}return t}}e.findNodeAtOffset=s;function o(t,r,c=E.DEFAULT){const d=M(t,!1);function u(B){return B?()=>B(d.getTokenOffset(),d.getTokenLength()):()=>!0}function m(B){return B?j=>B(j,d.getTokenOffset(),d.getTokenLength()):()=>!0}const I=u(r.onObjectBegin),A=m(r.onObjectProperty),F=u(r.onObjectEnd),N=u(r.onArrayBegin),$=u(r.onArrayEnd),z=m(r.onLiteralValue),x=m(r.onSeparator),te=u(r.onComment),Z=m(r.onError),C=c&&c.disallowComments,X=c&&c.allowTrailingComma;function G(){for(;;){const B=d.scan();switch(d.getTokenError()){case 4:U(14);break;case 5:U(15);break;case 3:U(13);break;case 1:C||U(11);break;case 2:U(12);break;case 6:U(16);break}switch(B){case 12:case 13:C?U(10):te();break;case 16:U(1);break;case 15:case 14:break;default:return B}}}function U(B,j=[],V=[]){if(Z(B),j.length+V.length>0){let K=d.getToken();for(;K!==17;){if(j.indexOf(K)!==-1){G();break}else if(V.indexOf(K)!==-1)break;K=G()}}}function W(B){const j=d.getTokenValue();return B?z(j):A(j),G(),!0}function D(){switch(d.getToken()){case 11:let B=0;try{B=JSON.parse(d.getTokenValue()),typeof B!="number"&&(U(2),B=0)}catch(j){U(2)}z(B);break;case 7:z(null);break;case 8:z(!0);break;case 9:z(!1);break;default:return!1}return G(),!0}function P(){return d.getToken()!==10?(U(3,[],[2,5]),!1):(W(!1),d.getToken()===6?(x(":"),G(),O()||U(4,[],[2,5])):U(5,[],[2,5]),!0)}function _(){I(),G();let B=!1;for(;d.getToken()!==2&&d.getToken()!==17;){if(d.getToken()===5){if(B||U(4,[],[]),x(","),G(),d.getToken()===2&&X)break}else B&&U(6,[],[]);P()||U(4,[],[2,5]),B=!0}return F(),d.getToken()!==2?U(7,[2],[]):G(),!0}function T(){N(),G();let B=!1;for(;d.getToken()!==4&&d.getToken()!==17;){if(d.getToken()===5){if(B||U(4,[],[]),x(","),G(),d.getToken()===4&&X)break}else B&&U(6,[],[]);O()||U(4,[],[4,5]),B=!0}return $(),d.getToken()!==4?U(8,[4],[]):G(),!0}function O(){switch(d.getToken()){case 3:return T();case 1:return _();case 10:return W(!0);default:return D()}}return G(),d.getToken()===17?c.allowEmptyContent?!0:(U(4,[],[]),!1):O()?(d.getToken()!==17&&U(9,[],[]),!0):(U(4,[],[]),!1)}e.visit=o;function a(t,r){let c=M(t),d=[],u,m=0,I;do switch(I=c.getPosition(),u=c.scan(),u){case 12:case 13:case 17:m!==I&&d.push(t.substring(m,I)),r!==void 0&&d.push(c.getTokenValue().replace(/[^\r\n]/g,r)),m=c.getPosition();break}while(u!==17);return d.join("")}e.stripComments=a;function l(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=l}),define(Y[100],J([0,1,42]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.format=void 0;function R(y,i,k){let f,b,g,h,w;if(i){for(h=i.offset,w=h+i.length,g=h;g>0&&!n(y,g-1);)g--;let m=w;for(;m<y.length&&!n(y,m);)m++;b=y.substring(g,m),f=E(b,k)}else b=y,f=0,g=0,h=0,w=y.length;const S=M(k,y);let p=!1,s=0,o;k.insertSpaces?o=L(" ",k.tabSize||4):o="	";const a=v.createScanner(b,!1);let l=!1;function t(){return S+L(o,f+s)}function r(){let m=a.scan();for(p=!1;m===15||m===14;)p=p||m===14,m=a.scan();return l=m===16||a.getTokenError()!==0,m}const c=[];function d(m,I,A){!l&&I<w&&A>h&&y.substring(I,A)!==m&&c.push({offset:I,length:A-I,content:m})}let u=r();if(u!==17){const m=a.getTokenOffset()+g,I=L(o,f);d(I,g,m)}for(;u!==17;){let m=a.getTokenOffset()+a.getTokenLength()+g,I=r(),A="";for(;!p&&(I===12||I===13);){const N=a.getTokenOffset()+g;d(" ",m,N),m=a.getTokenOffset()+a.getTokenLength()+g,A=I===12?t():"",I=r()}if(I===2)u!==1&&(s--,A=t());else if(I===4)u!==3&&(s--,A=t());else{switch(u){case 3:case 1:s++,A=t();break;case 5:case 12:A=t();break;case 13:p?A=t():A=" ";break;case 6:A=" ";break;case 10:if(I===6){A="";break}case 7:case 8:case 9:case 11:case 2:case 4:I===12||I===13?A=" ":I!==5&&I!==17&&(l=!0);break;case 16:l=!0;break}p&&(I===12||I===13)&&(A=t())}const F=a.getTokenOffset()+g;d(A,m,F),u=I}return c}e.format=R;function L(y,i){let k="";for(let f=0;f<i;f++)k+=y;return k}function E(y,i){let k=0,f=0;const b=i.tabSize||4;for(;k<y.length;){const g=y.charAt(k);if(g===" ")f++;else if(g==="	")f+=b;else break;k++}return Math.floor(f/b)}function M(y,i){for(let k=0;k<i.length;k++){const f=i.charAt(k);if(f==="\r")return k+1<i.length&&i.charAt(k+1)===`
`?`\r
`:"\r";if(f===`
`)return`
`}return y&&y.eol||`
`}e.getEOL=M;function n(y,i){return`\r
`.indexOf(y.charAt(i))!==-1}e.isEOL=n}),define(Y[101],J([0,1,42,100,33]),function(H,e,v,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function E(k,f,b){return M(k,f,void 0,b)}e.removeProperty=E;function M(k,f,b,g,h){const w=f.slice(),S=[],p=v.parseTree(k,S);let s,o;for(;w.length>0&&(o=w.pop(),s=v.findNodeAtLocation(p,w),s===void 0&&b!==void 0);)typeof o=="string"?b={[o]:b}:b=[b];if(s)if(s.type==="object"&&typeof o=="string"&&Array.isArray(s.children)){const a=v.findNodeAtLocation(s,[o]);if(a!==void 0)if(b===void 0){if(!a.parent)throw new Error("Malformed AST");const l=s.children.indexOf(a.parent);let t,r=a.parent.offset+a.parent.length;if(l>0){const c=s.children[l-1];t=c.offset+c.length}else t=s.offset+1,s.children.length>1&&(r=s.children[1].offset);return n(k,{offset:t,length:r-t,content:""},g)}else return n(k,{offset:a.offset,length:a.length,content:JSON.stringify(b)},g);else{if(b===void 0)return[];const l=`${JSON.stringify(o)}: ${JSON.stringify(b)}`,t=h?h(s.children.map(c=>c.children[0].value)):s.children.length;let r;if(t>0){const c=s.children[t-1];r={offset:c.offset+c.length,length:0,content:","+l}}else s.children.length===0?r={offset:s.offset+1,length:0,content:l}:r={offset:s.offset+1,length:0,content:l+","};return n(k,r,g)}}else if(s.type==="array"&&typeof o=="number"&&Array.isArray(s.children))if(b!==void 0){const a=`${JSON.stringify(b)}`;let l;if(s.children.length===0||o===0)l={offset:s.offset+1,length:0,content:s.children.length===0?a:a+","};else{const t=o===-1||o>s.children.length?s.children.length:o,r=s.children[t-1];l={offset:r.offset+r.length,length:0,content:","+a}}return n(k,l,g)}else{const a=o,l=s.children[a];let t;if(s.children.length===1)t={offset:s.offset+1,length:s.length-2,content:""};else if(s.children.length-1===a){const r=s.children[a-1],c=r.offset+r.length,d=s.offset+s.length;t={offset:c,length:d-2-c,content:""}}else t={offset:l.offset,length:s.children[a+1].offset-l.offset,content:""};return n(k,t,g)}else throw new Error(`Can not add ${typeof o!="number"?"index":"property"} to parent of type ${s.type}`);else{if(b===void 0)throw new Error("Can not delete in empty document");return n(k,{offset:p?p.offset:0,length:p?p.length:0,content:JSON.stringify(b)},g)}}e.setProperty=M;function n(k,f,b){let g=y(k,f),h=f.offset,w=f.offset+f.content.length;if(f.length===0||f.content.length===0){for(;h>0&&!R.isEOL(g,h-1);)h--;for(;w<g.length&&!R.isEOL(g,w);)w++}const S=R.format(g,{offset:h,length:w-h},b);for(let s=S.length-1;s>=0;s--){const o=S[s];g=y(g,o),h=Math.min(h,o.offset),w=Math.max(w,o.offset+o.length),w+=o.content.length-o.length}const p=k.length-(g.length-w)-h;return[{offset:h,length:p,content:g.substring(h,w)}]}e.withFormatting=n;function y(k,f){return k.substring(0,f.offset)+f.content+k.substring(f.offset+f.length)}e.applyEdit=y;function i(k,f){let b=L.mergeSort(f,(h,w)=>{const S=h.offset-w.offset;return S===0?h.length-w.length:S}),g=k.length;for(let h=b.length-1;h>=0;h--){let w=b[h];if(w.offset+w.length<=g)k=y(k,w);else throw new Error("Overlapping edit");g=w.offset}return k}e.applyEdits=i}),define(Y[56],J([0,1,20]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ResolvedKeybinding=e.ResolvedKeybindingPart=e.ChordKeybinding=e.SimpleKeybinding=e.createSimpleKeybinding=e.createKeybinding=e.KeyChord=e.KeyMod=e.KeyCodeUtils=e.KeyCode=void 0;var R;(function(s){s[s.Unknown=0]="Unknown",s[s.Backspace=1]="Backspace",s[s.Tab=2]="Tab",s[s.Enter=3]="Enter",s[s.Shift=4]="Shift",s[s.Ctrl=5]="Ctrl",s[s.Alt=6]="Alt",s[s.PauseBreak=7]="PauseBreak",s[s.CapsLock=8]="CapsLock",s[s.Escape=9]="Escape",s[s.Space=10]="Space",s[s.PageUp=11]="PageUp",s[s.PageDown=12]="PageDown",s[s.End=13]="End",s[s.Home=14]="Home",s[s.LeftArrow=15]="LeftArrow",s[s.UpArrow=16]="UpArrow",s[s.RightArrow=17]="RightArrow",s[s.DownArrow=18]="DownArrow",s[s.Insert=19]="Insert",s[s.Delete=20]="Delete",s[s.KEY_0=21]="KEY_0",s[s.KEY_1=22]="KEY_1",s[s.KEY_2=23]="KEY_2",s[s.KEY_3=24]="KEY_3",s[s.KEY_4=25]="KEY_4",s[s.KEY_5=26]="KEY_5",s[s.KEY_6=27]="KEY_6",s[s.KEY_7=28]="KEY_7",s[s.KEY_8=29]="KEY_8",s[s.KEY_9=30]="KEY_9",s[s.KEY_A=31]="KEY_A",s[s.KEY_B=32]="KEY_B",s[s.KEY_C=33]="KEY_C",s[s.KEY_D=34]="KEY_D",s[s.KEY_E=35]="KEY_E",s[s.KEY_F=36]="KEY_F",s[s.KEY_G=37]="KEY_G",s[s.KEY_H=38]="KEY_H",s[s.KEY_I=39]="KEY_I",s[s.KEY_J=40]="KEY_J",s[s.KEY_K=41]="KEY_K",s[s.KEY_L=42]="KEY_L",s[s.KEY_M=43]="KEY_M",s[s.KEY_N=44]="KEY_N",s[s.KEY_O=45]="KEY_O",s[s.KEY_P=46]="KEY_P",s[s.KEY_Q=47]="KEY_Q",s[s.KEY_R=48]="KEY_R",s[s.KEY_S=49]="KEY_S",s[s.KEY_T=50]="KEY_T",s[s.KEY_U=51]="KEY_U",s[s.KEY_V=52]="KEY_V",s[s.KEY_W=53]="KEY_W",s[s.KEY_X=54]="KEY_X",s[s.KEY_Y=55]="KEY_Y",s[s.KEY_Z=56]="KEY_Z",s[s.Meta=57]="Meta",s[s.ContextMenu=58]="ContextMenu",s[s.F1=59]="F1",s[s.F2=60]="F2",s[s.F3=61]="F3",s[s.F4=62]="F4",s[s.F5=63]="F5",s[s.F6=64]="F6",s[s.F7=65]="F7",s[s.F8=66]="F8",s[s.F9=67]="F9",s[s.F10=68]="F10",s[s.F11=69]="F11",s[s.F12=70]="F12",s[s.F13=71]="F13",s[s.F14=72]="F14",s[s.F15=73]="F15",s[s.F16=74]="F16",s[s.F17=75]="F17",s[s.F18=76]="F18",s[s.F19=77]="F19",s[s.NumLock=78]="NumLock",s[s.ScrollLock=79]="ScrollLock",s[s.US_SEMICOLON=80]="US_SEMICOLON",s[s.US_EQUAL=81]="US_EQUAL",s[s.US_COMMA=82]="US_COMMA",s[s.US_MINUS=83]="US_MINUS",s[s.US_DOT=84]="US_DOT",s[s.US_SLASH=85]="US_SLASH",s[s.US_BACKTICK=86]="US_BACKTICK",s[s.US_OPEN_SQUARE_BRACKET=87]="US_OPEN_SQUARE_BRACKET",s[s.US_BACKSLASH=88]="US_BACKSLASH",s[s.US_CLOSE_SQUARE_BRACKET=89]="US_CLOSE_SQUARE_BRACKET",s[s.US_QUOTE=90]="US_QUOTE",s[s.OEM_8=91]="OEM_8",s[s.OEM_102=92]="OEM_102",s[s.NUMPAD_0=93]="NUMPAD_0",s[s.NUMPAD_1=94]="NUMPAD_1",s[s.NUMPAD_2=95]="NUMPAD_2",s[s.NUMPAD_3=96]="NUMPAD_3",s[s.NUMPAD_4=97]="NUMPAD_4",s[s.NUMPAD_5=98]="NUMPAD_5",s[s.NUMPAD_6=99]="NUMPAD_6",s[s.NUMPAD_7=100]="NUMPAD_7",s[s.NUMPAD_8=101]="NUMPAD_8",s[s.NUMPAD_9=102]="NUMPAD_9",s[s.NUMPAD_MULTIPLY=103]="NUMPAD_MULTIPLY",s[s.NUMPAD_ADD=104]="NUMPAD_ADD",s[s.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",s[s.NUMPAD_SUBTRACT=106]="NUMPAD_SUBTRACT",s[s.NUMPAD_DECIMAL=107]="NUMPAD_DECIMAL",s[s.NUMPAD_DIVIDE=108]="NUMPAD_DIVIDE",s[s.KEY_IN_COMPOSITION=109]="KEY_IN_COMPOSITION",s[s.ABNT_C1=110]="ABNT_C1",s[s.ABNT_C2=111]="ABNT_C2",s[s.MAX_VALUE=112]="MAX_VALUE"})(R=e.KeyCode||(e.KeyCode={}));class L{constructor(){this._keyCodeToStr=[],this._strToKeyCode=Object.create(null)}define(o,a){this._keyCodeToStr[o]=a,this._strToKeyCode[a.toLowerCase()]=o}keyCodeToStr(o){return this._keyCodeToStr[o]}strToKeyCode(o){return this._strToKeyCode[o.toLowerCase()]||0}}const E=new L,M=new L,n=new L;(function(){function s(o,a,l=a,t=l){E.define(o,a),M.define(o,l),n.define(o,t)}s(0,"unknown"),s(1,"Backspace"),s(2,"Tab"),s(3,"Enter"),s(4,"Shift"),s(5,"Ctrl"),s(6,"Alt"),s(7,"PauseBreak"),s(8,"CapsLock"),s(9,"Escape"),s(10,"Space"),s(11,"PageUp"),s(12,"PageDown"),s(13,"End"),s(14,"Home"),s(15,"LeftArrow","Left"),s(16,"UpArrow","Up"),s(17,"RightArrow","Right"),s(18,"DownArrow","Down"),s(19,"Insert"),s(20,"Delete"),s(21,"0"),s(22,"1"),s(23,"2"),s(24,"3"),s(25,"4"),s(26,"5"),s(27,"6"),s(28,"7"),s(29,"8"),s(30,"9"),s(31,"A"),s(32,"B"),s(33,"C"),s(34,"D"),s(35,"E"),s(36,"F"),s(37,"G"),s(38,"H"),s(39,"I"),s(40,"J"),s(41,"K"),s(42,"L"),s(43,"M"),s(44,"N"),s(45,"O"),s(46,"P"),s(47,"Q"),s(48,"R"),s(49,"S"),s(50,"T"),s(51,"U"),s(52,"V"),s(53,"W"),s(54,"X"),s(55,"Y"),s(56,"Z"),s(57,"Meta"),s(58,"ContextMenu"),s(59,"F1"),s(60,"F2"),s(61,"F3"),s(62,"F4"),s(63,"F5"),s(64,"F6"),s(65,"F7"),s(66,"F8"),s(67,"F9"),s(68,"F10"),s(69,"F11"),s(70,"F12"),s(71,"F13"),s(72,"F14"),s(73,"F15"),s(74,"F16"),s(75,"F17"),s(76,"F18"),s(77,"F19"),s(78,"NumLock"),s(79,"ScrollLock"),s(80,";",";","OEM_1"),s(81,"=","=","OEM_PLUS"),s(82,",",",","OEM_COMMA"),s(83,"-","-","OEM_MINUS"),s(84,".",".","OEM_PERIOD"),s(85,"/","/","OEM_2"),s(86,"`","`","OEM_3"),s(110,"ABNT_C1"),s(111,"ABNT_C2"),s(87,"[","[","OEM_4"),s(88,"\\","\\","OEM_5"),s(89,"]","]","OEM_6"),s(90,"'","'","OEM_7"),s(91,"OEM_8"),s(92,"OEM_102"),s(93,"NumPad0"),s(94,"NumPad1"),s(95,"NumPad2"),s(96,"NumPad3"),s(97,"NumPad4"),s(98,"NumPad5"),s(99,"NumPad6"),s(100,"NumPad7"),s(101,"NumPad8"),s(102,"NumPad9"),s(103,"NumPad_Multiply"),s(104,"NumPad_Add"),s(105,"NumPad_Separator"),s(106,"NumPad_Subtract"),s(107,"NumPad_Decimal"),s(108,"NumPad_Divide")})();var y;(function(s){function o(c){return E.keyCodeToStr(c)}s.toString=o;function a(c){return E.strToKeyCode(c)}s.fromString=a;function l(c){return M.keyCodeToStr(c)}s.toUserSettingsUS=l;function t(c){return n.keyCodeToStr(c)}s.toUserSettingsGeneral=t;function r(c){return M.strToKeyCode(c)||n.strToKeyCode(c)}s.fromUserSettings=r})(y=e.KeyCodeUtils||(e.KeyCodeUtils={}));var i;(function(s){s[s.CtrlCmd=2048]="CtrlCmd",s[s.Shift=1024]="Shift",s[s.Alt=512]="Alt",s[s.WinCtrl=256]="WinCtrl",s[s.KeyCode=255]="KeyCode"})(i||(i={}));var k;(function(s){s[s.CtrlCmd=2048]="CtrlCmd",s[s.Shift=1024]="Shift",s[s.Alt=512]="Alt",s[s.WinCtrl=256]="WinCtrl"})(k=e.KeyMod||(e.KeyMod={}));function f(s,o){const a=(o&65535)<<16>>>0;return(s|a)>>>0}e.KeyChord=f;function b(s,o){if(s===0)return null;const a=(s&65535)>>>0,l=(s&4294901760)>>>16;return l!==0?new w([g(a,o),g(l,o)]):new w([g(a,o)])}e.createKeybinding=b;function g(s,o){const a=!!(s&2048),l=!!(s&256),t=o===2?l:a,r=!!(s&1024),c=!!(s&512),d=o===2?a:l,u=s&255;return new h(t,r,c,d,u)}e.createSimpleKeybinding=g;class h{constructor(o,a,l,t,r){this.ctrlKey=o,this.shiftKey=a,this.altKey=l,this.metaKey=t,this.keyCode=r}equals(o){return this.ctrlKey===o.ctrlKey&&this.shiftKey===o.shiftKey&&this.altKey===o.altKey&&this.metaKey===o.metaKey&&this.keyCode===o.keyCode}getHashCode(){const o=this.ctrlKey?"1":"0",a=this.shiftKey?"1":"0",l=this.altKey?"1":"0",t=this.metaKey?"1":"0";return`${o}${a}${l}${t}${this.keyCode}`}isModifierKey(){return this.keyCode===0||this.keyCode===5||this.keyCode===57||this.keyCode===6||this.keyCode===4}toChord(){return new w([this])}isDuplicateModifierCase(){return this.ctrlKey&&this.keyCode===5||this.shiftKey&&this.keyCode===4||this.altKey&&this.keyCode===6||this.metaKey&&this.keyCode===57}}e.SimpleKeybinding=h;class w{constructor(o){if(o.length===0)throw v.illegalArgument("parts");this.parts=o}getHashCode(){let o="";for(let a=0,l=this.parts.length;a<l;a++)a!==0&&(o+=";"),o+=this.parts[a].getHashCode();return o}equals(o){if(o===null||this.parts.length!==o.parts.length)return!1;for(let a=0;a<this.parts.length;a++)if(!this.parts[a].equals(o.parts[a]))return!1;return!0}}e.ChordKeybinding=w;class S{constructor(o,a,l,t,r,c){this.ctrlKey=o,this.shiftKey=a,this.altKey=l,this.metaKey=t,this.keyLabel=r,this.keyAriaLabel=c}}e.ResolvedKeybindingPart=S;class p{}e.ResolvedKeybinding=p}),define(Y[2],J([0,1,41,64]),function(H,e,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ImmortalReference=e.ReferenceCollection=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.trackDisposable=e.setDisposableTracker=void 0;const L=!1;let E=null;function M(o){E=o}if(e.setDisposableTracker=M,L){const o="__is_disposable_tracked__";E=new class{trackDisposable(a){const l=new Error("Potentially leaked disposable").stack;setTimeout(()=>{a[o]||console.log(l)},3e3)}markTracked(a){if(a&&a!==w.None)try{a[o]=!0}catch(l){}}}}function n(o){!E||E.markTracked(o)}function y(o){return E&&E.trackDisposable(o),o}e.trackDisposable=y;class i extends Error{constructor(a){super(`Encountered errors while disposing of store. Errors: [${a.join(", ")}]`);this.errors=a}}e.MultiDisposeError=i;function k(o){return typeof o.dispose=="function"&&o.dispose.length===0}e.isDisposable=k;function f(o){if(R.Iterable.is(o)){let a=[];for(const l of o)if(l){n(l);try{l.dispose()}catch(t){a.push(t)}}if(a.length===1)throw a[0];if(a.length>1)throw new i(a);return Array.isArray(o)?[]:o}else if(o)return n(o),o.dispose(),o}e.dispose=f;function b(...o){return o.forEach(n),g(()=>f(o))}e.combinedDisposable=b;function g(o){const a=y({dispose:()=>{n(a),o()}});return a}e.toDisposable=g;class h{constructor(){this._toDispose=new Set,this._isDisposed=!1}dispose(){this._isDisposed||(n(this),this._isDisposed=!0,this.clear())}clear(){try{f(this._toDispose.values())}finally{this._toDispose.clear()}}add(a){if(!a)return a;if(a===this)throw new Error("Cannot register a disposable on itself!");return n(a),this._isDisposed?h.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(a),a}}e.DisposableStore=h,h.DISABLE_DISPOSED_WARNING=!1;class w{constructor(){this._store=new h,y(this)}dispose(){n(this),this._store.dispose()}_register(a){if(a===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(a)}}e.Disposable=w,w.None=Object.freeze({dispose(){}});class S{constructor(){this._isDisposed=!1,y(this)}get value(){return this._isDisposed?void 0:this._value}set value(a){var l;this._isDisposed||a===this._value||((l=this._value)===null||l===void 0||l.dispose(),a&&n(a),this._value=a)}clear(){this.value=void 0}dispose(){var a;this._isDisposed=!0,n(this),(a=this._value)===null||a===void 0||a.dispose(),this._value=void 0}}e.MutableDisposable=S;class p{constructor(){this.references=new Map}acquire(a,...l){let t=this.references.get(a);t||(t={counter:0,object:this.createReferencedObject(a,...l)},this.references.set(a,t));const{object:r}=t,c=v.once(()=>{--t.counter==0&&(this.destroyReferencedObject(a,t.object),this.references.delete(a))});return t.counter++,{object:r,dispose:c}}}e.ReferenceCollection=p;class s{constructor(a){this.object=a}dispose(){}}e.ImmortalReference=s}),define(Y[74],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class v{constructor(E){this.element=E,this.next=v.Undefined,this.prev=v.Undefined}}v.Undefined=new v(void 0);class R{constructor(){this._first=v.Undefined,this._last=v.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===v.Undefined}clear(){this._first=v.Undefined,this._last=v.Undefined,this._size=0}unshift(E){return this._insert(E,!1)}push(E){return this._insert(E,!0)}_insert(E,M){const n=new v(E);if(this._first===v.Undefined)this._first=n,this._last=n;else if(M){const i=this._last;this._last=n,n.prev=i,i.next=n}else{const i=this._first;this._first=n,n.next=i,i.prev=n}this._size+=1;let y=!1;return()=>{y||(y=!0,this._remove(n))}}shift(){if(this._first!==v.Undefined){const E=this._first.element;return this._remove(this._first),E}}pop(){if(this._last!==v.Undefined){const E=this._last.element;return this._remove(this._last),E}}_remove(E){if(E.prev!==v.Undefined&&E.next!==v.Undefined){const M=E.prev;M.next=E.next,E.next.prev=M}else E.prev===v.Undefined&&E.next===v.Undefined?(this._first=v.Undefined,this._last=v.Undefined):E.next===v.Undefined?(this._last=this._last.prev,this._last.next=v.Undefined):E.prev===v.Undefined&&(this._first=this._first.next,this._first.prev=v.Undefined);this._size-=1}*[Symbol.iterator](){let E=this._first;for(;E!==v.Undefined;)yield E.element,E=E.next}}e.LinkedList=R});"use strict";function st(H){const e=[];typeof H=="number"&&e.push("code/timeOrigin",H);function v(L){e.push(L,Date.now())}function R(){const L=[];for(let E=0;E<e.length;E+=2)L.push({name:e[E],startTime:e[E+1]});return L}return{mark:v,getMarks:R}}function It(){if(typeof performance=="object"&&typeof performance.mark=="function")return typeof performance.timeOrigin!="number"&&!performance.timing?st():{mark(H){performance.mark(H)},getMarks(){let H=performance.timeOrigin;typeof H!="number"&&(H=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const e=[{name:"code/timeOrigin",startTime:Math.round(H)}];for(const v of performance.getEntriesByType("mark"))e.push({name:v.name,startTime:Math.round(H+v.startTime)});return e}};if(typeof process=="object"){const H=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return st(H)}else return console.trace("perf-util loaded in UNKNOWN environment"),st()}function ot(H){return H.MonacoPerformanceMarks||(H.MonacoPerformanceMarks=It()),H.MonacoPerformanceMarks}var Ge;typeof global=="object"?Ge=global:typeof self=="object"?Ge=self:Ge={},typeof define=="function"?define("vs/base/common/performance",[],function(){return ot(Ge)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=ot(Ge):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),Ge.perf=ot(Ge)),define(Y[4],J([0,1]),function(H,e){"use strict";var v;Object.defineProperty(e,"__esModule",{value:!0}),e.isLittleEndian=e.OS=e.OperatingSystem=e.setImmediate=e.globals=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isIOS=e.isWeb=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.isPreferringBrowserCodeLoad=e.browserCodeLoadingCacheStrategy=e.isElectronSandboxed=void 0;const R="en";let L=!1,E=!1,M=!1,n=!1,y=!1,i=!1,k=!1,f,b=R,g,h;const w=typeof self=="object"?self:typeof global=="object"?global:{};let S;typeof process!="undefined"?S=process:typeof w.vscode!="undefined"&&(S=w.vscode.process);const p=typeof((v=S==null?void 0:S.versions)===null||v===void 0?void 0:v.electron)=="string"&&S.type==="renderer";if(e.isElectronSandboxed=p&&(S==null?void 0:S.sandboxed),e.browserCodeLoadingCacheStrategy=(()=>{if(e.isElectronSandboxed)return"bypassHeatCheck";const u=S==null?void 0:S.env.ENABLE_VSCODE_BROWSER_CODE_LOADING;if(typeof u=="string")return u==="none"||u==="code"||u==="bypassHeatCheck"||u==="bypassHeatCheckAndEagerCompile"?u:"bypassHeatCheck"})(),e.isPreferringBrowserCodeLoad=typeof e.browserCodeLoadingCacheStrategy=="string",typeof navigator=="object"&&!p)h=navigator.userAgent,L=h.indexOf("Windows")>=0,E=h.indexOf("Macintosh")>=0,k=(h.indexOf("Macintosh")>=0||h.indexOf("iPad")>=0||h.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,M=h.indexOf("Linux")>=0,i=!0,f=navigator.language,b=f;else if(typeof S=="object"){L=S.platform==="win32",E=S.platform==="darwin",M=S.platform==="linux",n=M&&!!S.env.SNAP&&!!S.env.SNAP_REVISION,f=R,b=R;const u=S.env.VSCODE_NLS_CONFIG;if(u)try{const m=JSON.parse(u),I=m.availableLanguages["*"];f=m.locale,b=I||R,g=m._translationsConfigFile}catch(m){}y=!0}else console.error("Unable to resolve platform.");var s;(function(u){u[u.Web=0]="Web",u[u.Mac=1]="Mac",u[u.Linux=2]="Linux",u[u.Windows=3]="Windows"})(s=e.Platform||(e.Platform={}));function o(u){switch(u){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=o;let a=0;E?a=1:L?a=3:M&&(a=2),e.isWindows=L,e.isMacintosh=E,e.isLinux=M,e.isLinuxSnap=n,e.isNative=y,e.isWeb=i,e.isIOS=k,e.platform=a,e.userAgent=h,e.language=b;var l;(function(u){function m(){return e.language}u.value=m;function I(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}u.isDefaultVariant=I;function A(){return e.language==="en"}u.isDefault=A})(l=e.Language||(e.Language={})),e.locale=f,e.translationsConfigFile=g,e.globals=w,e.setImmediate=function(){if(e.globals.setImmediate)return e.globals.setImmediate.bind(e.globals);if(typeof e.globals.postMessage=="function"&&!e.globals.importScripts){let I=[];e.globals.addEventListener("message",F=>{if(F.data&&F.data.vscodeSetImmediateId)for(let N=0,$=I.length;N<$;N++){const z=I[N];if(z.id===F.data.vscodeSetImmediateId){I.splice(N,1),z.callback();return}}});let A=0;return F=>{const N=++A;I.push({id:N,callback:F}),e.globals.postMessage({vscodeSetImmediateId:N},"*")}}if(S&&typeof S.nextTick=="function")return S.nextTick.bind(S);const m=Promise.resolve();return I=>m.then(I)}();var t;(function(u){u[u.Windows=1]="Windows",u[u.Macintosh=2]="Macintosh",u[u.Linux=3]="Linux"})(t=e.OperatingSystem||(e.OperatingSystem={})),e.OS=E||k?2:L?1:3;let r=!0,c=!1;function d(){if(!c){c=!0;const u=new Uint8Array(2);u[0]=1,u[1]=2,r=new Uint16Array(u.buffer)[0]===(2<<8)+1}return r}e.isLittleEndian=d}),define(Y[51],J([0,1,4]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nextTick=e.platform=e.env=e.cwd=void 0;let R;typeof process!="undefined"?R=process:typeof v.globals.vscode!="undefined"?R={get platform(){return v.globals.vscode.process.platform},get env(){return v.globals.vscode.process.env},nextTick(L){return v.setImmediate(L)},cwd(){return v.globals.vscode.process.env.VSCODE_CWD||v.globals.vscode.process.execPath.substr(0,v.globals.vscode.process.execPath.lastIndexOf(v.globals.vscode.process.platform==="win32"?"\\":"/"))}}:R={get platform(){return v.isWindows?"win32":v.isMacintosh?"darwin":"linux"},nextTick(L){return v.setImmediate(L)},get env(){return Object.create(null)},cwd(){return"/"}},e.cwd=R.cwd,e.env=R.env,e.platform=R.platform,e.nextTick=R.nextTick}),define(Y[8],J([0,1,51]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const R=65,L=97,E=90,M=122,n=46,y=47,i=92,k=58,f=63;class b extends Error{constructor(a,l,t){let r;typeof l=="string"&&l.indexOf("not ")===0?(r="must not be",l=l.replace(/^not /,"")):r="must be";const c=a.indexOf(".")!==-1?"property":"argument";let d=`The "${a}" ${c} ${r} of type ${l}`;d+=`. Received type ${typeof t}`,super(d),this.code="ERR_INVALID_ARG_TYPE"}}function g(o,a){if(typeof o!="string")throw new b(a,"string",o)}function h(o){return o===y||o===i}function w(o){return o===y}function S(o){return o>=R&&o<=E||o>=L&&o<=M}function p(o,a,l,t){let r="",c=0,d=-1,u=0,m=0;for(let I=0;I<=o.length;++I){if(I<o.length)m=o.charCodeAt(I);else{if(t(m))break;m=y}if(t(m)){if(!(d===I-1||u===1))if(u===2){if(r.length<2||c!==2||r.charCodeAt(r.length-1)!==n||r.charCodeAt(r.length-2)!==n){if(r.length>2){const A=r.lastIndexOf(l);A===-1?(r="",c=0):(r=r.slice(0,A),c=r.length-1-r.lastIndexOf(l)),d=I,u=0;continue}else if(r.length!==0){r="",c=0,d=I,u=0;continue}}a&&(r+=r.length>0?`${l}..`:"..",c=2)}else r.length>0?r+=`${l}${o.slice(d+1,I)}`:r=o.slice(d+1,I),c=I-d-1;d=I,u=0}else m===n&&u!==-1?++u:u=-1}return r}function s(o,a){if(a===null||typeof a!="object")throw new b("pathObject","Object",a);const l=a.dir||a.root,t=a.base||`${a.name||""}${a.ext||""}`;return l?l===a.root?`${l}${t}`:`${l}${o}${t}`:t}e.win32={resolve(...o){let a="",l="",t=!1;for(let r=o.length-1;r>=-1;r--){let c;if(r>=0){if(c=o[r],g(c,"path"),c.length===0)continue}else a.length===0?c=v.cwd():(c=v.env[`=${a}`]||v.cwd(),(c===void 0||c.slice(0,2).toLowerCase()!==a.toLowerCase()&&c.charCodeAt(2)===i)&&(c=`${a}\\`));const d=c.length;let u=0,m="",I=!1;const A=c.charCodeAt(0);if(d===1)h(A)&&(u=1,I=!0);else if(h(A))if(I=!0,h(c.charCodeAt(1))){let F=2,N=F;for(;F<d&&!h(c.charCodeAt(F));)F++;if(F<d&&F!==N){const $=c.slice(N,F);for(N=F;F<d&&h(c.charCodeAt(F));)F++;if(F<d&&F!==N){for(N=F;F<d&&!h(c.charCodeAt(F));)F++;(F===d||F!==N)&&(m=`\\\\${$}\\${c.slice(N,F)}`,u=F)}}}else u=1;else S(A)&&c.charCodeAt(1)===k&&(m=c.slice(0,2),u=2,d>2&&h(c.charCodeAt(2))&&(I=!0,u=3));if(m.length>0)if(a.length>0){if(m.toLowerCase()!==a.toLowerCase())continue}else a=m;if(t){if(a.length>0)break}else if(l=`${c.slice(u)}\\${l}`,t=I,I&&a.length>0)break}return l=p(l,!t,"\\",h),t?`${a}\\${l}`:`${a}${l}`||"."},normalize(o){g(o,"path");const a=o.length;if(a===0)return".";let l=0,t,r=!1;const c=o.charCodeAt(0);if(a===1)return w(c)?"\\":o;if(h(c))if(r=!0,h(o.charCodeAt(1))){let u=2,m=u;for(;u<a&&!h(o.charCodeAt(u));)u++;if(u<a&&u!==m){const I=o.slice(m,u);for(m=u;u<a&&h(o.charCodeAt(u));)u++;if(u<a&&u!==m){for(m=u;u<a&&!h(o.charCodeAt(u));)u++;if(u===a)return`\\\\${I}\\${o.slice(m)}\\`;u!==m&&(t=`\\\\${I}\\${o.slice(m,u)}`,l=u)}}}else l=1;else S(c)&&o.charCodeAt(1)===k&&(t=o.slice(0,2),l=2,a>2&&h(o.charCodeAt(2))&&(r=!0,l=3));let d=l<a?p(o.slice(l),!r,"\\",h):"";return d.length===0&&!r&&(d="."),d.length>0&&h(o.charCodeAt(a-1))&&(d+="\\"),t===void 0?r?`\\${d}`:d:r?`${t}\\${d}`:`${t}${d}`},isAbsolute(o){g(o,"path");const a=o.length;if(a===0)return!1;const l=o.charCodeAt(0);return h(l)||a>2&&S(l)&&o.charCodeAt(1)===k&&h(o.charCodeAt(2))},join(...o){if(o.length===0)return".";let a,l;for(let c=0;c<o.length;++c){const d=o[c];g(d,"path"),d.length>0&&(a===void 0?a=l=d:a+=`\\${d}`)}if(a===void 0)return".";let t=!0,r=0;if(typeof l=="string"&&h(l.charCodeAt(0))){++r;const c=l.length;c>1&&h(l.charCodeAt(1))&&(++r,c>2&&(h(l.charCodeAt(2))?++r:t=!1))}if(t){for(;r<a.length&&h(a.charCodeAt(r));)r++;r>=2&&(a=`\\${a.slice(r)}`)}return e.win32.normalize(a)},relative(o,a){if(g(o,"from"),g(a,"to"),o===a)return"";const l=e.win32.resolve(o),t=e.win32.resolve(a);if(l===t||(o=l.toLowerCase(),a=t.toLowerCase(),o===a))return"";let r=0;for(;r<o.length&&o.charCodeAt(r)===i;)r++;let c=o.length;for(;c-1>r&&o.charCodeAt(c-1)===i;)c--;const d=c-r;let u=0;for(;u<a.length&&a.charCodeAt(u)===i;)u++;let m=a.length;for(;m-1>u&&a.charCodeAt(m-1)===i;)m--;const I=m-u,A=d<I?d:I;let F=-1,N=0;for(;N<A;N++){const z=o.charCodeAt(r+N);if(z!==a.charCodeAt(u+N))break;z===i&&(F=N)}if(N!==A){if(F===-1)return t}else{if(I>A){if(a.charCodeAt(u+N)===i)return t.slice(u+N+1);if(N===2)return t.slice(u+N)}d>A&&(o.charCodeAt(r+N)===i?F=N:N===2&&(F=3)),F===-1&&(F=0)}let $="";for(N=r+F+1;N<=c;++N)(N===c||o.charCodeAt(N)===i)&&($+=$.length===0?"..":"\\..");return u+=F,$.length>0?`${$}${t.slice(u,m)}`:(t.charCodeAt(u)===i&&++u,t.slice(u,m))},toNamespacedPath(o){if(typeof o!="string")return o;if(o.length===0)return"";const a=e.win32.resolve(o);if(a.length<=2)return o;if(a.charCodeAt(0)===i){if(a.charCodeAt(1)===i){const l=a.charCodeAt(2);if(l!==f&&l!==n)return`\\\\?\\UNC\\${a.slice(2)}`}}else if(S(a.charCodeAt(0))&&a.charCodeAt(1)===k&&a.charCodeAt(2)===i)return`\\\\?\\${a}`;return o},dirname(o){g(o,"path");const a=o.length;if(a===0)return".";let l=-1,t=0;const r=o.charCodeAt(0);if(a===1)return h(r)?o:".";if(h(r)){if(l=t=1,h(o.charCodeAt(1))){let u=2,m=u;for(;u<a&&!h(o.charCodeAt(u));)u++;if(u<a&&u!==m){for(m=u;u<a&&h(o.charCodeAt(u));)u++;if(u<a&&u!==m){for(m=u;u<a&&!h(o.charCodeAt(u));)u++;if(u===a)return o;u!==m&&(l=t=u+1)}}}}else S(r)&&o.charCodeAt(1)===k&&(l=a>2&&h(o.charCodeAt(2))?3:2,t=l);let c=-1,d=!0;for(let u=a-1;u>=t;--u)if(h(o.charCodeAt(u))){if(!d){c=u;break}}else d=!1;if(c===-1){if(l===-1)return".";c=l}return o.slice(0,c)},basename(o,a){a!==void 0&&g(a,"ext"),g(o,"path");let l=0,t=-1,r=!0,c;if(o.length>=2&&S(o.charCodeAt(0))&&o.charCodeAt(1)===k&&(l=2),a!==void 0&&a.length>0&&a.length<=o.length){if(a===o)return"";let d=a.length-1,u=-1;for(c=o.length-1;c>=l;--c){const m=o.charCodeAt(c);if(h(m)){if(!r){l=c+1;break}}else u===-1&&(r=!1,u=c+1),d>=0&&(m===a.charCodeAt(d)?--d==-1&&(t=c):(d=-1,t=u))}return l===t?t=u:t===-1&&(t=o.length),o.slice(l,t)}for(c=o.length-1;c>=l;--c)if(h(o.charCodeAt(c))){if(!r){l=c+1;break}}else t===-1&&(r=!1,t=c+1);return t===-1?"":o.slice(l,t)},extname(o){g(o,"path");let a=0,l=-1,t=0,r=-1,c=!0,d=0;o.length>=2&&o.charCodeAt(1)===k&&S(o.charCodeAt(0))&&(a=t=2);for(let u=o.length-1;u>=a;--u){const m=o.charCodeAt(u);if(h(m)){if(!c){t=u+1;break}continue}r===-1&&(c=!1,r=u+1),m===n?l===-1?l=u:d!==1&&(d=1):l!==-1&&(d=-1)}return l===-1||r===-1||d===0||d===1&&l===r-1&&l===t+1?"":o.slice(l,r)},format:s.bind(null,"\\"),parse(o){g(o,"path");const a={root:"",dir:"",base:"",ext:"",name:""};if(o.length===0)return a;const l=o.length;let t=0,r=o.charCodeAt(0);if(l===1)return h(r)?(a.root=a.dir=o,a):(a.base=a.name=o,a);if(h(r)){if(t=1,h(o.charCodeAt(1))){let F=2,N=F;for(;F<l&&!h(o.charCodeAt(F));)F++;if(F<l&&F!==N){for(N=F;F<l&&h(o.charCodeAt(F));)F++;if(F<l&&F!==N){for(N=F;F<l&&!h(o.charCodeAt(F));)F++;F===l?t=F:F!==N&&(t=F+1)}}}}else if(S(r)&&o.charCodeAt(1)===k){if(l<=2)return a.root=a.dir=o,a;if(t=2,h(o.charCodeAt(2))){if(l===3)return a.root=a.dir=o,a;t=3}}t>0&&(a.root=o.slice(0,t));let c=-1,d=t,u=-1,m=!0,I=o.length-1,A=0;for(;I>=t;--I){if(r=o.charCodeAt(I),h(r)){if(!m){d=I+1;break}continue}u===-1&&(m=!1,u=I+1),r===n?c===-1?c=I:A!==1&&(A=1):c!==-1&&(A=-1)}return u!==-1&&(c===-1||A===0||A===1&&c===u-1&&c===d+1?a.base=a.name=o.slice(d,u):(a.name=o.slice(d,c),a.base=o.slice(d,u),a.ext=o.slice(c,u))),d>0&&d!==t?a.dir=o.slice(0,d-1):a.dir=a.root,a},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...o){let a="",l=!1;for(let t=o.length-1;t>=-1&&!l;t--){const r=t>=0?o[t]:v.cwd();g(r,"path"),r.length!==0&&(a=`${r}/${a}`,l=r.charCodeAt(0)===y)}return a=p(a,!l,"/",w),l?`/${a}`:a.length>0?a:"."},normalize(o){if(g(o,"path"),o.length===0)return".";const a=o.charCodeAt(0)===y,l=o.charCodeAt(o.length-1)===y;return o=p(o,!a,"/",w),o.length===0?a?"/":l?"./":".":(l&&(o+="/"),a?`/${o}`:o)},isAbsolute(o){return g(o,"path"),o.length>0&&o.charCodeAt(0)===y},join(...o){if(o.length===0)return".";let a;for(let l=0;l<o.length;++l){const t=o[l];g(t,"path"),t.length>0&&(a===void 0?a=t:a+=`/${t}`)}return a===void 0?".":e.posix.normalize(a)},relative(o,a){if(g(o,"from"),g(a,"to"),o===a||(o=e.posix.resolve(o),a=e.posix.resolve(a),o===a))return"";const l=1,t=o.length,r=t-l,c=1,d=a.length-c,u=r<d?r:d;let m=-1,I=0;for(;I<u;I++){const F=o.charCodeAt(l+I);if(F!==a.charCodeAt(c+I))break;F===y&&(m=I)}if(I===u)if(d>u){if(a.charCodeAt(c+I)===y)return a.slice(c+I+1);if(I===0)return a.slice(c+I)}else r>u&&(o.charCodeAt(l+I)===y?m=I:I===0&&(m=0));let A="";for(I=l+m+1;I<=t;++I)(I===t||o.charCodeAt(I)===y)&&(A+=A.length===0?"..":"/..");return`${A}${a.slice(c+m)}`},toNamespacedPath(o){return o},dirname(o){if(g(o,"path"),o.length===0)return".";const a=o.charCodeAt(0)===y;let l=-1,t=!0;for(let r=o.length-1;r>=1;--r)if(o.charCodeAt(r)===y){if(!t){l=r;break}}else t=!1;return l===-1?a?"/":".":a&&l===1?"//":o.slice(0,l)},basename(o,a){a!==void 0&&g(a,"ext"),g(o,"path");let l=0,t=-1,r=!0,c;if(a!==void 0&&a.length>0&&a.length<=o.length){if(a===o)return"";let d=a.length-1,u=-1;for(c=o.length-1;c>=0;--c){const m=o.charCodeAt(c);if(m===y){if(!r){l=c+1;break}}else u===-1&&(r=!1,u=c+1),d>=0&&(m===a.charCodeAt(d)?--d==-1&&(t=c):(d=-1,t=u))}return l===t?t=u:t===-1&&(t=o.length),o.slice(l,t)}for(c=o.length-1;c>=0;--c)if(o.charCodeAt(c)===y){if(!r){l=c+1;break}}else t===-1&&(r=!1,t=c+1);return t===-1?"":o.slice(l,t)},extname(o){g(o,"path");let a=-1,l=0,t=-1,r=!0,c=0;for(let d=o.length-1;d>=0;--d){const u=o.charCodeAt(d);if(u===y){if(!r){l=d+1;break}continue}t===-1&&(r=!1,t=d+1),u===n?a===-1?a=d:c!==1&&(c=1):a!==-1&&(c=-1)}return a===-1||t===-1||c===0||c===1&&a===t-1&&a===l+1?"":o.slice(a,t)},format:s.bind(null,"/"),parse(o){g(o,"path");const a={root:"",dir:"",base:"",ext:"",name:""};if(o.length===0)return a;const l=o.charCodeAt(0)===y;let t;l?(a.root="/",t=1):t=0;let r=-1,c=0,d=-1,u=!0,m=o.length-1,I=0;for(;m>=t;--m){const A=o.charCodeAt(m);if(A===y){if(!u){c=m+1;break}continue}d===-1&&(u=!1,d=m+1),A===n?r===-1?r=m:I!==1&&(I=1):r!==-1&&(I=-1)}if(d!==-1){const A=c===0&&l?1:c;r===-1||I===0||I===1&&r===d-1&&r===c+1?a.base=a.name=o.slice(A,d):(a.name=o.slice(A,r),a.base=o.slice(A,d),a.ext=o.slice(r,d))}return c>0?a.dir=o.slice(0,c-1):l&&(a.dir="/"),a},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=v.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=v.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=v.platform==="win32"?e.win32.join:e.posix.join,e.resolve=v.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=v.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=v.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=v.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=v.platform==="win32"?e.win32.extname:e.posix.extname,e.format=v.platform==="win32"?e.win32.format:e.posix.format,e.parse=v.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=v.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=v.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=v.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(Y[75],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ScanCodeBinding=e.IMMUTABLE_KEY_CODE_TO_CODE=e.IMMUTABLE_CODE_TO_KEY_CODE=e.ScanCodeUtils=e.ScanCode=void 0;var v;(function(n){n[n.None=0]="None",n[n.Hyper=1]="Hyper",n[n.Super=2]="Super",n[n.Fn=3]="Fn",n[n.FnLock=4]="FnLock",n[n.Suspend=5]="Suspend",n[n.Resume=6]="Resume",n[n.Turbo=7]="Turbo",n[n.Sleep=8]="Sleep",n[n.WakeUp=9]="WakeUp",n[n.KeyA=10]="KeyA",n[n.KeyB=11]="KeyB",n[n.KeyC=12]="KeyC",n[n.KeyD=13]="KeyD",n[n.KeyE=14]="KeyE",n[n.KeyF=15]="KeyF",n[n.KeyG=16]="KeyG",n[n.KeyH=17]="KeyH",n[n.KeyI=18]="KeyI",n[n.KeyJ=19]="KeyJ",n[n.KeyK=20]="KeyK",n[n.KeyL=21]="KeyL",n[n.KeyM=22]="KeyM",n[n.KeyN=23]="KeyN",n[n.KeyO=24]="KeyO",n[n.KeyP=25]="KeyP",n[n.KeyQ=26]="KeyQ",n[n.KeyR=27]="KeyR",n[n.KeyS=28]="KeyS",n[n.KeyT=29]="KeyT",n[n.KeyU=30]="KeyU",n[n.KeyV=31]="KeyV",n[n.KeyW=32]="KeyW",n[n.KeyX=33]="KeyX",n[n.KeyY=34]="KeyY",n[n.KeyZ=35]="KeyZ",n[n.Digit1=36]="Digit1",n[n.Digit2=37]="Digit2",n[n.Digit3=38]="Digit3",n[n.Digit4=39]="Digit4",n[n.Digit5=40]="Digit5",n[n.Digit6=41]="Digit6",n[n.Digit7=42]="Digit7",n[n.Digit8=43]="Digit8",n[n.Digit9=44]="Digit9",n[n.Digit0=45]="Digit0",n[n.Enter=46]="Enter",n[n.Escape=47]="Escape",n[n.Backspace=48]="Backspace",n[n.Tab=49]="Tab",n[n.Space=50]="Space",n[n.Minus=51]="Minus",n[n.Equal=52]="Equal",n[n.BracketLeft=53]="BracketLeft",n[n.BracketRight=54]="BracketRight",n[n.Backslash=55]="Backslash",n[n.IntlHash=56]="IntlHash",n[n.Semicolon=57]="Semicolon",n[n.Quote=58]="Quote",n[n.Backquote=59]="Backquote",n[n.Comma=60]="Comma",n[n.Period=61]="Period",n[n.Slash=62]="Slash",n[n.CapsLock=63]="CapsLock",n[n.F1=64]="F1",n[n.F2=65]="F2",n[n.F3=66]="F3",n[n.F4=67]="F4",n[n.F5=68]="F5",n[n.F6=69]="F6",n[n.F7=70]="F7",n[n.F8=71]="F8",n[n.F9=72]="F9",n[n.F10=73]="F10",n[n.F11=74]="F11",n[n.F12=75]="F12",n[n.PrintScreen=76]="PrintScreen",n[n.ScrollLock=77]="ScrollLock",n[n.Pause=78]="Pause",n[n.Insert=79]="Insert",n[n.Home=80]="Home",n[n.PageUp=81]="PageUp",n[n.Delete=82]="Delete",n[n.End=83]="End",n[n.PageDown=84]="PageDown",n[n.ArrowRight=85]="ArrowRight",n[n.ArrowLeft=86]="ArrowLeft",n[n.ArrowDown=87]="ArrowDown",n[n.ArrowUp=88]="ArrowUp",n[n.NumLock=89]="NumLock",n[n.NumpadDivide=90]="NumpadDivide",n[n.NumpadMultiply=91]="NumpadMultiply",n[n.NumpadSubtract=92]="NumpadSubtract",n[n.NumpadAdd=93]="NumpadAdd",n[n.NumpadEnter=94]="NumpadEnter",n[n.Numpad1=95]="Numpad1",n[n.Numpad2=96]="Numpad2",n[n.Numpad3=97]="Numpad3",n[n.Numpad4=98]="Numpad4",n[n.Numpad5=99]="Numpad5",n[n.Numpad6=100]="Numpad6",n[n.Numpad7=101]="Numpad7",n[n.Numpad8=102]="Numpad8",n[n.Numpad9=103]="Numpad9",n[n.Numpad0=104]="Numpad0",n[n.NumpadDecimal=105]="NumpadDecimal",n[n.IntlBackslash=106]="IntlBackslash",n[n.ContextMenu=107]="ContextMenu",n[n.Power=108]="Power",n[n.NumpadEqual=109]="NumpadEqual",n[n.F13=110]="F13",n[n.F14=111]="F14",n[n.F15=112]="F15",n[n.F16=113]="F16",n[n.F17=114]="F17",n[n.F18=115]="F18",n[n.F19=116]="F19",n[n.F20=117]="F20",n[n.F21=118]="F21",n[n.F22=119]="F22",n[n.F23=120]="F23",n[n.F24=121]="F24",n[n.Open=122]="Open",n[n.Help=123]="Help",n[n.Select=124]="Select",n[n.Again=125]="Again",n[n.Undo=126]="Undo",n[n.Cut=127]="Cut",n[n.Copy=128]="Copy",n[n.Paste=129]="Paste",n[n.Find=130]="Find",n[n.AudioVolumeMute=131]="AudioVolumeMute",n[n.AudioVolumeUp=132]="AudioVolumeUp",n[n.AudioVolumeDown=133]="AudioVolumeDown",n[n.NumpadComma=134]="NumpadComma",n[n.IntlRo=135]="IntlRo",n[n.KanaMode=136]="KanaMode",n[n.IntlYen=137]="IntlYen",n[n.Convert=138]="Convert",n[n.NonConvert=139]="NonConvert",n[n.Lang1=140]="Lang1",n[n.Lang2=141]="Lang2",n[n.Lang3=142]="Lang3",n[n.Lang4=143]="Lang4",n[n.Lang5=144]="Lang5",n[n.Abort=145]="Abort",n[n.Props=146]="Props",n[n.NumpadParenLeft=147]="NumpadParenLeft",n[n.NumpadParenRight=148]="NumpadParenRight",n[n.NumpadBackspace=149]="NumpadBackspace",n[n.NumpadMemoryStore=150]="NumpadMemoryStore",n[n.NumpadMemoryRecall=151]="NumpadMemoryRecall",n[n.NumpadMemoryClear=152]="NumpadMemoryClear",n[n.NumpadMemoryAdd=153]="NumpadMemoryAdd",n[n.NumpadMemorySubtract=154]="NumpadMemorySubtract",n[n.NumpadClear=155]="NumpadClear",n[n.NumpadClearEntry=156]="NumpadClearEntry",n[n.ControlLeft=157]="ControlLeft",n[n.ShiftLeft=158]="ShiftLeft",n[n.AltLeft=159]="AltLeft",n[n.MetaLeft=160]="MetaLeft",n[n.ControlRight=161]="ControlRight",n[n.ShiftRight=162]="ShiftRight",n[n.AltRight=163]="AltRight",n[n.MetaRight=164]="MetaRight",n[n.BrightnessUp=165]="BrightnessUp",n[n.BrightnessDown=166]="BrightnessDown",n[n.MediaPlay=167]="MediaPlay",n[n.MediaRecord=168]="MediaRecord",n[n.MediaFastForward=169]="MediaFastForward",n[n.MediaRewind=170]="MediaRewind",n[n.MediaTrackNext=171]="MediaTrackNext",n[n.MediaTrackPrevious=172]="MediaTrackPrevious",n[n.MediaStop=173]="MediaStop",n[n.Eject=174]="Eject",n[n.MediaPlayPause=175]="MediaPlayPause",n[n.MediaSelect=176]="MediaSelect",n[n.LaunchMail=177]="LaunchMail",n[n.LaunchApp2=178]="LaunchApp2",n[n.LaunchApp1=179]="LaunchApp1",n[n.SelectTask=180]="SelectTask",n[n.LaunchScreenSaver=181]="LaunchScreenSaver",n[n.BrowserSearch=182]="BrowserSearch",n[n.BrowserHome=183]="BrowserHome",n[n.BrowserBack=184]="BrowserBack",n[n.BrowserForward=185]="BrowserForward",n[n.BrowserStop=186]="BrowserStop",n[n.BrowserRefresh=187]="BrowserRefresh",n[n.BrowserFavorites=188]="BrowserFavorites",n[n.ZoomToggle=189]="ZoomToggle",n[n.MailReply=190]="MailReply",n[n.MailForward=191]="MailForward",n[n.MailSend=192]="MailSend",n[n.MAX_VALUE=193]="MAX_VALUE"})(v=e.ScanCode||(e.ScanCode={}));const R=[],L=Object.create(null),E=Object.create(null);e.ScanCodeUtils={lowerCaseToEnum:n=>E[n]||0,toEnum:n=>L[n]||0,toString:n=>R[n]||"None"},e.IMMUTABLE_CODE_TO_KEY_CODE=[],e.IMMUTABLE_KEY_CODE_TO_CODE=[];class M{constructor(y,i,k,f,b){this.ctrlKey=y,this.shiftKey=i,this.altKey=k,this.metaKey=f,this.scanCode=b}equals(y){return this.ctrlKey===y.ctrlKey&&this.shiftKey===y.shiftKey&&this.altKey===y.altKey&&this.metaKey===y.metaKey&&this.scanCode===y.scanCode}isDuplicateModifierCase(){return this.ctrlKey&&(this.scanCode===157||this.scanCode===161)||this.shiftKey&&(this.scanCode===158||this.scanCode===162)||this.altKey&&(this.scanCode===159||this.scanCode===163)||this.metaKey&&(this.scanCode===160||this.scanCode===164)}}e.ScanCodeBinding=M,function(){function n(y,i){R[y]=i,L[i]=y,E[i.toLowerCase()]=y}n(0,"None"),n(1,"Hyper"),n(2,"Super"),n(3,"Fn"),n(4,"FnLock"),n(5,"Suspend"),n(6,"Resume"),n(7,"Turbo"),n(8,"Sleep"),n(9,"WakeUp"),n(10,"KeyA"),n(11,"KeyB"),n(12,"KeyC"),n(13,"KeyD"),n(14,"KeyE"),n(15,"KeyF"),n(16,"KeyG"),n(17,"KeyH"),n(18,"KeyI"),n(19,"KeyJ"),n(20,"KeyK"),n(21,"KeyL"),n(22,"KeyM"),n(23,"KeyN"),n(24,"KeyO"),n(25,"KeyP"),n(26,"KeyQ"),n(27,"KeyR"),n(28,"KeyS"),n(29,"KeyT"),n(30,"KeyU"),n(31,"KeyV"),n(32,"KeyW"),n(33,"KeyX"),n(34,"KeyY"),n(35,"KeyZ"),n(36,"Digit1"),n(37,"Digit2"),n(38,"Digit3"),n(39,"Digit4"),n(40,"Digit5"),n(41,"Digit6"),n(42,"Digit7"),n(43,"Digit8"),n(44,"Digit9"),n(45,"Digit0"),n(46,"Enter"),n(47,"Escape"),n(48,"Backspace"),n(49,"Tab"),n(50,"Space"),n(51,"Minus"),n(52,"Equal"),n(53,"BracketLeft"),n(54,"BracketRight"),n(55,"Backslash"),n(56,"IntlHash"),n(57,"Semicolon"),n(58,"Quote"),n(59,"Backquote"),n(60,"Comma"),n(61,"Period"),n(62,"Slash"),n(63,"CapsLock"),n(64,"F1"),n(65,"F2"),n(66,"F3"),n(67,"F4"),n(68,"F5"),n(69,"F6"),n(70,"F7"),n(71,"F8"),n(72,"F9"),n(73,"F10"),n(74,"F11"),n(75,"F12"),n(76,"PrintScreen"),n(77,"ScrollLock"),n(78,"Pause"),n(79,"Insert"),n(80,"Home"),n(81,"PageUp"),n(82,"Delete"),n(83,"End"),n(84,"PageDown"),n(85,"ArrowRight"),n(86,"ArrowLeft"),n(87,"ArrowDown"),n(88,"ArrowUp"),n(89,"NumLock"),n(90,"NumpadDivide"),n(91,"NumpadMultiply"),n(92,"NumpadSubtract"),n(93,"NumpadAdd"),n(94,"NumpadEnter"),n(95,"Numpad1"),n(96,"Numpad2"),n(97,"Numpad3"),n(98,"Numpad4"),n(99,"Numpad5"),n(100,"Numpad6"),n(101,"Numpad7"),n(102,"Numpad8"),n(103,"Numpad9"),n(104,"Numpad0"),n(105,"NumpadDecimal"),n(106,"IntlBackslash"),n(107,"ContextMenu"),n(108,"Power"),n(109,"NumpadEqual"),n(110,"F13"),n(111,"F14"),n(112,"F15"),n(113,"F16"),n(114,"F17"),n(115,"F18"),n(116,"F19"),n(117,"F20"),n(118,"F21"),n(119,"F22"),n(120,"F23"),n(121,"F24"),n(122,"Open"),n(123,"Help"),n(124,"Select"),n(125,"Again"),n(126,"Undo"),n(127,"Cut"),n(128,"Copy"),n(129,"Paste"),n(130,"Find"),n(131,"AudioVolumeMute"),n(132,"AudioVolumeUp"),n(133,"AudioVolumeDown"),n(134,"NumpadComma"),n(135,"IntlRo"),n(136,"KanaMode"),n(137,"IntlYen"),n(138,"Convert"),n(139,"NonConvert"),n(140,"Lang1"),n(141,"Lang2"),n(142,"Lang3"),n(143,"Lang4"),n(144,"Lang5"),n(145,"Abort"),n(146,"Props"),n(147,"NumpadParenLeft"),n(148,"NumpadParenRight"),n(149,"NumpadBackspace"),n(150,"NumpadMemoryStore"),n(151,"NumpadMemoryRecall"),n(152,"NumpadMemoryClear"),n(153,"NumpadMemoryAdd"),n(154,"NumpadMemorySubtract"),n(155,"NumpadClear"),n(156,"NumpadClearEntry"),n(157,"ControlLeft"),n(158,"ShiftLeft"),n(159,"AltLeft"),n(160,"MetaLeft"),n(161,"ControlRight"),n(162,"ShiftRight"),n(163,"AltRight"),n(164,"MetaRight"),n(165,"BrightnessUp"),n(166,"BrightnessDown"),n(167,"MediaPlay"),n(168,"MediaRecord"),n(169,"MediaFastForward"),n(170,"MediaRewind"),n(171,"MediaTrackNext"),n(172,"MediaTrackPrevious"),n(173,"MediaStop"),n(174,"Eject"),n(175,"MediaPlayPause"),n(176,"MediaSelect"),n(177,"LaunchMail"),n(178,"LaunchApp2"),n(179,"LaunchApp1"),n(180,"SelectTask"),n(181,"LaunchScreenSaver"),n(182,"BrowserSearch"),n(183,"BrowserHome"),n(184,"BrowserBack"),n(185,"BrowserForward"),n(186,"BrowserStop"),n(187,"BrowserRefresh"),n(188,"BrowserFavorites"),n(189,"ZoomToggle"),n(190,"MailReply"),n(191,"MailForward"),n(192,"MailSend")}(),function(){for(let y=0;y<=193;y++)e.IMMUTABLE_CODE_TO_KEY_CODE[y]=-1;for(let y=0;y<=112;y++)e.IMMUTABLE_KEY_CODE_TO_CODE[y]=-1;function n(y,i){e.IMMUTABLE_CODE_TO_KEY_CODE[y]=i,i!==0&&i!==3&&i!==5&&i!==4&&i!==6&&i!==57&&(e.IMMUTABLE_KEY_CODE_TO_CODE[i]=y)}e.IMMUTABLE_KEY_CODE_TO_CODE[3]=46,n(0,0),n(1,0),n(2,0),n(3,0),n(4,0),n(5,0),n(6,0),n(7,0),n(8,0),n(9,0),n(46,3),n(47,9),n(48,1),n(49,2),n(50,10),n(63,8),n(64,59),n(65,60),n(66,61),n(67,62),n(68,63),n(69,64),n(70,65),n(71,66),n(72,67),n(73,68),n(74,69),n(75,70),n(76,0),n(77,79),n(78,7),n(79,19),n(80,14),n(81,11),n(82,20),n(83,13),n(84,12),n(85,17),n(86,15),n(87,18),n(88,16),n(89,78),n(90,108),n(91,103),n(92,106),n(93,104),n(94,3),n(95,94),n(96,95),n(97,96),n(98,97),n(99,98),n(100,99),n(101,100),n(102,101),n(103,102),n(104,93),n(105,107),n(107,58),n(108,0),n(109,0),n(110,71),n(111,72),n(112,73),n(113,74),n(114,75),n(115,76),n(116,77),n(117,0),n(118,0),n(119,0),n(120,0),n(121,0),n(122,0),n(123,0),n(124,0),n(125,0),n(126,0),n(127,0),n(128,0),n(129,0),n(130,0),n(131,0),n(132,0),n(133,0),n(134,105),n(136,0),n(138,0),n(139,0),n(140,0),n(141,0),n(142,0),n(143,0),n(144,0),n(145,0),n(146,0),n(147,0),n(148,0),n(149,0),n(150,0),n(151,0),n(152,0),n(153,0),n(154,0),n(155,0),n(156,0),n(157,5),n(158,4),n(159,6),n(160,57),n(161,5),n(162,4),n(163,6),n(164,57),n(165,0),n(166,0),n(167,0),n(168,0),n(169,0),n(170,0),n(171,0),n(172,0),n(173,0),n(174,0),n(175,0),n(176,0),n(177,0),n(178,0),n(179,0),n(180,0),n(181,0),n(182,0),n(183,0),n(184,0),n(185,0),n(186,0),n(187,0),n(188,0),n(189,0),n(190,0),n(191,0),n(192,0)}()}),define(Y[102],J([0,1,56,75]),function(H,e,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.KeybindingParser=void 0;class L{static _readModifiers(M){M=M.toLowerCase().trim();let n=!1,y=!1,i=!1,k=!1,f;do f=!1,/^ctrl(\+|\-)/.test(M)&&(n=!0,M=M.substr("ctrl-".length),f=!0),/^shift(\+|\-)/.test(M)&&(y=!0,M=M.substr("shift-".length),f=!0),/^alt(\+|\-)/.test(M)&&(i=!0,M=M.substr("alt-".length),f=!0),/^meta(\+|\-)/.test(M)&&(k=!0,M=M.substr("meta-".length),f=!0),/^win(\+|\-)/.test(M)&&(k=!0,M=M.substr("win-".length),f=!0),/^cmd(\+|\-)/.test(M)&&(k=!0,M=M.substr("cmd-".length),f=!0);while(f);let b;const g=M.indexOf(" ");return g>0?(b=M.substring(0,g),M=M.substring(g)):(b=M,M=""),{remains:M,ctrl:n,shift:y,alt:i,meta:k,key:b}}static parseSimpleKeybinding(M){const n=this._readModifiers(M),y=v.KeyCodeUtils.fromUserSettings(n.key);return[new v.SimpleKeybinding(n.ctrl,n.shift,n.alt,n.meta,y),n.remains]}static parseKeybinding(M,n){if(!M)return null;const y=[];let i;do[i,M]=this.parseSimpleKeybinding(M),y.push(i);while(M.length>0);return new v.ChordKeybinding(y)}static parseSimpleUserBinding(M){const n=this._readModifiers(M),y=n.key.match(/^\[([^\]]+)\]$/);if(y){const k=y[1],f=R.ScanCodeUtils.lowerCaseToEnum(k);return[new R.ScanCodeBinding(n.ctrl,n.shift,n.alt,n.meta,f),n.remains]}const i=v.KeyCodeUtils.fromUserSettings(n.key);return[new v.SimpleKeybinding(n.ctrl,n.shift,n.alt,n.meta,i),n.remains]}static parseUserBinding(M){if(!M)return[];const n=[];let y;for(;M.length>0;)[y,M]=this.parseSimpleUserBinding(M),n.push(y);return n}}e.KeybindingParser=L}),define(Y[103],J([0,1,4]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const R=v.globals.performance&&typeof v.globals.performance.now=="function";class L{constructor(M){this._highResolution=R&&M,this._startTime=this._now(),this._stopTime=-1}static create(M=!0){return new L(M)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?v.globals.performance.now():Date.now()}}e.StopWatch=L}),define(Y[3],J([0,1,20,41,2,74,103]),function(H,e,v,R,L,E,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.PauseableEmitter=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;var n;(function(p){p.None=()=>L.Disposable.None;function s(Z){return(C,X=null,G)=>{let U=!1,W;return W=Z(D=>{if(!U)return W?W.dispose():U=!0,C.call(X,D)},null,G),U&&W.dispose(),W}}p.once=s;function o(Z,C){return d((X,G=null,U)=>Z(W=>X.call(G,C(W)),null,U))}p.map=o;function a(Z,C){return d((X,G=null,U)=>Z(W=>{C(W),X.call(G,W)},null,U))}p.forEach=a;function l(Z,C){return d((X,G=null,U)=>Z(W=>C(W)&&X.call(G,W),null,U))}p.filter=l;function t(Z){return Z}p.signal=t;function r(...Z){return(C,X=null,G)=>L.combinedDisposable(...Z.map(U=>U(W=>C.call(X,W),null,G)))}p.any=r;function c(Z,C,X){let G=X;return o(Z,U=>(G=C(G,U),G))}p.reduce=c;function d(Z){let C;const X=new b({onFirstListenerAdd(){C=Z(X.fire,X)},onLastListenerRemove(){C.dispose()}});return X.event}p.snapshot=d;function u(Z,C,X=100,G=!1,U){let W,D,P,_=0;const T=new b({leakWarningThreshold:U,onFirstListenerAdd(){W=Z(O=>{_++,D=C(D,O),G&&!P&&(T.fire(D),D=void 0),clearTimeout(P),P=setTimeout(()=>{const B=D;D=void 0,P=void 0,(!G||_>1)&&T.fire(B),_=0},X)})},onLastListenerRemove(){W.dispose()}});return T.event}p.debounce=u;function m(Z){const C=new Date().getTime();return o(s(Z),X=>new Date().getTime()-C)}p.stopwatch=m;function I(Z){let C=!0,X;return l(Z,G=>{const U=C||G!==X;return C=!1,X=G,U})}p.latch=I;function A(Z,C=!1,X=[]){let G=X.slice(),U=Z(P=>{G?G.push(P):D.fire(P)});const W=()=>{G&&G.forEach(P=>D.fire(P)),G=null},D=new b({onFirstListenerAdd(){U||(U=Z(P=>D.fire(P)))},onFirstListenerDidAdd(){G&&(C?setTimeout(W):W())},onLastListenerRemove(){U&&U.dispose(),U=null}});return D.event}p.buffer=A;class F{constructor(C){this.event=C}map(C){return new F(o(this.event,C))}forEach(C){return new F(a(this.event,C))}filter(C){return new F(l(this.event,C))}reduce(C,X){return new F(c(this.event,C,X))}latch(){return new F(I(this.event))}debounce(C,X=100,G=!1,U){return new F(u(this.event,C,X,G,U))}on(C,X,G){return this.event(C,X,G)}once(C,X,G){return s(this.event)(C,X,G)}}function N(Z){return new F(Z)}p.chain=N;function $(Z,C,X=G=>G){const G=(...P)=>D.fire(X(...P)),U=()=>Z.on(C,G),W=()=>Z.removeListener(C,G),D=new b({onFirstListenerAdd:U,onLastListenerRemove:W});return D.event}p.fromNodeEventEmitter=$;function z(Z,C,X=G=>G){const G=(...P)=>D.fire(X(...P)),U=()=>Z.addEventListener(C,G),W=()=>Z.removeEventListener(C,G),D=new b({onFirstListenerAdd:U,onLastListenerRemove:W});return D.event}p.fromDOMEventEmitter=z;function x(Z){const C=new b;let X=!1;return Z.then(void 0,()=>null).then(()=>{X?C.fire(void 0):setTimeout(()=>C.fire(void 0),0)}),X=!0,C.event}p.fromPromise=x;function te(Z){return new Promise(C=>s(Z)(C))}p.toPromise=te})(n=e.Event||(e.Event={}));class y{constructor(s){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${s}_${y._idPool++}`}start(s){this._stopWatch=new M.StopWatch(!0),this._listenerCount=s}stop(){if(this._stopWatch){const s=this._stopWatch.elapsed();this._elapsedOverall+=s,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${s.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}y._idPool=0;let i=-1;function k(p){const s=i;return i=p,{dispose(){i=s}}}e.setGlobalLeakWarningThreshold=k;class f{constructor(s,o=Math.random().toString(18).slice(2,5)){this.customThreshold=s,this.name=o,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(s){let o=i;if(typeof this.customThreshold=="number"&&(o=this.customThreshold),!(o<=0||s<o)){this._stacks||(this._stacks=new Map);const a=new Error().stack.split(`
`).slice(3).join(`
`),l=this._stacks.get(a)||0;if(this._stacks.set(a,l+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=o*.5;let t,r=0;for(const[c,d]of this._stacks)(!t||r<d)&&(t=c,r=d);console.warn(`[${this.name}] potential listener LEAK detected, having ${s} listeners already. MOST frequent listener (${r}):`),console.warn(t)}return()=>{const t=this._stacks.get(a)||0;this._stacks.set(a,t-1)}}}}class b{constructor(s){var o;this._disposed=!1,this._options=s,this._leakageMon=i>0?new f(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=((o=this._options)===null||o===void 0?void 0:o._profName)?new y(this._options._profName):void 0}get event(){return this._event||(this._event=(s,o,a)=>{var l;this._listeners||(this._listeners=new E.LinkedList);const t=this._listeners.isEmpty();t&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const r=this._listeners.push(o?[s,o]:s);t&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,s,o);const c=(l=this._leakageMon)===null||l===void 0?void 0:l.check(this._listeners.size);let d;return d={dispose:()=>{c&&c(),d.dispose=b._noop,this._disposed||(r(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))}},a instanceof L.DisposableStore?a.add(d):Array.isArray(a)&&a.push(d),d}),this._event}fire(s){var o,a;if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new E.LinkedList);for(let l of this._listeners)this._deliveryQueue.push([l,s]);for((o=this._perfMon)===null||o===void 0||o.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[l,t]=this._deliveryQueue.shift();try{typeof l=="function"?l.call(void 0,t):l[0].call(l[1],t)}catch(r){v.onUnexpectedError(r)}}(a=this._perfMon)===null||a===void 0||a.stop()}}dispose(){var s,o,a;(s=this._listeners)===null||s===void 0||s.clear(),(o=this._deliveryQueue)===null||o===void 0||o.clear(),(a=this._leakageMon)===null||a===void 0||a.dispose(),this._disposed=!0}}e.Emitter=b,b._noop=function(){};class g extends b{constructor(s){super(s);this._isPaused=0,this._eventQueue=new E.LinkedList,this._mergeFn=s==null?void 0:s.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const s=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(s))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(s){this._listeners&&(this._isPaused!==0?this._eventQueue.push(s):super.fire(s))}}e.PauseableEmitter=g;class h{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new b({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(s){const o={event:s,listener:null};this.events.push(o),this.hasListeners&&this.hook(o);const a=()=>{this.hasListeners&&this.unhook(o);const l=this.events.indexOf(o);this.events.splice(l,1)};return L.toDisposable(R.once(a))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(s=>this.hook(s))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(s=>this.unhook(s))}hook(s){s.listener=s.event(o=>this.emitter.fire(o))}unhook(s){s.listener&&s.listener.dispose(),s.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=h;class w{constructor(){this.buffers=[]}wrapEvent(s){return(o,a,l)=>s(t=>{const r=this.buffers[this.buffers.length-1];r?r.push(()=>o.call(a,t)):o.call(a,t)},void 0,l)}bufferEvents(s){const o=[];this.buffers.push(o);const a=s();return this.buffers.pop(),o.forEach(l=>l()),a}}e.EventBufferer=w;class S{constructor(){this.listening=!1,this.inputEvent=n.None,this.inputEventListener=L.Disposable.None,this.emitter=new b({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(s){this.inputEvent=s,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=s(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=S}),define(Y[25],J([0,1,3]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const R=Object.freeze(function(n,y){const i=setTimeout(n.bind(y),0);return{dispose(){clearTimeout(i)}}});var L;(function(n){function y(i){return i===n.None||i===n.Cancelled||i instanceof E?!0:!i||typeof i!="object"?!1:typeof i.isCancellationRequested=="boolean"&&typeof i.onCancellationRequested=="function"}n.isCancellationToken=y,n.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:v.Event.None}),n.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:R})})(L=e.CancellationToken||(e.CancellationToken={}));class E{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?R:(this._emitter||(this._emitter=new v.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class M{constructor(y){this._token=void 0,this._parentListener=void 0,this._parentListener=y&&y.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new E),this._token}cancel(){this._token?this._token instanceof E&&this._token.cancel():this._token=L.Cancelled}dispose(y=!1){y&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof E&&this._token.dispose():this._token=L.None}}e.CancellationTokenSource=M}),define(Y[9],J([0,1,25,20,3,2,74]),function(H,e,v,R,L,E,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.AsyncEmitter=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.RunOnceWorker=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.ignoreErrors=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function n(U){return!!U&&typeof U.then=="function"}e.isThenable=n;function y(U){const W=new v.CancellationTokenSource,D=U(W.token),P=new Promise((_,T)=>{W.token.onCancellationRequested(()=>{T(R.canceled())}),Promise.resolve(D).then(O=>{W.dispose(),_(O)},O=>{W.dispose(),T(O)})});return new class{cancel(){W.cancel()}then(_,T){return P.then(_,T)}catch(_){return this.then(void 0,_)}finally(_){return P.finally(_)}}}e.createCancelablePromise=y;function i(U,W,D){return Promise.race([U,new Promise(P=>W.onCancellationRequested(()=>P(D)))])}e.raceCancellation=i;async function k(U){let W=-1;const D=U.map((_,T)=>_.then(O=>(W=T,O))),P=await Promise.race(D);return U.forEach((_,T)=>{T!==W&&_.cancel()}),P}e.raceCancellablePromises=k;function f(U,W,D){let P;const _=setTimeout(()=>{P==null||P(void 0),D==null||D()},W);return Promise.race([U.finally(()=>clearTimeout(_)),new Promise(T=>P=T)])}e.raceTimeout=f;function b(U){return new Promise((W,D)=>{const P=U();n(P)?P.then(W,D):W(P)})}e.asPromise=b;class g{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(W){if(this.activePromise){if(this.queuedPromiseFactory=W,!this.queuedPromise){const D=()=>{this.queuedPromise=null;const P=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,P};this.queuedPromise=new Promise(P=>{this.activePromise.then(D,D).then(P)})}return new Promise((D,P)=>{this.queuedPromise.then(D,P)})}return this.activePromise=W(),new Promise((D,P)=>{this.activePromise.then(_=>{this.activePromise=null,D(_)},_=>{this.activePromise=null,P(_)})})}}e.Throttler=g;class h{constructor(){this.current=Promise.resolve(null)}queue(W){return this.current=this.current.then(()=>W(),()=>W())}}e.Sequencer=h;class w{constructor(){this.promiseMap=new Map}queue(W,D){var P;const T=((P=this.promiseMap.get(W))!==null&&P!==void 0?P:Promise.resolve()).catch(()=>{}).then(D).finally(()=>{this.promiseMap.get(W)===T&&this.promiseMap.delete(W)});return this.promiseMap.set(W,T),T}}e.SequencerByKey=w;class S{constructor(W){this.defaultDelay=W,this.timeout=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(W,D=this.defaultDelay){return this.task=W,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((P,_)=>{this.doResolve=P,this.doReject=_}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const P=this.task;return this.task=null,P()}})),this.timeout=setTimeout(()=>{this.timeout=null,this.doResolve&&this.doResolve(null)},D),this.completionPromise}isTriggered(){return this.timeout!==null}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject(R.canceled()),this.completionPromise=null)}cancelTimeout(){this.timeout!==null&&(clearTimeout(this.timeout),this.timeout=null)}dispose(){this.cancelTimeout()}}e.Delayer=S;class p{constructor(W){this.delayer=new S(W),this.throttler=new g}trigger(W,D){return this.delayer.trigger(()=>this.throttler.queue(W),D)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=p;class s{constructor(){this._isOpen=!1,this._promise=new Promise((W,D)=>{this._completePromise=W})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=s;class o extends s{constructor(W){super();this._timeout=setTimeout(()=>this.open(),W)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=o;function a(U,W){return W?new Promise((D,P)=>{const _=setTimeout(D,U);W.onCancellationRequested(()=>{clearTimeout(_),P(R.canceled())})}):y(D=>a(U,D))}e.timeout=a;function l(U,W=0){const D=setTimeout(U,W);return E.toDisposable(()=>clearTimeout(D))}e.disposableTimeout=l;function t(U){return U.then(void 0,W=>{})}e.ignoreErrors=t;function r(U){const W=[];let D=0;const P=U.length;function _(){return D<P?U[D++]():null}function T(O){O!=null&&W.push(O);const B=_();return B?B.then(T):Promise.resolve(W)}return Promise.resolve(null).then(T)}e.sequence=r;function c(U,W=P=>!!P,D=null){let P=0;const _=U.length,T=()=>{if(P>=_)return Promise.resolve(D);const O=U[P++];return Promise.resolve(O()).then(j=>W(j)?Promise.resolve(j):T())};return T()}e.first=c;function d(U,W=P=>!!P,D=null){if(U.length===0)return Promise.resolve(D);let P=U.length;const _=()=>{var T,O;P=-1;for(const B of U)(O=(T=B).cancel)===null||O===void 0||O.call(T)};return new Promise((T,O)=>{for(const B of U)B.then(j=>{--P>=0&&W(j)?(_(),T(j)):P===0&&T(D)}).catch(j=>{--P>=0&&(_(),O(j))})})}e.firstParallel=d;class u{constructor(W){this._size=0,this.maxDegreeOfParalellism=W,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new L.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(W){return this._size++,new Promise((D,P)=>{this.outstandingPromises.push({factory:W,c:D,e:P}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const W=this.outstandingPromises.shift();this.runningPromises++;const D=W.factory();D.then(W.c,W.e),D.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=u;class m extends u{constructor(){super(1)}}e.Queue=m;class I{constructor(){this.queues=new Map}queueFor(W){const D=W.toString();if(!this.queues.has(D)){const P=new m;P.onFinished(()=>{P.dispose(),this.queues.delete(D)}),this.queues.set(D,P)}return this.queues.get(D)}dispose(){this.queues.forEach(W=>W.dispose()),this.queues.clear()}}e.ResourceQueue=I;class A{constructor(W,D){this._token=-1,typeof W=="function"&&typeof D=="number"&&this.setIfNotSet(W,D)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(W,D){this.cancel(),this._token=setTimeout(()=>{this._token=-1,W()},D)}setIfNotSet(W,D){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,W()},D))}}e.TimeoutTimer=A;class F{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(W,D){this.cancel(),this._token=setInterval(()=>{W()},D)}}e.IntervalTimer=F;class N{constructor(W,D){this.timeoutToken=-1,this.runner=W,this.timeout=D,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(W=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,W)}get delay(){return this.timeout}set delay(W){this.timeout=W}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=N;class $ extends N{constructor(W,D){super(W,D);this.units=[]}work(W){this.units.push(W),this.isScheduled()||this.schedule()}doRun(){const W=this.units;this.units=[],this.runner&&this.runner(W)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=$,function(){if(typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"){const U=Object.freeze({didTimeout:!0,timeRemaining(){return 15}});e.runWhenIdle=W=>{const D=setTimeout(()=>W(U));let P=!1;return{dispose(){P||(P=!0,clearTimeout(D))}}}}else e.runWhenIdle=(U,W)=>{const D=requestIdleCallback(U,typeof W=="number"?{timeout:W}:void 0);let P=!1;return{dispose(){P||(P=!0,cancelIdleCallback(D))}}}}();class z{constructor(W){this._didRun=!1,this._executor=()=>{try{this._value=W()}catch(D){this._error=D}finally{this._didRun=!0}},this._handle=e.runWhenIdle(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}}e.IdleValue=z;async function x(U,W,D){let P;for(let _=0;_<D;_++)try{return await U()}catch(T){P=T,await a(W)}throw P}e.retry=x;class te{hasPending(W){return this._pending?typeof W=="number"?this._pending.taskId===W:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){var W;(W=this._pending)===null||W===void 0||W.cancel()}setPending(W,D,P){return this._pending={taskId:W,cancel:()=>P==null?void 0:P(),promise:D},D.then(()=>this.donePending(W),()=>this.donePending(W)),D}donePending(W){this._pending&&W===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const W=this._next;this._next=void 0,W.run().then(W.promiseResolve,W.promiseReject)}}setNext(W){if(this._next)this._next.run=W;else{let D,P;const _=new Promise((T,O)=>{D=T,P=O});this._next={run:W,promise:_,promiseResolve:D,promiseReject:P}}return this._next.promise}}e.TaskSequentializer=te;class Z{constructor(W){this.interval=W,this.lastIncrementTime=0,this.value=0}increment(){const W=Date.now();return W-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=W,this.value=0),this.value++,this.value}}e.IntervalCounter=Z;class C{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((W,D)=>{this.completeCallback=W,this.errorCallback=D})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(W){return new Promise(D=>{this.completeCallback(W),this.resolved=!0,D()})}error(W){return new Promise(D=>{this.errorCallback(W),this.rejected=!0,D()})}cancel(){new Promise(W=>{this.errorCallback(R.canceled()),this.rejected=!0,W()})}}e.DeferredPromise=C;class X extends L.Emitter{async fireAsync(W,D,P){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new M.LinkedList);for(const _ of this._listeners)this._asyncDeliveryQueue.push([_,W]);for(;this._asyncDeliveryQueue.size>0&&!D.isCancellationRequested;){const[_,T]=this._asyncDeliveryQueue.shift(),O=[],B=Object.assign(Object.assign({},T),{waitUntil:j=>{if(Object.isFrozen(O))throw new Error("waitUntil can NOT be called asynchronous");P&&(j=P(j,typeof _=="function"?_:_[0])),O.push(j)}});try{typeof _=="function"?_.call(void 0,B):_[0].call(_[1],B)}catch(j){R.onUnexpectedError(j);continue}Object.freeze(O),await G.settled(O).catch(j=>R.onUnexpectedError(j))}}}}e.AsyncEmitter=X;var G;(function(U){async function W(T){return typeof Promise.allSettled=="function"?D(T):P(T)}U.allSettled=W;async function D(T){return Promise.allSettled(T)}async function P(T){return Promise.all(T.map(O=>O.then(B=>({status:"fulfilled",value:B}),B=>({status:"rejected",reason:B}))))}async function _(T){let O;const B=await Promise.all(T.map(j=>j.then(V=>V,V=>{O||(O=V)})));if(typeof O!="undefined")throw O;return B}U.settled=_})(G=e.Promises||(e.Promises={}))}),define(Y[104],J([0,1,3]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.registerCodicon=e.iconRegistry=void 0;class R{constructor(){this._icons=new Map,this._onDidRegister=new v.Emitter}add(k){const f=this._icons.get(k.id);f?k.description?f.description=k.description:console.error(`Duplicate registration of codicon ${k.id}`):(this._icons.set(k.id,k),this._onDidRegister.fire(k))}get(k){return this._icons.get(k)}get all(){return this._icons.values()}get onDidRegister(){return this._onDidRegister.event}}const L=new R;e.iconRegistry=L;function E(i,k){return new M(i,k)}e.registerCodicon=E;class M{constructor(k,f,b){this.id=k,this.definition=f,this.description=b,L.add(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}}e.Codicon=M;function n(i,k){const f=["codicon","codicon-"+i];return k&&f.push("codicon-modifier-"+k),f}e.getClassNamesArray=n;var y;(function(i){i.iconNameSegment="[A-Za-z0-9]+",i.iconNameExpression="[A-Za-z0-9\\-]+",i.iconModifierExpression="~[A-Za-z]+";const k=new RegExp(`^(${i.iconNameExpression})(${i.iconModifierExpression})?$`);function f(h){if(h instanceof M)return["codicon","codicon-"+h.id];const w=k.exec(h.id);if(!w)return f(M.error);let[,S,p]=w;const s=["codicon","codicon-"+S];return p&&s.push("codicon-modifier-"+p.substr(1)),s}i.asClassNameArray=f;function b(h){return f(h).join(" ")}i.asClassName=b;function g(h){return"."+f(h).join(".")}i.asCSSSelector=g})(y=e.CSSIcon||(e.CSSIcon={})),function(i){i.add=new i("add",{fontCharacter:"\\ea60"}),i.plus=new i("plus",{fontCharacter:"\\ea60"}),i.gistNew=new i("gist-new",{fontCharacter:"\\ea60"}),i.repoCreate=new i("repo-create",{fontCharacter:"\\ea60"}),i.lightbulb=new i("lightbulb",{fontCharacter:"\\ea61"}),i.lightBulb=new i("light-bulb",{fontCharacter:"\\ea61"}),i.repo=new i("repo",{fontCharacter:"\\ea62"}),i.repoDelete=new i("repo-delete",{fontCharacter:"\\ea62"}),i.gistFork=new i("gist-fork",{fontCharacter:"\\ea63"}),i.repoForked=new i("repo-forked",{fontCharacter:"\\ea63"}),i.gitPullRequest=new i("git-pull-request",{fontCharacter:"\\ea64"}),i.gitPullRequestAbandoned=new i("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),i.recordKeys=new i("record-keys",{fontCharacter:"\\ea65"}),i.keyboard=new i("keyboard",{fontCharacter:"\\ea65"}),i.tag=new i("tag",{fontCharacter:"\\ea66"}),i.tagAdd=new i("tag-add",{fontCharacter:"\\ea66"}),i.tagRemove=new i("tag-remove",{fontCharacter:"\\ea66"}),i.person=new i("person",{fontCharacter:"\\ea67"}),i.personAdd=new i("person-add",{fontCharacter:"\\ea67"}),i.personFollow=new i("person-follow",{fontCharacter:"\\ea67"}),i.personOutline=new i("person-outline",{fontCharacter:"\\ea67"}),i.personFilled=new i("person-filled",{fontCharacter:"\\ea67"}),i.gitBranch=new i("git-branch",{fontCharacter:"\\ea68"}),i.gitBranchCreate=new i("git-branch-create",{fontCharacter:"\\ea68"}),i.gitBranchDelete=new i("git-branch-delete",{fontCharacter:"\\ea68"}),i.sourceControl=new i("source-control",{fontCharacter:"\\ea68"}),i.mirror=new i("mirror",{fontCharacter:"\\ea69"}),i.mirrorPublic=new i("mirror-public",{fontCharacter:"\\ea69"}),i.star=new i("star",{fontCharacter:"\\ea6a"}),i.starAdd=new i("star-add",{fontCharacter:"\\ea6a"}),i.starDelete=new i("star-delete",{fontCharacter:"\\ea6a"}),i.starEmpty=new i("star-empty",{fontCharacter:"\\ea6a"}),i.comment=new i("comment",{fontCharacter:"\\ea6b"}),i.commentAdd=new i("comment-add",{fontCharacter:"\\ea6b"}),i.alert=new i("alert",{fontCharacter:"\\ea6c"}),i.warning=new i("warning",{fontCharacter:"\\ea6c"}),i.search=new i("search",{fontCharacter:"\\ea6d"}),i.searchSave=new i("search-save",{fontCharacter:"\\ea6d"}),i.logOut=new i("log-out",{fontCharacter:"\\ea6e"}),i.signOut=new i("sign-out",{fontCharacter:"\\ea6e"}),i.logIn=new i("log-in",{fontCharacter:"\\ea6f"}),i.signIn=new i("sign-in",{fontCharacter:"\\ea6f"}),i.eye=new i("eye",{fontCharacter:"\\ea70"}),i.eyeUnwatch=new i("eye-unwatch",{fontCharacter:"\\ea70"}),i.eyeWatch=new i("eye-watch",{fontCharacter:"\\ea70"}),i.circleFilled=new i("circle-filled",{fontCharacter:"\\ea71"}),i.primitiveDot=new i("primitive-dot",{fontCharacter:"\\ea71"}),i.closeDirty=new i("close-dirty",{fontCharacter:"\\ea71"}),i.debugBreakpoint=new i("debug-breakpoint",{fontCharacter:"\\ea71"}),i.debugBreakpointDisabled=new i("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),i.debugHint=new i("debug-hint",{fontCharacter:"\\ea71"}),i.primitiveSquare=new i("primitive-square",{fontCharacter:"\\ea72"}),i.edit=new i("edit",{fontCharacter:"\\ea73"}),i.pencil=new i("pencil",{fontCharacter:"\\ea73"}),i.info=new i("info",{fontCharacter:"\\ea74"}),i.issueOpened=new i("issue-opened",{fontCharacter:"\\ea74"}),i.gistPrivate=new i("gist-private",{fontCharacter:"\\ea75"}),i.gitForkPrivate=new i("git-fork-private",{fontCharacter:"\\ea75"}),i.lock=new i("lock",{fontCharacter:"\\ea75"}),i.mirrorPrivate=new i("mirror-private",{fontCharacter:"\\ea75"}),i.close=new i("close",{fontCharacter:"\\ea76"}),i.removeClose=new i("remove-close",{fontCharacter:"\\ea76"}),i.x=new i("x",{fontCharacter:"\\ea76"}),i.repoSync=new i("repo-sync",{fontCharacter:"\\ea77"}),i.sync=new i("sync",{fontCharacter:"\\ea77"}),i.clone=new i("clone",{fontCharacter:"\\ea78"}),i.desktopDownload=new i("desktop-download",{fontCharacter:"\\ea78"}),i.beaker=new i("beaker",{fontCharacter:"\\ea79"}),i.microscope=new i("microscope",{fontCharacter:"\\ea79"}),i.vm=new i("vm",{fontCharacter:"\\ea7a"}),i.deviceDesktop=new i("device-desktop",{fontCharacter:"\\ea7a"}),i.file=new i("file",{fontCharacter:"\\ea7b"}),i.fileText=new i("file-text",{fontCharacter:"\\ea7b"}),i.more=new i("more",{fontCharacter:"\\ea7c"}),i.ellipsis=new i("ellipsis",{fontCharacter:"\\ea7c"}),i.kebabHorizontal=new i("kebab-horizontal",{fontCharacter:"\\ea7c"}),i.mailReply=new i("mail-reply",{fontCharacter:"\\ea7d"}),i.reply=new i("reply",{fontCharacter:"\\ea7d"}),i.organization=new i("organization",{fontCharacter:"\\ea7e"}),i.organizationFilled=new i("organization-filled",{fontCharacter:"\\ea7e"}),i.organizationOutline=new i("organization-outline",{fontCharacter:"\\ea7e"}),i.newFile=new i("new-file",{fontCharacter:"\\ea7f"}),i.fileAdd=new i("file-add",{fontCharacter:"\\ea7f"}),i.newFolder=new i("new-folder",{fontCharacter:"\\ea80"}),i.fileDirectoryCreate=new i("file-directory-create",{fontCharacter:"\\ea80"}),i.trash=new i("trash",{fontCharacter:"\\ea81"}),i.trashcan=new i("trashcan",{fontCharacter:"\\ea81"}),i.history=new i("history",{fontCharacter:"\\ea82"}),i.clock=new i("clock",{fontCharacter:"\\ea82"}),i.folder=new i("folder",{fontCharacter:"\\ea83"}),i.fileDirectory=new i("file-directory",{fontCharacter:"\\ea83"}),i.symbolFolder=new i("symbol-folder",{fontCharacter:"\\ea83"}),i.logoGithub=new i("logo-github",{fontCharacter:"\\ea84"}),i.markGithub=new i("mark-github",{fontCharacter:"\\ea84"}),i.github=new i("github",{fontCharacter:"\\ea84"}),i.terminal=new i("terminal",{fontCharacter:"\\ea85"}),i.console=new i("console",{fontCharacter:"\\ea85"}),i.repl=new i("repl",{fontCharacter:"\\ea85"}),i.zap=new i("zap",{fontCharacter:"\\ea86"}),i.symbolEvent=new i("symbol-event",{fontCharacter:"\\ea86"}),i.error=new i("error",{fontCharacter:"\\ea87"}),i.stop=new i("stop",{fontCharacter:"\\ea87"}),i.variable=new i("variable",{fontCharacter:"\\ea88"}),i.symbolVariable=new i("symbol-variable",{fontCharacter:"\\ea88"}),i.array=new i("array",{fontCharacter:"\\ea8a"}),i.symbolArray=new i("symbol-array",{fontCharacter:"\\ea8a"}),i.symbolModule=new i("symbol-module",{fontCharacter:"\\ea8b"}),i.symbolPackage=new i("symbol-package",{fontCharacter:"\\ea8b"}),i.symbolNamespace=new i("symbol-namespace",{fontCharacter:"\\ea8b"}),i.symbolObject=new i("symbol-object",{fontCharacter:"\\ea8b"}),i.symbolMethod=new i("symbol-method",{fontCharacter:"\\ea8c"}),i.symbolFunction=new i("symbol-function",{fontCharacter:"\\ea8c"}),i.symbolConstructor=new i("symbol-constructor",{fontCharacter:"\\ea8c"}),i.symbolBoolean=new i("symbol-boolean",{fontCharacter:"\\ea8f"}),i.symbolNull=new i("symbol-null",{fontCharacter:"\\ea8f"}),i.symbolNumeric=new i("symbol-numeric",{fontCharacter:"\\ea90"}),i.symbolNumber=new i("symbol-number",{fontCharacter:"\\ea90"}),i.symbolStructure=new i("symbol-structure",{fontCharacter:"\\ea91"}),i.symbolStruct=new i("symbol-struct",{fontCharacter:"\\ea91"}),i.symbolParameter=new i("symbol-parameter",{fontCharacter:"\\ea92"}),i.symbolTypeParameter=new i("symbol-type-parameter",{fontCharacter:"\\ea92"}),i.symbolKey=new i("symbol-key",{fontCharacter:"\\ea93"}),i.symbolText=new i("symbol-text",{fontCharacter:"\\ea93"}),i.symbolReference=new i("symbol-reference",{fontCharacter:"\\ea94"}),i.goToFile=new i("go-to-file",{fontCharacter:"\\ea94"}),i.symbolEnum=new i("symbol-enum",{fontCharacter:"\\ea95"}),i.symbolValue=new i("symbol-value",{fontCharacter:"\\ea95"}),i.symbolRuler=new i("symbol-ruler",{fontCharacter:"\\ea96"}),i.symbolUnit=new i("symbol-unit",{fontCharacter:"\\ea96"}),i.activateBreakpoints=new i("activate-breakpoints",{fontCharacter:"\\ea97"}),i.archive=new i("archive",{fontCharacter:"\\ea98"}),i.arrowBoth=new i("arrow-both",{fontCharacter:"\\ea99"}),i.arrowDown=new i("arrow-down",{fontCharacter:"\\ea9a"}),i.arrowLeft=new i("arrow-left",{fontCharacter:"\\ea9b"}),i.arrowRight=new i("arrow-right",{fontCharacter:"\\ea9c"}),i.arrowSmallDown=new i("arrow-small-down",{fontCharacter:"\\ea9d"}),i.arrowSmallLeft=new i("arrow-small-left",{fontCharacter:"\\ea9e"}),i.arrowSmallRight=new i("arrow-small-right",{fontCharacter:"\\ea9f"}),i.arrowSmallUp=new i("arrow-small-up",{fontCharacter:"\\eaa0"}),i.arrowUp=new i("arrow-up",{fontCharacter:"\\eaa1"}),i.bell=new i("bell",{fontCharacter:"\\eaa2"}),i.bold=new i("bold",{fontCharacter:"\\eaa3"}),i.book=new i("book",{fontCharacter:"\\eaa4"}),i.bookmark=new i("bookmark",{fontCharacter:"\\eaa5"}),i.debugBreakpointConditionalUnverified=new i("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),i.debugBreakpointConditional=new i("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),i.debugBreakpointConditionalDisabled=new i("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),i.debugBreakpointDataUnverified=new i("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),i.debugBreakpointData=new i("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),i.debugBreakpointDataDisabled=new i("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),i.debugBreakpointLogUnverified=new i("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),i.debugBreakpointLog=new i("debug-breakpoint-log",{fontCharacter:"\\eaab"}),i.debugBreakpointLogDisabled=new i("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),i.briefcase=new i("briefcase",{fontCharacter:"\\eaac"}),i.broadcast=new i("broadcast",{fontCharacter:"\\eaad"}),i.browser=new i("browser",{fontCharacter:"\\eaae"}),i.bug=new i("bug",{fontCharacter:"\\eaaf"}),i.calendar=new i("calendar",{fontCharacter:"\\eab0"}),i.caseSensitive=new i("case-sensitive",{fontCharacter:"\\eab1"}),i.check=new i("check",{fontCharacter:"\\eab2"}),i.checklist=new i("checklist",{fontCharacter:"\\eab3"}),i.chevronDown=new i("chevron-down",{fontCharacter:"\\eab4"}),i.chevronLeft=new i("chevron-left",{fontCharacter:"\\eab5"}),i.chevronRight=new i("chevron-right",{fontCharacter:"\\eab6"}),i.chevronUp=new i("chevron-up",{fontCharacter:"\\eab7"}),i.chromeClose=new i("chrome-close",{fontCharacter:"\\eab8"}),i.chromeMaximize=new i("chrome-maximize",{fontCharacter:"\\eab9"}),i.chromeMinimize=new i("chrome-minimize",{fontCharacter:"\\eaba"}),i.chromeRestore=new i("chrome-restore",{fontCharacter:"\\eabb"}),i.circleOutline=new i("circle-outline",{fontCharacter:"\\eabc"}),i.debugBreakpointUnverified=new i("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),i.circleSlash=new i("circle-slash",{fontCharacter:"\\eabd"}),i.circuitBoard=new i("circuit-board",{fontCharacter:"\\eabe"}),i.clearAll=new i("clear-all",{fontCharacter:"\\eabf"}),i.clippy=new i("clippy",{fontCharacter:"\\eac0"}),i.closeAll=new i("close-all",{fontCharacter:"\\eac1"}),i.cloudDownload=new i("cloud-download",{fontCharacter:"\\eac2"}),i.cloudUpload=new i("cloud-upload",{fontCharacter:"\\eac3"}),i.code=new i("code",{fontCharacter:"\\eac4"}),i.collapseAll=new i("collapse-all",{fontCharacter:"\\eac5"}),i.colorMode=new i("color-mode",{fontCharacter:"\\eac6"}),i.commentDiscussion=new i("comment-discussion",{fontCharacter:"\\eac7"}),i.compareChanges=new i("compare-changes",{fontCharacter:"\\eafd"}),i.creditCard=new i("credit-card",{fontCharacter:"\\eac9"}),i.dash=new i("dash",{fontCharacter:"\\eacc"}),i.dashboard=new i("dashboard",{fontCharacter:"\\eacd"}),i.database=new i("database",{fontCharacter:"\\eace"}),i.debugContinue=new i("debug-continue",{fontCharacter:"\\eacf"}),i.debugDisconnect=new i("debug-disconnect",{fontCharacter:"\\ead0"}),i.debugPause=new i("debug-pause",{fontCharacter:"\\ead1"}),i.debugRestart=new i("debug-restart",{fontCharacter:"\\ead2"}),i.debugStart=new i("debug-start",{fontCharacter:"\\ead3"}),i.debugStepInto=new i("debug-step-into",{fontCharacter:"\\ead4"}),i.debugStepOut=new i("debug-step-out",{fontCharacter:"\\ead5"}),i.debugStepOver=new i("debug-step-over",{fontCharacter:"\\ead6"}),i.debugStop=new i("debug-stop",{fontCharacter:"\\ead7"}),i.debug=new i("debug",{fontCharacter:"\\ead8"}),i.deviceCameraVideo=new i("device-camera-video",{fontCharacter:"\\ead9"}),i.deviceCamera=new i("device-camera",{fontCharacter:"\\eada"}),i.deviceMobile=new i("device-mobile",{fontCharacter:"\\eadb"}),i.diffAdded=new i("diff-added",{fontCharacter:"\\eadc"}),i.diffIgnored=new i("diff-ignored",{fontCharacter:"\\eadd"}),i.diffModified=new i("diff-modified",{fontCharacter:"\\eade"}),i.diffRemoved=new i("diff-removed",{fontCharacter:"\\eadf"}),i.diffRenamed=new i("diff-renamed",{fontCharacter:"\\eae0"}),i.diff=new i("diff",{fontCharacter:"\\eae1"}),i.discard=new i("discard",{fontCharacter:"\\eae2"}),i.editorLayout=new i("editor-layout",{fontCharacter:"\\eae3"}),i.emptyWindow=new i("empty-window",{fontCharacter:"\\eae4"}),i.exclude=new i("exclude",{fontCharacter:"\\eae5"}),i.extensions=new i("extensions",{fontCharacter:"\\eae6"}),i.eyeClosed=new i("eye-closed",{fontCharacter:"\\eae7"}),i.fileBinary=new i("file-binary",{fontCharacter:"\\eae8"}),i.fileCode=new i("file-code",{fontCharacter:"\\eae9"}),i.fileMedia=new i("file-media",{fontCharacter:"\\eaea"}),i.filePdf=new i("file-pdf",{fontCharacter:"\\eaeb"}),i.fileSubmodule=new i("file-submodule",{fontCharacter:"\\eaec"}),i.fileSymlinkDirectory=new i("file-symlink-directory",{fontCharacter:"\\eaed"}),i.fileSymlinkFile=new i("file-symlink-file",{fontCharacter:"\\eaee"}),i.fileZip=new i("file-zip",{fontCharacter:"\\eaef"}),i.files=new i("files",{fontCharacter:"\\eaf0"}),i.filter=new i("filter",{fontCharacter:"\\eaf1"}),i.flame=new i("flame",{fontCharacter:"\\eaf2"}),i.foldDown=new i("fold-down",{fontCharacter:"\\eaf3"}),i.foldUp=new i("fold-up",{fontCharacter:"\\eaf4"}),i.fold=new i("fold",{fontCharacter:"\\eaf5"}),i.folderActive=new i("folder-active",{fontCharacter:"\\eaf6"}),i.folderOpened=new i("folder-opened",{fontCharacter:"\\eaf7"}),i.gear=new i("gear",{fontCharacter:"\\eaf8"}),i.gift=new i("gift",{fontCharacter:"\\eaf9"}),i.gistSecret=new i("gist-secret",{fontCharacter:"\\eafa"}),i.gist=new i("gist",{fontCharacter:"\\eafb"}),i.gitCommit=new i("git-commit",{fontCharacter:"\\eafc"}),i.gitCompare=new i("git-compare",{fontCharacter:"\\eafd"}),i.gitMerge=new i("git-merge",{fontCharacter:"\\eafe"}),i.githubAction=new i("github-action",{fontCharacter:"\\eaff"}),i.githubAlt=new i("github-alt",{fontCharacter:"\\eb00"}),i.globe=new i("globe",{fontCharacter:"\\eb01"}),i.grabber=new i("grabber",{fontCharacter:"\\eb02"}),i.graph=new i("graph",{fontCharacter:"\\eb03"}),i.gripper=new i("gripper",{fontCharacter:"\\eb04"}),i.heart=new i("heart",{fontCharacter:"\\eb05"}),i.home=new i("home",{fontCharacter:"\\eb06"}),i.horizontalRule=new i("horizontal-rule",{fontCharacter:"\\eb07"}),i.hubot=new i("hubot",{fontCharacter:"\\eb08"}),i.inbox=new i("inbox",{fontCharacter:"\\eb09"}),i.issueClosed=new i("issue-closed",{fontCharacter:"\\eb0a"}),i.issueReopened=new i("issue-reopened",{fontCharacter:"\\eb0b"}),i.issues=new i("issues",{fontCharacter:"\\eb0c"}),i.italic=new i("italic",{fontCharacter:"\\eb0d"}),i.jersey=new i("jersey",{fontCharacter:"\\eb0e"}),i.json=new i("json",{fontCharacter:"\\eb0f"}),i.kebabVertical=new i("kebab-vertical",{fontCharacter:"\\eb10"}),i.key=new i("key",{fontCharacter:"\\eb11"}),i.law=new i("law",{fontCharacter:"\\eb12"}),i.lightbulbAutofix=new i("lightbulb-autofix",{fontCharacter:"\\eb13"}),i.linkExternal=new i("link-external",{fontCharacter:"\\eb14"}),i.link=new i("link",{fontCharacter:"\\eb15"}),i.listOrdered=new i("list-ordered",{fontCharacter:"\\eb16"}),i.listUnordered=new i("list-unordered",{fontCharacter:"\\eb17"}),i.liveShare=new i("live-share",{fontCharacter:"\\eb18"}),i.loading=new i("loading",{fontCharacter:"\\eb19"}),i.location=new i("location",{fontCharacter:"\\eb1a"}),i.mailRead=new i("mail-read",{fontCharacter:"\\eb1b"}),i.mail=new i("mail",{fontCharacter:"\\eb1c"}),i.markdown=new i("markdown",{fontCharacter:"\\eb1d"}),i.megaphone=new i("megaphone",{fontCharacter:"\\eb1e"}),i.mention=new i("mention",{fontCharacter:"\\eb1f"}),i.milestone=new i("milestone",{fontCharacter:"\\eb20"}),i.mortarBoard=new i("mortar-board",{fontCharacter:"\\eb21"}),i.move=new i("move",{fontCharacter:"\\eb22"}),i.multipleWindows=new i("multiple-windows",{fontCharacter:"\\eb23"}),i.mute=new i("mute",{fontCharacter:"\\eb24"}),i.noNewline=new i("no-newline",{fontCharacter:"\\eb25"}),i.note=new i("note",{fontCharacter:"\\eb26"}),i.octoface=new i("octoface",{fontCharacter:"\\eb27"}),i.openPreview=new i("open-preview",{fontCharacter:"\\eb28"}),i.package_=new i("package",{fontCharacter:"\\eb29"}),i.paintcan=new i("paintcan",{fontCharacter:"\\eb2a"}),i.pin=new i("pin",{fontCharacter:"\\eb2b"}),i.play=new i("play",{fontCharacter:"\\eb2c"}),i.run=new i("run",{fontCharacter:"\\eb2c"}),i.plug=new i("plug",{fontCharacter:"\\eb2d"}),i.preserveCase=new i("preserve-case",{fontCharacter:"\\eb2e"}),i.preview=new i("preview",{fontCharacter:"\\eb2f"}),i.project=new i("project",{fontCharacter:"\\eb30"}),i.pulse=new i("pulse",{fontCharacter:"\\eb31"}),i.question=new i("question",{fontCharacter:"\\eb32"}),i.quote=new i("quote",{fontCharacter:"\\eb33"}),i.radioTower=new i("radio-tower",{fontCharacter:"\\eb34"}),i.reactions=new i("reactions",{fontCharacter:"\\eb35"}),i.references=new i("references",{fontCharacter:"\\eb36"}),i.refresh=new i("refresh",{fontCharacter:"\\eb37"}),i.regex=new i("regex",{fontCharacter:"\\eb38"}),i.remoteExplorer=new i("remote-explorer",{fontCharacter:"\\eb39"}),i.remote=new i("remote",{fontCharacter:"\\eb3a"}),i.remove=new i("remove",{fontCharacter:"\\eb3b"}),i.replaceAll=new i("replace-all",{fontCharacter:"\\eb3c"}),i.replace=new i("replace",{fontCharacter:"\\eb3d"}),i.repoClone=new i("repo-clone",{fontCharacter:"\\eb3e"}),i.repoForcePush=new i("repo-force-push",{fontCharacter:"\\eb3f"}),i.repoPull=new i("repo-pull",{fontCharacter:"\\eb40"}),i.repoPush=new i("repo-push",{fontCharacter:"\\eb41"}),i.report=new i("report",{fontCharacter:"\\eb42"}),i.requestChanges=new i("request-changes",{fontCharacter:"\\eb43"}),i.rocket=new i("rocket",{fontCharacter:"\\eb44"}),i.rootFolderOpened=new i("root-folder-opened",{fontCharacter:"\\eb45"}),i.rootFolder=new i("root-folder",{fontCharacter:"\\eb46"}),i.rss=new i("rss",{fontCharacter:"\\eb47"}),i.ruby=new i("ruby",{fontCharacter:"\\eb48"}),i.saveAll=new i("save-all",{fontCharacter:"\\eb49"}),i.saveAs=new i("save-as",{fontCharacter:"\\eb4a"}),i.save=new i("save",{fontCharacter:"\\eb4b"}),i.screenFull=new i("screen-full",{fontCharacter:"\\eb4c"}),i.screenNormal=new i("screen-normal",{fontCharacter:"\\eb4d"}),i.searchStop=new i("search-stop",{fontCharacter:"\\eb4e"}),i.server=new i("server",{fontCharacter:"\\eb50"}),i.settingsGear=new i("settings-gear",{fontCharacter:"\\eb51"}),i.settings=new i("settings",{fontCharacter:"\\eb52"}),i.shield=new i("shield",{fontCharacter:"\\eb53"}),i.smiley=new i("smiley",{fontCharacter:"\\eb54"}),i.sortPrecedence=new i("sort-precedence",{fontCharacter:"\\eb55"}),i.splitHorizontal=new i("split-horizontal",{fontCharacter:"\\eb56"}),i.splitVertical=new i("split-vertical",{fontCharacter:"\\eb57"}),i.squirrel=new i("squirrel",{fontCharacter:"\\eb58"}),i.starFull=new i("star-full",{fontCharacter:"\\eb59"}),i.starHalf=new i("star-half",{fontCharacter:"\\eb5a"}),i.symbolClass=new i("symbol-class",{fontCharacter:"\\eb5b"}),i.symbolColor=new i("symbol-color",{fontCharacter:"\\eb5c"}),i.symbolConstant=new i("symbol-constant",{fontCharacter:"\\eb5d"}),i.symbolEnumMember=new i("symbol-enum-member",{fontCharacter:"\\eb5e"}),i.symbolField=new i("symbol-field",{fontCharacter:"\\eb5f"}),i.symbolFile=new i("symbol-file",{fontCharacter:"\\eb60"}),i.symbolInterface=new i("symbol-interface",{fontCharacter:"\\eb61"}),i.symbolKeyword=new i("symbol-keyword",{fontCharacter:"\\eb62"}),i.symbolMisc=new i("symbol-misc",{fontCharacter:"\\eb63"}),i.symbolOperator=new i("symbol-operator",{fontCharacter:"\\eb64"}),i.symbolProperty=new i("symbol-property",{fontCharacter:"\\eb65"}),i.wrench=new i("wrench",{fontCharacter:"\\eb65"}),i.wrenchSubaction=new i("wrench-subaction",{fontCharacter:"\\eb65"}),i.symbolSnippet=new i("symbol-snippet",{fontCharacter:"\\eb66"}),i.tasklist=new i("tasklist",{fontCharacter:"\\eb67"}),i.telescope=new i("telescope",{fontCharacter:"\\eb68"}),i.textSize=new i("text-size",{fontCharacter:"\\eb69"}),i.threeBars=new i("three-bars",{fontCharacter:"\\eb6a"}),i.thumbsdown=new i("thumbsdown",{fontCharacter:"\\eb6b"}),i.thumbsup=new i("thumbsup",{fontCharacter:"\\eb6c"}),i.tools=new i("tools",{fontCharacter:"\\eb6d"}),i.triangleDown=new i("triangle-down",{fontCharacter:"\\eb6e"}),i.triangleLeft=new i("triangle-left",{fontCharacter:"\\eb6f"}),i.triangleRight=new i("triangle-right",{fontCharacter:"\\eb70"}),i.triangleUp=new i("triangle-up",{fontCharacter:"\\eb71"}),i.twitter=new i("twitter",{fontCharacter:"\\eb72"}),i.unfold=new i("unfold",{fontCharacter:"\\eb73"}),i.unlock=new i("unlock",{fontCharacter:"\\eb74"}),i.unmute=new i("unmute",{fontCharacter:"\\eb75"}),i.unverified=new i("unverified",{fontCharacter:"\\eb76"}),i.verified=new i("verified",{fontCharacter:"\\eb77"}),i.versions=new i("versions",{fontCharacter:"\\eb78"}),i.vmActive=new i("vm-active",{fontCharacter:"\\eb79"}),i.vmOutline=new i("vm-outline",{fontCharacter:"\\eb7a"}),i.vmRunning=new i("vm-running",{fontCharacter:"\\eb7b"}),i.watch=new i("watch",{fontCharacter:"\\eb7c"}),i.whitespace=new i("whitespace",{fontCharacter:"\\eb7d"}),i.wholeWord=new i("whole-word",{fontCharacter:"\\eb7e"}),i.window=new i("window",{fontCharacter:"\\eb7f"}),i.wordWrap=new i("word-wrap",{fontCharacter:"\\eb80"}),i.zoomIn=new i("zoom-in",{fontCharacter:"\\eb81"}),i.zoomOut=new i("zoom-out",{fontCharacter:"\\eb82"}),i.listFilter=new i("list-filter",{fontCharacter:"\\eb83"}),i.listFlat=new i("list-flat",{fontCharacter:"\\eb84"}),i.listSelection=new i("list-selection",{fontCharacter:"\\eb85"}),i.selection=new i("selection",{fontCharacter:"\\eb85"}),i.listTree=new i("list-tree",{fontCharacter:"\\eb86"}),i.debugBreakpointFunctionUnverified=new i("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),i.debugBreakpointFunction=new i("debug-breakpoint-function",{fontCharacter:"\\eb88"}),i.debugBreakpointFunctionDisabled=new i("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),i.debugStackframeActive=new i("debug-stackframe-active",{fontCharacter:"\\eb89"}),i.debugStackframeDot=new i("debug-stackframe-dot",{fontCharacter:"\\eb8a"}),i.debugStackframe=new i("debug-stackframe",{fontCharacter:"\\eb8b"}),i.debugStackframeFocused=new i("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),i.debugBreakpointUnsupported=new i("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),i.symbolString=new i("symbol-string",{fontCharacter:"\\eb8d"}),i.debugReverseContinue=new i("debug-reverse-continue",{fontCharacter:"\\eb8e"}),i.debugStepBack=new i("debug-step-back",{fontCharacter:"\\eb8f"}),i.debugRestartFrame=new i("debug-restart-frame",{fontCharacter:"\\eb90"}),i.callIncoming=new i("call-incoming",{fontCharacter:"\\eb92"}),i.callOutgoing=new i("call-outgoing",{fontCharacter:"\\eb93"}),i.menu=new i("menu",{fontCharacter:"\\eb94"}),i.expandAll=new i("expand-all",{fontCharacter:"\\eb95"}),i.feedback=new i("feedback",{fontCharacter:"\\eb96"}),i.groupByRefType=new i("group-by-ref-type",{fontCharacter:"\\eb97"}),i.ungroupByRefType=new i("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),i.account=new i("account",{fontCharacter:"\\eb99"}),i.bellDot=new i("bell-dot",{fontCharacter:"\\eb9a"}),i.debugConsole=new i("debug-console",{fontCharacter:"\\eb9b"}),i.library=new i("library",{fontCharacter:"\\eb9c"}),i.output=new i("output",{fontCharacter:"\\eb9d"}),i.runAll=new i("run-all",{fontCharacter:"\\eb9e"}),i.syncIgnored=new i("sync-ignored",{fontCharacter:"\\eb9f"}),i.pinned=new i("pinned",{fontCharacter:"\\eba0"}),i.githubInverted=new i("github-inverted",{fontCharacter:"\\eba1"}),i.debugAlt=new i("debug-alt",{fontCharacter:"\\eb91"}),i.serverProcess=new i("server-process",{fontCharacter:"\\eba2"}),i.serverEnvironment=new i("server-environment",{fontCharacter:"\\eba3"}),i.pass=new i("pass",{fontCharacter:"\\eba4"}),i.stopCircle=new i("stop-circle",{fontCharacter:"\\eba5"}),i.playCircle=new i("play-circle",{fontCharacter:"\\eba6"}),i.record=new i("record",{fontCharacter:"\\eba7"}),i.debugAltSmall=new i("debug-alt-small",{fontCharacter:"\\eba8"}),i.vmConnect=new i("vm-connect",{fontCharacter:"\\eba9"}),i.cloud=new i("cloud",{fontCharacter:"\\ebaa"}),i.merge=new i("merge",{fontCharacter:"\\ebab"}),i.exportIcon=new i("export",{fontCharacter:"\\ebac"}),i.graphLeft=new i("graph-left",{fontCharacter:"\\ebad"}),i.magnet=new i("magnet",{fontCharacter:"\\ebae"}),i.notebook=new i("notebook",{fontCharacter:"\\ebaf"}),i.redo=new i("redo",{fontCharacter:"\\ebb0"}),i.checkAll=new i("check-all",{fontCharacter:"\\ebb1"}),i.pinnedDirty=new i("pinned-dirty",{fontCharacter:"\\ebb2"}),i.passFilled=new i("pass-filled",{fontCharacter:"\\ebb3"}),i.circleLargeFilled=new i("circle-large-filled",{fontCharacter:"\\ebb4"}),i.circleLargeOutline=new i("circle-large-outline",{fontCharacter:"\\ebb5"}),i.combine=new i("combine",{fontCharacter:"\\ebb6"}),i.gather=new i("gather",{fontCharacter:"\\ebb6"}),i.table=new i("table",{fontCharacter:"\\ebb7"}),i.variableGroup=new i("variable-group",{fontCharacter:"\\ebb8"}),i.typeHierarchy=new i("type-hierarchy",{fontCharacter:"\\ebb9"}),i.typeHierarchySub=new i("type-hierarchy-sub",{fontCharacter:"\\ebba"}),i.typeHierarchySuper=new i("type-hierarchy-super",{fontCharacter:"\\ebbb"}),i.gitPullRequestCreate=new i("git-pull-request-create",{fontCharacter:"\\ebbc"}),i.runAbove=new i("run-above",{fontCharacter:"\\ebbd"}),i.runBelow=new i("run-below",{fontCharacter:"\\ebbe"}),i.notebookTemplate=new i("notebook-template",{fontCharacter:"\\ebbf"}),i.debugRerun=new i("debug-rerun",{fontCharacter:"\\ebc0"}),i.dropDownButton=new i("drop-down-button",i.chevronDown.definition)}(M=e.Codicon||(e.Codicon={}))}),define(Y[57],J([0,1,20,2]),function(H,e,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transform=e.toReadable=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function L(S){const p=S;return p&&[p.on,p.pause,p.resume,p.destroy].every(s=>typeof s=="function")}e.isReadableStream=L;function E(S){const p=S;return p&&L(p.stream)&&Array.isArray(p.buffer)&&typeof p.ended=="boolean"}e.isReadableBufferedStream=E;function M(S,p){return new n(S,p)}e.newWriteableStream=M;class n{constructor(p,s){this.reducer=p,this.options=s,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(p){var s;if(!this.state.destroyed){if(this.state.flowing)this.emitData(p);else if(this.buffer.data.push(p),typeof((s=this.options)===null||s===void 0?void 0:s.highWaterMark)=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(o=>this.pendingWritePromises.push(o))}}error(p){this.state.destroyed||(this.state.flowing?this.emitError(p):this.buffer.error.push(p))}end(p){this.state.destroyed||(p instanceof Error?this.error(p):typeof p!="undefined"&&this.write(p),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(p){this.listeners.data.slice(0).forEach(s=>s(p))}emitError(p){this.listeners.error.length===0?v.onUnexpectedError(p):this.listeners.error.slice(0).forEach(s=>s(p))}emitEnd(){this.listeners.end.slice(0).forEach(p=>p())}on(p,s){if(!this.state.destroyed)switch(p){case"data":this.listeners.data.push(s),this.resume();break;case"end":this.listeners.end.push(s),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(s),this.state.flowing&&this.flowErrors();break}}removeListener(p,s){if(!this.state.destroyed){let o;switch(p){case"data":o=this.listeners.data;break;case"end":o=this.listeners.end;break;case"error":o=this.listeners.error;break}if(o){const a=o.indexOf(s);a>=0&&o.splice(a,1)}}}flowData(){if(this.buffer.data.length>0){const p=this.reducer(this.buffer.data);this.emitData(p),this.buffer.data.length=0;const s=[...this.pendingWritePromises];this.pendingWritePromises.length=0,s.forEach(o=>o())}}flowErrors(){if(this.listeners.error.length>0){for(const p of this.buffer.error)this.emitError(p);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function y(S,p){const s=[];let o;for(;(o=S.read())!==null;)s.push(o);return p(s)}e.consumeReadable=y;function i(S,p,s){const o=[];let a;for(;(a=S.read())!==null&&o.length<s;)o.push(a);return a===null&&o.length>0?p(o):{read:()=>{if(o.length>0)return o.shift();if(typeof a!="undefined"){const l=a;return a=void 0,l}return S.read()}}}e.peekReadable=i;function k(S,p){return new Promise((s,o)=>{const a=[];f(S,{onData:l=>{p&&a.push(l)},onError:l=>{p?o(l):s(void 0)},onEnd:()=>{s(p?p(a):void 0)}})})}e.consumeStream=k;function f(S,p){S.on("error",s=>p.onError(s)),S.on("end",()=>p.onEnd()),S.on("data",s=>p.onData(s))}e.listenStream=f;function b(S,p){return new Promise((s,o)=>{const a=new R.DisposableStore,l=[],t=d=>{if(l.push(d),l.length>p)return a.dispose(),S.pause(),s({stream:S,buffer:l,ended:!1})},r=d=>o(d),c=()=>s({stream:S,buffer:l,ended:!0});a.add(R.toDisposable(()=>S.removeListener("error",r))),S.on("error",r),a.add(R.toDisposable(()=>S.removeListener("end",c))),S.on("end",c),a.add(R.toDisposable(()=>S.removeListener("data",t))),S.on("data",t)})}e.peekStream=b;function g(S,p){const s=M(p);return s.end(S),s}e.toStream=g;function h(S){let p=!1;return{read:()=>p?null:(p=!0,S)}}e.toReadable=h;function w(S,p,s){const o=M(s);return f(S,{onData:a=>o.write(p.data(a)),onError:a=>o.error(p.error?p.error(a):a),onEnd:()=>o.end()}),o}e.transform=w}),define(Y[21],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.GraphemeBreakType=e.breakBetweenGraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsEmoji=e.containsRTL=e.decodeUTF8=e.encodeUTF8=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format=e.isFalsyOrWhitespace=void 0;function v(q){return!q||typeof q!="string"?!0:q.trim().length===0}e.isFalsyOrWhitespace=v;const R=/{(\d+)}/g;function L(q,...ne){return ne.length===0?q:q.replace(R,function(oe,ae){const de=parseInt(ae,10);return isNaN(de)||de<0||de>=ne.length?oe:ne[de]})}e.format=L;function E(q){return q.replace(/[<>&]/g,function(ne){switch(ne){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return ne}})}e.escape=E;function M(q){return q.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=M;function n(q,ne){let oe=0;const ae=ne.charCodeAt(0);for(let de=q.length-1;de>=0;de--)q.charCodeAt(de)===ae&&oe++;return oe}e.count=n;function y(q,ne,oe="\u2026"){return q.length<=ne?q:`${q.substr(0,ne)}${oe}`}e.truncate=y;function i(q,ne=" "){const oe=k(q,ne);return f(oe,ne)}e.trim=i;function k(q,ne){if(!q||!ne)return q;const oe=ne.length;if(oe===0||q.length===0)return q;let ae=0;for(;q.indexOf(ne,ae)===ae;)ae=ae+oe;return q.substring(ae)}e.ltrim=k;function f(q,ne){if(!q||!ne)return q;const oe=ne.length,ae=q.length;if(oe===0||ae===0)return q;let de=ae,ve=-1;for(;ve=q.lastIndexOf(ne,de-1),!(ve===-1||ve+oe!==de);){if(ve===0)return"";de=ve}return q.substring(0,de)}e.rtrim=f;function b(q){return q.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=b;function g(q){return q.replace(/\*/g,"")}e.stripWildcards=g;function h(q,ne,oe={}){if(!q)throw new Error("Cannot create regex from empty string");ne||(q=M(q)),oe.wholeWord&&(/\B/.test(q.charAt(0))||(q="\\b"+q),/\B/.test(q.charAt(q.length-1))||(q=q+"\\b"));let ae="";return oe.global&&(ae+="g"),oe.matchCase||(ae+="i"),oe.multiline&&(ae+="m"),oe.unicode&&(ae+="u"),new RegExp(q,ae)}e.createRegExp=h;function w(q){return q.source==="^"||q.source==="^$"||q.source==="$"||q.source==="^\\s*$"?!1:!!(q.exec("")&&q.lastIndex===0)}e.regExpLeadsToEndlessLoop=w;function S(q){return!!q.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=S;function p(q){return(q.global?"g":"")+(q.ignoreCase?"i":"")+(q.multiline?"m":"")+(q.unicode?"u":"")}e.regExpFlags=p;function s(q){return q.split(/\r\n|\r|\n/)}e.splitLines=s;function o(q){for(let ne=0,oe=q.length;ne<oe;ne++){const ae=q.charCodeAt(ne);if(ae!==32&&ae!==9)return ne}return-1}e.firstNonWhitespaceIndex=o;function a(q,ne=0,oe=q.length){for(let ae=ne;ae<oe;ae++){const de=q.charCodeAt(ae);if(de!==32&&de!==9)return q.substring(ne,ae)}return q.substring(ne,oe)}e.getLeadingWhitespace=a;function l(q,ne=q.length-1){for(let oe=ne;oe>=0;oe--){const ae=q.charCodeAt(oe);if(ae!==32&&ae!==9)return oe}return-1}e.lastNonWhitespaceIndex=l;function t(q,ne){return q<ne?-1:q>ne?1:0}e.compare=t;function r(q,ne,oe=0,ae=q.length,de=0,ve=ne.length){for(;oe<ae&&de<ve;oe++,de++){let Te=q.charCodeAt(oe),Fe=ne.charCodeAt(de);if(Te<Fe)return-1;if(Te>Fe)return 1}const Se=ae-oe,Le=ve-de;return Se<Le?-1:Se>Le?1:0}e.compareSubstring=r;function c(q,ne){return d(q,ne,0,q.length,0,ne.length)}e.compareIgnoreCase=c;function d(q,ne,oe=0,ae=q.length,de=0,ve=ne.length){for(;oe<ae&&de<ve;oe++,de++){let Te=q.charCodeAt(oe),Fe=ne.charCodeAt(de);if(Te!==Fe){const ze=Te-Fe;if(!(ze===32&&m(Fe))&&!(ze===-32&&m(Te)))return u(Te)&&u(Fe)?ze:r(q.toLowerCase(),ne.toLowerCase(),oe,ae,de,ve)}}const Se=ae-oe,Le=ve-de;return Se<Le?-1:Se>Le?1:0}e.compareSubstringIgnoreCase=d;function u(q){return q>=97&&q<=122}e.isLowerAsciiLetter=u;function m(q){return q>=65&&q<=90}e.isUpperAsciiLetter=m;function I(q){return u(q)||m(q)}function A(q,ne){return q.length===ne.length&&F(q,ne)}e.equalsIgnoreCase=A;function F(q,ne,oe=q.length){for(let ae=0;ae<oe;ae++){const de=q.charCodeAt(ae),ve=ne.charCodeAt(ae);if(de!==ve){if(I(de)&&I(ve)){const Se=Math.abs(de-ve);if(Se!==0&&Se!==32)return!1}else if(String.fromCharCode(de).toLowerCase()!==String.fromCharCode(ve).toLowerCase())return!1}}return!0}function N(q,ne){const oe=ne.length;return ne.length>q.length?!1:F(q,ne,oe)}e.startsWithIgnoreCase=N;function $(q,ne){let oe,ae=Math.min(q.length,ne.length);for(oe=0;oe<ae;oe++)if(q.charCodeAt(oe)!==ne.charCodeAt(oe))return oe;return ae}e.commonPrefixLength=$;function z(q,ne){let oe,ae=Math.min(q.length,ne.length);const de=q.length-1,ve=ne.length-1;for(oe=0;oe<ae;oe++)if(q.charCodeAt(de-oe)!==ne.charCodeAt(ve-oe))return oe;return ae}e.commonSuffixLength=z;function x(q){return 55296<=q&&q<=56319}e.isHighSurrogate=x;function te(q){return 56320<=q&&q<=57343}e.isLowSurrogate=te;function Z(q,ne){return(q-55296<<10)+(ne-56320)+65536}e.computeCodePoint=Z;function C(q,ne,oe){const ae=q.charCodeAt(oe);if(x(ae)&&oe+1<ne){const de=q.charCodeAt(oe+1);if(te(de))return Z(ae,de)}return ae}e.getNextCodePoint=C;function X(q,ne){const oe=q.charCodeAt(ne-1);if(te(oe)&&ne>1){const ae=q.charCodeAt(ne-2);if(x(ae))return Z(ae,oe)}return oe}function G(q,ne){const oe=Ce.getInstance(),ae=ne,de=q.length,ve=C(q,de,ne);ne+=ve>=65536?2:1;let Se=oe.getGraphemeBreakType(ve);for(;ne<de;){const Le=C(q,de,ne),Te=oe.getGraphemeBreakType(Le);if(Ve(Se,Te))break;ne+=Le>=65536?2:1,Se=Te}return ne-ae}e.nextCharLength=G;function U(q,ne){const oe=Ce.getInstance(),ae=ne,de=X(q,ne);ne-=de>=65536?2:1;let ve=oe.getGraphemeBreakType(de);for(;ne>0;){const Se=X(q,ne),Le=oe.getGraphemeBreakType(Se);if(Ve(Le,ve))break;ne-=Se>=65536?2:1,ve=Le}return ae-ne}e.prevCharLength=U;function W(q,ne){const oe=Ce.getInstance(),ae=q.length,de=ne,ve=C(q,ae,ne),Se=oe.getGraphemeBreakType(ve);ne+=ve>=65536?2:1;let Le=Se;for(;ne<ae;){const Fe=C(q,ae,ne),ze=oe.getGraphemeBreakType(Fe);if(Ve(Le,ze))break;ne+=Fe>=65536?2:1,Le=ze}const Te=ne;for(ne=de,Le=Se;ne>0;){const Fe=X(q,ne),ze=oe.getGraphemeBreakType(Fe);if(Ve(ze,Le))break;ne-=Fe>=65536?2:1,Le=ze}return[ne,Te]}function D(q,ne){return ne>0&&te(q.charCodeAt(ne))?W(q,ne-1):W(q,ne)}e.getCharContainingOffset=D;function P(q){const ne=q.length;let oe=0,ae=0;for(;ae<ne;){const Se=C(q,ne,ae);ae+=Se>=65536?2:1,Se<128?oe+=1:Se<2048?oe+=2:Se<65536?oe+=3:oe+=4}const de=new Uint8Array(oe);ae=0;let ve=0;for(;ae<ne;){const Se=C(q,ne,ae);ae+=Se>=65536?2:1,Se<128?de[ve++]=Se:Se<2048?(de[ve++]=192|(Se&1984)>>>6,de[ve++]=128|(Se&63)>>>0):Se<65536?(de[ve++]=224|(Se&61440)>>>12,de[ve++]=128|(Se&4032)>>>6,de[ve++]=128|(Se&63)>>>0):(de[ve++]=240|(Se&1835008)>>>18,de[ve++]=128|(Se&258048)>>>12,de[ve++]=128|(Se&4032)>>>6,de[ve++]=128|(Se&63)>>>0)}return de}e.encodeUTF8=P;function _(q){const ne=q.byteLength,oe=[];let ae=0;for(;ae<ne;){const de=q[ae];let ve;if(de>=240&&ae+3<ne?ve=(q[ae++]&7)<<18>>>0|(q[ae++]&63)<<12>>>0|(q[ae++]&63)<<6>>>0|(q[ae++]&63)<<0>>>0:de>=224&&ae+2<ne?ve=(q[ae++]&15)<<12>>>0|(q[ae++]&63)<<6>>>0|(q[ae++]&63)<<0>>>0:de>=192&&ae+1<ne?ve=(q[ae++]&31)<<6>>>0|(q[ae++]&63)<<0>>>0:ve=q[ae++],ve>=0&&ve<=55295||ve>=57344&&ve<=65535)oe.push(String.fromCharCode(ve));else if(ve>=65536&&ve<=1114111){const Se=ve-65536,Le=55296+((Se&1047552)>>>10),Te=56320+((Se&1023)>>>0);oe.push(String.fromCharCode(Le)),oe.push(String.fromCharCode(Te))}else oe.push(String.fromCharCode(65533))}return oe.join("")}e.decodeUTF8=_;const T=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u08BD\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE33\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDCFF]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD50-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function O(q){return T.test(q)}e.containsRTL=O;const B=/(?:[\u231A\u231B\u23F0\u23F3\u2600-\u27BF\u2B50\u2B55]|\uD83C[\uDDE6-\uDDFF\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F\uDE80-\uDEFC\uDFE0-\uDFEB]|\uD83E[\uDD00-\uDDFF\uDE70-\uDED6])/;function j(q){return B.test(q)}e.containsEmoji=j;const V=/^[\t\n\r\x20-\x7E]*$/;function K(q){return V.test(q)}e.isBasicASCII=K,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function ee(q){return e.UNUSUAL_LINE_TERMINATORS.test(q)}e.containsUnusualLineTerminators=ee;function Q(q){for(let ne=0,oe=q.length;ne<oe;ne++)if(re(q.charCodeAt(ne)))return!0;return!1}e.containsFullWidthCharacter=Q;function re(q){return q=+q,q>=11904&&q<=55215||q>=63744&&q<=64255||q>=65281&&q<=65374}e.isFullWidthCharacter=re;function se(q){return q>=127462&&q<=127487||q===8986||q===8987||q===9200||q===9203||q>=9728&&q<=10175||q===11088||q===11093||q>=127744&&q<=128591||q>=128640&&q<=128764||q>=128992&&q<=129003||q>=129280&&q<=129535||q>=129648&&q<=129750}e.isEmojiImprecise=se;function ge(q,ne){if(q.length<ne)return q;const oe=/\b/g;let ae=0;for(;oe.test(q)&&!(q.length-oe.lastIndex<ne);)ae=oe.lastIndex,oe.lastIndex+=1;return q.substring(ae).replace(/^\s/,"")}e.lcut=ge;const le=/\x1B\x5B[12]?K/g,he=/\x1b\[\d+m/g,me=/\x1b\[0?m/g;function Ie(q){return q&&(q=q.replace(le,""),q=q.replace(he,""),q=q.replace(me,"")),q}e.removeAnsiEscapeCodes=Ie,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function ke(q){return!!(q&&q.length>0&&q.charCodeAt(0)===65279)}e.startsWithUTF8BOM=ke;function Ue(q){return ke(q)?q.substr(1):q}e.stripUTF8BOM=Ue;function Oe(q,ne){if(!q||!ne||q.length<ne.length)return!1;const oe=ne.length,ae=q.toLowerCase();let de=0,ve=-1;for(;de<oe;){const Se=ae.indexOf(ne[de],ve+1);if(Se<0)return!1;ve=Se,de++}return!0}e.fuzzyContains=Oe;function Be(q,ne=!1){return q?(ne&&(q=q.replace(/\\./g,"")),q.toLowerCase()!==q):!1}e.containsUppercaseCharacter=Be;function Ye(q){return q.charAt(0).toUpperCase()+q.slice(1)}e.uppercaseFirstLetter=Ye;function Ze(q,ne=1){if(ne===0)return"";let oe=-1;do oe=q.indexOf(`
`,oe+1),ne--;while(ne>0&&oe>=0);return oe===-1?q:(q[oe-1]==="\r"&&oe--,q.substr(0,oe))}e.getNLines=Ze;function xe(q){const ne=90-65+1;return q=q%(2*ne),q<ne?String.fromCharCode(97+q):String.fromCharCode(65+q-ne)}e.singleLetterHash=xe;function at(q){return Ce.getInstance().getGraphemeBreakType(q)}e.getGraphemeBreakType=at;function Ve(q,ne){return q===0?ne!==5&&ne!==7:q===2&&ne===3?!1:q===4||q===2||q===3||ne===4||ne===2||ne===3?!0:!(q===8&&(ne===8||ne===9||ne===11||ne===12)||(q===11||q===9)&&(ne===9||ne===10)||(q===12||q===10)&&ne===10||ne===5||ne===13||ne===7||q===1||q===13&&ne===14||q===6&&ne===6)}e.breakBetweenGraphemeBreakType=Ve;var lt;(function(q){q[q.Other=0]="Other",q[q.Prepend=1]="Prepend",q[q.CR=2]="CR",q[q.LF=3]="LF",q[q.Control=4]="Control",q[q.Extend=5]="Extend",q[q.Regional_Indicator=6]="Regional_Indicator",q[q.SpacingMark=7]="SpacingMark",q[q.L=8]="L",q[q.V=9]="V",q[q.T=10]="T",q[q.LV=11]="LV",q[q.LVT=12]="LVT",q[q.ZWJ=13]="ZWJ",q[q.Extended_Pictographic=14]="Extended_Pictographic"})(lt=e.GraphemeBreakType||(e.GraphemeBreakType={}));class Ce{constructor(){this._data=ct()}static getInstance(){return Ce._INSTANCE||(Ce._INSTANCE=new Ce),Ce._INSTANCE}getGraphemeBreakType(ne){if(ne<32)return ne===10?3:ne===13?2:4;if(ne<127)return 0;const oe=this._data,ae=oe.length/3;let de=1;for(;de<=ae;)if(ne<oe[3*de])de=2*de;else if(ne>oe[3*de+1])de=2*de+1;else return oe[3*de+2];return 0}}Ce._INSTANCE=null;function ct(){return JSON.parse("[0,0,0,51592,51592,11,44424,44424,11,72251,72254,5,7150,7150,7,48008,48008,11,55176,55176,11,128420,128420,14,3276,3277,5,9979,9980,14,46216,46216,11,49800,49800,11,53384,53384,11,70726,70726,5,122915,122916,5,129320,129327,14,2558,2558,5,5906,5908,5,9762,9763,14,43360,43388,8,45320,45320,11,47112,47112,11,48904,48904,11,50696,50696,11,52488,52488,11,54280,54280,11,70082,70083,1,71350,71350,7,73111,73111,5,127892,127893,14,128726,128727,14,129473,129474,14,2027,2035,5,2901,2902,5,3784,3789,5,6754,6754,5,8418,8420,5,9877,9877,14,11088,11088,14,44008,44008,5,44872,44872,11,45768,45768,11,46664,46664,11,47560,47560,11,48456,48456,11,49352,49352,11,50248,50248,11,51144,51144,11,52040,52040,11,52936,52936,11,53832,53832,11,54728,54728,11,69811,69814,5,70459,70460,5,71096,71099,7,71998,71998,5,72874,72880,5,119149,119149,7,127374,127374,14,128335,128335,14,128482,128482,14,128765,128767,14,129399,129400,14,129680,129685,14,1476,1477,5,2377,2380,7,2759,2760,5,3137,3140,7,3458,3459,7,4153,4154,5,6432,6434,5,6978,6978,5,7675,7679,5,9723,9726,14,9823,9823,14,9919,9923,14,10035,10036,14,42736,42737,5,43596,43596,5,44200,44200,11,44648,44648,11,45096,45096,11,45544,45544,11,45992,45992,11,46440,46440,11,46888,46888,11,47336,47336,11,47784,47784,11,48232,48232,11,48680,48680,11,49128,49128,11,49576,49576,11,50024,50024,11,50472,50472,11,50920,50920,11,51368,51368,11,51816,51816,11,52264,52264,11,52712,52712,11,53160,53160,11,53608,53608,11,54056,54056,11,54504,54504,11,54952,54952,11,68108,68111,5,69933,69940,5,70197,70197,7,70498,70499,7,70845,70845,5,71229,71229,5,71727,71735,5,72154,72155,5,72344,72345,5,73023,73029,5,94095,94098,5,121403,121452,5,126981,127182,14,127538,127546,14,127990,127990,14,128391,128391,14,128445,128449,14,128500,128505,14,128752,128752,14,129160,129167,14,129356,129356,14,129432,129442,14,129648,129651,14,129751,131069,14,173,173,4,1757,1757,1,2274,2274,1,2494,2494,5,2641,2641,5,2876,2876,5,3014,3016,7,3262,3262,7,3393,3396,5,3570,3571,7,3968,3972,5,4228,4228,7,6086,6086,5,6679,6680,5,6912,6915,5,7080,7081,5,7380,7392,5,8252,8252,14,9096,9096,14,9748,9749,14,9784,9786,14,9833,9850,14,9890,9894,14,9938,9938,14,9999,9999,14,10085,10087,14,12349,12349,14,43136,43137,7,43454,43456,7,43755,43755,7,44088,44088,11,44312,44312,11,44536,44536,11,44760,44760,11,44984,44984,11,45208,45208,11,45432,45432,11,45656,45656,11,45880,45880,11,46104,46104,11,46328,46328,11,46552,46552,11,46776,46776,11,47000,47000,11,47224,47224,11,47448,47448,11,47672,47672,11,47896,47896,11,48120,48120,11,48344,48344,11,48568,48568,11,48792,48792,11,49016,49016,11,49240,49240,11,49464,49464,11,49688,49688,11,49912,49912,11,50136,50136,11,50360,50360,11,50584,50584,11,50808,50808,11,51032,51032,11,51256,51256,11,51480,51480,11,51704,51704,11,51928,51928,11,52152,52152,11,52376,52376,11,52600,52600,11,52824,52824,11,53048,53048,11,53272,53272,11,53496,53496,11,53720,53720,11,53944,53944,11,54168,54168,11,54392,54392,11,54616,54616,11,54840,54840,11,55064,55064,11,65438,65439,5,69633,69633,5,69837,69837,1,70018,70018,7,70188,70190,7,70368,70370,7,70465,70468,7,70712,70719,5,70835,70840,5,70850,70851,5,71132,71133,5,71340,71340,7,71458,71461,5,71985,71989,7,72002,72002,7,72193,72202,5,72281,72283,5,72766,72766,7,72885,72886,5,73104,73105,5,92912,92916,5,113824,113827,4,119173,119179,5,121505,121519,5,125136,125142,5,127279,127279,14,127489,127490,14,127570,127743,14,127900,127901,14,128254,128254,14,128369,128370,14,128400,128400,14,128425,128432,14,128468,128475,14,128489,128494,14,128715,128720,14,128745,128745,14,128759,128760,14,129004,129023,14,129296,129304,14,129340,129342,14,129388,129392,14,129404,129407,14,129454,129455,14,129485,129487,14,129659,129663,14,129719,129727,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2363,2363,7,2402,2403,5,2507,2508,7,2622,2624,7,2691,2691,7,2786,2787,5,2881,2884,5,3006,3006,5,3072,3072,5,3170,3171,5,3267,3268,7,3330,3331,7,3406,3406,1,3538,3540,5,3655,3662,5,3897,3897,5,4038,4038,5,4184,4185,5,4352,4447,8,6068,6069,5,6155,6157,5,6448,6449,7,6742,6742,5,6783,6783,5,6966,6970,5,7042,7042,7,7143,7143,7,7212,7219,5,7412,7412,5,8206,8207,4,8294,8303,4,8596,8601,14,9410,9410,14,9742,9742,14,9757,9757,14,9770,9770,14,9794,9794,14,9828,9828,14,9855,9855,14,9882,9882,14,9900,9903,14,9929,9933,14,9963,9967,14,9987,9988,14,10006,10006,14,10062,10062,14,10175,10175,14,11744,11775,5,42607,42607,5,43043,43044,7,43263,43263,5,43444,43445,7,43569,43570,5,43698,43700,5,43766,43766,5,44032,44032,11,44144,44144,11,44256,44256,11,44368,44368,11,44480,44480,11,44592,44592,11,44704,44704,11,44816,44816,11,44928,44928,11,45040,45040,11,45152,45152,11,45264,45264,11,45376,45376,11,45488,45488,11,45600,45600,11,45712,45712,11,45824,45824,11,45936,45936,11,46048,46048,11,46160,46160,11,46272,46272,11,46384,46384,11,46496,46496,11,46608,46608,11,46720,46720,11,46832,46832,11,46944,46944,11,47056,47056,11,47168,47168,11,47280,47280,11,47392,47392,11,47504,47504,11,47616,47616,11,47728,47728,11,47840,47840,11,47952,47952,11,48064,48064,11,48176,48176,11,48288,48288,11,48400,48400,11,48512,48512,11,48624,48624,11,48736,48736,11,48848,48848,11,48960,48960,11,49072,49072,11,49184,49184,11,49296,49296,11,49408,49408,11,49520,49520,11,49632,49632,11,49744,49744,11,49856,49856,11,49968,49968,11,50080,50080,11,50192,50192,11,50304,50304,11,50416,50416,11,50528,50528,11,50640,50640,11,50752,50752,11,50864,50864,11,50976,50976,11,51088,51088,11,51200,51200,11,51312,51312,11,51424,51424,11,51536,51536,11,51648,51648,11,51760,51760,11,51872,51872,11,51984,51984,11,52096,52096,11,52208,52208,11,52320,52320,11,52432,52432,11,52544,52544,11,52656,52656,11,52768,52768,11,52880,52880,11,52992,52992,11,53104,53104,11,53216,53216,11,53328,53328,11,53440,53440,11,53552,53552,11,53664,53664,11,53776,53776,11,53888,53888,11,54000,54000,11,54112,54112,11,54224,54224,11,54336,54336,11,54448,54448,11,54560,54560,11,54672,54672,11,54784,54784,11,54896,54896,11,55008,55008,11,55120,55120,11,64286,64286,5,66272,66272,5,68900,68903,5,69762,69762,7,69817,69818,5,69927,69931,5,70003,70003,5,70070,70078,5,70094,70094,7,70194,70195,7,70206,70206,5,70400,70401,5,70463,70463,7,70475,70477,7,70512,70516,5,70722,70724,5,70832,70832,5,70842,70842,5,70847,70848,5,71088,71089,7,71102,71102,7,71219,71226,5,71231,71232,5,71342,71343,7,71453,71455,5,71463,71467,5,71737,71738,5,71995,71996,5,72000,72000,7,72145,72147,7,72160,72160,5,72249,72249,7,72273,72278,5,72330,72342,5,72752,72758,5,72850,72871,5,72882,72883,5,73018,73018,5,73031,73031,5,73109,73109,5,73461,73462,7,94031,94031,5,94192,94193,7,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,126976,126979,14,127184,127231,14,127344,127345,14,127405,127461,14,127514,127514,14,127561,127567,14,127778,127779,14,127896,127896,14,127985,127986,14,127995,127999,5,128326,128328,14,128360,128366,14,128378,128378,14,128394,128397,14,128405,128406,14,128422,128423,14,128435,128443,14,128453,128464,14,128479,128480,14,128484,128487,14,128496,128498,14,128640,128709,14,128723,128724,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129096,129103,14,129292,129292,14,129311,129311,14,129329,129330,14,129344,129349,14,129360,129374,14,129394,129394,14,129402,129402,14,129413,129425,14,129445,129450,14,129466,129471,14,129483,129483,14,129511,129535,14,129653,129655,14,129667,129670,14,129705,129711,14,129731,129743,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2307,2307,7,2366,2368,7,2382,2383,7,2434,2435,7,2497,2500,5,2519,2519,5,2563,2563,7,2631,2632,5,2677,2677,5,2750,2752,7,2763,2764,7,2817,2817,5,2879,2879,5,2891,2892,7,2914,2915,5,3008,3008,5,3021,3021,5,3076,3076,5,3146,3149,5,3202,3203,7,3264,3265,7,3271,3272,7,3298,3299,5,3390,3390,5,3402,3404,7,3426,3427,5,3535,3535,5,3544,3550,7,3635,3635,7,3763,3763,7,3893,3893,5,3953,3966,5,3981,3991,5,4145,4145,7,4157,4158,5,4209,4212,5,4237,4237,5,4520,4607,10,5970,5971,5,6071,6077,5,6089,6099,5,6277,6278,5,6439,6440,5,6451,6456,7,6683,6683,5,6744,6750,5,6765,6770,7,6846,6846,5,6964,6964,5,6972,6972,5,7019,7027,5,7074,7077,5,7083,7085,5,7146,7148,7,7154,7155,7,7222,7223,5,7394,7400,5,7416,7417,5,8204,8204,5,8233,8233,4,8288,8292,4,8413,8416,5,8482,8482,14,8986,8987,14,9193,9203,14,9654,9654,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9775,14,9792,9792,14,9800,9811,14,9825,9826,14,9831,9831,14,9852,9853,14,9872,9873,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9936,9936,14,9941,9960,14,9974,9974,14,9982,9985,14,9992,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10145,10145,14,11013,11015,14,11503,11505,5,12334,12335,5,12951,12951,14,42612,42621,5,43014,43014,5,43047,43047,7,43204,43205,5,43335,43345,5,43395,43395,7,43450,43451,7,43561,43566,5,43573,43574,5,43644,43644,5,43710,43711,5,43758,43759,7,44005,44005,5,44012,44012,7,44060,44060,11,44116,44116,11,44172,44172,11,44228,44228,11,44284,44284,11,44340,44340,11,44396,44396,11,44452,44452,11,44508,44508,11,44564,44564,11,44620,44620,11,44676,44676,11,44732,44732,11,44788,44788,11,44844,44844,11,44900,44900,11,44956,44956,11,45012,45012,11,45068,45068,11,45124,45124,11,45180,45180,11,45236,45236,11,45292,45292,11,45348,45348,11,45404,45404,11,45460,45460,11,45516,45516,11,45572,45572,11,45628,45628,11,45684,45684,11,45740,45740,11,45796,45796,11,45852,45852,11,45908,45908,11,45964,45964,11,46020,46020,11,46076,46076,11,46132,46132,11,46188,46188,11,46244,46244,11,46300,46300,11,46356,46356,11,46412,46412,11,46468,46468,11,46524,46524,11,46580,46580,11,46636,46636,11,46692,46692,11,46748,46748,11,46804,46804,11,46860,46860,11,46916,46916,11,46972,46972,11,47028,47028,11,47084,47084,11,47140,47140,11,47196,47196,11,47252,47252,11,47308,47308,11,47364,47364,11,47420,47420,11,47476,47476,11,47532,47532,11,47588,47588,11,47644,47644,11,47700,47700,11,47756,47756,11,47812,47812,11,47868,47868,11,47924,47924,11,47980,47980,11,48036,48036,11,48092,48092,11,48148,48148,11,48204,48204,11,48260,48260,11,48316,48316,11,48372,48372,11,48428,48428,11,48484,48484,11,48540,48540,11,48596,48596,11,48652,48652,11,48708,48708,11,48764,48764,11,48820,48820,11,48876,48876,11,48932,48932,11,48988,48988,11,49044,49044,11,49100,49100,11,49156,49156,11,49212,49212,11,49268,49268,11,49324,49324,11,49380,49380,11,49436,49436,11,49492,49492,11,49548,49548,11,49604,49604,11,49660,49660,11,49716,49716,11,49772,49772,11,49828,49828,11,49884,49884,11,49940,49940,11,49996,49996,11,50052,50052,11,50108,50108,11,50164,50164,11,50220,50220,11,50276,50276,11,50332,50332,11,50388,50388,11,50444,50444,11,50500,50500,11,50556,50556,11,50612,50612,11,50668,50668,11,50724,50724,11,50780,50780,11,50836,50836,11,50892,50892,11,50948,50948,11,51004,51004,11,51060,51060,11,51116,51116,11,51172,51172,11,51228,51228,11,51284,51284,11,51340,51340,11,51396,51396,11,51452,51452,11,51508,51508,11,51564,51564,11,51620,51620,11,51676,51676,11,51732,51732,11,51788,51788,11,51844,51844,11,51900,51900,11,51956,51956,11,52012,52012,11,52068,52068,11,52124,52124,11,52180,52180,11,52236,52236,11,52292,52292,11,52348,52348,11,52404,52404,11,52460,52460,11,52516,52516,11,52572,52572,11,52628,52628,11,52684,52684,11,52740,52740,11,52796,52796,11,52852,52852,11,52908,52908,11,52964,52964,11,53020,53020,11,53076,53076,11,53132,53132,11,53188,53188,11,53244,53244,11,53300,53300,11,53356,53356,11,53412,53412,11,53468,53468,11,53524,53524,11,53580,53580,11,53636,53636,11,53692,53692,11,53748,53748,11,53804,53804,11,53860,53860,11,53916,53916,11,53972,53972,11,54028,54028,11,54084,54084,11,54140,54140,11,54196,54196,11,54252,54252,11,54308,54308,11,54364,54364,11,54420,54420,11,54476,54476,11,54532,54532,11,54588,54588,11,54644,54644,11,54700,54700,11,54756,54756,11,54812,54812,11,54868,54868,11,54924,54924,11,54980,54980,11,55036,55036,11,55092,55092,11,55148,55148,11,55216,55238,9,65056,65071,5,65529,65531,4,68097,68099,5,68159,68159,5,69446,69456,5,69688,69702,5,69808,69810,7,69815,69816,7,69821,69821,1,69888,69890,5,69932,69932,7,69957,69958,7,70016,70017,5,70067,70069,7,70079,70080,7,70089,70092,5,70095,70095,5,70191,70193,5,70196,70196,5,70198,70199,5,70367,70367,5,70371,70378,5,70402,70403,7,70462,70462,5,70464,70464,5,70471,70472,7,70487,70487,5,70502,70508,5,70709,70711,7,70720,70721,7,70725,70725,7,70750,70750,5,70833,70834,7,70841,70841,7,70843,70844,7,70846,70846,7,70849,70849,7,71087,71087,5,71090,71093,5,71100,71101,5,71103,71104,5,71216,71218,7,71227,71228,7,71230,71230,7,71339,71339,5,71341,71341,5,71344,71349,5,71351,71351,5,71456,71457,7,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123628,123631,5,125252,125258,5,126980,126980,14,127183,127183,14,127245,127247,14,127340,127343,14,127358,127359,14,127377,127386,14,127462,127487,6,127491,127503,14,127535,127535,14,127548,127551,14,127568,127569,14,127744,127777,14,127780,127891,14,127894,127895,14,127897,127899,14,127902,127984,14,127987,127989,14,127991,127994,14,128000,128253,14,128255,128317,14,128329,128334,14,128336,128359,14,128367,128368,14,128371,128377,14,128379,128390,14,128392,128393,14,128398,128399,14,128401,128404,14,128407,128419,14,128421,128421,14,128424,128424,14,128433,128434,14,128444,128444,14,128450,128452,14,128465,128467,14,128476,128478,14,128481,128481,14,128483,128483,14,128488,128488,14,128495,128495,14,128499,128499,14,128506,128591,14,128710,128714,14,128721,128722,14,128725,128725,14,128728,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129664,129666,14,129671,129679,14,129686,129704,14,129712,129718,14,129728,129730,14,129744,129750,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2259,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3134,3136,5,3142,3144,5,3157,3158,5,3201,3201,5,3260,3260,5,3263,3263,5,3266,3266,5,3270,3270,5,3274,3275,7,3285,3286,5,3328,3329,5,3387,3388,5,3391,3392,7,3398,3400,7,3405,3405,5,3415,3415,5,3457,3457,5,3530,3530,5,3536,3537,7,3542,3542,5,3551,3551,5,3633,3633,5,3636,3642,5,3761,3761,5,3764,3772,5,3864,3865,5,3895,3895,5,3902,3903,7,3967,3967,7,3974,3975,5,3993,4028,5,4141,4144,5,4146,4151,5,4155,4156,7,4182,4183,7,4190,4192,5,4226,4226,5,4229,4230,5,4253,4253,5,4448,4519,9,4957,4959,5,5938,5940,5,6002,6003,5,6070,6070,7,6078,6085,7,6087,6088,7,6109,6109,5,6158,6158,4,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6848,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7673,5,8203,8203,4,8205,8205,13,8232,8232,4,8234,8238,4,8265,8265,14,8293,8293,4,8400,8412,5,8417,8417,5,8421,8432,5,8505,8505,14,8617,8618,14,9000,9000,14,9167,9167,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9776,9783,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9935,14,9937,9937,14,9939,9940,14,9961,9962,14,9968,9973,14,9975,9978,14,9981,9981,14,9986,9986,14,9989,9989,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10084,14,10133,10135,14,10160,10160,14,10548,10549,14,11035,11036,14,11093,11093,14,11647,11647,5,12330,12333,5,12336,12336,14,12441,12442,5,12953,12953,14,42608,42610,5,42654,42655,5,43010,43010,5,43019,43019,5,43045,43046,5,43052,43052,5,43188,43203,7,43232,43249,5,43302,43309,5,43346,43347,7,43392,43394,5,43443,43443,5,43446,43449,5,43452,43453,5,43493,43493,5,43567,43568,7,43571,43572,7,43587,43587,5,43597,43597,7,43696,43696,5,43703,43704,5,43713,43713,5,43756,43757,5,43765,43765,7,44003,44004,7,44006,44007,7,44009,44010,7,44013,44013,5,44033,44059,12,44061,44087,12,44089,44115,12,44117,44143,12,44145,44171,12,44173,44199,12,44201,44227,12,44229,44255,12,44257,44283,12,44285,44311,12,44313,44339,12,44341,44367,12,44369,44395,12,44397,44423,12,44425,44451,12,44453,44479,12,44481,44507,12,44509,44535,12,44537,44563,12,44565,44591,12,44593,44619,12,44621,44647,12,44649,44675,12,44677,44703,12,44705,44731,12,44733,44759,12,44761,44787,12,44789,44815,12,44817,44843,12,44845,44871,12,44873,44899,12,44901,44927,12,44929,44955,12,44957,44983,12,44985,45011,12,45013,45039,12,45041,45067,12,45069,45095,12,45097,45123,12,45125,45151,12,45153,45179,12,45181,45207,12,45209,45235,12,45237,45263,12,45265,45291,12,45293,45319,12,45321,45347,12,45349,45375,12,45377,45403,12,45405,45431,12,45433,45459,12,45461,45487,12,45489,45515,12,45517,45543,12,45545,45571,12,45573,45599,12,45601,45627,12,45629,45655,12,45657,45683,12,45685,45711,12,45713,45739,12,45741,45767,12,45769,45795,12,45797,45823,12,45825,45851,12,45853,45879,12,45881,45907,12,45909,45935,12,45937,45963,12,45965,45991,12,45993,46019,12,46021,46047,12,46049,46075,12,46077,46103,12,46105,46131,12,46133,46159,12,46161,46187,12,46189,46215,12,46217,46243,12,46245,46271,12,46273,46299,12,46301,46327,12,46329,46355,12,46357,46383,12,46385,46411,12,46413,46439,12,46441,46467,12,46469,46495,12,46497,46523,12,46525,46551,12,46553,46579,12,46581,46607,12,46609,46635,12,46637,46663,12,46665,46691,12,46693,46719,12,46721,46747,12,46749,46775,12,46777,46803,12,46805,46831,12,46833,46859,12,46861,46887,12,46889,46915,12,46917,46943,12,46945,46971,12,46973,46999,12,47001,47027,12,47029,47055,12,47057,47083,12,47085,47111,12,47113,47139,12,47141,47167,12,47169,47195,12,47197,47223,12,47225,47251,12,47253,47279,12,47281,47307,12,47309,47335,12,47337,47363,12,47365,47391,12,47393,47419,12,47421,47447,12,47449,47475,12,47477,47503,12,47505,47531,12,47533,47559,12,47561,47587,12,47589,47615,12,47617,47643,12,47645,47671,12,47673,47699,12,47701,47727,12,47729,47755,12,47757,47783,12,47785,47811,12,47813,47839,12,47841,47867,12,47869,47895,12,47897,47923,12,47925,47951,12,47953,47979,12,47981,48007,12,48009,48035,12,48037,48063,12,48065,48091,12,48093,48119,12,48121,48147,12,48149,48175,12,48177,48203,12,48205,48231,12,48233,48259,12,48261,48287,12,48289,48315,12,48317,48343,12,48345,48371,12,48373,48399,12,48401,48427,12,48429,48455,12,48457,48483,12,48485,48511,12,48513,48539,12,48541,48567,12,48569,48595,12,48597,48623,12,48625,48651,12,48653,48679,12,48681,48707,12,48709,48735,12,48737,48763,12,48765,48791,12,48793,48819,12,48821,48847,12,48849,48875,12,48877,48903,12,48905,48931,12,48933,48959,12,48961,48987,12,48989,49015,12,49017,49043,12,49045,49071,12,49073,49099,12,49101,49127,12,49129,49155,12,49157,49183,12,49185,49211,12,49213,49239,12,49241,49267,12,49269,49295,12,49297,49323,12,49325,49351,12,49353,49379,12,49381,49407,12,49409,49435,12,49437,49463,12,49465,49491,12,49493,49519,12,49521,49547,12,49549,49575,12,49577,49603,12,49605,49631,12,49633,49659,12,49661,49687,12,49689,49715,12,49717,49743,12,49745,49771,12,49773,49799,12,49801,49827,12,49829,49855,12,49857,49883,12,49885,49911,12,49913,49939,12,49941,49967,12,49969,49995,12,49997,50023,12,50025,50051,12,50053,50079,12,50081,50107,12,50109,50135,12,50137,50163,12,50165,50191,12,50193,50219,12,50221,50247,12,50249,50275,12,50277,50303,12,50305,50331,12,50333,50359,12,50361,50387,12,50389,50415,12,50417,50443,12,50445,50471,12,50473,50499,12,50501,50527,12,50529,50555,12,50557,50583,12,50585,50611,12,50613,50639,12,50641,50667,12,50669,50695,12,50697,50723,12,50725,50751,12,50753,50779,12,50781,50807,12,50809,50835,12,50837,50863,12,50865,50891,12,50893,50919,12,50921,50947,12,50949,50975,12,50977,51003,12,51005,51031,12,51033,51059,12,51061,51087,12,51089,51115,12,51117,51143,12,51145,51171,12,51173,51199,12,51201,51227,12,51229,51255,12,51257,51283,12,51285,51311,12,51313,51339,12,51341,51367,12,51369,51395,12,51397,51423,12,51425,51451,12,51453,51479,12,51481,51507,12,51509,51535,12,51537,51563,12,51565,51591,12,51593,51619,12,51621,51647,12,51649,51675,12,51677,51703,12,51705,51731,12,51733,51759,12,51761,51787,12,51789,51815,12,51817,51843,12,51845,51871,12,51873,51899,12,51901,51927,12,51929,51955,12,51957,51983,12,51985,52011,12,52013,52039,12,52041,52067,12,52069,52095,12,52097,52123,12,52125,52151,12,52153,52179,12,52181,52207,12,52209,52235,12,52237,52263,12,52265,52291,12,52293,52319,12,52321,52347,12,52349,52375,12,52377,52403,12,52405,52431,12,52433,52459,12,52461,52487,12,52489,52515,12,52517,52543,12,52545,52571,12,52573,52599,12,52601,52627,12,52629,52655,12,52657,52683,12,52685,52711,12,52713,52739,12,52741,52767,12,52769,52795,12,52797,52823,12,52825,52851,12,52853,52879,12,52881,52907,12,52909,52935,12,52937,52963,12,52965,52991,12,52993,53019,12,53021,53047,12,53049,53075,12,53077,53103,12,53105,53131,12,53133,53159,12,53161,53187,12,53189,53215,12,53217,53243,12,53245,53271,12,53273,53299,12,53301,53327,12,53329,53355,12,53357,53383,12,53385,53411,12,53413,53439,12,53441,53467,12,53469,53495,12,53497,53523,12,53525,53551,12,53553,53579,12,53581,53607,12,53609,53635,12,53637,53663,12,53665,53691,12,53693,53719,12,53721,53747,12,53749,53775,12,53777,53803,12,53805,53831,12,53833,53859,12,53861,53887,12,53889,53915,12,53917,53943,12,53945,53971,12,53973,53999,12,54001,54027,12,54029,54055,12,54057,54083,12,54085,54111,12,54113,54139,12,54141,54167,12,54169,54195,12,54197,54223,12,54225,54251,12,54253,54279,12,54281,54307,12,54309,54335,12,54337,54363,12,54365,54391,12,54393,54419,12,54421,54447,12,54449,54475,12,54477,54503,12,54505,54531,12,54533,54559,12,54561,54587,12,54589,54615,12,54617,54643,12,54645,54671,12,54673,54699,12,54701,54727,12,54729,54755,12,54757,54783,12,54785,54811,12,54813,54839,12,54841,54867,12,54869,54895,12,54897,54923,12,54925,54951,12,54953,54979,12,54981,55007,12,55009,55035,12,55037,55063,12,55065,55091,12,55093,55119,12,55121,55147,12,55149,55175,12,55177,55203,12,55243,55291,10,65024,65039,5,65279,65279,4,65520,65528,4,66045,66045,5,66422,66426,5,68101,68102,5,68152,68154,5,68325,68326,5,69291,69292,5,69632,69632,7,69634,69634,7,69759,69761,5]")}}),define(Y[22],J([0,1,21,57]),function(H,e,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const L=typeof Buffer!="undefined",E=typeof TextEncoder!="undefined",M=typeof TextDecoder!="undefined";let n,y;class i{constructor(u){this.buffer=u,this.byteLength=this.buffer.byteLength}static alloc(u){return L?new i(Buffer.allocUnsafe(u)):new i(new Uint8Array(u))}static wrap(u){return L&&!Buffer.isBuffer(u)&&(u=Buffer.from(u.buffer,u.byteOffset,u.byteLength)),new i(u)}static fromString(u,m){return!((m==null?void 0:m.dontUseNodeBuffer)||!1)&&L?new i(Buffer.from(u)):E?(n||(n=new TextEncoder),new i(n.encode(u))):new i(v.encodeUTF8(u))}static concat(u,m){if(typeof m=="undefined"){m=0;for(let F=0,N=u.length;F<N;F++)m+=u[F].byteLength}const I=i.alloc(m);let A=0;for(let F=0,N=u.length;F<N;F++){const $=u[F];I.set($,A),A+=$.byteLength}return I}toString(){return L?this.buffer.toString():M?(y||(y=new TextDecoder),y.decode(this.buffer)):v.decodeUTF8(this.buffer)}slice(u,m){return new i(this.buffer.subarray(u,m))}set(u,m){u instanceof i?this.buffer.set(u.buffer,m):this.buffer.set(u,m)}readUInt32BE(u){return b(this.buffer,u)}writeUInt32BE(u,m){g(this.buffer,u,m)}readUInt32LE(u){return h(this.buffer,u)}writeUInt32LE(u,m){w(this.buffer,u,m)}readUInt8(u){return S(this.buffer,u)}writeUInt8(u,m){p(this.buffer,u,m)}}e.VSBuffer=i;function k(d,u){return d[u+0]<<0>>>0|d[u+1]<<8>>>0}e.readUInt16LE=k;function f(d,u,m){d[m+0]=u&255,u=u>>>8,d[m+1]=u&255}e.writeUInt16LE=f;function b(d,u){return d[u]*2**24+d[u+1]*2**16+d[u+2]*2**8+d[u+3]}e.readUInt32BE=b;function g(d,u,m){d[m+3]=u,u=u>>>8,d[m+2]=u,u=u>>>8,d[m+1]=u,u=u>>>8,d[m]=u}e.writeUInt32BE=g;function h(d,u){return d[u+0]<<0>>>0|d[u+1]<<8>>>0|d[u+2]<<16>>>0|d[u+3]<<24>>>0}e.readUInt32LE=h;function w(d,u,m){d[m+0]=u&255,u=u>>>8,d[m+1]=u&255,u=u>>>8,d[m+2]=u&255,u=u>>>8,d[m+3]=u&255}e.writeUInt32LE=w;function S(d,u){return d[u]}e.readUInt8=S;function p(d,u,m){d[m]=u}e.writeUInt8=p;function s(d){return R.consumeReadable(d,u=>i.concat(u))}e.readableToBuffer=s;function o(d){return R.toReadable(d)}e.bufferToReadable=o;function a(d){return R.consumeStream(d,u=>i.concat(u))}e.streamToBuffer=a;async function l(d){return d.ended?i.concat(d.buffer):i.concat([...d.buffer,await a(d.stream)])}e.bufferedStreamToBuffer=l;function t(d){return R.toStream(d,u=>i.concat(u))}e.bufferToStream=t;function r(d){return R.transform(d,{data:u=>typeof u=="string"?i.fromString(u):i.wrap(u)},u=>i.concat(u))}e.streamToBufferReadableStream=r;function c(d){return R.newWriteableStream(u=>i.concat(u),d)}e.newWriteableBufferStream=c}),define(Y[76],J([0,1,21]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.doHash=e.hash=void 0;function R(p){return L(p,0)}e.hash=R;function L(p,s){switch(typeof p){case"object":return p===null?E(349,s):Array.isArray(p)?y(p,s):i(p,s);case"string":return n(p,s);case"boolean":return M(p,s);case"number":return E(p,s);case"undefined":return E(937,s);default:return E(617,s)}}e.doHash=L;function E(p,s){return(s<<5)-s+p|0}function M(p,s){return E(p?433:863,s)}function n(p,s){s=E(149417,s);for(let o=0,a=p.length;o<a;o++)s=E(p.charCodeAt(o),s);return s}e.stringHash=n;function y(p,s){return s=E(104579,s),p.reduce((o,a)=>L(a,o),s)}function i(p,s){return s=E(181387,s),Object.keys(p).sort().reduce((o,a)=>(o=n(a,o),L(p[a],o)),s)}class k{constructor(){this._value=0}get value(){return this._value}hash(s){return this._value=L(s,this._value),this._value}}e.Hasher=k;var f;(function(p){p[p.BLOCK_SIZE=64]="BLOCK_SIZE",p[p.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(f||(f={}));function b(p,s,o=32){const a=o-s,l=~((1<<a)-1);return(p<<s|(l&p)>>>a)>>>0}function g(p,s=0,o=p.byteLength,a=0){for(let l=0;l<o;l++)p[s+l]=a}function h(p,s,o="0"){for(;p.length<s;)p=o+p;return p}function w(p,s=32){return p instanceof ArrayBuffer?Array.from(new Uint8Array(p)).map(o=>o.toString(16).padStart(2,"0")).join(""):h((p>>>0).toString(16),s/4)}e.toHexString=w;class S{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(s){const o=s.length;if(o!==0){const a=this._buff;let l=this._buffLen,t=this._leftoverHighSurrogate,r,c;for(t!==0?(r=t,c=-1,t=0):(r=s.charCodeAt(0),c=0);;){let d=r;if(v.isHighSurrogate(r))if(c+1<o){const u=s.charCodeAt(c+1);v.isLowSurrogate(u)?(c++,d=v.computeCodePoint(r,u)):d=65533}else{t=r;break}else v.isLowSurrogate(r)&&(d=65533);if(l=this._push(a,l,d),c++,c<o)r=s.charCodeAt(c);else break}this._buffLen=l,this._leftoverHighSurrogate=t}}_push(s,o,a){return a<128?s[o++]=a:a<2048?(s[o++]=192|(a&1984)>>>6,s[o++]=128|(a&63)>>>0):a<65536?(s[o++]=224|(a&61440)>>>12,s[o++]=128|(a&4032)>>>6,s[o++]=128|(a&63)>>>0):(s[o++]=240|(a&1835008)>>>18,s[o++]=128|(a&258048)>>>12,s[o++]=128|(a&4032)>>>6,s[o++]=128|(a&63)>>>0),o>=64&&(this._step(),o-=64,this._totalLen+=64,s[0]=s[64+0],s[1]=s[64+1],s[2]=s[64+2]),o}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),w(this._h0)+w(this._h1)+w(this._h2)+w(this._h3)+w(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,g(this._buff,this._buffLen),this._buffLen>56&&(this._step(),g(this._buff));const s=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(s/4294967296),!1),this._buffDV.setUint32(60,s%4294967296,!1),this._step()}_step(){const s=S._bigBlock32,o=this._buffDV;for(let I=0;I<64;I+=4)s.setUint32(I,o.getUint32(I,!1),!1);for(let I=64;I<320;I+=4)s.setUint32(I,b(s.getUint32(I-12,!1)^s.getUint32(I-32,!1)^s.getUint32(I-56,!1)^s.getUint32(I-64,!1),1),!1);let a=this._h0,l=this._h1,t=this._h2,r=this._h3,c=this._h4,d,u,m;for(let I=0;I<80;I++)I<20?(d=l&t|~l&r,u=1518500249):I<40?(d=l^t^r,u=1859775393):I<60?(d=l&t|l&r|t&r,u=2400959708):(d=l^t^r,u=3395469782),m=b(a,5)+d+c+u+s.getUint32(I*4,!1)&4294967295,c=r,r=t,t=b(l,30),l=a,a=m;this._h0=this._h0+a&4294967295,this._h1=this._h1+l&4294967295,this._h2=this._h2+t&4294967295,this._h3=this._h3+r&4294967295,this._h4=this._h4+c&4294967295}}e.StringSHA1=S,S._bigBlock32=new DataView(new ArrayBuffer(320))}),define(Y[13],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotImplementedProxy=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isNumber=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function v(u){return Array.isArray(u)}e.isArray=v;function R(u){return typeof u=="string"}e.isString=R;function L(u){return Array.isArray(u)&&u.every(m=>R(m))}e.isStringArray=L;function E(u){return typeof u=="object"&&u!==null&&!Array.isArray(u)&&!(u instanceof RegExp)&&!(u instanceof Date)}e.isObject=E;function M(u){return typeof u=="number"&&!isNaN(u)}e.isNumber=M;function n(u){return u===!0||u===!1}e.isBoolean=n;function y(u){return typeof u=="undefined"}e.isUndefined=y;function i(u){return!k(u)}e.isDefined=i;function k(u){return y(u)||u===null}e.isUndefinedOrNull=k;function f(u,m){if(!u)throw new Error(m?`Unexpected type, expected '${m}'`:"Unexpected type")}e.assertType=f;function b(u){if(k(u))throw new Error("Assertion Failed: argument is undefined or null");return u}e.assertIsDefined=b;function g(...u){const m=[];for(let I=0;I<u.length;I++){const A=u[I];if(k(A))throw new Error(`Assertion Failed: argument at index ${I} is undefined or null`);m.push(A)}return m}e.assertAllDefined=g;const h=Object.prototype.hasOwnProperty;function w(u){if(!E(u))return!1;for(let m in u)if(h.call(u,m))return!1;return!0}e.isEmptyObject=w;function S(u){return typeof u=="function"}e.isFunction=S;function p(...u){return u.length>0&&u.every(S)}e.areFunctions=p;function s(u,m){const I=Math.min(u.length,m.length);for(let A=0;A<I;A++)o(u[A],m[A])}e.validateConstraints=s;function o(u,m){if(R(m)){if(typeof u!==m)throw new Error(`argument does not match constraint: typeof ${m}`)}else if(S(m)){try{if(u instanceof m)return}catch(I){}if(!k(u)&&u.constructor===m||m.length===1&&m.call(void 0,u)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=o;function a(u){let m=[],I=Object.getPrototypeOf(u);for(;Object.prototype!==I;)m=m.concat(Object.getOwnPropertyNames(I)),I=Object.getPrototypeOf(I);return m}e.getAllPropertyNames=a;function l(u){const m=[];for(const I of a(u))typeof u[I]=="function"&&m.push(I);return m}e.getAllMethodNames=l;function t(u,m){const I=F=>function(){const N=Array.prototype.slice.call(arguments,0);return m(F,N)};let A={};for(const F of u)A[F]=I(F);return A}e.createProxyObject=t;function r(u){return u===null?void 0:u}e.withNullAsUndefined=r;function c(u){return typeof u=="undefined"?null:u}e.withUndefinedAsNull=c;function d(u){return class{constructor(){return new Proxy({},{get(m,I){if(m[I])return m[I];throw new Error(`Not Implemented: ${u}->${String(I)}`)}})}}}e.NotImplementedProxy=d}),define(Y[29],J([0,1,4,21,8,13]),function(H,e,v,R,L,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toSlashes=e.isPathSeparator=void 0;function M(r){return r===47||r===92}e.isPathSeparator=M;function n(r){return r.replace(/[\\/]/g,L.posix.sep)}e.toSlashes=n;function y(r,c=L.posix.sep){if(!r)return"";const d=r.length,u=r.charCodeAt(0);if(M(u)){if(M(r.charCodeAt(1))&&!M(r.charCodeAt(2))){let I=3;const A=I;for(;I<d&&!M(r.charCodeAt(I));I++);if(A!==I&&!M(r.charCodeAt(I+1))){for(I+=1;I<d;I++)if(M(r.charCodeAt(I)))return r.slice(0,I+1).replace(/[\\/]/g,c)}}return c}else if(S(u)&&r.charCodeAt(1)===58)return M(r.charCodeAt(2))?r.slice(0,2)+c:r.slice(0,2);let m=r.indexOf("://");if(m!==-1){for(m+=3;m<d;m++)if(M(r.charCodeAt(m)))return r.slice(0,m+1)}return""}e.getRoot=y;function i(r){if(!v.isWindows||!r||r.length<5)return!1;let c=r.charCodeAt(0);if(c!==92||(c=r.charCodeAt(1),c!==92))return!1;let d=2;const u=d;for(;d<r.length&&(c=r.charCodeAt(d),c!==92);d++);return!(u===d||(c=r.charCodeAt(d+1),isNaN(c)||c===92))}e.isUNC=i;const k=/[\\/:\*\?"<>\|]/g,f=/[\\/]/g,b=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function g(r,c=v.isWindows){const d=c?k:f;return!(!r||r.length===0||/^\s+$/.test(r)||(d.lastIndex=0,d.test(r))||c&&b.test(r)||r==="."||r===".."||c&&r[r.length-1]==="."||c&&r.length!==r.trim().length||r.length>255)}e.isValidBasename=g;function h(r,c,d){const u=r===c;return!d||u?u:!r||!c?!1:R.equalsIgnoreCase(r,c)}e.isEqual=h;function w(r,c,d,u=L.sep){if(r===c)return!0;if(!r||!c||c.length>r.length)return!1;if(d){if(!R.startsWithIgnoreCase(r,c))return!1;if(c.length===r.length)return!0;let I=c.length;return c.charAt(c.length-1)===u&&I--,r.charAt(I)===u}return c.charAt(c.length-1)!==u&&(c+=u),r.indexOf(c)===0}e.isEqualOrParent=w;function S(r){return r>=65&&r<=90||r>=97&&r<=122}e.isWindowsDriveLetter=S;function p(r,c){return v.isWindows&&r.endsWith(":")&&(r+=L.sep),L.isAbsolute(r)||(r=L.join(c,r)),r=L.normalize(r),v.isWindows?(r=R.rtrim(r,L.sep),r.endsWith(":")&&(r+=L.sep)):(r=R.rtrim(r,L.sep),r||(r=L.sep)),r}e.sanitizeFilePath=p;function s(r){const c=L.normalize(r);return v.isWindows?r.length>3?!1:o(c)&&(r.length===2||c.charCodeAt(2)===92):c===L.posix.sep}e.isRootOrDriveLetter=s;function o(r){return v.isWindows?S(r.charCodeAt(0))&&r.charCodeAt(1)===58:!1}e.hasDriveLetter=o;function a(r){return o(r)?r[0]:void 0}e.getDriveLetter=a;function l(r,c,d){return c.length>r.length?-1:r===c?0:(d&&(r=r.toLowerCase(),c=c.toLowerCase()),r.indexOf(c))}e.indexOfPath=l;function t(r){const c=r.split(":");let d,u,m;if(c.forEach(I=>{const A=Number(I);E.isNumber(A)?u===void 0?u=A:m===void 0&&(m=A):d=d?[d,I].join(":"):I}),!d)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:d,line:u!==void 0?u:void 0,column:m!==void 0?m:u!==void 0?1:void 0}}e.parseLineAndColumnAware=t}),define(Y[43],J([0,1,13]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getCaseInsensitive=e.distinct=e.getOrDefault=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function R(h){if(!h||typeof h!="object"||h instanceof RegExp)return h;const w=Array.isArray(h)?[]:{};return Object.keys(h).forEach(S=>{h[S]&&typeof h[S]=="object"?w[S]=R(h[S]):w[S]=h[S]}),w}e.deepClone=R;function L(h){if(!h||typeof h!="object")return h;const w=[h];for(;w.length>0;){const S=w.shift();Object.freeze(S);for(const p in S)if(E.call(S,p)){const s=S[p];typeof s=="object"&&!Object.isFrozen(s)&&w.push(s)}}return h}e.deepFreeze=L;const E=Object.prototype.hasOwnProperty;function M(h,w){return n(h,w,new Set)}e.cloneAndChange=M;function n(h,w,S){if(v.isUndefinedOrNull(h))return h;const p=w(h);if(typeof p!="undefined")return p;if(v.isArray(h)){const s=[];for(const o of h)s.push(n(o,w,S));return s}if(v.isObject(h)){if(S.has(h))throw new Error("Cannot clone recursive data-structure");S.add(h);const s={};for(let o in h)E.call(h,o)&&(s[o]=n(h[o],w,S));return S.delete(h),s}return h}function y(h,w,S=!0){return v.isObject(h)?(v.isObject(w)&&Object.keys(w).forEach(p=>{p in h?S&&(v.isObject(h[p])&&v.isObject(w[p])?y(h[p],w[p],S):h[p]=w[p]):h[p]=w[p]}),h):w}e.mixin=y;function i(h,w){if(h===w)return!0;if(h==null||w===null||w===void 0||typeof h!=typeof w||typeof h!="object"||Array.isArray(h)!==Array.isArray(w))return!1;let S,p;if(Array.isArray(h)){if(h.length!==w.length)return!1;for(S=0;S<h.length;S++)if(!i(h[S],w[S]))return!1}else{const s=[];for(p in h)s.push(p);s.sort();const o=[];for(p in w)o.push(p);if(o.sort(),!i(s,o))return!1;for(S=0;S<s.length;S++)if(!i(h[s[S]],w[s[S]]))return!1}return!0}e.equals=i;function k(h){const w=new Set;return JSON.stringify(h,(S,p)=>{if(v.isObject(p)||Array.isArray(p)){if(w.has(p))return"[Circular]";w.add(p)}return p})}e.safeStringify=k;function f(h,w,S){const p=w(h);return typeof p=="undefined"?S:p}e.getOrDefault=f;function b(h,w){const S=Object.create(null);return!h||!w||Object.keys(w).forEach(s=>{const o=h[s],a=w[s];i(o,a)||(S[s]=a)}),S}e.distinct=b;function g(h,w){const S=w.toLowerCase(),p=Object.keys(h).find(s=>s.toLowerCase()===S);return p?h[p]:h[w]}e.getCaseInsensitive=g}),define(Y[7],J([0,1,4,8]),function(H,e,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const L=/^\w[\w\d+.-]*$/,E=/^\//,M=/^\/\//;function n(c,d){if(!c.scheme&&d)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${c.authority}", path: "${c.path}", query: "${c.query}", fragment: "${c.fragment}"}`);if(c.scheme&&!L.test(c.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(c.path){if(c.authority){if(!E.test(c.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(M.test(c.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function y(c,d){return!c&&!d?"file":c}function i(c,d){switch(c){case"https":case"http":case"file":d?d[0]!==f&&(d=f+d):d=f;break}return d}const k="",f="/",b=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class g{constructor(d,u,m,I,A,F=!1){typeof d=="object"?(this.scheme=d.scheme||k,this.authority=d.authority||k,this.path=d.path||k,this.query=d.query||k,this.fragment=d.fragment||k):(this.scheme=y(d,F),this.authority=u||k,this.path=i(this.scheme,m||k),this.query=I||k,this.fragment=A||k,n(this,F))}static isUri(d){return d instanceof g?!0:d?typeof d.authority=="string"&&typeof d.fragment=="string"&&typeof d.path=="string"&&typeof d.query=="string"&&typeof d.scheme=="string"&&typeof d.fsPath=="string"&&typeof d.with=="function"&&typeof d.toString=="function":!1}get fsPath(){return o(this,!1)}with(d){if(!d)return this;let{scheme:u,authority:m,path:I,query:A,fragment:F}=d;return u===void 0?u=this.scheme:u===null&&(u=k),m===void 0?m=this.authority:m===null&&(m=k),I===void 0?I=this.path:I===null&&(I=k),A===void 0?A=this.query:A===null&&(A=k),F===void 0?F=this.fragment:F===null&&(F=k),u===this.scheme&&m===this.authority&&I===this.path&&A===this.query&&F===this.fragment?this:new w(u,m,I,A,F)}static parse(d,u=!1){const m=b.exec(d);return m?new w(m[2]||k,r(m[4]||k),r(m[5]||k),r(m[7]||k),r(m[9]||k),u):new w(k,k,k,k,k)}static file(d){let u=k;if(v.isWindows&&(d=d.replace(/\\/g,f)),d[0]===f&&d[1]===f){const m=d.indexOf(f,2);m===-1?(u=d.substring(2),d=f):(u=d.substring(2,m),d=d.substring(m)||f)}return new w("file",u,d,k,k)}static from(d){return new w(d.scheme,d.authority,d.path,d.query,d.fragment)}static joinPath(d,...u){if(!d.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let m;return v.isWindows&&d.scheme==="file"?m=g.file(R.win32.join(o(d,!0),...u)).path:m=R.posix.join(d.path,...u),d.with({path:m})}toString(d=!1){return a(this,d)}toJSON(){return this}static revive(d){if(d){if(d instanceof g)return d;{const u=new w(d);return u._formatted=d.external,u._fsPath=d._sep===h?d.fsPath:null,u}}else return d}}e.URI=g;const h=v.isWindows?1:void 0;class w extends g{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=o(this,!1)),this._fsPath}toString(d=!1){return d?a(this,!0):(this._formatted||(this._formatted=a(this,!1)),this._formatted)}toJSON(){const d={$mid:1};return this._fsPath&&(d.fsPath=this._fsPath,d._sep=h),this._formatted&&(d.external=this._formatted),this.path&&(d.path=this.path),this.scheme&&(d.scheme=this.scheme),this.authority&&(d.authority=this.authority),this.query&&(d.query=this.query),this.fragment&&(d.fragment=this.fragment),d}}const S={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function p(c,d){let u,m=-1;for(let I=0;I<c.length;I++){const A=c.charCodeAt(I);if(A>=97&&A<=122||A>=65&&A<=90||A>=48&&A<=57||A===45||A===46||A===95||A===126||d&&A===47)m!==-1&&(u+=encodeURIComponent(c.substring(m,I)),m=-1),u!==void 0&&(u+=c.charAt(I));else{u===void 0&&(u=c.substr(0,I));const F=S[A];F!==void 0?(m!==-1&&(u+=encodeURIComponent(c.substring(m,I)),m=-1),u+=F):m===-1&&(m=I)}}return m!==-1&&(u+=encodeURIComponent(c.substring(m))),u!==void 0?u:c}function s(c){let d;for(let u=0;u<c.length;u++){const m=c.charCodeAt(u);m===35||m===63?(d===void 0&&(d=c.substr(0,u)),d+=S[m]):d!==void 0&&(d+=c[u])}return d!==void 0?d:c}function o(c,d){let u;return c.authority&&c.path.length>1&&c.scheme==="file"?u=`//${c.authority}${c.path}`:c.path.charCodeAt(0)===47&&(c.path.charCodeAt(1)>=65&&c.path.charCodeAt(1)<=90||c.path.charCodeAt(1)>=97&&c.path.charCodeAt(1)<=122)&&c.path.charCodeAt(2)===58?d?u=c.path.substr(1):u=c.path[1].toLowerCase()+c.path.substr(2):u=c.path,v.isWindows&&(u=u.replace(/\//g,"\\")),u}e.uriToFsPath=o;function a(c,d){const u=d?s:p;let m="",{scheme:I,authority:A,path:F,query:N,fragment:$}=c;if(I&&(m+=I,m+=":"),(A||I==="file")&&(m+=f,m+=f),A){let z=A.indexOf("@");if(z!==-1){const x=A.substr(0,z);A=A.substr(z+1),z=x.indexOf(":"),z===-1?m+=u(x,!1):(m+=u(x.substr(0,z),!1),m+=":",m+=u(x.substr(z+1),!1)),m+="@"}A=A.toLowerCase(),z=A.indexOf(":"),z===-1?m+=u(A,!1):(m+=u(A.substr(0,z),!1),m+=A.substr(z))}if(F){if(F.length>=3&&F.charCodeAt(0)===47&&F.charCodeAt(2)===58){const z=F.charCodeAt(1);z>=65&&z<=90&&(F=`/${String.fromCharCode(z+32)}:${F.substr(3)}`)}else if(F.length>=2&&F.charCodeAt(1)===58){const z=F.charCodeAt(0);z>=65&&z<=90&&(F=`${String.fromCharCode(z+32)}:${F.substr(2)}`)}m+=u(F,!0)}return N&&(m+="?",m+=u(N,!1)),$&&(m+="#",m+=d?$:p($,!1)),m}function l(c){try{return decodeURIComponent(c)}catch(d){return c.length>3?c.substr(0,3)+l(c.substr(3)):c}}const t=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function r(c){return c.match(t)?c.replace(t,d=>l(d)):c}}),define(Y[105],J([0,1,7]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.log=e.getFirstFrame=e.parse=e.isRemoteConsoleLog=void 0;function R(i){const k=i;return k&&typeof k.type=="string"&&typeof k.severity=="string"}e.isRemoteConsoleLog=R;function L(i){const k=[];let f;try{const b=JSON.parse(i.arguments),g=b[b.length-1];g&&g.__$stack&&(b.pop(),f=g.__$stack),k.push(...b)}catch(b){k.push("Unable to log remote console arguments",i.arguments)}return{args:k,stack:f}}e.parse=L;function E(i){if(typeof i!="string")return E(L(i).stack);const k=i;if(k){const f=M(k),b=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(f||"");if(b&&b.length===4)return{uri:v.URI.file(b[1]),line:Number(b[2]),column:Number(b[3])}}}e.getFirstFrame=E;function M(i){if(!i)return i;const k=i.indexOf(`
`);return k===-1?i:i.substring(0,k)}function n(i,k){const{args:f,stack:b}=L(i),g=typeof f[0]=="string"&&f.length===1;let h=M(b);h&&(h=`(${h.trim()})`);let w=[];if(typeof f[0]=="string"?h&&g?w=[`%c[${k}] %c${f[0]} %c${h}`,y("blue"),y(""),y("grey")]:w=[`%c[${k}] %c${f[0]}`,y("blue"),y(""),...f.slice(1)]:w=[`%c[${k}]%`,y("blue"),...f],h&&!g&&w.push(h),typeof console[i.severity]!="function")throw new Error("Unknown console method");console[i.severity].apply(console,w)}e.log=n;function y(i){return`color: ${i}`}}),define(Y[35],J([0,1,7,21]),function(H,e,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function L(s,o,a){let l=s.get(o);return l===void 0&&(l=a,s.set(o,l)),l}e.getOrSet=L;function E(s){const o=[];return s.forEach((a,l)=>{o.push(`${l} => ${a}`)}),`Map(${s.size}) {${o.join(", ")}}`}e.mapToString=E;function M(s){const o=[];return s.forEach(a=>{o.push(a)}),`Set(${s.size}) {${o.join(", ")}}`}e.setToString=M;class n{constructor(){this._value="",this._pos=0}reset(o){return this._value=o,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(o){const a=o.charCodeAt(0),l=this._value.charCodeAt(this._pos);return a-l}value(){return this._value[this._pos]}}e.StringIterator=n;class y{constructor(o=!0){this._caseSensitive=o}reset(o){return this._value=o,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let o=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(o)this._from++;else break;else o=!1;return this}cmp(o){return this._caseSensitive?R.compareSubstring(o,this._value,0,o.length,this._from,this._to):R.compareSubstringIgnoreCase(o,this._value,0,o.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=y;class i{constructor(o=!0,a=!0){this._splitOnBackslash=o,this._caseSensitive=a}reset(o){return this._value=o.replace(/\\$|\/$/,""),this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let o=!0;for(;this._to<this._value.length;this._to++){const a=this._value.charCodeAt(this._to);if(a===47||this._splitOnBackslash&&a===92)if(o)this._from++;else break;else o=!1}return this}cmp(o){return this._caseSensitive?R.compareSubstring(o,this._value,0,o.length,this._from,this._to):R.compareSubstringIgnoreCase(o,this._value,0,o.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=i;var k;(function(s){s[s.Scheme=1]="Scheme",s[s.Authority=2]="Authority",s[s.Path=3]="Path",s[s.Query=4]="Query",s[s.Fragment=5]="Fragment"})(k||(k={}));class f{constructor(o){this._ignorePathCasing=o,this._states=[],this._stateIdx=0}reset(o){return this._value=o,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new i(!1,!this._ignorePathCasing(o)),this._pathIterator.reset(o.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(o){if(this._states[this._stateIdx]===1)return R.compareIgnoreCase(o,this._value.scheme);if(this._states[this._stateIdx]===2)return R.compareIgnoreCase(o,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(o);if(this._states[this._stateIdx]===4)return R.compare(o,this._value.query);if(this._states[this._stateIdx]===5)return R.compare(o,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=f;class b{isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}}class g{constructor(o){this._iter=o}static forUris(o=()=>!1){return new g(new f(o))}static forPaths(){return new g(new i)}static forStrings(){return new g(new n)}static forConfigKeys(){return new g(new y)}clear(){this._root=void 0}set(o,a){const l=this._iter.reset(o);let t;for(this._root||(this._root=new b,this._root.segment=l.value()),t=this._root;;){const c=l.cmp(t.segment);if(c>0)t.left||(t.left=new b,t.left.segment=l.value()),t=t.left;else if(c<0)t.right||(t.right=new b,t.right.segment=l.value()),t=t.right;else if(l.hasNext())l.next(),t.mid||(t.mid=new b,t.mid.segment=l.value()),t=t.mid;else break}const r=t.value;return t.value=a,t.key=o,r}get(o){var a;return(a=this._getNode(o))===null||a===void 0?void 0:a.value}_getNode(o){const a=this._iter.reset(o);let l=this._root;for(;l;){const t=a.cmp(l.segment);if(t>0)l=l.left;else if(t<0)l=l.right;else if(a.hasNext())a.next(),l=l.mid;else break}return l}has(o){const a=this._getNode(o);return!((a==null?void 0:a.value)===void 0&&(a==null?void 0:a.mid)===void 0)}delete(o){return this._delete(o,!1)}deleteSuperstr(o){return this._delete(o,!0)}_delete(o,a){const l=this._iter.reset(o),t=[];let r=this._root;for(;r;){const c=l.cmp(r.segment);if(c>0)t.push([1,r]),r=r.left;else if(c<0)t.push([-1,r]),r=r.right;else if(l.hasNext())l.next(),t.push([0,r]),r=r.mid;else{for(a?(r.left=void 0,r.mid=void 0,r.right=void 0):r.value=void 0;t.length>0&&r.isEmpty();){let[d,u]=t.pop();switch(d){case 1:u.left=void 0;break;case 0:u.mid=void 0;break;case-1:u.right=void 0;break}r=u}break}}}findSubstr(o){const a=this._iter.reset(o);let l=this._root,t;for(;l;){const r=a.cmp(l.segment);if(r>0)l=l.left;else if(r<0)l=l.right;else if(a.hasNext())a.next(),t=l.value||t,l=l.mid;else break}return l&&l.value||t}findSuperstr(o){const a=this._iter.reset(o);let l=this._root;for(;l;){const t=a.cmp(l.segment);if(t>0)l=l.left;else if(t<0)l=l.right;else if(a.hasNext())a.next(),l=l.mid;else return l.mid?this._entries(l.mid):void 0}}forEach(o){for(const[a,l]of this)o(l,a)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(o){o&&(yield*this._entries(o.left),o.value&&(yield[o.key,o.value]),yield*this._entries(o.mid),yield*this._entries(o.right))}}e.TernarySearchTree=g;class h{constructor(o,a){this[Symbol.toStringTag]="ResourceMap",o instanceof h?(this.map=new Map(o.map),this.toKey=a!=null?a:h.defaultToKey):(this.map=new Map,this.toKey=o!=null?o:h.defaultToKey)}set(o,a){return this.map.set(this.toKey(o),a),this}get(o){return this.map.get(this.toKey(o))}has(o){return this.map.has(this.toKey(o))}get size(){return this.map.size}clear(){this.map.clear()}delete(o){return this.map.delete(this.toKey(o))}forEach(o,a){typeof a!="undefined"&&(o=o.bind(a));for(let[l,t]of this.map)o(t,v.URI.parse(l),this)}values(){return this.map.values()}*keys(){for(let o of this.map.keys())yield v.URI.parse(o)}*entries(){for(let o of this.map.entries())yield[v.URI.parse(o[0]),o[1]]}*[Symbol.iterator](){for(let o of this.map)yield[v.URI.parse(o[0]),o[1]]}}e.ResourceMap=h,h.defaultToKey=s=>s.toString();var w;(function(s){s[s.None=0]="None",s[s.AsOld=1]="AsOld",s[s.AsNew=2]="AsNew"})(w=e.Touch||(e.Touch={}));class S{constructor(){this[Symbol.toStringTag]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){var o;return(o=this._head)===null||o===void 0?void 0:o.value}get last(){var o;return(o=this._tail)===null||o===void 0?void 0:o.value}has(o){return this._map.has(o)}get(o,a=0){const l=this._map.get(o);if(!!l)return a!==0&&this.touch(l,a),l.value}set(o,a,l=0){let t=this._map.get(o);if(t)t.value=a,l!==0&&this.touch(t,l);else{switch(t={key:o,value:a,next:void 0,previous:void 0},l){case 0:this.addItemLast(t);break;case 1:this.addItemFirst(t);break;case 2:this.addItemLast(t);break;default:this.addItemLast(t);break}this._map.set(o,t),this._size++}return this}delete(o){return!!this.remove(o)}remove(o){const a=this._map.get(o);if(!!a)return this._map.delete(o),this.removeItem(a),this._size--,a.value}shift(){if(!(!this._head&&!this._tail)){if(!this._head||!this._tail)throw new Error("Invalid list");const o=this._head;return this._map.delete(o.key),this.removeItem(o),this._size--,o.value}}forEach(o,a){const l=this._state;let t=this._head;for(;t;){if(a?o.bind(a)(t.value,t.key,this):o(t.value,t.key,this),this._state!==l)throw new Error("LinkedMap got modified during iteration.");t=t.next}}keys(){const o=this,a=this._state;let l=this._head;const t={[Symbol.iterator](){return t},next(){if(o._state!==a)throw new Error("LinkedMap got modified during iteration.");if(l){const r={value:l.key,done:!1};return l=l.next,r}else return{value:void 0,done:!0}}};return t}values(){const o=this,a=this._state;let l=this._head;const t={[Symbol.iterator](){return t},next(){if(o._state!==a)throw new Error("LinkedMap got modified during iteration.");if(l){const r={value:l.value,done:!1};return l=l.next,r}else return{value:void 0,done:!0}}};return t}entries(){const o=this,a=this._state;let l=this._head;const t={[Symbol.iterator](){return t},next(){if(o._state!==a)throw new Error("LinkedMap got modified during iteration.");if(l){const r={value:[l.key,l.value],done:!1};return l=l.next,r}else return{value:void 0,done:!0}}};return t}[Symbol.iterator](){return this.entries()}trimOld(o){if(!(o>=this.size)){if(o===0){this.clear();return}let a=this._head,l=this.size;for(;a&&l>o;)this._map.delete(a.key),a=a.next,l--;this._head=a,this._size=l,a&&(a.previous=void 0),this._state++}}addItemFirst(o){if(!this._head&&!this._tail)this._tail=o;else if(this._head)o.next=this._head,this._head.previous=o;else throw new Error("Invalid list");this._head=o,this._state++}addItemLast(o){if(!this._head&&!this._tail)this._head=o;else if(this._tail)o.previous=this._tail,this._tail.next=o;else throw new Error("Invalid list");this._tail=o,this._state++}removeItem(o){if(o===this._head&&o===this._tail)this._head=void 0,this._tail=void 0;else if(o===this._head){if(!o.next)throw new Error("Invalid list");o.next.previous=void 0,this._head=o.next}else if(o===this._tail){if(!o.previous)throw new Error("Invalid list");o.previous.next=void 0,this._tail=o.previous}else{const a=o.next,l=o.previous;if(!a||!l)throw new Error("Invalid list");a.previous=l,l.next=a}o.next=void 0,o.previous=void 0,this._state++}touch(o,a){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(a!==1&&a!==2)){if(a===1){if(o===this._head)return;const l=o.next,t=o.previous;o===this._tail?(t.next=void 0,this._tail=t):(l.previous=t,t.next=l),o.previous=void 0,o.next=this._head,this._head.previous=o,this._head=o,this._state++}else if(a===2){if(o===this._tail)return;const l=o.next,t=o.previous;o===this._head?(l.previous=void 0,this._head=l):(l.previous=t,t.next=l),o.next=void 0,o.previous=this._tail,this._tail.next=o,this._tail=o,this._state++}}}toJSON(){const o=[];return this.forEach((a,l)=>{o.push([l,a])}),o}fromJSON(o){this.clear();for(const[a,l]of o)this.set(a,l)}}e.LinkedMap=S;class p extends S{constructor(o,a=1){super();this._limit=o,this._ratio=Math.min(Math.max(0,a),1)}get limit(){return this._limit}set limit(o){this._limit=o,this.checkTrim()}get ratio(){return this._ratio}set ratio(o){this._ratio=Math.min(Math.max(0,o),1),this.checkTrim()}get(o,a=2){return super.get(o,a)}peek(o){return super.get(o,0)}set(o,a){return super.set(o,a,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=p}),define(Y[77],J([0,1,21,29,8,35,9]),function(H,e,v,R,L,E,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.getEmptyExpression=void 0;function n(){return Object.create(null)}e.getEmptyExpression=n;const y="**",i="/",k="[/\\\\]",f="[^/\\\\]",b=/\//g;function g(P){switch(P){case 0:return"";case 1:return`${f}*?`;default:return`(?:${k}|${f}+${k}|${k}${f}+)*?`}}function h(P,_){if(!P)return[];const T=[];let O=!1,B=!1,j="";for(const V of P){switch(V){case _:if(!O&&!B){T.push(j),j="";continue}break;case"{":O=!0;break;case"}":O=!1;break;case"[":B=!0;break;case"]":B=!1;break}j+=V}return j&&T.push(j),T}e.splitGlobAware=h;function w(P){if(!P)return"";let _="";const T=h(P,i);if(T.every(O=>O===y))_=".*";else{let O=!1;T.forEach((B,j)=>{if(B===y){O||(_+=g(2),O=!0);return}let V=!1,K="",ee=!1,Q="";for(const re of B){if(re!=="}"&&V){K+=re;continue}if(ee&&(re!=="]"||!Q)){let se;re==="-"?se=re:(re==="^"||re==="!")&&!Q?se="^":re===i?se="":se=v.escapeRegExpCharacters(re),Q+=se;continue}switch(re){case"{":V=!0;continue;case"[":ee=!0;continue;case"}":_+=`(?:${h(K,",").map(le=>w(le)).join("|")})`,V=!1,K="";break;case"]":_+="["+Q+"]",ee=!1,Q="";break;case"?":_+=f;continue;case"*":_+=g(1);continue;default:_+=v.escapeRegExpCharacters(re)}}j<T.length-1&&(T[j+1]!==y||j+2<T.length)&&(_+=k),O=!1})}return _}const S=/^\*\*\/\*\.[\w\.-]+$/,p=/^\*\*\/([\w\.-]+)\/?$/,s=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,o=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,a=/^\*\*((\/[\w\.-]+)+)\/?$/,l=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,t=new E.LRUCache(1e4),r=function(){return!1},c=function(){return null};function d(P,_){if(!P)return c;let T;typeof P!="string"?T=P.pattern:T=P,T=T.trim();const O=`${T}_${!!_.trimForExclusions}`;let B=t.get(O);if(B)return u(B,P);let j;if(S.test(T)){const V=T.substr(4);B=function(K,ee){return typeof K=="string"&&K.endsWith(V)?T:null}}else(j=p.exec(m(T,_)))?B=I(j[1],T):(_.trimForExclusions?o:s).test(T)?B=A(T,_):(j=a.exec(m(T,_)))?B=F(j[1].substr(1),T,!0):(j=l.exec(m(T,_)))?B=F(j[1],T,!1):B=N(T);return t.set(O,B),u(B,P)}function u(P,_){return typeof _=="string"?P:function(T,O){return R.isEqualOrParent(T,_.base)?P(L.relative(_.base,T),O):null}}function m(P,_){return _.trimForExclusions&&P.endsWith("/**")?P.substr(0,P.length-2):P}function I(P,_){const T=`/${P}`,O=`\\${P}`,B=function(V,K){return typeof V!="string"?null:K?K===P?_:null:V===P||V.endsWith(T)||V.endsWith(O)?_:null},j=[P];return B.basenames=j,B.patterns=[_],B.allBasenames=j,B}function A(P,_){const T=D(P.slice(1,-1).split(",").map(K=>d(K,_)).filter(K=>K!==c),P),O=T.length;if(!O)return c;if(O===1)return T[0];const B=function(K,ee){for(let Q=0,re=T.length;Q<re;Q++)if(T[Q](K,ee))return P;return null},j=T.find(K=>!!K.allBasenames);j&&(B.allBasenames=j.allBasenames);const V=T.reduce((K,ee)=>ee.allPaths?K.concat(ee.allPaths):K,[]);return V.length&&(B.allPaths=V),B}function F(P,_,T){const O=L.sep===L.posix.sep,B=O?P:P.replace(b,L.sep),j=L.sep+B,V=L.posix.sep+P,K=T?function(ee,Q){return typeof ee=="string"&&(ee===B||ee.endsWith(j)||!O&&(ee===P||ee.endsWith(V)))?_:null}:function(ee,Q){return typeof ee=="string"&&(ee===B||!O&&ee===P)?_:null};return K.allPaths=[(T?"*/":"./")+P],K}function N(P){try{const _=new RegExp(`^${w(P)}$`);return function(T){return _.lastIndex=0,typeof T=="string"&&_.test(T)?P:null}}catch(_){return c}}function $(P,_,T){return!P||typeof _!="string"?!1:z(P)(_,void 0,T)}e.match=$;function z(P,_={}){if(!P)return r;if(typeof P=="string"||C(P)){const T=d(P,_);if(T===c)return r;const O=function(B,j){return!!T(B,j)};return T.allBasenames&&(O.allBasenames=T.allBasenames),T.allPaths&&(O.allPaths=T.allPaths),O}return U(P,_)}e.parse=z;function x(P){if(!!P){let _;return T=>(_||(_=(P()||Promise.resolve([])).then(O=>O?Z(O):{})),_.then(O=>!!O[T]))}}e.hasSiblingPromiseFn=x;function te(P){if(!!P){let _;return T=>{if(!_){const O=P();_=O?Z(O):{}}return!!_[T]}}}e.hasSiblingFn=te;function Z(P){const _={};for(const T of P)_[T]=!0;return _}function C(P){const _=P;return _&&typeof _.base=="string"&&typeof _.pattern=="string"}e.isRelativePattern=C;function X(P){return P.allBasenames||[]}e.getBasenameTerms=X;function G(P){return P.allPaths||[]}e.getPathTerms=G;function U(P,_){const T=D(Object.getOwnPropertyNames(P).map(K=>W(K,P[K],_)).filter(K=>K!==c)),O=T.length;if(!O)return c;if(!T.some(K=>!!K.requiresSiblings)){if(O===1)return T[0];const K=function(re,se){for(let ge=0,le=T.length;ge<le;ge++){const he=T[ge](re,se);if(he)return he}return null},ee=T.find(re=>!!re.allBasenames);ee&&(K.allBasenames=ee.allBasenames);const Q=T.reduce((re,se)=>se.allPaths?re.concat(se.allPaths):re,[]);return Q.length&&(K.allPaths=Q),K}const B=function(K,ee,Q){let re;for(let se=0,ge=T.length;se<ge;se++){const le=T[se];le.requiresSiblings&&Q&&(ee||(ee=L.basename(K)),re||(re=ee.substr(0,ee.length-L.extname(K).length)));const he=le(K,ee,re,Q);if(he)return he}return null},j=T.find(K=>!!K.allBasenames);j&&(B.allBasenames=j.allBasenames);const V=T.reduce((K,ee)=>ee.allPaths?K.concat(ee.allPaths):K,[]);return V.length&&(B.allPaths=V),B}function W(P,_,T){if(_===!1)return c;const O=d(P,T);if(O===c)return c;if(typeof _=="boolean")return O;if(_){const B=_.when;if(typeof B=="string"){const j=(V,K,ee,Q)=>{if(!Q||!O(V,K))return null;const re=B.replace("$(basename)",ee),se=Q(re);return M.isThenable(se)?se.then(ge=>ge?P:null):se?P:null};return j.requiresSiblings=!0,j}}return O}function D(P,_){const T=P.filter(K=>!!K.basenames);if(T.length<2)return P;const O=T.reduce((K,ee)=>{const Q=ee.basenames;return Q?K.concat(Q):K},[]);let B;if(_){B=[];for(let K=0,ee=O.length;K<ee;K++)B.push(_)}else B=T.reduce((K,ee)=>{const Q=ee.patterns;return Q?K.concat(Q):K},[]);const j=function(K,ee){if(typeof K!="string")return null;if(!ee){let re;for(re=K.length;re>0;re--){const se=K.charCodeAt(re-1);if(se===47||se===92)break}ee=K.substr(re)}const Q=O.indexOf(ee);return Q!==-1?B[Q]:null};j.basenames=O,j.patterns=B,j.allBasenames=O;const V=P.filter(K=>!K.basenames);return V.push(j),V}}),define(Y[106],J([0,1,22,21,7]),function(H,e,v,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.parse=e.stringify=void 0;function E(i){return JSON.stringify(i,n)}e.stringify=E;function M(i){let k=JSON.parse(i);return k=y(k),k}e.parse=M;function n(i,k){return k instanceof RegExp?{$mid:2,source:k.source,flags:R.regExpFlags(k)}:k}function y(i,k=0){if(!i||k>200)return i;if(typeof i=="object"){switch(i.$mid){case 1:return L.URI.revive(i);case 2:return new RegExp(i.source,i.flags)}if(i instanceof v.VSBuffer||i instanceof Uint8Array)return i;if(Array.isArray(i))for(let f=0;f<i.length;++f)i[f]=y(i[f],k+1);else for(const f in i)Object.hasOwnProperty.call(i,f)&&(i[f]=y(i[f],k+1))}return i}e.revive=y}),define(Y[10],J([0,1,7,4]),function(H,e,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.Schemas=void 0;var L;(function(n){n.inMemory="inmemory",n.vscode="vscode",n.internal="private",n.walkThrough="walkThrough",n.walkThroughSnippet="walkThroughSnippet",n.http="http",n.https="https",n.file="file",n.mailto="mailto",n.untitled="untitled",n.data="data",n.command="command",n.vscodeRemote="vscode-remote",n.vscodeRemoteResource="vscode-remote-resource",n.userData="vscode-userdata",n.vscodeCustomEditor="vscode-custom-editor",n.vscodeNotebook="vscode-notebook",n.vscodeNotebookCell="vscode-notebook-cell",n.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",n.vscodeSettings="vscode-settings",n.vscodeWorkspaceTrust="vscode-workspace-trust",n.webviewPanel="webview-panel",n.vscodeWebview="vscode-webview",n.vscodeWebviewResource="vscode-webview-resource",n.extension="extension",n.vscodeFileResource="vscode-file"})(L=e.Schemas||(e.Schemas={}));class E{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(y){this._preferredWebSchema=y}setDelegate(y){this._delegate=y}set(y,i,k){this._hosts[y]=i,this._ports[y]=k}setConnectionToken(y,i){this._connectionTokens[y]=i}rewrite(y){if(this._delegate)return this._delegate(y);const i=y.authority;let k=this._hosts[i];k&&k.indexOf(":")!==-1&&(k=`[${k}]`);const f=this._ports[i],b=this._connectionTokens[i];let g=`path=${encodeURIComponent(y.path)}`;return typeof b=="string"&&(g+=`&tkn=${encodeURIComponent(b)}`),v.URI.from({scheme:R.isWeb?this._preferredWebSchema:L.vscodeRemoteResource,authority:`${k}:${f}`,path:"/vscode-remote-resource",query:g})}}e.RemoteAuthorities=new E;class M{constructor(){this.FALLBACK_AUTHORITY="vscode-app"}asBrowserUri(y,i,k){const f=this.toUri(y,i);return f.scheme===L.vscodeRemote?e.RemoteAuthorities.rewrite(f):R.isNative&&(k||R.isPreferringBrowserCodeLoad)&&f.scheme===L.file?f.with({scheme:L.vscodeFileResource,authority:f.authority||this.FALLBACK_AUTHORITY,query:null,fragment:null}):f}asFileUri(y,i){const k=this.toUri(y,i);return k.scheme===L.vscodeFileResource?k.with({scheme:L.file,authority:k.authority!==this.FALLBACK_AUTHORITY?k.authority:null,query:null,fragment:null}):k}toUri(y,i){return v.URI.isUri(y)?y:v.URI.parse(i.toUrl(y))}}e.FileAccess=new M}),define(Y[65],J([0,1,35]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=e.canNormalize=void 0,e.canNormalize=typeof String.prototype.normalize=="function";const R=new v.LRUCache(1e4);function L(i){return y(i,"NFC",R)}e.normalizeNFC=L;const E=new v.LRUCache(1e4);function M(i){return y(i,"NFD",E)}e.normalizeNFD=M;const n=/[^\u0000-\u0080]/;function y(i,k,f){if(!e.canNormalize||!i)return i;const b=f.get(i);if(b)return b;let g;return n.test(i)?g=i.normalize(k):g=i,f.set(i,g),g}e.removeAccents=function(){if(e.canNormalize){const i=/[\u0300-\u036f]/g;return function(k){return M(k).replace(i,"")}}else return function(i){return i}}()}),define(Y[15],J([0,1,29,8,7,21,10,4]),function(H,e,v,R,L,E,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function y(g){return L.uriToFsPath(g,!0)}e.originalFSPath=y;class i{constructor(h){this._ignorePathCasing=h}compare(h,w,S=!1){return h===w?0:E.compare(this.getComparisonKey(h,S),this.getComparisonKey(w,S))}isEqual(h,w,S=!1){return h===w?!0:!h||!w?!1:this.getComparisonKey(h,S)===this.getComparisonKey(w,S)}getComparisonKey(h,w=!1){return h.with({path:this._ignorePathCasing(h)?h.path.toLowerCase():void 0,fragment:w?null:void 0}).toString()}ignorePathCasing(h){return this._ignorePathCasing(h)}isEqualOrParent(h,w,S=!1){if(h.scheme===w.scheme){if(h.scheme===M.Schemas.file)return v.isEqualOrParent(y(h),y(w),this._ignorePathCasing(h))&&h.query===w.query&&(S||h.fragment===w.fragment);if(e.isEqualAuthority(h.authority,w.authority))return v.isEqualOrParent(h.path,w.path,this._ignorePathCasing(h),"/")&&h.query===w.query&&(S||h.fragment===w.fragment)}return!1}joinPath(h,...w){return L.URI.joinPath(h,...w)}basenameOrAuthority(h){return e.basename(h)||h.authority}basename(h){return R.posix.basename(h.path)}extname(h){return R.posix.extname(h.path)}dirname(h){if(h.path.length===0)return h;let w;return h.scheme===M.Schemas.file?w=L.URI.file(R.dirname(y(h))).path:(w=R.posix.dirname(h.path),h.authority&&w.length&&w.charCodeAt(0)!==47&&(console.error(`dirname("${h.toString})) resulted in a relative path`),w="/")),h.with({path:w})}normalizePath(h){if(!h.path.length)return h;let w;return h.scheme===M.Schemas.file?w=L.URI.file(R.normalize(y(h))).path:w=R.posix.normalize(h.path),h.with({path:w})}relativePath(h,w){if(!(h.scheme!==w.scheme||!e.isEqualAuthority(h.authority,w.authority))){if(h.scheme===M.Schemas.file){const s=R.relative(y(h),y(w));return n.isWindows?v.toSlashes(s):s}let S=h.path||"/",p=w.path||"/";if(this._ignorePathCasing(h)){let s=0;for(const o=Math.min(S.length,p.length);s<o&&!(S.charCodeAt(s)!==p.charCodeAt(s)&&S.charAt(s).toLowerCase()!==p.charAt(s).toLowerCase());s++);S=p.substr(0,s)+S.substr(s)}return R.posix.relative(S,p)}}resolvePath(h,w){if(h.scheme===M.Schemas.file){const S=L.URI.file(R.resolve(y(h),w));return h.with({authority:S.authority,path:S.path})}return w.indexOf("/")===-1&&(w=v.toSlashes(w),/^[a-zA-Z]:(\/|$)/.test(w)&&(w="/"+w)),h.with({path:R.posix.resolve(h.path,w)})}isAbsolutePath(h){return!!h.path&&h.path[0]==="/"}isEqualAuthority(h,w){return h===w||E.equalsIgnoreCase(h,w)}hasTrailingPathSeparator(h,w=R.sep){if(h.scheme===M.Schemas.file){const S=y(h);return S.length>v.getRoot(S).length&&S[S.length-1]===w}else{const S=h.path;return S.length>1&&S.charCodeAt(S.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(h.fsPath)}}removeTrailingPathSeparator(h,w=R.sep){return e.hasTrailingPathSeparator(h,w)?h.with({path:h.path.substr(0,h.path.length-1)}):h}addTrailingPathSeparator(h,w=R.sep){let S=!1;if(h.scheme===M.Schemas.file){const p=y(h);S=p!==void 0&&p.length===v.getRoot(p).length&&p[p.length-1]===w}else{w="/";const p=h.path;S=p.length===1&&p.charCodeAt(p.length-1)===47}return!S&&!e.hasTrailingPathSeparator(h,w)?h.with({path:h.path+"/"}):h}}e.ExtUri=i,e.extUri=new i(()=>!1),e.extUriBiasedIgnorePathCase=new i(g=>g.scheme===M.Schemas.file?!n.isLinux:!0),e.extUriIgnorePathCase=new i(g=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function k(g,h){const w=[];for(let S=0;S<g.length;S++){const p=h(g[S]);g.some((s,o)=>o===S?!1:e.isEqualOrParent(p,h(s)))||w.push(g[S])}return w}e.distinctParents=k;var f;(function(g){g.META_DATA_LABEL="label",g.META_DATA_DESCRIPTION="description",g.META_DATA_SIZE="size",g.META_DATA_MIME="mime";function h(w){const S=new Map;w.path.substring(w.path.indexOf(";")+1,w.path.lastIndexOf(";")).split(";").forEach(o=>{const[a,l]=o.split(":");a&&l&&S.set(a,l)});const s=w.path.substring(0,w.path.indexOf(";"));return s&&S.set(g.META_DATA_MIME,s),S}g.parseMetaData=h})(f=e.DataUri||(e.DataUri={}));function b(g,h,w){if(h){let S=g.path;return S&&S[0]!==R.posix.sep&&(S=R.posix.sep+S),g.with({scheme:w,authority:h,path:S})}return g.with({scheme:w})}e.toLocalResource=b}),define(Y[38],J([0,1,7,8,21,10,4,15,29]),function(H,e,v,R,L,E,M,n,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getBaseLabel=e.getPathLabel=void 0;function i(d,u,m){if(typeof d=="string"&&(d=v.URI.file(d)),m){const A=m.getWorkspaceFolder(d);if(A){const F=m.getWorkspace().folders.length>1;let N;if(n.isEqual(A.uri,d)?N="":N=n.relativePath(A.uri,d),F){const $=A.name?A.name:n.basename(A.uri);N=N?$+" \u2022 "+N:$}return N}}if(d.scheme!==E.Schemas.file&&d.scheme!==E.Schemas.untitled)return d.with({query:null,fragment:null}).toString(!0);if(y.hasDriveLetter(d.fsPath))return R.normalize(f(d.fsPath));let I=R.normalize(d.fsPath);return!M.isWindows&&(u==null?void 0:u.userHome)&&(I=g(I,u.userHome.fsPath)),I}e.getPathLabel=i;function k(d){if(!!d){typeof d=="string"&&(d=v.URI.file(d));const u=n.basename(d)||(d.scheme===E.Schemas.file?d.fsPath:d.path);return M.isWindows&&y.isRootOrDriveLetter(u)?f(u):u}}e.getBaseLabel=k;function f(d){return y.hasDriveLetter(d)?d.charAt(0).toUpperCase()+d.slice(1):d}e.normalizeDriveLetter=f;let b=Object.create(null);function g(d,u){if(M.isWindows||!d||!u)return d;let m=b.original===u?b.normalized:void 0;return m||(m=`${L.rtrim(u,R.posix.sep)}${R.posix.sep}`,b={original:u,normalized:m}),(M.isLinux?d.startsWith(m):L.startsWithIgnoreCase(d,m))&&(d=`~/${d.substr(m.length)}`),d}e.tildify=g;function h(d,u){return d.replace(/^~($|\/|\\)/,`${u}$1`)}e.untildify=h;const w="\u2026",S="\\\\",p="~";function s(d,u=R.sep){const m=new Array(d.length);let I=!1;for(let A=0;A<d.length;A++){let F=d[A];if(F===""){m[A]=`.${u}`;continue}if(!F){m[A]=F;continue}I=!0;let N="";F.indexOf(S)===0?(N=F.substr(0,F.indexOf(S)+S.length),F=F.substr(F.indexOf(S)+S.length)):F.indexOf(u)===0?(N=F.substr(0,F.indexOf(u)+u.length),F=F.substr(F.indexOf(u)+u.length)):F.indexOf(p)===0&&(N=F.substr(0,F.indexOf(p)+p.length),F=F.substr(F.indexOf(p)+p.length));const $=F.split(u);for(let z=1;I&&z<=$.length;z++)for(let x=$.length-z;I&&x>=0;x--){I=!1;let te=$.slice(x,x+z).join(u);for(let Z=0;!I&&Z<d.length;Z++)if(Z!==A&&d[Z]&&d[Z].indexOf(te)>-1){const C=x+z===$.length,X=x>0&&d[Z].indexOf(u)>-1?u+te:te,G=d[Z].endsWith(X);I=!C||G}if(!I){let Z="";($[0].endsWith(":")||N!=="")&&(x===1&&(x=0,z++,te=$[0]+u+te),x>0&&(Z=$[0]+u),Z=N+Z),x>0&&(Z=Z+w+u),Z=Z+te,x+z<$.length&&(Z=Z+u+w),m[A]=Z}}I&&(m[A]=F)}return m}e.shorten=s;var o;(function(d){d[d.TEXT=0]="TEXT",d[d.VARIABLE=1]="VARIABLE",d[d.SEPARATOR=2]="SEPARATOR"})(o||(o={}));function a(d,u=Object.create(null)){const m=[];let I=!1,A="";for(const F of d)if(F==="$"||I&&F==="{")A&&m.push({value:A,type:o.TEXT}),A="",I=!0;else if(F==="}"&&I){const N=u[A];if(typeof N=="string")N.length&&m.push({value:N,type:o.VARIABLE});else if(N){const $=m[m.length-1];(!$||$.type!==o.SEPARATOR)&&m.push({value:N.label,type:o.SEPARATOR})}A="",I=!1}else A+=F;return A&&!I&&m.push({value:A,type:o.TEXT}),m.filter((F,N)=>{if(F.type===o.SEPARATOR){const $=m[N-1],z=m[N+1];return[$,z].every(x=>x&&(x.type===o.VARIABLE||x.type===o.TEXT)&&x.value.length>0)}return!0}).map(F=>F.value).join("")}e.template=a;function l(d,u){return M.isMacintosh||u?d.replace(/\(&&\w\)|&&/g,"").replace(/&/g,M.isMacintosh?"&":"&&"):d.replace(/&&|&/g,m=>m==="&"?"&&":"&")}e.mnemonicMenuLabel=l;function t(d,u){return M.isMacintosh||u?d.replace(/\(&&\w\)|&&/g,""):M.isWindows?d.replace(/&&|&/g,m=>m==="&"?"&&":"&"):d.replace(/&&/g,"_")}e.mnemonicButtonLabel=t;function r(d){return d.replace(/&/g,"&&")}e.unmnemonicLabel=r;function c(d){const u=d.indexOf("/")!==-1?R.posix:R.win32,m=u.basename(d),I=u.dirname(d);return m.length?{name:m,parentPath:I}:{name:I,parentPath:""}}e.splitName=c}),define(Y[107],J([0,1,8,21,77,10,15]),function(H,e,v,R,L,E,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getExtensionForMimeType=e.getMediaMime=e.isUnspecific=e.guessMimeTypes=e.clearTextMimes=e.registerTextMime=e.MIME_UNKNOWN=e.MIME_BINARY=e.MIME_TEXT=void 0,e.MIME_TEXT="text/plain",e.MIME_BINARY="application/octet-stream",e.MIME_UNKNOWN="application/unknown";let n=[],y=[],i=[];function k(a,l=!1){const t=f(a);n.push(t),t.userConfigured?i.push(t):y.push(t),l&&!t.userConfigured&&n.forEach(r=>{r.mime===t.mime||r.userConfigured||(t.extension&&r.extension===t.extension&&console.warn(`Overwriting extension <<${t.extension}>> to now point to mime <<${t.mime}>>`),t.filename&&r.filename===t.filename&&console.warn(`Overwriting filename <<${t.filename}>> to now point to mime <<${t.mime}>>`),t.filepattern&&r.filepattern===t.filepattern&&console.warn(`Overwriting filepattern <<${t.filepattern}>> to now point to mime <<${t.mime}>>`),t.firstline&&r.firstline===t.firstline&&console.warn(`Overwriting firstline <<${t.firstline}>> to now point to mime <<${t.mime}>>`))})}e.registerTextMime=k;function f(a){return{id:a.id,mime:a.mime,filename:a.filename,extension:a.extension,filepattern:a.filepattern,firstline:a.firstline,userConfigured:a.userConfigured,filenameLowercase:a.filename?a.filename.toLowerCase():void 0,extensionLowercase:a.extension?a.extension.toLowerCase():void 0,filepatternLowercase:a.filepattern?a.filepattern.toLowerCase():void 0,filepatternOnPath:a.filepattern?a.filepattern.indexOf(v.posix.sep)>=0:!1}}function b(a){a?(n=n.filter(l=>!l.userConfigured),i=[]):(n=[],y=[],i=[])}e.clearTextMimes=b;function g(a,l){let t;if(a)switch(a.scheme){case E.Schemas.file:t=a.fsPath;break;case E.Schemas.data:t=M.DataUri.parseMetaData(a).get(M.DataUri.META_DATA_LABEL);break;default:t=a.path}if(!t)return[e.MIME_UNKNOWN];t=t.toLowerCase();const r=v.basename(t),c=h(t,r,i);if(c)return[c,e.MIME_TEXT];const d=h(t,r,y);if(d)return[d,e.MIME_TEXT];if(l){const u=w(l);if(u)return[u,e.MIME_TEXT]}return[e.MIME_UNKNOWN]}e.guessMimeTypes=g;function h(a,l,t){let r=null,c=null,d=null;for(let u=t.length-1;u>=0;u--){const m=t[u];if(l===m.filenameLowercase){r=m;break}if(m.filepattern&&(!c||m.filepattern.length>c.filepattern.length)){const I=m.filepatternOnPath?a:l;L.match(m.filepatternLowercase,I)&&(c=m)}m.extension&&(!d||m.extension.length>d.extension.length)&&l.endsWith(m.extensionLowercase)&&(d=m)}return r?r.mime:c?c.mime:d?d.mime:null}function w(a){if(R.startsWithUTF8BOM(a)&&(a=a.substr(1)),a.length>0)for(let l=n.length-1;l>=0;l--){const t=n[l];if(!!t.firstline){const r=a.match(t.firstline);if(r&&r.length>0)return t.mime}}return null}function S(a){return a?typeof a=="string"?a===e.MIME_BINARY||a===e.MIME_TEXT||a===e.MIME_UNKNOWN:a.length===1&&S(a[0]):!0}e.isUnspecific=S;const p={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function s(a){const l=v.extname(a);return p[l.toLowerCase()]}e.getMediaMime=s;function o(a){for(const l in p)if(p[l]===a)return l}e.getExtensionForMimeType=o}),define(Y[30],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const v=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function R(y){return v.test(y)}e.isUUID=R;const L=new Uint8Array(16),E=[];for(let y=0;y<256;y++)E.push(y.toString(16).padStart(2,"0"));let M;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?M=crypto.getRandomValues.bind(crypto):M=function(y){for(let i=0;i<y.length;i++)y[i]=Math.floor(Math.random()*256);return y};function n(){M(L),L[6]=L[6]&15|64,L[8]=L[8]&63|128;let y=0,i="";return i+=E[L[y++]],i+=E[L[y++]],i+=E[L[y++]],i+=E[L[y++]],i+="-",i+=E[L[y++]],i+=E[L[y++]],i+="-",i+=E[L[y++]],i+=E[L[y++]],i+="-",i+=E[L[y++]],i+=E[L[y++]],i+="-",i+=E[L[y++]],i+=E[L[y++]],i+=E[L[y++]],i+=E[L[y++]],i+=E[L[y++]],i+=E[L[y++]],i}e.generateUuid=n}),define(Y[108],J([0,1,23,58,41]),function(H,e,v,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checksum=void 0;async function E(M,n){if(await new Promise((k,f)=>{const b=v.createReadStream(M),g=R.createHash("sha1");b.pipe(g);const h=L.once((w,S)=>{b.removeAllListeners(),g.removeAllListeners(),w?f(w):k(S)});b.once("error",h),b.once("end",h),g.once("error",h),g.once("data",w=>h(void 0,w.toString("hex")))})!==n)throw new Error("Hash mismatch")}e.checksum=E}),define(Y[78],J([0,1,233]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class R{constructor(E="utf8"){this.stringDecoder=new v.StringDecoder(E),this.remaining=null}write(E){const M=[],n=this.remaining?this.remaining+this.stringDecoder.write(E):this.stringDecoder.write(E);if(n.length<1)return M;let y=0,i,k=y;for(;k<n.length;)if(i=n.charCodeAt(k),i===13||i===10){if(M.push(n.substring(y,k)),k++,k<n.length){const f=i;i=n.charCodeAt(k),(f===13&&i===10||f===10&&i===13)&&k++}y=k}else k++;return this.remaining=y<n.length?n.substr(y):null,M}end(){return this.remaining}}e.LineDecoder=R}),define(Y[109],J([0,1,27]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMac=void 0;const R=new Set(["00:00:00:00:00:00","ff:ff:ff:ff:ff:ff","ac:de:48:00:11:22"]);function L(n){const y=n.replace(/\-/g,":").toLowerCase();return!R.has(y)}function E(){return new Promise(async(n,y)=>{const i=setTimeout(()=>y("Unable to retrieve mac address (timeout after 10s)"),1e4);try{n(await M())}catch(k){y(k)}finally{clearTimeout(i)}})}e.getMac=E;function M(){return new Promise((n,y)=>{try{const i=v.networkInterfaces();for(const[,k]of Object.entries(i))for(const f of k)if(L(f.mac))return n(f.mac);y("Unable to retrieve mac address (unexpected format)")}catch(i){y(i)}})}}),define(Y[66],J([0,1,20,30,27,35,109]),function(H,e,v,R,L,E,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMachineId=e.virtualMachineHint=void 0,e.virtualMachineHint=new class{_isVirtualMachineMacAdress(k){return this._virtualMachineOUIs||(this._virtualMachineOUIs=E.TernarySearchTree.forStrings(),this._virtualMachineOUIs.set("00-50-56",!0),this._virtualMachineOUIs.set("00-0C-29",!0),this._virtualMachineOUIs.set("00-05-69",!0),this._virtualMachineOUIs.set("00-03-FF",!0),this._virtualMachineOUIs.set("00-1C-42",!0),this._virtualMachineOUIs.set("00-16-3E",!0),this._virtualMachineOUIs.set("08-00-27",!0),this._virtualMachineOUIs.set("00:50:56",!0),this._virtualMachineOUIs.set("00:0C:29",!0),this._virtualMachineOUIs.set("00:05:69",!0),this._virtualMachineOUIs.set("00:03:FF",!0),this._virtualMachineOUIs.set("00:1C:42",!0),this._virtualMachineOUIs.set("00:16:3E",!0),this._virtualMachineOUIs.set("08:00:27",!0)),!!this._virtualMachineOUIs.findSubstr(k)}value(){if(this._value===void 0){let k=0,f=0;const b=L.networkInterfaces();for(let g in b)if(Object.prototype.hasOwnProperty.call(b,g))for(const{mac:h,internal:w}of b[g])w||(f+=1,this._isVirtualMachineMacAdress(h.toUpperCase())&&(k+=1));this._value=f>0?k/f:0}return this._value}};let n;async function y(){return n||(n=(async()=>await i()||R.generateUuid())()),n}e.getMachineId=y;async function i(){try{const k=await new Promise((b,g)=>{H(["crypto"],b,g)}),f=await M.getMac();return k.createHash("sha256").update(f,"utf8").digest("hex")}catch(k){v.onUnexpectedError(k);return}}}),define(Y[24],J([0,1,23,27,8,9,4,3,29,30,65]),function(H,e,v,R,L,E,M,n,y,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.exists=e.copy=e.move=e.writeFileSync=e.writeFile=e.SymlinkSupport=e.whenDeleted=e.readDirsInDir=e.readdirSync=e.readdir=e.rimrafSync=e.rimraf=e.RimRafMode=e.MAX_HEAP_SIZE=e.MAX_FILE_SIZE=void 0;const f=300*1024*1024,b=16*1024*1024*1024,g=700*1024*1024,h=700*2*1024*1024;e.MAX_FILE_SIZE=process.arch==="ia32"?f:b,e.MAX_HEAP_SIZE=process.arch==="ia32"?g:h;var w;(function(P){P[P.UNLINK=0]="UNLINK",P[P.MOVE=1]="MOVE"})(w=e.RimRafMode||(e.RimRafMode={}));async function S(P,_=w.UNLINK){if(y.isRootOrDriveLetter(P))throw new Error("rimraf - will refuse to recursively delete root");return _===w.UNLINK?s(P):p(P)}e.rimraf=S;async function p(P){try{const _=L.join(R.tmpdir(),i.generateUuid());try{await v.promises.rename(P,_)}catch(T){return s(P)}s(_).catch(T=>{})}catch(_){if(_.code!=="ENOENT")throw _}}async function s(P){return v.promises.rmdir(P,{recursive:!0,maxRetries:3})}function o(P){if(y.isRootOrDriveLetter(P))throw new Error("rimraf - will refuse to recursively delete root");v.rmdirSync(P,{recursive:!0})}e.rimrafSync=o;async function a(P,_){return r(await(_?l(P):v.promises.readdir(P)))}e.readdir=a;async function l(P){try{return await v.promises.readdir(P,{withFileTypes:!0})}catch(O){console.warn("[node.js fs] readdir with filetypes failed with error: ",O)}const _=[],T=await a(P);for(const O of T){let B=!1,j=!1,V=!1;try{const K=await v.promises.lstat(L.join(P,O));B=K.isFile(),j=K.isDirectory(),V=K.isSymbolicLink()}catch(K){console.warn("[node.js fs] unexpected error from lstat after readdir: ",K)}_.push({name:O,isFile:()=>B,isDirectory:()=>j,isSymbolicLink:()=>V})}return _}function t(P){return r(v.readdirSync(P))}e.readdirSync=t;function r(P){return P.map(_=>typeof _=="string"?M.isMacintosh?k.normalizeNFC(_):_:(_.name=M.isMacintosh?k.normalizeNFC(_.name):_.name,_))}async function c(P){const _=await a(P),T=[];for(const O of _)await u.existsDirectory(L.join(P,O))&&T.push(O);return T}e.readDirsInDir=c;function d(P,_=1e3){return new Promise(T=>{let O=!1;const B=setInterval(()=>{O||(O=!0,v.access(P,j=>{O=!1,j&&(clearInterval(B),T(void 0))}))},_)})}e.whenDeleted=d;var u;(function(P){async function _(B){let j;try{if(j=await v.promises.lstat(B),!j.isSymbolicLink())return{stat:j}}catch(V){}try{return{stat:await v.promises.stat(B),symbolicLink:(j==null?void 0:j.isSymbolicLink())?{dangling:!1}:void 0}}catch(V){if(V.code==="ENOENT"&&j)return{stat:j,symbolicLink:{dangling:!0}};if(M.isWindows&&V.code==="EACCES")try{return{stat:await v.promises.stat(await v.promises.readlink(B)),symbolicLink:{dangling:!1}}}catch(K){if(K.code==="ENOENT"&&j)return{stat:j,symbolicLink:{dangling:!0}};throw K}throw V}}P.stat=_;async function T(B){try{const{stat:j,symbolicLink:V}=await P.stat(B);return j.isFile()&&(V==null?void 0:V.dangling)!==!0}catch(j){}return!1}P.existsFile=T;async function O(B){try{const{stat:j,symbolicLink:V}=await P.stat(B);return j.isDirectory()&&(V==null?void 0:V.dangling)!==!0}catch(j){}return!1}P.existsDirectory=O})(u=e.SymlinkSupport||(e.SymlinkSupport={}));function m(P,_,T){const O=A(P);return F(O).queue(()=>{const B=x(T);return new Promise((j,V)=>$(P,_,B,K=>K?V(K):j()))})}e.writeFile=m;const I=new Map;function A(P){let _=P;return(M.isWindows||M.isMacintosh)&&(_=_.toLowerCase()),_}function F(P){const _=I.get(P);if(_)return _;const T=new E.Queue;return I.set(P,T),n.Event.once(T.onFinished)(()=>{I.delete(P),T.dispose()}),T}let N=!0;function $(P,_,T,O){if(!N)return v.writeFile(P,_,{mode:T.mode,flag:T.flag},O);v.open(P,T.flag,T.mode,(B,j)=>{if(B)return O(B);v.writeFile(j,_,V=>{if(V)return v.close(j,()=>O(V));v.fdatasync(j,K=>(K&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",K),N=!1),v.close(j,ee=>O(ee))))})})}function z(P,_,T){const O=x(T);if(!N)return v.writeFileSync(P,_,{mode:O.mode,flag:O.flag});const B=v.openSync(P,O.flag,O.mode);try{v.writeFileSync(B,_);try{v.fdatasyncSync(B)}catch(j){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",j),N=!1}}finally{v.closeSync(B)}}e.writeFileSync=z;function x(P){return P?{mode:typeof P.mode=="number"?P.mode:438,flag:typeof P.flag=="string"?P.flag:"w"}:{mode:438,flag:"w"}}async function te(P,_){if(P!==_){async function T(O){try{const B=await v.promises.lstat(O);if(B.isDirectory()||B.isSymbolicLink())return;const j=await v.promises.open(O,"a");try{await j.utimes(B.atime,new Date)}finally{await j.close()}}catch(B){}}try{await v.promises.rename(P,_),await T(_)}catch(O){if(P.toLowerCase()!==_.toLowerCase()&&O.code==="EXDEV"||P.endsWith("."))await Z(P,_,{preserveSymlinks:!1}),await S(P,w.MOVE),await T(_);else throw O}}}e.move=te;async function Z(P,_,T){return X(P,_,{root:{source:P,target:_},options:T,handledSourcePaths:new Set})}e.copy=Z;const C=511;async function X(P,_,T){if(!T.handledSourcePaths.has(P)){T.handledSourcePaths.add(P);const{stat:O,symbolicLink:B}=await u.stat(P);if(B){if(B.dangling)return;if(T.options.preserveSymlinks)try{return await W(P,_,T)}catch(j){console.warn("[node.js fs] copy of symlink failed: ",j)}}return O.isDirectory()?G(P,_,O.mode&C,T):U(P,_,O.mode&C)}}async function G(P,_,T,O){await v.promises.mkdir(_,{recursive:!0,mode:T});const B=await a(P);for(const j of B)await X(L.join(P,j),L.join(_,j),O)}async function U(P,_,T){await v.promises.copyFile(P,_),await v.promises.chmod(_,T)}async function W(P,_,T){let O=await v.promises.readlink(P);y.isEqualOrParent(O,T.root.source,!M.isLinux)&&(O=L.join(T.root.target,O.substr(T.root.source.length+1))),await v.promises.symlink(O,_)}async function D(P){try{return await v.promises.access(P),!0}catch(_){return!1}}e.exists=D}),define(Y[110],J([0,1,23,21,8,24]),function(H,e,v,R,L,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcaseSync=void 0;function M(k){const f=L.dirname(k);if(k===f)return k;const b=(L.basename(k)||k).toLowerCase();try{const h=E.readdirSync(f).filter(w=>w.toLowerCase()===b);if(h.length===1){const w=M(f);if(w)return L.join(w,h[0])}else if(h.length>1){const w=h.indexOf(b);if(w>=0){const S=M(f);if(S)return L.join(S,h[w])}}}catch(g){}return null}e.realcaseSync=M;async function n(k){try{return await v.promises.realpath(k)}catch(f){const b=i(k);return await v.promises.access(b,v.constants.R_OK),b}}e.realpath=n;function y(k){try{return v.realpathSync(k)}catch(f){const b=i(k);return v.accessSync(b,v.constants.R_OK),b}}e.realpathSync=y;function i(k){return R.rtrim(L.normalize(k),L.sep)}}),define(Y[111],J([0,1,59]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findFreePortFaster=e.findFreePort=e.randomPort=void 0;function R(){const y=1025;return y+Math.floor((65535-y)*Math.random())}e.randomPort=R;function L(y,i,k){let f=!1;return new Promise(b=>{const g=setTimeout(()=>{if(!f)return f=!0,b(0)},k);E(y,i,h=>{if(!f)return f=!0,clearTimeout(g),b(h)})})}e.findFreePort=L;function E(y,i,k){if(i===0)return k(0);const f=new v.Socket;f.once("connect",()=>(n(f),E(y+1,i-1,k))),f.once("data",()=>{}),f.once("error",b=>(n(f),b.code!=="ECONNREFUSED"?E(y+1,i-1,k):k(y))),f.connect(y,"127.0.0.1")}function M(y,i,k){let f=!1,b,g=1;const h=v.createServer({pauseOnConnect:!0});function w(S,p){f||(f=!0,h.removeAllListeners(),h.close(),b&&clearTimeout(b),p(S))}return new Promise(S=>{b=setTimeout(()=>{w(0,S)},k),h.on("listening",()=>{w(y,S)}),h.on("error",p=>{p&&(p.code==="EADDRINUSE"||p.code==="EACCES")&&g<i?(y++,g++,h.listen(y,"127.0.0.1")):w(0,S)}),h.on("close",()=>{w(0,S)}),h.listen(y,"127.0.0.1")})}e.findFreePortFaster=M;function n(y){try{y.removeAllListeners("connect"),y.removeAllListeners("error"),y.end(),y.destroy(),y.unref()}catch(i){console.error(i)}}});var Re=this&&this.__await||function(H){return this instanceof Re?(this.v=H,this):new Re(H)},pt=this&&this.__asyncGenerator||function(H,e,v){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var R=v.apply(H,e||[]),L,E=[];return L={},M("next"),M("throw"),M("return"),L[Symbol.asyncIterator]=function(){return this},L;function M(b){R[b]&&(L[b]=function(g){return new Promise(function(h,w){E.push([b,g,h,w])>1||n(b,g)})})}function n(b,g){try{y(R[b](g))}catch(h){f(E[0][3],h)}}function y(b){b.value instanceof Re?Promise.resolve(b.value.v).then(i,k):f(E[0][2],b)}function i(b){n("next",b)}function k(b){n("throw",b)}function f(b,g){b(g),E.shift(),E.length&&n(E[0][0],E[0][1])}},yt=this&&this.__asyncValues||function(H){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var e=H[Symbol.asyncIterator],v;return e?e.call(H):(H=typeof __values=="function"?__values(H):H[Symbol.iterator](),v={},R("next"),R("throw"),R("return"),v[Symbol.asyncIterator]=function(){return this},v);function R(E){v[E]=H[E]&&function(M){return new Promise(function(n,y){M=H[E](M),L(n,y,M.done,M.value)})}}function L(E,M,n,y){Promise.resolve(y).then(function(i){E({value:i,done:n})},M)}};define(Y[112],J([0,1,24,27,8,51]),function(H,e,v,R,L,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getFirstAvailablePowerShellInstallation=e.enumeratePowerShellInstallations=void 0;const M=/^\d+$/,n=/^Microsoft.PowerShell_.*/,y=/^Microsoft.PowerShellPreview_.*/;var i;(function(l){l[l.x64=0]="x64",l[l.x86=1]="x86",l[l.ARM=2]="ARM"})(i||(i={}));let k;switch(process.arch){case"ia32":case"x32":k=1;break;case"arm":case"arm64":k=2;break;default:k=0;break}let f;process.env.PROCESSOR_ARCHITEW6432?f=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?f=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?f=1:f=0;class b{constructor(t,r,c){this.exePath=t,this.displayName=r,this.knownToExist=c}async exists(){return this.knownToExist===void 0&&(this.knownToExist=await v.SymlinkSupport.existsFile(this.exePath)),this.knownToExist}}function g({useAlternateBitness:l=!1}={}){return l?k===0?E.env["ProgramFiles(x86)"]||null:f===0&&E.env.ProgramW6432||null:E.env.ProgramFiles||null}async function h({useAlternateBitness:l=!1,findPreview:t=!1}={}){const r=g({useAlternateBitness:l});if(!r)return null;const c=L.join(r,"PowerShell");if(!await v.SymlinkSupport.existsDirectory(c))return null;let d=-1,u=null;for(const A of await v.readdir(c)){let F=-1;if(t){const $=A.indexOf("-");if($<0)continue;const z=A.substring(0,$);if(!M.test(z)||A.substring($+1)!=="preview")continue;F=parseInt(z,10)}else{if(!M.test(A))continue;F=parseInt(A,10)}if(!(F<=d)){const N=L.join(c,A,"pwsh.exe");!await v.SymlinkSupport.existsFile(N)||(u=N,d=F)}}if(!u)return null;const m=r.includes("x86")?" (x86)":"",I=t?" Preview":"";return new b(u,`PowerShell${I}${m}`,!0)}async function w({findPreview:l}={}){if(!E.env.LOCALAPPDATA)return null;const t=L.join(E.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await v.SymlinkSupport.existsDirectory(t))return null;const{pwshMsixDirRegex:r,pwshMsixName:c}=l?{pwshMsixDirRegex:y,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:n,pwshMsixName:"PowerShell (Store)"};try{for(const d of await v.readdir(t))if(r.test(d)){const u=L.join(t,d,"pwsh.exe");return new b(u,c)}}catch(d){console.warn(`Unable to read MSIX directory (${t}) because of the following error: ${d}`)}return null}function S(){const l=L.join(R.homedir(),".dotnet","tools","pwsh.exe");return new b(l,".NET Core PowerShell Global Tool")}function p(){const l=L.join(E.env.windir,k===1&&f!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new b(l,"Windows PowerShell",!0)}function s(){return pt(this,arguments,function*(){let t=yield Re(h());t&&(yield yield Re(t)),t=yield Re(h({useAlternateBitness:!0})),t&&(yield yield Re(t)),t=yield Re(w()),t&&(yield yield Re(t)),t=S(),t&&(yield yield Re(t)),t=yield Re(h({findPreview:!0})),t&&(yield yield Re(t)),t=yield Re(w({findPreview:!0})),t&&(yield yield Re(t)),t=yield Re(h({useAlternateBitness:!0,findPreview:!0})),t&&(yield yield Re(t)),t=p(),t&&(yield yield Re(t))})}function o(){return pt(this,arguments,function*(){var t,r;try{for(var c=yt(s()),d;d=yield Re(c.next()),!d.done;){const u=d.value;(yield Re(u.exists()))&&(yield yield Re(u))}}catch(u){t={error:u}}finally{try{d&&!d.done&&(r=c.return)&&(yield Re(r.call(c)))}finally{if(t)throw t.error}}})}e.enumeratePowerShellInstallations=o;async function a(){var l,t;try{for(var r=yt(o()),c;c=await r.next(),!c.done;)return c.value}catch(d){l={error:d}}finally{try{c&&!c.done&&(t=r.return)&&await t.call(r)}finally{if(l)throw l.error}}return null}e.getFirstAvailablePowerShellInstallation=a}),define(Y[79],J([0,1,45,10]),function(H,e,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.listProcesses=void 0;function L(M){return new Promise((n,y)=>{let i;const k=new Map;function f(h,w,S,p,s){const o=k.get(w);if(h===M||o){const a={name:b(S),cmd:S,pid:h,ppid:w,load:p,mem:s};k.set(h,a),h===M&&(i=a),o&&(o.children||(o.children=[]),o.children.push(a),o.children.length>1&&(o.children=o.children.sort((l,t)=>l.pid-t.pid)))}}function b(h){const w=/--disable-blink-features=Auxclick/,S=/\\watcher\\win32\\CodeHelper\.exe/,p=/--crashes-directory/,s=/\\pipe\\winpty-control/,o=/conhost\.exe/,a=/--type=([a-zA-Z-]+)/;if(S.exec(h))return"watcherService ";if(p.exec(h))return"electron-crash-reporter";if(s.exec(h))return"winpty-process";if(o.exec(h))return"console-window-host (Windows internal process)";let l=a.exec(h);if(l&&l.length===2)return l[1]==="renderer"?w.exec(h)?"shared-process":"window":l[1];const t=/[a-zA-Z-]+\.js/g;let r="";do l=t.exec(h),l&&(r+=l+" ");while(l);return r&&h.indexOf("node ")<0&&h.indexOf("node.exe")<0?`electron_node ${r}`:h}if(process.platform==="win32"){const h=w=>w.indexOf("\\\\?\\")===0||w.indexOf("\\??\\")===0?w.substr(4):w.indexOf('"\\\\?\\')===0||w.indexOf('"\\??\\')===0?'"'+w.substr(5):w;new Promise((w,S)=>{H(["windows-process-tree"],w,S)}).then(w=>{w.getProcessList(M,S=>{w.getProcessCpuUsage(S,p=>{const s=new Map;p.forEach(o=>{const a=h(o.commandLine||"");s.set(o.pid,{name:b(a),cmd:a,pid:o.pid,ppid:o.ppid,load:o.cpu||0,mem:o.memory||0})}),i=s.get(M),i?(s.forEach(o=>{const a=s.get(o.ppid);a&&(a.children||(a.children=[]),a.children.push(o))}),s.forEach(o=>{o.children&&(o.children=o.children.sort((a,l)=>a.pid-l.pid))}),n(i)):y(new Error(`Root process ${M} not found`))})},w.ProcessDataFlag.CommandLine|w.ProcessDataFlag.Memory)})}else{function g(){let h=[i];const w=[];for(;h.length;){const p=h.shift();p&&(w.push(p.pid),p.children&&(h=h.concat(p.children)))}let S=JSON.stringify(R.FileAccess.asFileUri("vs/base/node/cpuUsage.sh",H).fsPath);S+=" "+w.join(" "),v.exec(S,{},(p,s,o)=>{if(p||o)y(p||new Error(o.toString()));else{const a=s.toString().split(`
`);for(let l=0;l<w.length;l++){const t=k.get(w[l]);t.load=parseFloat(a[l])}if(!i){y(new Error(`Root process ${M} not found`));return}n(i)}})}v.exec("which ps",{},(h,w,S)=>{if(h||S)if(process.platform!=="linux")y(h||new Error(S.toString()));else{const p=JSON.stringify(R.FileAccess.asFileUri("vs/base/node/ps.sh",H).fsPath);v.exec(p,{},(s,o,a)=>{s||a?y(s||new Error(a.toString())):(E(o,f),g())})}else{const p=w.toString().trim(),s="-ax -o pid=,ppid=,pcpu=,pmem=,command=";v.exec(`${p} ${s}`,{maxBuffer:1e3*1024,env:{LC_NUMERIC:"en_US.UTF-8"}},(o,a,l)=>{o||l&&!l.includes("screen size is bogus")?y(o||new Error(l.toString())):(E(a,f),process.platform==="linux"?g():i?n(i):y(new Error(`Root process ${M} not found`)))})}})}})}e.listProcesses=L;function E(M,n){const y=/^\s*([0-9]+)\s+([0-9]+)\s+([0-9]+\.[0-9]+)\s+([0-9]+\.[0-9]+)\s+(.+)$/,i=M.toString().split(`
`);for(const k of i){const f=y.exec(k.trim());f&&f.length===6&&n(parseInt(f[1]),parseInt(f[2]),f[5],parseFloat(f[3]),parseFloat(f[4]))}}}),function(){"use strict";function H(e,v,R){function L(){let E=process.env.VSCODE_APPDATA;if(!E)switch(process.platform){case"win32":if(E=process.env.APPDATA,!E){const M=process.env.USERPROFILE;if(typeof M!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");E=e.join(M,"AppData","Roaming")}break;case"darwin":E=e.join(v.homedir(),"Library","Application Support");break;case"linux":E=process.env.XDG_CONFIG_HOME||e.join(v.homedir(),".config");break;default:throw new Error("Platform not supported")}return e.join(E,R)}return{getDefaultUserDataPath:L}}if(typeof define=="function")define(Y[113],J([0,234,27,10,15]),function(e,v,R,L,E){const M=E.dirname(L.FileAccess.asFileUri("",e)),n=e.__$__nodeRequire(E.joinPath(M,"package.json").fsPath);return H(v,R,n.name)});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("../../../../package.json"),v=require("path"),R=require("os");module.exports=H(v,R,e.name)}else throw new Error("Unknown context")}(),define(Y[114],J([0,1,8,23,4,65,2,24]),function(H,e,v,R,L,E,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CHANGE_BUFFER_DELAY=e.watchFolder=e.watchFile=void 0;function y(f,b,g){return k({path:f,isDirectory:!1},b,g)}e.watchFile=y;function i(f,b,g){return k({path:f,isDirectory:!0},b,g)}e.watchFolder=i,e.CHANGE_BUFFER_DELAY=100;function k(f,b,g){const h=v.basename(f.path),w=new Map;let S=!1,p=[M.toDisposable(()=>{w.forEach(s=>M.dispose(s)),w.clear()})];try{const s=R.watch(f.path);p.push(M.toDisposable(()=>{s.removeAllListeners(),s.close()}));const o=new Set;f.isDirectory&&n.readdir(f.path).then(a=>a.forEach(l=>o.add(l))),s.on("error",(a,l)=>{S||g(`Failed to watch ${f.path} for changes using fs.watch() (${a}, ${l})`)}),s.on("change",(a,l)=>{if(!S){let t="";if(l&&(t=l.toString(),L.isMacintosh&&(t=E.normalizeNFC(t))),!(!t||a!=="change"&&a!=="rename")){const r=f.isDirectory?v.join(f.path,t):f.path;if(f.isDirectory)if(a==="rename"){const c=w.get(r);c&&M.dispose(c);const d=setTimeout(async()=>{w.delete(r);const u=await n.exists(r);if(!S){let m;u?o.has(t)?m="changed":(m="added",o.add(t)):(o.delete(t),m="deleted"),b(m,r)}},e.CHANGE_BUFFER_DELAY);w.set(r,M.toDisposable(()=>clearTimeout(d)))}else{let c;o.has(t)?c="changed":(c="added",o.add(t)),b(c,r)}else if(a==="rename"||t!==h){const c=setTimeout(async()=>{const d=await n.exists(r);S||(d?(b("changed",r),p=[k(f,b,g)]):b("deleted",r))},e.CHANGE_BUFFER_DELAY);M.dispose(p),p=[M.toDisposable(()=>clearTimeout(c))]}else b("changed",r)}}})}catch(s){n.exists(f.path).then(o=>{o&&!S&&g(`Failed to watch ${f.path} for changes using fs.watch() (${s.toString()})`)})}return M.toDisposable(()=>{S=!0,p=M.dispose(p)})}}),define(Y[115],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CONTEXT_MENU_CLOSE_CHANNEL=e.CONTEXT_MENU_CHANNEL=void 0,e.CONTEXT_MENU_CHANNEL="vscode:contextmenu",e.CONTEXT_MENU_CLOSE_CHANNEL="vscode:onCloseContextMenu"}),define(Y[116],J([0,1,11,115,13]),function(H,e,v,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.registerContextMenuListener=void 0;function E(){v.ipcMain.on(R.CONTEXT_MENU_CHANNEL,(n,y,i,k,f)=>{const b=M(n,k,i);b.popup({window:L.withNullAsUndefined(v.BrowserWindow.fromWebContents(n.sender)),x:f?f.x:void 0,y:f?f.y:void 0,positioningItem:f?f.positioningItem:void 0,callback:()=>{b&&n.sender.send(R.CONTEXT_MENU_CLOSE_CHANNEL,y)}})})}e.registerContextMenuListener=E;function M(n,y,i){const k=new v.Menu;return i.forEach(f=>{let b;f.type==="separator"?b=new v.MenuItem({type:f.type}):Array.isArray(f.submenu)?b=new v.MenuItem({submenu:M(n,y,f.submenu),label:f.label}):b=new v.MenuItem({label:f.label,type:f.type,accelerator:f.accelerator,checked:f.checked,enabled:f.enabled,visible:f.visible,click:(g,h,w)=>n.sender.send(y,f.id,w)}),k.append(b)}),k}}),define(Y[34],J([0,1,3,2,9,25,20,22,33,13,106,21]),function(H,e,v,R,L,E,M,n,y,i,k,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var b;(function(W){W[W.Promise=100]="Promise",W[W.PromiseCancel=101]="PromiseCancel",W[W.EventListen=102]="EventListen",W[W.EventDispose=103]="EventDispose"})(b=e.RequestType||(e.RequestType={}));function g(W){switch(W){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var h;(function(W){W[W.Initialize=200]="Initialize",W[W.PromiseSuccess=201]="PromiseSuccess",W[W.PromiseError=202]="PromiseError",W[W.PromiseErrorObj=203]="PromiseErrorObj",W[W.EventFire=204]="EventFire"})(h=e.ResponseType||(e.ResponseType={}));function w(W){switch(W){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var S;(function(W){W[W.Uninitialized=0]="Uninitialized",W[W.Idle=1]="Idle"})(S||(S={}));class p{constructor(D){this.buffer=D,this.pos=0}read(D){const P=this.buffer.slice(this.pos,this.pos+D);return this.pos+=P.byteLength,P}}class s{constructor(){this.buffers=[]}get buffer(){return n.VSBuffer.concat(this.buffers)}write(D){this.buffers.push(D)}}var o;(function(W){W[W.Undefined=0]="Undefined",W[W.String=1]="String",W[W.Buffer=2]="Buffer",W[W.VSBuffer=3]="VSBuffer",W[W.Array=4]="Array",W[W.Object=5]="Object"})(o||(o={}));function a(W){const D=n.VSBuffer.alloc(4);return D.writeUInt32BE(W,0),D}function l(W){return W.read(4).readUInt32BE(0)}function t(W){const D=n.VSBuffer.alloc(1);return D.writeUInt8(W,0),D}const r={Undefined:t(o.Undefined),String:t(o.String),Buffer:t(o.Buffer),VSBuffer:t(o.VSBuffer),Array:t(o.Array),Object:t(o.Object)},c=typeof Buffer!="undefined";function d(W,D){if(typeof D=="undefined")W.write(r.Undefined);else if(typeof D=="string"){const P=n.VSBuffer.fromString(D);W.write(r.String),W.write(a(P.byteLength)),W.write(P)}else if(c&&Buffer.isBuffer(D)){const P=n.VSBuffer.wrap(D);W.write(r.Buffer),W.write(a(P.byteLength)),W.write(P)}else if(D instanceof n.VSBuffer)W.write(r.VSBuffer),W.write(a(D.byteLength)),W.write(D);else if(Array.isArray(D)){W.write(r.Array),W.write(a(D.length));for(const P of D)d(W,P)}else{const P=n.VSBuffer.fromString(JSON.stringify(D));W.write(r.Object),W.write(a(P.byteLength)),W.write(P)}}function u(W){switch(W.read(1).readUInt8(0)){case o.Undefined:return;case o.String:return W.read(l(W)).toString();case o.Buffer:return W.read(l(W)).buffer;case o.VSBuffer:return W.read(l(W));case o.Array:{const P=l(W),_=[];for(let T=0;T<P;T++)_.push(u(W));return _}case o.Object:return JSON.parse(W.read(l(W)).toString())}}class m{constructor(D,P,_=null,T=1e3){this.protocol=D,this.ctx=P,this.logger=_,this.timeoutDelay=T,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(O=>this.onRawMessage(O)),this.sendResponse({type:200})}registerChannel(D,P){this.channels.set(D,P),setTimeout(()=>this.flushPendingRequests(D),0)}sendResponse(D){switch(D.type){case 200:{const P=this.send([D.type]);this.logger&&this.logger.logOutgoing(P,0,1,w(D.type));return}case 201:case 202:case 204:case 203:{const P=this.send([D.type,D.id],D.data);this.logger&&this.logger.logOutgoing(P,D.id,1,w(D.type),D.data);return}}}send(D,P=void 0){const _=new s;return d(_,D),d(_,P),this.sendBuffer(_.buffer)}sendBuffer(D){try{return this.protocol.send(D),D.byteLength}catch(P){return 0}}onRawMessage(D){const P=new p(D),_=u(P),T=u(P),O=_[0];switch(O){case 100:return this.logger&&this.logger.logIncoming(D.byteLength,_[1],1,`${g(O)}: ${_[2]}.${_[3]}`,T),this.onPromise({type:O,id:_[1],channelName:_[2],name:_[3],arg:T});case 102:return this.logger&&this.logger.logIncoming(D.byteLength,_[1],1,`${g(O)}: ${_[2]}.${_[3]}`,T),this.onEventListen({type:O,id:_[1],channelName:_[2],name:_[3],arg:T});case 101:return this.logger&&this.logger.logIncoming(D.byteLength,_[1],1,`${g(O)}`),this.disposeActiveRequest({type:O,id:_[1]});case 103:return this.logger&&this.logger.logIncoming(D.byteLength,_[1],1,`${g(O)}`),this.disposeActiveRequest({type:O,id:_[1]})}}onPromise(D){const P=this.channels.get(D.channelName);if(!P){this.collectPendingRequest(D);return}const _=new E.CancellationTokenSource;let T;try{T=P.call(this.ctx,D.name,D.arg,_.token)}catch(j){T=Promise.reject(j)}const O=D.id;T.then(j=>{this.sendResponse({id:O,data:j,type:201}),this.activeRequests.delete(D.id)},j=>{j instanceof Error?this.sendResponse({id:O,data:{message:j.message,name:j.name,stack:j.stack?j.stack.split?j.stack.split(`
`):j.stack:void 0},type:202}):this.sendResponse({id:O,data:j,type:203}),this.activeRequests.delete(D.id)});const B=R.toDisposable(()=>_.cancel());this.activeRequests.set(D.id,B)}onEventListen(D){const P=this.channels.get(D.channelName);if(!P){this.collectPendingRequest(D);return}const _=D.id,O=P.listen(this.ctx,D.name,D.arg)(B=>this.sendResponse({id:_,data:B,type:204}));this.activeRequests.set(D.id,O)}disposeActiveRequest(D){const P=this.activeRequests.get(D.id);P&&(P.dispose(),this.activeRequests.delete(D.id))}collectPendingRequest(D){let P=this.pendingRequests.get(D.channelName);P||(P=[],this.pendingRequests.set(D.channelName,P));const _=setTimeout(()=>{console.error(`Unknown channel: ${D.channelName}`),D.type===100&&this.sendResponse({id:D.id,data:{name:"Unknown channel",message:`Channel name '${D.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);P.push({request:D,timeoutTimer:_})}flushPendingRequests(D){const P=this.pendingRequests.get(D);if(P){for(const _ of P)switch(clearTimeout(_.timeoutTimer),_.request.type){case 100:this.onPromise(_.request);break;case 102:this.onEventListen(_.request);break}this.pendingRequests.delete(D)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(D=>D.dispose()),this.activeRequests.clear()}}e.ChannelServer=m;var I;(function(W){W[W.LocalSide=0]="LocalSide",W[W.OtherSide=1]="OtherSide"})(I=e.RequestInitiator||(e.RequestInitiator={}));class A{constructor(D,P=null){this.protocol=D,this.isDisposed=!1,this.state=S.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new v.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage(_=>this.onBuffer(_)),this.logger=P}getChannel(D){const P=this;return{call(_,T,O){return P.isDisposed?Promise.reject(M.canceled()):P.requestPromise(D,_,T,O)},listen(_,T){return P.isDisposed?Promise.reject(M.canceled()):P.requestEvent(D,_,T)}}}requestPromise(D,P,_,T=E.CancellationToken.None){const O=this.lastRequestId++,j={id:O,type:100,channelName:D,name:P,arg:_};if(T.isCancellationRequested)return Promise.reject(M.canceled());let V;return new Promise((ee,Q)=>{if(T.isCancellationRequested)return Q(M.canceled());const re=()=>{const he=me=>{switch(me.type){case 201:this.handlers.delete(O),ee(me.data);break;case 202:this.handlers.delete(O);const Ie=new Error(me.data.message);Ie.stack=me.data.stack,Ie.name=me.data.name,Q(Ie);break;case 203:this.handlers.delete(O),Q(me.data);break}};this.handlers.set(O,he),this.sendRequest(j)};let se=null;this.state===S.Idle?re():(se=L.createCancelablePromise(he=>this.whenInitialized()),se.then(()=>{se=null,re()}));const ge=()=>{se?(se.cancel(),se=null):this.sendRequest({id:O,type:101}),Q(M.canceled())},le=T.onCancellationRequested(ge);V=R.combinedDisposable(R.toDisposable(ge),le),this.activeRequests.add(V)}).finally(()=>{this.activeRequests.delete(V)})}requestEvent(D,P,_){const T=this.lastRequestId++,B={id:T,type:102,channelName:D,name:P,arg:_};let j=null;const V=new v.Emitter({onFirstListenerAdd:()=>{j=L.createCancelablePromise(ee=>this.whenInitialized()),j.then(()=>{j=null,this.activeRequests.add(V),this.sendRequest(B)})},onLastListenerRemove:()=>{j?(j.cancel(),j=null):(this.activeRequests.delete(V),this.sendRequest({id:T,type:103}))}}),K=ee=>V.fire(ee.data);return this.handlers.set(T,K),V.event}sendRequest(D){switch(D.type){case 100:case 102:{const P=this.send([D.type,D.id,D.channelName,D.name],D.arg);this.logger&&this.logger.logOutgoing(P,D.id,0,`${g(D.type)}: ${D.channelName}.${D.name}`,D.arg);return}case 101:case 103:{const P=this.send([D.type,D.id]);this.logger&&this.logger.logOutgoing(P,D.id,0,g(D.type));return}}}send(D,P=void 0){const _=new s;return d(_,D),d(_,P),this.sendBuffer(_.buffer)}sendBuffer(D){try{return this.protocol.send(D),D.byteLength}catch(P){return 0}}onBuffer(D){const P=new p(D),_=u(P),T=u(P),O=_[0];switch(O){case 200:return this.logger&&this.logger.logIncoming(D.byteLength,0,0,w(O)),this.onResponse({type:_[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming(D.byteLength,_[1],0,w(O),T),this.onResponse({type:_[0],id:_[1],data:T})}}onResponse(D){if(D.type===200){this.state=S.Idle,this._onDidInitialize.fire();return}const P=this.handlers.get(D.id);P&&P(D)}whenInitialized(){return this.state===S.Idle?Promise.resolve():v.Event.toPromise(this.onDidInitialize)}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(D=>D.dispose()),this.activeRequests.clear()}}e.ChannelClient=A;class F{constructor(D){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new v.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new v.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,D(({protocol:P,onDidClientDisconnect:_})=>{v.Event.once(P.onMessage)(O=>{const B=new p(O),j=u(B),V=new m(P,j),K=new A(P);this.channels.forEach((Q,re)=>V.registerChannel(re,Q));const ee={channelServer:V,channelClient:K,ctx:j};this._connections.add(ee),this._onDidAddConnection.fire(ee),_(()=>{V.dispose(),K.dispose(),this._connections.delete(ee),this._onDidRemoveConnection.fire(ee)})})})}get connections(){const D=[];return this._connections.forEach(P=>D.push(P)),D}getChannel(D,P){const _=this;return{call(T,O,B){let j;if(i.isFunction(P)){let K=y.getRandomElement(_.connections.filter(P));j=K?Promise.resolve(K):v.Event.toPromise(v.Event.filter(_.onDidAddConnection,P))}else j=P.routeCall(_,T,O);const V=j.then(K=>K.channelClient.getChannel(D));return $(V).call(T,O,B)},listen(T,O){if(i.isFunction(P))return _.getMulticastEvent(D,P,T,O);const B=P.routeEvent(_,T,O).then(j=>j.channelClient.getChannel(D));return $(B).listen(T,O)}}}getMulticastEvent(D,P,_,T){const O=this;let B=new R.DisposableStore;const j=new v.Emitter({onFirstListenerAdd:()=>{B=new R.DisposableStore;const V=new v.EventMultiplexer,K=new Map,ee=re=>{const ge=re.channelClient.getChannel(D).listen(_,T),le=V.add(ge);K.set(re,le)},Q=re=>{const se=K.get(re);!se||(se.dispose(),K.delete(re))};O.connections.filter(P).forEach(ee),v.Event.filter(O.onDidAddConnection,P)(ee,void 0,B),O.onDidRemoveConnection(Q,void 0,B),V.event(j.fire,j,B),B.add(V)},onLastListenerRemove:()=>{B.dispose()}});return j.event}registerChannel(D,P){this.channels.set(D,P),this._connections.forEach(_=>{_.channelServer.registerChannel(D,P)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=F;class N{constructor(D,P,_=null){const T=new s;d(T,P),D.send(T.buffer),this.channelClient=new A(D,_),this.channelServer=new m(D,P,_)}getChannel(D){return this.channelClient.getChannel(D)}registerChannel(D,P){this.channelServer.registerChannel(D,P)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=N;function $(W){return{call(D,P,_){return W.then(T=>T.call(D,P,_))},listen(D,P){const _=new v.Relay;return W.then(T=>_.input=T.listen(D,P)),_.event}}}e.getDelayedChannel=$;function z(W){let D=!1;return{call(P,_,T){return D?W.call(P,_,T):L.timeout(0).then(()=>D=!0).then(()=>W.call(P,_,T))},listen(P,_){if(D)return W.listen(P,_);const T=new v.Relay;return L.timeout(0).then(()=>D=!0).then(()=>T.input=W.listen(P,_)),T.event}}}e.getNextTickChannel=z;class x{constructor(D){this.fn=D}routeCall(D){return this.route(D)}routeEvent(D){return this.route(D)}async route(D){for(const P of D.connections)if(await Promise.resolve(this.fn(P.ctx)))return Promise.resolve(P);return await v.Event.toPromise(D.onDidAddConnection),await this.route(D)}}e.StaticRouter=x;var te;(function(W){function D(T,O){const B=T,j=O&&O.disableMarshalling,V=new Map;for(const K in B)_(K)&&V.set(K,v.Event.buffer(B[K],!0));return new class{listen(K,ee){const Q=V.get(ee);if(Q)return Q;throw new Error(`Event not found: ${ee}`)}call(K,ee,Q){const re=B[ee];if(typeof re=="function"){if(!j&&Array.isArray(Q))for(let se=0;se<Q.length;se++)Q[se]=k.revive(Q[se]);return re.apply(B,Q)}throw new Error(`Method not found: ${ee}`)}}}W.fromService=D;function P(T,O){const B=O&&O.disableMarshalling;return new Proxy({},{get(j,V){var K;if(typeof V=="string")return((K=O==null?void 0:O.properties)===null||K===void 0?void 0:K.has(V))?O.properties.get(V):_(V)?T.listen(V):async function(...ee){let Q;O&&!i.isUndefinedOrNull(O.context)?Q=[O.context,...ee]:Q=ee;const re=await T.call(V,Q);return B?re:k.revive(re)};throw new Error(`Property not found: ${String(V)}`)}})}W.toService=P;function _(T){return T[0]==="o"&&T[1]==="n"&&f.isUpperAsciiLetter(T.charCodeAt(2))}})(te=e.ProxyChannel||(e.ProxyChannel={}));const Z=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function C(W){if(Array.isArray(W))return W;if(W&&typeof W=="object"&&typeof W.toString=="function"){let D=W.toString();if(D!=="[object Object]")return D}return W}function X(W){return Array.isArray(W)?W.map(C):C(W)}function G(W,D,P,_,T,O,B){B=X(B);const j=Z[T],V=j[_%j.length];let K=[`%c[${W}]%c[${String(D).padStart(7," ")}]%c[len: ${String(P).padStart(5," ")}]%c${String(_).padStart(5," ")} - ${O}`,"color: darkgreen","color: grey","color: grey",`color: ${V}`];/\($/.test(O)?(K=K.concat(B),K.push(")")):K.push(B),console.log.apply(console,K)}e.logWithColors=G;class U{constructor(D,P){this._outgoingPrefix=D,this._incomingPrefix=P,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(D,P,_,T,O){this._totalOutgoing+=D,G(this._outgoingPrefix,this._totalOutgoing,D,P,_,T,O)}logIncoming(D,P,_,T,O){this._totalIncoming+=D,G(this._incomingPrefix,this._totalIncoming,D,P,_,T,O)}}e.IPCLogger=U}),define(Y[117],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Protocol=void 0;class v{constructor(L,E){this.sender=L,this.onMessage=E}send(L){try{this.sender.send("vscode:message",L.buffer)}catch(E){}}disconnect(){this.sender.send("vscode:disconnect",null)}}e.Protocol=v}),define(Y[118],J([0,1,3,34,22]),function(H,e,v,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Protocol=void 0;class E{constructor(y){this.port=y,this.onMessage=v.Event.fromDOMEventEmitter(this.port,"message",i=>L.VSBuffer.wrap(i.data)),y.start()}send(y){this.port.postMessage(y.buffer)}disconnect(){this.port.close()}}e.Protocol=E;class M extends R.IPCClient{constructor(y,i){const k=new E(y);super(k,i);this.protocol=k}dispose(){this.protocol.disconnect()}}e.Client=M}),define(Y[80],J([0,1,3,34,2,22,4,51]),function(H,e,v,R,L,E,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PersistentProtocol=e.BufferedEmitter=e.Client=e.Protocol=e.ProtocolConstants=e.ChunkStream=void 0;let y=null;function i(){return y||(y=E.VSBuffer.alloc(0)),y}class k{constructor(){this._chunks=[],this._totalLength=0}get byteLength(){return this._totalLength}acceptChunk(c){this._chunks.push(c),this._totalLength+=c.byteLength}read(c){return this._read(c,!0)}peek(c){return this._read(c,!1)}_read(c,d){if(c===0)return i();if(c>this._totalLength)throw new Error("Cannot read so many bytes!");if(this._chunks[0].byteLength===c){const A=this._chunks[0];return d&&(this._chunks.shift(),this._totalLength-=c),A}if(this._chunks[0].byteLength>c){const A=this._chunks[0].slice(0,c);return d&&(this._chunks[0]=this._chunks[0].slice(c),this._totalLength-=c),A}let u=E.VSBuffer.alloc(c),m=0,I=0;for(;c>0;){const A=this._chunks[I];if(A.byteLength>c){const F=A.slice(0,c);u.set(F,m),m+=c,d&&(this._chunks[I]=A.slice(c),this._totalLength-=c),c-=c}else u.set(A,m),m+=A.byteLength,d?(this._chunks.shift(),this._totalLength-=A.byteLength):I++,c-=A.byteLength}return u}}e.ChunkStream=k;var f;(function(r){r[r.None=0]="None",r[r.Regular=1]="Regular",r[r.Control=2]="Control",r[r.Ack=3]="Ack",r[r.KeepAlive=4]="KeepAlive",r[r.Disconnect=5]="Disconnect",r[r.ReplayRequest=6]="ReplayRequest"})(f||(f={}));var b;(function(r){r[r.HeaderLength=13]="HeaderLength",r[r.AcknowledgeTime=2e3]="AcknowledgeTime",r[r.AcknowledgeTimeoutTime=2e4]="AcknowledgeTimeoutTime",r[r.KeepAliveTime=5e3]="KeepAliveTime",r[r.KeepAliveTimeoutTime=2e4]="KeepAliveTimeoutTime",r[r.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",r[r.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime"})(b=e.ProtocolConstants||(e.ProtocolConstants={}));class g{constructor(c,d,u,m){this.type=c,this.id=d,this.ack=u,this.data=m,this.writtenTime=0}get size(){return this.data.byteLength}}class h extends L.Disposable{constructor(c){super();this._onMessage=this._register(new v.Emitter),this.onMessage=this._onMessage.event,this._state={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this._socket=c,this._isDisposed=!1,this._incomingData=new k,this._register(this._socket.onData(d=>this.acceptChunk(d))),this.lastReadTime=Date.now()}acceptChunk(c){if(!(!c||c.byteLength===0))for(this.lastReadTime=Date.now(),this._incomingData.acceptChunk(c);this._incomingData.byteLength>=this._state.readLen;){const d=this._incomingData.read(this._state.readLen);if(this._state.readHead)this._state.readHead=!1,this._state.readLen=d.readUInt32BE(9),this._state.messageType=d.readUInt8(0),this._state.id=d.readUInt32BE(1),this._state.ack=d.readUInt32BE(5);else{const u=this._state.messageType,m=this._state.id,I=this._state.ack;if(this._state.readHead=!0,this._state.readLen=13,this._state.messageType=0,this._state.id=0,this._state.ack=0,this._onMessage.fire(new g(u,m,I,d)),this._isDisposed)break}}}readEntireBuffer(){return this._incomingData.read(this._incomingData.byteLength)}dispose(){this._isDisposed=!0,super.dispose()}}class w{constructor(c){this._isDisposed=!1,this._socket=c,this._data=[],this._totalLength=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch(c){}this._isDisposed=!0}drain(){return this.flush(),this._socket.drain()}flush(){this._writeNow()}write(c){if(!this._isDisposed){c.writtenTime=Date.now(),this.lastWriteTime=Date.now();const d=E.VSBuffer.alloc(13);d.writeUInt8(c.type,0),d.writeUInt32BE(c.id,1),d.writeUInt32BE(c.ack,5),d.writeUInt32BE(c.data.byteLength,9),this._writeSoon(d,c.data)}}_bufferAdd(c,d){const u=this._totalLength===0;return this._data.push(c,d),this._totalLength+=c.byteLength+d.byteLength,u}_bufferTake(){const c=E.VSBuffer.concat(this._data,this._totalLength);return this._data.length=0,this._totalLength=0,c}_writeSoon(c,d){this._bufferAdd(c,d)&&M.setImmediate(()=>{this._writeNow()})}_writeNow(){this._totalLength!==0&&this._socket.write(this._bufferTake())}}class S extends L.Disposable{constructor(c){super();this._onMessage=new v.Emitter,this.onMessage=this._onMessage.event,this._onDidDispose=new v.Emitter,this.onDidDispose=this._onDidDispose.event,this._socket=c,this._socketWriter=this._register(new w(this._socket)),this._socketReader=this._register(new h(this._socket)),this._register(this._socketReader.onMessage(d=>{d.type===1&&this._onMessage.fire(d.data)})),this._register(this._socket.onClose(()=>this._onDidDispose.fire()))}drain(){return this._socketWriter.drain()}getSocket(){return this._socket}sendDisconnect(){}send(c){this._socketWriter.write(new g(1,0,0,c))}}e.Protocol=S;class p extends R.IPCClient{constructor(c,d,u=null){super(c,d,u);this.protocol=c}static fromSocket(c,d){return new p(new S(c),d)}get onDidDispose(){return this.protocol.onDidDispose}dispose(){super.dispose();const c=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),c.end()}}e.Client=p;class s{constructor(){this._hasListeners=!1,this._isDeliveringMessages=!1,this._bufferedMessages=[],this._emitter=new v.Emitter({onFirstListenerAdd:()=>{this._hasListeners=!0,n.nextTick(()=>this._deliverMessages())},onLastListenerRemove:()=>{this._hasListeners=!1}}),this.event=this._emitter.event}_deliverMessages(){if(!this._isDeliveringMessages){for(this._isDeliveringMessages=!0;this._hasListeners&&this._bufferedMessages.length>0;)this._emitter.fire(this._bufferedMessages.shift());this._isDeliveringMessages=!1}}fire(c){this._hasListeners?this._bufferedMessages.length>0?this._bufferedMessages.push(c):this._emitter.fire(c):this._bufferedMessages.push(c)}flushBuffer(){this._bufferedMessages=[]}}e.BufferedEmitter=s;class o{constructor(c){this.data=c,this.next=null}}class a{constructor(){this._first=null,this._last=null}peek(){return this._first?this._first.data:null}toArray(){let c=[],d=0,u=this._first;for(;u;)c[d++]=u.data,u=u.next;return c}pop(){if(!!this._first){if(this._first===this._last){this._first=null,this._last=null;return}this._first=this._first.next}}push(c){const d=new o(c);if(!this._first){this._first=d,this._last=d;return}this._last.next=d,this._last=d}}class l{constructor(){this.lastRuns=[];const c=Date.now();for(let d=0;d<l._HISTORY_LENGTH;d++)this.lastRuns[d]=c-1e3*d;setInterval(()=>{for(let d=l._HISTORY_LENGTH;d>=1;d--)this.lastRuns[d]=this.lastRuns[d-1];this.lastRuns[0]=Date.now()},1e3)}static getInstance(){return l._INSTANCE||(l._INSTANCE=new l),l._INSTANCE}load(){const c=Date.now(),d=(1+l._HISTORY_LENGTH)*1e3;let u=0;for(let m=0;m<l._HISTORY_LENGTH;m++)c-this.lastRuns[m]<=d&&u++;return 1-u/l._HISTORY_LENGTH}hasHighLoad(){return this.load()>=.5}}l._HISTORY_LENGTH=10,l._INSTANCE=null;class t{constructor(c,d=null){this._loadEstimator=l.getInstance(),this._onControlMessage=new s,this.onControlMessage=this._onControlMessage.event,this._onMessage=new s,this.onMessage=this._onMessage.event,this._onDidDispose=new s,this.onDidDispose=this._onDidDispose.event,this._onSocketClose=new s,this.onSocketClose=this._onSocketClose.event,this._onSocketTimeout=new s,this.onSocketTimeout=this._onSocketTimeout.event,this._isReconnecting=!1,this._outgoingUnackMsg=new a,this._outgoingMsgId=0,this._outgoingAckId=0,this._outgoingAckTimeout=null,this._incomingMsgId=0,this._incomingAckId=0,this._incomingMsgLastTime=0,this._incomingAckTimeout=null,this._outgoingKeepAliveTimeout=null,this._incomingKeepAliveTimeout=null,this._lastReplayRequestTime=0,this._socketDisposables=[],this._socket=c,this._socketWriter=new w(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new h(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(u=>this._receiveMessage(u))),this._socketDisposables.push(this._socket.onClose(()=>this._onSocketClose.fire())),d&&this._socketReader.acceptChunk(d),this._sendKeepAliveCheck(),this._recvKeepAliveCheck()}get unacknowledgedCount(){return this._outgoingMsgId-this._outgoingAckId}dispose(){this._outgoingAckTimeout&&(clearTimeout(this._outgoingAckTimeout),this._outgoingAckTimeout=null),this._incomingAckTimeout&&(clearTimeout(this._incomingAckTimeout),this._incomingAckTimeout=null),this._outgoingKeepAliveTimeout&&(clearTimeout(this._outgoingKeepAliveTimeout),this._outgoingKeepAliveTimeout=null),this._incomingKeepAliveTimeout&&(clearTimeout(this._incomingKeepAliveTimeout),this._incomingKeepAliveTimeout=null),this._socketDisposables=L.dispose(this._socketDisposables)}drain(){return this._socketWriter.drain()}sendDisconnect(){const c=new g(5,0,0,i());this._socketWriter.write(c),this._socketWriter.flush()}_sendKeepAliveCheck(){if(!this._outgoingKeepAliveTimeout){const c=Date.now()-this._socketWriter.lastWriteTime;if(c>=5e3){const d=new g(4,0,0,i());this._socketWriter.write(d),this._sendKeepAliveCheck();return}this._outgoingKeepAliveTimeout=setTimeout(()=>{this._outgoingKeepAliveTimeout=null,this._sendKeepAliveCheck()},5e3-c+5)}}_recvKeepAliveCheck(){if(!this._incomingKeepAliveTimeout){const c=Date.now()-this._socketReader.lastReadTime;if(c>=2e4&&!this._loadEstimator.hasHighLoad()){this._onSocketTimeout.fire(void 0);return}this._incomingKeepAliveTimeout=setTimeout(()=>{this._incomingKeepAliveTimeout=null,this._recvKeepAliveCheck()},Math.max(2e4-c,0)+5)}}getSocket(){return this._socket}getMillisSinceLastIncomingData(){return Date.now()-this._socketReader.lastReadTime}beginAcceptReconnection(c,d){this._isReconnecting=!0,this._socketDisposables=L.dispose(this._socketDisposables),this._onControlMessage.flushBuffer(),this._onSocketClose.flushBuffer(),this._onSocketTimeout.flushBuffer(),this._socket.dispose(),this._lastReplayRequestTime=0,this._socket=c,this._socketWriter=new w(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new h(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(u=>this._receiveMessage(u))),this._socketDisposables.push(this._socket.onClose(()=>this._onSocketClose.fire())),this._socketReader.acceptChunk(d)}endAcceptReconnection(){this._isReconnecting=!1;const c=this._outgoingUnackMsg.toArray();for(let d=0,u=c.length;d<u;d++)this._socketWriter.write(c[d]);this._recvAckCheck(),this._sendKeepAliveCheck(),this._recvKeepAliveCheck()}acceptDisconnect(){this._onDidDispose.fire()}_receiveMessage(c){if(c.ack>this._outgoingAckId){this._outgoingAckId=c.ack;do{const d=this._outgoingUnackMsg.peek();if(d&&d.id<=c.ack)this._outgoingUnackMsg.pop();else break}while(!0)}if(c.type===1){if(c.id>this._incomingMsgId)if(c.id!==this._incomingMsgId+1){const d=Date.now();d-this._lastReplayRequestTime>1e4&&(this._lastReplayRequestTime=d,this._socketWriter.write(new g(6,0,0,i())))}else this._incomingMsgId=c.id,this._incomingMsgLastTime=Date.now(),this._sendAckCheck(),this._onMessage.fire(c.data)}else if(c.type===2)this._onControlMessage.fire(c.data);else if(c.type===5)this._onDidDispose.fire();else if(c.type===6){const d=this._outgoingUnackMsg.toArray();for(let u=0,m=d.length;u<m;u++)this._socketWriter.write(d[u]);this._recvAckCheck()}}readEntireBuffer(){return this._socketReader.readEntireBuffer()}flush(){this._socketWriter.flush()}send(c){const d=++this._outgoingMsgId;this._incomingAckId=this._incomingMsgId;const u=new g(1,d,this._incomingAckId,c);this._outgoingUnackMsg.push(u),this._isReconnecting||(this._socketWriter.write(u),this._recvAckCheck())}sendControl(c){const d=new g(2,0,0,c);this._socketWriter.write(d)}_sendAckCheck(){if(!(this._incomingMsgId<=this._incomingAckId)&&!this._incomingAckTimeout){const c=Date.now()-this._incomingMsgLastTime;if(c>=2e3){this._sendAck();return}this._incomingAckTimeout=setTimeout(()=>{this._incomingAckTimeout=null,this._sendAckCheck()},2e3-c+5)}}_recvAckCheck(){if(!(this._outgoingMsgId<=this._outgoingAckId)&&!this._outgoingAckTimeout){const c=this._outgoingUnackMsg.peek(),d=Date.now()-c.writtenTime;if(d>=2e4&&!this._loadEstimator.hasHighLoad()){this._onSocketTimeout.fire(void 0);return}this._outgoingAckTimeout=setTimeout(()=>{this._outgoingAckTimeout=null,this._recvAckCheck()},Math.max(2e4-d,0)+5)}}_sendAck(){if(!(this._incomingMsgId<=this._incomingAckId)){this._incomingAckId=this._incomingMsgId;const c=new g(3,0,this._incomingAckId,i());this._socketWriter.write(c)}}}e.PersistentProtocol=t}),define(Y[119],J([0,1,11,3,34,117,2,22]),function(H,e,v,R,L,E,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Server=void 0;function y(k,f){const b=R.Event.fromNodeEventEmitter(v.ipcMain,f,(h,w)=>({event:h,message:w})),g=R.Event.filter(b,({event:h})=>h.sender.id===k);return R.Event.map(g,({message:h})=>h&&n.VSBuffer.wrap(h))}class i extends L.IPCServer{constructor(){super(i.getOnDidClientConnect())}static getOnDidClientConnect(){const f=R.Event.fromNodeEventEmitter(v.ipcMain,"vscode:hello",({sender:b})=>b);return R.Event.map(f,b=>{const g=b.id,h=i.Clients.get(g);h&&h.dispose();const w=new R.Emitter;i.Clients.set(g,M.toDisposable(()=>w.fire()));const S=y(g,"vscode:message"),p=R.Event.any(R.Event.signal(y(g,"vscode:disconnect")),w.event);return{protocol:new E.Protocol(b,S),onDidClientDisconnect:p}})}}e.Server=i,i.Clients=new Map}),define(Y[81],J([0,1,11,3,30,118]),function(H,e,v,R,L,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.Client=void 0;class M extends E.Client{constructor(i,k){super({addEventListener:(f,b)=>i.addListener(f,b),removeEventListener:(f,b)=>i.removeListener(f,b),postMessage:f=>i.postMessage(f),start:()=>i.start(),close:()=>i.close()},k)}}e.Client=M;async function n(y){if(y.isDestroyed()||y.webContents.isDestroyed())throw new Error("ipc.mp#connect: Cannot talk to window because it is closed or destroyed");const i=L.generateUuid();y.webContents.send("vscode:createMessageChannel",i);const k=R.Event.fromNodeEventEmitter(v.ipcMain,"vscode:createMessageChannelResult",(b,g)=>({nonce:g,port:b.ports[0]})),{port:f}=await R.Event.toPromise(R.Event.once(R.Event.filter(k,b=>b.nonce===i)));return f}e.connect=n}),define(Y[82],J([0,1,2,3,9,13]),function(H,e,v,R,L,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InMemoryStorageDatabase=e.Storage=e.StorageHint=void 0;var M;(function(k){k[k.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST"})(M=e.StorageHint||(e.StorageHint={}));var n;(function(k){k[k.None=0]="None",k[k.Initialized=1]="Initialized",k[k.Closed=2]="Closed"})(n||(n={}));class y extends v.Disposable{constructor(f,b=Object.create(null)){super();this.database=f,this.options=b,this._onDidChangeStorage=this._register(new R.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this.state=n.None,this.cache=new Map,this.flushDelayer=new L.ThrottledDelayer(y.DEFAULT_FLUSH_DELAY),this.pendingDeletes=new Set,this.pendingInserts=new Map,this.pendingClose=void 0,this.whenFlushedCallbacks=[],this.registerListeners()}registerListeners(){this._register(this.database.onDidChangeItemsExternal(f=>this.onDidChangeItemsExternal(f)))}onDidChangeItemsExternal(f){var b,g;(b=f.changed)===null||b===void 0||b.forEach((h,w)=>this.accept(w,h)),(g=f.deleted)===null||g===void 0||g.forEach(h=>this.accept(h,void 0))}accept(f,b){if(this.state!==n.Closed){let g=!1;E.isUndefinedOrNull(b)?g=this.cache.delete(f):this.cache.get(f)!==b&&(this.cache.set(f,b),g=!0),g&&this._onDidChangeStorage.fire(f)}}get items(){return this.cache}get size(){return this.cache.size}async init(){this.state===n.None&&(this.state=n.Initialized,this.options.hint!==M.STORAGE_DOES_NOT_EXIST&&(this.cache=await this.database.getItems()))}get(f,b){const g=this.cache.get(f);return E.isUndefinedOrNull(g)?b:g}getBoolean(f,b){const g=this.get(f);return E.isUndefinedOrNull(g)?b:g==="true"}getNumber(f,b){const g=this.get(f);return E.isUndefinedOrNull(g)?b:parseInt(g,10)}async set(f,b){if(this.state!==n.Closed){if(E.isUndefinedOrNull(b))return this.delete(f);const g=String(b);if(this.cache.get(f)!==g)return this.cache.set(f,g),this.pendingInserts.set(f,g),this.pendingDeletes.delete(f),this._onDidChangeStorage.fire(f),this.flushDelayer.trigger(()=>this.flushPending())}}async delete(f){if(this.state!==n.Closed&&!!this.cache.delete(f))return this.pendingDeletes.has(f)||this.pendingDeletes.add(f),this.pendingInserts.delete(f),this._onDidChangeStorage.fire(f),this.flushDelayer.trigger(()=>this.flushPending())}async close(){return this.pendingClose||(this.pendingClose=this.doClose()),this.pendingClose}async doClose(){this.state=n.Closed;try{await this.flushDelayer.trigger(()=>this.flushPending(),0)}catch(f){}await this.database.close(()=>this.cache)}get hasPending(){return this.pendingInserts.size>0||this.pendingDeletes.size>0}async flushPending(){if(!!this.hasPending){const f={insert:this.pendingInserts,delete:this.pendingDeletes};return this.pendingDeletes=new Set,this.pendingInserts=new Map,this.database.updateItems(f).finally(()=>{var b;if(!this.hasPending)for(;this.whenFlushedCallbacks.length;)(b=this.whenFlushedCallbacks.pop())===null||b===void 0||b()})}}async whenFlushed(){if(!!this.hasPending)return new Promise(f=>this.whenFlushedCallbacks.push(f))}dispose(){this.flushDelayer.cancel(),this.flushDelayer.dispose(),super.dispose()}}e.Storage=y,y.DEFAULT_FLUSH_DELAY=100;class i{constructor(){this.onDidChangeItemsExternal=R.Event.None,this.items=new Map}async getItems(){return this.items}async updateItems(f){f.insert&&f.insert.forEach((b,g)=>this.items.set(g,b)),f.delete&&f.delete.forEach(b=>this.items.delete(b))}async close(){}}e.InMemoryStorageDatabase=i}),define(Y[120],J([0,1,23,3,9,35,8,24]),function(H,e,v,R,L,E,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SQLiteStorageDatabase=void 0;class y{constructor(f,b=Object.create(null)){this.path=f,this.options=b,this.name=M.basename(this.path),this.logger=new i(this.options.logging),this.whenConnected=this.connect(this.path)}get onDidChangeItemsExternal(){return R.Event.None}async getItems(){const f=await this.whenConnected,b=new Map;return(await this.all(f,"SELECT * FROM ItemTable")).forEach(h=>b.set(h.key,h.value)),this.logger.isTracing&&this.logger.trace(`[storage ${this.name}] getItems(): ${b.size} rows`),b}async updateItems(f){const b=await this.whenConnected;return this.doUpdateItems(b,f)}doUpdateItems(f,b){return this.logger.isTracing&&this.logger.trace(`[storage ${this.name}] updateItems(): insert(${b.insert?E.mapToString(b.insert):"0"}), delete(${b.delete?E.setToString(b.delete):"0"})`),this.transaction(f,()=>{const g=b.insert,h=b.delete;if(g&&g.size>0){const w=[];w.push([]);let S=0;g.forEach((p,s)=>{let o=w[S];o.length>y.MAX_HOST_PARAMETERS&&(S++,o=[],w.push(o)),o.push(s,p)}),w.forEach(p=>{this.prepare(f,`INSERT INTO ItemTable VALUES ${new Array(p.length/2).fill("(?,?)").join(",")}`,s=>s.run(p),()=>{const s=[];let o=0;return g.forEach((a,l)=>{s.push(l),o+=a.length}),`Keys: ${s.join(", ")} Length: ${o}`})})}if(h&&h.size){const w=[];w.push([]);let S=0;h.forEach(p=>{let s=w[S];s.length>y.MAX_HOST_PARAMETERS&&(S++,s=[],w.push(s)),s.push(p)}),w.forEach(p=>{this.prepare(f,`DELETE FROM ItemTable WHERE key IN (${new Array(p.length).fill("?").join(",")})`,s=>s.run(p),()=>{const s=[];return h.forEach(o=>{s.push(o)}),`Keys: ${s.join(", ")}`})})}})}async close(f){this.logger.trace(`[storage ${this.name}] close()`);const b=await this.whenConnected;return this.doClose(b,f)}doClose(f,b){return new Promise((g,h)=>{f.db.close(w=>(w&&this.handleSQLiteError(f,`[storage ${this.name}] close(): ${w}`),this.path===y.IN_MEMORY_PATH?g():!f.isErroneous&&!f.isInMemory?this.backup().then(g,S=>(this.logger.error(`[storage ${this.name}] backup(): ${S}`),g())):typeof b=="function"?v.promises.unlink(this.path).then(()=>this.doConnect(this.path).then(S=>{const p=()=>this.doClose(S,void 0);return this.doUpdateItems(S,{insert:b()}).then(()=>p(),s=>(p(),Promise.reject(s)))})).then(g,h):h(w||new Error("Database has errors or is in-memory without recovery option"))))})}backup(){const f=this.toBackupPath(this.path);return n.copy(this.path,f,{preserveSymlinks:!1})}toBackupPath(f){return`${f}.backup`}async checkIntegrity(f){this.logger.trace(`[storage ${this.name}] checkIntegrity(full: ${f})`);const b=await this.whenConnected,g=await this.get(b,f?"PRAGMA integrity_check":"PRAGMA quick_check"),h=f?g.integrity_check:g.quick_check;return b.isErroneous?`${h} (last error: ${b.lastError})`:b.isInMemory?`${h} (in-memory!)`:h}async connect(f,b=!0){this.logger.trace(`[storage ${this.name}] open(${f}, retryOnBusy: ${b})`);try{return await this.doConnect(f)}catch(g){if(this.logger.error(`[storage ${this.name}] open(): Unable to open DB due to ${g}`),g.code==="SQLITE_BUSY"&&b)return await L.timeout(y.BUSY_OPEN_TIMEOUT),this.connect(f,!1);try{await v.promises.unlink(f);try{await v.promises.rename(this.toBackupPath(f),f)}catch(h){}return await this.doConnect(f)}catch(h){return this.logger.error(`[storage ${this.name}] open(): Unable to use backup due to ${h}`),this.doConnect(y.IN_MEMORY_PATH)}}}handleSQLiteError(f,b){f.isErroneous=!0,f.lastError=b,this.logger.error(b)}doConnect(f){return new Promise((b,g)=>{new Promise((h,w)=>{H(["vscode-sqlite3"],h,w)}).then(h=>{const w={db:new(this.logger.isTracing?h.verbose().Database:h.Database)(f,S=>S?w.db?w.db.close(()=>g(S)):g(S):this.exec(w,["PRAGMA user_version = 1;","CREATE TABLE IF NOT EXISTS ItemTable (key TEXT UNIQUE ON CONFLICT REPLACE, value BLOB)"].join("")).then(()=>b(w),p=>w.db.close(()=>g(p)))),isInMemory:f===y.IN_MEMORY_PATH};w.db.on("error",S=>this.handleSQLiteError(w,`[storage ${this.name}] Error (event): ${S}`)),this.logger.isTracing&&w.db.on("trace",S=>this.logger.trace(`[storage ${this.name}] Trace (event): ${S}`))},g)})}exec(f,b){return new Promise((g,h)=>{f.db.exec(b,w=>w?(this.handleSQLiteError(f,`[storage ${this.name}] exec(): ${w}`),h(w)):g())})}get(f,b){return new Promise((g,h)=>{f.db.get(b,(w,S)=>w?(this.handleSQLiteError(f,`[storage ${this.name}] get(): ${w}`),h(w)):g(S))})}all(f,b){return new Promise((g,h)=>{f.db.all(b,(w,S)=>w?(this.handleSQLiteError(f,`[storage ${this.name}] all(): ${w}`),h(w)):g(S))})}transaction(f,b){return new Promise((g,h)=>{f.db.serialize(()=>{f.db.run("BEGIN TRANSACTION"),b(),f.db.run("END TRANSACTION",w=>w?(this.handleSQLiteError(f,`[storage ${this.name}] transaction(): ${w}`),h(w)):g())})})}prepare(f,b,g,h){const w=f.db.prepare(b),S=p=>{this.handleSQLiteError(f,`[storage ${this.name}] prepare(): ${p} (${b}). Details: ${h()}`)};w.on("error",S),g(w),w.finalize(p=>{p&&S(p),w.removeListener("error",S)})}}e.SQLiteStorageDatabase=y,y.IN_MEMORY_PATH=":memory:",y.BUSY_OPEN_TIMEOUT=2e3,y.MAX_HOST_PARAMETERS=256;class i{constructor(f){f&&typeof f.logTrace=="function"&&process.env[i.VSCODE_TRACE_STORAGE]&&(this.logTrace=f.logTrace),f&&typeof f.logError=="function"&&(this.logError=f.logError)}get isTracing(){return!!this.logTrace}trace(f){this.logTrace&&this.logTrace(f)}error(f){this.logError&&this.logError(f)}}i.VSCODE_TRACE_STORAGE="VSCODE_TRACE_STORAGE"}),define(Y[121],J([14,12]),function(H,e){return H.create("vs/base/common/date",e)}),define(Y[122],J([0,1,121]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const R=60,L=R*60,E=L*24,M=E*7,n=E*30,y=E*365;function i(f,b){typeof f!="number"&&(f=f.getTime());const g=Math.round((new Date().getTime()-f)/1e3);if(g<-30)return v.localize(0,null,i(new Date().getTime()+g*1e3,!1));if(g<30)return v.localize(1,null);let h;return g<R?(h=g,b?h===1?v.localize(2,null,h):v.localize(3,null,h):h===1?v.localize(4,null,h):v.localize(5,null,h)):g<L?(h=Math.floor(g/R),b?h===1?v.localize(6,null,h):v.localize(7,null,h):h===1?v.localize(8,null,h):v.localize(9,null,h)):g<E?(h=Math.floor(g/L),b?h===1?v.localize(10,null,h):v.localize(11,null,h):h===1?v.localize(12,null,h):v.localize(13,null,h)):g<M?(h=Math.floor(g/E),b?h===1?v.localize(14,null,h):v.localize(15,null,h):h===1?v.localize(16,null,h):v.localize(17,null,h)):g<n?(h=Math.floor(g/M),b?h===1?v.localize(18,null,h):v.localize(19,null,h):h===1?v.localize(20,null,h):v.localize(21,null,h)):g<y?(h=Math.floor(g/n),b?h===1?v.localize(22,null,h):v.localize(23,null,h):h===1?v.localize(24,null,h):v.localize(25,null,h)):(h=Math.floor(g/y),b?h===1?v.localize(26,null,h):v.localize(27,null,h):h===1?v.localize(28,null,h):v.localize(29,null,h))}e.fromNow=i;function k(f){return f.getFullYear()+"-"+String(f.getMonth()+1).padStart(2,"0")+"-"+String(f.getDate()).padStart(2,"0")+"T"+String(f.getHours()).padStart(2,"0")+":"+String(f.getMinutes()).padStart(2,"0")+":"+String(f.getSeconds()).padStart(2,"0")+"."+(f.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=k}),define(Y[123],J([14,12]),function(H,e){return H.create("vs/base/common/errorMessage",e)}),define(Y[67],J([0,1,123,13,33]),function(H,e,v,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toErrorMessage=void 0;function E(i,k){return k&&(i.stack||i.stacktrace)?v.localize(0,null,n(i),M(i.stack)||M(i.stacktrace)):n(i)}function M(i){return Array.isArray(i)?i.join(`
`):i}function n(i){return typeof i.code=="string"&&typeof i.errno=="number"&&typeof i.syscall=="string"?v.localize(1,null,i.message):i.message||v.localize(2,null)}function y(i=null,k=!1){if(!i)return v.localize(3,null);if(Array.isArray(i)){const f=L.coalesce(i),b=y(f[0],k);return f.length>1?v.localize(4,null,b,f.length):b}if(R.isString(i))return i;if(i.detail){const f=i.detail;if(f.error)return E(f.error,k);if(f.exception)return E(f.exception,k)}return i.stack?E(i,k):i.message?i.message:v.localize(5,null)}e.toErrorMessage=y}),define(Y[124],J([14,12]),function(H,e){return H.create("vs/base/common/keybindingLabels",e)}),define(Y[125],J([0,1,124]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UserSettingsLabelProvider=e.ElectronAcceleratorLabelProvider=e.AriaLabelProvider=e.UILabelProvider=e.ModifierLabelProvider=void 0;class R{constructor(M,n,y=n){this.modifierLabels=[null],this.modifierLabels[2]=M,this.modifierLabels[1]=n,this.modifierLabels[3]=y}toLabel(M,n,y){if(n.length===0)return null;const i=[];for(let k=0,f=n.length;k<f;k++){const b=n[k],g=y(b);if(g===null)return null;i[k]=L(b,g,this.modifierLabels[M])}return i.join(" ")}}e.ModifierLabelProvider=R,e.UILabelProvider=new R({ctrlKey:"\u2303",shiftKey:"\u21E7",altKey:"\u2325",metaKey:"\u2318",separator:""},{ctrlKey:v.localize(0,null),shiftKey:v.localize(1,null),altKey:v.localize(2,null),metaKey:v.localize(3,null),separator:"+"},{ctrlKey:v.localize(4,null),shiftKey:v.localize(5,null),altKey:v.localize(6,null),metaKey:v.localize(7,null),separator:"+"}),e.AriaLabelProvider=new R({ctrlKey:v.localize(8,null),shiftKey:v.localize(9,null),altKey:v.localize(10,null),metaKey:v.localize(11,null),separator:"+"},{ctrlKey:v.localize(12,null),shiftKey:v.localize(13,null),altKey:v.localize(14,null),metaKey:v.localize(15,null),separator:"+"},{ctrlKey:v.localize(16,null),shiftKey:v.localize(17,null),altKey:v.localize(18,null),metaKey:v.localize(19,null),separator:"+"}),e.ElectronAcceleratorLabelProvider=new R({ctrlKey:"Ctrl",shiftKey:"Shift",altKey:"Alt",metaKey:"Cmd",separator:"+"},{ctrlKey:"Ctrl",shiftKey:"Shift",altKey:"Alt",metaKey:"Super",separator:"+"}),e.UserSettingsLabelProvider=new R({ctrlKey:"ctrl",shiftKey:"shift",altKey:"alt",metaKey:"cmd",separator:"+"},{ctrlKey:"ctrl",shiftKey:"shift",altKey:"alt",metaKey:"win",separator:"+"},{ctrlKey:"ctrl",shiftKey:"shift",altKey:"alt",metaKey:"meta",separator:"+"});function L(E,M,n){if(M===null)return"";const y=[];return E.ctrlKey&&y.push(n.ctrlKey),E.shiftKey&&y.push(n.shiftKey),E.altKey&&y.push(n.altKey),E.metaKey&&y.push(n.metaKey),M!==""&&y.push(M),y.join(n.separator)}}),define(Y[126],J([14,12]),function(H,e){return H.create("vs/base/node/processes",e)}),define(Y[83],J([0,1,8,23,24,45,126,13,43,29,4,78,10]),function(H,e,v,R,L,E,M,n,y,i,k,f,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.TerminateResponseCode=e.Source=void 0;function g(a){switch(a){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function h(a,l){if(k.isWindows)try{const t={stdio:["pipe","pipe","ignore"]};l&&(t.cwd=l);const r=E.execFile("taskkill",["/T","/F","/PID",a.pid.toString()],t);return new Promise(c=>{r.once("error",d=>{c({success:!1,error:d})}),r.once("exit",(d,u)=>{c(d===0?{success:!0}:{success:!1,code:d!==null?d:1})})})}catch(t){return Promise.resolve({success:!1,error:t,code:t.status?g(t.status):1})}else if(k.isLinux||k.isMacintosh)try{const t=b.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",H).fsPath;return new Promise(r=>{E.execFile(t,[a.pid.toString()],{encoding:"utf8",shell:!0},(c,d,u)=>{r(c?{success:!1,error:c}:{success:!0})})})}catch(t){return Promise.resolve({success:!1,error:t})}else a.kill("SIGKILL");return Promise.resolve({success:!0})}function w(a=process.env){return a.comspec||"cmd.exe"}e.getWindowsShell=w;class S{constructor(l,t,r,c){if(t!==void 0&&r!==void 0&&c!==void 0)this.cmd=l,this.args=t,this.shell=r,this.options=c;else{const d=l;this.cmd=d.command,this.shell=d.isShellCommand,this.args=d.args.slice(0),this.options=d.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const d=Object.create(null);Object.keys(process.env).forEach(u=>{d[u]=process.env[u]}),Object.keys(this.options.env).forEach(u=>{d[u]=this.options.env[u]}),this.options.env=d}}getSanitizedCommand(){let l=this.cmd.toLowerCase();const t=l.lastIndexOf(v.sep);return t!==-1&&(l=l.substring(t+1)),S.WellKnowCommands[l]?l:"other"}start(l){return k.isWindows&&(this.options&&this.options.cwd&&i.isUNC(this.options.cwd)||!this.options&&i.isUNC(process.cwd()))?Promise.reject(new Error(M.localize(0,null))):this.useExec().then(t=>{let r,c;const d=new Promise((u,m)=>{r=u,c=m});if(t){let u=this.cmd;this.args&&(u=u+" "+this.args.join(" ")),this.childProcess=E.exec(u,this.options,(m,I,A)=>{this.childProcess=null;const F=m;F&&F.killed?c({killed:this.terminateRequested,stdout:I.toString(),stderr:A.toString()}):this.handleExec(r,l,m,I,A)})}else{let u=null;const m=I=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(I,r,l,c);const A={terminated:this.terminateRequested};n.isNumber(I)&&(A.cmdCode=I),r(A)};if(this.shell&&k.isWindows){const I=y.deepClone(this.options);I.windowsVerbatimArguments=!0,I.detached=!1;let A=!1,F=!1;const N=[];let $=this.ensureQuotes(this.cmd);N.push($.value),A=$.quoted,this.args&&this.args.forEach(x=>{$=this.ensureQuotes(x),N.push($.value),F=F&&$.quoted});const z=["/s","/c"];A?F?z.push('"'+N.join(" ")+'"'):N.length>1?z.push('"'+N[0]+'" '+N.slice(1).join(" ")):z.push('"'+N[0]+'"'):z.push(N.join(" ")),u=E.spawn(w(),z,I)}else this.cmd&&(u=E.spawn(this.cmd,this.args,this.options));u&&(this.childProcess=u,this.childProcessPromise=Promise.resolve(u),this.pidResolve&&(this.pidResolve(n.isNumber(u.pid)?u.pid:-1),this.pidResolve=void 0),u.on("error",I=>{this.childProcess=null,c({terminated:this.terminateRequested,error:I})}),u.pid&&(this.childProcess.on("close",m),this.handleSpawn(u,r,l,c,!0)))}return d})}handleClose(l,t,r,c){}ensureQuotes(l){return S.regexp.test(l)?{value:'"'+l+'"',quoted:!0}:{value:l,quoted:l.length>0&&l[0]==='"'&&l[l.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(l=>l.pid,l=>-1):new Promise(l=>{this.pidResolve=l})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(l=>(this.terminateRequested=!0,h(l,this.options.cwd).then(t=>(t.success&&(this.childProcess=null),t))),l=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(l=>{if(!this.shell||!k.isWindows)return l(!1);const t=E.spawn(w(),["/s","/c"]);t.on("error",r=>l(!0)),t.on("exit",r=>l(!1))})}}e.AbstractProcess=S,S.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},S.regexp=/^[^"].* .*[^"]/;class p extends S{constructor(l,t,r,c){super(l,t,r,c);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(l,t,r,c,d){[c,d].forEach((u,m)=>{const I=new f.LineDecoder;I.write(u).forEach(N=>{t({line:N,source:m===0?0:1})});const F=I.end();F&&t({line:F,source:m===0?0:1})}),l({terminated:this.terminateRequested,error:r})}handleSpawn(l,t,r,c,d){const u=new f.LineDecoder,m=new f.LineDecoder;l.stdout.on("data",I=>{u.write(I).forEach(F=>r({line:F,source:0}))}),l.stderr.on("data",I=>{m.write(I).forEach(F=>r({line:F,source:1}))}),this.stdoutLineDecoder=u,this.stderrLineDecoder=m}handleClose(l,t,r,c){const d=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;d&&r({line:d,source:0});const u=this.stderrLineDecoder?this.stderrLineDecoder.end():null;u&&r({line:u,source:1})}}e.LineProcess=p;function s(a){let l=[],t=!1;const r=function(c){if(t){l.push(c);return}(!a.send(c,u=>{if(u&&console.error(u),t=!1,l.length>0){const m=l.slice(0);l=[],m.forEach(I=>r(I))}})||k.isWindows)&&(t=!0)};return{send:r}}e.createQueuedSender=s;var o;(function(a){async function l(t,r,c){if(v.isAbsolute(t))return t;if(r===void 0&&(r=process.cwd()),v.dirname(t)!=="."||(c===void 0&&n.isString(process.env.PATH)&&(c=process.env.PATH.split(v.delimiter)),c===void 0||c.length===0))return v.join(r,t);async function u(m){return await L.exists(m)?!(await R.promises.stat(m)).isDirectory():!1}for(let m of c){let I;if(v.isAbsolute(m)?I=v.join(m,t):I=v.join(r,m,t),await u(I))return I;let A=I+".com";if(await u(A)||(A=I+".exe",await u(A)))return A}return v.join(r,t)}a.findExecutable=l})(o=e.win32||(e.win32={}))}),define(Y[127],J([0,1,27,4,112,83]),function(H,e,v,R,L,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSystemShellSync=e.getSystemShell=void 0;async function M(g,h=process.env){return g===3?R.isWindows?f():E.getWindowsShell(h):i(g,h)}e.getSystemShell=M;function n(g,h=process.env){return g===3?R.isWindows?b(h):E.getWindowsShell(h):i(g,h)}e.getSystemShellSync=n;let y=null;function i(g,h){if(R.isLinux&&g===1||R.isMacintosh&&g===2)return"/bin/bash";if(!y){let w;if(R.isWindows)w="/bin/bash";else{if(w=h.SHELL,!w)try{w=v.userInfo().shell}catch(S){}w||(w="sh"),w==="/bin/false"&&(w="/bin/bash")}y=w}return y}let k=null;async function f(){return k||(k=(await L.getFirstAvailablePowerShellInstallation()).exePath),k}function b(g){if(k)return k;const h=R.isWindows&&parseFloat(v.release())>=10,w=g.hasOwnProperty("PROCESSOR_ARCHITEW6432"),S=`${g.windir}\\${w?"Sysnative":"System32"}\\WindowsPowerShell\\v1.0\\powershell.exe`;return h?S:E.getWindowsShell(g)}}),define(Y[84],J([0,1,45,2,9,43,3,83,34,105,25,20,22,4]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Client=e.Server=void 0;class h extends y.ChannelServer{constructor(p){super({send:s=>{try{process.send&&process.send(s.buffer.toString("base64"))}catch(o){}},onMessage:M.Event.fromNodeEventEmitter(process,"message",s=>b.VSBuffer.wrap(Buffer.from(s,"base64")))},p);process.once("disconnect",()=>this.dispose())}}e.Server=h;class w{constructor(p,s){this.modulePath=p,this.options=s,this.activeRequests=new Set,this.channels=new Map,this._onDidProcessExit=new M.Emitter,this.onDidProcessExit=this._onDidProcessExit.event;const o=s&&s.timeout?s.timeout:6e4;this.disposeDelayer=new L.Delayer(o),this.child=null,this._client=null}getChannel(p){const s=this;return{call(o,a,l){return s.requestPromise(p,o,a,l)},listen(o,a){return s.requestEvent(p,o,a)}}}requestPromise(p,s,o,a=k.CancellationToken.None){if(!this.disposeDelayer)return Promise.reject(new Error("disposed"));if(a.isCancellationRequested)return Promise.reject(f.canceled());this.disposeDelayer.cancel();const l=this.getCachedChannel(p),t=L.createCancelablePromise(d=>l.call(s,o,d)),r=a.onCancellationRequested(()=>t.cancel()),c=R.toDisposable(()=>t.cancel());return this.activeRequests.add(c),t.finally(()=>{r.dispose(),this.activeRequests.delete(c),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}),t}requestEvent(p,s,o){if(!this.disposeDelayer)return M.Event.None;this.disposeDelayer.cancel();let a;const l=new M.Emitter({onFirstListenerAdd:()=>{a=this.getCachedChannel(p).listen(s,o)(l.fire,l),this.activeRequests.add(a)},onLastListenerRemove:()=>{this.activeRequests.delete(a),a.dispose(),this.activeRequests.size===0&&this.disposeDelayer&&this.disposeDelayer.trigger(()=>this.disposeClient())}});return l.event}get client(){if(!this._client){const p=this.options&&this.options.args?this.options.args:[],s=Object.create(null);s.env=Object.assign(Object.assign({},E.deepClone(process.env)),{VSCODE_PARENT_PID:String(process.pid)}),this.options&&this.options.env&&(s.env=Object.assign(Object.assign({},s.env),this.options.env)),this.options&&this.options.freshExecArgv&&(s.execArgv=[]),this.options&&typeof this.options.debug=="number"&&(s.execArgv=["--nolazy","--inspect="+this.options.debug]),this.options&&typeof this.options.debugBrk=="number"&&(s.execArgv=["--nolazy","--inspect-brk="+this.options.debugBrk]),s.execArgv===void 0&&(s.execArgv=process.execArgv.filter(u=>!/^--inspect(-brk)?=/.test(u))),g.isMacintosh&&s.env&&delete s.env.DYLD_LIBRARY_PATH,this.child=v.fork(this.modulePath,p,s);const o=new M.Emitter;M.Event.fromNodeEventEmitter(this.child,"message",u=>u)(u=>{if(i.isRemoteConsoleLog(u)){i.log(u,`IPC Library: ${this.options.serverName}`);return}o.fire(b.VSBuffer.wrap(Buffer.from(u,"base64")))});const l=this.options.useQueue?n.createQueuedSender(this.child):this.child,t=u=>this.child&&this.child.connected&&l.send(u.buffer.toString("base64")),r=o.event,c={send:t,onMessage:r};this._client=new y.ChannelClient(c);const d=()=>this.disposeClient();process.once("exit",d),this.child.on("error",u=>console.warn('IPC "'+this.options.serverName+'" errored with '+u)),this.child.on("exit",(u,m)=>{process.removeListener("exit",d),this.activeRequests.forEach(I=>R.dispose(I)),this.activeRequests.clear(),u!==0&&m!=="SIGTERM"&&console.warn('IPC "'+this.options.serverName+'" crashed with exit code '+u+" and signal "+m),this.disposeDelayer&&this.disposeDelayer.cancel(),this.disposeClient(),this._onDidProcessExit.fire({code:u,signal:m})})}return this._client}getCachedChannel(p){let s=this.channels.get(p);return s||(s=this.client.getChannel(p),this.channels.set(p,s)),s}disposeClient(){this._client&&(this.child&&(this.child.kill(),this.child=null),this._client=null,this.channels.clear())}dispose(){this._onDidProcessExit.dispose(),this.disposeDelayer&&(this.disposeDelayer.cancel(),this.disposeDelayer=void 0),this.disposeClient(),this.activeRequests.clear()}}e.Client=w}),define(Y[128],J([14,12]),function(H,e){return H.create("vs/code/electron-main/app",e)}),define(Y[129],J([14,12]),function(H,e){return H.create("vs/platform/configuration/common/configurationRegistry",e)}),define(Y[130],J([14,12]),function(H,e){return H.create("vs/platform/dialogs/electron-main/dialogMainService",e)}),define(Y[131],J([14,12]),function(H,e){return H.create("vs/platform/environment/node/argv",e)}),define(Y[132],J([14,12]),function(H,e){return H.create("vs/platform/environment/node/argvHelper",e)}),define(Y[133],J([14,12]),function(H,e){return H.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(Y[134],J([14,12]),function(H,e){return H.create("vs/platform/extensions/common/extensionValidator",e)}),define(Y[135],J([14,12]),function(H,e){return H.create("vs/platform/files/common/fileService",e)}),define(Y[136],J([14,12]),function(H,e){return H.create("vs/platform/files/common/files",e)}),define(Y[137],J([14,12]),function(H,e){return H.create("vs/platform/files/common/io",e)}),define(Y[138],J([14,12]),function(H,e){return H.create("vs/platform/files/node/diskFileSystemProvider",e)}),define(Y[139],J([14,12]),function(H,e){return H.create("vs/platform/issue/electron-main/issueMainService",e)}),define(Y[140],J([14,12]),function(H,e){return H.create("vs/platform/menubar/electron-main/menubar",e)}),define(Y[141],J([14,12]),function(H,e){return H.create("vs/platform/request/common/request",e)}),define(Y[142],J([14,12]),function(H,e){return H.create("vs/platform/telemetry/common/telemetryService",e)}),define(Y[143],J([14,12]),function(H,e){return H.create("vs/platform/update/common/update.config.contribution",e)}),define(Y[144],J([14,12]),function(H,e){return H.create("vs/platform/windows/electron-main/window",e)}),define(Y[145],J([14,12]),function(H,e){return H.create("vs/platform/windows/electron-main/windowsMainService",e)}),define(Y[146],J([14,12]),function(H,e){return H.create("vs/platform/workspaces/common/workspaces",e)}),define(Y[147],J([14,12]),function(H,e){return H.create("vs/platform/workspaces/electron-main/workspacesHistoryMainService",e)}),define(Y[148],J([14,12]),function(H,e){return H.create("vs/platform/workspaces/electron-main/workspacesManagementMainService",e)}),define(Y[149],J([0,1,3,2]),function(H,e,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostDebugChannelClient=e.ExtensionHostDebugBroadcastChannel=void 0;class L{constructor(){this._onCloseEmitter=new v.Emitter,this._onReloadEmitter=new v.Emitter,this._onTerminateEmitter=new v.Emitter,this._onAttachEmitter=new v.Emitter}call(n,y,i){switch(y){case"close":return Promise.resolve(this._onCloseEmitter.fire({sessionId:i[0]}));case"reload":return Promise.resolve(this._onReloadEmitter.fire({sessionId:i[0]}));case"terminate":return Promise.resolve(this._onTerminateEmitter.fire({sessionId:i[0]}));case"attach":return Promise.resolve(this._onAttachEmitter.fire({sessionId:i[0],port:i[1],subId:i[2]}))}throw new Error("Method not implemented.")}listen(n,y,i){switch(y){case"close":return this._onCloseEmitter.event;case"reload":return this._onReloadEmitter.event;case"terminate":return this._onTerminateEmitter.event;case"attach":return this._onAttachEmitter.event}throw new Error("Method not implemented.")}}e.ExtensionHostDebugBroadcastChannel=L,L.ChannelName="extensionhostdebugservice";class E extends R.Disposable{constructor(n){super();this.channel=n}reload(n){this.channel.call("reload",[n])}get onReload(){return this.channel.listen("reload")}close(n){this.channel.call("close",[n])}get onClose(){return this.channel.listen("close")}attachSession(n,y,i){this.channel.call("attach",[n,y,i])}get onAttachSession(){return this.channel.listen("attach")}terminateSession(n,y){this.channel.call("terminate",[n,y])}get onTerminateSession(){return this.channel.listen("terminate")}openExtensionDevelopmentHostWindow(n,y,i){return this.channel.call("openExtensionDevelopmentHostWindow",[n,y,i])}}e.ExtensionHostDebugChannelClient=E}),define(Y[60],J([0,1,235,131,4]),function(H,e,v,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.buildVersionMessage=e.buildHelpMessage=e.formatOptions=e.parseArgs=e.OPTIONS=void 0;const E={o:R.localize(0,null),e:R.localize(1,null),t:R.localize(2,null)};e.OPTIONS={diff:{type:"boolean",cat:"o",alias:"d",args:["file","file"],description:R.localize(3,null)},add:{type:"boolean",cat:"o",alias:"a",args:"folder",description:R.localize(4,null)},goto:{type:"boolean",cat:"o",alias:"g",args:"file:line[:character]",description:R.localize(5,null)},"new-window":{type:"boolean",cat:"o",alias:"n",description:R.localize(6,null)},"reuse-window":{type:"boolean",cat:"o",alias:"r",description:R.localize(7,null)},wait:{type:"boolean",cat:"o",alias:"w",description:R.localize(8,null)},waitMarkerFilePath:{type:"string"},locale:{type:"string",cat:"o",args:"locale",description:R.localize(9,null)},"user-data-dir":{type:"string",cat:"o",args:"dir",description:R.localize(10,null)},help:{type:"boolean",cat:"o",alias:"h",description:R.localize(11,null)},"extensions-dir":{type:"string",deprecates:"extensionHomePath",cat:"e",args:"dir",description:R.localize(12,null)},"extensions-download-dir":{type:"string"},"builtin-extensions-dir":{type:"string"},"list-extensions":{type:"boolean",cat:"e",description:R.localize(13,null)},"show-versions":{type:"boolean",cat:"e",description:R.localize(14,null)},category:{type:"string",cat:"e",description:R.localize(15,null)},"install-extension":{type:"string[]",cat:"e",args:"extension-id[@version] | path-to-vsix",description:R.localize(16,null)},"uninstall-extension":{type:"string[]",cat:"e",args:"extension-id",description:R.localize(17,null)},"enable-proposed-api":{type:"string[]",cat:"e",args:"extension-id",description:R.localize(18,null)},version:{type:"boolean",cat:"t",alias:"v",description:R.localize(19,null)},verbose:{type:"boolean",cat:"t",description:R.localize(20,null)},log:{type:"string",cat:"t",args:"level",description:R.localize(21,null)},status:{type:"boolean",alias:"s",cat:"t",description:R.localize(22,null)},"prof-startup":{type:"boolean",cat:"t",description:R.localize(23,null)},"prof-append-timers":{type:"string"},"prof-startup-prefix":{type:"string"},"prof-v8-extensions":{type:"boolean"},"disable-extensions":{type:"boolean",deprecates:"disableExtensions",cat:"t",description:R.localize(24,null)},"disable-extension":{type:"string[]",cat:"t",args:"extension-id",description:R.localize(25,null)},sync:{type:"string",cat:"t",description:R.localize(26,null),args:["on","off"]},"inspect-extensions":{type:"string",deprecates:"debugPluginHost",args:"port",cat:"t",description:R.localize(27,null)},"inspect-brk-extensions":{type:"string",deprecates:"debugBrkPluginHost",args:"port",cat:"t",description:R.localize(28,null)},"disable-gpu":{type:"boolean",cat:"t",description:R.localize(29,null)},"max-memory":{type:"string",cat:"t",description:R.localize(30,null)},telemetry:{type:"boolean",cat:"t",description:R.localize(31,null)},remote:{type:"string"},"folder-uri":{type:"string[]",cat:"o",args:"uri"},"file-uri":{type:"string[]",cat:"o",args:"uri"},"locate-extension":{type:"string[]"},extensionDevelopmentPath:{type:"string[]"},extensionTestsPath:{type:"string"},debugId:{type:"string"},debugRenderer:{type:"boolean"},"inspect-search":{type:"string",deprecates:"debugSearch"},"inspect-brk-search":{type:"string",deprecates:"debugBrkSearch"},"export-default-configuration":{type:"string"},"install-source":{type:"string"},driver:{type:"string"},logExtensionHostCommunication:{type:"boolean"},"skip-release-notes":{type:"boolean"},"disable-telemetry":{type:"boolean"},"disable-updates":{type:"boolean"},"disable-keytar":{type:"boolean"},"disable-crash-reporter":{type:"boolean"},"crash-reporter-directory":{type:"string"},"crash-reporter-id":{type:"string"},"skip-add-to-recently-opened":{type:"boolean"},"unity-launch":{type:"boolean"},"open-url":{type:"boolean"},"file-write":{type:"boolean"},"file-chmod":{type:"boolean"},"driver-verbose":{type:"boolean"},"install-builtin-extension":{type:"string[]"},force:{type:"boolean"},"do-not-sync":{type:"boolean"},trace:{type:"boolean"},"trace-category-filter":{type:"string"},"trace-options":{type:"string"},"force-user-env":{type:"boolean"},"force-disable-user-env":{type:"boolean"},"open-devtools":{type:"boolean"},__sandbox:{type:"boolean"},logsPath:{type:"string"},"no-proxy-server":{type:"boolean"},"proxy-server":{type:"string"},"proxy-bypass-list":{type:"string"},"proxy-pac-url":{type:"string"},"js-flags":{type:"string"},inspect:{type:"string"},"inspect-brk":{type:"string"},nolazy:{type:"boolean"},"force-device-scale-factor":{type:"string"},"force-renderer-accessibility":{type:"boolean"},"ignore-certificate-errors":{type:"boolean"},"allow-insecure-localhost":{type:"boolean"},"log-net-log":{type:"string"},_urls:{type:"string[]"},_:{type:"string[]"}};const M={onUnknownOption:()=>{},onMultipleValues:()=>{}};function n(h,w,S=M){const p={},s=[],o=[];for(let r in w){const c=w[r];c.alias&&(p[r]=c.alias),c.type==="string"||c.type==="string[]"?(s.push(r),c.deprecates&&s.push(c.deprecates)):c.type==="boolean"&&(o.push(r),c.deprecates&&o.push(c.deprecates))}const a=v(h,{string:s,boolean:o,alias:p}),l={},t=a;l._=a._.map(r=>String(r)).filter(r=>r.length>0),delete t._;for(let r in w){const c=w[r];c.alias&&delete t[c.alias];let d=t[r];c.deprecates&&t.hasOwnProperty(c.deprecates)&&(d||(d=t[c.deprecates]),delete t[c.deprecates]),typeof d!="undefined"&&(c.type==="string[]"?d&&!Array.isArray(d)&&(d=[d]):c.type==="string"&&Array.isArray(d)&&(d=d.pop(),S.onMultipleValues(r,d)),l[r]=d),delete t[r]}for(let r in t)S.onUnknownOption(r);return l}e.parseArgs=n;function y(h,w){let S="";return w.args&&(Array.isArray(w.args)?S=` <${w.args.join("> <")}>`:S=` <${w.args}>`),w.alias?`-${w.alias} --${h}${S}`:`--${h}${S}`}function i(h,w){let S=0,p=[];for(const l in h){const t=h[l],r=y(l,t);S=Math.max(S,r.length),p.push([r,t.description])}let s=S+2+1;if(w-s<25)return p.reduce((l,t)=>l.concat([`  ${t[0]}`,`      ${t[1]}`]),[]);let o=w-s-1,a=[];for(const l of p){let t=l[0],r=f(l[1],o),c=k(s-t.length-2);a.push("  "+t+c+r[0]);for(let d=1;d<r.length;d++)a.push(k(s)+r[d])}return a}e.formatOptions=i;function k(h){return" ".repeat(h)}function f(h,w){let S=[];for(;h.length;){let p=h.length<w?h.length:h.lastIndexOf(" ",w),s=h.slice(0,p).trim();h=h.slice(p),S.push(s)}return S}function b(h,w,S,p,s=!0){const o=process.stdout.isTTY&&process.stdout.columns||80;let a=[`${h} ${S}`];a.push(""),a.push(`${R.localize(32,null)}: ${w} [${R.localize(33,null)}][${R.localize(34,null)}...]`),a.push(""),s&&(L.isWindows?a.push(R.localize(35,null,w)):a.push(R.localize(36,null,w)),a.push(""));const l={};for(const t in p){const r=p[t];if(r.description&&r.cat){let c=l[r.cat];c||(l[r.cat]=c={}),c[t]=r}}for(let t in l){const r=t;let c=l[r];c&&(a.push(E[r]),a.push(...i(c,o)),a.push(""))}return a.join(`
`)}e.buildHelpMessage=b;function g(h,w){return`${h||R.localize(37,null)}
${w||R.localize(38,null)}
${process.arch}`}e.buildVersionMessage=g}),define(Y[150],J([0,1,60,59,149]),function(H,e,v,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ElectronExtensionHostDebugBroadcastChannel=void 0;class E extends L.ExtensionHostDebugBroadcastChannel{constructor(n){super();this.windowsMainService=n}call(n,y,i){return y==="openExtensionDevelopmentHostWindow"?this.openExtensionDevelopmentHostWindow(i[0],i[1],i[2]):super.call(n,y,i)}async openExtensionDevelopmentHostWindow(n,y,i){const k=v.parseArgs(n,v.OPTIONS);k.debugRenderer=i;const f=k.extensionDevelopmentPath;if(!f)return{};const[b]=this.windowsMainService.openExtensionDevelopmentHostWindow(f,{context:5,cli:k,userEnv:Object.keys(y).length>0?y:void 0});if(!i)return{};const g=b.win;if(!g)return{};const h=g.webContents.debugger;let w=h.isAttached()?Infinity:0;const S=R.createServer(p=>{w++==0&&h.attach();let s=!1;const o=t=>{s||p.write(JSON.stringify(t)+"\0")},a=(t,r,c,d)=>o({method:r,params:c,sessionId:d});g.on("close",()=>{h.removeListener("message",a),p.end(),s=!0}),h.addListener("message",a);let l=Buffer.alloc(0);p.on("data",t=>{l=Buffer.concat([l,t]);for(let r=l.indexOf(0);r!==-1;r=l.indexOf(0)){let c;try{const d=l.slice(0,r).toString("utf8");l=l.slice(r+1),c=JSON.parse(d)}catch(d){console.error("error reading cdp line",d)}h.sendCommand(c.method,c.params,c.sessionId).then(d=>o({id:c.id,sessionId:c.sessionId,result:d})).catch(d=>o({id:c.id,sessionId:c.sessionId,error:{code:0,message:d.message}}))}}),p.on("error",t=>{console.error("error on cdp pipe:",t)}),p.on("close",()=>{s=!0,--w==0&&h.detach()})});return await new Promise(p=>S.listen(0,p)),g.on("close",()=>S.close()),{rendererDebugPort:S.address().port}}}e.ElectronExtensionHostDebugBroadcastChannel=E}),define(Y[151],J([0,1,23,27,8]),function(H,e,v,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createWaitMarkerFile=void 0;function E(M){const n=L.join(R.tmpdir(),Math.random().toString(36).replace(/[^a-z]+/g,"").substr(0,10));try{return v.writeFileSync(n,""),M&&console.log(`Marker file for --wait created: ${n}`),n}catch(y){M&&console.error(`Failed to create marker file for --wait: ${y}`);return}}e.createWaitMarkerFile=E}),define(Y[152],J([0,1,134]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isVersionValid=e.isEngineValid=e.isValidExtensionVersion=e.isValidVersion=e.normalizeVersion=e.parseVersion=e.isValidVersionStr=void 0;const R=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/;function L(f){return f=f.trim(),f==="*"||R.test(f)}e.isValidVersionStr=L;function E(f){if(!L(f))return null;if(f=f.trim(),f==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};let b=f.match(R);return b?{hasCaret:b[1]==="^",hasGreaterEquals:b[1]===">=",majorBase:b[2]==="x"?0:parseInt(b[2],10),majorMustEqual:b[2]!=="x",minorBase:b[4]==="x"?0:parseInt(b[4],10),minorMustEqual:b[4]!=="x",patchBase:b[6]==="x"?0:parseInt(b[6],10),patchMustEqual:b[6]!=="x",preRelease:b[8]||null}:null}e.parseVersion=E;function M(f){if(!f)return null;let b=f.majorBase,g=f.majorMustEqual,h=f.minorBase,w=f.minorMustEqual,S=f.patchBase,p=f.patchMustEqual;return f.hasCaret&&(b===0||(w=!1),p=!1),{majorBase:b,majorMustEqual:g,minorBase:h,minorMustEqual:w,patchBase:S,patchMustEqual:p,isMinimum:f.hasGreaterEquals}}e.normalizeVersion=M;function n(f,b){let g;typeof f=="string"?g=M(E(f)):g=f;let h;if(typeof b=="string"?h=M(E(b)):h=b,!g||!h)return!1;let w=g.majorBase,S=g.minorBase,p=g.patchBase,s=h.majorBase,o=h.minorBase,a=h.patchBase,l=h.majorMustEqual,t=h.minorMustEqual,r=h.patchMustEqual;return h.isMinimum?w>s?!0:w<s?!1:S>o?!0:S<o?!1:p>=a:(w===1&&s===0&&(!l||!t||!r)&&(s=1,o=0,a=0,l=!0,t=!1,r=!1),w<s?!1:w>s?!l:S<o?!1:S>o?!t:p<a?!1:p>a?!r:!0)}e.isValidVersion=n;function y(f,b,g){return b.isBuiltin||typeof b.main=="undefined"?!0:k(f,b.engines.vscode,g)}e.isValidExtensionVersion=y;function i(f,b){return f==="*"||k(b,f)}e.isEngineValid=i;function k(f,b,g=[]){let h=M(E(b));if(!h)return g.push(v.localize(0,null,b)),!1;if(h.majorBase===0){if(!h.majorMustEqual||!h.minorMustEqual)return g.push(v.localize(1,null,b)),!1}else if(!h.majorMustEqual)return g.push(v.localize(2,null,b)),!1;return n(f,h)?!0:(g.push(v.localize(3,null,f,b)),!1)}e.isVersionValid=k}),define(Y[153],J([0,1,34,84,2,10]),function(H,e,v,R,L,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class M extends L.Disposable{constructor(y,i,k,f){super();this.folders=y,this.onDidFilesChange=i,this.onLogMessage=k,this.verboseLogging=f,this.isDisposed=!1,this.restartCounter=0,this.startWatching()}startWatching(){const y=this._register(new R.Client(E.FileAccess.asFileUri("bootstrap-fork",H).fsPath,{serverName:"File Watcher (nsfw)",args:["--type=watcherService"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/nsfw/watcherApp",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));this._register(y.onDidProcessExit(()=>{this.isDisposed||(this.restartCounter<=M.MAX_RESTARTS?(this.error("terminated unexpectedly and is restarted again..."),this.restartCounter++,this.startWatching()):this.error("failed to start after retrying for some time, giving up. Please report this as a bug report!"))})),this.service=v.ProxyChannel.toService(v.getNextTickChannel(y.getChannel("watcher"))),this.service.setVerboseLogging(this.verboseLogging),this._register(this.service.onDidChangeFile(i=>!this.isDisposed&&this.onDidFilesChange(i))),this._register(this.service.onDidLogMessage(i=>this.onLogMessage(i))),this.setFolders(this.folders)}setVerboseLogging(y){this.verboseLogging=y,!this.isDisposed&&this.service&&this.service.setVerboseLogging(y)}error(y){this.onLogMessage({type:"error",message:`[File Watcher (nsfw)] ${y}`})}setFolders(y){this.folders=y,this.service&&this.service.setRoots(y)}dispose(){this.isDisposed=!0,super.dispose()}}e.FileWatcher=M,M.MAX_RESTARTS=5}),define(Y[154],J([0,1,34,84,2,10]),function(H,e,v,R,L,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class M extends L.Disposable{constructor(y,i,k,f,b={}){super();this.folders=y,this.onDidFilesChange=i,this.onLogMessage=k,this.verboseLogging=f,this.watcherOptions=b,this.isDisposed=!1,this.restartCounter=0,this.startWatching()}startWatching(){const y=this._register(new R.Client(E.FileAccess.asFileUri("bootstrap-fork",H).fsPath,{serverName:"File Watcher (chokidar)",args:["--type=watcherService"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/unix/watcherApp",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));this._register(y.onDidProcessExit(()=>{this.isDisposed||(this.restartCounter<=M.MAX_RESTARTS?(this.error("terminated unexpectedly and is restarted again..."),this.restartCounter++,this.startWatching()):this.error("failed to start after retrying for some time, giving up. Please report this as a bug report!"))})),this.service=v.ProxyChannel.toService(v.getNextTickChannel(y.getChannel("watcher"))),this.service.init(Object.assign(Object.assign({},this.watcherOptions),{verboseLogging:this.verboseLogging})),this._register(this.service.onDidChangeFile(i=>!this.isDisposed&&this.onDidFilesChange(i))),this._register(this.service.onDidLogMessage(i=>this.onLogMessage(i))),this.service.setRoots(this.folders)}error(y){this.onLogMessage({type:"error",message:`[File Watcher (chokidar)] ${y}`})}setVerboseLogging(y){this.verboseLogging=y,this.service&&this.service.setVerboseLogging(y)}setFolders(y){this.folders=y,this.service&&this.service.setRoots(y)}dispose(){this.isDisposed=!0,super.dispose()}}e.FileWatcher=M,M.MAX_RESTARTS=5}),define(Y[155],J([0,1,45,78,77,10]),function(H,e,v,R,L,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OutOfProcessWin32FolderWatcher=void 0;class M{constructor(y,i,k,f,b){this.watchedFolder=y,this.eventCallback=k,this.logCallback=f,this.verboseLogging=b,this.restartCounter=0,Array.isArray(i)?this.ignored=i.map(g=>L.parse(g)):this.ignored=[],this.verboseLogging&&this.log(`Start watching: ${y}`),this.startWatcher()}startWatcher(){const y=[this.watchedFolder];this.verboseLogging&&y.push("-verbose"),this.handle=v.spawn(E.FileAccess.asFileUri("vs/platform/files/node/watcher/win32/CodeHelper.exe",H).fsPath,y);const i=new R.LineDecoder;this.handle.stdout.on("data",k=>{const f=[];i.write(k).forEach(b=>{const g=b.split("|");if(g.length===2){const h=Number(g[0]),w=g[1];if(h>=0&&h<3){if(this.ignored&&this.ignored.some(S=>S(w))){this.verboseLogging&&this.log(w);return}f.push({type:M.changeTypeMap[h],path:w})}else this.log(g[1])}}),f.length>0&&this.eventCallback(f)}),this.handle.on("error",k=>this.onError(k)),this.handle.stderr.on("data",k=>this.onError(k)),this.handle.on("exit",(k,f)=>this.onExit(k,f))}onError(y){this.error("process error: "+y.toString())}onExit(y,i){this.handle&&(this.error(`terminated unexpectedly (code: ${y}, signal: ${i})`),this.restartCounter<=M.MAX_RESTARTS?(this.error("is restarted again..."),this.restartCounter++,this.startWatcher()):this.error("Watcher failed to start after retrying for some time, giving up. Please report this as a bug report!"))}error(y){this.logCallback({type:"error",message:`[File Watcher (C#)] ${y}`})}log(y){this.logCallback({type:"trace",message:`[File Watcher (C#)] ${y}`})}dispose(){this.handle&&(this.handle.kill(),this.handle=void 0)}}e.OutOfProcessWin32FolderWatcher=M,M.MAX_RESTARTS=5,M.changeTypeMap=[0,1,2]}),define(Y[156],J([0,1,155,8,21]),function(H,e,v,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class E{constructor(n,y,i,k){this.onDidFilesChange=y,this.onLogMessage=i,this.verboseLogging=k,this.service=void 0,this.folder=n[0],this.folder.path.indexOf("\\\\")===0&&this.folder.path.endsWith(R.posix.sep)&&(this.folder.path=L.rtrim(this.folder.path,R.posix.sep)),this.service=this.startWatching()}get isDisposed(){return!this.service}startWatching(){return new v.OutOfProcessWin32FolderWatcher(this.folder.path,this.folder.excludes,n=>this.onFileEvents(n),n=>this.onLogMessage(n),this.verboseLogging)}setVerboseLogging(n){this.verboseLogging=n,this.service&&(this.service.dispose(),this.service=this.startWatching())}onFileEvents(n){this.isDisposed||n.length>0&&this.onDidFilesChange(n)}dispose(){this.service&&(this.service.dispose(),this.service=void 0)}}e.FileWatcher=E}),define(Y[68],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createSyncDescriptor=e.SyncDescriptor=void 0;class v{constructor(E,M=[],n=!1){this.ctor=E,this.staticArguments=M,this.supportsDelayedInstantiation=n}}e.SyncDescriptor=v;const R=(L,...E)=>new v(L,E);e.createSyncDescriptor=R}),define(Y[157],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class v{constructor(E){this.incoming=new Map,this.outgoing=new Map,this.data=E}}e.Node=v;class R{constructor(E){this._hashFn=E,this._nodes=new Map}roots(){const E=[];for(let M of this._nodes.values())M.outgoing.size===0&&E.push(M);return E}insertEdge(E,M){const n=this.lookupOrInsertNode(E),y=this.lookupOrInsertNode(M);n.outgoing.set(this._hashFn(M),y),y.incoming.set(this._hashFn(E),n)}removeNode(E){const M=this._hashFn(E);this._nodes.delete(M);for(let n of this._nodes.values())n.outgoing.delete(M),n.incoming.delete(M)}lookupOrInsertNode(E){const M=this._hashFn(E);let n=this._nodes.get(M);return n||(n=new v(E),this._nodes.set(M,n)),n}lookup(E){return this._nodes.get(this._hashFn(E))}isEmpty(){return this._nodes.size===0}toString(){let E=[];for(let[M,n]of this._nodes)E.push(`${M}, (incoming)[${[...n.incoming.keys()].join(", ")}], (outgoing)[${[...n.outgoing.keys()].join(",")}]`);return E.join(`
`)}}e.Graph=R}),define(Y[5],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.optional=e.createDecorator=e.IInstantiationService=e._util=void 0;var v;(function(M){M.serviceIds=new Map,M.DI_TARGET="$di$target",M.DI_DEPENDENCIES="$di$dependencies";function n(y){return y[M.DI_DEPENDENCIES]||[]}M.getServiceDependencies=n})(v=e._util||(e._util={})),e.IInstantiationService=L("instantiationService");function R(M,n,y,i){n[v.DI_TARGET]===n?n[v.DI_DEPENDENCIES].push({id:M,index:y,optional:i}):(n[v.DI_DEPENDENCIES]=[{id:M,index:y,optional:i}],n[v.DI_TARGET]=n)}function L(M){if(v.serviceIds.has(M))return v.serviceIds.get(M);const n=function(y,i,k){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");R(n,y,k,!1)};return n.toString=()=>M,v.serviceIds.set(M,n),n}e.createDecorator=L;function E(M){return function(n,y,i){if(arguments.length!==3)throw new Error("@optional-decorator can only be used to decorate a parameter");R(M,n,i,!0)}}e.optional=E}),define(Y[69],J([0,1,5]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isRemoteDiagnosticError=e.IDiagnosticsService=e.ID=void 0,e.ID="diagnosticsService",e.IDiagnosticsService=v.createDecorator(e.ID);function R(L){return!!L.hostName&&!!L.errorMessage}e.isRemoteDiagnosticError=R}),define(Y[158],J([0,1,5,3,2,11,9]),function(H,e,v,R,L,E,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DisplayMainService=e.IDisplayMainService=void 0,e.IDisplayMainService=v.createDecorator("displayMainService");class n extends L.Disposable{constructor(){super();this._onDidDisplayChanged=this._register(new R.Emitter),this.onDidDisplayChanged=this._onDidDisplayChanged.event;const i=this._register(new M.RunOnceScheduler(()=>{this._onDidDisplayChanged.fire()},100));E.app.whenReady().then(()=>{const k=(f,b,g)=>{i.schedule()};E.screen.on("display-metrics-changed",k),this._register(L.toDisposable(()=>E.screen.removeListener("display-metrics-changed",k))),E.screen.on("display-added",k),this._register(L.toDisposable(()=>E.screen.removeListener("display-added",k))),E.screen.on("display-removed",k),this._register(L.toDisposable(()=>E.screen.removeListener("display-removed",k)))})}}e.DisplayMainService=n}),define(Y[85],J([0,1,5]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EncryptionMainService=e.IEncryptionMainService=void 0,e.IEncryptionMainService=v.createDecorator("encryptionMainService");class R{constructor(E){this.machineId=E}encryption(){return new Promise((E,M)=>H(["vscode-encrypt"],E,M))}async encrypt(E){try{return(await this.encryption()).encrypt(this.machineId,E)}catch(M){return E}}async decrypt(E){try{return(await this.encryption()).decrypt(this.machineId,E)}catch(M){return E}}}e.EncryptionMainService=R}),define(Y[52],J([0,1,5]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=v.createDecorator("environmentService"),e.INativeEnvironmentService=v.createDecorator("nativeEnvironmentService")}),define(Y[159],J([0,1,133,5,10]),function(H,e,v,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.DefaultIconPath=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IExtensionManagementService=e.ExtensionManagementError=e.INSTALL_ERROR_INCOMPATIBLE=e.INSTALL_ERROR_MALICIOUS=e.INSTALL_ERROR_NOT_SUPPORTED=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN);function E(f){return f&&typeof f=="object"&&typeof f.id=="string"&&(!f.uuid||typeof f.uuid=="string")}e.isIExtensionIdentifier=E;var M;(function(f){f[f.NoneOrRelevance=0]="NoneOrRelevance",f[f.LastUpdatedDate=1]="LastUpdatedDate",f[f.Title=2]="Title",f[f.PublisherName=3]="PublisherName",f[f.InstallCount=4]="InstallCount",f[f.PublishedDate=5]="PublishedDate",f[f.AverageRating=6]="AverageRating",f[f.WeightedRating=12]="WeightedRating"})(M=e.SortBy||(e.SortBy={}));var n;(function(f){f[f.Default=0]="Default",f[f.Ascending=1]="Ascending",f[f.Descending=2]="Descending"})(n=e.SortOrder||(e.SortOrder={}));var y;(function(f){f.Uninstall="uninstall"})(y=e.StatisticType||(e.StatisticType={}));var i;(function(f){f[f.None=0]="None",f[f.Install=1]="Install",f[f.Update=2]="Update"})(i=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=R.createDecorator("extensionGalleryService"),e.INSTALL_ERROR_NOT_SUPPORTED="notsupported",e.INSTALL_ERROR_MALICIOUS="malicious",e.INSTALL_ERROR_INCOMPATIBLE="incompatible";class k extends Error{constructor(b,g){super(b);this.code=g}}e.ExtensionManagementError=k,e.IExtensionManagementService=R.createDecorator("extensionManagementService"),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=R.createDecorator("IGlobalExtensionEnablementService"),e.IExtensionTipsService=R.createDecorator("IExtensionTipsService"),e.DefaultIconPath=L.FileAccess.asBrowserUri("./media/defaultIcon.png",H).toString(!0),e.ExtensionsLabel=v.localize(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=v.localize(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=R.createDecorator("IExtensionManagementCLIService")}),define(Y[160],J([0,1,5]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionUrlTrustService=void 0,e.IExtensionUrlTrustService=v.createDecorator("extensionUrlTrustService")}),define(Y[161],J([0,1,21,5]),function(H,e,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isAuthenticaionProviderExtension=e.isLanguagePackExtension=e.ExtensionIdentifier=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin";function L(i){return i&&typeof i=="object"&&typeof i.id=="string"&&(!i.uuid||typeof i.uuid=="string")}e.isIExtensionIdentifier=L,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var E;(function(i){i[i.System=0]="System",i[i.User=1]="User"})(E=e.ExtensionType||(e.ExtensionType={}));class M{constructor(k){this.value=k,this._lower=k.toLowerCase()}static equals(k,f){if(typeof k=="undefined"||k===null)return typeof f=="undefined"||f===null;if(typeof f=="undefined"||f===null)return!1;if(typeof k=="string"||typeof f=="string"){let b=typeof k=="string"?k:k.value,g=typeof f=="string"?f:f.value;return v.equalsIgnoreCase(b,g)}return k._lower===f._lower}static toKey(k){return typeof k=="string"?k.toLowerCase():k._lower}}e.ExtensionIdentifier=M;function n(i){return i.contributes&&i.contributes.localizations?i.contributes.localizations.length>0:!1}e.isLanguagePackExtension=n;function y(i){return i.contributes&&i.contributes.authentication?i.contributes.authentication.length>0:!1}e.isAuthenticaionProviderExtension=y,e.IBuiltinExtensionsScannerService=R.createDecorator("IBuiltinExtensionsScannerService")}),define(Y[162],J([0,1,21,161]),function(H,e,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.ExtensionIdentifierWithVersion=e.areSameExtensions=void 0;function L(g,h){return g.uuid&&h.uuid?g.uuid===h.uuid:g.id===h.id?!0:v.compareIgnoreCase(g.id,h.id)===0}e.areSameExtensions=L;class E{constructor(h,w){this.version=w,this.id=h.id,this.uuid=h.uuid}key(){return`${this.id}-${this.version}`}equals(h){return h instanceof E?L(this,h)&&this.version===h.version:!1}}e.ExtensionIdentifierWithVersion=E;function M(g,h){return`${g}.${h}`}e.getExtensionId=M;function n(g){return g.toLocaleLowerCase()}e.adoptToGalleryExtensionId=n;function y(g,h){return n(M(g,h))}e.getGalleryExtensionId=y;function i(g,h){const w=[],S=p=>{for(const s of w)if(s.some(o=>L(h(o),h(p))))return s;return null};for(const p of g){const s=S(p);s?s.push(p):w.push([p])}return w}e.groupByExtension=i;function k(g){return{id:g.identifier.id,name:g.manifest.name,galleryId:null,publisherId:g.publisherId,publisherName:g.manifest.publisher,publisherDisplayName:g.publisherDisplayName,dependencies:g.manifest.extensionDependencies&&g.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=k;function f(g){return Object.assign({id:g.identifier.id,name:g.name,galleryId:g.identifier.uuid,publisherId:g.publisherId,publisherName:g.publisher,publisherDisplayName:g.publisherDisplayName,dependencies:!!(g.properties.dependencies&&g.properties.dependencies.length>0)},g.telemetryData)}e.getGalleryExtensionTelemetryData=f,e.BetterMergeId=new R.ExtensionIdentifier("pprice.better-merge");function b(g){const h=new Set;for(const w of g)w.malicious&&h.add(w.id.id);return h}e.getMaliciousExtensionsSet=b}),define(Y[16],J([0,1,136,8,7,5,21,13,35]),function(H,e,v,R,L,E,M,n,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FileType=e.IFileService=void 0,e.IFileService=E.createDecorator("fileService");var i;(function(z){z[z.Unknown=0]="Unknown",z[z.File=1]="File",z[z.Directory=2]="Directory",z[z.SymbolicLink=64]="SymbolicLink"})(i=e.FileType||(e.FileType={}));var k;(function(z){z[z.FileReadWrite=2]="FileReadWrite",z[z.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",z[z.FileReadStream=16]="FileReadStream",z[z.FileFolderCopy=8]="FileFolderCopy",z[z.PathCaseSensitive=1024]="PathCaseSensitive",z[z.Readonly=2048]="Readonly",z[z.Trash=4096]="Trash"})(k=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function f(z){return!!(z.capabilities&2)}e.hasReadWriteCapability=f;function b(z){return!!(z.capabilities&8)}e.hasFileFolderCopyCapability=b;function g(z){return!!(z.capabilities&4)}e.hasOpenReadWriteCloseCapability=g;function h(z){return!!(z.capabilities&16)}e.hasFileReadStreamCapability=h;var w;(function(z){z.FileExists="EntryExists",z.FileNotFound="EntryNotFound",z.FileNotADirectory="EntryNotADirectory",z.FileIsADirectory="EntryIsADirectory",z.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",z.FileTooLarge="EntryTooLarge",z.NoPermissions="NoPermissions",z.Unavailable="Unavailable",z.Unknown="Unknown"})(w=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class S extends Error{constructor(x,te){super(x);this.code=te}}e.FileSystemProviderError=S;function p(z,x){const te=new S(z.toString(),x);return o(te,x),te}e.createFileSystemProviderError=p;function s(z){return z||p(v.localize(0,null),w.Unknown)}e.ensureFileSystemProviderError=s;function o(z,x){return z.name=x?`${x} (FileSystemError)`:"FileSystemError",z}e.markAsFileSystemProviderError=o;function a(z){if(!z)return w.Unknown;if(z instanceof S)return z.code;const x=/^(.+) \(FileSystemError\)$/.exec(z.name);if(!x)return w.Unknown;switch(x[1]){case w.FileExists:return w.FileExists;case w.FileIsADirectory:return w.FileIsADirectory;case w.FileNotADirectory:return w.FileNotADirectory;case w.FileNotFound:return w.FileNotFound;case w.FileExceedsMemoryLimit:return w.FileExceedsMemoryLimit;case w.FileTooLarge:return w.FileTooLarge;case w.NoPermissions:return w.NoPermissions;case w.Unavailable:return w.Unavailable}return w.Unknown}e.toFileSystemProviderErrorCode=a;function l(z){if(z instanceof m)return z.fileOperationResult;switch(a(z)){case w.FileNotFound:return 1;case w.FileIsADirectory:return 0;case w.FileNotADirectory:return 10;case w.NoPermissions:return 6;case w.FileExists:return 4;case w.FileExceedsMemoryLimit:return 9;case w.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=l;var t;(function(z){z[z.CREATE=0]="CREATE",z[z.DELETE=1]="DELETE",z[z.MOVE=2]="MOVE",z[z.COPY=3]="COPY"})(t=e.FileOperation||(e.FileOperation={}));class r{constructor(x,te,Z){this.resource=x,this.operation=te,this.target=Z}isOperation(x){return this.operation===x}}e.FileOperationEvent=r;var c;(function(z){z[z.UPDATED=0]="UPDATED",z[z.ADDED=1]="ADDED",z[z.DELETED=2]="DELETED"})(c=e.FileChangeType||(e.FileChangeType={}));class d{constructor(x,te){this.ignorePathCasing=te,this.added=void 0,this.updated=void 0,this.deleted=void 0,this.changes=x;for(const Z of x)switch(Z.type){case 1:this.added||(this.added=y.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.added.set(Z.resource,Z);break;case 0:this.updated||(this.updated=y.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.updated.set(Z.resource,Z);break;case 2:this.deleted||(this.deleted=y.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.deleted.set(Z.resource,Z);break}}contains(x,...te){return this.doContains(x,{includeChildren:!1},...te)}affects(x,...te){return this.doContains(x,{includeChildren:!0},...te)}doContains(x,te,...Z){var C,X,G,U,W,D;if(!x)return!1;const P=Z.length>0;return!!((!P||Z.includes(1))&&(((C=this.added)===null||C===void 0?void 0:C.get(x))||te.includeChildren&&((X=this.added)===null||X===void 0?void 0:X.findSuperstr(x)))||(!P||Z.includes(0))&&(((G=this.updated)===null||G===void 0?void 0:G.get(x))||te.includeChildren&&((U=this.updated)===null||U===void 0?void 0:U.findSuperstr(x)))||(!P||Z.includes(2))&&(((W=this.deleted)===null||W===void 0?void 0:W.findSubstr(x))||te.includeChildren&&((D=this.deleted)===null||D===void 0?void 0:D.findSuperstr(x))))}getAdded(){return this.getOfType(1)}gotAdded(){return!!this.added}getDeleted(){return this.getOfType(2)}gotDeleted(){return!!this.deleted}getUpdated(){return this.getOfType(0)}gotUpdated(){return!!this.updated}getOfType(x){const te=[],Z=x===1?this.added:x===0?this.updated:this.deleted;if(Z)for(const[,C]of Z)te.push(C);return te}filter(x){return new d(this.changes.filter(te=>x(te)),this.ignorePathCasing)}}e.FileChangesEvent=d;function u(z,x,te){return!z||!x||z===x||x.length>z.length?!1:(x.charAt(x.length-1)!==R.sep&&(x+=R.sep),te?M.startsWithIgnoreCase(z,x):z.indexOf(x)===0)}e.isParent=u;class m extends Error{constructor(x,te,Z){super(x);this.fileOperationResult=te,this.options=Z}static isFileOperationError(x){return x instanceof Error&&!n.isUndefinedOrNull(x.fileOperationResult)}}e.FileOperationError=m;var I;(function(z){z[z.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",z[z.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",z[z.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",z[z.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",z[z.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",z[z.FILE_READ_ONLY=5]="FILE_READ_ONLY",z[z.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",z[z.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",z[z.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",z[z.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",z[z.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",z[z.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(I=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var A;(function(z){z[z.FILE=0]="FILE",z[z.FOLDER=1]="FOLDER",z[z.ROOT_FOLDER=2]="ROOT_FOLDER"})(A=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function F(z){if(!(typeof z.size!="number"||typeof z.mtime!="number"))return z.mtime.toString(29)+z.size.toString(31)}e.etag=F;async function N(z,x){if(!x.canHandleResource(L.URI.from({scheme:z.scheme})))return new Promise(te=>{const Z=x.onDidChangeFileSystemProviderRegistrations(C=>{C.scheme===z.scheme&&C.added&&(Z.dispose(),te())})})}e.whenProviderRegistered=N,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class ${static formatSize(x){return n.isNumber(x)||(x=0),x<$.KB?v.localize(1,null,x.toFixed(0)):x<$.MB?v.localize(2,null,(x/$.KB).toFixed(2)):x<$.GB?v.localize(3,null,(x/$.MB).toFixed(2)):x<$.TB?v.localize(4,null,(x/$.GB).toFixed(2)):v.localize(5,null,(x/$.TB).toFixed(2))}}e.ByteSize=$,$.KB=1024,$.MB=$.KB*$.KB,$.GB=$.MB*$.KB,$.TB=$.GB*$.KB}),define(Y[53],J([0,1,236,132,16,60]),function(H,e,v,R,L,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isLaunchedFromCli=e.addArg=e.parseCLIProcessArgv=e.parseMainProcessArgv=void 0;function M(b,g){const h={onUnknownOption:S=>{console.warn(R.localize(0,null,S))},onMultipleValues:(S,p)=>{console.warn(R.localize(1,null,S,p))}},w=E.parseArgs(b,E.OPTIONS,g?h:void 0);return w.goto&&w._.forEach(S=>v(/^(\w:)?[^:]+(:\d*){0,2}$/.test(S),R.localize(2,null))),w["max-memory"]&&v(parseInt(w["max-memory"])>=L.MIN_MAX_MEMORY_SIZE_MB,`The max-memory argument cannot be specified lower than ${L.MIN_MAX_MEMORY_SIZE_MB} MB.`),w}function n(b){const g=b.findIndex(h=>!/^-/.test(h));if(g>-1)return[...b.slice(0,g),...b.slice(g+1)]}function y(b){let[,...g]=b;process.env.VSCODE_DEV&&(g=n(g)||[]);const h=!f(process.env);return M(g,h)}e.parseMainProcessArgv=y;function i(b){const[,,...g]=b;return M(g,!0)}e.parseCLIProcessArgv=i;function k(b,...g){const h=b.indexOf("--");return h===-1?b.push(...g):b.splice(h,0,...g),b}e.addArg=k;function f(b){return b.VSCODE_CLI==="1"}e.isLaunchedFromCli=f}),define(Y[86],J([0,1,45,30,4,53,67,127]),function(H,e,v,R,L,E,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveShellEnv=void 0;async function y(f,b,g){return b["force-disable-user-env"]?(f.trace("resolveShellEnv(): skipped (--force-disable-user-env)"),{}):L.isWindows?(f.trace("resolveShellEnv(): skipped (Windows)"),{}):E.isLaunchedFromCli(g)&&!b["force-user-env"]?(f.trace("resolveShellEnv(): skipped (VSCODE_CLI is set)"),{}):(E.isLaunchedFromCli(g)?f.trace("resolveShellEnv(): running (--force-user-env)"):f.trace("resolveShellEnv(): running (macOS/Linux)"),i||(i=k(f)),i)}e.resolveShellEnv=y;let i;async function k(f){const b=new Promise(async(g,h)=>{const w=process.env.ELECTRON_RUN_AS_NODE;f.trace("getUnixShellEnvironment#runAsNode",w);const S=process.env.ELECTRON_NO_ATTACH_CONSOLE;f.trace("getUnixShellEnvironment#noAttach",S);const p=R.generateUuid().replace(/-/g,"").substr(0,12),s=new RegExp(p+"(.*)"+p),o=Object.assign(Object.assign({},process.env),{ELECTRON_RUN_AS_NODE:"1",ELECTRON_NO_ATTACH_CONSOLE:"1"}),a=`'${process.execPath}' -p '"${p}" + JSON.stringify(process.env) + "${p}"'`;f.trace("getUnixShellEnvironment#env",o),f.trace("getUnixShellEnvironment#spawn",a);const l=await n.getSystemShell(L.platform),t=v.spawn(l,["-ilc",a],{detached:!0,stdio:["ignore","pipe",process.stderr],env:o}),r=[];t.on("error",()=>g({})),t.stdout.on("data",c=>r.push(c)),t.on("close",c=>{if(c!==0)return h(new Error("Failed to get environment"));const d=Buffer.concat(r).toString("utf8");f.trace("getUnixShellEnvironment#raw",d);const u=s.exec(d),m=u?u[1]:"{}";try{const I=JSON.parse(m);w?I.ELECTRON_RUN_AS_NODE=w:delete I.ELECTRON_RUN_AS_NODE,S?I.ELECTRON_NO_ATTACH_CONSOLE=S:delete I.ELECTRON_NO_ATTACH_CONSOLE,delete I.XDG_RUNTIME_DIR,f.trace("getUnixShellEnvironment#result",I),g(I)}catch(I){f.error("getUnixShellEnvironment#error",I),h(I)}})});try{return await b}catch(g){return f.error("getUnixShellEnvironment#error",M.toErrorMessage(g)),{}}}}),define(Y[87],J([0,1,137,22,16,20]),function(H,e,v,R,L,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.readFileIntoStream=void 0;async function M(k,f,b,g,h,w){let S;try{await n(k,f,b,g,h,w)}catch(p){S=p}finally{S&&h.errorTransformer&&(S=h.errorTransformer(S)),b.end(S)}}e.readFileIntoStream=M;async function n(k,f,b,g,h,w){y(w);const S=await k.open(f,{create:!1});try{y(w);let p=0,s=0,o=h&&typeof h.length=="number"?h.length:void 0,a=R.VSBuffer.alloc(Math.min(h.bufferSize,typeof o=="number"?o:h.bufferSize)),l=h&&typeof h.position=="number"?h.position:0,t=0;do s=await k.read(S,l,a.buffer,t,a.byteLength-t),l+=s,t+=s,p+=s,typeof o=="number"&&(o-=s),t===a.byteLength&&(await b.write(g(a)),a=R.VSBuffer.alloc(Math.min(h.bufferSize,typeof o=="number"?o:h.bufferSize)),t=0);while(s>0&&(typeof o!="number"||o>0)&&y(w)&&i(p,h));if(t>0){let r=t;typeof o=="number"&&(r=Math.min(t,o)),b.write(g(a.slice(0,r)))}}catch(p){throw L.ensureFileSystemProviderError(p)}finally{await k.close(S)}}function y(k){if(k.isCancellationRequested)throw E.canceled();return!0}function i(k,f){if(f==null?void 0:f.limits){if(typeof f.limits.memory=="number"&&k>f.limits.memory)throw L.createFileSystemProviderError(v.localize(0,null),L.FileSystemProviderErrorCode.FileExceedsMemoryLimit);if(typeof f.limits.size=="number"&&k>f.limits.size)throw L.createFileSystemProviderError(v.localize(1,null),L.FileSystemProviderErrorCode.FileTooLarge)}return!0}}),define(Y[88],J([0,1,7,16,4]),function(H,e,v,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.normalizeFileChanges=e.toFileChanges=void 0;function E(y){return y.map(i=>({type:i.type,resource:v.URI.file(i.path)}))}e.toFileChanges=E;function M(y){const i=new n;for(const k of y)i.processEvent(k);return i.normalize()}e.normalizeFileChanges=M;class n{constructor(){this.normalized=[],this.mapPathToChange=new Map}processEvent(i){const k=this.mapPathToChange.get(i.path);if(k){const f=k.type,b=i.type;f===1&&b===2?(this.mapPathToChange.delete(i.path),this.normalized.splice(this.normalized.indexOf(k),1)):f===2&&b===1?k.type=0:f===1&&b===0||(k.type=b)}else this.normalized.push(i),this.mapPathToChange.set(i.path,i)}normalize(){const i=[],k=[];return this.normalized.filter(f=>f.type!==2?(i.push(f),!1):!0).sort((f,b)=>f.path.length-b.path.length).filter(f=>k.some(b=>R.isParent(f.path,b,!L.isLinux))?!1:(k.push(f.path),!0)).concat(i)}}}),define(Y[163],J([0,1,88,2,24,110,114,9,8]),function(H,e,v,R,L,E,M,n,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileWatcher=void 0;class i extends R.Disposable{constructor(f,b,g,h){super();this.path=f,this.onDidFilesChange=b,this.onLogMessage=g,this.verboseLogging=h,this.fileChangesDelayer=this._register(new n.ThrottledDelayer(M.CHANGE_BUFFER_DELAY*2)),this.fileChangesBuffer=[],this.startWatching()}setVerboseLogging(f){this.verboseLogging=f}async startWatching(){try{const{stat:f,symbolicLink:b}=await L.SymlinkSupport.stat(this.path);if(this.isDisposed)return;let g=this.path;if(b)try{g=await E.realpath(g)}catch(h){if(this.onError(h),b.dangling)return}f.isDirectory()?this._register(M.watchFolder(g,(h,w)=>{this.onFileChange({type:h==="changed"?0:h==="added"?1:2,path:y.join(this.path,y.basename(w))})},h=>this.onError(h))):this._register(M.watchFile(g,h=>{this.onFileChange({type:h==="changed"?0:2,path:this.path})},h=>this.onError(h)))}catch(f){f.code!=="ENOENT"&&this.onError(f)}}onFileChange(f){this.fileChangesBuffer.push(f),this.verboseLogging&&this.onVerbose(`${f.type===1?"[ADDED]":f.type===2?"[DELETED]":"[CHANGED]"} ${f.path}`),this.fileChangesDelayer.trigger(async()=>{const b=this.fileChangesBuffer;this.fileChangesBuffer=[];const g=v.normalizeFileChanges(b);this.verboseLogging&&g.forEach(h=>{this.onVerbose(`>> normalized ${h.type===1?"[ADDED]":h.type===2?"[DELETED]":"[CHANGED]"} ${h.path}`)}),g.length>0&&this.onDidFilesChange(g)})}onError(f){this.isDisposed||this.onLogMessage({type:"error",message:`[File Watcher (node.js)] ${f}`})}onVerbose(f){this.isDisposed||this.onLogMessage({type:"trace",message:`[File Watcher (node.js)] ${f}`})}dispose(){this.isDisposed=!0,super.dispose()}}e.FileWatcher=i}),define(Y[70],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class v{constructor(...L){this._entries=new Map;for(let[E,M]of L)this.set(E,M)}set(L,E){const M=this._entries.get(L);return this._entries.set(L,E),M}has(L){return this._entries.has(L)}get(L){return this._entries.get(L)}}e.ServiceCollection=v}),define(Y[164],J([0,1,20,157,68,5,70,9]),function(H,e,v,R,L,E,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InstantiationService=void 0;const y=!1;class i extends Error{constructor(h){super("cyclic dependency between services");this.message=h.toString()}}class k{constructor(h=new M.ServiceCollection,w=!1,S){this._activeInstantiations=new Set,this._services=h,this._strict=w,this._parent=S,this._services.set(E.IInstantiationService,this)}createChild(h){return new k(h,this._strict,this)}invokeFunction(h,...w){let S=b.traceInvocation(h),p=!1;try{return h({get:(o,a)=>{if(p)throw v.illegalState("service accessor is only valid during the invocation of its target method");const l=this._getOrCreateServiceInstance(o,S);if(!l&&a!==E.optional)throw new Error(`[invokeFunction] unknown service '${o}'`);return l}},...w)}finally{p=!0,S.stop()}}createInstance(h,...w){let S,p;return h instanceof L.SyncDescriptor?(S=b.traceCreation(h.ctor),p=this._createInstance(h.ctor,h.staticArguments.concat(w),S)):(S=b.traceCreation(h),p=this._createInstance(h,w,S)),S.stop(),p}_createInstance(h,w=[],S){let p=E._util.getServiceDependencies(h).sort((a,l)=>a.index-l.index),s=[];for(const a of p){let l=this._getOrCreateServiceInstance(a.id,S);if(!l&&this._strict&&!a.optional)throw new Error(`[createInstance] ${h.name} depends on UNKNOWN service ${a.id}.`);s.push(l)}let o=p.length>0?p[0].index:w.length;if(w.length!==o){console.warn(`[createInstance] First service dependency of ${h.name} at position ${o+1} conflicts with ${w.length} static arguments`);let a=o-w.length;a>0?w=w.concat(new Array(a)):w=w.slice(0,o)}return new h(...[...w,...s])}_setServiceInstance(h,w){if(this._services.get(h)instanceof L.SyncDescriptor)this._services.set(h,w);else if(this._parent)this._parent._setServiceInstance(h,w);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(h){let w=this._services.get(h);return!w&&this._parent?this._parent._getServiceInstanceOrDescriptor(h):w}_getOrCreateServiceInstance(h,w){let S=this._getServiceInstanceOrDescriptor(h);return S instanceof L.SyncDescriptor?this._safeCreateAndCacheServiceInstance(h,S,w.branch(h,!0)):(w.branch(h,!1),S)}_safeCreateAndCacheServiceInstance(h,w,S){if(this._activeInstantiations.has(h))throw new Error(`illegal state - RECURSIVELY instantiating service '${h}'`);this._activeInstantiations.add(h);try{return this._createAndCacheServiceInstance(h,w,S)}finally{this._activeInstantiations.delete(h)}}_createAndCacheServiceInstance(h,w,S){const p=new R.Graph(a=>a.id.toString());let s=0;const o=[{id:h,desc:w,_trace:S}];for(;o.length;){const a=o.pop();if(p.lookupOrInsertNode(a),s++>1e3)throw new i(p);for(let l of E._util.getServiceDependencies(a.desc.ctor)){let t=this._getServiceInstanceOrDescriptor(l.id);if(!t&&!l.optional&&console.warn(`[createInstance] ${h} depends on ${l.id} which is NOT registered.`),t instanceof L.SyncDescriptor){const r={id:l.id,desc:t,_trace:a._trace.branch(l.id,!0)};p.insertEdge(a,r),o.push(r)}}}for(;;){const a=p.roots();if(a.length===0){if(!p.isEmpty())throw new i(p);break}for(const{data:l}of a){if(this._getServiceInstanceOrDescriptor(l.id)instanceof L.SyncDescriptor){const r=this._createServiceInstanceWithOwner(l.id,l.desc.ctor,l.desc.staticArguments,l.desc.supportsDelayedInstantiation,l._trace);this._setServiceInstance(l.id,r)}p.removeNode(l)}}return this._getServiceInstanceOrDescriptor(h)}_createServiceInstanceWithOwner(h,w,S=[],p,s){if(this._services.get(h)instanceof L.SyncDescriptor)return this._createServiceInstance(w,S,p,s);if(this._parent)return this._parent._createServiceInstanceWithOwner(h,w,S,p,s);throw new Error(`illegalState - creating UNKNOWN service instance ${w.name}`)}_createServiceInstance(h,w=[],S,p){if(S){const s=new n.IdleValue(()=>this._createInstance(h,w,p));return new Proxy(Object.create(null),{get(o,a){if(a in o)return o[a];let l=s.value,t=l[a];return typeof t!="function"||(t=t.bind(l),o[a]=t),t},set(o,a,l){return s.value[a]=l,!0}})}else return this._createInstance(h,w,p)}}e.InstantiationService=k;var f;(function(g){g[g.Creation=0]="Creation",g[g.Invocation=1]="Invocation",g[g.Branch=2]="Branch"})(f||(f={}));class b{constructor(h,w){this.type=h,this.name=w,this._start=Date.now(),this._dep=[]}static traceInvocation(h){return y?new b(1,h.name||h.toString().substring(0,42).replace(/\n/g,"")):b._None}static traceCreation(h){return y?new b(0,h.name):b._None}branch(h,w){let S=new b(2,h.toString());return this._dep.push([h,w,S]),S}stop(){let h=Date.now()-this._start;b._totals+=h;let w=!1;function S(s,o){let a=[],l=new Array(s+1).join("	");for(const[t,r,c]of o._dep)if(r&&c){w=!0,a.push(`${l}CREATES -> ${t}`);let d=S(s+1,c);d&&a.push(d)}else a.push(`${l}uses -> ${t}`);return a.join(`
`)}let p=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${S(1,this)}`,`DONE, took ${h.toFixed(2)}ms (grand total ${b._totals.toFixed(2)}ms)`];(h>2||w)&&console.log(p.join(`
`))}}b._None=new class extends b{constructor(){super(-1,null)}stop(){}branch(){return this}},b._totals=0}),define(Y[165],J([0,1,20,125,56]),function(H,e,v,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BaseResolvedKeybinding=void 0;class E extends L.ResolvedKeybinding{constructor(n,y){super();if(y.length===0)throw v.illegalArgument("parts");this._os=n,this._parts=y}getLabel(){return R.UILabelProvider.toLabel(this._os,this._parts,n=>this._getLabel(n))}getAriaLabel(){return R.AriaLabelProvider.toLabel(this._os,this._parts,n=>this._getAriaLabel(n))}getElectronAccelerator(){return this._parts.length>1?null:R.ElectronAcceleratorLabelProvider.toLabel(this._os,this._parts,n=>this._getElectronAccelerator(n))}getUserSettingsLabel(){return R.UserSettingsLabelProvider.toLabel(this._os,this._parts,n=>this._getUserSettingsLabel(n))}isWYSIWYG(){return this._parts.every(n=>this._isWYSIWYG(n))}isChord(){return this._parts.length>1}getParts(){return this._parts.map(n=>this._getPart(n))}_getPart(n){return new L.ResolvedKeybindingPart(n.ctrlKey,n.shiftKey,n.altKey,n.metaKey,this._getLabel(n),this._getAriaLabel(n))}getDispatchParts(){return this._parts.map(n=>this._getDispatchPart(n))}getSingleModifierDispatchParts(){return this._parts.map(n=>this._getSingleModifierDispatchPart(n))}}e.BaseResolvedKeybinding=E}),define(Y[166],J([0,1,56,165]),function(H,e,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.USLayoutResolvedKeybinding=void 0;class L extends R.BaseResolvedKeybinding{constructor(M,n){super(n,M.parts)}_keyCodeToUILabel(M){if(this._os===2)switch(M){case 15:return"\u2190";case 16:return"\u2191";case 17:return"\u2192";case 18:return"\u2193"}return v.KeyCodeUtils.toString(M)}_getLabel(M){return M.isDuplicateModifierCase()?"":this._keyCodeToUILabel(M.keyCode)}_getAriaLabel(M){return M.isDuplicateModifierCase()?"":v.KeyCodeUtils.toString(M.keyCode)}_keyCodeToElectronAccelerator(M){if(M>=93&&M<=108)return null;switch(M){case 16:return"Up";case 18:return"Down";case 15:return"Left";case 17:return"Right"}return v.KeyCodeUtils.toString(M)}_getElectronAccelerator(M){return M.isDuplicateModifierCase()?null:this._keyCodeToElectronAccelerator(M.keyCode)}_getUserSettingsLabel(M){if(M.isDuplicateModifierCase())return"";const n=v.KeyCodeUtils.toUserSettingsUS(M.keyCode);return n&&n.toLowerCase()}_isWYSIWYG(){return!0}_getDispatchPart(M){return L.getDispatchStr(M)}static getDispatchStr(M){if(M.isModifierKey())return null;let n="";return M.ctrlKey&&(n+="ctrl+"),M.shiftKey&&(n+="shift+"),M.altKey&&(n+="alt+"),M.metaKey&&(n+="meta+"),n+=v.KeyCodeUtils.toString(M.keyCode),n}_getSingleModifierDispatchPart(M){return M.keyCode===5&&!M.shiftKey&&!M.altKey&&!M.metaKey?"ctrl":M.keyCode===4&&!M.ctrlKey&&!M.altKey&&!M.metaKey?"shift":M.keyCode===6&&!M.ctrlKey&&!M.shiftKey&&!M.metaKey?"alt":M.keyCode===57&&!M.ctrlKey&&!M.shiftKey&&!M.altKey?"meta":null}}e.USLayoutResolvedKeybinding=L}),define(Y[167],J([0,1,9]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.handleVetos=void 0;function R(L,E){if(L.length===0)return Promise.resolve(!1);const M=[];let n=!1;for(let y of L){if(y===!0)return Promise.resolve(!0);v.isThenable(y)&&M.push(y.then(i=>{i&&(n=!0)},i=>{E(i),n=!0}))}return v.Promises.settled(M).then(()=>n)}e.handleVetos=R}),define(Y[6],J([0,1,5,2,4,3,67]),function(H,e,v,R,L,E,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=v.createDecorator("logService"),e.ILoggerService=v.createDecorator("loggerService");function n(){return new Date().toISOString()}var y;(function(a){a[a.Trace=0]="Trace",a[a.Debug=1]="Debug",a[a.Info=2]="Info",a[a.Warning=3]="Warning",a[a.Error=4]="Error",a[a.Critical=5]="Critical",a[a.Off=6]="Off"})(y=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=y.Info;class i extends R.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new E.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(l){this.level!==l&&(this.level=l,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=i;class k extends i{constructor(l){super();this.logAlways=l}checkLogLevel(l){return this.logAlways||this.getLevel()<=l}trace(l,...t){this.checkLogLevel(y.Trace)&&this.log(y.Trace,this.format([l,...t]))}debug(l,...t){this.checkLogLevel(y.Debug)&&this.log(y.Debug,this.format([l,...t]))}info(l,...t){this.checkLogLevel(y.Info)&&this.log(y.Info,this.format([l,...t]))}warn(l,...t){this.checkLogLevel(y.Warning)&&this.log(y.Warning,this.format([l,...t]))}error(l,...t){if(this.checkLogLevel(y.Error))if(l instanceof Error){const r=Array.prototype.slice.call(arguments);r[0]=l.stack,this.log(y.Error,this.format(r))}else this.log(y.Error,this.format([l,...t]))}critical(l,...t){this.checkLogLevel(y.Critical)&&this.log(y.Critical,this.format([l,...t]))}flush(){}format(l){let t="";for(let r=0;r<l.length;r++){let c=l[r];if(typeof c=="object")try{c=JSON.stringify(c)}catch(d){}t+=(r>0?" ":"")+c}return t}}e.AbstractMessageLogger=k;class f extends i{constructor(l=e.DEFAULT_LOG_LEVEL){super();this.setLevel(l),this.useColors=!L.isWindows}trace(l,...t){this.getLevel()<=y.Trace&&(this.useColors?console.log(`[90m[main ${n()}][0m`,l,...t):console.log(`[main ${n()}]`,l,...t))}debug(l,...t){this.getLevel()<=y.Debug&&(this.useColors?console.log(`[90m[main ${n()}][0m`,l,...t):console.log(`[main ${n()}]`,l,...t))}info(l,...t){this.getLevel()<=y.Info&&(this.useColors?console.log(`[90m[main ${n()}][0m`,l,...t):console.log(`[main ${n()}]`,l,...t))}warn(l,...t){this.getLevel()<=y.Warning&&(this.useColors?console.warn(`[93m[main ${n()}][0m`,l,...t):console.warn(`[main ${n()}]`,l,...t))}error(l,...t){this.getLevel()<=y.Error&&(this.useColors?console.error(`[91m[main ${n()}][0m`,l,...t):console.error(`[main ${n()}]`,l,...t))}critical(l,...t){this.getLevel()<=y.Critical&&(this.useColors?console.error(`[90m[main ${n()}][0m`,l,...t):console.error(`[main ${n()}]`,l,...t))}dispose(){}flush(){}}e.ConsoleMainLogger=f;class b extends i{constructor(l=e.DEFAULT_LOG_LEVEL){super();this.setLevel(l)}trace(l,...t){this.getLevel()<=y.Trace&&console.log("%cTRACE","color: #888",l,...t)}debug(l,...t){this.getLevel()<=y.Debug&&console.log("%cDEBUG","background: #eee; color: #888",l,...t)}info(l,...t){this.getLevel()<=y.Info&&console.log("%c INFO","color: #33f",l,...t)}warn(l,...t){this.getLevel()<=y.Warning&&console.log("%c WARN","color: #993",l,...t)}error(l,...t){this.getLevel()<=y.Error&&console.log("%c  ERR","color: #f33",l,...t)}critical(l,...t){this.getLevel()<=y.Critical&&console.log("%cCRITI","background: #f33; color: white",l,...t)}dispose(){}flush(){}}e.ConsoleLogger=b;class g extends i{constructor(l,t=e.DEFAULT_LOG_LEVEL){super();this.adapter=l,this.setLevel(t)}trace(l,...t){this.getLevel()<=y.Trace&&this.adapter.log(y.Trace,[this.extractMessage(l),...t])}debug(l,...t){this.getLevel()<=y.Debug&&this.adapter.log(y.Debug,[this.extractMessage(l),...t])}info(l,...t){this.getLevel()<=y.Info&&this.adapter.log(y.Info,[this.extractMessage(l),...t])}warn(l,...t){this.getLevel()<=y.Warning&&this.adapter.log(y.Warning,[this.extractMessage(l),...t])}error(l,...t){this.getLevel()<=y.Error&&this.adapter.log(y.Error,[this.extractMessage(l),...t])}critical(l,...t){this.getLevel()<=y.Critical&&this.adapter.log(y.Critical,[this.extractMessage(l),...t])}extractMessage(l){return typeof l=="string"?l:M.toErrorMessage(l,this.getLevel()<=y.Trace)}dispose(){}flush(){}}e.AdapterLogger=g;class h extends i{constructor(l){super();this.logServices=l,l.length&&this.setLevel(l[0].getLevel())}setLevel(l){for(const t of this.logServices)t.setLevel(l);super.setLevel(l)}trace(l,...t){for(const r of this.logServices)r.trace(l,...t)}debug(l,...t){for(const r of this.logServices)r.debug(l,...t)}info(l,...t){for(const r of this.logServices)r.info(l,...t)}warn(l,...t){for(const r of this.logServices)r.warn(l,...t)}error(l,...t){for(const r of this.logServices)r.error(l,...t)}critical(l,...t){for(const r of this.logServices)r.critical(l,...t)}flush(){for(const l of this.logServices)l.flush()}dispose(){for(const l of this.logServices)l.dispose()}}e.MultiplexLogService=h;class w extends R.Disposable{constructor(l){super();this.logger=l,this._register(l)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(l){this.logger.setLevel(l)}getLevel(){return this.logger.getLevel()}trace(l,...t){this.logger.trace(l,...t)}debug(l,...t){this.logger.debug(l,...t)}info(l,...t){this.logger.info(l,...t)}warn(l,...t){this.logger.warn(l,...t)}error(l,...t){this.logger.error(l,...t)}critical(l,...t){this.logger.critical(l,...t)}flush(){this.logger.flush()}}e.LogService=w;class S{constructor(){this.onDidChangeLogLevel=new E.Emitter().event}setLevel(l){}getLevel(){return y.Info}trace(l,...t){}debug(l,...t){}info(l,...t){}warn(l,...t){}error(l,...t){}critical(l,...t){}dispose(){}flush(){}}e.NullLogService=S;function p(a){if(a.verbose)return y.Trace;if(typeof a.logLevel=="string"){const l=s(a.logLevel.toLowerCase());if(l!==void 0)return l}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=p;function s(a){switch(a){case"trace":return y.Trace;case"debug":return y.Debug;case"info":return y.Info;case"warn":return y.Warning;case"error":return y.Error;case"critical":return y.Critical;case"off":return y.Off}}e.parseLogLevel=s;function o(a){switch(a){case y.Trace:return"trace";case y.Debug:return"debug";case y.Info:return"info";case y.Warning:return"warn";case y.Error:return"error";case y.Critical:return"critical";case y.Off:return"off"}}e.LogLevelToString=o});var ue=this&&this.__decorate||function(H,e,v,R){var L=arguments.length,E=L<3?e:R===null?R=Object.getOwnPropertyDescriptor(e,v):R,M;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")E=Reflect.decorate(H,e,v,R);else for(var n=H.length-1;n>=0;n--)(M=H[n])&&(E=(L<3?M(E):L>3?M(e,v,E):M(e,v))||E);return L>3&&E&&Object.defineProperty(e,v,E),E},ie=this&&this.__param||function(H,e){return function(v,R){e(v,R,H)}};define(Y[168],J([0,1,3,2,10,7,52,11,6,35,4]),function(H,e,v,R,L,E,M,n,y,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileProtocolHandler=void 0;let f=class extends R.Disposable{constructor(g,h){super();this.logService=h,this.validRoots=i.TernarySearchTree.forUris(()=>!k.isLinux);const{defaultSession:w}=n.session;this.validRoots.set(E.URI.file(g.appRoot),!0),this.validRoots.set(E.URI.file(g.extensionsPath),!0),this.validRoots.set(g.globalStorageHome,!0),this.validRoots.set(g.workspaceStorageHome,!0),w.protocol.registerFileProtocol(L.Schemas.vscodeFileResource,(S,p)=>this.handleResourceRequest(S,p)),w.protocol.interceptFileProtocol(L.Schemas.file,(S,p)=>this.handleFileRequest(S,p)),this._register(R.toDisposable(()=>{w.protocol.unregisterProtocol(L.Schemas.vscodeFileResource),w.protocol.uninterceptProtocol(L.Schemas.file)}))}injectWindowsMainService(g){this._register(g.onDidSignalReadyWindow(h=>{var w,S;if(((w=h.config)===null||w===void 0?void 0:w.extensionDevelopmentPath)||((S=h.config)===null||S===void 0?void 0:S.extensionTestsPath)){const p=new R.DisposableStore;if(p.add(v.Event.any(h.onDidClose,h.onDidDestroy)(()=>p.dispose())),h.config.extensionDevelopmentPath)for(const s of h.config.extensionDevelopmentPath)p.add(this.addValidRoot(E.URI.file(s)));h.config.extensionTestsPath&&p.add(this.addValidRoot(E.URI.file(h.config.extensionTestsPath)))}}))}addValidRoot(g){return this.validRoots.get(g)?R.Disposable.None:(this.validRoots.set(g,!0),R.toDisposable(()=>this.validRoots.delete(g)))}async handleFileRequest(g,h){const w=E.URI.parse(g.url);return k.isPreferringBrowserCodeLoad?(this.logService.error(`Refused to load resource ${w.fsPath} from ${L.Schemas.file}: protocol (original URL: ${g.url})`),h({error:-3})):this.validRoots.findSubstr(w)?h({path:w.fsPath}):(this.logService.error(`${L.Schemas.file}: Refused to load resource ${w.fsPath} from ${L.Schemas.file}: protocol (original URL: ${g.url})`),h({error:-3}))}async handleResourceRequest(g,h){const w=E.URI.parse(g.url),S=L.FileAccess.asFileUri(w);return this.validRoots.findSubstr(S)?h({path:S.fsPath}):(this.logService.error(`${L.Schemas.vscodeFileResource}: Refused to load resource ${S.fsPath} from ${L.Schemas.vscodeFileResource}: protocol (original URL: ${g.url})`),h({error:-3}))}};f=ue([ie(0,M.INativeEnvironmentService),ie(1,y.ILogService)],f),e.FileProtocolHandler=f}),define(Y[169],J([0,1,135,170,2,16,3,15,35,33,6,22,57,9,25,10,87,64]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h,w,S,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileService=void 0;let s=class extends L.Disposable{constructor(a){super();this.logService=a,this.BUFFER_SIZE=64*1024,this._onDidChangeFileSystemProviderRegistrations=this._register(new M.Emitter),this.onDidChangeFileSystemProviderRegistrations=this._onDidChangeFileSystemProviderRegistrations.event,this._onWillActivateFileSystemProvider=this._register(new M.Emitter),this.onWillActivateFileSystemProvider=this._onWillActivateFileSystemProvider.event,this._onDidChangeFileSystemProviderCapabilities=this._register(new M.Emitter),this.onDidChangeFileSystemProviderCapabilities=this._onDidChangeFileSystemProviderCapabilities.event,this.provider=new Map,this._onDidRunOperation=this._register(new M.Emitter),this.onDidRunOperation=this._onDidRunOperation.event,this._onError=this._register(new M.Emitter),this.onError=this._onError.event,this._onDidFilesChange=this._register(new M.Emitter),this.onDidFilesChange=this._onDidFilesChange.event,this.activeWatchers=new Map,this.writeQueues=new Map}registerProvider(a,l){if(this.provider.has(a))throw new Error(`A filesystem provider for the scheme '${a}' is already registered.`);R.mark(`code/registerFilesystem/${a}`),this.provider.set(a,l),this._onDidChangeFileSystemProviderRegistrations.fire({added:!0,scheme:a,provider:l});const t=new L.DisposableStore;return t.add(l.onDidChangeFile(r=>this._onDidFilesChange.fire(new E.FileChangesEvent(r,!this.isPathCaseSensitive(l))))),t.add(l.onDidChangeCapabilities(()=>this._onDidChangeFileSystemProviderCapabilities.fire({provider:l,scheme:a}))),typeof l.onDidErrorOccur=="function"&&t.add(l.onDidErrorOccur(r=>this._onError.fire(new Error(r)))),L.toDisposable(()=>{this._onDidChangeFileSystemProviderRegistrations.fire({added:!1,scheme:a,provider:l}),this.provider.delete(a),L.dispose(t)})}async activateProvider(a){const l=[];this._onWillActivateFileSystemProvider.fire({scheme:a,join(t){t&&l.push(t)}}),!this.provider.has(a)&&await g.Promises.settled(l)}canHandleResource(a){return this.provider.has(a.scheme)}hasCapability(a,l){const t=this.provider.get(a.scheme);return!!(t&&t.capabilities&l)}listCapabilities(){return p.Iterable.map(this.provider,([a,l])=>({scheme:a,capabilities:l.capabilities}))}async withProvider(a){if(!n.isAbsolutePath(a))throw new E.FileOperationError(v.localize(0,null,this.resourceForError(a)),8);await this.activateProvider(a.scheme);const l=this.provider.get(a.scheme);if(!l){const t=new Error;throw t.name="ENOPRO",t.message=v.localize(1,null,a.toString()),t}return l}async withReadProvider(a){const l=await this.withProvider(a);if(E.hasOpenReadWriteCloseCapability(l)||E.hasReadWriteCapability(l)||E.hasFileReadStreamCapability(l))return l;throw new Error(`Filesystem provider for scheme '${a.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async withWriteProvider(a){const l=await this.withProvider(a);if(E.hasOpenReadWriteCloseCapability(l)||E.hasReadWriteCapability(l))return l;throw new Error(`Filesystem provider for scheme '${a.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(a,l){try{return await this.doResolveFile(a,l)}catch(t){throw E.toFileSystemProviderErrorCode(t)===E.FileSystemProviderErrorCode.FileNotFound?new E.FileOperationError(v.localize(2,null,this.resourceForError(a)),1):E.ensureFileSystemProviderError(t)}}async doResolveFile(a,l){const t=await this.withProvider(a),r=this.isPathCaseSensitive(t),c=l==null?void 0:l.resolveTo,d=l==null?void 0:l.resolveSingleChildDescendants,u=l==null?void 0:l.resolveMetadata,m=await t.stat(a);let I;return this.toFileStat(t,a,m,void 0,!!u,(A,F)=>(I||(I=y.TernarySearchTree.forUris(()=>!r),I.set(a,!0),i.isNonEmptyArray(c)&&c.forEach(N=>I.set(N,!0))),Boolean(I.findSuperstr(A.resource)||I.get(A.resource))?!0:A.isDirectory&&d?F===1:!1))}async toFileStat(a,l,t,r,c,d){const{providerExtUri:u}=this.getExtUri(a),m={resource:l,name:u.basename(l),isFile:(t.type&E.FileType.File)!=0,isDirectory:(t.type&E.FileType.Directory)!=0,isSymbolicLink:(t.type&E.FileType.SymbolicLink)!=0,mtime:t.mtime,ctime:t.ctime,size:t.size,etag:E.etag({mtime:t.mtime,size:t.size})};if(m.isDirectory&&d(m,r)){try{const I=await a.readdir(l),A=await g.Promises.settled(I.map(async([F,N])=>{try{const $=u.joinPath(l,F),z=c?await a.stat($):{type:N};return await this.toFileStat(a,$,z,I.length,c,d)}catch($){return this.logService.trace($),null}}));m.children=i.coalesce(A)}catch(I){this.logService.trace(I),m.children=[]}return m}return m}async resolveAll(a){return g.Promises.settled(a.map(async l=>{try{return{stat:await this.doResolveFile(l.resource,l.options),success:!0}}catch(t){return this.logService.trace(t),{stat:void 0,success:!1}}}))}async exists(a){const l=await this.withProvider(a);try{return!!await l.stat(a)}catch(t){return!1}}async canCreateFile(a,l){try{await this.doValidateCreateFile(a,l)}catch(t){return t}return!0}async doValidateCreateFile(a,l){if(!(l==null?void 0:l.overwrite)&&await this.exists(a))throw new E.FileOperationError(v.localize(3,null,this.resourceForError(a)),3,l)}async createFile(a,l=f.VSBuffer.fromString(""),t){await this.doValidateCreateFile(a,t);const r=await this.writeFile(a,l);return this._onDidRunOperation.fire(new E.FileOperationEvent(a,0,r)),r}async writeFile(a,l,t){const r=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(a),a),{providerExtUri:c}=this.getExtUri(r);try{await this.validateWriteFile(r,a,t)||await this.mkdirp(r,c.dirname(a));let u;if(E.hasReadWriteCapability(r)&&!(l instanceof f.VSBuffer))if(b.isReadableStream(l)){const m=await b.peekStream(l,3);m.ended?u=f.VSBuffer.concat(m.buffer):u=m}else u=b.peekReadable(l,m=>f.VSBuffer.concat(m),3);else u=l;!E.hasOpenReadWriteCloseCapability(r)||E.hasReadWriteCapability(r)&&u instanceof f.VSBuffer?await this.doWriteUnbuffered(r,a,u):await this.doWriteBuffered(r,a,u instanceof f.VSBuffer?f.bufferToReadable(u):u)}catch(d){throw new E.FileOperationError(v.localize(4,null,this.resourceForError(a),E.ensureFileSystemProviderError(d).toString()),E.toFileOperationResult(d),t)}return this.resolve(a,{resolveMetadata:!0})}async validateWriteFile(a,l,t){let r;try{r=await a.stat(l)}catch(c){return}if((r.type&E.FileType.Directory)!=0)throw new E.FileOperationError(v.localize(5,null,this.resourceForError(l)),0,t);if(t&&typeof t.mtime=="number"&&typeof t.etag=="string"&&t.etag!==E.ETAG_DISABLED&&typeof r.mtime=="number"&&typeof r.size=="number"&&t.mtime<r.mtime&&t.etag!==E.etag({mtime:t.mtime,size:r.size}))throw new E.FileOperationError(v.localize(6,null),3,t);return r}async readFile(a,l){const t=await this.withReadProvider(a),r=await this.doReadAsFileStream(t,a,Object.assign(Object.assign({},l),{preferUnbuffered:!0}));return Object.assign(Object.assign({},r),{value:await f.streamToBuffer(r.value)})}async readFileStream(a,l){const t=await this.withReadProvider(a);return this.doReadAsFileStream(t,a,l)}async doReadAsFileStream(a,l,t){const r=new h.CancellationTokenSource,c=this.validateReadFile(l,t).then(u=>u,u=>{throw r.cancel(),u});let d;try{t&&typeof t.etag=="string"&&t.etag!==E.ETAG_DISABLED&&await c,!(E.hasOpenReadWriteCloseCapability(a)||E.hasFileReadStreamCapability(a))||E.hasReadWriteCapability(a)&&(t==null?void 0:t.preferUnbuffered)?d=this.readFileUnbuffered(a,l,t):E.hasFileReadStreamCapability(a)?d=this.readFileStreamed(a,l,r.token,t):d=this.readFileBuffered(a,l,r.token,t);const u=await c;return Object.assign(Object.assign({},u),{value:d})}catch(u){throw d&&await b.consumeStream(d),new E.FileOperationError(v.localize(7,null,this.resourceForError(l),E.ensureFileSystemProviderError(u).toString()),E.toFileOperationResult(u),t)}}readFileStreamed(a,l,t,r=Object.create(null)){const c=a.readFileStream(l,r,t);return b.transform(c,{data:d=>d instanceof f.VSBuffer?d:f.VSBuffer.wrap(d),error:d=>new E.FileOperationError(v.localize(8,null,this.resourceForError(l),E.ensureFileSystemProviderError(d).toString()),E.toFileOperationResult(d),r)},d=>f.VSBuffer.concat(d))}readFileBuffered(a,l,t,r=Object.create(null)){const c=f.newWriteableBufferStream();return S.readFileIntoStream(a,l,c,d=>d,Object.assign(Object.assign({},r),{bufferSize:this.BUFFER_SIZE,errorTransformer:d=>new E.FileOperationError(v.localize(9,null,this.resourceForError(l),E.ensureFileSystemProviderError(d).toString()),E.toFileOperationResult(d),r)}),t),c}readFileUnbuffered(a,l,t){const r=b.newWriteableStream(c=>f.VSBuffer.concat(c));return(async()=>{try{let c=await a.readFile(l);t&&typeof t.position=="number"&&(c=c.slice(t.position)),t&&typeof t.length=="number"&&(c=c.slice(0,t.length)),this.validateReadFileLimits(l,c.byteLength,t),r.end(f.VSBuffer.wrap(c))}catch(c){r.error(c)}})(),r}async validateReadFile(a,l){const t=await this.resolve(a,{resolveMetadata:!0});if(t.isDirectory)throw new E.FileOperationError(v.localize(10,null,this.resourceForError(a)),0,l);if(l&&typeof l.etag=="string"&&l.etag!==E.ETAG_DISABLED&&l.etag===t.etag)throw new E.FileOperationError(v.localize(11,null),2,l);return this.validateReadFileLimits(a,t.size,l),t}validateReadFileLimits(a,l,t){if(t==null?void 0:t.limits){let r;if(typeof t.limits.memory=="number"&&l>t.limits.memory&&(r=9),typeof t.limits.size=="number"&&l>t.limits.size&&(r=7),typeof r=="number")throw new E.FileOperationError(v.localize(12,null,this.resourceForError(a)),r)}}async canMove(a,l,t){return this.doCanMoveCopy(a,l,"move",t)}async canCopy(a,l,t){return this.doCanMoveCopy(a,l,"copy",t)}async doCanMoveCopy(a,l,t,r){if(a.toString()!==l.toString())try{const c=t==="move"?this.throwIfFileSystemIsReadonly(await this.withWriteProvider(a),a):await this.withReadProvider(a),d=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(l),l);await this.doValidateMoveCopy(c,a,d,l,t,r)}catch(c){return c}return!0}async move(a,l,t){const r=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(a),a),c=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(l),l),d=await this.doMoveCopy(r,a,c,l,"move",!!t),u=await this.resolve(l,{resolveMetadata:!0});return this._onDidRunOperation.fire(new E.FileOperationEvent(a,d==="move"?2:3,u)),u}async copy(a,l,t){const r=await this.withReadProvider(a),c=this.throwIfFileSystemIsReadonly(await this.withWriteProvider(l),l),d=await this.doMoveCopy(r,a,c,l,"copy",!!t),u=await this.resolve(l,{resolveMetadata:!0});return this._onDidRunOperation.fire(new E.FileOperationEvent(a,d==="copy"?3:2,u)),u}async doMoveCopy(a,l,t,r,c,d){if(l.toString()===r.toString())return c;const{exists:u,isSameResourceWithDifferentPathCase:m}=await this.doValidateMoveCopy(a,l,t,r,c,d);if(u&&!m&&d&&await this.del(r,{recursive:!0}),await this.mkdirp(t,this.getExtUri(t).providerExtUri.dirname(r)),c==="copy"){if(a===t&&E.hasFileFolderCopyCapability(a))await a.copy(l,r,{overwrite:d});else{const I=await this.resolve(l);I.isDirectory?await this.doCopyFolder(a,I,t,r):await this.doCopyFile(a,l,t,r)}return c}else return a===t?(await a.rename(l,r,{overwrite:d}),c):(await this.doMoveCopy(a,l,t,r,"copy",d),await this.del(l,{recursive:!0}),"copy")}async doCopyFile(a,l,t,r){if(E.hasOpenReadWriteCloseCapability(a)&&E.hasOpenReadWriteCloseCapability(t))return this.doPipeBuffered(a,l,t,r);if(E.hasOpenReadWriteCloseCapability(a)&&E.hasReadWriteCapability(t))return this.doPipeBufferedToUnbuffered(a,l,t,r);if(E.hasReadWriteCapability(a)&&E.hasOpenReadWriteCloseCapability(t))return this.doPipeUnbufferedToBuffered(a,l,t,r);if(E.hasReadWriteCapability(a)&&E.hasReadWriteCapability(t))return this.doPipeUnbuffered(a,l,t,r)}async doCopyFolder(a,l,t,r){await t.mkdir(r),Array.isArray(l.children)&&await g.Promises.settled(l.children.map(async c=>{const d=this.getExtUri(t).providerExtUri.joinPath(r,c.name);return c.isDirectory?this.doCopyFolder(a,await this.resolve(c.resource),t,d):this.doCopyFile(a,c.resource,t,d)}))}async doValidateMoveCopy(a,l,t,r,c,d){let u=!1;if(a===t){const{providerExtUri:I,isPathCaseSensitive:A}=this.getExtUri(a);if(A||(u=I.isEqual(l,r)),u&&c==="copy")throw new Error(v.localize(13,null,this.resourceForError(l),this.resourceForError(r)));if(!u&&I.isEqualOrParent(r,l))throw new Error(v.localize(14,null,this.resourceForError(l),this.resourceForError(r)))}const m=await this.exists(r);if(m&&!u){if(!d)throw new E.FileOperationError(v.localize(15,null,this.resourceForError(l),this.resourceForError(r)),4);if(a===t){const{providerExtUri:I}=this.getExtUri(a);if(I.isEqualOrParent(l,r))throw new Error(v.localize(16,null,this.resourceForError(l),this.resourceForError(r)))}}return{exists:m,isSameResourceWithDifferentPathCase:u}}getExtUri(a){const l=this.isPathCaseSensitive(a);return{providerExtUri:l?n.extUri:n.extUriIgnorePathCase,isPathCaseSensitive:l}}isPathCaseSensitive(a){return!!(a.capabilities&1024)}async createFolder(a){const l=this.throwIfFileSystemIsReadonly(await this.withProvider(a),a);await this.mkdirp(l,a);const t=await this.resolve(a,{resolveMetadata:!0});return this._onDidRunOperation.fire(new E.FileOperationEvent(a,0,t)),t}async mkdirp(a,l){const t=[],{providerExtUri:r}=this.getExtUri(a);for(;!r.isEqual(l,r.dirname(l));)try{if(((await a.stat(l)).type&E.FileType.Directory)==0)throw new Error(v.localize(17,null,this.resourceForError(l)));break}catch(c){if(E.toFileSystemProviderErrorCode(c)!==E.FileSystemProviderErrorCode.FileNotFound)throw c;t.push(r.basename(l)),l=r.dirname(l)}for(let c=t.length-1;c>=0;c--){l=r.joinPath(l,t[c]);try{await a.mkdir(l)}catch(d){if(E.toFileSystemProviderErrorCode(d)!==E.FileSystemProviderErrorCode.FileExists)throw d}}}async canDelete(a,l){try{await this.doValidateDelete(a,l)}catch(t){return t}return!0}async doValidateDelete(a,l){const t=this.throwIfFileSystemIsReadonly(await this.withProvider(a),a);if(!!(l==null?void 0:l.useTrash)&&!(t.capabilities&4096))throw new Error(v.localize(18,null,this.resourceForError(a)));const c=await this.exists(a);if(!c)throw new E.FileOperationError(v.localize(19,null,this.resourceForError(a)),1);if(!!!(l==null?void 0:l.recursive)&&c){const u=await this.resolve(a);if(u.isDirectory&&Array.isArray(u.children)&&u.children.length>0)throw new Error(v.localize(20,null,this.resourceForError(a)))}return t}async del(a,l){const t=await this.doValidateDelete(a,l),r=!!(l==null?void 0:l.useTrash),c=!!(l==null?void 0:l.recursive);await t.delete(a,{recursive:c,useTrash:r}),this._onDidRunOperation.fire(new E.FileOperationEvent(a,1))}watch(a,l={recursive:!1,excludes:[]}){let t=!1,r=()=>{t=!0};return this.doWatch(a,l).then(c=>{t?L.dispose(c):r=()=>L.dispose(c)},c=>this.logService.error(c)),L.toDisposable(()=>r())}async doWatch(a,l){const t=await this.withProvider(a),r=this.toWatchKey(t,a,l),c=this.activeWatchers.get(r)||{count:0,disposable:t.watch(a,l)};return this.activeWatchers.has(r)||this.activeWatchers.set(r,c),c.count+=1,L.toDisposable(()=>{c.count--,c.count===0&&(L.dispose(c.disposable),this.activeWatchers.delete(r))})}toWatchKey(a,l,t){const{providerExtUri:r}=this.getExtUri(a);return[r.getComparisonKey(l),String(t.recursive),t.excludes.join()].join()}dispose(){super.dispose(),this.activeWatchers.forEach(a=>L.dispose(a.disposable)),this.activeWatchers.clear()}ensureWriteQueue(a,l){const{providerExtUri:t}=this.getExtUri(a),r=t.getComparisonKey(l);let c=this.writeQueues.get(r);return c||(c=new g.Queue,this.writeQueues.set(r,c),M.Event.once(c.onFinished)(()=>{this.writeQueues.delete(r),L.dispose(c)})),c}async doWriteBuffered(a,l,t){return this.ensureWriteQueue(a,l).queue(async()=>{const r=await a.open(l,{create:!0});try{b.isReadableStream(t)||b.isReadableBufferedStream(t)?await this.doWriteStreamBufferedQueued(a,r,t):await this.doWriteReadableBufferedQueued(a,r,t)}catch(c){throw E.ensureFileSystemProviderError(c)}finally{await a.close(r)}})}async doWriteStreamBufferedQueued(a,l,t){let r=0,c;if(b.isReadableBufferedStream(t)){if(t.buffer.length>0){const d=f.VSBuffer.concat(t.buffer);await this.doWriteBuffer(a,l,d,d.byteLength,r,0),r+=d.byteLength}if(t.ended)return;c=t.stream}else c=t;return new Promise(async(d,u)=>{b.listenStream(c,{onData:async m=>{c.pause();try{await this.doWriteBuffer(a,l,m,m.byteLength,r,0)}catch(I){return u(I)}r+=m.byteLength,setTimeout(()=>c.resume())},onError:m=>u(m),onEnd:()=>d()})})}async doWriteReadableBufferedQueued(a,l,t){let r=0,c;for(;(c=t.read())!==null;)await this.doWriteBuffer(a,l,c,c.byteLength,r,0),r+=c.byteLength}async doWriteBuffer(a,l,t,r,c,d){let u=0;for(;u<r;)u+=await a.write(l,c+u,t.buffer,d+u,r-u)}async doWriteUnbuffered(a,l,t){return this.ensureWriteQueue(a,l).queue(()=>this.doWriteUnbufferedQueued(a,l,t))}async doWriteUnbufferedQueued(a,l,t){let r;t instanceof f.VSBuffer?r=t:b.isReadableStream(t)?r=await f.streamToBuffer(t):b.isReadableBufferedStream(t)?r=await f.bufferedStreamToBuffer(t):r=f.readableToBuffer(t),await a.writeFile(l,r.buffer,{create:!0,overwrite:!0})}async doPipeBuffered(a,l,t,r){return this.ensureWriteQueue(t,r).queue(()=>this.doPipeBufferedQueued(a,l,t,r))}async doPipeBufferedQueued(a,l,t,r){let c,d;try{c=await a.open(l,{create:!1}),d=await t.open(r,{create:!0});const u=f.VSBuffer.alloc(this.BUFFER_SIZE);let m=0,I=0,A=0;do A=await a.read(c,m,u.buffer,I,u.byteLength-I),await this.doWriteBuffer(t,d,u,A,m,I),m+=A,I+=A,I===u.byteLength&&(I=0);while(A>0)}catch(u){throw E.ensureFileSystemProviderError(u)}finally{await g.Promises.settled([typeof c=="number"?a.close(c):Promise.resolve(),typeof d=="number"?t.close(d):Promise.resolve()])}}async doPipeUnbuffered(a,l,t,r){return this.ensureWriteQueue(t,r).queue(()=>this.doPipeUnbufferedQueued(a,l,t,r))}async doPipeUnbufferedQueued(a,l,t,r){return t.writeFile(r,await a.readFile(l),{create:!0,overwrite:!0})}async doPipeUnbufferedToBuffered(a,l,t,r){return this.ensureWriteQueue(t,r).queue(()=>this.doPipeUnbufferedToBufferedQueued(a,l,t,r))}async doPipeUnbufferedToBufferedQueued(a,l,t,r){const c=await t.open(r,{create:!0});try{const d=await a.readFile(l);await this.doWriteBuffer(t,c,f.VSBuffer.wrap(d),d.byteLength,0,0)}catch(d){throw E.ensureFileSystemProviderError(d)}finally{await t.close(c)}}async doPipeBufferedToUnbuffered(a,l,t,r){const c=await f.streamToBuffer(this.readFileBuffered(a,l,h.CancellationToken.None));await this.doWriteUnbuffered(t,r,c)}throwIfFileSystemIsReadonly(a,l){if(a.capabilities&2048)throw new E.FileOperationError(v.localize(21,null,this.resourceForError(l)),6);return a}resourceForError(a){return a.scheme===w.Schemas.file?a.fsPath:a.toString(!0)}};s=ue([ie(0,k.ILogService)],s),e.FileService=s}),define(Y[171],J([0,1,23,237,2,16,3,4,24,8,15,29,9,6,138,88,154,156,153,163,57,87,33,22]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h,w,S,p,s,o,a,l,t,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiskFileSystemProvider=void 0;class c extends L.Disposable{constructor(u,m){var I;super();this.logService=u,this.options=m,this.BUFFER_SIZE=((I=this.options)===null||I===void 0?void 0:I.bufferSize)||64*1024,this.onDidChangeCapabilities=M.Event.None,this.mapHandleToPos=new Map,this.writeHandles=new Set,this.canFlush=!0,this._onDidWatchErrorOccur=this._register(new M.Emitter),this.onDidErrorOccur=this._onDidWatchErrorOccur.event,this._onDidChangeFile=this._register(new M.Emitter),this.onDidChangeFile=this._onDidChangeFile.event,this.recursiveFoldersToWatch=[],this.recursiveWatchRequestDelayer=this._register(new b.ThrottledDelayer(0))}get capabilities(){return this._capabilities||(this._capabilities=2|4|16|8,n.isLinux&&(this._capabilities|=1024)),this._capabilities}async stat(u){try{const{stat:m,symbolicLink:I}=await y.SymlinkSupport.stat(this.toFilePath(u));return{type:this.toType(m,I),ctime:m.birthtime.getTime(),mtime:m.mtime.getTime(),size:m.size}}catch(m){throw this.toFileSystemProviderError(m)}}async readdir(u){try{const m=await y.readdir(this.toFilePath(u),{withFileTypes:!0}),I=[];return await Promise.all(m.map(async A=>{try{let F;A.isSymbolicLink()?F=(await this.stat(k.joinPath(u,A.name))).type:F=this.toType(A),I.push([A.name,F])}catch(F){this.logService.trace(F)}})),I}catch(m){throw this.toFileSystemProviderError(m)}}toType(u,m){let I;return(m==null?void 0:m.dangling)?I=E.FileType.Unknown:u.isFile()?I=E.FileType.File:u.isDirectory()?I=E.FileType.Directory:I=E.FileType.Unknown,m&&(I|=E.FileType.SymbolicLink),I}async readFile(u){try{const m=this.toFilePath(u);return await v.promises.readFile(m)}catch(m){throw this.toFileSystemProviderError(m)}}readFileStream(u,m,I){const A=a.newWriteableStream(F=>r.VSBuffer.concat(F.map(N=>r.VSBuffer.wrap(N))).buffer);return l.readFileIntoStream(this,u,A,F=>F.buffer,Object.assign(Object.assign({},m),{bufferSize:this.BUFFER_SIZE}),I),A}async writeFile(u,m,I){let A;try{const F=this.toFilePath(u);if(!I.create||!I.overwrite){if(await y.exists(F)){if(!I.overwrite)throw E.createFileSystemProviderError(h.localize(0,null),E.FileSystemProviderErrorCode.FileExists)}else if(!I.create)throw E.createFileSystemProviderError(h.localize(1,null),E.FileSystemProviderErrorCode.FileNotFound)}A=await this.open(u,{create:!0}),await this.write(A,0,m,0,m.byteLength)}catch(F){throw this.toFileSystemProviderError(F)}finally{typeof A=="number"&&await this.close(A)}}async open(u,m){try{const I=this.toFilePath(u);let A;if(m.create){if(n.isWindows)try{await v.promises.truncate(I,0),A="r+"}catch(N){N.code!=="ENOENT"&&this.logService.trace(N)}A||(A="w")}else A="r";const F=await R.promisify(v.open)(I,A);return this.mapHandleToPos.set(F,0),m.create&&this.writeHandles.add(F),F}catch(I){throw this.toFileSystemProviderError(I)}}async close(u){try{if(this.mapHandleToPos.delete(u),this.writeHandles.delete(u)&&this.canFlush)try{await R.promisify(v.fdatasync)(u)}catch(m){this.canFlush=!1,this.logService.error(m)}return await R.promisify(v.close)(u)}catch(m){throw this.toFileSystemProviderError(m)}}async read(u,m,I,A,F){const N=this.normalizePos(u,m);let $=null;try{const z=await R.promisify(v.read)(u,I,A,F,N);return typeof z=="number"?$=z:$=z.bytesRead,$}catch(z){throw this.toFileSystemProviderError(z)}finally{this.updatePos(u,N,$)}}normalizePos(u,m){return m===this.mapHandleToPos.get(u)?null:m}updatePos(u,m,I){const A=this.mapHandleToPos.get(u);typeof A=="number"&&(typeof m=="number"||(typeof I=="number"?this.mapHandleToPos.set(u,A+I):this.mapHandleToPos.delete(u)))}async write(u,m,I,A,F){return b.retry(()=>this.doWrite(u,m,I,A,F),100,3)}async doWrite(u,m,I,A,F){const N=this.normalizePos(u,m);let $=null;try{const z=await R.promisify(v.write)(u,I,A,F,N);return typeof z=="number"?$=z:$=z.bytesWritten,$}catch(z){throw this.toFileSystemProviderError(z)}finally{this.updatePos(u,N,$)}}async mkdir(u){try{await v.promises.mkdir(this.toFilePath(u))}catch(m){throw this.toFileSystemProviderError(m)}}async delete(u,m){try{const I=this.toFilePath(u);await this.doDelete(I,m)}catch(I){throw this.toFileSystemProviderError(I)}}async doDelete(u,m){m.recursive?await y.rimraf(u,y.RimRafMode.MOVE):await v.promises.unlink(u)}async rename(u,m,I){const A=this.toFilePath(u),F=this.toFilePath(m);if(A!==F)try{await this.validateTargetDeleted(u,m,"move",I.overwrite),await y.move(A,F)}catch(N){throw(N.code==="EINVAL"||N.code==="EBUSY"||N.code==="ENAMETOOLONG")&&(N=new Error(h.localize(2,null,i.basename(A),i.basename(i.dirname(F)),N.toString()))),this.toFileSystemProviderError(N)}}async copy(u,m,I){const A=this.toFilePath(u),F=this.toFilePath(m);if(A!==F)try{await this.validateTargetDeleted(u,m,"copy",I.overwrite),await y.copy(A,F,{preserveSymlinks:!0})}catch(N){throw(N.code==="EINVAL"||N.code==="EBUSY"||N.code==="ENAMETOOLONG")&&(N=new Error(h.localize(3,null,i.basename(A),i.basename(i.dirname(F)),N.toString()))),this.toFileSystemProviderError(N)}}async validateTargetDeleted(u,m,I,A){const F=this.toFilePath(u),N=this.toFilePath(m);let $=!1;if(!!(this.capabilities&1024)||($=f.isEqual(F,N,!0)),$&&I==="copy")throw E.createFileSystemProviderError(h.localize(4,null),E.FileSystemProviderErrorCode.FileExists);if(!$&&await y.exists(N)){if(!A)throw E.createFileSystemProviderError(h.localize(5,null),E.FileSystemProviderErrorCode.FileExists);await this.delete(m,{recursive:!0,useTrash:!1})}}watch(u,m){return m.recursive?this.watchRecursive(u,m.excludes):this.watchNonRecursive(u)}watchRecursive(u,m){const I={path:this.toFilePath(u),excludes:m},A=t.insert(this.recursiveFoldersToWatch,I);return this.refreshRecursiveWatchers(),L.toDisposable(()=>{A(),this.refreshRecursiveWatchers()})}refreshRecursiveWatchers(){this.recursiveWatchRequestDelayer.trigger(async()=>{this.doRefreshRecursiveWatchers()})}doRefreshRecursiveWatchers(){var u,m,I;if(this.recursiveWatcher instanceof s.FileWatcher)this.recursiveWatcher.setFolders(this.recursiveFoldersToWatch);else if(L.dispose(this.recursiveWatcher),this.recursiveWatcher=void 0,this.recursiveFoldersToWatch.length>0){let A,F;((m=(u=this.options)===null||u===void 0?void 0:u.watcher)===null||m===void 0?void 0:m.usePolling)?(A=S.FileWatcher,F=(I=this.options)===null||I===void 0?void 0:I.watcher):this.recursiveFoldersToWatch.length===1?n.isWindows?A=p.FileWatcher:A=S.FileWatcher:A=s.FileWatcher,this.recursiveWatcher=new A(this.recursiveFoldersToWatch,N=>this._onDidChangeFile.fire(w.toFileChanges(N)),N=>{N.type==="error"&&this._onDidWatchErrorOccur.fire(N.message),this.logService[N.type](N.message)},this.logService.getLevel()===g.LogLevel.Trace,F),this.recursiveWatcherLogLevelListener||(this.recursiveWatcherLogLevelListener=this.logService.onDidChangeLogLevel(()=>{this.recursiveWatcher&&this.recursiveWatcher.setVerboseLogging(this.logService.getLevel()===g.LogLevel.Trace)}))}}watchNonRecursive(u){const m=new o.FileWatcher(this.toFilePath(u),A=>this._onDidChangeFile.fire(w.toFileChanges(A)),A=>{A.type==="error"&&this._onDidWatchErrorOccur.fire(A.message),this.logService[A.type](A.message)},this.logService.getLevel()===g.LogLevel.Trace),I=this.logService.onDidChangeLogLevel(()=>{m.setVerboseLogging(this.logService.getLevel()===g.LogLevel.Trace)});return L.combinedDisposable(m,I)}toFilePath(u){return i.normalize(u.fsPath)}toFileSystemProviderError(u){if(u instanceof E.FileSystemProviderError)return u;let m;switch(u.code){case"ENOENT":m=E.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":m=E.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":m=E.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":m=E.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":m=E.FileSystemProviderErrorCode.NoPermissions;break;default:m=E.FileSystemProviderErrorCode.Unknown}return E.createFileSystemProviderError(u,m)}dispose(){super.dispose(),L.dispose(this.recursiveWatcher),this.recursiveWatcher=void 0,L.dispose(this.recursiveWatcherLogLevelListener),this.recursiveWatcherLogLevelListener=void 0}}e.DiskFileSystemProvider=c}),define(Y[89],J([0,1,6]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BufferLogService=void 0;function R(E,M){switch(M){case v.LogLevel.Trace:return E.trace;case v.LogLevel.Debug:return E.debug;case v.LogLevel.Info:return E.info;case v.LogLevel.Warning:return E.warn;case v.LogLevel.Error:return E.error;case v.LogLevel.Critical:return E.critical;default:throw new Error("Invalid log level")}}class L extends v.AbstractLogger{constructor(M=v.DEFAULT_LOG_LEVEL){super();this.buffer=[],this._logger=void 0,this.setLevel(M),this._register(this.onDidChangeLogLevel(n=>{this._logger&&this._logger.setLevel(n)}))}set logger(M){this._logger=M;for(const{level:n,args:y}of this.buffer)R(M,n).apply(M,y);this.buffer=[]}_log(M,...n){this._logger?R(this._logger,M).apply(this._logger,n):this.getLevel()<=M&&this.buffer.push({level:M,args:n})}trace(M,...n){this._log(v.LogLevel.Trace,M,...n)}debug(M,...n){this._log(v.LogLevel.Debug,M,...n)}info(M,...n){this._log(v.LogLevel.Info,M,...n)}warn(M,...n){this._log(v.LogLevel.Warning,M,...n)}error(M,...n){this._log(v.LogLevel.Error,M,...n)}critical(M,...n){this._log(v.LogLevel.Critical,M,...n)}dispose(){this._logger&&this._logger.dispose()}flush(){this._logger&&this._logger.flush()}}e.BufferLogService=L}),define(Y[172],J([0,1,6,16,9,22,15,2,5,89]),function(H,e,v,R,L,E,M,n,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileLoggerService=e.FileLogger=void 0;const k=5*R.ByteSize.MB;let f=class extends v.AbstractLogger{constructor(h,w,S,p){super();this.name=h,this.resource=w,this.fileService=p,this.backupIndex=1,this.setLevel(S),this.queue=this._register(new L.Queue),this.initializePromise=this.initialize()}trace(){this.getLevel()<=v.LogLevel.Trace&&this._log(v.LogLevel.Trace,this.format(arguments))}debug(){this.getLevel()<=v.LogLevel.Debug&&this._log(v.LogLevel.Debug,this.format(arguments))}info(){this.getLevel()<=v.LogLevel.Info&&this._log(v.LogLevel.Info,this.format(arguments))}warn(){this.getLevel()<=v.LogLevel.Warning&&this._log(v.LogLevel.Warning,this.format(arguments))}error(){if(this.getLevel()<=v.LogLevel.Error){const h=arguments[0];if(h instanceof Error){const w=Array.prototype.slice.call(arguments);w[0]=h.stack,this._log(v.LogLevel.Error,this.format(w))}else this._log(v.LogLevel.Error,this.format(arguments))}}critical(){this.getLevel()<=v.LogLevel.Critical&&this._log(v.LogLevel.Critical,this.format(arguments))}flush(){}log(h,w){this._log(h,this.format(w))}async initialize(){try{await this.fileService.createFile(this.resource)}catch(h){if(h.fileOperationResult!==3)throw h}}_log(h,w){this.queue.queue(async()=>{await this.initializePromise;let S=await this.loadContent();S.length>k&&(await this.fileService.writeFile(this.getBackupResource(),E.VSBuffer.fromString(S)),S=""),S+=`[${this.getCurrentTimestamp()}] [${this.name}] [${this.stringifyLogLevel(h)}] ${w}
`,await this.fileService.writeFile(this.resource,E.VSBuffer.fromString(S))})}getCurrentTimestamp(){const h=p=>p<10?`0${p}`:p,w=p=>p<10?`00${p}`:p<100?`0${p}`:p,S=new Date;return`${S.getFullYear()}-${h(S.getMonth()+1)}-${h(S.getDate())} ${h(S.getHours())}:${h(S.getMinutes())}:${h(S.getSeconds())}.${w(S.getMilliseconds())}`}getBackupResource(){return this.backupIndex=this.backupIndex>5?1:this.backupIndex,M.joinPath(M.dirname(this.resource),`${M.basename(this.resource)}_${this.backupIndex++}`)}async loadContent(){try{return(await this.fileService.readFile(this.resource)).value.toString()}catch(h){return""}}stringifyLogLevel(h){switch(h){case v.LogLevel.Critical:return"critical";case v.LogLevel.Debug:return"debug";case v.LogLevel.Error:return"error";case v.LogLevel.Info:return"info";case v.LogLevel.Trace:return"trace";case v.LogLevel.Warning:return"warning"}return""}format(h){let w="";for(let S=0;S<h.length;S++){let p=h[S];if(typeof p=="object")try{p=JSON.stringify(p)}catch(s){}w+=(S>0?" ":"")+p}return w}};f=ue([ie(3,R.IFileService)],f),e.FileLogger=f;let b=class extends n.Disposable{constructor(h,w,S){super();this.logService=h,this.instantiationService=w,this.fileService=S,this.loggers=new Map,this._register(h.onDidChangeLogLevel(p=>this.loggers.forEach(s=>s.setLevel(p))))}createLogger(h){let w=this.loggers.get(h.toString());return w||(w=new i.BufferLogService(this.logService.getLevel()),this.loggers.set(h.toString(),w),R.whenProviderRegistered(h,this.fileService).then(()=>w.logger=this.instantiationService.createInstance(f,M.basename(h),h,this.logService.getLevel()))),w}dispose(){this.loggers.forEach(h=>h.dispose()),this.loggers.clear(),super.dispose()}};b=ue([ie(0,v.ILogService),ie(1,y.IInstantiationService),ie(2,R.IFileService)],b),e.FileLoggerService=b}),define(Y[173],J([0,1,6,3,7]),function(H,e,v,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FollowerLogService=e.LoggerChannelClient=e.LoggerChannel=e.LogLevelChannelClient=e.LogLevelChannel=void 0;class E{constructor(b){this.service=b,this.onDidChangeLogLevel=R.Event.buffer(b.onDidChangeLogLevel,!0)}listen(b,g){switch(g){case"onDidChangeLogLevel":return this.onDidChangeLogLevel}throw new Error(`Event not found: ${g}`)}async call(b,g,h){switch(g){case"setLevel":return this.service.setLevel(h)}throw new Error(`Call not found: ${g}`)}}e.LogLevelChannel=E;class M{constructor(b){this.channel=b}get onDidChangeLogLevel(){return this.channel.listen("onDidChangeLogLevel")}setLevel(b){M.setLevel(this.channel,b)}static setLevel(b,g){return b.call("setLevel",g)}}e.LogLevelChannelClient=M;class n{constructor(b){this.loggerService=b,this.loggers=new Map}listen(b,g){throw new Error(`Event not found: ${g}`)}async call(b,g,h){switch(g){case"createLogger":this.createLogger(L.URI.revive(h[0]),h[1]);return;case"log":return this.log(L.URI.revive(h[0]),h[1]);case"consoleLog":return this.consoleLog(h[0],h[1])}throw new Error(`Call not found: ${g}`)}createLogger(b,g){this.loggers.set(b.toString(),this.loggerService.createLogger(b,g))}consoleLog(b,g){let h=console.log;switch(b){case v.LogLevel.Error:h=console.error;break;case v.LogLevel.Warning:h=console.warn;break;case v.LogLevel.Info:h=console.info;break}h.call(console,...g)}log(b,g){const h=this.loggers.get(b.toString());if(!h)throw new Error("Create the logger before logging");for(const[w,S]of g)switch(w){case v.LogLevel.Trace:h.trace(S);break;case v.LogLevel.Debug:h.debug(S);break;case v.LogLevel.Info:h.info(S);break;case v.LogLevel.Warning:h.warn(S);break;case v.LogLevel.Error:h.error(S);break;case v.LogLevel.Critical:h.critical(S);break;default:throw new Error("Invalid log level")}}}e.LoggerChannel=n;class y{constructor(b){this.channel=b}createConsoleMainLogger(){return new v.AdapterLogger({log:(b,g)=>{this.channel.call("consoleLog",[b,g])}})}createLogger(b,g){return new i(this.channel,b,g)}}e.LoggerChannelClient=y;class i extends v.AbstractMessageLogger{constructor(b,g,h){super(h==null?void 0:h.always);this.channel=b,this.file=g,this.isLoggerCreated=!1,this.buffer=[],this.channel.call("createLogger",[g,h]).then(()=>{this._log(this.buffer),this.isLoggerCreated=!0})}log(b,g){this._log([[b,g]])}_log(b){this.isLoggerCreated?this.channel.call("log",[this.file,b]):this.buffer.push(...b)}}class k extends v.LogService{constructor(b,g){super(g);this.parent=b,this._register(b.onDidChangeLogLevel(h=>g.setLevel(h)))}setLevel(b){super.setLevel(b),this.parent.setLevel(b)}}e.FollowerLogService=k}),define(Y[90],J([0,1,6,16]),function(H,e,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SpdLogLogger=e.createRotatingLogger=void 0;async function L(y,i,k,f){try{const b=await new Promise((g,h)=>{H(["spdlog"],g,h)});return b.setAsyncMode(8192,500),b.createRotatingLoggerAsync(y,i,k,f)}catch(b){console.error(b)}return null}function E(y,i,k,f){return H.__$__nodeRequire("spdlog").createRotatingLogger(y,i,k,f)}e.createRotatingLogger=E;function M(y,i,k){switch(i){case v.LogLevel.Trace:y.trace(k);break;case v.LogLevel.Debug:y.debug(k);break;case v.LogLevel.Info:y.info(k);break;case v.LogLevel.Warning:y.warn(k);break;case v.LogLevel.Error:y.error(k);break;case v.LogLevel.Critical:y.critical(k);break;default:throw new Error("Invalid log level")}}class n extends v.AbstractMessageLogger{constructor(i,k,f,b){super();this.name=i,this.filepath=k,this.rotating=f,this.buffer=[],this.setLevel(b),this._loggerCreationPromise=this._createSpdLogLogger(),this._register(this.onDidChangeLogLevel(g=>{this._logger&&this._logger.setLevel(g)}))}_createSpdLogLogger(){const i=this.rotating?6:1,k=30/i*R.ByteSize.MB;return L(this.name,this.filepath,k,i).then(f=>{if(f){this._logger=f,this._logger.setLevel(this.getLevel());for(const{level:b,message:g}of this.buffer)M(this._logger,b,g);this.buffer=[]}})}log(i,k){this._logger?M(this._logger,i,k):this.getLevel()<=i&&this.buffer.push({level:i,message:k})}clearFormatters(){this._logger?this._logger.clearFormatters():this._loggerCreationPromise.then(()=>this.clearFormatters())}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}e.SpdLogLogger=n}),define(Y[174],J([0,1,6,2,15,10,172,90,16,30]),function(H,e,v,R,L,E,M,n,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LoggerService=void 0;let k=class extends R.Disposable{constructor(b,g){super();this.logService=b,this.fileService=g,this.loggers=new Map,this.logLevelChangeableLoggers=[],this._register(b.onDidChangeLogLevel(h=>this.logLevelChangeableLoggers.forEach(w=>w.setLevel(h))))}createLogger(b,g){var h;let w=this.loggers.get(b.toString());return w||(b.scheme===E.Schemas.file?(w=new n.SpdLogLogger((g==null?void 0:g.name)||i.generateUuid(),b.fsPath,!(g==null?void 0:g.donotRotate),this.logService.getLevel()),(g==null?void 0:g.donotUseFormatters)&&w.clearFormatters()):w=new M.FileLogger((h=g==null?void 0:g.name)!==null&&h!==void 0?h:L.basename(b),b,this.logService.getLevel(),this.fileService),this.loggers.set(b.toString(),w),(g==null?void 0:g.always)?w.setLevel(v.LogLevel.Trace):this.logLevelChangeableLoggers.push(w)),w}dispose(){this.logLevelChangeableLoggers.splice(0,this.logLevelChangeableLoggers.length),this.loggers.forEach(b=>b.dispose()),this.loggers.clear(),super.dispose()}};k=ue([ie(0,v.ILogService),ie(1,y.IFileService)],k),e.LoggerService=k}),define(Y[175],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isMenubarMenuItemAction=e.isMenubarMenuItemUriAction=e.isMenubarMenuItemSeparator=e.isMenubarMenuItemSubmenu=void 0;function v(M){return M.submenu!==void 0}e.isMenubarMenuItemSubmenu=v;function R(M){return M.id==="vscode.menubar.separator"}e.isMenubarMenuItemSeparator=R;function L(M){return M.uri!==void 0}e.isMenubarMenuItemUriAction=L;function E(M){return!v(M)&&!R(M)&&!L(M)}e.isMenubarMenuItemAction=E}),define(Y[17],J([0,1,4,51,10,15]),function(H,e,v,R,L,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let M;if(v.isWeb||typeof H=="undefined"||typeof H.__$__nodeRequire!="function")M={},Object.keys(M).length===0&&Object.assign(M,{version:"1.54.0-dev",nameShort:v.isWeb?"Code Web - OSS Dev":"Code - OSS Dev",nameLong:v.isWeb?"Code Web - OSS Dev":"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",extensionAllowedProposedApi:["ms-vscode.vscode-js-profile-flame","ms-vscode.vscode-js-profile-table","ms-vscode.github-browser"]});else{const n=E.dirname(L.FileAccess.asFileUri("",H));M=H.__$__nodeRequire(E.joinPath(n,"product.json").fsPath);const y=H.__$__nodeRequire(E.joinPath(n,"package.json").fsPath);R.env.VSCODE_DEV&&Object.assign(M,{nameShort:`${M.nameShort} Dev`,nameLong:`${M.nameLong} Dev`,dataFolderName:`${M.dataFolderName}-dev`}),Object.assign(M,{version:y.version})}e.default=M}),define(Y[176],J([0,1,27,17,113,8,15,50,122,10,7]),function(H,e,v,R,L,E,M,n,y,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseUserDataDir=e.parsePathArg=e.parseSearchPort=e.parseExtensionHostPort=e.NativeEnvironmentService=void 0;class f{constructor(s){if(this._args=s,!s.logsPath){const o=y.toLocalISOString(new Date).replace(/-|:|\.\d+Z$/g,"");s.logsPath=E.join(this.userDataPath,"logs",o)}this.logsPath=s.logsPath}get args(){return this._args}get appRoot(){return E.dirname(i.FileAccess.asFileUri("",H).fsPath)}get userHome(){return k.URI.file(v.homedir())}get userDataPath(){const s=process.env.VSCODE_PORTABLE;return s?E.join(s,"user-data"):S(this._args,process)}get appSettingsHome(){return k.URI.file(E.join(this.userDataPath,"User"))}get tmpDir(){return k.URI.file(v.tmpdir())}get userRoamingDataHome(){return this.appSettingsHome}get settingsResource(){return M.joinPath(this.userRoamingDataHome,"settings.json")}get userDataSyncHome(){return M.joinPath(this.userRoamingDataHome,"sync")}get userDataSyncLogResource(){return k.URI.file(E.join(this.logsPath,"userDataSync.log"))}get sync(){return this.args.sync}get machineSettingsResource(){return M.joinPath(k.URI.file(E.join(this.userDataPath,"Machine")),"settings.json")}get globalStorageHome(){return k.URI.joinPath(this.appSettingsHome,"globalStorage")}get workspaceStorageHome(){return k.URI.joinPath(this.appSettingsHome,"workspaceStorage")}get keybindingsResource(){return M.joinPath(this.userRoamingDataHome,"keybindings.json")}get keyboardLayoutResource(){return M.joinPath(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const s=process.env.VSCODE_PORTABLE;return s?k.URI.file(E.join(s,"argv.json")):M.joinPath(this.userHome,R.default.dataFolderName,"argv.json")}get snippetsHome(){return M.joinPath(this.userRoamingDataHome,"snippets")}get isExtensionDevelopment(){return!!this._args.extensionDevelopmentPath}get untitledWorkspacesHome(){return k.URI.file(E.join(this.userDataPath,"Workspaces"))}get installSourcePath(){return E.join(this.userDataPath,"installSource")}get builtinExtensionsPath(){const s=w(this._args["builtin-extensions-dir"],process);return s||E.normalize(E.join(i.FileAccess.asFileUri("",H).fsPath,"..","extensions"))}get extensionsDownloadPath(){const s=w(this._args["extensions-download-dir"],process);return s||E.join(this.userDataPath,"CachedExtensionVSIXs")}get extensionsPath(){const s=w(this._args["extensions-dir"],process);if(s)return s;const o=process.env.VSCODE_EXTENSIONS;if(o)return o;const a=process.env.VSCODE_PORTABLE;return a?E.join(a,"extensions"):M.joinPath(this.userHome,R.default.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const s=this._args.extensionDevelopmentPath;if(Array.isArray(s))return s.map(o=>/^[^:/?#]+?:\/\//.test(o)?k.URI.parse(o):k.URI.file(E.normalize(o)))}get extensionTestsLocationURI(){const s=this._args.extensionTestsPath;if(s)return/^[^:/?#]+?:\/\//.test(s)?k.URI.parse(s):k.URI.file(E.normalize(s))}get disableExtensions(){if(this._args["disable-extensions"])return!0;const s=this._args["disable-extension"];if(s){if(typeof s=="string")return[s];if(Array.isArray(s)&&s.length>0)return s}return!1}get debugExtensionHost(){return b(this._args,this.isBuilt)}get debugRenderer(){return!!this._args.debugRenderer}get isBuilt(){return!process.env.VSCODE_DEV}get verbose(){return!!this._args.verbose}get logLevel(){return this._args.log}get serviceMachineIdResource(){return M.joinPath(k.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this._args["crash-reporter-id"]}get crashReporterDirectory(){return this._args["crash-reporter-directory"]}get driverHandle(){return this._args.driver}get telemetryLogResource(){return k.URI.file(E.join(this.logsPath,"telemetry.log"))}get disableTelemetry(){return!!this._args["disable-telemetry"]}}ue([n.memoize],f.prototype,"appRoot",null),ue([n.memoize],f.prototype,"userHome",null),ue([n.memoize],f.prototype,"userDataPath",null),ue([n.memoize],f.prototype,"appSettingsHome",null),ue([n.memoize],f.prototype,"tmpDir",null),ue([n.memoize],f.prototype,"userRoamingDataHome",null),ue([n.memoize],f.prototype,"settingsResource",null),ue([n.memoize],f.prototype,"userDataSyncHome",null),ue([n.memoize],f.prototype,"userDataSyncLogResource",null),ue([n.memoize],f.prototype,"sync",null),ue([n.memoize],f.prototype,"machineSettingsResource",null),ue([n.memoize],f.prototype,"globalStorageHome",null),ue([n.memoize],f.prototype,"workspaceStorageHome",null),ue([n.memoize],f.prototype,"keybindingsResource",null),ue([n.memoize],f.prototype,"keyboardLayoutResource",null),ue([n.memoize],f.prototype,"argvResource",null),ue([n.memoize],f.prototype,"snippetsHome",null),ue([n.memoize],f.prototype,"isExtensionDevelopment",null),ue([n.memoize],f.prototype,"untitledWorkspacesHome",null),ue([n.memoize],f.prototype,"installSourcePath",null),ue([n.memoize],f.prototype,"builtinExtensionsPath",null),ue([n.memoize],f.prototype,"extensionsPath",null),ue([n.memoize],f.prototype,"extensionDevelopmentLocationURI",null),ue([n.memoize],f.prototype,"extensionTestsLocationURI",null),ue([n.memoize],f.prototype,"debugExtensionHost",null),ue([n.memoize],f.prototype,"serviceMachineIdResource",null),ue([n.memoize],f.prototype,"telemetryLogResource",null),e.NativeEnvironmentService=f;function b(p,s){return h(p["inspect-extensions"],p["inspect-brk-extensions"],5870,s,p.debugId)}e.parseExtensionHostPort=b;function g(p,s){return h(p["inspect-search"],p["inspect-brk-search"],5876,s)}e.parseSearchPort=g;function h(p,s,o,a,l){const r=Number(s||p)||(a?null:o),c=r?Boolean(!!s):!1;return{port:r,break:c,debugId:l}}function w(p,s){if(!!p){const o=E.resolve(p);return E.normalize(p)===o?o:E.resolve(s.env.VSCODE_CWD||s.cwd(),p)}}e.parsePathArg=w;function S(p,s){return w(p["user-data-dir"],s)||E.resolve(L.getDefaultUserDataPath())}e.parseUserDataDir=S}),define(Y[61],J([0,1,5]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IProductService=void 0,e.IProductService=v.createDecorator("productService")}),define(Y[177],J([0,1,58,6,61]),function(H,e,v,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionUrlTrustService=void 0;let E=class{constructor(n,y){this.productService=n,this.logService=y,this.trustedExtensionUrlPublicKeys=new Map}async isExtensionUrlTrusted(n,y){if(!this.productService.trustedExtensionUrlPublicKeys)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","There are no configured trusted keys"),!1;const i=/^(.*)#([^#]+)$/.exec(y);if(!i)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Uri has no fragment",y),!1;const[,k,f]=i;let b=this.trustedExtensionUrlPublicKeys.get(n);if(!b){if(b=this.productService.trustedExtensionUrlPublicKeys[n],!b||b.length===0)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Extension doesn't have any trusted keys",n),!1;this.trustedExtensionUrlPublicKeys.set(n,[...b])}const g=Buffer.from(decodeURIComponent(f),"base64");if(g.length<=6)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Uri fragment is not a signature",y),!1;const h=g.slice(0,6),w=g.readUIntBE(0,6),S=Date.now()-w;if(S<0||S>36e5)return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri has expired",y),!1;const p=g.slice(6),s=v.createVerify("SHA256");s.write(h),s.write(Buffer.from(k)),s.end();for(let o=0;o<b.length;o++){let a=b[o];if(a!==null){if(typeof a=="string")try{a=v.createPublicKey({key:Buffer.from(a,"base64"),format:"der",type:"spki"}),b[o]=a}catch(l){this.logService.warn("ExtensionUrlTrustService#isExtensionUrlTrusted",`Failed to parse trusted extension uri public key #${o+1} for ${n}:`,l),b[o]=null;continue}if(s.verify(a,p))return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri is valid",y),!0}}return this.logService.trace("ExtensionUrlTrustService#isExtensionUrlTrusted","Signed uri could not be verified",y),!1}};E=ue([ie(0,L.IProductService),ie(1,R.ILogService)],E),e.ExtensionUrlTrustService=E}),define(Y[36],J([0,1,13,99]),function(H,e,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class L{constructor(){this.data=new Map}add(M,n){R.ok(v.isString(M)),R.ok(v.isObject(n)),R.ok(!this.data.has(M),"There is already an extension with this id"),this.data.set(M,n)}knows(M){return this.data.has(M)}as(M){return this.data.get(M)||null}}e.Registry=new L}),define(Y[178],J([0,1,36,3]),function(H,e,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function L(n){return n.length>0&&n.charAt(n.length-1)==="#"?n.substring(0,n.length-1):n}class E{constructor(){this._onDidChangeSchema=new R.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(y,i){this.schemasById[L(y)]=i,this._onDidChangeSchema.fire(y)}notifySchemaChanged(y){this._onDidChangeSchema.fire(y)}getSchemaContributions(){return{schemas:this.schemasById}}}const M=new E;v.Registry.add(e.Extensions.JSONContribution,M)}),define(Y[46],J([0,1,129,3,36,13,178]),function(H,e,v,R,L,E,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.overrideIdentifierFromKey=e.OVERRIDE_PROPERTY_PATTERN=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=void 0,e.Extensions={Configuration:"base.contributions.configuration"};var n;(function(S){S[S.APPLICATION=1]="APPLICATION",S[S.MACHINE=2]="MACHINE",S[S.WINDOW=3]="WINDOW",S[S.RESOURCE=4]="RESOURCE",S[S.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",S[S.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(n=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage";const y=L.Registry.as(M.Extensions.JSONContribution);class i{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new R.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new R.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.defaultValues={},this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:v.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},y.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema)}registerConfiguration(p,s=!0){this.registerConfigurations([p],s)}registerConfigurations(p,s=!0){const o=[];p.forEach(a=>{o.push(...this.validateAndRegisterProperties(a,s)),this.configurationContributors.push(a),this.registerJSONConfiguration(a)}),y.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(o)}deregisterConfigurations(p){const s=[],o=a=>{if(a.properties)for(const l in a.properties)s.push(l),delete this.configurationProperties[l],this.removeFromSchema(l,a.properties[l]);a.allOf&&a.allOf.forEach(l=>o(l))};for(const a of p){o(a);const l=this.configurationContributors.indexOf(a);l!==-1&&this.configurationContributors.splice(l,1)}y.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(s)}registerDefaultConfigurations(p){const s=[],o=[];for(const a of p)for(const l in a)if(s.push(l),e.OVERRIDE_PROPERTY_PATTERN.test(l)){this.defaultValues[l]=Object.assign(Object.assign({},this.defaultValues[l]||{}),a[l]);const t={type:"object",default:this.defaultValues[l],description:v.localize(1,null,l),$ref:e.resourceLanguageSettingsSchemaId};o.push(f(l)),this.configurationProperties[l]=t,this.defaultLanguageConfigurationOverridesNode.properties[l]=t}else{this.defaultValues[l]=a[l];const t=this.configurationProperties[l];t&&(this.updatePropertyDefaultValue(l,t),this.updateSchema(l,t))}this.registerOverrideIdentifiers(o),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(s)}deregisterDefaultConfigurations(p){const s=[];for(const o of p)for(const a in o)if(s.push(a),delete this.defaultValues[a],e.OVERRIDE_PROPERTY_PATTERN.test(a))delete this.configurationProperties[a],delete this.defaultLanguageConfigurationOverridesNode.properties[a];else{const l=this.configurationProperties[a];l&&(this.updatePropertyDefaultValue(a,l),this.updateSchema(a,l))}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(s)}notifyConfigurationSchemaUpdated(...p){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(p){for(const s of p)this.overrideIdentifiers.add(s);this.updateOverridePropertyPatternKey()}validateAndRegisterProperties(p,s=!0,o=3){o=E.isUndefinedOrNull(p.scope)?o:p.scope;let a=[],l=p.properties;if(l)for(let r in l){if(s&&h(r)){delete l[r];continue}const c=l[r];if(this.updatePropertyDefaultValue(r,c),e.OVERRIDE_PROPERTY_PATTERN.test(r)?c.scope=void 0:c.scope=E.isUndefinedOrNull(c.scope)?o:c.scope,l[r].hasOwnProperty("included")&&!l[r].included){this.excludedConfigurationProperties[r]=l[r],delete l[r];continue}else this.configurationProperties[r]=l[r];!l[r].deprecationMessage&&l[r].markdownDeprecationMessage&&(l[r].deprecationMessage=l[r].markdownDeprecationMessage),a.push(r)}let t=p.allOf;if(t)for(let r of t)a.push(...this.validateAndRegisterProperties(r,s,o));return a}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}registerJSONConfiguration(p){const s=o=>{let a=o.properties;if(a)for(const t in a)this.updateSchema(t,a[t]);let l=o.allOf;l&&l.forEach(s)};s(p)}updateSchema(p,s){switch(e.allSettings.properties[p]=s,s.scope){case 1:e.applicationSettings.properties[p]=s;break;case 2:e.machineSettings.properties[p]=s;break;case 6:e.machineOverridableSettings.properties[p]=s;break;case 3:e.windowSettings.properties[p]=s;break;case 4:e.resourceSettings.properties[p]=s;break;case 5:e.resourceSettings.properties[p]=s,this.resourceLanguageSettingsSchema.properties[p]=s;break}}removeFromSchema(p,s){switch(delete e.allSettings.properties[p],s.scope){case 1:delete e.applicationSettings.properties[p];break;case 2:delete e.machineSettings.properties[p];break;case 6:delete e.machineOverridableSettings.properties[p];break;case 3:delete e.windowSettings.properties[p];break;case 4:case 5:delete e.resourceSettings.properties[p];break}}updateOverridePropertyPatternKey(){for(const p of this.overrideIdentifiers.values()){const s=`[${p}]`,o={type:"object",description:v.localize(2,null),errorMessage:v.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(s,o),e.allSettings.properties[s]=o,e.applicationSettings.properties[s]=o,e.machineSettings.properties[s]=o,e.machineOverridableSettings.properties[s]=o,e.windowSettings.properties[s]=o,e.resourceSettings.properties[s]=o}this._onDidSchemaChange.fire()}updatePropertyDefaultValue(p,s){let o=this.defaultValues[p];E.isUndefined(o)&&(o=s.default),E.isUndefined(o)&&(o=b(s.type)),s.default=o}}const k="\\[.*\\]$";e.OVERRIDE_PROPERTY_PATTERN=new RegExp(k);function f(S){return S.substring(1,S.length-1)}e.overrideIdentifierFromKey=f;function b(S){switch(Array.isArray(S)?S[0]:S){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=b;const g=new i;L.Registry.add(e.Extensions.Configuration,g);function h(S){return S.trim()?e.OVERRIDE_PROPERTY_PATTERN.test(S)?v.localize(5,null,S):g.getConfigurationProperties()[S]!==void 0?v.localize(6,null,S):null:v.localize(4,null)}e.validateProperty=h;function w(){const S=[],p=g.getConfigurationProperties();for(const s of Object.keys(p))S.push([s,p[s].scope]);return S.push(["launch",4]),S.push(["task",4]),S}e.getScopes=w}),define(Y[18],J([0,1,43,13,7,36,5,46]),function(H,e,v,R,L,E,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.keyFromOverrideIdentifier=e.getDefaultValues=e.getConfigurationKeys=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.toOverrides=e.compare=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=M.createDecorator("configurationService");function y(r){return r&&typeof r=="object"&&(!r.overrideIdentifier||typeof r.overrideIdentifier=="string")&&(!r.resource||r.resource instanceof L.URI)}e.isConfigurationOverrides=y;var i;(function(r){r[r.USER=1]="USER",r[r.USER_LOCAL=2]="USER_LOCAL",r[r.USER_REMOTE=3]="USER_REMOTE",r[r.WORKSPACE=4]="WORKSPACE",r[r.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",r[r.DEFAULT=6]="DEFAULT",r[r.MEMORY=7]="MEMORY"})(i=e.ConfigurationTarget||(e.ConfigurationTarget={}));function k(r){switch(r){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=k;function f(r,c){const d=c?r?c.keys.filter($=>r.keys.indexOf($)===-1):[...c.keys]:[],u=r?c?r.keys.filter($=>c.keys.indexOf($)===-1):[...r.keys]:[],m=[];if(c&&r){for(const $ of r.keys)if(c.keys.indexOf($)!==-1){const z=p(r.contents,$),x=p(c.contents,$);v.equals(z,x)||m.push($)}}const I=[],A=$=>{const z={};for(const x of $)for(const te of x.identifiers)z[l(te)]=x;return z},F=c?A(c.overrides):{},N=r?A(r.overrides):{};if(Object.keys(F).length)for(const $ of d){const z=F[$];z&&I.push([n.overrideIdentifierFromKey($),z.keys])}if(Object.keys(N).length)for(const $ of u){const z=N[$];z&&I.push([n.overrideIdentifierFromKey($),z.keys])}if(Object.keys(F).length&&Object.keys(N).length)for(const $ of m){const z=N[$],x=F[$];if(z&&x){const te=f({contents:z.contents,keys:z.keys,overrides:[]},{contents:x.contents,keys:x.keys,overrides:[]});I.push([n.overrideIdentifierFromKey($),[...te.added,...te.removed,...te.updated]])}}return{added:d,removed:u,updated:m,overrides:I}}e.compare=f;function b(r,c){const d=[];for(const u of Object.keys(r))if(n.OVERRIDE_PROPERTY_PATTERN.test(u)){const m={};for(const I in r[u])m[I]=r[u][I];d.push({identifiers:[n.overrideIdentifierFromKey(u).trim()],keys:Object.keys(m),contents:g(m,c)})}return d}e.toOverrides=b;function g(r,c){const d=Object.create(null);for(let u in r)h(d,u,r[u],c);return d}e.toValuesTree=g;function h(r,c,d,u){const m=c.split("."),I=m.pop();let A=r;for(let F=0;F<m.length;F++){let N=m[F],$=A[N];switch(typeof $){case"undefined":$=A[N]=Object.create(null);break;case"object":break;default:u(`Ignoring ${c} as ${m.slice(0,F+1).join(".")} is ${JSON.stringify($)}`);return}A=$}if(typeof A=="object"&&A!==null)try{A[I]=d}catch(F){u(`Ignoring ${c} as ${m.join(".")} is ${JSON.stringify(A)}`)}else u(`Ignoring ${c} as ${m.join(".")} is ${JSON.stringify(A)}`)}e.addToValueTree=h;function w(r,c){const d=c.split(".");S(r,d)}e.removeFromValueTree=w;function S(r,c){const d=c.shift();if(c.length===0){delete r[d];return}if(Object.keys(r).indexOf(d)!==-1){const u=r[d];typeof u=="object"&&!Array.isArray(u)&&(S(u,c),Object.keys(u).length===0&&delete r[d])}}function p(r,c,d){function u(A,F){let N=A;for(const $ of F){if(typeof N!="object"||N===null)return;N=N[$]}return N}const m=c.split("."),I=u(r,m);return typeof I=="undefined"?d:I}e.getConfigurationValue=p;function s(r,c,d){Object.keys(c).forEach(u=>{u!=="__proto__"&&(u in r?R.isObject(r[u])&&R.isObject(c[u])?s(r[u],c[u],d):d&&(r[u]=c[u]):r[u]=c[u])})}e.merge=s;function o(){const r=E.Registry.as(n.Extensions.Configuration).getConfigurationProperties();return Object.keys(r)}e.getConfigurationKeys=o;function a(){const r=Object.create(null),c=E.Registry.as(n.Extensions.Configuration).getConfigurationProperties();for(let d in c){let u=c[d].default;h(r,d,u,m=>console.error(`Conflict in default settings: ${m}`))}return r}e.getDefaultValues=a;function l(r){return`[${r}]`}e.keyFromOverrideIdentifier=l;function t(r,c,d){const u=r.inspect(c),m=r.inspect(d);return typeof u.userValue!="undefined"||typeof u.workspaceValue!="undefined"||typeof u.workspaceFolderValue!="undefined"?u.value:typeof m.userValue!="undefined"||typeof m.workspaceValue!="undefined"||typeof m.workspaceFolderValue!="undefined"?m.value:u.defaultValue}e.getMigratedSettingValue=t}),define(Y[179],J([0,1,42,35,33,13,43,7,46,18,36,2,3]),function(H,e,v,R,L,E,M,n,y,i,k,f,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class g{constructor(t={},r=[],c=[]){this._contents=t,this._keys=r,this._overrides=c,this.isFrozen=!1}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(t){return t?i.getConfigurationValue(this.contents,t):this.contents}getOverrideValue(t,r){const c=this.getContentsForOverrideIdentifer(r);return c?t?i.getConfigurationValue(c,t):c:void 0}getKeysForOverrideIdentifier(t){for(const r of this.overrides)if(r.identifiers.indexOf(t)!==-1)return r.keys;return[]}override(t){const r=this.getContentsForOverrideIdentifer(t);if(!r||typeof r!="object"||!Object.keys(r).length)return this;let c={};for(const d of L.distinct([...Object.keys(this.contents),...Object.keys(r)])){let u=this.contents[d],m=r[d];m&&(typeof u=="object"&&typeof m=="object"?(u=M.deepClone(u),this.mergeContents(u,m)):u=m),c[d]=u}return new g(c,this.keys,this.overrides)}merge(...t){const r=M.deepClone(this.contents),c=M.deepClone(this.overrides),d=[...this.keys];for(const u of t){this.mergeContents(r,u.contents);for(const m of u.overrides){const[I]=c.filter(A=>L.equals(A.identifiers,m.identifiers));I?this.mergeContents(I.contents,m.contents):c.push(M.deepClone(m))}for(const m of u.keys)d.indexOf(m)===-1&&d.push(m)}return new g(r,d,c)}freeze(){return this.isFrozen=!0,this}mergeContents(t,r){for(const c of Object.keys(r)){if(c in t&&E.isObject(t[c])&&E.isObject(r[c])){this.mergeContents(t[c],r[c]);continue}t[c]=M.deepClone(r[c])}}checkAndFreeze(t){return this.isFrozen&&!Object.isFrozen(t)?M.deepFreeze(t):t}getContentsForOverrideIdentifer(t){for(const r of this.overrides)if(r.identifiers.indexOf(t)!==-1)return r.contents;return null}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(t,r){this.addKey(t),i.addToValueTree(this.contents,t,r,c=>{throw new Error(c)})}removeValue(t){this.removeKey(t)&&i.removeFromValueTree(this.contents,t)}addKey(t){let r=this.keys.length;for(let c=0;c<r;c++)t.indexOf(this.keys[c])===0&&(r=c);this.keys.splice(r,1,t)}removeKey(t){let r=this.keys.indexOf(t);return r!==-1?(this.keys.splice(r,1),!0):!1}}e.ConfigurationModel=g;class h extends g{constructor(){const t=i.getDefaultValues(),r=i.getConfigurationKeys(),c=[];for(const d of Object.keys(t))y.OVERRIDE_PROPERTY_PATTERN.test(d)&&c.push({identifiers:[y.overrideIdentifierFromKey(d).trim()],keys:Object.keys(t[d]),contents:i.toValuesTree(t[d],u=>console.error(`Conflict in default settings file: ${u}`))});super(t,r,c)}}e.DefaultConfigurationModel=h;class w{constructor(t,r){this._name=t,this._scopes=r,this._raw=null,this._configurationModel=null,this._parseErrors=[]}get configurationModel(){return this._configurationModel||new g}get errors(){return this._parseErrors}parseContent(t){if(!E.isUndefinedOrNull(t)){const r=this.doParseContent(t);this.parseRaw(r)}}parseRaw(t){this._raw=t;const r=this.doParseRaw(t);this._configurationModel=new g(r.contents,r.keys,r.overrides)}parse(){this._raw&&this.parseRaw(this._raw)}doParseContent(t){let r={},c=null,d=[],u=[],m=[];function I(F){Array.isArray(d)?d.push(F):c&&(d[c]=F)}let A={onObjectBegin:()=>{let F={};I(F),u.push(d),d=F,c=null},onObjectProperty:F=>{c=F},onObjectEnd:()=>{d=u.pop()},onArrayBegin:()=>{let F=[];I(F),u.push(d),d=F,c=null},onArrayEnd:()=>{d=u.pop()},onLiteralValue:I,onError:(F,N,$)=>{m.push({error:F,offset:N,length:$})}};if(t)try{v.visit(t,A),r=d[0]||{}}catch(F){console.error(`Error while parsing settings file ${this._name}: ${F}`),this._parseErrors=[F]}return r}doParseRaw(t){if(this._scopes){const u=k.Registry.as(y.Extensions.Configuration).getConfigurationProperties();t=this.filterByScope(t,u,!0,this._scopes)}const r=i.toValuesTree(t,u=>console.error(`Conflict in settings file ${this._name}: ${u}`)),c=Object.keys(t),d=i.toOverrides(t,u=>console.error(`Conflict in settings file ${this._name}: ${u}`));return{contents:r,keys:c,overrides:d}}filterByScope(t,r,c,d){const u={};for(let m in t)if(y.OVERRIDE_PROPERTY_PATTERN.test(m)&&c)u[m]=this.filterByScope(t[m],r,!1,d);else{const I=this.getScope(m,r);(I===void 0||d.indexOf(I)!==-1)&&(u[m]=t[m])}return u}getScope(t,r){const c=r[t];return c?typeof c.scope!="undefined"?c.scope:3:void 0}}e.ConfigurationModelParser=w;class S extends f.Disposable{constructor(t,r,c,d){super();this.userSettingsResource=t,this.scopes=r,this.fileService=d,this._onDidChange=this._register(new b.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new w(this.userSettingsResource.toString(),this.scopes),this._register(this.fileService.watch(c.dirname(this.userSettingsResource))),this._register(b.Event.filter(this.fileService.onDidFilesChange,u=>u.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const t=await this.fileService.readFile(this.userSettingsResource);return this.parser.parseContent(t.value.toString()||"{}"),this.parser.configurationModel}catch(t){return new g}}reprocess(){return this.parser.parse(),this.parser.configurationModel}}e.UserSettings=S;class p{constructor(t,r,c=new g,d=new g,u=new R.ResourceMap,m=new g,I=new R.ResourceMap,A=!0){this._defaultConfiguration=t,this._localUserConfiguration=r,this._remoteUserConfiguration=c,this._workspaceConfiguration=d,this._folderConfigurations=u,this._memoryConfiguration=m,this._memoryConfigurationByResource=I,this._freeze=A,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new R.ResourceMap,this._userConfiguration=null}getValue(t,r,c){return this.getConsolidateConfigurationModel(r,c).getValue(t)}updateValue(t,r,c={}){let d;c.resource?(d=this._memoryConfigurationByResource.get(c.resource),d||(d=new g,this._memoryConfigurationByResource.set(c.resource,d))):d=this._memoryConfiguration,r===void 0?d.removeValue(t):d.setValue(t,r),c.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(t,r,c){const d=this.getConsolidateConfigurationModel(r,c),u=this.getFolderConfigurationModelForResource(r.resource,c),m=r.resource?this._memoryConfigurationByResource.get(r.resource)||this._memoryConfiguration:this._memoryConfiguration,I=r.overrideIdentifier?this._defaultConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this._defaultConfiguration.freeze().getValue(t),A=r.overrideIdentifier?this.userConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.userConfiguration.freeze().getValue(t),F=r.overrideIdentifier?this.localUserConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.localUserConfiguration.freeze().getValue(t),N=r.overrideIdentifier?this.remoteUserConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.remoteUserConfiguration.freeze().getValue(t),$=c?r.overrideIdentifier?this._workspaceConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this._workspaceConfiguration.freeze().getValue(t):void 0,z=u?r.overrideIdentifier?u.freeze().override(r.overrideIdentifier).getValue(t):u.freeze().getValue(t):void 0,x=r.overrideIdentifier?m.override(r.overrideIdentifier).getValue(t):m.getValue(t),te=d.getValue(t),Z=L.distinct(L.flatten(d.overrides.map(C=>C.identifiers))).filter(C=>d.getOverrideValue(t,C)!==void 0);return{defaultValue:I,userValue:A,userLocalValue:F,userRemoteValue:N,workspaceValue:$,workspaceFolderValue:z,memoryValue:x,value:te,default:I!==void 0?{value:this._defaultConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,user:A!==void 0?{value:this.userConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,userLocal:F!==void 0?{value:this.localUserConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,userRemote:N!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,workspace:$!==void 0?{value:this._workspaceConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,workspaceFolder:z!==void 0?{value:u==null?void 0:u.freeze().getValue(t),override:r.overrideIdentifier?u==null?void 0:u.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,memory:x!==void 0?{value:m.getValue(t),override:r.overrideIdentifier?m.getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,overrideIdentifiers:Z.length?Z:void 0}}keys(t){const r=this.getFolderConfigurationModelForResource(void 0,t);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:r?r.freeze().keys:[]}}updateDefaultConfiguration(t){this._defaultConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(t){this._localUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(t){this._remoteUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(t){this._workspaceConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(t,r){this._folderConfigurations.set(t,r),this._foldersConsolidatedConfigurations.delete(t)}deleteFolderConfiguration(t){this.folderConfigurations.delete(t),this._foldersConsolidatedConfigurations.delete(t)}compareAndUpdateDefaultConfiguration(t,r){const c=r.filter(d=>y.OVERRIDE_PROPERTY_PATTERN.test(d)).map(d=>{const u=y.overrideIdentifierFromKey(d),m=this._defaultConfiguration.getKeysForOverrideIdentifier(u),I=t.getKeysForOverrideIdentifier(u),A=[...I.filter(F=>m.indexOf(F)===-1),...m.filter(F=>I.indexOf(F)===-1),...m.filter(F=>!M.equals(this._defaultConfiguration.override(u).getValue(F),t.override(u).getValue(F)))];return[u,A]});return this.updateDefaultConfiguration(t),{keys:r,overrides:c}}compareAndUpdateLocalUserConfiguration(t){const{added:r,updated:c,removed:d,overrides:u}=i.compare(this.localUserConfiguration,t),m=[...r,...c,...d];return m.length&&this.updateLocalUserConfiguration(t),{keys:m,overrides:u}}compareAndUpdateRemoteUserConfiguration(t){const{added:r,updated:c,removed:d,overrides:u}=i.compare(this.remoteUserConfiguration,t);let m=[...r,...c,...d];return m.length&&this.updateRemoteUserConfiguration(t),{keys:m,overrides:u}}compareAndUpdateWorkspaceConfiguration(t){const{added:r,updated:c,removed:d,overrides:u}=i.compare(this.workspaceConfiguration,t);let m=[...r,...c,...d];return m.length&&this.updateWorkspaceConfiguration(t),{keys:m,overrides:u}}compareAndUpdateFolderConfiguration(t,r){const c=this.folderConfigurations.get(t),{added:d,updated:u,removed:m,overrides:I}=i.compare(c,r);let A=[...d,...u,...m];return(A.length||!c)&&this.updateFolderConfiguration(t,r),{keys:A,overrides:I}}compareAndDeleteFolderConfiguration(t){const r=this.folderConfigurations.get(t);if(!r)throw new Error("Unknown folder");this.deleteFolderConfiguration(t);const{added:c,updated:d,removed:u,overrides:m}=i.compare(r,void 0);return{keys:[...c,...d,...u],overrides:m}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(t,r){let c=this.getConsolidatedConfigurationModelForResource(t,r);return t.overrideIdentifier?c.override(t.overrideIdentifier):c}getConsolidatedConfigurationModelForResource({resource:t},r){let c=this.getWorkspaceConsolidatedConfiguration();if(r&&t){const d=r.getFolder(t);d&&(c=this.getFolderConsolidatedConfiguration(d.uri)||c);const u=this._memoryConfigurationByResource.get(t);u&&(c=c.merge(u))}return c}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(t){let r=this._foldersConsolidatedConfigurations.get(t);if(!r){const c=this.getWorkspaceConsolidatedConfiguration(),d=this._folderConfigurations.get(t);d?(r=c.merge(d),this._freeze&&(r=r.freeze()),this._foldersConsolidatedConfigurations.set(t,r)):r=c}return r}getFolderConfigurationModelForResource(t,r){if(r&&t){const c=r.getFolder(t);if(c)return this._folderConfigurations.get(c.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((t,r)=>{const{contents:c,overrides:d,keys:u}=this._folderConfigurations.get(r);return t.push([r,{contents:c,overrides:d,keys:u}]),t},[])}}allKeys(){const t=new Set;return this._defaultConfiguration.freeze().keys.forEach(r=>t.add(r)),this.userConfiguration.freeze().keys.forEach(r=>t.add(r)),this._workspaceConfiguration.freeze().keys.forEach(r=>t.add(r)),this._folderConfigurations.forEach(r=>r.freeze().keys.forEach(c=>t.add(c))),[...t.values()]}getAllKeysForOverrideIdentifier(t){const r=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(t).forEach(c=>r.add(c)),this.userConfiguration.getKeysForOverrideIdentifier(t).forEach(c=>r.add(c)),this._workspaceConfiguration.getKeysForOverrideIdentifier(t).forEach(c=>r.add(c)),this._folderConfigurations.forEach(c=>c.getKeysForOverrideIdentifier(t).forEach(d=>r.add(d))),[...r.values()]}static parse(t){const r=this.parseConfigurationModel(t.defaults),c=this.parseConfigurationModel(t.user),d=this.parseConfigurationModel(t.workspace),u=t.folders.reduce((m,I)=>(m.set(n.URI.revive(I[0]),this.parseConfigurationModel(I[1])),m),new R.ResourceMap);return new p(r,c,new g,d,u,new g,new R.ResourceMap,!1)}static parseConfigurationModel(t){return new g(t.contents,t.keys,t.overrides).freeze()}}e.Configuration=p;function s(...l){if(l.length===0)return{keys:[],overrides:[]};if(l.length===1)return l[0];const t=new Set,r=new Map;for(const d of l)d.keys.forEach(u=>t.add(u)),d.overrides.forEach(([u,m])=>{const I=R.getOrSet(r,u,new Set);m.forEach(A=>I.add(A))});const c=[];return r.forEach((d,u)=>c.push([u,[...d.values()]])),{keys:[...t.values()],overrides:c}}e.mergeChanges=s;class o{constructor(t,r,c,d){this.change=t,this.previous=r,this.currentConfiguraiton=c,this.currentWorkspace=d,this._previousConfiguration=void 0;const u=new Set;t.keys.forEach(I=>u.add(I)),t.overrides.forEach(([,I])=>I.forEach(A=>u.add(A))),this.affectedKeys=[...u.values()];const m=new g;this.affectedKeys.forEach(I=>m.setValue(I,{})),this.affectedKeysTree=m.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=p.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(t,r){var c;if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,t)){if(r){const d=this.previousConfiguration?this.previousConfiguration.getValue(t,r,(c=this.previous)===null||c===void 0?void 0:c.workspace):void 0,u=this.currentConfiguraiton.getValue(t,r,this.currentWorkspace);return!M.equals(d,u)}return!0}return!1}doesAffectedKeysTreeContains(t,r){let c=i.toValuesTree({[r]:!0},()=>{}),d;for(;typeof c=="object"&&(d=Object.keys(c)[0]);){if(t=t[d],!t)return!1;c=c[d]}return!0}}e.ConfigurationChangeEvent=o;class a extends o{constructor(t,r,c,d){super({keys:t.allKeys(),overrides:[]},void 0,t,r);this.source=c,this.sourceConfig=d}}e.AllKeysConfigurationChangeEvent=a}),define(Y[180],J([0,1,36,46,2,18,179,3,9,15]),function(H,e,v,R,L,E,M,n,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ConfigurationService=void 0;class k extends L.Disposable{constructor(b,g){super();this.settingsResource=b,this._onDidChangeConfiguration=this._register(new n.Emitter),this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this.userConfiguration=this._register(new M.UserSettings(this.settingsResource,void 0,i.extUriBiasedIgnorePathCase,g)),this.configuration=new M.Configuration(new M.DefaultConfigurationModel,new M.ConfigurationModel),this.reloadConfigurationScheduler=this._register(new y.RunOnceScheduler(()=>this.reloadConfiguration(),50)),this._register(v.Registry.as(R.Extensions.Configuration).onDidUpdateConfiguration(h=>this.onDidDefaultConfigurationChange(h))),this._register(this.userConfiguration.onDidChange(()=>this.reloadConfigurationScheduler.schedule()))}async initialize(){const b=await this.userConfiguration.loadConfiguration();this.configuration=new M.Configuration(new M.DefaultConfigurationModel,b)}getConfigurationData(){return this.configuration.toData()}getValue(b,g){const h=typeof b=="string"?b:void 0,w=E.isConfigurationOverrides(b)?b:E.isConfigurationOverrides(g)?g:{};return this.configuration.getValue(h,w,void 0)}updateValue(b,g,h,w){return Promise.reject(new Error("not supported"))}inspect(b){return this.configuration.inspect(b,{},void 0)}keys(){return this.configuration.keys(void 0)}async reloadConfiguration(){const b=await this.userConfiguration.loadConfiguration();this.onDidChangeUserConfiguration(b)}onDidChangeUserConfiguration(b){const g=this.configuration.toData(),h=this.configuration.compareAndUpdateLocalUserConfiguration(b);this.trigger(h,g,1)}onDidDefaultConfigurationChange(b){const g=this.configuration.toData(),h=this.configuration.compareAndUpdateDefaultConfiguration(new M.DefaultConfigurationModel,b);this.trigger(h,g,6)}trigger(b,g,h){const w=new M.ConfigurationChangeEvent(b,{data:g},this.configuration);w.source=h,w.sourceConfig=this.getTargetConfiguration(h),this._onDidChangeConfiguration.fire(w)}getTargetConfiguration(b){switch(b){case 6:return this.configuration.defaults.contents;case 1:return this.configuration.localUserConfiguration.contents}return{}}}e.ConfigurationService=k}),define(Y[181],J([0,1,5]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=v.createDecorator("remoteAuthorityResolverService");var R;(function(E){E.Unknown="Unknown",E.NotAvailable="NotAvailable",E.TemporarilyNotAvailable="TemporarilyNotAvailable",E.NoResolverFound="NoResolverFound"})(R=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class L extends Error{constructor(M,n=R.Unknown,y){super(M);this._message=M,this._code=n,this._detail=y,this.isHandled=n===R.NotAvailable&&y===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,L.prototype)}static isTemporarilyNotAvailable(M){return M instanceof L&&M._code===R.TemporarilyNotAvailable}static isNoResolverFound(M){return M instanceof L&&M._code===R.NoResolverFound}static isHandled(M){return M instanceof L&&M.isHandled}}e.RemoteAuthorityResolverError=L}),define(Y[182],J([0,1,80,30,2,22,3,181,20,9,25]),function(H,e,v,R,L,E,M,n,y,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostPersistentConnection=e.ManagementPersistentConnection=e.ReconnectionPermanentFailureEvent=e.ConnectionGainEvent=e.ReconnectionRunningEvent=e.ReconnectionWaitEvent=e.ConnectionLostEvent=e.PersistentConnectionEventType=e.connectRemoteAgentTunnel=e.connectRemoteAgentExtensionHost=e.connectRemoteAgentManagement=e.ConnectionType=void 0;const f=120*1e3,b=30*1e3;var g;(function(O){O[O.Management=1]="Management",O[O.ExtensionHost=2]="ExtensionHost",O[O.Tunnel=3]="Tunnel"})(g=e.ConnectionType||(e.ConnectionType={}));function h(O){switch(O){case 1:return"Management";case 2:return"ExtensionHost";case 3:return"Tunnel"}}function w(O){const B=new k.CancellationTokenSource;return setTimeout(()=>B.cancel(),O),B.token}function S(O,B){if(O.isCancellationRequested||B.isCancellationRequested)return k.CancellationToken.Cancelled;const j=new k.CancellationTokenSource;return O.onCancellationRequested(()=>j.cancel()),B.onCancellationRequested(()=>j.cancel()),j.token}class p{constructor(B){this._state="pending",this._disposables=new L.DisposableStore,this.promise=new Promise((j,V)=>{this._resolvePromise=j,this._rejectPromise=V}),B.isCancellationRequested?this._timeout():this._disposables.add(B.onCancellationRequested(()=>this._timeout()))}get didTimeout(){return this._state==="timedout"}registerDisposable(B){this._state==="pending"?this._disposables.add(B):B.dispose()}_timeout(){this._state==="pending"&&(this._disposables.dispose(),this._state="timedout",this._rejectPromise(this._createTimeoutError()))}_createTimeoutError(){const B=new Error("Time limit reached");return B.code="ETIMEDOUT",B.syscall="connect",B}resolve(B){this._state==="pending"&&(this._disposables.dispose(),this._state="resolved",this._resolvePromise(B))}reject(B){this._state==="pending"&&(this._disposables.dispose(),this._state="rejected",this._rejectPromise(B))}}function s(O,B){const j=new p(B);return j.registerDisposable(O.onControlMessage(V=>{const K=JSON.parse(V.toString()),ee=W(K);ee?j.reject(ee):j.resolve(K)})),j.promise}function o(O,B,j,V,K,ee){const Q=new p(ee);return B.connect(j,V,K,(re,se)=>{Q.didTimeout?(re&&O.error(re),se==null||se.dispose()):re||!se?Q.reject(re):Q.resolve(se)}),Q.promise}function a(O,B){const j=new p(B);return O.then(V=>{j.didTimeout||j.resolve(V)},V=>{j.didTimeout||j.reject(V)}),j.promise}async function l(O,B,j,V){const K=_(O,B);O.logService.trace(`${K} 1/6. invoking socketFactory.connect().`);let ee;try{ee=await o(O.logService,O.socketFactory,O.host,O.port,`reconnectionToken=${O.reconnectionToken}&reconnection=${O.reconnectionProtocol?"true":"false"}`,V)}catch(ge){throw O.logService.error(`${K} socketFactory.connect() failed or timed out. Error:`),O.logService.error(ge),ge}O.logService.trace(`${K} 2/6. socketFactory.connect() was successful.`);let Q,re;O.reconnectionProtocol?(O.reconnectionProtocol.beginAcceptReconnection(ee,null),Q=O.reconnectionProtocol,re=!1):(Q=new v.PersistentProtocol(ee,null),re=!0),O.logService.trace(`${K} 3/6. sending AuthRequest control message.`);const se={type:"auth",auth:O.connectionToken||"00000000000000000000"};Q.sendControl(E.VSBuffer.fromString(JSON.stringify(se)));try{const ge=await s(Q,S(V,w(1e4)));if(ge.type!=="sign"||typeof ge.data!="string"){const me=new Error("Unexpected handshake message");throw me.code="VSCODE_CONNECTION_ERROR",me}O.logService.trace(`${K} 4/6. received SignRequest control message.`);const le=await a(O.signService.sign(ge.data),V),he={type:"connectionType",commit:O.commit,signedData:le,desiredConnectionType:B};return j&&(he.args=j),O.logService.trace(`${K} 5/6. sending ConnectionTypeRequest control message.`),Q.sendControl(E.VSBuffer.fromString(JSON.stringify(he))),{protocol:Q,ownsProtocol:re}}catch(ge){throw ge&&ge.code==="ETIMEDOUT"&&(O.logService.error(`${K} the handshake timed out. Error:`),O.logService.error(ge)),ge&&ge.code==="VSCODE_CONNECTION_ERROR"&&(O.logService.error(`${K} received error control message when negotiating connection. Error:`),O.logService.error(ge)),re&&U(Q),ge}}async function t(O,B,j,V){const K=Date.now(),ee=_(O,B),{protocol:Q,ownsProtocol:re}=await l(O,B,j,V),se=new p(V);return se.registerDisposable(Q.onControlMessage(ge=>{const le=JSON.parse(ge.toString()),he=W(le);he?(O.logService.error(`${ee} received error control message when negotiating connection. Error:`),O.logService.error(he),re&&U(Q),se.reject(he)):(O.reconnectionProtocol&&O.reconnectionProtocol.endAcceptReconnection(),O.logService.trace(`${ee} 6/6. handshake finished, connection is up and running after ${T(K)}!`),se.resolve({protocol:Q,firstMessage:le}))})),se.promise}async function r(O,B){const{protocol:j}=await t(O,1,void 0,B);return{protocol:j}}async function c(O,B,j){const{protocol:V,firstMessage:K}=await t(O,2,B,j),ee=K&&K.debugPort;return{protocol:V,debugPort:ee}}async function d(O,B,j){const V=Date.now(),K=_(O,3),{protocol:ee}=await l(O,3,B,j);return O.logService.trace(`${K} 6/6. handshake finished, connection is up and running after ${T(V)}!`),ee}async function u(O,B,j){const{host:V,port:K,connectionToken:ee}=await O.addressProvider.getAddress();return{commit:O.commit,host:V,port:K,connectionToken:ee,reconnectionToken:B,reconnectionProtocol:j,socketFactory:O.socketFactory,signService:O.signService,logService:O.logService}}async function m(O,B,j){try{const V=R.generateUuid(),K=await u(O,V,null),{protocol:ee}=await r(K,w(f));return new X(O,B,j,V,ee)}catch(V){throw O.logService.error("[remote-connection] An error occurred in the very first connect attempt, it will be treated as a permanent error! Error:"),O.logService.error(V),C.triggerPermanentFailure(0,0,n.RemoteAuthorityResolverError.isHandled(V)),V}}e.connectRemoteAgentManagement=m;async function I(O,B){try{const j=R.generateUuid(),V=await u(O,j,null),{protocol:K,debugPort:ee}=await c(V,B,w(f));return new G(O,B,j,K,ee)}catch(j){throw O.logService.error("[remote-connection] An error occurred in the very first connect attempt, it will be treated as a permanent error! Error:"),O.logService.error(j),C.triggerPermanentFailure(0,0,n.RemoteAuthorityResolverError.isHandled(j)),j}}e.connectRemoteAgentExtensionHost=I;async function A(O,B){const j=await u(O,R.generateUuid(),null);return await d(j,{port:B},w(f))}e.connectRemoteAgentTunnel=A;function F(O){return i.createCancelablePromise(B=>new Promise((j,V)=>{const K=setTimeout(j,O*1e3);B.onCancellationRequested(()=>{clearTimeout(K),j()})}))}var N;(function(O){O[O.ConnectionLost=0]="ConnectionLost",O[O.ReconnectionWait=1]="ReconnectionWait",O[O.ReconnectionRunning=2]="ReconnectionRunning",O[O.ReconnectionPermanentFailure=3]="ReconnectionPermanentFailure",O[O.ConnectionGain=4]="ConnectionGain"})(N=e.PersistentConnectionEventType||(e.PersistentConnectionEventType={}));class ${constructor(B,j){this.reconnectionToken=B,this.millisSinceLastIncomingData=j,this.type=0}}e.ConnectionLostEvent=$;class z{constructor(B,j,V,K){this.reconnectionToken=B,this.millisSinceLastIncomingData=j,this.durationSeconds=V,this.cancellableTimer=K,this.type=1}skipWait(){this.cancellableTimer.cancel()}}e.ReconnectionWaitEvent=z;class x{constructor(B,j,V){this.reconnectionToken=B,this.millisSinceLastIncomingData=j,this.attempt=V,this.type=2}}e.ReconnectionRunningEvent=x;class te{constructor(B,j,V){this.reconnectionToken=B,this.millisSinceLastIncomingData=j,this.attempt=V,this.type=4}}e.ConnectionGainEvent=te;class Z{constructor(B,j,V,K){this.reconnectionToken=B,this.millisSinceLastIncomingData=j,this.attempt=V,this.handled=K,this.type=3}}e.ReconnectionPermanentFailureEvent=Z;class C extends L.Disposable{constructor(B,j,V,K){super();this._connectionType=B,this._onDidStateChange=this._register(new M.Emitter),this.onDidStateChange=this._onDidStateChange.event,this._options=j,this.reconnectionToken=V,this.protocol=K,this._isReconnecting=!1,this._onDidStateChange.fire(new te(this.reconnectionToken,0,0)),this._register(K.onSocketClose(()=>this._beginReconnecting())),this._register(K.onSocketTimeout(()=>this._beginReconnecting())),C._instances.push(this),C._permanentFailure&&this._gotoPermanentFailure(C._permanentFailureMillisSinceLastIncomingData,C._permanentFailureAttempt,C._permanentFailureHandled)}static triggerPermanentFailure(B,j,V){this._permanentFailure=!0,this._permanentFailureMillisSinceLastIncomingData=B,this._permanentFailureAttempt=j,this._permanentFailureHandled=V,this._instances.forEach(K=>K._gotoPermanentFailure(this._permanentFailureMillisSinceLastIncomingData,this._permanentFailureAttempt,this._permanentFailureHandled))}async _beginReconnecting(){if(!this._isReconnecting)try{this._isReconnecting=!0,await this._runReconnectingLoop()}finally{this._isReconnecting=!1}}async _runReconnectingLoop(){if(!C._permanentFailure){const B=P(this._connectionType,this.reconnectionToken,!0);this._options.logService.info(`${B} starting reconnecting loop. You can get more information with the trace log level.`),this._onDidStateChange.fire(new $(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData()));const j=[0,5,5,10,10,10,10,10,30],V=Date.now();let K=-1;do{K++;const ee=K<j.length?j[K]:j[j.length-1];try{if(ee>0){const re=F(ee);this._onDidStateChange.fire(new z(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),ee,re)),this._options.logService.info(`${B} waiting for ${ee} seconds before reconnecting...`);try{await re}catch(se){}}if(C._permanentFailure){this._options.logService.error(`${B} permanent failure occurred while running the reconnecting loop.`);break}this._onDidStateChange.fire(new x(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),K+1)),this._options.logService.info(`${B} resolving connection...`);const Q=await u(this._options,this.reconnectionToken,this.protocol);this._options.logService.info(`${B} connecting to ${Q.host}:${Q.port}...`),await this._reconnect(Q,w(b)),this._options.logService.info(`${B} reconnected!`),this._onDidStateChange.fire(new te(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),K+1));break}catch(Q){if(Q.code==="VSCODE_CONNECTION_ERROR"){this._options.logService.error(`${B} A permanent error occurred in the reconnecting loop! Will give up now! Error:`),this._options.logService.error(Q),C.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),K+1,!1);break}if(Date.now()-V>108e5){this._options.logService.error(`${B} An error occurred while reconnecting, but it will be treated as a permanent error because the reconnection grace time has expired! Will give up now! Error:`),this._options.logService.error(Q),C.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),K+1,!1);break}if(n.RemoteAuthorityResolverError.isTemporarilyNotAvailable(Q)){this._options.logService.info(`${B} A temporarily not available error occurred while trying to reconnect, will try again...`),this._options.logService.trace(Q);continue}if((Q.code==="ETIMEDOUT"||Q.code==="ENETUNREACH"||Q.code==="ECONNREFUSED"||Q.code==="ECONNRESET")&&Q.syscall==="connect"){this._options.logService.info(`${B} A network error occurred while trying to reconnect, will try again...`),this._options.logService.trace(Q);continue}if(y.isPromiseCanceledError(Q)){this._options.logService.info(`${B} A promise cancelation error occurred while trying to reconnect, will try again...`),this._options.logService.trace(Q);continue}if(Q instanceof n.RemoteAuthorityResolverError){this._options.logService.error(`${B} A RemoteAuthorityResolverError occurred while trying to reconnect. Will give up now! Error:`),this._options.logService.error(Q),C.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),K+1,n.RemoteAuthorityResolverError.isHandled(Q));break}this._options.logService.error(`${B} An unknown error occurred while trying to reconnect, since this is an unknown case, it will be treated as a permanent error! Will give up now! Error:`),this._options.logService.error(Q),C.triggerPermanentFailure(this.protocol.getMillisSinceLastIncomingData(),K+1,!1);break}}while(!C._permanentFailure)}}_gotoPermanentFailure(B,j,V){this._onDidStateChange.fire(new Z(this.reconnectionToken,B,j,V)),U(this.protocol)}}C._permanentFailure=!1,C._permanentFailureMillisSinceLastIncomingData=0,C._permanentFailureAttempt=0,C._permanentFailureHandled=!1,C._instances=[];class X extends C{constructor(B,j,V,K,ee){super(1,B,K,ee);this.client=this._register(new v.Client(ee,{remoteAuthority:j,clientId:V},B.ipcLogger))}async _reconnect(B,j){await r(B,j)}}e.ManagementPersistentConnection=X;class G extends C{constructor(B,j,V,K,ee){super(2,B,V,K);this._startArguments=j,this.debugPort=ee}async _reconnect(B,j){await c(B,this._startArguments,j)}}e.ExtensionHostPersistentConnection=G;function U(O){try{O.acceptDisconnect();const B=O.getSocket();O.dispose(),B.dispose()}catch(B){y.onUnexpectedError(B)}}function W(O){if(O&&O.type==="error"){const B=new Error(`Connection error: ${O.reason}`);return B.code="VSCODE_CONNECTION_ERROR",B}return null}function D(O,B){for(;O.length<B;)O+=" ";return O}function P(O,B,j){return`[remote-connection][${D(h(O),13)}][${B.substr(0,5)}\u2026][${j?"reconnect":"initial"}]`}function _(O,B){return`${P(B,O.reconnectionToken,!!O.reconnectionProtocol)}[${O.host}:${O.port}]`}function T(O){return`${Date.now()-O} ms`}}),define(Y[91],J([0,1,10]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getRemoteName=e.getRemoteAuthority=void 0;function R(E){return E.scheme===v.Schemas.vscodeRemote?E.authority:void 0}e.getRemoteAuthority=R;function L(E){if(!!E){const M=E.indexOf("+");return M<0?E:E.substr(0,M)}}e.getRemoteName=L}),define(Y[54],J([0,1,3,4,5,6]),function(H,e,v,R,L,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractTunnelService=e.isPortPrivileged=e.isAllInterfaces=e.ALL_INTERFACES_ADDRESSES=e.isLocalhost=e.LOCALHOST_ADDRESSES=e.extractLocalHostUriMetaDataForPortMapping=e.ITunnelService=void 0,e.ITunnelService=L.createDecorator("tunnelService");function M(f){if(!(f.scheme!=="http"&&f.scheme!=="https")){const b=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(f.authority);if(!!b)return{address:b[1],port:+b[2]}}}e.extractLocalHostUriMetaDataForPortMapping=M,e.LOCALHOST_ADDRESSES=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function n(f){return e.LOCALHOST_ADDRESSES.indexOf(f)>=0}e.isLocalhost=n,e.ALL_INTERFACES_ADDRESSES=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function y(f){return e.ALL_INTERFACES_ADDRESSES.indexOf(f)>=0}e.isAllInterfaces=y;function i(f,b){return b?b!==1&&f<1024:!R.isWindows&&f<1024}e.isPortPrivileged=i;let k=class{constructor(b){this.logService=b,this._onTunnelOpened=new v.Emitter,this.onTunnelOpened=this._onTunnelOpened.event,this._onTunnelClosed=new v.Emitter,this.onTunnelClosed=this._onTunnelClosed.event,this._tunnels=new Map,this._canElevate=!1,this._canMakePublic=!1}setTunnelProvider(b,g){return this._tunnelProvider=b,b?(this._canElevate=g.elevation,this._canMakePublic=g.public,{dispose:()=>{this._tunnelProvider=void 0,this._canElevate=!1,this._canMakePublic=!1}}):(this._canElevate=!1,this._canMakePublic=!1,{dispose:()=>{}})}get canElevate(){return this._canElevate}get canMakePublic(){return this._canMakePublic}get tunnels(){return new Promise(async b=>{const g=[],h=Array.from(this._tunnels.values());for(let w of h){const S=Array.from(w.values());for(let p of S){const s=await p.value;s&&g.push(s)}}b(g)})}async dispose(){for(const b of this._tunnels.values()){for(const{value:g}of b.values())await g.then(h=>h==null?void 0:h.dispose());b.clear()}this._tunnels.clear()}openTunnel(b,g,h,w,S=!1,p=!1){if(this.logService.trace(`openTunnel request for ${g}:${h} on local port ${w}.`),!!b){g||(g="localhost");const s=this.retainOrCreateTunnel(b,g,h,w,S,p);return s?s.then(o=>{if(!o){this.logService.trace("New tunnel is undefined."),this.removeEmptyTunnelFromMap(g,h);return}this.logService.trace("New tunnel established.");const a=this.makeTunnel(o);return(o.tunnelRemoteHost!==g||o.tunnelRemotePort!==h)&&this.logService.warn("Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),this._onTunnelOpened.fire(a),a}):(this.logService.trace("Tunnel was not created."),s)}}makeTunnel(b){return{tunnelRemotePort:b.tunnelRemotePort,tunnelRemoteHost:b.tunnelRemoteHost,tunnelLocalPort:b.tunnelLocalPort,localAddress:b.localAddress,public:b.public,dispose:async()=>{const g=this._tunnels.get(b.tunnelRemoteHost);if(g){const h=g.get(b.tunnelRemotePort);h&&(h.refcount--,await this.tryDisposeTunnel(b.tunnelRemoteHost,b.tunnelRemotePort,h))}}}}async tryDisposeTunnel(b,g,h){if(h.refcount<=0){this.logService.trace(`Tunnel is being disposed ${b}:${g}.`);const w=h.value.then(async S=>{S&&(await S.dispose(!0),this._onTunnelClosed.fire({host:S.tunnelRemoteHost,port:S.tunnelRemotePort}))});return this._tunnels.has(b)&&this._tunnels.get(b).delete(g),w}}async closeTunnel(b,g){const h=this._tunnels.get(b);if(h&&h.has(g)){const w=h.get(g);w.refcount=0,await this.tryDisposeTunnel(b,g,w)}}addTunnelToMap(b,g,h){this._tunnels.has(b)||this._tunnels.set(b,new Map),this._tunnels.get(b).set(g,{refcount:1,value:h})}async removeEmptyTunnelFromMap(b,g){const h=this._tunnels.get(b);h&&(await h.get(g)||h.delete(g),h.size===0&&this._tunnels.delete(b))}getTunnelFromMap(b,g){let h=[b];n(b)?(h.push(...e.LOCALHOST_ADDRESSES),h.push(...e.ALL_INTERFACES_ADDRESSES)):y(b)&&h.push(...e.ALL_INTERFACES_ADDRESSES);const w=h.map(S=>this._tunnels.get(S));for(const S of w){const p=S==null?void 0:S.get(g);if(p)return p}}canTunnel(b){return!!M(b)}createWithProvider(b,g,h,w,S,p){this.logService.trace(`Creating tunnel with provider ${g}:${h} on local port ${w}.`);const o={elevationRequired:S?i(w===void 0?h:w):!1},a={remoteAddress:{host:g,port:h},localAddressPort:w,public:p},l=b.forwardPort(a,o);return this.logService.trace("Tunnel created by provider."),l&&this.addTunnelToMap(g,h,l),l}};k=ue([ie(0,E.ILogService)],k),e.AbstractTunnelService=k}),define(Y[39],J([0,1,141,5,46,36,22]),function(H,e,v,R,L,E,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.asJson=e.asText=e.isSuccess=e.IRequestService=void 0,e.IRequestService=R.createDecorator("requestService");function n(f){return f.res.statusCode&&f.res.statusCode>=200&&f.res.statusCode<300||f.res.statusCode===1223}e.isSuccess=n;function y(f){return f.res.statusCode===204}async function i(f){if(!n(f))throw new Error("Server returned "+f.res.statusCode);return y(f)?null:(await M.streamToBuffer(f.stream)).toString()}e.asText=i;async function k(f){if(!n(f))throw new Error("Server returned "+f.res.statusCode);if(y(f))return null;const g=(await M.streamToBuffer(f.stream)).toString();try{return JSON.parse(g)}catch(h){throw h.message+=`:
`+g,h}}e.asJson=k,E.Registry.as(L.Extensions.Configuration).registerConfiguration({id:"http",order:15,title:v.localize(0,null),type:"object",properties:{"http.proxy":{type:"string",pattern:"^https?://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:v.localize(1,null)},"http.proxyStrictSSL":{type:"boolean",default:!0,description:v.localize(2,null)},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:v.localize(3,null)},"http.proxySupport":{type:"string",enum:["off","on","override"],enumDescriptions:[v.localize(4,null),v.localize(5,null),v.localize(6,null)],default:"override",description:v.localize(7,null)},"http.systemCertificates":{type:"boolean",default:!0,description:v.localize(8,null)}}})}),define(Y[183],J([0,1,184,13]),function(H,e,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getProxyAgent=void 0;function L(M){return M.protocol==="http:"?process.env.HTTP_PROXY||process.env.http_proxy||null:M.protocol==="https:"&&(process.env.HTTPS_PROXY||process.env.https_proxy||process.env.HTTP_PROXY||process.env.http_proxy)||null}async function E(M,n={}){const y=v.parse(M),i=n.proxyUrl||L(y);if(!i)return null;const k=v.parse(i);if(!/^https?:$/.test(k.protocol||""))return null;const f={host:k.hostname||"",port:k.port||(k.protocol==="https"?"443":"80"),auth:k.auth,rejectUnauthorized:R.isBoolean(n.strictSSL)?n.strictSSL:!0};return y.protocol==="http:"?new(await new Promise((b,g)=>{H(["http-proxy-agent"],b,g)}))(f):new(await new Promise((b,g)=>{H(["https-proxy-agent"],b,g)}))(f)}e.getProxyAgent=E}),define(Y[185],J([0,1,30,22]),function(H,e,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getServiceMachineId=void 0;async function L(E,M,n){let y=n&&n.get("storage.serviceMachineId",0)||null;if(y)return y;try{const k=(await M.readFile(E.serviceMachineIdResource)).value.toString();y=v.isUUID(k)?k:null}catch(i){y=null}if(!y){y=v.generateUuid();try{await M.writeFile(E.serviceMachineIdResource,R.VSBuffer.fromString(y))}catch(i){}}return n&&n.store("storage.serviceMachineId",y,0,1),y}e.getServiceMachineId=L}),define(Y[92],J([0,1,5]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ISignService=e.SIGN_SERVICE_ID=void 0,e.SIGN_SERVICE_ID="signService",e.ISignService=v.createDecorator(e.SIGN_SERVICE_ID)}),define(Y[186],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SignService=void 0;class v{vsda(){return new Promise((L,E)=>H(["vsda"],L,E))}async sign(L){try{const E=await this.vsda(),M=new E.signer;if(M)return M.sign(L)}catch(E){}return L}}e.SignService=v}),define(Y[37],J([0,1,5]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IStateService=void 0,e.IStateService=v.createDecorator("stateService")}),define(Y[19],J([0,1,11,6,37,3,5,167,4,2,9,13]),function(H,e,v,R,L,E,M,n,y,i,k,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LifecycleMainService=e.LifecycleMainPhase=e.UnloadReason=e.ILifecycleMainService=void 0,e.ILifecycleMainService=M.createDecorator("lifecycleMainService");var b;(function(w){w[w.CLOSE=1]="CLOSE",w[w.QUIT=2]="QUIT",w[w.RELOAD=3]="RELOAD",w[w.LOAD=4]="LOAD"})(b=e.UnloadReason||(e.UnloadReason={}));var g;(function(w){w[w.Starting=1]="Starting",w[w.Ready=2]="Ready",w[w.AfterWindowOpen=3]="AfterWindowOpen"})(g=e.LifecycleMainPhase||(e.LifecycleMainPhase={}));let h=class tt extends i.Disposable{constructor(S,p){super();this.logService=S,this.stateService=p,this._onBeforeShutdown=this._register(new E.Emitter),this.onBeforeShutdown=this._onBeforeShutdown.event,this._onWillShutdown=this._register(new E.Emitter),this.onWillShutdown=this._onWillShutdown.event,this._onWillLoadWindow=this._register(new E.Emitter),this.onWillLoadWindow=this._onWillLoadWindow.event,this._onBeforeCloseWindow=this._register(new E.Emitter),this.onBeforeCloseWindow=this._onBeforeCloseWindow.event,this._onBeforeUnloadWindow=this._register(new E.Emitter),this.onBeforeUnloadWindow=this._onBeforeUnloadWindow.event,this._quitRequested=!1,this._wasRestarted=!1,this._phase=1,this.windowToCloseRequest=new Set,this.oneTimeListenerTokenGenerator=0,this.windowCounter=0,this.pendingQuitPromise=null,this.pendingQuitPromiseResolve=null,this.pendingWillShutdownPromise=null,this.phaseWhen=new Map,this.handleRestarted(),this.when(2).then(()=>this.registerListeners())}get quitRequested(){return this._quitRequested}get wasRestarted(){return this._wasRestarted}get phase(){return this._phase}handleRestarted(){this._wasRestarted=!!this.stateService.getItem(tt.QUIT_FROM_RESTART_MARKER),this._wasRestarted&&this.stateService.removeItem(tt.QUIT_FROM_RESTART_MARKER)}registerListeners(){const S=()=>{this._quitRequested||(this.logService.trace("Lifecycle#app.on(before-quit)"),this._quitRequested=!0,this.logService.trace("Lifecycle#onBeforeShutdown.fire()"),this._onBeforeShutdown.fire(),y.isMacintosh&&this.windowCounter===0&&this.beginOnWillShutdown())};v.app.addListener("before-quit",S);const p=()=>{this.logService.trace("Lifecycle#app.on(window-all-closed)"),(this._quitRequested||!y.isMacintosh)&&v.app.quit()};v.app.addListener("window-all-closed",p),v.app.once("will-quit",s=>{this.logService.trace("Lifecycle#app.on(will-quit)"),s.preventDefault(),this.beginOnWillShutdown().finally(()=>{this.resolvePendingQuitPromise(!1),v.app.removeListener("before-quit",S),v.app.removeListener("window-all-closed",p),v.app.quit()})})}beginOnWillShutdown(){if(this.pendingWillShutdownPromise)return this.pendingWillShutdownPromise;this.logService.trace("Lifecycle#onWillShutdown.fire()");const S=[];return this._onWillShutdown.fire({join(p){p&&S.push(p)}}),this.pendingWillShutdownPromise=k.Promises.settled(S).then(()=>{},p=>this.logService.error(p)),this.pendingWillShutdownPromise}set phase(S){if(S<this.phase)throw new Error("Lifecycle cannot go backwards");if(this._phase!==S){this.logService.trace(`lifecycle (main): phase changed (value: ${S})`),this._phase=S;const p=this.phaseWhen.get(this._phase);p&&(p.open(),this.phaseWhen.delete(this._phase))}}async when(S){if(!(S<=this._phase)){let p=this.phaseWhen.get(S);p||(p=new k.Barrier,this.phaseWhen.set(S,p)),await p.wait()}}registerWindow(S){const p=new i.DisposableStore;this.windowCounter++,p.add(S.onWillLoad(o=>this._onWillLoadWindow.fire({window:S,workspace:o.workspace})));const s=f.assertIsDefined(S.win);s.on("close",o=>{const a=S.id;if(this.windowToCloseRequest.has(a)){this.windowToCloseRequest.delete(a);return}this.logService.trace(`Lifecycle#window.on('close') - window ID ${S.id}`),o.preventDefault(),this.unload(S,1).then(l=>{if(l){this.windowToCloseRequest.delete(a);return}this.windowToCloseRequest.add(a),this.logService.trace(`Lifecycle#onBeforeCloseWindow.fire() - window ID ${a}`),this._onBeforeCloseWindow.fire(S),S.close()})}),s.on("closed",()=>{this.logService.trace(`Lifecycle#window.on('closed') - window ID ${S.id}`),this.windowCounter--,p.dispose(),this.windowCounter===0&&(!y.isMacintosh||this._quitRequested)&&this.beginOnWillShutdown()})}async reload(S,p){await this.unload(S,3)||S.reload(p)}async unload(S,p){if(!S.isReady)return!1;this.logService.trace(`Lifecycle#unload() - window ID ${S.id}`);const s=this._quitRequested?2:p;let o=await this.onBeforeUnloadWindowInRenderer(S,s);return o?(this.logService.trace(`Lifecycle#unload() - veto in renderer (window ID ${S.id})`),this.handleWindowUnloadVeto(o)):(o=await this.onBeforeUnloadWindowInMain(S,s),o?(this.logService.trace(`Lifecycle#unload() - veto in main (window ID ${S.id})`),this.handleWindowUnloadVeto(o)):(this.logService.trace(`Lifecycle#unload() - no veto (window ID ${S.id})`),await this.onWillUnloadWindowInRenderer(S,s),!1))}handleWindowUnloadVeto(S){return S?(this.resolvePendingQuitPromise(!0),this._quitRequested=!1,!0):!1}resolvePendingQuitPromise(S){this.pendingQuitPromiseResolve&&(this.pendingQuitPromiseResolve(S),this.pendingQuitPromiseResolve=null,this.pendingQuitPromise=null)}onBeforeUnloadWindowInRenderer(S,p){return new Promise(s=>{const o=this.oneTimeListenerTokenGenerator++,a=`vscode:ok${o}`,l=`vscode:cancel${o}`;v.ipcMain.once(a,()=>{s(!1)}),v.ipcMain.once(l,()=>{s(!0)}),S.send("vscode:onBeforeUnload",{okChannel:a,cancelChannel:l,reason:p})})}onBeforeUnloadWindowInMain(S,p){const s=[];return this._onBeforeUnloadWindow.fire({reason:p,window:S,veto(o){s.push(o)}}),n.handleVetos(s,o=>this.logService.error(o))}onWillUnloadWindowInRenderer(S,p){return new Promise(s=>{const a=`vscode:reply${this.oneTimeListenerTokenGenerator++}`;v.ipcMain.once(a,()=>s()),S.send("vscode:onWillUnload",{replyChannel:a,reason:p})})}quit(S){return this.pendingQuitPromise?this.pendingQuitPromise:(this.logService.trace(`Lifecycle#quit() - from update: ${S}`),S&&this.stateService.setItem(tt.QUIT_FROM_RESTART_MARKER,!0),this.pendingQuitPromise=new Promise(p=>{this.pendingQuitPromiseResolve=p,this.logService.trace("Lifecycle#quit() - calling app.quit()"),v.app.quit()}),this.pendingQuitPromise)}relaunch(S){this.logService.trace("Lifecycle#relaunch()");const p=process.argv.slice(1);if((S==null?void 0:S.addArgs)&&p.push(...S.addArgs),S==null?void 0:S.removeArgs)for(const o of S.removeArgs){const a=p.indexOf(o);a>=0&&p.splice(a,1)}let s=!1;v.app.once("quit",()=>{if(!s){this.stateService.setItem(tt.QUIT_FROM_RESTART_MARKER,!0);try{if(y.isWindows){const o=process.env.VSCODE_CWD;o&&process.chdir(o)}}catch(o){this.logService.error(o)}this.logService.trace("Lifecycle#relaunch() - calling app.relaunch()"),v.app.relaunch({args:p})}}),this.quit().then(o=>s=o)}async kill(S){this.logService.trace("Lifecycle#kill()"),await Promise.race([k.timeout(1e3),(async()=>{for(const p of v.BrowserWindow.getAllWindows())if(p&&!p.isDestroyed()){let s;p.webContents&&!p.webContents.isDestroyed()?s=new Promise(o=>p.once("closed",o)):s=Promise.resolve(),p.destroy(),await s}})()]),v.app.exit(S)}};h.QUIT_FROM_RESTART_MARKER="quit.from.restart",h=ue([ie(0,R.ILogService),ie(1,L.IStateService)],h),e.LifecycleMainService=h}),define(Y[187],J([0,1,5,3,2,19]),function(H,e,v,R,L,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.KeyboardLayoutMainService=e.IKeyboardLayoutMainService=void 0,e.IKeyboardLayoutMainService=v.createDecorator("keyboardLayoutMainService");let M=class extends L.Disposable{constructor(i){super();this._onDidChangeKeyboardLayout=this._register(new R.Emitter),this.onDidChangeKeyboardLayout=this._onDidChangeKeyboardLayout.event,this._initPromise=null,this._keyboardLayoutData=null,i.when(3).then(()=>this._initialize())}_initialize(){return this._initPromise||(this._initPromise=this._doInitialize()),this._initPromise}async _doInitialize(){const i=await new Promise((k,f)=>{H(["native-keymap"],k,f)});this._keyboardLayoutData=n(i),i.onDidChangeKeyboardLayout(()=>{this._keyboardLayoutData=n(i),this._onDidChangeKeyboardLayout.fire(this._keyboardLayoutData)})}async getKeyboardLayoutData(){return await this._initialize(),this._keyboardLayoutData}};M=ue([ie(0,E.ILifecycleMainService)],M),e.KeyboardLayoutMainService=M;function n(y){const i=y.getKeyMap(),k=y.getCurrentKeyboardLayout();return{keyboardMapping:i,keyboardLayoutInfo:k}}}),define(Y[188],J([0,1,8,23,52,24,13,6]),function(H,e,v,R,L,E,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StateService=e.FileStorage=void 0;class y{constructor(f,b){this.dbPath=f,this.onError=b,this._database=null,this.lastFlushedSerializedDatabase=null}get database(){return this._database||(this._database=this.loadSync()),this._database}async init(){if(!this._database){const f=await this.loadAsync();this._database||(this._database=f)}}loadSync(){try{return this.lastFlushedSerializedDatabase=R.readFileSync(this.dbPath).toString(),JSON.parse(this.lastFlushedSerializedDatabase)}catch(f){return f.code!=="ENOENT"&&this.onError(f),{}}}async loadAsync(){try{return this.lastFlushedSerializedDatabase=(await R.promises.readFile(this.dbPath)).toString(),JSON.parse(this.lastFlushedSerializedDatabase)}catch(f){return f.code!=="ENOENT"&&this.onError(f),{}}}getItem(f,b){const g=this.database[f];return M.isUndefinedOrNull(g)?b:g}setItem(f,b){if(M.isUndefinedOrNull(b))return this.removeItem(f);(typeof b=="string"||typeof b=="number"||typeof b=="boolean")&&this.database[f]===b||(this.database[f]=b,this.saveSync())}removeItem(f){M.isUndefined(this.database[f])||(this.database[f]=void 0,this.saveSync())}saveSync(){const f=JSON.stringify(this.database,null,4);if(f!==this.lastFlushedSerializedDatabase)try{E.writeFileSync(this.dbPath,f),this.lastFlushedSerializedDatabase=f}catch(b){this.onError(b)}}}e.FileStorage=y;let i=class bt{constructor(f,b){this.fileStorage=new y(v.join(f.userDataPath,bt.STATE_FILE),g=>b.error(g))}init(){return this.fileStorage.init()}getItem(f,b){return this.fileStorage.getItem(f,b)}setItem(f,b){this.fileStorage.setItem(f,b)}removeItem(f){this.fileStorage.removeItem(f)}};i.STATE_FILE="storage.json",i=ue([ie(0,L.INativeEnvironmentService),ie(1,n.ILogService)],i),e.StateService=i}),define(Y[93],J([0,1,5,3,2,13,82,9]),function(H,e,v,R,L,E,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.logStorage=e.InMemoryStorageService=e.AbstractStorageService=e.StorageTarget=e.StorageScope=e.WillSaveStateReason=e.IStorageService=e.IS_NEW_KEY=void 0,e.IS_NEW_KEY="__$__isNewStorageMarker";const y="__$__targetStorageMarker";e.IStorageService=v.createDecorator("storageService");var i;(function(w){w[w.NONE=0]="NONE",w[w.SHUTDOWN=1]="SHUTDOWN"})(i=e.WillSaveStateReason||(e.WillSaveStateReason={}));var k;(function(w){w[w.GLOBAL=0]="GLOBAL",w[w.WORKSPACE=1]="WORKSPACE"})(k=e.StorageScope||(e.StorageScope={}));var f;(function(w){w[w.USER=0]="USER",w[w.MACHINE=1]="MACHINE"})(f=e.StorageTarget||(e.StorageTarget={}));class b extends L.Disposable{constructor(S={flushInterval:b.DEFAULT_FLUSH_INTERVAL}){super();this.options=S,this._onDidChangeValue=this._register(new R.PauseableEmitter),this.onDidChangeValue=this._onDidChangeValue.event,this._onDidChangeTarget=this._register(new R.PauseableEmitter),this.onDidChangeTarget=this._onDidChangeTarget.event,this._onWillSaveState=this._register(new R.Emitter),this.onWillSaveState=this._onWillSaveState.event,this.flushWhenIdleScheduler=this._register(new n.RunOnceScheduler(()=>this.doFlushWhenIdle(),this.options.flushInterval)),this.runFlushWhenIdle=this._register(new L.MutableDisposable),this._workspaceKeyTargets=void 0,this._globalKeyTargets=void 0}doFlushWhenIdle(){this.runFlushWhenIdle.value=n.runWhenIdle(()=>{this.shouldFlushWhenIdle()&&this.flush(),this.flushWhenIdleScheduler.schedule()})}shouldFlushWhenIdle(){return!0}stopFlushWhenIdle(){L.dispose([this.runFlushWhenIdle,this.flushWhenIdleScheduler])}initialize(){return this.initializationPromise||(this.initializationPromise=(async()=>{await this.doInitialize(),this.flushWhenIdleScheduler.schedule()})()),this.initializationPromise}emitDidChangeValue(S,p){p===y?(S===0?this._globalKeyTargets=void 0:S===1&&(this._workspaceKeyTargets=void 0),this._onDidChangeTarget.fire({scope:S})):this._onDidChangeValue.fire({scope:S,key:p,target:this.getKeyTargets(S)[p]})}emitWillSaveState(S){this._onWillSaveState.fire({reason:S})}get(S,p,s){var o;return(o=this.getStorage(p))===null||o===void 0?void 0:o.get(S,s)}getBoolean(S,p,s){var o;return(o=this.getStorage(p))===null||o===void 0?void 0:o.getBoolean(S,s)}getNumber(S,p,s){var o;return(o=this.getStorage(p))===null||o===void 0?void 0:o.getNumber(S,s)}store(S,p,s,o){if(E.isUndefinedOrNull(p)){this.remove(S,s);return}this.withPausedEmitters(()=>{var a;this.updateKeyTarget(S,s,o),(a=this.getStorage(s))===null||a===void 0||a.set(S,p)})}remove(S,p){this.withPausedEmitters(()=>{var s;this.updateKeyTarget(S,p,void 0),(s=this.getStorage(p))===null||s===void 0||s.delete(S)})}withPausedEmitters(S){this._onDidChangeValue.pause(),this._onDidChangeTarget.pause();try{S()}finally{this._onDidChangeValue.resume(),this._onDidChangeTarget.resume()}}keys(S,p){const s=[],o=this.getKeyTargets(S);for(const a of Object.keys(o))o[a]===p&&s.push(a);return s}updateKeyTarget(S,p,s){var o,a;const l=this.getKeyTargets(p);typeof s=="number"?l[S]!==s&&(l[S]=s,(o=this.getStorage(p))===null||o===void 0||o.set(y,JSON.stringify(l))):typeof l[S]=="number"&&(delete l[S],(a=this.getStorage(p))===null||a===void 0||a.set(y,JSON.stringify(l)))}get workspaceKeyTargets(){return this._workspaceKeyTargets||(this._workspaceKeyTargets=this.loadKeyTargets(1)),this._workspaceKeyTargets}get globalKeyTargets(){return this._globalKeyTargets||(this._globalKeyTargets=this.loadKeyTargets(0)),this._globalKeyTargets}getKeyTargets(S){return S===0?this.globalKeyTargets:this.workspaceKeyTargets}loadKeyTargets(S){const p=this.get(y,S);if(p)try{return JSON.parse(p)}catch(s){}return Object.create(null)}isNew(S){return this.getBoolean(e.IS_NEW_KEY,S)===!0}async flush(){var S,p,s,o;this._onWillSaveState.fire({reason:i.NONE}),await n.Promises.settled([(p=(S=this.getStorage(0))===null||S===void 0?void 0:S.whenFlushed())!==null&&p!==void 0?p:Promise.resolve(),(o=(s=this.getStorage(1))===null||s===void 0?void 0:s.whenFlushed())!==null&&o!==void 0?o:Promise.resolve()])}async logStorage(){var S,p,s,o,a,l;const t=(p=(S=this.getStorage(0))===null||S===void 0?void 0:S.items)!==null&&p!==void 0?p:new Map,r=(o=(s=this.getStorage(1))===null||s===void 0?void 0:s.items)!==null&&o!==void 0?o:new Map;return h(t,r,(a=this.getLogDetails(0))!==null&&a!==void 0?a:"",(l=this.getLogDetails(1))!==null&&l!==void 0?l:"")}}e.AbstractStorageService=b,b.DEFAULT_FLUSH_INTERVAL=60*1e3;class g extends b{constructor(){super();this.globalStorage=new M.Storage(new M.InMemoryStorageDatabase),this.workspaceStorage=new M.Storage(new M.InMemoryStorageDatabase),this._register(this.workspaceStorage.onDidChangeStorage(S=>this.emitDidChangeValue(1,S))),this._register(this.globalStorage.onDidChangeStorage(S=>this.emitDidChangeValue(0,S)))}getStorage(S){return S===0?this.globalStorage:this.workspaceStorage}getLogDetails(S){return S===0?"inMemory (global)":"inMemory (workspace)"}async doInitialize(){}async migrate(S){}}e.InMemoryStorageService=g;async function h(w,S,p,s){const o=u=>{try{return JSON.parse(u)}catch(m){return u}},a=new Map,l=new Map;w.forEach((u,m)=>{a.set(m,u),l.set(m,o(u))});const t=new Map,r=new Map;S.forEach((u,m)=>{t.set(m,u),r.set(m,o(u))}),console.group(`Storage: Global (path: ${p})`);let c=[];a.forEach((u,m)=>{c.push({key:m,value:u})}),console.table(c),console.groupEnd(),console.log(l),console.group(`Storage: Workspace (path: ${s})`);let d=[];t.forEach((u,m)=>{d.push({key:m,value:u})}),console.table(d),console.groupEnd(),console.log(r)}e.logStorage=h}),define(Y[189],J([0,1,4,51,30,7]),function(H,e,v,R,L,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveCommonProperties=void 0;async function M(y,i,k,f,b,g,h,w,S){const p=Object.create(null);p["common.machineId"]=g,p.sessionID=L.generateUuid()+Date.now(),p.commitHash=f,p.version=b,p["common.platformVersion"]=(i||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),p["common.platform"]=v.PlatformToString(v.platform),p["common.nodePlatform"]=R.platform,p["common.nodeArch"]=k,p["common.product"]=S||"desktop";const s=n(h||[]);s&&(p["common.msftInternal"]=s);let o=0;const a=Date.now();Object.defineProperties(p,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-a,enumerable:!0},"common.sequence":{get:()=>o++,enumerable:!0}}),v.isLinuxSnap&&(p["common.snap"]="true");try{const l=await y.readFile(E.URI.file(w));p["common.source"]=l.value.toString().slice(0,30)}catch(l){}return p}e.resolveCommonProperties=M;function n(y){const i=R.env.USERDNSDOMAIN;if(!i)return!1;const k=i.toLowerCase();return y.some(f=>k===f)}}),define(Y[31],J([0,1,5]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.machineIdKey=e.lastSessionDateStorageKey=e.firstSessionDateStorageKey=e.currentSessionDateStorageKey=e.instanceStorageKey=e.ITelemetryService=void 0,e.ITelemetryService=v.createDecorator("telemetryService"),e.instanceStorageKey="telemetry.instanceId",e.currentSessionDateStorageKey="telemetry.currentSessionDate",e.firstSessionDateStorageKey="telemetry.firstSessionDate",e.lastSessionDateStorageKey="telemetry.lastSessionDate",e.machineIdKey="telemetry.machineId"}),define(Y[190],J([0,1,27,66,69,23,8,42,79,17,4,7,31,64,10,16,24]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h,w,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DiagnosticsService=e.collectLaunchConfigs=e.getMachineInfo=e.collectWorkspaceStats=void 0;async function p(t,r){const c=[{tag:"grunt.js",filePattern:/^gruntfile\.js$/i},{tag:"gulp.js",filePattern:/^gulpfile\.js$/i},{tag:"tsconfig.json",filePattern:/^tsconfig\.json$/i},{tag:"package.json",filePattern:/^package\.json$/i},{tag:"jsconfig.json",filePattern:/^jsconfig\.json$/i},{tag:"tslint.json",filePattern:/^tslint\.json$/i},{tag:"eslint.json",filePattern:/^eslint\.json$/i},{tag:"tasks.json",filePattern:/^tasks\.json$/i},{tag:"launch.json",filePattern:/^launch\.json$/i},{tag:"settings.json",filePattern:/^settings\.json$/i},{tag:"webpack.config.js",filePattern:/^webpack\.config\.js$/i},{tag:"project.json",filePattern:/^project\.json$/i},{tag:"makefile",filePattern:/^makefile$/i},{tag:"sln",filePattern:/^.+\.sln$/i},{tag:"csproj",filePattern:/^.+\.csproj$/i},{tag:"cmake",filePattern:/^.+\.cmake$/i},{tag:"github-actions",filePattern:/^.+\.yml$/i,relativePathPattern:/^\.github(?:\/|\\)workflows$/i}],d=new Map,u=new Map,m=2e4;function I(N,$,z,x){const te=$.substring(N.length+1);return new Promise(async Z=>{var C,X,G;let U;try{U=await S.readdir($,{withFileTypes:!0})}catch(P){Z();return}if(x.count>=m){x.count+=U.length,x.maxReached=!0,Z();return}let W=U.length;if(W===0){Z();return}let D=U;x.count+U.length>m&&(x.maxReached=!0,W=m-x.count,D=U.slice(0,W)),x.count+=U.length;for(const P of D)if(P.isDirectory()){if(z.includes(P.name)||await I(N,M.join($,P.name),z,x),--W==0){Z();return}}else{const _=P.name.lastIndexOf(".");if(_>=0){const T=P.name.substring(_+1);T&&d.set(T,((C=d.get(T))!==null&&C!==void 0?C:0)+1)}for(const T of c)((X=T.relativePathPattern)===null||X===void 0?void 0:X.test(te))!==!1&&T.filePattern.test(P.name)&&u.set(T.tag,((G=u.get(T.tag))!==null&&G!==void 0?G:0)+1);if(--W==0){Z();return}}})}const A={count:0,maxReached:!1};await I(t,t,r,A);const F=await a(t);return{configFiles:s(u),fileTypes:s(d),fileCount:A.count,maxFilesReached:A.maxReached,launchConfigFiles:F}}e.collectWorkspaceStats=p;function s(t){return[...g.Iterable.map(t.entries(),([r,c])=>({name:r,count:c}))].sort((r,c)=>c.count-r.count)}function o(){const t={os:`${v.type()} ${v.arch()} ${v.release()}`,memory:`${(v.totalmem()/w.ByteSize.GB).toFixed(2)}GB (${(v.freemem()/w.ByteSize.GB).toFixed(2)}GB free)`,vmHint:`${Math.round(R.virtualMachineHint.value()*100)}%`},r=v.cpus();return r&&r.length>0&&(t.cpus=`${r[0].model} (${r.length} x ${r[0].speed})`),t}e.getMachineInfo=o;function a(t){let r=new Map,c=M.join(t,".vscode","launch.json");return new Promise((d,u)=>{E.exists(c,m=>{if(m)E.readFile(c,(I,A)=>{if(I)return d([]);const F=[],N=n.parse(A.toString(),F);if(F.length)return console.log(`Unable to parse ${c}`),d([]);if(n.getNodeType(N)==="object"&&N.configurations)for(const $ of N.configurations){const z=$.type;z&&(r.has(z)?r.set(z,r.get(z)+1):r.set(z,1))}return d(s(r))});else return d([])})})}e.collectLaunchConfigs=a;let l=class{constructor(r){this.telemetryService=r}formatMachineInfo(r){const c=[];return c.push(`OS Version:       ${r.os}`),c.push(`CPUs:             ${r.cpus}`),c.push(`Memory (System):  ${r.memory}`),c.push(`VM:               ${r.vmHint}`),c.join(`
`)}formatEnvironment(r){const c=[];c.push(`Version:          ${i.default.nameShort} ${i.default.version} (${i.default.commit||"Commit unknown"}, ${i.default.date||"Date unknown"})`),c.push(`OS Version:       ${v.type()} ${v.arch()} ${v.release()}`);const d=v.cpus();return d&&d.length>0&&c.push(`CPUs:             ${d[0].model} (${d.length} x ${d[0].speed})`),c.push(`Memory (System):  ${(v.totalmem()/w.ByteSize.GB).toFixed(2)}GB (${(v.freemem()/w.ByteSize.GB).toFixed(2)}GB free)`),k.isWindows||c.push(`Load (avg):       ${v.loadavg().map(u=>Math.round(u)).join(", ")}`),c.push(`VM:               ${Math.round(R.virtualMachineHint.value()*100)}%`),c.push(`Screen Reader:    ${r.screenReader?"yes":"no"}`),c.push(`Process Argv:     ${r.mainArguments.join(" ")}`),c.push(`GPU Status:       ${this.expandGPUFeatures(r.gpuFeatureStatus)}`),c.join(`
`)}async getPerformanceInfo(r,c){return Promise.all([y.listProcesses(r.mainPID),this.formatWorkspaceMetadata(r)]).then(async d=>{let[u,m]=d,I=this.formatProcessList(r,u);return c.forEach(A=>{if(L.isRemoteDiagnosticError(A))I+=`
${A.errorMessage}`,m+=`
${A.errorMessage}`;else if(I+=`

Remote: ${A.hostName}`,A.processes&&(I+=`
${this.formatProcessList(r,A.processes)}`),A.workspaceMetadata){m+=`
|  Remote: ${A.hostName}`;for(const F of Object.keys(A.workspaceMetadata)){const N=A.workspaceMetadata[F];let $=`${N.fileCount} files`;N.maxFilesReached&&($=`more than ${$}`),m+=`|    Folder (${F}): ${$}`,m+=this.formatWorkspaceStats(N)}}}),{processInfo:I,workspaceInfo:m}})}async getSystemInfo(r,c){const{memory:d,vmHint:u,os:m,cpus:I}=o(),A={os:m,memory:d,cpus:I,vmHint:u,processArgs:`${r.mainArguments.join(" ")}`,gpuStatus:r.gpuFeatureStatus,screenReader:`${r.screenReader?"yes":"no"}`,remoteData:c};return k.isWindows||(A.load=`${v.loadavg().map(F=>Math.round(F)).join(", ")}`),k.isLinux&&(A.linuxEnv={desktopSession:process.env.DESKTOP_SESSION,xdgSessionDesktop:process.env.XDG_SESSION_DESKTOP,xdgCurrentDesktop:process.env.XDG_CURRENT_DESKTOP,xdgSessionType:process.env.XDG_SESSION_TYPE}),Promise.resolve(A)}async getDiagnostics(r,c){const d=[];return y.listProcesses(r.mainPID).then(async u=>(d.push(""),d.push(this.formatEnvironment(r)),d.push(""),d.push(this.formatProcessList(r,u)),r.windows.some(m=>m.folderURIs&&m.folderURIs.length>0&&!m.remoteAuthority)&&(d.push(""),d.push("Workspace Stats: "),d.push(await this.formatWorkspaceMetadata(r))),c.forEach(m=>{if(L.isRemoteDiagnosticError(m))d.push(`
${m.errorMessage}`);else if(d.push(`

`),d.push(`Remote:           ${m.hostName}`),d.push(this.formatMachineInfo(m.machineInfo)),m.processes&&d.push(this.formatProcessList(r,m.processes)),m.workspaceMetadata)for(const I of Object.keys(m.workspaceMetadata)){const A=m.workspaceMetadata[I];let F=`${A.fileCount} files`;A.maxFilesReached&&(F=`more than ${F}`),d.push(`Folder (${I}): ${F}`),d.push(this.formatWorkspaceStats(A))}}),d.push(""),d.push(""),d.join(`
`)))}formatWorkspaceStats(r){const c=[],d=60;let u=0;const m=(N,$)=>{const z=` ${N}(${$})`;u+z.length>d?(c.push(I),I="|                 ",u=I.length):u+=z.length,I+=z};let I="|      File types:";const A=10;let F=r.fileTypes.length>A?A:r.fileTypes.length;for(let N=0;N<F;N++){const $=r.fileTypes[N];m($.name,$.count)}if(c.push(I),r.configFiles.length>=0&&(I="|      Conf files:",u=0,r.configFiles.forEach(N=>{m(N.name,N.count)}),c.push(I)),r.launchConfigFiles.length>0){let N="|      Launch Configs:";r.launchConfigFiles.forEach($=>{N+=$.count>1?` ${$.name}(${$.count})`:` ${$.name}`}),c.push(N)}return c.join(`
`)}expandGPUFeatures(r){const c=Math.max(...Object.keys(r).map(d=>d.length));return Object.keys(r).map(d=>`${d}:  ${" ".repeat(c-d.length)}  ${r[d]}`).join(`
                  `)}formatWorkspaceMetadata(r){const c=[],d=[];return r.windows.forEach(u=>{u.folderURIs.length===0||!!u.remoteAuthority||(c.push(`|  Window (${u.title})`),u.folderURIs.forEach(m=>{const I=f.URI.revive(m);if(I.scheme===h.Schemas.file){const A=I.fsPath;d.push(p(A,["node_modules",".git"]).then(F=>{let N=`${F.fileCount} files`;F.maxFilesReached&&(N=`more than ${N}`),c.push(`|    Folder (${M.basename(A)}): ${N}`),c.push(this.formatWorkspaceStats(F))}).catch(F=>{c.push(`|      Error: Unable to collect workspace stats for folder ${A} (${F.toString()})`)}))}else c.push(`|    Folder (${I.toString()}): Workspace stats not available.`)}))}),Promise.all(d).then(u=>c.join(`
`)).catch(u=>`Unable to collect workspace stats: ${u}`)}formatProcessList(r,c){const d=new Map;r.windows.forEach(m=>d.set(m.pid,m.title));const u=[];return u.push("CPU %	Mem MB	   PID	Process"),c&&this.formatProcessItem(r.mainPID,d,u,c,0),u.join(`
`)}formatProcessItem(r,c,d,u,m){const I=m===0;let A;I?A=u.pid===r?`${i.default.applicationName} main`:"remote agent":(A=`${"  ".repeat(m)} ${u.name}`,u.name==="window"&&(A=`${A} (${c.get(u.pid)})`));const F=process.platform==="win32"?u.mem:v.totalmem()*(u.mem/100);d.push(`${u.load.toFixed(0).padStart(5," ")}	${(F/w.ByteSize.MB).toFixed(0).padStart(6," ")}	${u.pid.toFixed(0).padStart(6," ")}	${A}`),Array.isArray(u.children)&&u.children.forEach(N=>this.formatProcessItem(r,c,d,N,m+1))}async reportWorkspaceStats(r){for(const{uri:c}of r.folders){const d=f.URI.revive(c);if(d.scheme===h.Schemas.file){const u=d.fsPath;try{const m=await p(u,["node_modules",".git"]);this.telemetryService.publicLog2("workspace.stats",{"workspace.id":r.telemetryId,rendererSessionId:r.rendererSessionId}),m.fileTypes.forEach(I=>{this.telemetryService.publicLog2("workspace.stats.file",{rendererSessionId:r.rendererSessionId,type:I.name,count:I.count})}),m.launchConfigFiles.forEach(I=>{this.telemetryService.publicLog2("workspace.stats.launchConfigFile",{rendererSessionId:r.rendererSessionId,type:I.name,count:I.count})}),m.configFiles.forEach(I=>{this.telemetryService.publicLog2("workspace.stats.configFiles",{rendererSessionId:r.rendererSessionId,type:I.name,count:I.count})})}catch(m){}}}}};l=ue([ie(0,b.ITelemetryService)],l),e.DiagnosticsService=l}),define(Y[191],J([0,1,20,159,162,43,31,39,152,52,25,6,16,7,61,93,185,5,15]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h,w,S,p,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveMarketplaceHeaders=e.ExtensionGalleryService=void 0;var o;(function(D){D[D.None=0]="None",D[D.IncludeVersions=1]="IncludeVersions",D[D.IncludeFiles=2]="IncludeFiles",D[D.IncludeCategoryAndTags=4]="IncludeCategoryAndTags",D[D.IncludeSharedAccounts=8]="IncludeSharedAccounts",D[D.IncludeVersionProperties=16]="IncludeVersionProperties",D[D.ExcludeNonValidated=32]="ExcludeNonValidated",D[D.IncludeInstallationTargets=64]="IncludeInstallationTargets",D[D.IncludeAssetUri=128]="IncludeAssetUri",D[D.IncludeStatistics=256]="IncludeStatistics",D[D.IncludeLatestVersionOnly=512]="IncludeLatestVersionOnly",D[D.Unpublished=4096]="Unpublished"})(o||(o={}));function a(...D){return String(D.reduce((P,_)=>P|_,0))}var l;(function(D){D[D.Tag=1]="Tag",D[D.ExtensionId=4]="ExtensionId",D[D.Category=5]="Category",D[D.ExtensionName=7]="ExtensionName",D[D.Target=8]="Target",D[D.Featured=9]="Featured",D[D.SearchText=10]="SearchText",D[D.ExcludeWithFlags=12]="ExcludeWithFlags"})(l||(l={}));const t={Icon:"Microsoft.VisualStudio.Services.Icons.Default",Details:"Microsoft.VisualStudio.Services.Content.Details",Changelog:"Microsoft.VisualStudio.Services.Content.Changelog",Manifest:"Microsoft.VisualStudio.Code.Manifest",VSIX:"Microsoft.VisualStudio.Services.VSIXPackage",License:"Microsoft.VisualStudio.Services.Content.License",Repository:"Microsoft.VisualStudio.Services.Links.Source"},r={Dependency:"Microsoft.VisualStudio.Code.ExtensionDependencies",ExtensionPack:"Microsoft.VisualStudio.Code.ExtensionPack",Engine:"Microsoft.VisualStudio.Code.Engine",LocalizedLanguages:"Microsoft.VisualStudio.Code.LocalizedLanguages",WebExtension:"Microsoft.VisualStudio.Code.WebExtension"},d={pageNumber:1,pageSize:10,sortBy:0,sortOrder:0,flags:o.None,criteria:[],assetTypes:[]};class u{constructor(P=d){this.state=P}get pageNumber(){return this.state.pageNumber}get pageSize(){return this.state.pageSize}get sortBy(){return this.state.sortBy}get sortOrder(){return this.state.sortOrder}get flags(){return this.state.flags}withPage(P,_=this.state.pageSize){return new u(Object.assign(Object.assign({},this.state),{pageNumber:P,pageSize:_}))}withFilter(P,..._){const T=[...this.state.criteria,..._.length?_.map(O=>({filterType:P,value:O})):[{filterType:P}]];return new u(Object.assign(Object.assign({},this.state),{criteria:T}))}withSortBy(P){return new u(Object.assign(Object.assign({},this.state),{sortBy:P}))}withSortOrder(P){return new u(Object.assign(Object.assign({},this.state),{sortOrder:P}))}withFlags(...P){return new u(Object.assign(Object.assign({},this.state),{flags:P.reduce((_,T)=>_|T,0)}))}withAssetTypes(...P){return new u(Object.assign(Object.assign({},this.state),{assetTypes:P}))}get raw(){const{criteria:P,pageNumber:_,pageSize:T,sortBy:O,sortOrder:B,flags:j,assetTypes:V}=this.state;return{filters:[{criteria:P,pageNumber:_,pageSize:T,sortBy:O,sortOrder:B}],assetTypes:V,flags:j}}get searchText(){const P=this.state.criteria.filter(_=>_.filterType===l.SearchText)[0];return P&&P.value?P.value:""}get telemetryData(){return{filterTypes:this.state.criteria.map(P=>String(P.filterType)),sortBy:String(this.sortBy),sortOrder:String(this.sortOrder)}}}function m(D,P){const _=(D||[]).filter(T=>T.statisticName===P)[0];return _?_.value:0}function I(D){const P="Microsoft.VisualStudio.Code.Translation.";return D.files.filter(T=>T.assetType.indexOf(P)===0).reduce((T,O)=>{const B=$(D,O.assetType);return B&&T.push([O.assetType.substring(P.length),B]),T},[])}function A(D){if(D.properties){const P=D.properties.filter(O=>O.key===t.Repository),_=new RegExp("((git|ssh|http(s)?)|(git@[w.]+))(:(//)?)([w.@:/-~]+)(.git)(/)?"),T=P.filter(O=>_.test(O.value))[0];return T?{uri:T.value,fallbackUri:T.value}:null}return $(D,t.Repository)}function F(D){return{uri:`${D.fallbackAssetUri}/${t.VSIX}?redirect=true`,fallbackUri:`${D.fallbackAssetUri}/${t.VSIX}`}}function N(D){const P=$(D,t.Icon);if(P)return P;const _=R.DefaultIconPath;return{uri:_,fallbackUri:_}}function $(D,P){return D.files.filter(T=>T.assetType===P)[0]?{uri:`${D.assetUri}/${P}`,fallbackUri:`${D.fallbackAssetUri}/${P}`}:null}function z(D,P){const _=D.properties?D.properties.filter(O=>O.key===P):[],T=_.length>0&&_[0].value;return T?T.split(",").map(O=>L.adoptToGalleryExtensionId(O)):[]}function x(D){const P=D.properties?D.properties.filter(_=>_.key===r.Engine):[];return P.length>0&&P[0].value||""}function te(D){const P=D.properties?D.properties.filter(T=>T.key===r.LocalizedLanguages):[],_=P.length>0&&P[0].value||"";return _?_.split(","):[]}function Z(D){return D.indexOf("preview")!==-1}function C(D){const P=D.properties?D.properties.find(_=>_.key===r.WebExtension):void 0;return!!P&&P.value==="true"}function X(D){return D.files.some(P=>P.assetType.startsWith("Microsoft.VisualStudio.Code.WebResources"))?s.joinPath(g.URI.parse(D.assetUri),"Microsoft.VisualStudio.Code.WebResources","extension"):void 0}function G(D,P,_,T,O){const B={manifest:$(P,t.Manifest),readme:$(P,t.Details),changelog:$(P,t.Changelog),license:$(P,t.License),repository:A(P),download:F(P),icon:N(P),coreTranslations:I(P)};return{identifier:{id:L.getGalleryExtensionId(D.publisher.publisherName,D.extensionName),uuid:D.extensionId},name:D.extensionName,version:P.version,date:P.lastUpdated,displayName:D.displayName,publisherId:D.publisher.publisherId,publisher:D.publisher.publisherName,publisherDisplayName:D.publisher.displayName,description:D.shortDescription||"",installCount:m(D.statistics,"install"),rating:m(D.statistics,"averagerating"),ratingCount:m(D.statistics,"ratingcount"),assetUri:g.URI.parse(P.assetUri),webResource:X(P),assetTypes:P.files.map(({assetType:j})=>j),assets:B,properties:{dependencies:z(P,r.Dependency),extensionPack:z(P,r.ExtensionPack),engine:x(P),localizedLanguages:te(P),webExtension:C(P)},telemetryData:{index:(T.pageNumber-1)*T.pageSize+_,searchText:T.searchText,querySource:O},preview:Z(D.flags)}}let U=class{constructor(P,_,T,O,B,j,V){this.requestService=P,this.logService=_,this.environmentService=T,this.telemetryService=O,this.fileService=B,this.productService=j;const K=j.extensionsGallery;this.extensionsGalleryUrl=K&&K.serviceUrl,this.extensionsControlUrl=K&&K.controlUrl,this.commonHeadersPromise=W(j.version,this.environmentService,this.fileService,V)}api(P=""){return`${this.extensionsGalleryUrl}${P}`}isEnabled(){return!!this.extensionsGalleryUrl}async getExtensions(P,_){const T=[];let{total:O,firstPage:B,getPage:j}=await this.query({names:P,pageSize:P.length},_);T.push(...B);for(let V=1;T.length<O&&(B=await j(V,_),B.length);V++)T.push(...B);return T}async getCompatibleExtension(P,_){const T=await this.getCompatibleExtensionByEngine(P,_);return(T==null?void 0:T.properties.webExtension)?T.webResource?T:null:T}async getCompatibleExtensionByEngine(P,_){const T=R.isIExtensionIdentifier(P)?null:P;if(T&&T.properties.engine&&y.isEngineValid(T.properties.engine,this.productService.version))return T;const{id:O,uuid:B}=T?T.identifier:P;let j=new u().withFlags(o.IncludeAssetUri,o.IncludeStatistics,o.IncludeFiles,o.IncludeVersionProperties).withPage(1,1).withFilter(l.Target,"Microsoft.VisualStudio.Code");B?j=j.withFilter(l.ExtensionId,B):j=j.withFilter(l.ExtensionName,O);const{galleryExtensions:V}=await this.queryGallery(j,k.CancellationToken.None),[K]=V;if(!K||!K.versions.length)return null;if(_){const Q=K.versions.filter(re=>re.version===_)[0];if(Q){const re=G(K,Q,0,j);if(re.properties.engine&&y.isEngineValid(re.properties.engine,this.productService.version))return re}return null}const ee=await this.getLastValidExtensionVersion(K,K.versions);return ee?G(K,ee,0,j):null}async query(P,_){const T=k.CancellationToken.isCancellationToken(P)?{}:P,O=k.CancellationToken.isCancellationToken(P)?P:_;if(!this.isEnabled())throw new Error("No extension gallery service configured.");let B=T.text||"";const j=E.getOrDefault(T,se=>se.pageSize,50);let V=new u().withFlags(o.IncludeLatestVersionOnly,o.IncludeAssetUri,o.IncludeStatistics,o.IncludeFiles,o.IncludeVersionProperties).withPage(1,j).withFilter(l.Target,"Microsoft.VisualStudio.Code");B?(B=B.replace(/\bcategory:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(se,ge,le)=>(V=V.withFilter(l.Category,le||ge),"")),B=B.replace(/\btag:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(se,ge,le)=>(V=V.withFilter(l.Tag,le||ge),"")),B=B.replace(/\bfeatured(\s+|\b|$)/g,()=>(V=V.withFilter(l.Featured),"")),B=B.trim(),B&&(B=B.length<200?B:B.substring(0,200),V=V.withFilter(l.SearchText,B)),V=V.withSortBy(0)):T.ids?V=V.withFilter(l.ExtensionId,...T.ids):T.names?V=V.withFilter(l.ExtensionName,...T.names):V=V.withSortBy(4),typeof T.sortBy=="number"&&(V=V.withSortBy(T.sortBy)),typeof T.sortOrder=="number"&&(V=V.withSortOrder(T.sortOrder));const{galleryExtensions:K,total:ee}=await this.queryGallery(V,O),Q=K.map((se,ge)=>G(se,se.versions[0],ge,V,T.source)),re=async(se,ge)=>{if(ge.isCancellationRequested)throw v.canceled();const le=V.withPage(se+1),{galleryExtensions:he}=await this.queryGallery(le,ge);return he.map((me,Ie)=>G(me,me.versions[0],Ie,le,T.source))};return{firstPage:Q,total:ee,pageSize:V.pageSize,getPage:re}}async queryGallery(P,_){if(!this.isEnabled())throw new Error("No extension gallery service configured.");P=P.withFlags(P.flags,o.ExcludeNonValidated).withFilter(l.ExcludeWithFlags,a(o.Unpublished));const T=await this.commonHeadersPromise,O=JSON.stringify(P.raw),B=Object.assign(Object.assign({},T),{"Content-Type":"application/json",Accept:"application/json;api-version=3.0-preview.1","Accept-Encoding":"gzip","Content-Length":String(O.length)}),j=new Date().getTime();let V,K,ee=0;try{if(V=await this.requestService.request({type:"POST",url:this.api("/extensionquery"),data:O,headers:B},_),V.res.statusCode&&V.res.statusCode>=400&&V.res.statusCode<500)return{galleryExtensions:[],total:ee};const Q=await n.asJson(V);if(Q){const re=Q.results[0],se=re.extensions,ge=re.resultMetadata&&re.resultMetadata.filter(le=>le.metadataType==="ResultCount")[0];return ee=ge&&ge.metadataItems.filter(le=>le.name==="TotalCount")[0].count||0,{galleryExtensions:se,total:ee}}return{galleryExtensions:[],total:ee}}catch(Q){throw K=Q,Q}finally{this.telemetryService.publicLog2("galleryService:query",Object.assign(Object.assign({},P.telemetryData),{requestBodySize:String(O.length),duration:new Date().getTime()-j,success:!!V&&n.isSuccess(V),responseBodySize:V==null?void 0:V.res.headers["Content-Length"],statusCode:V?String(V.res.statusCode):void 0,errorCode:K?v.isPromiseCanceledError(K)?"canceled":v.getErrorMessage(K).startsWith("XHR timeout")?"timeout":"failed":void 0,count:String(ee)}))}}async reportStatistic(P,_,T,O){if(!!this.isEnabled()){const B=await this.commonHeadersPromise,j=Object.assign(Object.assign({},B),{Accept:"*/*;api-version=4.0-preview.1"});try{await this.requestService.request({type:"POST",url:this.api(`/publishers/${P}/extensions/${_}/${T}/stats?statType=${O}`),headers:j},k.CancellationToken.None)}catch(V){}}}async download(P,_,T){this.logService.trace("ExtensionGalleryService#download",P.identifier.id);const O=L.getGalleryExtensionTelemetryData(P),B=new Date().getTime(),j=Q=>this.telemetryService.publicLog("galleryService:downloadVSIX",Object.assign(Object.assign({},O),{duration:Q})),V=T===1?"install":T===2?"update":"",K=V?{uri:`${P.assets.download.uri}&${V}=true`,fallbackUri:`${P.assets.download.fallbackUri}?${V}=true`}:P.assets.download,ee=await this.getAsset(K);await this.fileService.writeFile(_,ee.stream),j(new Date().getTime()-B)}async getReadme(P,_){if(P.assets.readme){const T=await this.getAsset(P.assets.readme,{},_);return await n.asText(T)||""}return""}async getManifest(P,_){if(P.assets.manifest){const T=await this.getAsset(P.assets.manifest,{},_),O=await n.asText(T);return O?JSON.parse(O):null}return null}async getCoreTranslation(P,_){const T=P.assets.coreTranslations.filter(O=>O[0]===_.toUpperCase())[0];if(T){const O=await this.getAsset(T[1]),B=await n.asText(O);return B?JSON.parse(B):null}return null}async getChangelog(P,_){if(P.assets.changelog){const T=await this.getAsset(P.assets.changelog,{},_);return await n.asText(T)||""}return""}async getAllVersions(P,_){let T=new u().withFlags(o.IncludeVersions,o.IncludeFiles,o.IncludeVersionProperties).withPage(1,1).withFilter(l.Target,"Microsoft.VisualStudio.Code");P.identifier.uuid?T=T.withFilter(l.ExtensionId,P.identifier.uuid):T=T.withFilter(l.ExtensionName,P.identifier.id);const O=[],{galleryExtensions:B}=await this.queryGallery(T,k.CancellationToken.None);return B.length&&(_?await Promise.all(B[0].versions.map(async j=>{let V;try{V=await this.getEngine(j)}catch(K){}V&&y.isEngineValid(V,this.productService.version)&&O.push({version:j.version,date:j.lastUpdated})})):O.push(...B[0].versions.map(j=>({version:j.version,date:j.lastUpdated})))),O}async getAsset(P,_={},T=k.CancellationToken.None){const O=await this.commonHeadersPromise,B={type:"GET"},j=Object.assign(Object.assign({},O),_.headers||{});_=Object.assign(Object.assign(Object.assign({},_),B),{headers:j});const V=P.uri,K=P.fallbackUri,ee=Object.assign(Object.assign({},_),{url:V});try{const Q=await this.requestService.request(ee,T);if(Q.res.statusCode===200)return Q;const re=await n.asText(Q);throw new Error(`Expected 200, got back ${Q.res.statusCode} instead.

${re}`)}catch(Q){if(v.isPromiseCanceledError(Q))throw Q;const re=v.getErrorMessage(Q);this.telemetryService.publicLog2("galleryService:cdnFallback",{url:V,message:re});const se=Object.assign(Object.assign({},_),{url:K});return this.requestService.request(se,T)}}async getLastValidExtensionVersion(P,_){const T=this.getLastValidExtensionVersionFromProperties(P,_);return T||this.getLastValidExtensionVersionRecursively(P,_)}getLastValidExtensionVersionFromProperties(P,_){for(const T of _){const O=x(T);if(!O)return null;if(y.isEngineValid(O,this.productService.version))return T}return null}async getEngine(P){const _=x(P);if(_)return _;const T=$(P,t.Manifest);if(!T)throw new Error("Manifest was not found");const O={"Accept-Encoding":"gzip"},B=await this.getAsset(T,{headers:O}),j=await n.asJson(B);if(j)return j.engines.vscode;throw new Error("Error while reading manifest")}async getLastValidExtensionVersionRecursively(P,_){if(!_.length)return null;const T=_[0],O=await this.getEngine(T);return y.isEngineValid(O,this.productService.version)?(T.properties=T.properties||[],T.properties.push({key:r.Engine,value:O}),T):this.getLastValidExtensionVersionRecursively(P,_.slice(1))}async getExtensionsReport(){if(!this.isEnabled())throw new Error("No extension gallery service configured.");if(!this.extensionsControlUrl)return[];const P=await this.requestService.request({type:"GET",url:this.extensionsControlUrl},k.CancellationToken.None);if(P.res.statusCode!==200)throw new Error("Could not get extensions report.");const _=await n.asJson(P),T=new Map;if(_)for(const O of _.malicious){const B=T.get(O)||{id:{id:O},malicious:!0,slow:!1};B.malicious=!0,T.set(O,B)}return[...T.values()]}};U=ue([ie(0,n.IRequestService),ie(1,f.ILogService),ie(2,i.IEnvironmentService),ie(3,M.ITelemetryService),ie(4,b.IFileService),ie(5,h.IProductService),ie(6,p.optional(w.IStorageService))],U),e.ExtensionGalleryService=U;async function W(D,P,_,T){const O={"X-Market-Client-Id":`VSCode ${D}`,"User-Agent":`VSCode ${D}`},B=await S.getServiceMachineId(P,_,T);return O["X-Market-User-Id"]=B,O}e.resolveMarketplaceHeaders=W}),define(Y[192],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryAppenderClient=e.TelemetryAppenderChannel=void 0;class v{constructor(E){this.appender=E}listen(E,M){throw new Error(`Event not found: ${M}`)}call(E,M,{eventName:n,data:y}){return this.appender.log(n,y),Promise.resolve(null)}}e.TelemetryAppenderChannel=v;class R{constructor(E){this.channel=E}log(E,M){return this.channel.call("log",{eventName:E,data:M}).then(void 0,n=>`Failed to log telemetry: ${console.warn(n)}`),Promise.resolve(null)}flush(){return Promise.resolve()}}e.TelemetryAppenderClient=R}),define(Y[193],J([0,1,17,142,21,5,18,46,2,43,36]),function(H,e,v,R,L,E,M,n,y,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryService=void 0;let f=class{constructor(h,w){this._configurationService=w,this._experimentProperties={},this._disposables=new y.DisposableStore,this._cleanupPatterns=[],this._appender=h.appender,this._commonProperties=h.commonProperties||Promise.resolve({}),this._piiPaths=h.piiPaths||[],this._userOptIn=!0,this._enabled=!0,this.sendErrorTelemetry=!!h.sendErrorTelemetry,this._cleanupPatterns=[/file:\/\/\/.*?\/resources\/app\//gi];for(let S of this._piiPaths)this._cleanupPatterns.push(new RegExp(L.escapeRegExpCharacters(S),"gi"));this._configurationService&&(this._updateUserOptIn(),this._configurationService.onDidChangeConfiguration(this._updateUserOptIn,this,this._disposables),this.publicLog2("optInStatus",{optIn:this._userOptIn}),this._commonProperties.then(S=>{const p=/^[a-f0-9]+$/i.test(S["common.machineId"]);this.publicLog2("machineIdFallback",{usingFallbackGuid:!p})}))}setExperimentProperty(h,w){this._experimentProperties[h]=w}setEnabled(h){this._enabled=h}_updateUserOptIn(){var h;const w=(h=this._configurationService)===null||h===void 0?void 0:h.getValue(b);this._userOptIn=w?w.enableTelemetry:this._userOptIn}get isOptedIn(){return this._userOptIn&&this._enabled}async getTelemetryInfo(){const h=await this._commonProperties;let w=h.sessionID,S=h["common.instanceId"],p=h["common.machineId"],s=h["common.firstSessionDate"],o=h["common.msftInternal"];return{sessionId:w,instanceId:S,machineId:p,firstSessionDate:s,msftInternal:o}}dispose(){this._disposables.dispose()}publicLog(h,w,S){return this.isOptedIn?this._commonProperties.then(p=>{w=i.mixin(w,p),w=i.mixin(w,this._experimentProperties),w=i.cloneAndChange(w,s=>{if(typeof s=="string")return this._cleanupInfo(s,S)}),this._appender.log(h,w)},p=>{console.error(p)}):Promise.resolve(void 0)}publicLog2(h,w,S){return this.publicLog(h,w,S)}publicLogError(h,w){return this.sendErrorTelemetry?this.publicLog(h,w,!0):Promise.resolve(void 0)}publicLogError2(h,w){return this.publicLogError(h,w)}_cleanupInfo(h,w){let S=h;if(w){const p=[];for(let l of this._cleanupPatterns)for(;;){const t=l.exec(h);if(!t)break;p.push([t.index,l.lastIndex])}const s=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,o=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let a=0;for(S="";;){const l=o.exec(h);if(!l)break;!s.test(l[0])&&p.every(([t,r])=>l.index<t||l.index>=r)&&(S+=h.substring(a,l.index)+"<REDACTED: user-file-path>",a=o.lastIndex)}a<h.length&&(S+=h.substr(a))}for(let p of this._cleanupPatterns)S=S.replace(p,"");return S}};f.IDLE_START_EVENT_NAME="UserIdleStart",f.IDLE_STOP_EVENT_NAME="UserIdleStop",f=ue([ie(1,E.optional(M.IConfigurationService))],f),e.TelemetryService=f;const b="telemetry";k.Registry.as(n.Extensions.Configuration).registerConfiguration({id:b,order:110,type:"object",title:R.localize(0,null),properties:{"telemetry.enableTelemetry":{type:"boolean",markdownDescription:v.default.privacyStatementUrl?R.localize(2,null,v.default.privacyStatementUrl):R.localize(1,null),default:!0,tags:["usesOnlineServices"]}}})}),define(Y[94],J([0,1,18,43,13,9]),function(H,e,v,R,L,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.cleanRemoteAuthority=e.validateTelemetryData=e.configurationTelemetry=e.NullAppender=e.combinedAppender=e.NullTelemetryService=void 0,e.NullTelemetryService=new class{constructor(){this.sendErrorTelemetry=!1,this.isOptedIn=!0}publicLog(g,h){return Promise.resolve(void 0)}publicLog2(g,h){return this.publicLog(g,h)}publicLogError(g,h){return Promise.resolve(void 0)}publicLogError2(g,h){return this.publicLogError(g,h)}setExperimentProperty(){}setEnabled(){}getTelemetryInfo(){return Promise.resolve({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId",firstSessionDate:"someValue.firstSessionDate"})}};function M(...g){return{log:(h,w)=>g.forEach(S=>S.log(h,w)),flush:()=>E.Promises.settled(g.map(h=>h.flush()))}}e.combinedAppender=M,e.NullAppender={log:()=>null,flush:()=>Promise.resolve(null)};function n(g,h){return h.onDidChangeConfiguration(w=>{w.source!==6&&g.publicLog2("updateConfiguration",{configurationSource:v.ConfigurationTargetToString(w.source),configurationKeys:f(w.sourceConfig)})})}e.configurationTelemetry=n;function y(g){const h=Object.create(null),w=Object.create(null),S=Object.create(null);k(g,S);for(let p in S){p=p.length>150?p.substr(p.length-149):p;const s=S[p];typeof s=="number"?w[p]=s:typeof s=="boolean"?w[p]=s?1:0:typeof s=="string"?h[p]=s.substring(0,1023):typeof s!="undefined"&&s!==null&&(h[p]=s)}return{properties:h,measurements:w}}e.validateTelemetryData=y;function i(g){if(!g)return"none";let h="other";return["ssh-remote","dev-container","attached-container","wsl"].forEach(S=>{g.indexOf(`${S}+`)===0&&(h=S)}),h}e.cleanRemoteAuthority=i;function k(g,h,w=0,S){if(!!g)for(let p of Object.getOwnPropertyNames(g)){const s=g[p],o=S?S+p:p;Array.isArray(s)?h[o]=R.safeStringify(s):s instanceof Date?h[o]=s.toISOString():L.isObject(s)?w<2?k(s,h,w+1,o+"."):h[o]=R.safeStringify(s):h[o]=s}}function f(g){if(!g)return[];const h=[];return b(h,"",g),h}function b(g,h,w){w&&typeof w=="object"&&!Array.isArray(w)?Object.keys(w).forEach(S=>b(g,h?`${h}.${S}`:S,w[S])):g.push(h)}}),define(Y[194],J([0,1]),function(H,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ColorScheme=void 0;var v;(function(R){R.DARK="dark",R.LIGHT="light",R.HIGH_CONTRAST="hc"})(v=e.ColorScheme||(e.ColorScheme={}))}),define(Y[195],J([0,1,5,2,36,3,194,104]),function(H,e,v,R,L,E,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=v.createDecorator("themeService");var y;(function(S){function p(s){return s&&typeof s=="object"&&typeof s.id=="string"}S.isThemeColor=p})(y=e.ThemeColor||(e.ThemeColor={}));function i(S){return{id:S}}e.themeColorFromId=i;var k;(function(S){function p(t){return t&&typeof t=="object"&&typeof t.id=="string"&&(typeof t.color=="undefined"||y.isThemeColor(t.color))}S.isThemeIcon=p;const s=new RegExp(`^\\$\\((${n.CSSIcon.iconNameExpression}(?:${n.CSSIcon.iconModifierExpression})?)\\)$`);function o(t){const r=s.exec(t);if(!!r){let[,c]=r;return{id:c}}}S.fromString=o;function a(t,r){let c=t.id;const d=c.lastIndexOf("~");return d!==-1&&(c=c.substring(0,d)),r&&(c=`${c}~${r}`),{id:c}}S.modify=a;function l(t,r){var c,d;return t.id===r.id&&((c=t.color)===null||c===void 0?void 0:c.id)===((d=r.color)===null||d===void 0?void 0:d.id)}S.isEqual=l,S.asClassNameArray=n.CSSIcon.asClassNameArray,S.asClassName=n.CSSIcon.asClassName,S.asCSSSelector=n.CSSIcon.asCSSSelector})(k=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=n.Codicon.file,e.FolderThemeIcon=n.Codicon.folder;function f(S){switch(S){case M.ColorScheme.DARK:return"vs-dark";case M.ColorScheme.HIGH_CONTRAST:return"hc-black";default:return"vs"}}e.getThemeTypeSelector=f,e.Extensions={ThemingContribution:"base.contributions.theming"};class b{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new E.Emitter}onColorThemeChange(p){return this.themingParticipants.push(p),this.onThemingParticipantAddedEmitter.fire(p),R.toDisposable(()=>{const s=this.themingParticipants.indexOf(p);this.themingParticipants.splice(s,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}let g=new b;L.Registry.add(e.Extensions.ThemingContribution,g);function h(S){return g.onColorThemeChange(S)}e.registerThemingParticipant=h;class w extends R.Disposable{constructor(p){super();this.themeService=p,this.theme=p.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(s=>this.onThemeChange(s)))}onThemeChange(p){this.theme=p,this.updateStyles()}updateStyles(){}getColor(p,s){let o=this.theme.getColor(p);return o&&s&&(o=s(o,this.theme)),o?o.toString():null}}e.Themable=w}),define(Y[71],J([0,1,4,11,37,5]),function(H,e,v,R,L,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ThemeMainService=e.IThemeMainService=void 0;const M="#FFFFFF",n="#1E1E1E",y="#000000",i="theme",k="themeBackground";e.IThemeMainService=E.createDecorator("themeMainService");let f=class{constructor(g){this.stateService=g,R.ipcMain.on("vscode:changeColorTheme",(h,w,S)=>{typeof S=="string"&&this.storeBackgroundColor(JSON.parse(S))})}storeBackgroundColor(g){this.stateService.setItem(i,g.baseTheme),this.stateService.setItem(k,g.background)}getBackgroundColor(){if((v.isWindows||v.isMacintosh)&&R.nativeTheme.shouldUseInvertedColorScheme)return y;let g=this.stateService.getItem(k,null);if(!g){let h;(v.isWindows||v.isMacintosh)&&R.nativeTheme.shouldUseInvertedColorScheme?h="hc-black":h=this.stateService.getItem(i,"vs-dark").split(" ")[0],g=h==="hc-black"?y:h==="vs"?M:n}return v.isMacintosh&&g.toUpperCase()===n&&(g="#171717"),g}};f=ue([ie(0,L.IStateService)],f),e.ThemeMainService=f}),define(Y[40],J([0,1,5]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IUpdateService=e.State=e.UpdateType=e.StateType=void 0;var R;(function(E){E.Uninitialized="uninitialized",E.Idle="idle",E.CheckingForUpdates="checking for updates",E.AvailableForDownload="available for download",E.Downloading="downloading",E.Downloaded="downloaded",E.Updating="updating",E.Ready="ready"})(R=e.StateType||(e.StateType={}));var L;(function(E){E[E.Setup=0]="Setup",E[E.Archive=1]="Archive",E[E.Snap=2]="Snap"})(L=e.UpdateType||(e.UpdateType={})),e.State={Uninitialized:{type:"uninitialized"},Idle:(E,M)=>({type:"idle",updateType:E,error:M}),CheckingForUpdates:E=>({type:"checking for updates",context:E}),AvailableForDownload:E=>({type:"available for download",update:E}),Downloading:E=>({type:"downloading",update:E}),Downloaded:E=>({type:"downloaded",update:E}),Updating:E=>({type:"updating",update:E}),Ready:E=>({type:"ready",update:E})},e.IUpdateService=v.createDecorator("updateService")}),define(Y[196],J([0,1,36,46,143,4]),function(H,e,v,R,L,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),v.Registry.as(R.Extensions.Configuration).registerConfiguration({id:"update",order:15,title:L.localize(0,null),type:"object",properties:{"update.mode":{type:"string",enum:["none","manual","start","default"],default:"default",scope:1,description:L.localize(1,null),tags:["usesOnlineServices"],enumDescriptions:[L.localize(2,null),L.localize(3,null),L.localize(4,null),L.localize(5,null)]},"update.channel":{type:"string",default:"default",scope:1,description:L.localize(6,null),deprecationMessage:L.localize(7,null,"update.mode")},"update.enableWindowsBackgroundUpdates":{type:"boolean",default:!0,scope:1,title:L.localize(8,null),description:L.localize(9,null),included:E.isWindows&&!E.isWeb},"update.showReleaseNotes":{type:"boolean",default:!0,scope:1,description:L.localize(10,null),tags:["usesOnlineServices"]}}})}),define(Y[197],J([0,1,3,40]),function(H,e,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.UpdateChannelClient=e.UpdateChannel=void 0;class L{constructor(n){this.service=n}listen(n,y){switch(y){case"onStateChange":return this.service.onStateChange}throw new Error(`Event not found: ${y}`)}call(n,y,i){switch(y){case"checkForUpdates":return this.service.checkForUpdates(i);case"downloadUpdate":return this.service.downloadUpdate();case"applyUpdate":return this.service.applyUpdate();case"quitAndInstall":return this.service.quitAndInstall();case"_getInitialState":return Promise.resolve(this.service.state);case"isLatestVersion":return this.service.isLatestVersion()}throw new Error(`Call not found: ${y}`)}}e.UpdateChannel=L;class E{constructor(n){this.channel=n,this._onStateChange=new v.Emitter,this.onStateChange=this._onStateChange.event,this._state=R.State.Uninitialized,this.channel.listen("onStateChange")(y=>this.state=y),this.channel.call("_getInitialState").then(y=>this.state=y)}get state(){return this._state}set state(n){this._state=n,this._onStateChange.fire(n)}checkForUpdates(n){return this.channel.call("checkForUpdates",n)}downloadUpdate(){return this.channel.call("downloadUpdate")}applyUpdate(){return this.channel.call("applyUpdate")}quitAndInstall(){return this.channel.call("quitAndInstall")}isLatestVersion(){return this.channel.call("isLatestVersion")}}e.UpdateChannelClient=E}),define(Y[95],J([0,1,5]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IURLService=void 0,e.IURLService=v.createDecorator("urlService")}),define(Y[198],J([0,1,7]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URLHandlerRouter=e.URLHandlerChannelClient=e.URLHandlerChannel=void 0;class R{constructor(n){this.handler=n}listen(n,y){throw new Error(`Event not found: ${y}`)}call(n,y,i){switch(y){case"handleURL":return this.handler.handleURL(v.URI.revive(i[0]),i[1])}throw new Error(`Call not found: ${y}`)}}e.URLHandlerChannel=R;class L{constructor(n){this.channel=n}handleURL(n,y){return this.channel.call("handleURL",[n.toJSON(),y])}}e.URLHandlerChannelClient=L;class E{constructor(n){this.next=n}async routeCall(n,y,i,k){if(y!=="handleURL")throw new Error(`Call not found: ${y}`);if(i){const f=v.URI.revive(i);if(f&&f.query){const b=/\bwindowId=(\d+)/.exec(f.query);if(b){const g=b[1],h=new RegExp(`window:${g}`),w=n.connections.find(S=>h.test(S.ctx));if(w)return w}}}return this.next.routeCall(n,y,i,k)}routeEvent(n,y){throw new Error(`Event not found: ${y}`)}}e.URLHandlerRouter=E}),define(Y[199],J([0,1,7,9,2,17]),function(H,e,v,R,L,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeURLService=e.AbstractURLService=void 0;class M extends L.Disposable{constructor(){super(...arguments);this.handlers=new Set}open(i,k){const f=[...this.handlers.values()];return R.first(f.map(b=>()=>b.handleURL(i,k)),void 0,!1).then(b=>b||!1)}registerHandler(i){return this.handlers.add(i),L.toDisposable(()=>this.handlers.delete(i))}}e.AbstractURLService=M;class n extends M{create(i){let{authority:k,path:f,query:b,fragment:g}=i||{authority:void 0,path:void 0,query:void 0,fragment:void 0};return k&&f&&f.indexOf("/")!==0&&(f=`/${f}`),v.URI.from({scheme:E.default.urlProtocol,authority:k,path:f,query:b,fragment:g})}}e.NativeURLService=n}),define(Y[200],J([0,1,3,17,11,7,2,4,9]),function(H,e,v,R,L,E,M,n,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ElectronURLListener=void 0;function i(f){try{return E.URI.parse(f)}catch(b){return null}}class k{constructor(b,g,h,w){if(this.urlService=g,this.uris=[],this.retryCount=0,this.flushDisposable=M.Disposable.None,this.disposables=new M.DisposableStore,this.uris=b,n.isWindows){const s=w.isBuilt?[]:[`"${w.appRoot}"`];s.push("--open-url","--"),L.app.setAsDefaultProtocolClient(R.default.urlProtocol,process.execPath,s)}const S=v.Event.map(v.Event.fromNodeEventEmitter(L.app,"open-url",(s,o)=>({event:s,url:o})),({event:s,url:o})=>(s.preventDefault(),o));this.disposables.add(S(s=>{const o=i(s);!o||this.urlService.open(o,{originalUrl:s})})),h.getWindows().filter(s=>s.isReady).length>0?this.flush():v.Event.once(h.onDidSignalReadyWindow)(this.flush,this,this.disposables)}async flush(){if(!(this.retryCount++>10)){const b=[];for(const g of this.uris)await this.urlService.open(g.uri,{originalUrl:g.url})||b.push(g);b.length!==0&&(this.uris=b,this.flushDisposable=y.disposableTimeout(()=>this.flush(),500))}}dispose(){this.disposables.dispose(),this.flushDisposable.dispose()}}e.ElectronURLListener=k}),define(Y[201],J([0,1,107,8]),function(H,e,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getWebviewContentMimeType=void 0;const L=new Map([[".svg","image/svg+xml"],[".txt","text/plain"],[".css","text/css"],[".js","application/javascript"],[".json","application/json"],[".html","text/html"],[".htm","text/html"],[".xhtml","application/xhtml+xml"],[".oft","font/otf"],[".xml","application/xml"]]);function E(M){const n=R.extname(M.fsPath).toLowerCase();return L.get(n)||v.getMediaMime(M.fsPath)||v.MIME_UNKNOWN}e.getWebviewContentMimeType=E}),define(Y[72],J([0,1,29,10,8,7,16,201]),function(H,e,v,R,L,E,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.loadLocalResource=e.readFileStream=e.WebviewFileReadResponse=e.WebviewResourceResponse=e.webviewPartitionId=void 0,e.webviewPartitionId="webview";var y;(function(w){let S;(function(o){o[o.Success=0]="Success",o[o.Failed=1]="Failed",o[o.AccessDenied=2]="AccessDenied",o[o.NotModified=3]="NotModified"})(S=w.Type||(w.Type={}));class p{constructor(a,l,t){this.stream=a,this.etag=l,this.mimeType=t,this.type=S.Success}}w.StreamSuccess=p,w.Failed={type:S.Failed},w.AccessDenied={type:S.AccessDenied};class s{constructor(a){this.mimeType=a,this.type=S.NotModified}}w.NotModified=s})(y=e.WebviewResourceResponse||(e.WebviewResourceResponse={}));var i;(function(w){let S;(function(s){s[s.Success=0]="Success",s[s.NotModified=1]="NotModified"})(S=w.Type||(w.Type={}));class p{constructor(o,a){this.stream=o,this.etag=a,this.type=S.Success}}w.StreamSuccess=p,w.NotModified={type:S.NotModified}})(i=e.WebviewFileReadResponse||(e.WebviewFileReadResponse={}));async function k(w,S,p){try{const s=await w.readFileStream(S,{etag:p});return new i.StreamSuccess(s.value,s.etag)}catch(s){if(s instanceof M.FileOperationError&&s.fileOperationResult===2)return i.NotModified;throw s}}e.readFileStream=k;async function f(w,S,p,s,o,a,l){a.debug(`loadLocalResource - being. requestUri=${w}`);let t=b(w,p.roots);if(a.debug(`loadLocalResource - found resource to load. requestUri=${w}, resourceToLoad=${t}`),!t)return y.AccessDenied;const r=n.getWebviewContentMimeType(w);if(p.rewriteUri&&(t=p.rewriteUri(t)),t.scheme===R.Schemas.http||t.scheme===R.Schemas.https){const c={};S&&(c["If-None-Match"]=S);const d=await o.request({url:t.toString(!0),headers:c},l);switch(a.debug(`loadLocalResource - Loaded over http(s). requestUri=${w}, response=${d.res.statusCode}`),d.res.statusCode){case 200:return new y.StreamSuccess(d.stream,d.res.headers.etag,r);case 304:return new y.NotModified(r);default:return y.Failed}}try{const c=await s.readFileStream(t,S);switch(a.debug(`loadLocalResource - Loaded using fileReader. requestUri=${w}`),c.type){case i.Type.Success:return new y.StreamSuccess(c.stream,c.etag,r);case i.Type.NotModified:return new y.NotModified(r);default:return a.error("loadLocalResource - Unknown file read response"),y.Failed}}catch(c){return a.debug(`loadLocalResource - Error using fileReader. requestUri=${w}`),console.log(c),y.Failed}}e.loadLocalResource=f;function b(w,S){const p=g(w);for(const s of S)if(h(s,p))return p}function g(w){return w.scheme===R.Schemas.vscodeWebviewResource?E.URI.parse(encodeURIComponent(w.path).replace(/%2F/gi,"/").replace(/^\/([a-z0-9\-]+)(\/{1,2})/i,(p,s,o)=>o.length===1?`${s}:///`:`${s}://`)).with({query:w.query,fragment:w.fragment}):w}function h(w,S){let p=w.fsPath+(w.fsPath.endsWith(L.sep)?"":L.sep),s=S.fsPath;return v.isUNC(w.fsPath)&&v.isUNC(S.fsPath)&&(p=p.toLowerCase(),s=s.toLowerCase()),s.startsWith(p)}}),define(Y[202],J([0,1,5]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IWebviewManagerService=void 0,e.IWebviewManagerService=v.createDecorator("webviewManagerService")}),define(Y[203],J([0,1,10,7,54]),function(H,e,v,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WebviewPortMappingManager=void 0;class E{constructor(n,y,i){this._getExtensionLocation=n,this._getMappings=y,this.tunnelService=i,this._tunnels=new Map}async getRedirect(n,y){const i=R.URI.parse(y),k=L.extractLocalHostUriMetaDataForPortMapping(i);if(!!k){for(const f of this._getMappings())if(f.webviewPort===k.port){const b=this._getExtensionLocation();if(b&&b.scheme===v.Schemas.vscodeRemote){const g=n&&await this.getOrCreateTunnel(n,f.extensionHostPort);if(g)return g.tunnelLocalPort===f.webviewPort?void 0:encodeURI(i.with({authority:`127.0.0.1:${g.tunnelLocalPort}`}).toString(!0))}if(f.webviewPort!==f.extensionHostPort)return encodeURI(i.with({authority:`${k.address}:${f.extensionHostPort}`}).toString(!0))}}}async dispose(){for(const n of this._tunnels.values())await n.dispose();this._tunnels.clear()}async getOrCreateTunnel(n,y){const i=this._tunnels.get(y);if(i)return i;const k=await this.tunnelService.openTunnel({getAddress:async()=>n},void 0,y);return k&&this._tunnels.set(y,k),k}}e.WebviewPortMappingManager=E}),define(Y[204],J([0,1,11,2,10,7,54,72,203]),function(H,e,v,R,L,E,M,n,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WebviewPortMappingProvider=void 0;let i=class extends R.Disposable{constructor(f){super();this._tunnelService=f,this._webviewData=new Map,v.session.fromPartition(n.webviewPartitionId).webRequest.onBeforeRequest({urls:["*://localhost:*/*","*://127.0.0.1:*/*","*://0.0.0.0:*/*"]},async(g,h)=>{let w;try{if(g.lastCommittedOrigin)w=E.URI.parse(g.lastCommittedOrigin).authority;else if(typeof g.webContentsId=="number"){const s=v.webContents.fromId(g.webContentsId),o=E.URI.parse(s.getURL());o.scheme===L.Schemas.vscodeWebview&&(w=o.authority)}}catch(s){return h({})}if(!w)return h({});const S=this._webviewData.get(w);if(!S)return h({});const p=await S.manager.getRedirect(S.metadata.resolvedAuthority,g.url);return h(p?{redirectURL:p}:{})})}async registerWebview(f,b){const g=new y.WebviewPortMappingManager(()=>{var h;return(h=this._webviewData.get(f))===null||h===void 0?void 0:h.metadata.extensionLocation},()=>{var h;return((h=this._webviewData.get(f))===null||h===void 0?void 0:h.metadata.mappings)||[]},this._tunnelService);this._webviewData.set(f,{metadata:b,manager:g})}unregisterWebview(f){const b=this._webviewData.get(f);b&&(b.manager.dispose(),this._webviewData.delete(f))}async updateWebviewMetadata(f,b){const g=this._webviewData.get(f);g&&this._webviewData.set(f,Object.assign(Object.assign({},g),b))}};i=ue([ie(0,M.ITunnelService)],i),e.WebviewPortMappingProvider=i}),define(Y[62],J([0,1,4]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.zoomLevelToZoomFactor=e.getTitleBarStyle=e.getMenuBarVisibility=e.isFileToOpen=e.isFolderToOpen=e.isWorkspaceToOpen=e.WindowMinimumSize=void 0,e.WindowMinimumSize={WIDTH:400,WIDTH_WITH_VERTICAL_PANEL:600,HEIGHT:270};function R(i){return!!i.workspaceUri}e.isWorkspaceToOpen=R;function L(i){return!!i.folderUri}e.isFolderToOpen=L;function E(i){return!!i.fileUri}e.isFileToOpen=E;function M(i){const k=n(i),f=i.getValue("window.menuBarVisibility");return f==="default"||k==="native"&&f==="compact"?"classic":f}e.getMenuBarVisibility=M;function n(i){if(v.isWeb)return"custom";const k=i.getValue("window");if(k){if(v.isMacintosh&&k.nativeTabs===!0||v.isMacintosh&&k.nativeFullScreen===!1)return"native";const g=k.titleBarStyle;if(g==="native"||g==="custom")return g}return v.isLinux?"native":"custom"}e.getTitleBarStyle=n;function y(i=0){return Math.pow(1.2,i)}e.zoomLevelToZoomFactor=y}),define(Y[32],J([0,1,5]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IWindowsMainService=e.WindowError=e.WindowMode=e.defaultWindowState=e.OpenContext=void 0;var R;(function(n){n[n.CLI=0]="CLI",n[n.DOCK=1]="DOCK",n[n.MENU=2]="MENU",n[n.DIALOG=3]="DIALOG",n[n.DESKTOP=4]="DESKTOP",n[n.API=5]="API"})(R=e.OpenContext||(e.OpenContext={}));const L=function(n=1){return{width:1024,height:768,mode:n}};e.defaultWindowState=L;var E;(function(n){n[n.Maximized=0]="Maximized",n[n.Normal=1]="Normal",n[n.Minimized=2]="Minimized",n[n.Fullscreen=3]="Fullscreen"})(E=e.WindowMode||(e.WindowMode={}));var M;(function(n){n[n.UNRESPONSIVE=1]="UNRESPONSIVE",n[n.CRASHED=2]="CRASHED",n[n.LOAD=3]="LOAD"})(M=e.WindowError||(e.WindowError={})),e.IWindowsMainService=v.createDecorator("windowsMainService")}),define(Y[205],J([0,1,11,238,22,25,2,10,57,7,16,6,39,72,32]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WebviewProtocolProvider=void 0;let w=class Et extends M.Disposable{constructor(p,s,o,a){super();this.fileService=p,this.logService=s,this.requestService=o,this.windowsMainService=a,this.webviewMetadata=new Map,this.requestIdPool=1,this.pendingResourceReads=new Map;const l=v.session.fromPartition(g.webviewPartitionId),t=this.handleWebviewRequest.bind(this);v.protocol.registerFileProtocol(n.Schemas.vscodeWebview,t),l.protocol.registerFileProtocol(n.Schemas.vscodeWebview,t);const r=this.handleWebviewResourceRequest.bind(this);v.protocol.registerStreamProtocol(n.Schemas.vscodeWebviewResource,r),l.protocol.registerStreamProtocol(n.Schemas.vscodeWebviewResource,r),this._register(M.toDisposable(()=>{v.protocol.unregisterProtocol(n.Schemas.vscodeWebviewResource),l.protocol.unregisterProtocol(n.Schemas.vscodeWebviewResource),v.protocol.unregisterProtocol(n.Schemas.vscodeWebview),l.protocol.unregisterProtocol(n.Schemas.vscodeWebview)}))}streamToNodeReadable(p){return new class extends R.Readable{constructor(){super(...arguments);this.listening=!1}_read(s){this.listening||(this.listening=!0,y.listenStream(p,{onData:o=>{try{this.push(o.buffer)||p.pause()}catch(a){this.emit(a)}},onError:o=>{this.emit("error",o)},onEnd:()=>{try{this.push(null)}catch(o){this.emit(o)}}})),p.resume()}_destroy(s,o){p.destroy(),o(null)}}}async registerWebview(p,s){this.webviewMetadata.set(p,s)}unregisterWebview(p){this.webviewMetadata.delete(p)}async updateWebviewMetadata(p,s){const o=this.webviewMetadata.get(p);o&&this.webviewMetadata.set(p,Object.assign(Object.assign({},o),s))}async handleWebviewRequest(p,s){try{const o=i.URI.parse(p.url),a=Et.validWebviewFilePaths.get(o.path);if(typeof a=="string"){const l=o.path.startsWith("/electron-browser")?`vs/workbench/contrib/webview/electron-browser/pre/${a}`:`vs/workbench/contrib/webview/browser/pre/${a}`,t=n.FileAccess.asFileUri(l,H);return s(decodeURIComponent(t.fsPath))}}catch(o){}s({error:-10})}async handleWebviewResourceRequest(p,s){try{const o=i.URI.parse(p.url),a=p.headers["If-None-Match"],l=o.authority,t=this.webviewMetadata.get(l);if(t){let r;t.remoteConnectionData&&(r=u=>{var m;if(t.remoteConnectionData&&(u.scheme===n.Schemas.vscodeRemote||((m=t.extensionLocation)===null||m===void 0?void 0:m.scheme)===n.Schemas.vscodeRemote)){let I=t.remoteConnectionData.host;return I&&I.indexOf(":")!==-1&&(I=`[${I}]`),i.URI.parse(`http://${I}:${t.remoteConnectionData.port}`).with({path:"/vscode-remote-resource",query:`tkn=${t.remoteConnectionData.connectionToken}&path=${encodeURIComponent(u.path)}`})}return u});const c={readFileStream:async(u,m)=>{var I;if(u.scheme===n.Schemas.file)return g.readFileStream(this.fileService,u,m);const A=this.windowsMainService.getWindowById(t.windowId);if(!A)throw new k.FileOperationError("Could not find window for resource",1);const F=this.requestIdPool++,N=new Promise(z=>{this.pendingResourceReads.set(F,{resolve:z})});A.send(`vscode:loadWebviewResource-${l}`,F,o,m);const $=await N;switch($.response){case"access-denied":throw new k.FileOperationError("Could not read file",6);case"not-found":throw new k.FileOperationError("Could not read file",1);case"not-modified":return g.WebviewFileReadResponse.NotModified;default:return new g.WebviewFileReadResponse.StreamSuccess(L.bufferToStream($.response),(I=$.responseDetails)===null||I===void 0?void 0:I.etag)}}},d=await g.loadLocalResource(o,a,{extensionLocation:t.extensionLocation,roots:t.localResourceRoots,remoteConnectionData:t.remoteConnectionData,rewriteUri:r},c,this.requestService,this.logService,E.CancellationToken.None);switch(d.type){case g.WebviewResourceResponse.Type.Success:{const u=d.etag?{ETag:d.etag,"Cache-Control":"no-cache"}:{},m=p.headers["If-None-Match"];return m&&d.etag===m?s({statusCode:304,data:void 0,headers:Object.assign({"Content-Type":d.mimeType,"Access-Control-Allow-Origin":"*"},u)}):s({statusCode:200,data:this.streamToNodeReadable(d.stream),headers:Object.assign({"Content-Type":d.mimeType,"Access-Control-Allow-Origin":"*"},u)})}case g.WebviewResourceResponse.Type.NotModified:return s({statusCode:304,data:void 0,headers:{"Content-Type":d.mimeType,"Access-Control-Allow-Origin":"*"}});case g.WebviewResourceResponse.Type.AccessDenied:return console.error("Webview: Cannot load resource outside of protocol root"),s({data:void 0,statusCode:401})}}}catch(o){}return s({data:void 0,statusCode:404})}didLoadResource(p,s,o){const a=this.pendingResourceReads.get(p);if(!a)throw new Error("Unknown request");this.pendingResourceReads.delete(p),a.resolve({response:s,responseDetails:o})}};w.validWebviewFilePaths=new Map([["/index.html","index.html"],["/electron-browser/index.html","index.html"],["/main.js","main.js"],["/host.js","host.js"]]),w=ue([ie(0,k.IFileService),ie(1,f.ILogService),ie(2,b.IRequestService),ie(3,h.IWindowsMainService)],w),e.WebviewProtocolProvider=w}),define(Y[206],J([0,1,11,2,7,16,6,54,39,72,204,205,32]),function(H,e,v,R,L,E,M,n,y,i,k,f,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WebviewMainService=void 0;let g=class extends R.Disposable{constructor(w,S,p,s,o){super();this.windowsMainService=o,this.protocolProvider=this._register(new f.WebviewProtocolProvider(w,S,p,o)),this.portMappingProvider=this._register(new k.WebviewPortMappingProvider(s));const a=v.session.fromPartition(i.webviewPartitionId);a.setPermissionRequestHandler((l,t,r)=>r(t==="clipboard-read")),a.setPermissionCheckHandler((l,t)=>t==="clipboard-read")}async registerWebview(w,S,p){const s=p.extensionLocation?L.URI.from(p.extensionLocation):void 0;this.protocolProvider.registerWebview(w,Object.assign(Object.assign({},p),{windowId:S,extensionLocation:s,localResourceRoots:p.localResourceRoots.map(o=>L.URI.from(o))})),this.portMappingProvider.registerWebview(w,{extensionLocation:s,mappings:p.portMappings,resolvedAuthority:p.remoteConnectionData})}async unregisterWebview(w){this.protocolProvider.unregisterWebview(w),this.portMappingProvider.unregisterWebview(w)}async updateWebviewMetadata(w,S){var p;const s=S.extensionLocation?L.URI.from(S.extensionLocation):void 0;this.protocolProvider.updateWebviewMetadata(w,Object.assign(Object.assign({},S),{extensionLocation:s,localResourceRoots:(p=S.localResourceRoots)===null||p===void 0?void 0:p.map(o=>L.URI.from(o))})),this.portMappingProvider.updateWebviewMetadata(w,Object.assign(Object.assign({},S),{extensionLocation:s}))}async setIgnoreMenuShortcuts(w,S){let p;if(typeof w.windowId=="number"){const{windowId:s}=w,o=this.windowsMainService.getWindowById(s);if(!(o==null?void 0:o.win))throw new Error(`Invalid windowId: ${s}`);p=o.win.webContents}else{const{webContentsId:s}=w;if(p=v.webContents.fromId(s),!p)throw new Error(`Invalid webContentsId: ${s}`)}p.isDestroyed()||p.setIgnoreMenuShortcuts(S)}async didLoadResource(w,S,p){this.protocolProvider.didLoadResource(w,S,p)}};g=ue([ie(0,E.IFileService),ie(1,M.ILogService),ie(2,y.IRequestService),ie(3,n.ITunnelService),ie(4,b.IWindowsMainService)],g),e.WebviewMainService=g}),define(Y[207],J([0,1,3,2,9]),function(H,e,v,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ActiveWindowManager=void 0;class E extends R.Disposable{constructor({onDidOpenWindow:n,onDidFocusWindow:y,getActiveWindowId:i}){super();this.disposables=this._register(new R.DisposableStore),v.Event.latch(v.Event.any(n,y))(this.setActiveWindow,this,this.disposables),this.firstActiveWindowIdPromise=L.createCancelablePromise(()=>i()),(async()=>{try{const f=await this.firstActiveWindowIdPromise;this.activeWindowId=typeof this.activeWindowId=="number"?this.activeWindowId:f}catch(f){}finally{this.firstActiveWindowIdPromise=void 0}})()}setActiveWindow(n){this.firstActiveWindowIdPromise&&(this.firstActiveWindowIdPromise.cancel(),this.firstActiveWindowIdPromise=void 0),this.activeWindowId=n}async getActiveClientId(){return`window:${this.firstActiveWindowIdPromise?await this.firstActiveWindowIdPromise:this.activeWindowId}`}}e.ActiveWindowManager=E}),define(Y[208],J([0,1,7,15,5,35]),function(H,e,v,R,L,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=L.createDecorator("contextService");var M;(function(b){b[b.EMPTY=1]="EMPTY",b[b.FOLDER=2]="FOLDER",b[b.WORKSPACE=3]="WORKSPACE"})(M=e.WorkbenchState||(e.WorkbenchState={}));function n(b){const g=b;return!!(g&&typeof g=="object"&&typeof g.id=="string"&&Array.isArray(g.folders))}e.isWorkspace=n;function y(b){const g=b;return!!(g&&typeof g=="object"&&v.URI.isUri(g.uri)&&typeof g.name=="string"&&typeof g.toResource=="function")}e.isWorkspaceFolder=y;class i{constructor(g,h,w,S){this._id=g,this._configuration=w,this._ignorePathCasing=S,this._foldersMap=E.TernarySearchTree.forUris(this._ignorePathCasing),this.folders=h}update(g){this._id=g.id,this._configuration=g.configuration,this._ignorePathCasing=g._ignorePathCasing,this.folders=g.folders}get folders(){return this._folders}set folders(g){this._folders=g,this.updateFoldersMap()}get id(){return this._id}get configuration(){return this._configuration}set configuration(g){this._configuration=g}getFolder(g){return g&&this._foldersMap.findSubstr(g.with({scheme:g.scheme,authority:g.authority,path:g.path}))||null}updateFoldersMap(){this._foldersMap=E.TernarySearchTree.forUris(this._ignorePathCasing);for(const g of this.folders)this._foldersMap.set(g.uri,g)}toJSON(){return{id:this.id,folders:this.folders,configuration:this.configuration}}}e.Workspace=i;class k{constructor(g,h){this.raw=h,this.uri=g.uri,this.index=g.index,this.name=g.name}toResource(g){return R.joinPath(this.uri,g)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=k;function f(b){return new k({uri:b,index:0,name:R.basenameOrAuthority(b)},{uri:b.toString()})}e.toWorkspaceFolder=f}),define(Y[28],J([0,1,5,146,208,7,4,8,15,101,42,10,38,29,91]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toStoreData=e.restoreRecentlyOpened=e.useSlashForPath=e.rewriteWorkspaceFileForNewLocation=e.toWorkspaceFolders=e.getStoredWorkspaceFolder=e.isRawUriWorkspaceFolder=e.isRawFileWorkspaceFolder=e.isStoredWorkspaceFolder=e.isUntitledWorkspace=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.isRecentFile=e.isRecentFolder=e.isRecentWorkspace=e.IWorkspacesService=e.hasWorkspaceFileExtension=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=void 0,e.WORKSPACE_EXTENSION="code-workspace";const w=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:R.localize(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function S(te){return(typeof te=="string"?n.extname(te):y.extname(te))===w}e.hasWorkspaceFileExtension=S,e.IWorkspacesService=v.createDecorator("workspacesService");function p(te){return te.hasOwnProperty("workspace")}e.isRecentWorkspace=p;function s(te){return te.hasOwnProperty("folderUri")}e.isRecentFolder=s;function o(te){return te.hasOwnProperty("fileUri")}e.isRecentFile=o;function a(te){const Z=te;return typeof(Z==null?void 0:Z.id)=="string"&&E.URI.isUri(Z.uri)}e.isSingleFolderWorkspaceIdentifier=a;function l(te){if(te.configuration)return{id:te.id,configPath:te.configuration};if(te.folders.length===1)return{id:te.id,uri:te.folders[0].uri}}e.toWorkspaceIdentifier=l;function t(te){const Z=te;return typeof(Z==null?void 0:Z.id)=="string"&&E.URI.isUri(Z.configPath)}e.isWorkspaceIdentifier=t;function r(te){const Z=te;if(Z==null?void 0:Z.uri)return{id:Z.id,uri:E.URI.revive(Z.uri)};const C=te;if(C==null?void 0:C.configPath)return{id:C.id,configPath:E.URI.revive(C.configPath)};if(te==null?void 0:te.id)return{id:te.id}}e.reviveIdentifier=r;function c(te,Z){return y.extUriBiasedIgnorePathCase.isEqualOrParent(te,Z.untitledWorkspacesHome)}e.isUntitledWorkspace=c;function d(te){return u(te)||m(te)}e.isStoredWorkspaceFolder=d;function u(te){const Z=te;return typeof(Z==null?void 0:Z.path)=="string"&&(!Z.name||typeof Z.name=="string")}e.isRawFileWorkspaceFolder=u;function m(te){const Z=te;return typeof(Z==null?void 0:Z.uri)=="string"&&(!Z.name||typeof Z.name=="string")}e.isRawUriWorkspaceFolder=m;function I(te,Z,C,X,G=!M.isWindows,U){if(te.scheme!==X.scheme)return{name:C,uri:te.toString(!0)};let W=Z?void 0:U.relativePath(X,te);if(W!==void 0)W.length===0?W=".":M.isWindows&&te.scheme===f.Schemas.file&&!G&&(W=W.replace(/\//g,"\\"));else if(te.scheme===f.Schemas.file)W=te.fsPath,M.isWindows&&(W=b.normalizeDriveLetter(W),G&&(W=g.toSlashes(W)));else{if(!U.isEqualAuthority(te.authority,X.authority))return{name:C,uri:te.toString(!0)};W=te.path}return{name:C,path:W}}e.getStoredWorkspaceFolder=I;function A(te,Z,C){let X=[],G=new Set;const U=C.dirname(Z);for(let W of te){let D=null;if(u(W))W.path&&(D=C.resolvePath(U,W.path));else if(m(W))try{D=E.URI.parse(W.uri),D.path[0]!=="/"&&(D=D.with({path:"/"+D.path}))}catch(P){console.warn(P)}if(D){let P=C.getComparisonKey(D);if(!G.has(P)){G.add(P);const _=W.name||C.basenameOrAuthority(D);X.push(new L.WorkspaceFolder({uri:D,name:_,index:X.length},W))}}}return X}e.toWorkspaceFolders=A;function F(te,Z,C,X,G){let U=N(Z,te);const W=G.dirname(Z),D=G.dirname(X),P=[],_=$(U.folders);for(const j of U.folders){const V=u(j)?G.resolvePath(W,j.path):E.URI.parse(j.uri);let K;C?K=!1:K=!u(j)||n.isAbsolute(j.path),P.push(I(V,K,j.name,D,_,G))}const T={insertSpaces:!1,tabSize:4,eol:M.isLinux||M.isMacintosh?`
`:`\r
`},O=i.setProperty(te,["folders"],P,T);let B=i.applyEdits(te,O);return U.remoteAuthority===h.getRemoteAuthority(X)&&(B=i.applyEdits(B,i.removeProperty(B,["remoteAuthority"],T))),B}e.rewriteWorkspaceFileForNewLocation=F;function N(te,Z){let C=k.parse(Z);if(C&&Array.isArray(C.folders))C.folders=C.folders.filter(X=>d(X));else throw new Error(`${te} looks like an invalid workspace file.`);return C}function $(te){return M.isWindows?te.some(Z=>u(Z)&&Z.path.indexOf("/")>=0):!0}e.useSlashForPath=$;function z(te,Z){const C={workspaces:[],files:[]};if(te){const X=function(U,W){for(let D=0;D<U.length;D++)try{W(U[D],D)}catch(P){Z.warn(`Error restoring recent entry ${JSON.stringify(U[D])}: ${P.toString()}. Skip entry.`)}},G=te;Array.isArray(G.workspaces3)&&X(G.workspaces3,(U,W)=>{const D=Array.isArray(G.workspaceLabels)&&G.workspaceLabels[W]||void 0;typeof U=="object"&&typeof U.id=="string"&&typeof U.configURIPath=="string"?C.workspaces.push({label:D,workspace:{id:U.id,configPath:E.URI.parse(U.configURIPath)}}):typeof U=="string"&&C.workspaces.push({label:D,folderUri:E.URI.parse(U)})}),Array.isArray(G.files2)&&X(G.files2,(U,W)=>{const D=Array.isArray(G.fileLabels)&&G.fileLabels[W]||void 0;typeof U=="string"&&C.files.push({label:D,fileUri:E.URI.parse(U)})})}return C}e.restoreRecentlyOpened=z;function x(te){const Z={workspaces3:[],files2:[]};let C=!1;const X=[];for(const U of te.workspaces)s(U)?Z.workspaces3.push(U.folderUri.toString()):Z.workspaces3.push({id:U.workspace.id,configURIPath:U.workspace.configPath.toString()}),X.push(U.label||null),C=C||!!U.label;C&&(Z.workspaceLabels=X),C=!1;const G=[];for(const U of te.files)Z.files2.push(U.fileUri.toString()),G.push(U.label||null),C=C||!!U.label;return C&&(Z.fileLabels=G),Z}e.toStoreData=x}),define(Y[47],J([0,1,5,28]),function(H,e,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isWorkspaceBackupInfo=e.IBackupMainService=void 0,e.IBackupMainService=v.createDecorator("backupMainService");function L(E){const M=E;return M&&R.isWorkspaceIdentifier(M.workspace)}e.isWorkspaceBackupInfo=L}),define(Y[48],J([0,1,5,11,9,37,4,8,65,24,13,130,28,38,2,76]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DialogMainService=e.IDialogMainService=void 0,e.IDialogMainService=v.createDecorator("dialogMainService");let S=class gt{constructor(s){this.stateService=s,this.windowFileDialogLocks=new Map,this.windowDialogQueues=new Map,this.noWindowDialogueQueue=new L.Queue}pickFileFolder(s,o){return this.doPick(Object.assign(Object.assign({},s),{pickFolders:!0,pickFiles:!0,title:f.localize(0,null)}),o)}pickFolder(s,o){return this.doPick(Object.assign(Object.assign({},s),{pickFolders:!0,title:f.localize(1,null)}),o)}pickFile(s,o){return this.doPick(Object.assign(Object.assign({},s),{pickFiles:!0,title:f.localize(2,null)}),o)}pickWorkspace(s,o){const a=f.localize(3,null),l=g.mnemonicButtonLabel(f.localize(4,null)),t=b.WORKSPACE_FILTER;return this.doPick(Object.assign(Object.assign({},s),{pickFiles:!0,title:a,filters:t,buttonLabel:l}),o)}async doPick(s,o){const a={title:s.title,buttonLabel:s.buttonLabel,filters:s.filters};a.defaultPath=s.defaultPath||this.stateService.getItem(gt.workingDirPickerStorageKey),(typeof s.pickFiles=="boolean"||typeof s.pickFolders=="boolean")&&(a.properties=void 0,s.pickFiles&&s.pickFolders&&(a.properties=["multiSelections","openDirectory","openFile","createDirectory"])),a.properties||(a.properties=["multiSelections",s.pickFolders?"openDirectory":"openFile","createDirectory"]),M.isMacintosh&&a.properties.push("treatPackageAsDirectory");const l=o||R.BrowserWindow.getFocusedWindow(),t=await this.showOpenDialog(a,k.withNullAsUndefined(l));if(t&&t.filePaths&&t.filePaths.length>0)return this.stateService.setItem(gt.workingDirPickerStorageKey,n.dirname(t.filePaths[0])),t.filePaths}getWindowDialogQueue(s){if(s){let o=this.windowDialogQueues.get(s.id);return o||(o=new L.Queue,this.windowDialogQueues.set(s.id,o)),o}else return this.noWindowDialogueQueue}showMessageBox(s,o){return this.getWindowDialogQueue(o).queue(async()=>o?R.dialog.showMessageBox(o,s):R.dialog.showMessageBox(s))}async showSaveDialog(s,o){const a=this.acquireFileDialogLock(s,o);if(!a)throw new Error("A file save dialog is already or will be showing for the window with the same configuration");try{return await this.getWindowDialogQueue(o).queue(async()=>{let l;return o?l=await R.dialog.showSaveDialog(o,s):l=await R.dialog.showSaveDialog(s),l.filePath=this.normalizePath(l.filePath),l})}finally{h.dispose(a)}}normalizePath(s){return s&&M.isMacintosh&&(s=y.normalizeNFC(s)),s}normalizePaths(s){return s.map(o=>this.normalizePath(o))}async showOpenDialog(s,o){s.defaultPath&&(await i.exists(s.defaultPath)||(s.defaultPath=void 0));const a=this.acquireFileDialogLock(s,o);if(!a)throw new Error("A file open dialog is already or will be showing for the window with the same configuration");try{return await this.getWindowDialogQueue(o).queue(async()=>{let l;return o?l=await R.dialog.showOpenDialog(o,s):l=await R.dialog.showOpenDialog(s),l.filePaths=this.normalizePaths(l.filePaths),l})}finally{h.dispose(a)}}acquireFileDialogLock(s,o){if(!o)return h.Disposable.None;let a=this.windowFileDialogLocks.get(o.id);a||(a=new Set,this.windowFileDialogLocks.set(o.id,a));const l=w.hash(s);if(!a.has(l))return a.add(l),h.toDisposable(()=>{a==null||a.delete(l),(a==null?void 0:a.size)===0&&this.windowFileDialogLocks.delete(o.id)})}};S.workingDirPickerStorageKey="pickerWorkingDir",S=ue([ie(0,E.IStateService)],S),e.DialogMainService=S}),define(Y[209],J([0,1,3,2,28]),function(H,e,v,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageDatabaseChannel=void 0;class E extends R.Disposable{constructor(n,y){super();this.logService=n,this.storageMainService=y,this._onDidChangeGlobalStorage=this._register(new v.Emitter),this.onDidChangeGlobalStorage=this._onDidChangeGlobalStorage.event,this.registerGlobalStorageListeners()}registerGlobalStorageListeners(){this._register(v.Event.debounce(this.storageMainService.globalStorage.onDidChangeStorage,(n,y)=>(n?n.push(y):n=[y],n),E.STORAGE_CHANGE_DEBOUNCE_TIME)(n=>{n.length&&this._onDidChangeGlobalStorage.fire(this.serializeGlobalStorageEvents(n))}))}serializeGlobalStorageEvents(n){const y=new Map,i=new Set;return n.forEach(k=>{const f=this.storageMainService.globalStorage.get(k.key);typeof f=="string"?y.set(k.key,f):i.add(k.key)}),{changed:Array.from(y.entries()),deleted:Array.from(i.values())}}listen(n,y){switch(y){case"onDidChangeGlobalStorage":return this.onDidChangeGlobalStorage}throw new Error(`Event not found: ${y}`)}async call(n,y,i){const k=L.reviveIdentifier(i.workspace),f=await this.withStorageInitialized(k);switch(y){case"getItems":return Array.from(f.items.entries());case"updateItems":{const b=i;if(b.insert)for(const[g,h]of b.insert)f.set(g,h);b.delete&&b.delete.forEach(g=>f.delete(g));break}case"close":{if(k)return f.close();break}default:throw new Error(`Call not found: ${y}`)}}async withStorageInitialized(n){const y=n?this.storageMainService.workspaceStorage(n):this.storageMainService.globalStorage;try{await y.init()}catch(i){this.logService.error(`StorageIPC#init: Unable to init ${n?"workspace":"global"} storage due to ${i}`)}return y}}e.StorageDatabaseChannel=E,E.STORAGE_CHANGE_DEBOUNCE_TIME=100}),define(Y[210],J([0,1,23,24,3,2,6,120,82,8,93,31,30,28]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspaceStorageMain=e.GlobalStorageMain=void 0;class h extends E.Disposable{constructor(s){super();this.logService=s,this._onDidChangeStorage=this._register(new L.Emitter),this.onDidChangeStorage=this._onDidChangeStorage.event,this._onDidCloseStorage=this._register(new L.Emitter),this.onDidCloseStorage=this._onDidCloseStorage.event,this.storage=new y.Storage(new y.InMemoryStorageDatabase),this.initializePromise=void 0}init(){return this.initializePromise||(this.initializePromise=(async()=>{try{const s=await this.doCreate();this.storage.dispose(),this.storage=s,this._register(s.onDidChangeStorage(a=>this._onDidChangeStorage.fire({key:a}))),await this.doInit(s);const o=s.getBoolean(k.IS_NEW_KEY);o===void 0?s.set(k.IS_NEW_KEY,!0):o&&s.set(k.IS_NEW_KEY,!1)}catch(s){this.logService.error(`StorageMain#initialize(): Unable to init storage due to ${s}`)}})()),this.initializePromise}createLogginOptions(){return{logTrace:this.logService.getLevel()===M.LogLevel.Trace?s=>this.logService.trace(s):void 0,logError:s=>this.logService.error(s)}}doInit(s){return s.init()}get items(){return this.storage.items}get(s,o){return this.storage.get(s,o)}set(s,o){return this.storage.set(s,o)}delete(s){return this.storage.delete(s)}async close(){this.initializePromise&&await this.initializePromise,await this.storage.close(),this._onDidCloseStorage.fire()}}class w extends h{constructor(s,o,a){super(o);this.options=s,this.environmentService=a}async doCreate(){let s;return this.options.useInMemoryStorage?s=n.SQLiteStorageDatabase.IN_MEMORY_PATH:s=i.join(this.environmentService.globalStorageHome.fsPath,w.STORAGE_NAME),new y.Storage(new n.SQLiteStorageDatabase(s,{logging:this.createLogginOptions()}))}async doInit(s){await super.doInit(s),this.updateTelemetryState(s)}updateTelemetryState(s){s.get(f.instanceStorageKey,void 0)===void 0&&s.set(f.instanceStorageKey,b.generateUuid()),s.get(f.firstSessionDateStorageKey,void 0)===void 0&&s.set(f.firstSessionDateStorageKey,new Date().toUTCString());const l=s.get(f.currentSessionDateStorageKey,void 0),t=new Date().toUTCString();s.set(f.lastSessionDateStorageKey,typeof l=="undefined"?null:l),s.set(f.currentSessionDateStorageKey,t)}}e.GlobalStorageMain=w,w.STORAGE_NAME="state.vscdb";class S extends h{constructor(s,o,a,l){super(a);this.workspace=s,this.options=o,this.environmentService=l}async doCreate(){const{storageFilePath:s,wasCreated:o}=await this.prepareWorkspaceStorageFolder();return new y.Storage(new n.SQLiteStorageDatabase(s,{logging:this.createLogginOptions()}),{hint:o?y.StorageHint.STORAGE_DOES_NOT_EXIST:void 0})}async prepareWorkspaceStorageFolder(){if(this.options.useInMemoryStorage)return{storageFilePath:n.SQLiteStorageDatabase.IN_MEMORY_PATH,wasCreated:!0};const s=i.join(this.environmentService.workspaceStorageHome.fsPath,this.workspace.id),o=i.join(s,S.WORKSPACE_STORAGE_NAME);return await R.exists(s)?{storageFilePath:o,wasCreated:!1}:(await v.promises.mkdir(s,{recursive:!0}),this.ensureWorkspaceStorageFolderMeta(s),{storageFilePath:o,wasCreated:!0})}async ensureWorkspaceStorageFolderMeta(s){let o;if(g.isSingleFolderWorkspaceIdentifier(this.workspace)?o={folder:this.workspace.uri.toString()}:g.isWorkspaceIdentifier(this.workspace)&&(o={workspace:this.workspace.configPath.toString()}),o)try{const a=i.join(s,S.WORKSPACE_META_NAME);await R.exists(a)||await R.writeFile(a,JSON.stringify(o,void 0,2))}catch(a){this.logService.error(`StorageMain#ensureWorkspaceStorageFolderMeta(): Unable to create workspace storage metadata due to ${a}`)}}}e.WorkspaceStorageMain=S,S.WORKSPACE_STORAGE_NAME="state.vscdb",S.WORKSPACE_META_NAME="workspace.json"}),define(Y[96],J([0,1,41,2,18,52,5,19,6,210]),function(H,e,v,R,L,E,M,n,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StorageMainService=e.IStorageMainService=void 0,e.IStorageMainService=M.createDecorator("storageMainService");let k=class extends R.Disposable{constructor(b,g,h,w){super();this.logService=b,this.environmentService=g,this.lifecycleMainService=h,this.configurationService=w,this.globalStorage=this.createGlobalStorage(),this.mapWorkspaceToStorage=new Map,this.registerListeners()}getStorageOptions(){return{useInMemoryStorage:!!this.environmentService.extensionTestsLocationURI}}enableMainWorkspaceStorage(){var b;return!!((b=this.configurationService.getValue("window"))===null||b===void 0?void 0:b.enableExperimentalMainProcessWorkspaceStorage)}registerListeners(){(async()=>{await this.lifecycleMainService.when(3),this.globalStorage.init()})(),this.enableMainWorkspaceStorage()&&this._register(this.lifecycleMainService.onWillLoadWindow(async b=>{b.workspace&&this.workspaceStorage(b.workspace).init()})),this._register(this.lifecycleMainService.onWillShutdown(b=>{b.join(this.globalStorage.close());for(const[,g]of this.mapWorkspaceToStorage)b.join(g.close())}))}createGlobalStorage(){if(this.globalStorage)return this.globalStorage;this.logService.trace("StorageMainService: creating global storage");const b=new i.GlobalStorageMain(this.getStorageOptions(),this.logService,this.environmentService);return v.once(b.onDidCloseStorage)(()=>{this.logService.trace("StorageMainService: closed global storage")}),b}createWorkspaceStorage(b){return new i.WorkspaceStorageMain(b,this.getStorageOptions(),this.logService,this.environmentService)}workspaceStorage(b){let g=this.mapWorkspaceToStorage.get(b.id);return g||(this.logService.trace(`StorageMainService: creating workspace storage (${b.id})`),g=this.createWorkspaceStorage(b),this.mapWorkspaceToStorage.set(b.id,g),v.once(g.onDidCloseStorage)(()=>{this.logService.trace(`StorageMainService: closed workspace storage (${b.id})`),this.mapWorkspaceToStorage.delete(b.id)})),g}};k=ue([ie(0,y.ILogService),ie(1,E.IEnvironmentService),ie(2,n.ILifecycleMainService),ie(3,L.IConfigurationService)],k),e.StorageMainService=k}),define(Y[97],J([0,1,7,28,15]),function(H,e,v,R,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findWindowOnExtensionDevelopmentPath=e.findWindowOnWorkspaceOrFolder=e.findWindowOnFile=void 0;function E(y,i,k){for(const b of y){const g=b.openedWorkspace;if(R.isWorkspaceIdentifier(g)){const h=k(g);if(h){if(h.folders.some(w=>L.extUriBiasedIgnorePathCase.isEqualOrParent(i,w.uri)))return b}else if(L.extUriBiasedIgnorePathCase.isEqualOrParent(i,g.configPath))return b}}const f=y.filter(b=>R.isSingleFolderWorkspaceIdentifier(b.openedWorkspace)&&L.extUriBiasedIgnorePathCase.isEqualOrParent(i,b.openedWorkspace.uri));if(f.length)return f.sort((b,g)=>-(b.openedWorkspace.uri.path.length-g.openedWorkspace.uri.path.length))[0]}e.findWindowOnFile=E;function M(y,i){for(const k of y)if(R.isWorkspaceIdentifier(k.openedWorkspace)&&L.extUriBiasedIgnorePathCase.isEqual(k.openedWorkspace.configPath,i)||R.isSingleFolderWorkspaceIdentifier(k.openedWorkspace)&&L.extUriBiasedIgnorePathCase.isEqual(k.openedWorkspace.uri,i))return k}e.findWindowOnWorkspaceOrFolder=M;function n(y,i){var k,f;const b=g=>i.some(h=>L.extUriBiasedIgnorePathCase.isEqual(v.URI.file(h),v.URI.file(g)));for(const g of y)if((f=(k=g.config)===null||k===void 0?void 0:k.extensionDevelopmentPath)===null||f===void 0?void 0:f.some(h=>b(h)))return g}e.findWindowOnExtensionDevelopmentPath=n}),define(Y[211],J([0,1,11,2,4,15,7,18,19,6,37,32,28]),function(H,e,v,R,L,E,M,n,y,i,k,f,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getWindowsStateStoreData=e.restoreWindowsState=e.WindowsStateHandler=void 0;let g=class mt extends R.Disposable{constructor(o,a,l,t,r){super();this.windowsMainService=o,this.stateService=a,this.lifecycleMainService=l,this.logService=t,this.configurationService=r,this._state=h(this.stateService.getItem(mt.windowsStateStorageKey)),this.lastClosedState=void 0,this.shuttingDown=!1,this.registerListeners()}get state(){return this._state}registerListeners(){v.app.on("browser-window-blur",()=>{this.shuttingDown||this.saveWindowsState()}),this.lifecycleMainService.onBeforeCloseWindow(o=>this.onBeforeCloseWindow(o)),this.lifecycleMainService.onBeforeShutdown(()=>this.onBeforeShutdown()),this.windowsMainService.onDidChangeWindowsCount(o=>{o.newCount-o.oldCount>0&&(this.lastClosedState=void 0)}),this.windowsMainService.onDidDestroyWindow(o=>this.onBeforeCloseWindow(o))}onBeforeShutdown(){this.shuttingDown=!0,this.saveWindowsState()}saveWindowsState(){const o={openedWindows:[],lastPluginDevelopmentHostWindow:this._state.lastPluginDevelopmentHostWindow,lastActiveWindow:this.lastClosedState};if(!o.lastActiveWindow){let t=this.windowsMainService.getLastActiveWindow();(!t||t.isExtensionDevelopmentHost)&&(t=this.windowsMainService.getWindows().find(r=>!r.isExtensionDevelopmentHost)),t&&(o.lastActiveWindow=this.toWindowState(t))}const a=this.windowsMainService.getWindows().find(t=>t.isExtensionDevelopmentHost&&!t.isExtensionTestHost);a&&(o.lastPluginDevelopmentHostWindow=this.toWindowState(a)),this.windowsMainService.getWindowCount()>1&&(o.openedWindows=this.windowsMainService.getWindows().filter(t=>!t.isExtensionDevelopmentHost).map(t=>this.toWindowState(t)));const l=S(o);this.stateService.setItem(mt.windowsStateStorageKey,l),this.shuttingDown&&this.logService.trace("[WindowsStateHandler] onBeforeShutdown",l)}onBeforeCloseWindow(o){if(!this.lifecycleMainService.quitRequested){const a=this.toWindowState(o);o.isExtensionDevelopmentHost&&!o.isExtensionTestHost?this._state.lastPluginDevelopmentHostWindow=a:!o.isExtensionDevelopmentHost&&o.openedWorkspace&&this._state.openedWindows.forEach(l=>{var t;const r=b.isWorkspaceIdentifier(o.openedWorkspace)&&((t=l.workspace)===null||t===void 0?void 0:t.id)===o.openedWorkspace.id,c=b.isSingleFolderWorkspaceIdentifier(o.openedWorkspace)&&l.folderUri&&E.extUriBiasedIgnorePathCase.isEqual(l.folderUri,o.openedWorkspace.uri);(r||c)&&(l.uiState=a.uiState)}),this.windowsMainService.getWindowCount()===1&&(this.lastClosedState=a)}}toWindowState(o){return{workspace:b.isWorkspaceIdentifier(o.openedWorkspace)?o.openedWorkspace:void 0,folderUri:b.isSingleFolderWorkspaceIdentifier(o.openedWorkspace)?o.openedWorkspace.uri:void 0,backupPath:o.backupPath,remoteAuthority:o.remoteAuthority,uiState:o.serializeWindowState()}}getNewWindowState(o){const a=this.doGetNewWindowState(o),l=this.configurationService.getValue("window");let t;return a.hasDefaultState?t=!!((l==null?void 0:l.newWindowDimensions)&&["fullscreen","inherit","offset"].indexOf(l.newWindowDimensions)>=0):(t=!!(this.lifecycleMainService.wasRestarted||(l==null?void 0:l.restoreFullscreen)),t&&L.isMacintosh&&this.windowsMainService.getWindows().some(r=>r.isFullScreen)&&(t=!1)),a.mode===3&&!t&&(a.mode=1),a}doGetNewWindowState(o){const a=this.windowsMainService.getLastActiveWindow();if(!o.extensionTestsPath){if(!!o.extensionDevelopmentPath&&this.state.lastPluginDevelopmentHostWindow)return this.state.lastPluginDevelopmentHostWindow.uiState;const u=o.workspace;if(b.isWorkspaceIdentifier(u)){const I=this.state.openedWindows.filter(A=>A.workspace&&A.workspace.id===u.id).map(A=>A.uiState);if(I.length)return I[0]}if(b.isSingleFolderWorkspaceIdentifier(u)){const I=this.state.openedWindows.filter(A=>A.folderUri&&E.extUriBiasedIgnorePathCase.isEqual(A.folderUri,u.uri)).map(A=>A.uiState);if(I.length)return I[0]}else if(o.backupPath){const I=this.state.openedWindows.filter(A=>A.backupPath===o.backupPath).map(A=>A.uiState);if(I.length)return I[0]}const m=this.lastClosedState||this.state.lastActiveWindow;if(!a&&m)return m.uiState}let l;const t=v.screen.getAllDisplays();if(t.length===1)l=t[0];else{if(L.isMacintosh){const u=v.screen.getCursorScreenPoint();l=v.screen.getDisplayNearestPoint(u)}!l&&a&&(l=v.screen.getDisplayMatching(a.getBounds())),l||(l=v.screen.getPrimaryDisplay()||t[0])}let r=f.defaultWindowState();r.x=Math.round(l.bounds.x+l.bounds.width/2-r.width/2),r.y=Math.round(l.bounds.y+l.bounds.height/2-r.height/2);const c=this.configurationService.getValue("window");let d=!0;if(c==null?void 0:c.newWindowDimensions){if(c.newWindowDimensions==="maximized")r.mode=0,d=!1;else if(c.newWindowDimensions==="fullscreen")r.mode=3,d=!1;else if((c.newWindowDimensions==="inherit"||c.newWindowDimensions==="offset")&&a){const u=a.serializeWindowState();u.mode===3?r.mode=3:r=u,d=r.mode!==3&&c.newWindowDimensions==="offset"}}return d&&(r=this.ensureNoOverlap(r)),r.hasDefaultState=!0,r}ensureNoOverlap(o){if(this.windowsMainService.getWindows().length===0)return o;o.x=typeof o.x=="number"?o.x:0,o.y=typeof o.y=="number"?o.y:0;const a=this.windowsMainService.getWindows().map(l=>l.getBounds());for(;a.some(l=>l.x===o.x||l.y===o.y);)o.x+=30,o.y+=30;return o}};g.windowsStateStorageKey="windowsState",g=ue([ie(0,f.IWindowsMainService),ie(1,k.IStateService),ie(2,y.ILifecycleMainService),ie(3,i.ILogService),ie(4,n.IConfigurationService)],g),e.WindowsStateHandler=g;function h(s){const o={openedWindows:[]},a=s||{openedWindows:[]};return a.lastActiveWindow&&(o.lastActiveWindow=w(a.lastActiveWindow)),a.lastPluginDevelopmentHostWindow&&(o.lastPluginDevelopmentHostWindow=w(a.lastPluginDevelopmentHostWindow)),Array.isArray(a.openedWindows)&&(o.openedWindows=a.openedWindows.map(l=>w(l))),o}e.restoreWindowsState=h;function w(s){const o={uiState:s.uiState};return s.backupPath&&(o.backupPath=s.backupPath),s.remoteAuthority&&(o.remoteAuthority=s.remoteAuthority),s.folder&&(o.folderUri=M.URI.parse(s.folder)),s.workspaceIdentifier&&(o.workspace={id:s.workspaceIdentifier.id,configPath:M.URI.parse(s.workspaceIdentifier.configURIPath)}),o}function S(s){return{lastActiveWindow:s.lastActiveWindow&&p(s.lastActiveWindow),lastPluginDevelopmentHostWindow:s.lastPluginDevelopmentHostWindow&&p(s.lastPluginDevelopmentHostWindow),openedWindows:s.openedWindows.map(o=>p(o))}}e.getWindowsStateStoreData=S;function p(s){return{workspaceIdentifier:s.workspace&&{id:s.workspace.id,configURIPath:s.workspace.configPath.toString()},folder:s.folderUri&&s.folderUri.toString(),backupPath:s.backupPath,remoteAuthority:s.remoteAuthority,uiState:s.uiState}}}),define(Y[55],J([0,1,58,59,212,3,34,8,27,30,2,22,80,20,4]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.serve=e.Server=e.createStaticIPCHandle=e.createRandomIPCHandle=e.XDG_RUNTIME_DIR=e.WebSocketNodeSocket=e.NodeSocket=void 0;class w{constructor(I){this.socket=I}dispose(){this.socket.destroy()}onData(I){const A=F=>I(f.VSBuffer.wrap(F));return this.socket.on("data",A),{dispose:()=>this.socket.off("data",A)}}onClose(I){return this.socket.on("close",I),{dispose:()=>this.socket.off("close",I)}}onEnd(I){return this.socket.on("end",I),{dispose:()=>this.socket.off("end",I)}}write(I){if(!this.socket.destroyed)try{this.socket.write(I.buffer)}catch(A){if(A.code==="EPIPE")return;g.onUnexpectedError(A)}}end(){this.socket.end()}drain(){return new Promise((I,A)=>{if(this.socket.bufferSize===0){I();return}const F=()=>{this.socket.off("close",F),this.socket.off("end",F),this.socket.off("error",F),this.socket.off("timeout",F),this.socket.off("drain",F),I()};this.socket.on("close",F),this.socket.on("end",F),this.socket.on("error",F),this.socket.on("timeout",F),this.socket.on("drain",F)})}}e.NodeSocket=w;var S;(function(m){m[m.MinHeaderByteSize=2]="MinHeaderByteSize"})(S||(S={}));var p;(function(m){m[m.PeekHeader=1]="PeekHeader",m[m.ReadHeader=2]="ReadHeader",m[m.ReadBody=3]="ReadBody",m[m.Fin=4]="Fin"})(p||(p={}));class s extends k.Disposable{constructor(I,A,F,N){super();this._onDidZlibFlush=this._register(new E.Emitter),this._recordedInflateBytes=[],this._pendingInflateData=[],this._pendingDeflateData=[],this._onData=this._register(new E.Emitter),this._onClose=this._register(new E.Emitter),this._isEnded=!1,this._state={state:1,readLen:2,fin:0,mask:0},this.socket=I,this._totalIncomingWireBytes=0,this._totalIncomingDataBytes=0,this._totalOutgoingWireBytes=0,this._totalOutgoingDataBytes=0,this.permessageDeflate=A,this._recordInflateBytes=N,A?(this._zlibInflate=L.createInflateRaw({windowBits:15}),this._zlibInflate.on("error",$=>{console.error($),g.onUnexpectedError($),this._onClose.fire()}),this._zlibInflate.on("data",$=>{this._pendingInflateData.push($)}),F&&(this._zlibInflate.write(F.buffer),this._zlibInflate.flush(()=>{this._pendingInflateData.length=0})),this._zlibDeflate=L.createDeflateRaw({windowBits:15}),this._zlibDeflate.on("error",$=>{console.error($),g.onUnexpectedError($),this._onClose.fire()}),this._zlibDeflate.on("data",$=>{this._pendingDeflateData.push($)})):(this._zlibInflate=null,this._zlibDeflate=null),this._zlibDeflateFlushWaitingCount=0,this._incomingData=new b.ChunkStream,this._register(this.socket.onData($=>this._acceptChunk($))),this._register(this.socket.onClose(()=>this._onClose.fire()))}get totalIncomingWireBytes(){return this._totalIncomingWireBytes}get totalIncomingDataBytes(){return this._totalIncomingDataBytes}get totalOutgoingWireBytes(){return this._totalOutgoingWireBytes}get totalOutgoingDataBytes(){return this._totalOutgoingDataBytes}get recordedInflateBytes(){return this._recordInflateBytes?f.VSBuffer.wrap(Buffer.concat(this._recordedInflateBytes)):f.VSBuffer.alloc(0)}dispose(){this._zlibDeflateFlushWaitingCount>0?this._register(this._onDidZlibFlush.event(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(I){return this._onData.event(I)}onClose(I){return this._onClose.event(I)}onEnd(I){return this.socket.onEnd(I)}write(I){this._totalOutgoingDataBytes+=I.byteLength,this._zlibDeflate?(this._zlibDeflate.write(I.buffer),this._zlibDeflateFlushWaitingCount++,this._zlibDeflate.flush(2,()=>{this._zlibDeflateFlushWaitingCount--;let A=Buffer.concat(this._pendingDeflateData);this._pendingDeflateData.length=0,A=A.slice(0,A.length-4),this._isEnded||this._write(f.VSBuffer.wrap(A),!0),this._zlibDeflateFlushWaitingCount===0&&this._onDidZlibFlush.fire()})):this._write(I,!1)}_write(I,A){let F=2;I.byteLength<126?F+=0:I.byteLength<2**16?F+=2:F+=8;const N=f.VSBuffer.alloc(F);if(A?N.writeUInt8(194,0):N.writeUInt8(130,0),I.byteLength<126)N.writeUInt8(I.byteLength,1);else if(I.byteLength<2**16){N.writeUInt8(126,1);let $=1;N.writeUInt8(I.byteLength>>>8&255,++$),N.writeUInt8(I.byteLength>>>0&255,++$)}else{N.writeUInt8(127,1);let $=1;N.writeUInt8(0,++$),N.writeUInt8(0,++$),N.writeUInt8(0,++$),N.writeUInt8(0,++$),N.writeUInt8(I.byteLength>>>24&255,++$),N.writeUInt8(I.byteLength>>>16&255,++$),N.writeUInt8(I.byteLength>>>8&255,++$),N.writeUInt8(I.byteLength>>>0&255,++$)}this._totalOutgoingWireBytes+=N.byteLength+I.byteLength,this.socket.write(f.VSBuffer.concat([N,I]))}end(){this._isEnded=!0,this.socket.end()}_acceptChunk(I){if(I.byteLength!==0){for(this._totalIncomingWireBytes+=I.byteLength,this._incomingData.acceptChunk(I);this._incomingData.byteLength>=this._state.readLen;)if(this._state.state===1){const A=this._incomingData.peek(this._state.readLen),N=(A.readUInt8(0)&128)>>>7,$=A.readUInt8(1),z=($&128)>>>7,x=$&127;this._state.state=2,this._state.readLen=2+(z?4:0)+(x===126?2:0)+(x===127?8:0),this._state.fin=N,this._state.mask=0}else if(this._state.state===2){const A=this._incomingData.read(this._state.readLen),F=A.readUInt8(1),N=(F&128)>>>7;let $=F&127,z=1;$===126?$=A.readUInt8(++z)*2**8+A.readUInt8(++z):$===127&&($=A.readUInt8(++z)*0+A.readUInt8(++z)*0+A.readUInt8(++z)*0+A.readUInt8(++z)*0+A.readUInt8(++z)*2**24+A.readUInt8(++z)*2**16+A.readUInt8(++z)*2**8+A.readUInt8(++z));let x=0;N&&(x=A.readUInt8(++z)*2**24+A.readUInt8(++z)*2**16+A.readUInt8(++z)*2**8+A.readUInt8(++z)),this._state.state=3,this._state.readLen=$,this._state.mask=x}else if(this._state.state===3){const A=this._incomingData.read(this._state.readLen);o(A,this._state.mask),this._state.state=1,this._state.readLen=2,this._state.mask=0,this._zlibInflate?(this._recordInflateBytes&&this._recordedInflateBytes.push(Buffer.from(A.buffer)),this._zlibInflate.write(A.buffer),this._state.fin&&(this._recordInflateBytes&&this._recordedInflateBytes.push(Buffer.from([0,0,255,255])),this._zlibInflate.write(Buffer.from([0,0,255,255]))),this._zlibInflate.flush(()=>{const F=Buffer.concat(this._pendingInflateData);this._pendingInflateData.length=0,this._totalIncomingDataBytes+=F.length,this._onData.fire(f.VSBuffer.wrap(F))})):(this._totalIncomingDataBytes+=A.byteLength,this._onData.fire(A))}}}async drain(){this._zlibDeflateFlushWaitingCount>0&&await E.Event.toPromise(this._onDidZlibFlush.event),await this.socket.drain()}}e.WebSocketNodeSocket=s;function o(m,I){if(I!==0){let A=m.byteLength>>>2;for(let te=0;te<A;te++){const Z=m.readUInt32BE(te*4);m.writeUInt32BE(Z^I,te*4)}let F=A*4,N=m.byteLength-F;const $=I>>>24&255,z=I>>>16&255,x=I>>>8&255;N>=1&&m.writeUInt8(m.readUInt8(F)^$,F),N>=2&&m.writeUInt8(m.readUInt8(F+1)^z,F+1),N>=3&&m.writeUInt8(m.readUInt8(F+2)^x,F+2)}}e.XDG_RUNTIME_DIR=process.env.XDG_RUNTIME_DIR;const a={[2]:107,[1]:103};function l(){const m=i.generateUuid();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${m}-sock`;let I;return e.XDG_RUNTIME_DIR?I=n.join(e.XDG_RUNTIME_DIR,`vscode-ipc-${m}.sock`):I=n.join(y.tmpdir(),`vscode-ipc-${m}.sock`),r(I),I}e.createRandomIPCHandle=l;function t(m,I,A){const F=v.createHash("md5").update(m).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${F}-${A}-${I}-sock`;let N;return e.XDG_RUNTIME_DIR&&!process.env.VSCODE_PORTABLE?N=n.join(e.XDG_RUNTIME_DIR,`vscode-${F.substr(0,8)}-${A}-${I}.sock`):N=n.join(m,`${A}-${I}.sock`),r(N),N}e.createStaticIPCHandle=t;function r(m){const I=a[h.platform];typeof I=="number"&&m.length>=I&&console.warn(`WARNING: IPC handle "${m}" is longer than ${I} chars, try a shorter --user-data-dir`)}class c extends M.IPCServer{constructor(I){super(c.toClientConnectionEvent(I));this.server=I}static toClientConnectionEvent(I){const A=E.Event.fromNodeEventEmitter(I,"connection");return E.Event.map(A,F=>({protocol:new b.Protocol(new w(F)),onDidClientDisconnect:E.Event.once(E.Event.fromNodeEventEmitter(F,"close"))}))}dispose(){super.dispose(),this.server&&(this.server.close(),this.server=null)}}e.Server=c;function d(m){return new Promise((I,A)=>{const F=R.createServer();F.on("error",A),F.listen(m,()=>{F.removeListener("error",A),I(new c(F))})})}e.serve=d;function u(m,I){return new Promise((A,F)=>{const N=R.createConnection(m,()=>{N.removeListener("error",F),A(b.Client.fromSocket(new w(N),I))});N.once("error",F)})}e.connect=u}),define(Y[213],J([0,1,55]),function(H,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.WindowDriverChannelClient=e.WindowDriverChannel=e.WindowDriverRegistryChannelClient=e.WindowDriverRegistryChannel=e.DriverChannelClient=e.DriverChannel=void 0;class R{constructor(f){this.driver=f}listen(f,b){throw new Error("No event found")}call(f,b,g){switch(b){case"getWindowIds":return this.driver.getWindowIds();case"capturePage":return this.driver.capturePage(g);case"reloadWindow":return this.driver.reloadWindow(g);case"exitApplication":return this.driver.exitApplication();case"dispatchKeybinding":return this.driver.dispatchKeybinding(g[0],g[1]);case"click":return this.driver.click(g[0],g[1],g[2],g[3]);case"doubleClick":return this.driver.doubleClick(g[0],g[1]);case"setValue":return this.driver.setValue(g[0],g[1],g[2]);case"getTitle":return this.driver.getTitle(g[0]);case"isActiveElement":return this.driver.isActiveElement(g[0],g[1]);case"getElements":return this.driver.getElements(g[0],g[1],g[2]);case"getElementXY":return this.driver.getElementXY(g[0],g[1],g[2]);case"typeInEditor":return this.driver.typeInEditor(g[0],g[1],g[2]);case"getTerminalBuffer":return this.driver.getTerminalBuffer(g[0],g[1]);case"writeInTerminal":return this.driver.writeInTerminal(g[0],g[1],g[2])}throw new Error(`Call not found: ${b}`)}}e.DriverChannel=R;class L{constructor(f){this.channel=f}getWindowIds(){return this.channel.call("getWindowIds")}capturePage(f){return this.channel.call("capturePage",f)}reloadWindow(f){return this.channel.call("reloadWindow",f)}exitApplication(){return this.channel.call("exitApplication")}dispatchKeybinding(f,b){return this.channel.call("dispatchKeybinding",[f,b])}click(f,b,g,h){return this.channel.call("click",[f,b,g,h])}doubleClick(f,b){return this.channel.call("doubleClick",[f,b])}setValue(f,b,g){return this.channel.call("setValue",[f,b,g])}getTitle(f){return this.channel.call("getTitle",[f])}isActiveElement(f,b){return this.channel.call("isActiveElement",[f,b])}getElements(f,b,g){return this.channel.call("getElements",[f,b,g])}getElementXY(f,b,g,h){return this.channel.call("getElementXY",[f,b,g,h])}typeInEditor(f,b,g){return this.channel.call("typeInEditor",[f,b,g])}getTerminalBuffer(f,b){return this.channel.call("getTerminalBuffer",[f,b])}writeInTerminal(f,b,g){return this.channel.call("writeInTerminal",[f,b,g])}}e.DriverChannelClient=L;class E{constructor(f){this.registry=f}listen(f,b){throw new Error(`Event not found: ${b}`)}call(f,b,g){switch(b){case"registerWindowDriver":return this.registry.registerWindowDriver(g);case"reloadWindowDriver":return this.registry.reloadWindowDriver(g)}throw new Error(`Call not found: ${b}`)}}e.WindowDriverRegistryChannel=E;class M{constructor(f){this.channel=f}registerWindowDriver(f){return this.channel.call("registerWindowDriver",f)}reloadWindowDriver(f){return this.channel.call("reloadWindowDriver",f)}}e.WindowDriverRegistryChannelClient=M;class n{constructor(f){this.driver=f}listen(f,b){throw new Error(`No event found: ${b}`)}call(f,b,g){switch(b){case"click":return this.driver.click(g[0],g[1],g[2]);case"doubleClick":return this.driver.doubleClick(g);case"setValue":return this.driver.setValue(g[0],g[1]);case"getTitle":return this.driver.getTitle();case"isActiveElement":return this.driver.isActiveElement(g);case"getElements":return this.driver.getElements(g[0],g[1]);case"getElementXY":return this.driver.getElementXY(g[0],g[1],g[2]);case"typeInEditor":return this.driver.typeInEditor(g[0],g[1]);case"getTerminalBuffer":return this.driver.getTerminalBuffer(g);case"writeInTerminal":return this.driver.writeInTerminal(g[0],g[1])}throw new Error(`Call not found: ${b}`)}}e.WindowDriverChannel=n;class y{constructor(f){this.channel=f}click(f,b,g){return this.channel.call("click",[f,b,g])}doubleClick(f){return this.channel.call("doubleClick",f)}setValue(f,b){return this.channel.call("setValue",[f,b])}getTitle(){return this.channel.call("getTitle")}isActiveElement(f){return this.channel.call("isActiveElement",f)}getElements(f,b){return this.channel.call("getElements",[f,b])}getElementXY(f,b,g){return this.channel.call("getElementXY",[f,b,g])}typeInEditor(f,b){return this.channel.call("typeInEditor",[f,b])}getTerminalBuffer(f){return this.channel.call("getTerminalBuffer",f)}writeInTerminal(f,b){return this.channel.call("writeInTerminal",[f,b])}}e.WindowDriverChannelClient=y;async function i(k){const f=await v.connect(k,"driverClient"),b=f.getChannel("driver"),g=new L(b);return{client:f,driver:g}}e.connect=i}),define(Y[26],J([0,1,8,50,5,176,55,17]),function(H,e,v,R,L,E,M,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EnvironmentMainService=e.IEnvironmentMainService=void 0,e.IEnvironmentMainService=L.createDecorator("nativeEnvironmentService");class y extends E.NativeEnvironmentService{get cachedLanguagesPath(){return v.join(this.userDataPath,"clp")}get backupHome(){return v.join(this.userDataPath,"Backups")}get backupWorkspacesPath(){return v.join(this.backupHome,"workspaces.json")}get mainIPCHandle(){return M.createStaticIPCHandle(this.userDataPath,"main",n.default.version)}get sandbox(){return!!this._args.__sandbox}get driverVerbose(){return!!this._args["driver-verbose"]}get disableUpdates(){return!!this._args["disable-updates"]}get disableKeytar(){return!!this._args["disable-keytar"]}get nodeCachedDataDir(){return process.env.VSCODE_NODE_CACHED_DATA_DIR||void 0}}ue([R.memoize],y.prototype,"cachedLanguagesPath",null),ue([R.memoize],y.prototype,"backupHome",null),ue([R.memoize],y.prototype,"backupWorkspacesPath",null),ue([R.memoize],y.prototype,"mainIPCHandle",null),ue([R.memoize],y.prototype,"sandbox",null),ue([R.memoize],y.prototype,"driverVerbose",null),ue([R.memoize],y.prototype,"disableUpdates",null),ue([R.memoize],y.prototype,"disableKeytar",null),ue([R.memoize],y.prototype,"nodeCachedDataDir",null),e.EnvironmentMainService=y}),define(Y[214],J([0,1,23,58,8,4,24,47,26,18,16,6,28,7,29,10,15]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h,w,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BackupMainService=void 0;let p=class{constructor(o,a,l){this.configurationService=a,this.logService=l,this.workspaces=[],this.folders=[],this.emptyWindows=[],this.backupUriComparer=S.extUriBiasedIgnorePathCase,this.backupPathComparer={isEqual:(t,r)=>h.isEqual(t,r,!E.isLinux)},this.backupHome=o.backupHome,this.workspacesJsonPath=o.backupWorkspacesPath}async initialize(){let o;try{o=JSON.parse(await v.promises.readFile(this.workspacesJsonPath,"utf8"))}catch(t){o=Object.create(null)}o.emptyWorkspaceInfos&&(this.emptyWindows=await this.validateEmptyWorkspaces(o.emptyWorkspaceInfos));let a=[];try{Array.isArray(o.rootURIWorkspaces)&&(a=o.rootURIWorkspaces.map(t=>({workspace:{id:t.id,configPath:g.URI.parse(t.configURIPath)},remoteAuthority:t.remoteAuthority})))}catch(t){}this.workspaces=await this.validateWorkspaces(a);let l=[];try{Array.isArray(o.folderURIWorkspaces)&&(l=o.folderURIWorkspaces.map(t=>g.URI.parse(t)))}catch(t){}this.folders=await this.validateFolders(l),await this.save()}getWorkspaceBackups(){return this.isHotExitOnExitAndWindowClose()?[]:this.workspaces.slice(0)}getFolderBackupPaths(){return this.isHotExitOnExitAndWindowClose()?[]:this.folders.slice(0)}isHotExitEnabled(){return this.getHotExitConfig()!==k.HotExitConfiguration.OFF}isHotExitOnExitAndWindowClose(){return this.getHotExitConfig()===k.HotExitConfiguration.ON_EXIT_AND_WINDOW_CLOSE}getHotExitConfig(){var o;const a=this.configurationService.getValue();return((o=a==null?void 0:a.files)===null||o===void 0?void 0:o.hotExit)||k.HotExitConfiguration.ON_EXIT}getEmptyWindowBackupPaths(){return this.emptyWindows.slice(0)}registerWorkspaceBackupSync(o,a){this.workspaces.some(t=>o.workspace.id===t.workspace.id)||(this.workspaces.push(o),this.saveSync());const l=this.getBackupPath(o.workspace.id);return a&&this.moveBackupFolderSync(l,a),l}moveBackupFolderSync(o,a){if(v.existsSync(o)&&this.convertToEmptyWindowBackupSync(o),v.existsSync(a))try{v.renameSync(a,o)}catch(l){this.logService.error(`Backup: Could not move backup folder to new location: ${l.toString()}`)}}unregisterWorkspaceBackupSync(o){const a=o.id,l=this.workspaces.findIndex(t=>t.workspace.id===a);l!==-1&&(this.workspaces.splice(l,1),this.saveSync())}registerFolderBackupSync(o){return this.folders.some(a=>this.backupUriComparer.isEqual(o,a))||(this.folders.push(o),this.saveSync()),this.getBackupPath(this.getFolderHash(o))}unregisterFolderBackupSync(o){const a=this.folders.findIndex(l=>this.backupUriComparer.isEqual(o,l));a!==-1&&(this.folders.splice(a,1),this.saveSync())}registerEmptyWindowBackupSync(o,a){const l=o||this.getRandomEmptyWindowId();return this.emptyWindows.some(t=>!!t.backupFolder&&this.backupPathComparer.isEqual(t.backupFolder,l))||(this.emptyWindows.push({backupFolder:l,remoteAuthority:a}),this.saveSync()),this.getBackupPath(l)}unregisterEmptyWindowBackupSync(o){const a=this.emptyWindows.findIndex(l=>!!l.backupFolder&&this.backupPathComparer.isEqual(l.backupFolder,o));a!==-1&&(this.emptyWindows.splice(a,1),this.saveSync())}getBackupPath(o){return L.join(this.backupHome,o)}async validateWorkspaces(o){if(!Array.isArray(o))return[];const a=new Set,l=[];for(let t of o){const r=t.workspace;if(!b.isWorkspaceIdentifier(r))return[];if(!a.has(r.id)){a.add(r.id);const c=this.getBackupPath(r.id);await this.doHasBackups(c)?r.configPath.scheme!==w.Schemas.file||await M.exists(r.configPath.fsPath)?l.push(t):await this.convertToEmptyWindowBackup(c):await this.deleteStaleBackup(c)}}return l}async validateFolders(o){if(!Array.isArray(o))return[];const a=[],l=new Set;for(let t of o){const r=this.backupUriComparer.getComparisonKey(t);if(!l.has(r)){l.add(r);const c=this.getBackupPath(this.getFolderHash(t));await this.doHasBackups(c)?t.scheme!==w.Schemas.file||await M.exists(t.fsPath)?a.push(t):await this.convertToEmptyWindowBackup(c):await this.deleteStaleBackup(c)}}return a}async validateEmptyWorkspaces(o){if(!Array.isArray(o))return[];const a=[],l=new Set;for(let t of o){const r=t.backupFolder;if(typeof r!="string")return[];if(!l.has(r)){l.add(r);const c=this.getBackupPath(r);await this.doHasBackups(c)?a.push(t):await this.deleteStaleBackup(c)}}return a}async deleteStaleBackup(o){try{await M.exists(o)&&await M.rimraf(o,M.RimRafMode.MOVE)}catch(a){this.logService.error(`Backup: Could not delete stale backup: ${a.toString()}`)}}async convertToEmptyWindowBackup(o){let a=this.getRandomEmptyWindowId();for(;this.emptyWindows.some(t=>!!t.backupFolder&&this.backupPathComparer.isEqual(t.backupFolder,a));)a=this.getRandomEmptyWindowId();const l=this.getBackupPath(a);try{await v.promises.rename(o,l)}catch(t){return this.logService.error(`Backup: Could not rename backup folder: ${t.toString()}`),!1}return this.emptyWindows.push({backupFolder:a}),!0}convertToEmptyWindowBackupSync(o){let a=this.getRandomEmptyWindowId();for(;this.emptyWindows.some(t=>!!t.backupFolder&&this.backupPathComparer.isEqual(t.backupFolder,a));)a=this.getRandomEmptyWindowId();const l=this.getBackupPath(a);try{v.renameSync(o,l)}catch(t){return this.logService.error(`Backup: Could not rename backup folder: ${t.toString()}`),!1}return this.emptyWindows.push({backupFolder:a}),!0}async getDirtyWorkspaces(){const o=[];for(const a of this.workspaces)await this.hasBackups(a)&&o.push(a.workspace);for(const a of this.folders)await this.hasBackups(a)&&o.push(a);return o}hasBackups(o){let a;return g.URI.isUri(o)?a=this.getBackupPath(this.getFolderHash(o)):n.isWorkspaceBackupInfo(o)?a=this.getBackupPath(o.workspace.id):a=o.backupFolder,this.doHasBackups(a)}async doHasBackups(o){try{const a=await M.readdir(o);for(const l of a)try{if((await M.readdir(L.join(o,l))).length>0)return!0}catch(t){}}catch(a){}return!1}saveSync(){try{M.writeFileSync(this.workspacesJsonPath,JSON.stringify(this.serializeBackups()))}catch(o){this.logService.error(`Backup: Could not save workspaces.json: ${o.toString()}`)}}async save(){try{await M.writeFile(this.workspacesJsonPath,JSON.stringify(this.serializeBackups()))}catch(o){this.logService.error(`Backup: Could not save workspaces.json: ${o.toString()}`)}}serializeBackups(){return{rootURIWorkspaces:this.workspaces.map(o=>({id:o.workspace.id,configURIPath:o.workspace.configPath.toString(),remoteAuthority:o.remoteAuthority})),folderURIWorkspaces:this.folders.map(o=>o.toString()),emptyWorkspaceInfos:this.emptyWindows}}getRandomEmptyWindowId(){return(Date.now()+Math.round(Math.random()*1e3)).toString()}getFolderHash(o){let a;return o.scheme===w.Schemas.file?a=E.isLinux?o.fsPath:o.fsPath.toLowerCase():a=o.toString().toLowerCase(),R.createHash("md5").update(a).digest("hex")}};p=ue([ie(0,y.IEnvironmentMainService),ie(1,i.IConfigurationService),ie(2,f.ILogService)],p),e.BackupMainService=p}),define(Y[44],J([0,1,3,32,11,19,4,26,48,24,7,31,5,27,66,6,8,17,50,2]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h,w,S,p,s,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeHostMainService=e.INativeHostMainService=void 0,e.INativeHostMainService=b.createDecorator("nativeHostMainService");let a=class nt extends o.Disposable{constructor(t,r,c,d,u,m,I){super();this.sharedProcess=t,this.windowsMainService=r,this.dialogMainService=c,this.lifecycleMainService=d,this.environmentMainService=u,this.telemetryService=m,this.logService=I,this.onDidOpenWindow=v.Event.map(this.windowsMainService.onDidOpenWindow,A=>A.id),this.onDidMaximizeWindow=v.Event.filter(v.Event.fromNodeEventEmitter(L.app,"browser-window-maximize",(A,F)=>F.id),A=>!!this.windowsMainService.getWindowById(A)),this.onDidUnmaximizeWindow=v.Event.filter(v.Event.fromNodeEventEmitter(L.app,"browser-window-unmaximize",(A,F)=>F.id),A=>!!this.windowsMainService.getWindowById(A)),this.onDidBlurWindow=v.Event.filter(v.Event.fromNodeEventEmitter(L.app,"browser-window-blur",(A,F)=>F.id),A=>!!this.windowsMainService.getWindowById(A)),this.onDidFocusWindow=v.Event.any(v.Event.map(v.Event.filter(v.Event.map(this.windowsMainService.onDidChangeWindowsCount,()=>this.windowsMainService.getLastActiveWindow()),A=>!!A),A=>A.id),v.Event.filter(v.Event.fromNodeEventEmitter(L.app,"browser-window-focus",(A,F)=>F.id),A=>!!this.windowsMainService.getWindowById(A))),this.onDidResumeOS=v.Event.fromNodeEventEmitter(L.powerMonitor,"resume"),this._onDidChangeColorScheme=this._register(new v.Emitter),this.onDidChangeColorScheme=this._onDidChangeColorScheme.event,this._onDidChangePassword=this._register(new v.Emitter),this.onDidChangePassword=this._onDidChangePassword.event,this.registerListeners()}registerListeners(){L.nativeTheme.on("updated",()=>{this._onDidChangeColorScheme.fire({highContrast:L.nativeTheme.shouldUseInvertedColorScheme||L.nativeTheme.shouldUseHighContrastColors,dark:L.nativeTheme.shouldUseDarkColors})})}get windowId(){throw new Error("Not implemented in electron-main")}async getWindows(){return this.windowsMainService.getWindows().map(r=>{var c,d;return{id:r.id,workspace:r.openedWorkspace,title:(d=(c=r.win)===null||c===void 0?void 0:c.getTitle())!==null&&d!==void 0?d:"",filename:r.getRepresentedFilename(),dirty:r.isDocumentEdited()}})}async getWindowCount(t){return this.windowsMainService.getWindowCount()}async getActiveWindowId(t){const r=L.BrowserWindow.getFocusedWindow()||this.windowsMainService.getLastActiveWindow();if(r)return r.id}openWindow(t,r,c){return Array.isArray(r)?this.doOpenWindow(t,r,c):this.doOpenEmptyWindow(t,r)}async doOpenWindow(t,r,c=Object.create(null)){r.length>0&&this.windowsMainService.open({context:5,contextWindowId:t,urisToOpen:r,cli:this.environmentMainService.args,forceNewWindow:c.forceNewWindow,forceReuseWindow:c.forceReuseWindow,preferNewWindow:c.preferNewWindow,diffMode:c.diffMode,addMode:c.addMode,gotoLineMode:c.gotoLineMode,noRecentEntry:c.noRecentEntry,waitMarkerFileURI:c.waitMarkerFileURI})}async doOpenEmptyWindow(t,r){this.windowsMainService.openEmptyWindow({context:5,contextWindowId:t},r)}async toggleFullScreen(t){const r=this.windowById(t);r&&r.toggleFullScreen()}async handleTitleDoubleClick(t){const r=this.windowById(t);r&&r.handleTitleDoubleClick()}async isMaximized(t){const r=this.windowById(t);return(r==null?void 0:r.win)?r.win.isMaximized():!1}async maximizeWindow(t){const r=this.windowById(t);(r==null?void 0:r.win)&&r.win.maximize()}async unmaximizeWindow(t){const r=this.windowById(t);(r==null?void 0:r.win)&&r.win.unmaximize()}async minimizeWindow(t){const r=this.windowById(t);(r==null?void 0:r.win)&&r.win.minimize()}async focusWindow(t,r){var c;r&&typeof r.windowId=="number"&&(t=r.windowId);const d=this.windowById(t);d&&d.focus({force:(c=r==null?void 0:r.force)!==null&&c!==void 0?c:!1})}async setMinimumSize(t,r,c){const d=this.windowById(t);if(d==null?void 0:d.win){const[u,m]=d.win.getSize(),[I,A]=d.win.getMinimumSize(),[F,N]=[r!=null?r:I,c!=null?c:A],[$,z]=[Math.max(u,F),Math.max(m,N)];(I!==F||A!==N)&&d.win.setMinimumSize(F,N),(u!==$||m!==z)&&d.win.setSize($,z)}}async showMessageBox(t,r){return this.dialogMainService.showMessageBox(r,this.toBrowserWindow(t))}async showSaveDialog(t,r){return this.dialogMainService.showSaveDialog(r,this.toBrowserWindow(t))}async showOpenDialog(t,r){return this.dialogMainService.showOpenDialog(r,this.toBrowserWindow(t))}toBrowserWindow(t){const r=this.windowById(t);if(r==null?void 0:r.win)return r.win}async pickFileFolderAndOpen(t,r){const c=await this.dialogMainService.pickFileFolder(r);c&&(this.sendPickerTelemetry(c,r.telemetryEventName||"openFileFolder",r.telemetryExtraData),this.doOpenPicked(await Promise.all(c.map(async d=>await i.SymlinkSupport.existsDirectory(d)?{folderUri:k.URI.file(d)}:{fileUri:k.URI.file(d)})),r,t))}async pickFolderAndOpen(t,r){const c=await this.dialogMainService.pickFolder(r);c&&(this.sendPickerTelemetry(c,r.telemetryEventName||"openFolder",r.telemetryExtraData),this.doOpenPicked(c.map(d=>({folderUri:k.URI.file(d)})),r,t))}async pickFileAndOpen(t,r){const c=await this.dialogMainService.pickFile(r);c&&(this.sendPickerTelemetry(c,r.telemetryEventName||"openFile",r.telemetryExtraData),this.doOpenPicked(c.map(d=>({fileUri:k.URI.file(d)})),r,t))}async pickWorkspaceAndOpen(t,r){const c=await this.dialogMainService.pickWorkspace(r);c&&(this.sendPickerTelemetry(c,r.telemetryEventName||"openWorkspace",r.telemetryExtraData),this.doOpenPicked(c.map(d=>({workspaceUri:k.URI.file(d)})),r,t))}doOpenPicked(t,r,c){this.windowsMainService.open({context:3,contextWindowId:c,cli:this.environmentMainService.args,urisToOpen:t,forceNewWindow:r.forceNewWindow})}sendPickerTelemetry(t,r,c){const d=t?t.length:0;this.telemetryService.publicLog(r,Object.assign(Object.assign({},c),{outcome:d?"success":"canceled",numberOfPaths:d}))}async showItemInFolder(t,r){L.shell.showItemInFolder(r)}async setRepresentedFilename(t,r){const c=this.windowById(t);c&&c.setRepresentedFilename(r)}async setDocumentEdited(t,r){const c=this.windowById(t);c&&c.setDocumentEdited(r)}async openExternal(t,r){return M.isLinuxSnap?this.safeSnapOpenExternal(r):L.shell.openExternal(r),!0}safeSnapOpenExternal(t){const r=process.env.GDK_PIXBUF_MODULE_FILE,c=process.env.GDK_PIXBUF_MODULEDIR;delete process.env.GDK_PIXBUF_MODULE_FILE,delete process.env.GDK_PIXBUF_MODULEDIR,L.shell.openExternal(t),process.env.GDK_PIXBUF_MODULE_FILE=r,process.env.GDK_PIXBUF_MODULEDIR=c}async moveItemToTrash(t,r){return L.shell.moveItemToTrash(r)}async isAdmin(){let t;return M.isWindows?t=(await new Promise((r,c)=>{H(["native-is-elevated"],r,c)}))():t=process.getuid()===0,t}async writeElevated(t,r,c,d){const u=await new Promise((m,I)=>{H(["sudo-prompt"],m,I)});return new Promise((m,I)=>{const A=[`"${this.cliPath}"`];(d==null?void 0:d.overwriteReadonly)&&A.push("--file-chmod"),A.push("--file-write",`"${r.fsPath}"`,`"${c.fsPath}"`);const F={name:p.default.nameLong.replace("-",""),icns:M.isMacintosh&&this.environmentMainService.isBuilt?S.join(S.dirname(this.environmentMainService.appRoot),`${p.default.nameShort}.icns`):void 0};u.exec(A.join(" "),F,(N,$,z)=>{$&&this.logService.trace(`[sudo-prompt] received stdout: ${$}`),z&&this.logService.trace(`[sudo-prompt] received stderr: ${z}`),N?I(N):m(void 0)})})}get cliPath(){return M.isWindows?this.environmentMainService.isBuilt?S.join(S.dirname(process.execPath),"bin",`${p.default.applicationName}.cmd`):S.join(this.environmentMainService.appRoot,"scripts","code-cli.bat"):M.isLinux?this.environmentMainService.isBuilt?S.join(S.dirname(process.execPath),"bin",`${p.default.applicationName}`):S.join(this.environmentMainService.appRoot,"scripts","code-cli.sh"):this.environmentMainService.isBuilt?S.join(this.environmentMainService.appRoot,"bin","code"):S.join(this.environmentMainService.appRoot,"scripts","code-cli.sh")}async getOSStatistics(){return{totalmem:g.totalmem(),freemem:g.freemem(),loadavg:g.loadavg()}}async getOSProperties(){return{arch:g.arch(),platform:g.platform(),release:g.release(),type:g.type(),cpus:g.cpus()}}async getOSVirtualMachineHint(){return h.virtualMachineHint.value()}async killProcess(t,r,c){process.kill(r,c)}async readClipboardText(t,r){return L.clipboard.readText(r)}async writeClipboardText(t,r,c){return L.clipboard.writeText(r,c)}async readClipboardFindText(t){return L.clipboard.readFindText()}async writeClipboardFindText(t,r){return L.clipboard.writeFindText(r)}async writeClipboardBuffer(t,r,c,d){return L.clipboard.writeBuffer(r,Buffer.from(c),d)}async readClipboardBuffer(t,r){return L.clipboard.readBuffer(r)}async hasClipboard(t,r,c){return L.clipboard.has(r,c)}async newWindowTab(){this.windowsMainService.open({context:5,cli:this.environmentMainService.args,forceNewTabbedWindow:!0,forceEmpty:!0})}async showPreviousWindowTab(){L.Menu.sendActionToFirstResponder("selectPreviousTab:")}async showNextWindowTab(){L.Menu.sendActionToFirstResponder("selectNextTab:")}async moveWindowTabToNewWindow(){L.Menu.sendActionToFirstResponder("moveTabToNewWindow:")}async mergeAllWindowTabs(){L.Menu.sendActionToFirstResponder("mergeAllWindows:")}async toggleWindowTabsBar(){L.Menu.sendActionToFirstResponder("toggleTabBar:")}async updateTouchBar(t,r){const c=this.windowById(t);c&&c.updateTouchBar(r)}async notifyReady(t){const r=this.windowById(t);r&&r.setReady()}async relaunch(t,r){return this.lifecycleMainService.relaunch(r)}async reload(t,r){const c=this.windowById(t);if(c)return this.lifecycleMainService.reload(c,(r==null?void 0:r.disableExtensions)!==void 0?{_:[],"disable-extensions":r==null?void 0:r.disableExtensions}:void 0)}async closeWindow(t){this.closeWindowById(t,t)}async closeWindowById(t,r){const c=this.windowById(r);if(c==null?void 0:c.win)return c.win.close()}async quit(t){const r=this.windowsMainService.getLastActiveWindow();(r==null?void 0:r.isExtensionDevelopmentHost)&&this.windowsMainService.getWindowCount()>1&&r.win?r.win.close():setTimeout(()=>{this.lifecycleMainService.quit()},10)}async exit(t,r){await this.lifecycleMainService.kill(r)}async resolveProxy(t,r){var c,d;const u=this.windowById(t),m=(d=(c=u==null?void 0:u.win)===null||c===void 0?void 0:c.webContents)===null||d===void 0?void 0:d.session;if(m)return m.resolveProxy(r)}async openDevTools(t,r){const c=this.windowById(t);(c==null?void 0:c.win)&&c.win.webContents.openDevTools(r)}async toggleDevTools(t){const r=this.windowById(t);(r==null?void 0:r.win)&&r.win.webContents.toggleDevTools()}async sendInputEvent(t,r){const c=this.windowById(t);(c==null?void 0:c.win)&&(r.type==="mouseDown"||r.type==="mouseUp")&&c.win.webContents.sendInputEvent(r)}async toggleSharedProcessWindow(){return this.sharedProcess.toggle()}async windowsGetStringRegKey(t,r,c,d){if(!!M.isWindows){const u=await new Promise((m,I)=>{H(["vscode-windows-registry"],m,I)});try{return u.GetStringRegKey(r,c,d)}catch(m){return}}}async getPassword(t,r,c){const d=await this.withKeytar(),u=await d.getPassword(r,c);if(u)try{let{content:m,hasNextChunk:I}=JSON.parse(u);if(!m||!I)return u;let A=1;for(;I;){const F=await d.getPassword(r,`${c}-${A}`),N=JSON.parse(F);m+=N.content,I=N.hasNextChunk}return m}catch(m){return u}return u}async setPassword(t,r,c,d){const u=await this.withKeytar();if(M.isWindows&&d.length>nt.MAX_PASSWORD_LENGTH){let m=0,I=0,A=!0;for(;A;){const F=d.substring(m,m+nt.PASSWORD_CHUNK_SIZE);m+=nt.PASSWORD_CHUNK_SIZE,A=d.length-m>0;const N={content:F,hasNextChunk:A};await u.setPassword(r,I?`${c}-${I}`:c,JSON.stringify(N)),I++}}else await u.setPassword(r,c,d);this._onDidChangePassword.fire({service:r,account:c})}async deletePassword(t,r,c){const u=await(await this.withKeytar()).deletePassword(r,c);return u&&this._onDidChangePassword.fire({service:r,account:c}),u}async findPassword(t,r){return(await this.withKeytar()).findPassword(r)}async findCredentials(t,r){return(await this.withKeytar()).findCredentials(r)}async withKeytar(){if(this.environmentMainService.disableKeytar)throw new Error("keytar has been disabled via --disable-keytar option");return await new Promise((t,r)=>{H(["keytar"],t,r)})}windowById(t){if(typeof t=="number")return this.windowsMainService.getWindowById(t)}};a.MAX_PASSWORD_LENGTH=2500,a.PASSWORD_CHUNK_SIZE=a.MAX_PASSWORD_LENGTH-100,ue([s.memoize],a.prototype,"cliPath",null),a=ue([ie(1,R.IWindowsMainService),ie(2,y.IDialogMainService),ie(3,E.ILifecycleMainService),ie(4,n.IEnvironmentMainService),ie(5,f.ITelemetryService),ie(6,w.ILogService)],a),e.NativeHostMainService=a}),define(Y[215],J([0,1,2,3,76,11,6,32,44,85,30,17,25]),function(H,e,v,R,L,E,M,n,y,i,k,f,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ProxyAuthHandler=void 0;var g;(function(w){w[w.Initial=1]="Initial",w[w.StoredCredentialsUsed=2]="StoredCredentialsUsed",w[w.LoginDialogShown=3]="LoginDialogShown"})(g||(g={}));let h=class rt extends v.Disposable{constructor(S,p,s,o){super();this.logService=S,this.windowsMainService=p,this.nativeHostMainService=s,this.encryptionMainService=o,this.pendingProxyResolve=void 0,this.state=g.Initial,this.sessionCredentials=void 0,this.registerListeners()}registerListeners(){const S=R.Event.fromNodeEventEmitter(E.app,"login",(p,s,o,a,l)=>({event:p,webContents:s,req:o,authInfo:a,callback:l}));this._register(S(this.onLogin,this))}async onLogin({event:S,authInfo:p,req:s,callback:o}){if(!!p.isProxy){if(!this.pendingProxyResolve&&this.state===g.LoginDialogShown&&s.firstAuthAttempt){this.logService.trace("auth#onLogin (proxy) - exit - proxy dialog already shown");return}S.preventDefault();let a;if(this.pendingProxyResolve)this.logService.trace("auth#onLogin (proxy) - pending proxy handling found"),a=await this.pendingProxyResolve;else{this.logService.trace("auth#onLogin (proxy) - no pending proxy handling found, starting new"),this.pendingProxyResolve=this.resolveProxyCredentials(p);try{a=await this.pendingProxyResolve}finally{this.pendingProxyResolve=void 0}}o(a==null?void 0:a.username,a==null?void 0:a.password)}}async resolveProxyCredentials(S){this.logService.trace("auth#resolveProxyCredentials (proxy) - enter");try{const p=await this.doResolveProxyCredentials(S);if(p)return this.logService.trace("auth#resolveProxyCredentials (proxy) - got credentials"),p;this.logService.trace("auth#resolveProxyCredentials (proxy) - did not get credentials")}finally{this.logService.trace("auth#resolveProxyCredentials (proxy) - exit")}}async doResolveProxyCredentials(S){var p,s,o,a;this.logService.trace("auth#doResolveProxyCredentials - enter",S);const l=String(L.hash({scheme:S.scheme,host:S.host,port:S.port}));let t,r;try{const m=await this.nativeHostMainService.getPassword(void 0,rt.PROXY_CREDENTIALS_SERVICE_KEY,l);if(m){const I=JSON.parse(await this.encryptionMainService.decrypt(m));t=I.username,r=I.password}}catch(m){this.logService.error(m)}if(this.state!==g.StoredCredentialsUsed&&typeof t=="string"&&typeof r=="string")return this.logService.trace("auth#doResolveProxyCredentials (proxy) - exit - found stored credentials to use"),this.state=g.StoredCredentialsUsed,{username:t,password:r};const c=this.windowsMainService.getFocusedWindow()||this.windowsMainService.getLastActiveWindow();if(!c){this.logService.trace("auth#doResolveProxyCredentials (proxy) - exit - no opened window found to show dialog in");return}this.logService.trace(`auth#doResolveProxyCredentials (proxy) - asking window ${c.id} to handle proxy login`);const d={authInfo:S,username:(s=(p=this.sessionCredentials)===null||p===void 0?void 0:p.username)!==null&&s!==void 0?s:t,password:(a=(o=this.sessionCredentials)===null||o===void 0?void 0:o.password)!==null&&a!==void 0?a:r,replyChannel:`vscode:proxyAuthResponse:${k.generateUuid()}`};c.sendWhenReady("vscode:openProxyAuthenticationDialog",b.CancellationToken.None,d),this.state=g.LoginDialogShown;const u=await new Promise(m=>{var I;const A=async(F,N,$)=>{var z;if(N===d.replyChannel)if(this.logService.trace(`auth#doResolveProxyCredentials - exit - received credentials from window ${c.id}`),(z=c.win)===null||z===void 0||z.webContents.off("ipc-message",A),$){const x={username:$.username,password:$.password};try{if($.remember){const te=await this.encryptionMainService.encrypt(JSON.stringify(x));await this.nativeHostMainService.setPassword(void 0,rt.PROXY_CREDENTIALS_SERVICE_KEY,l,te)}else await this.nativeHostMainService.deletePassword(void 0,rt.PROXY_CREDENTIALS_SERVICE_KEY,l)}catch(te){this.logService.error(te)}m({username:x.username,password:x.password})}else m(void 0)};(I=c.win)===null||I===void 0||I.webContents.on("ipc-message",A)});return this.sessionCredentials=u,u}};h.PROXY_CREDENTIALS_SERVICE_KEY=`${f.default.urlProtocol}.proxy-credentials`,h=ue([ie(0,M.ILogService),ie(1,n.IWindowsMainService),ie(2,y.INativeHostMainService),ie(3,i.IEncryptionMainService)],h),e.ProxyAuthHandler=h}),define(Y[216],J([0,1,213,32,55,2,34,56,166,4,3,75,102,9,19,44]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.serve=e.Driver=void 0;function S(o){return o<21}let p=class{constructor(a,l,t,r,c){this.windowServer=a,this.options=l,this.windowsMainService=t,this.lifecycleMainService=r,this.nativeHostMainService=c,this.registeredWindowIds=new Set,this.reloadingWindowIds=new Set,this.onDidReloadingChange=new k.Emitter}async registerWindowDriver(a){return this.registeredWindowIds.add(a),this.reloadingWindowIds.delete(a),this.onDidReloadingChange.fire(),this.options}async reloadWindowDriver(a){this.reloadingWindowIds.add(a)}async getWindowIds(){return this.windowsMainService.getWindows().map(a=>a.id).filter(a=>this.registeredWindowIds.has(a)&&!this.reloadingWindowIds.has(a))}async capturePage(a){await this.whenUnfrozen(a);const l=this.windowsMainService.getWindowById(a);if(!(l==null?void 0:l.win))throw new Error("Invalid window");return(await l.win.webContents.capturePage()).toPNG().toString("base64")}async reloadWindow(a){await this.whenUnfrozen(a);const l=this.windowsMainService.getWindowById(a);if(!l)throw new Error("Invalid window");this.reloadingWindowIds.add(a),this.lifecycleMainService.reload(l)}async exitApplication(){return this.nativeHostMainService.quit(void 0)}async dispatchKeybinding(a,l){await this.whenUnfrozen(a);const t=b.KeybindingParser.parseUserBinding(l);for(let r of t)await this._dispatchKeybinding(a,r)}async _dispatchKeybinding(a,l){if(l instanceof f.ScanCodeBinding)throw new Error("ScanCodeBindings not supported");const t=this.windowsMainService.getWindowById(a);if(!(t==null?void 0:t.win))throw new Error("Invalid window");const r=t.win.webContents,c=new n.SimpleKeybinding(!1,!1,!1,!1,l.keyCode),u=new y.USLayoutResolvedKeybinding(c.toChord(),i.OS).getElectronAccelerator(),m=[];l.ctrlKey&&m.push("ctrl"),l.metaKey&&m.push("meta"),l.shiftKey&&m.push("shift"),l.altKey&&m.push("alt"),r.sendInputEvent({type:"keyDown",keyCode:u,modifiers:m}),S(l.keyCode)||r.sendInputEvent({type:"char",keyCode:u,modifiers:m}),r.sendInputEvent({type:"keyUp",keyCode:u,modifiers:m}),await g.timeout(100)}async click(a,l,t,r){await(await this.getWindowDriver(a)).click(l,t,r)}async doubleClick(a,l){await(await this.getWindowDriver(a)).doubleClick(l)}async setValue(a,l,t){await(await this.getWindowDriver(a)).setValue(l,t)}async getTitle(a){return await(await this.getWindowDriver(a)).getTitle()}async isActiveElement(a,l){return await(await this.getWindowDriver(a)).isActiveElement(l)}async getElements(a,l,t){return await(await this.getWindowDriver(a)).getElements(l,t)}async getElementXY(a,l,t,r){return await(await this.getWindowDriver(a)).getElementXY(l,t,r)}async typeInEditor(a,l,t){await(await this.getWindowDriver(a)).typeInEditor(l,t)}async getTerminalBuffer(a,l){return await(await this.getWindowDriver(a)).getTerminalBuffer(l)}async writeInTerminal(a,l,t){await(await this.getWindowDriver(a)).writeInTerminal(l,t)}async getWindowDriver(a){await this.whenUnfrozen(a);const l=`window:${a}`,t=new M.StaticRouter(c=>c===l),r=this.windowServer.getChannel("windowDriver",t);return new v.WindowDriverChannelClient(r)}async whenUnfrozen(a){for(;this.reloadingWindowIds.has(a);)await k.Event.toPromise(this.onDidReloadingChange.event)}};p=ue([ie(2,R.IWindowsMainService),ie(3,h.ILifecycleMainService),ie(4,w.INativeHostMainService)],p),e.Driver=p;async function s(o,a,l,t){const r=l.driverVerbose,c=t.createInstance(p,o,{verbose:r}),d=new v.WindowDriverRegistryChannel(c);o.registerChannel("windowDriverRegistry",d);const u=await L.serve(a),m=new v.DriverChannel(c);return u.registerChannel("driver",m),E.combinedDisposable(u,o)}e.serve=s}),define(Y[217],J([0,1,59,55]),function(H,e,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nodeSocketFactory=void 0,e.nodeSocketFactory=new class{connect(L,E,M,n){const y=k=>n(k,void 0),i=v.createConnection({host:L,port:E},()=>{i.removeListener("error",y);const k=Buffer.alloc(16);for(let h=0;h<16;h++)k[h]=Math.round(Math.random()*256);const f=k.toString("base64");let b=[`GET ws://${/:/.test(L)?`[${L}]`:L}:${E}/?${M}&skipWebSocketFrames=true HTTP/1.1`,"Connection: Upgrade","Upgrade: websocket",`Sec-WebSocket-Key: ${f}`];i.write(b.join(`\r
`)+`\r
\r
`);const g=h=>{h.toString().indexOf(`\r
\r
`)>=0&&(i.off("data",g),n(void 0,new R.NodeSocket(i)))};i.on("data",g)});i.once("error",y)}}}),define(Y[218],J([0,1,59,9,2,111,6,61,182,54,217,92]),function(H,e,v,R,L,E,M,n,y,i,k,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TunnelService=e.BaseTunnelService=void 0;async function b(S,p,s,o){return new g(S,p,s,o).waitForReady()}class g extends L.Disposable{constructor(p,s,o,a){super();this.suggestedLocalPort=a,this.public=!1,this._socketsDispose=new Map,this._options=p,this._server=v.createServer(),this._barrier=new R.Barrier,this._listeningListener=()=>this._barrier.open(),this._server.on("listening",this._listeningListener),this._connectionListener=l=>this._onConnection(l),this._server.on("connection",this._connectionListener),this._errorListener=()=>{},this._server.on("error",this._errorListener),this.tunnelRemotePort=o,this.tunnelRemoteHost=s}async dispose(){super.dispose(),this._server.removeListener("listening",this._listeningListener),this._server.removeListener("connection",this._connectionListener),this._server.removeListener("error",this._errorListener),this._server.close(),Array.from(this._socketsDispose.values()).forEach(s=>{s()})}async waitForReady(){var p;let s=await E.findFreePortFaster((p=this.suggestedLocalPort)!==null&&p!==void 0?p:this.tunnelRemotePort,2,1e3),o=null;return o=this._server.listen(s).address(),o||(s=0,o=this._server.listen(s).address()),this.tunnelLocalPort=o.port,await this._barrier.wait(),this.localAddress=`${this.tunnelRemoteHost==="127.0.0.1"?"127.0.0.1":"localhost"}:${o.port}`,this}async _onConnection(p){p.pause();const s=await y.connectRemoteAgentTunnel(this._options,this.tunnelRemotePort),o=s.getSocket().socket,a=s.readEntireBuffer();s.dispose(),a.byteLength>0&&p.write(a.buffer),p.on("end",()=>{this._socketsDispose.delete(p.localAddress),o.end()}),p.on("close",()=>o.end()),p.on("error",()=>{this._socketsDispose.delete(p.localAddress),o.destroy()}),o.on("end",()=>p.end()),o.on("close",()=>p.end()),o.on("error",()=>{p.destroy()}),p.pipe(o),o.pipe(p),this._socketsDispose.set(p.localAddress,()=>{p.end(),o.end()})}}let h=class extends i.AbstractTunnelService{constructor(p,s,o,a){super(s);this.socketFactory=p,this.signService=o,this.productService=a}retainOrCreateTunnel(p,s,o,a,l,t){const r=this.getTunnelFromMap(s,o);if(r)return++r.refcount,r.value;if(this._tunnelProvider)return this.createWithProvider(this._tunnelProvider,s,o,a,l,t);{this.logService.trace(`Creating tunnel without provider ${s}:${o} on local port ${a}.`);const c={commit:this.productService.commit,socketFactory:this.socketFactory,addressProvider:p,signService:this.signService,logService:this.logService,ipcLogger:null},d=b(c,s,o,a);return this.logService.trace("Tunnel created without provider."),this.addTunnelToMap(s,o,d),d}}};h=ue([ie(1,M.ILogService),ie(2,f.ISignService),ie(3,n.IProductService)],h),e.BaseTunnelService=h;let w=class extends h{constructor(p,s,o){super(k.nodeSocketFactory,p,s,o)}};w=ue([ie(0,M.ILogService),ie(1,f.ISignService),ie(2,n.IProductService)],w),e.TunnelService=w}),define(Y[219],J([0,1,212,184,2,13,20,183,18,6,22]),function(H,e,v,R,L,E,M,n,y,i,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestService=void 0;let f=class extends L.Disposable{constructor(g,h){super();this.logService=h,this.configure(g.getValue()),this._register(g.onDidChangeConfiguration(()=>this.configure(g.getValue()),this))}configure(g){this.proxyUrl=g.http&&g.http.proxy,this.strictSSL=!!(g.http&&g.http.proxyStrictSSL),this.authorization=g.http&&g.http.proxyAuthorization}async request(g,h){this.logService.trace("RequestService#request",g.url);const{proxyUrl:w,strictSSL:S}=this,p=g.agent?g.agent:await n.getProxyAgent(g.url||"",{proxyUrl:w,strictSSL:S});return g.agent=p,g.strictSSL=S,this.authorization&&(g.headers=Object.assign(Object.assign({},g.headers||{}),{"Proxy-Authorization":this.authorization})),this._request(g,h)}async getNodeRequest(g){return(R.parse(g.url).protocol==="https:"?await new Promise((S,p)=>{H(["https"],S,p)}):await new Promise((S,p)=>{H(["http"],S,p)})).request}_request(g,h){return new Promise(async(w,S)=>{let p;const s=R.parse(g.url),o=g.getRawRequest?g.getRawRequest(g):await this.getNodeRequest(g),a={hostname:s.hostname,port:s.port?parseInt(s.port):s.protocol==="https:"?443:80,protocol:s.protocol,path:s.path,method:g.type||"GET",headers:g.headers,agent:g.agent,rejectUnauthorized:E.isBoolean(g.strictSSL)?g.strictSSL:!0};g.user&&g.password&&(a.auth=g.user+":"+g.password),p=o(a,l=>{const t=E.isNumber(g.followRedirects)?g.followRedirects:3;if(l.statusCode&&l.statusCode>=300&&l.statusCode<400&&t>0&&l.headers.location)this._request(Object.assign(Object.assign({},g),{url:l.headers.location,followRedirects:t-1}),h).then(w,S);else{let r=l;l.headers["content-encoding"]==="gzip"&&(r=l.pipe(v.createGunzip())),w({res:l,stream:k.streamToBufferReadableStream(r)})}}),p.on("error",S),g.timeout&&p.setTimeout(g.timeout),g.data&&typeof g.data=="string"&&p.write(g.data),p.end(),h.onCancellationRequested(()=>{p.abort(),S(M.canceled())})})}async resolveProxy(g){}};f=ue([ie(0,y.IConfigurationService),ie(1,i.ILogService)],f),e.RequestService=f}),define(Y[220],J([0,1,219,11]),function(H,e,v,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequestMainService=void 0;function L(M){return R.net.request}class E extends v.RequestService{request(n,y){return super.request(Object.assign(Object.assign({},n||{}),{getRawRequest:L}),y)}}e.RequestMainService=E}),define(Y[221],J([0,1,11,26,9,6,19,71,10,4,2,81,13,3,86]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SharedProcess=void 0;let w=class extends k.Disposable{constructor(p,s,o,a,l,t){super();this.machineId=p,this.userEnv=s,this.environmentMainService=o,this.lifecycleMainService=a,this.logService=l,this.themeMainService=t,this.firstWindowConnectionBarrier=new L.Barrier,this.window=void 0,this.windowCloseListener=void 0,this._onDidError=this._register(new g.Emitter),this.onDidError=g.Event.buffer(this._onDidError.event),this._whenReady=void 0,this._whenIpcReady=void 0,this.registerListeners()}registerListeners(){this._register(this.lifecycleMainService.onWillShutdown(()=>this.onWillShutdown())),v.ipcMain.on("vscode:createSharedProcessMessageChannel",async(p,s)=>this.onWindowConnection(p,s))}async onWindowConnection(p,s){this.logService.trace("SharedProcess: on vscode:createSharedProcessMessageChannel"),this.firstWindowConnectionBarrier.isOpen()||this.firstWindowConnectionBarrier.open(),await this.whenReady();const o=await this.connect();if(p.sender.isDestroyed())return o.close();p.sender.postMessage("vscode:createSharedProcessMessageChannelResult",s,[o])}onWillShutdown(){const p=this.window;!p||(!p.isDestroyed()&&!p.webContents.isDestroyed()&&p.webContents.send("vscode:electron-main->shared-process=exit"),this.windowCloseListener&&(p.removeListener("close",this.windowCloseListener),this.windowCloseListener=void 0),setTimeout(()=>{try{p.close()}catch(s){}this.window=void 0},0))}whenReady(){return this._whenReady||(this._whenReady=new Promise(p=>v.ipcMain.once("vscode:shared-process->electron-main=init-done",()=>{this.logService.trace("SharedProcess: Overall ready"),p()}))),this._whenReady}get whenIpcReady(){return this._whenIpcReady||(this._whenIpcReady=(async()=>{await this.firstWindowConnectionBarrier.wait(),this.userEnv=Object.assign(Object.assign({},this.userEnv),await h.resolveShellEnv(this.logService,this.environmentMainService.args,process.env)),this.createWindow(),this.registerWindowListeners(),await new Promise(p=>v.ipcMain.once("vscode:shared-process->electron-main=ipc-ready",()=>{this.logService.trace("SharedProcess: IPC ready"),p()}))})()),this._whenIpcReady}createWindow(){this.window=new v.BrowserWindow({show:!1,backgroundColor:this.themeMainService.getBackgroundColor(),webPreferences:{preload:y.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",H).fsPath,v8CacheOptions:i.browserCodeLoadingCacheStrategy,nodeIntegration:!0,enableWebSQL:!1,enableRemoteModule:!1,spellcheck:!1,nativeWindowOpen:!0,images:!1,webgl:!1,disableBlinkFeatures:"Auxclick"}});const p={machineId:this.machineId,windowId:this.window.id,appRoot:this.environmentMainService.appRoot,nodeCachedDataDir:this.environmentMainService.nodeCachedDataDir,backupWorkspacesPath:this.environmentMainService.backupWorkspacesPath,userEnv:this.userEnv,args:this.environmentMainService.args,logLevel:this.logService.getLevel()};this.window.loadURL(y.FileAccess.asBrowserUri("vs/code/electron-browser/sharedProcess/sharedProcess.html",H).with({query:`config=${encodeURIComponent(JSON.stringify(p))}`}).toString(!0))}registerWindowListeners(){!this.window||(this.windowCloseListener=p=>{var s;this.logService.trace("SharedProcess#close prevented"),p.preventDefault(),((s=this.window)===null||s===void 0?void 0:s.isVisible())&&this.window.hide()},this.window.on("close",this.windowCloseListener),this.window.webContents.on("render-process-gone",(p,s)=>this._onDidError.fire({type:2,details:s})),this.window.on("unresponsive",()=>this._onDidError.fire({type:1,details:"SharedProcess: detected unresponsive window"})),this.window.webContents.on("did-fail-load",(p,s,o)=>this._onDidError.fire({type:3,details:`SharedProcess: failed to load: ${o}`})))}async connect(){await this.whenIpcReady;const p=b.assertIsDefined(this.window);return f.connect(p)}async toggle(){await this.whenIpcReady,!!this.window&&(this.window.isVisible()?(this.window.webContents.closeDevTools(),this.window.hide()):(this.window.show(),this.window.webContents.openDevTools()))}};w=ue([ie(2,R.IEnvironmentMainService),ie(3,M.ILifecycleMainService),ie(4,E.ILogService),ie(5,n.IThemeMainService)],w),e.SharedProcess=w}),define(Y[73],J([0,1,3,9,18,19,17,40,26,6,39,25]),function(H,e,v,R,L,E,M,n,y,i,k,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractUpdateService=e.createUpdateURL=void 0;function b(h,w){return`${M.default.updateUrl}/api/update/${h}/${w}/${M.default.commit}`}e.createUpdateURL=b;let g=class{constructor(w,S,p,s,o){this.lifecycleMainService=w,this.configurationService=S,this.environmentMainService=p,this.requestService=s,this.logService=o,this._state=n.State.Uninitialized,this._onStateChange=new v.Emitter,this.onStateChange=this._onStateChange.event}get state(){return this._state}setState(w){this.logService.info("update#setState",w.type),this._state=w,this._onStateChange.fire(w)}initialize(){if(!!this.environmentMainService.isBuilt){if(this.environmentMainService.disableUpdates){this.logService.info("update#ctor - updates are disabled by the environment");return}if(!M.default.updateUrl||!M.default.commit){this.logService.info("update#ctor - updates are disabled as there is no update URL");return}const w=L.getMigratedSettingValue(this.configurationService,"update.mode","update.channel"),S=this.getProductQuality(w);if(!S){this.logService.info("update#ctor - updates are disabled by user preference");return}if(this.url=this.buildUpdateFeedUrl(S),!this.url){this.logService.info("update#ctor - updates are disabled as the update URL is badly formed");return}if(this.setState(n.State.Idle(this.getUpdateType())),w==="manual"){this.logService.info("update#ctor - manual checks only; automatic updates are disabled by user preference");return}w==="start"?(this.logService.info("update#ctor - startup checks only; automatic updates are disabled by user preference"),setTimeout(()=>this.checkForUpdates(null),30*1e3)):this.scheduleCheckForUpdates(30*1e3).then(void 0,p=>this.logService.error(p))}}getProductQuality(w){return w==="none"?void 0:M.default.quality}scheduleCheckForUpdates(w=60*60*1e3){return R.timeout(w).then(()=>this.checkForUpdates(null)).then(()=>this.scheduleCheckForUpdates(60*60*1e3))}async checkForUpdates(w){this.logService.trace("update#checkForUpdates, state = ",this.state.type),this.state.type==="idle"&&this.doCheckForUpdates(w)}async downloadUpdate(){this.logService.trace("update#downloadUpdate, state = ",this.state.type),this.state.type==="available for download"&&await this.doDownloadUpdate(this.state)}async doDownloadUpdate(w){}async applyUpdate(){this.logService.trace("update#applyUpdate, state = ",this.state.type),this.state.type==="downloaded"&&await this.doApplyUpdate()}async doApplyUpdate(){}quitAndInstall(){return this.logService.trace("update#quitAndInstall, state = ",this.state.type),this.state.type!=="ready"||(this.logService.trace("update#quitAndInstall(): before lifecycle quit()"),this.lifecycleMainService.quit(!0).then(w=>{this.logService.trace(`update#quitAndInstall(): after lifecycle quit() with veto: ${w}`),!w&&(this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.doQuitAndInstall())})),Promise.resolve(void 0)}isLatestVersion(){return this.url?this.requestService.request({url:this.url},f.CancellationToken.None).then(w=>w.res.statusCode===204):Promise.resolve(void 0)}getUpdateType(){return 1}doQuitAndInstall(){}};g=ue([ie(0,E.ILifecycleMainService),ie(1,L.IConfigurationService),ie(2,y.IEnvironmentMainService),ie(3,k.IRequestService),ie(4,i.ILogService)],g),e.AbstractUpdateService=g}),define(Y[222],J([0,1,11,2,3,50,18,19,40,31,26,6,73,39,17]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DarwinUpdateService=void 0;let w=class extends b.AbstractUpdateService{constructor(p,s,o,a,l,t){super(p,s,a,l,t);this.telemetryService=o,this.disposables=new R.DisposableStore}get onRawError(){return L.Event.fromNodeEventEmitter(v.autoUpdater,"error",(p,s)=>s)}get onRawUpdateNotAvailable(){return L.Event.fromNodeEventEmitter(v.autoUpdater,"update-not-available")}get onRawUpdateAvailable(){return L.Event.fromNodeEventEmitter(v.autoUpdater,"update-available",(p,s,o)=>({url:s,version:o,productVersion:o}))}get onRawUpdateDownloaded(){return L.Event.fromNodeEventEmitter(v.autoUpdater,"update-downloaded",(p,s,o,a)=>({releaseNotes:s,version:o,productVersion:o,date:a}))}initialize(){super.initialize(),this.onRawError(this.onError,this,this.disposables),this.onRawUpdateAvailable(this.onUpdateAvailable,this,this.disposables),this.onRawUpdateDownloaded(this.onUpdateDownloaded,this,this.disposables),this.onRawUpdateNotAvailable(this.onUpdateNotAvailable,this,this.disposables)}onError(p){this.logService.error("UpdateService error:",p);const o=(this.state.type==="checking for updates"?!!this.state.context:!0)?p:void 0;this.setState(y.State.Idle(1,o))}buildUpdateFeedUrl(p){let s;h.default.darwinUniversalAssetId?s=h.default.darwinUniversalAssetId:s=process.arch==="x64"?"darwin":"darwin-arm64";const o=b.createUpdateURL(s,p);try{v.autoUpdater.setFeedURL({url:o})}catch(a){this.logService.error("Failed to set update feed URL",a);return}return o}doCheckForUpdates(p){this.setState(y.State.CheckingForUpdates(p)),v.autoUpdater.checkForUpdates()}onUpdateAvailable(p){this.state.type==="checking for updates"&&this.setState(y.State.Downloading(p))}onUpdateDownloaded(p){this.state.type==="downloading"&&(this.telemetryService.publicLog2("update:downloaded",{version:p.version}),this.setState(y.State.Ready(p)))}onUpdateNotAvailable(){this.state.type==="checking for updates"&&(this.telemetryService.publicLog2("update:notAvailable",{explicit:!!this.state.context}),this.setState(y.State.Idle(1)))}doQuitAndInstall(){this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),v.autoUpdater.quitAndInstall()}dispose(){this.disposables.dispose()}};ue([E.memoize],w.prototype,"onRawError",null),ue([E.memoize],w.prototype,"onRawUpdateNotAvailable",null),ue([E.memoize],w.prototype,"onRawUpdateAvailable",null),ue([E.memoize],w.prototype,"onRawUpdateDownloaded",null),w=ue([ie(0,n.ILifecycleMainService),ie(1,M.IConfigurationService),ie(2,i.ITelemetryService),ie(3,k.IEnvironmentMainService),ie(4,g.IRequestService),ie(5,f.ILogService)],w),e.DarwinUpdateService=w}),define(Y[223],J([0,1,17,18,19,40,31,26,6,73,39,25,44]),function(H,e,v,R,L,E,M,n,y,i,k,f,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinuxUpdateService=void 0;let g=class extends i.AbstractUpdateService{constructor(w,S,p,s,o,a,l){super(w,S,s,o,a);this.telemetryService=p,this.nativeHostMainService=l}buildUpdateFeedUrl(w){return i.createUpdateURL(`linux-${process.arch}`,w)}doCheckForUpdates(w){!this.url||(this.setState(E.State.CheckingForUpdates(w)),this.requestService.request({url:this.url},f.CancellationToken.None).then(k.asJson).then(S=>{!S||!S.url||!S.version||!S.productVersion?(this.telemetryService.publicLog2("update:notAvailable",{explicit:!!w}),this.setState(E.State.Idle(1))):this.setState(E.State.AvailableForDownload(S))}).then(void 0,S=>{this.logService.error(S),this.telemetryService.publicLog2("update:notAvailable",{explicit:!!w});const p=w?S.message||S:void 0;this.setState(E.State.Idle(1,p))}))}async doDownloadUpdate(w){v.default.downloadUrl&&v.default.downloadUrl.length>0?this.nativeHostMainService.openExternal(void 0,v.default.downloadUrl):w.update.url&&this.nativeHostMainService.openExternal(void 0,w.update.url),this.setState(E.State.Idle(1))}};g=ue([ie(0,L.ILifecycleMainService),ie(1,R.IConfigurationService),ie(2,M.ITelemetryService),ie(3,n.IEnvironmentMainService),ie(4,k.IRequestService),ie(5,y.ILogService),ie(6,b.INativeHostMainService)],g),e.LinuxUpdateService=g}),define(Y[224],J([0,1,3,9,19,40,26,6,8,23,45,31]),function(H,e,v,R,L,E,M,n,y,i,k,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SnapUpdateService=void 0;let b=class{constructor(w,S,p){if(this.lifecycleMainService=w,this.logService=p,this._state=E.State.Uninitialized,this._onStateChange=new v.Emitter,this.onStateChange=this._onStateChange.event,S.disableUpdates){this.logService.info("update#ctor - updates are disabled");return}this.setState(E.State.Idle(this.getUpdateType())),this.scheduleCheckForUpdates(30*1e3).then(void 0,s=>this.logService.error(s))}get state(){return this._state}setState(w){this.logService.info("update#setState",w.type),this._state=w,this._onStateChange.fire(w)}scheduleCheckForUpdates(w=60*60*1e3){return R.timeout(w).then(()=>this.checkForUpdates(null)).then(()=>this.scheduleCheckForUpdates(60*60*1e3))}async checkForUpdates(w){this.logService.trace("update#checkForUpdates, state = ",this.state.type),this.state.type==="idle"&&this.doCheckForUpdates(w)}async downloadUpdate(){this.logService.trace("update#downloadUpdate, state = ",this.state.type),this.state.type==="available for download"&&await this.doDownloadUpdate(this.state)}doDownloadUpdate(w){return Promise.resolve(void 0)}async applyUpdate(){this.logService.trace("update#applyUpdate, state = ",this.state.type),this.state.type==="downloaded"&&await this.doApplyUpdate()}doApplyUpdate(){return Promise.resolve(void 0)}quitAndInstall(){return this.logService.trace("update#quitAndInstall, state = ",this.state.type),this.state.type!=="ready"||(this.logService.trace("update#quitAndInstall(): before lifecycle quit()"),this.lifecycleMainService.quit(!0).then(w=>{this.logService.trace(`update#quitAndInstall(): after lifecycle quit() with veto: ${w}`),!w&&(this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.doQuitAndInstall())})),Promise.resolve(void 0)}getUpdateType(){return 2}doQuitAndInstall(){}};b=ue([ie(0,L.ILifecycleMainService),ie(1,M.IEnvironmentMainService),ie(2,n.ILogService)],b);let g=class extends b{constructor(w,S,p,s,o,a){super(p,s,o);this.snap=w,this.snapRevision=S,this.telemetryService=a;const l=i.watch(y.dirname(this.snap)),t=v.Event.fromNodeEventEmitter(l,"change",(u,m)=>m),r=v.Event.filter(t,u=>u==="current"),d=v.Event.debounce(r,(u,m)=>m,2e3)(this.checkForUpdates,this);p.onWillShutdown(()=>{d.dispose(),l.close()})}doCheckForUpdates(w){this.setState(E.State.CheckingForUpdates(w)),this.isUpdateAvailable().then(S=>{S?this.setState(E.State.Ready({version:"something",productVersion:"something"})):(this.telemetryService.publicLog2("update:notAvailable",{explicit:!!w}),this.setState(E.State.Idle(2)))},S=>{this.logService.error(S),this.telemetryService.publicLog2("update:notAvailable",{explicit:!!w}),this.setState(E.State.Idle(2,S.message||S))})}doQuitAndInstall(){this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),k.spawn("sleep 3 && "+y.basename(process.argv[0]),{shell:!0,detached:!0,stdio:"ignore"})}async isUpdateAvailable(){const w=await new Promise((p,s)=>i.realpath(`${y.dirname(this.snap)}/current`,(o,a)=>o?s(o):p(a))),S=y.basename(w);return this.snapRevision!==S}isLatestVersion(){return this.isUpdateAvailable().then(void 0,w=>{this.logService.error("update#checkForSnapUpdate(): Could not get realpath of application.")})}};g=ue([ie(2,L.ILifecycleMainService),ie(3,M.IEnvironmentMainService),ie(4,n.ILogService),ie(5,f.ITelemetryService)],g),e.SnapUpdateService=g}),define(Y[225],J([0,1,23,8,24,50,18,19,17,40,31,26,6,73,39,108,27,45,25,9,16,7,44]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h,w,S,p,s,o,a,l,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Win32UpdateService=void 0;async function r(m,I=1e3){for(;!m();)await o.timeout(I)}let c;function d(){return typeof c=="undefined"&&(c=v.existsSync(R.join(R.dirname(process.execPath),"unins000.exe"))?0:1),c}let u=class extends g.AbstractUpdateService{constructor(I,A,F,N,$,z,x,te){super(I,A,N,$,z);this.telemetryService=F,this.fileService=x,this.nativeHostMainService=te}get cachePath(){const I=R.join(S.tmpdir(),`vscode-update-${y.default.target}-${process.arch}`);return v.promises.mkdir(I,{recursive:!0}).then(()=>I)}initialize(){super.initialize(),d()===0&&this.telemetryService.publicLog("update:win32SetupTarget",{target:y.default.target})}buildUpdateFeedUrl(I){let A="win32";return process.arch!=="ia32"&&(A+=`-${process.arch}`),d()===1?A+="-archive":y.default.target==="user"&&(A+="-user"),g.createUpdateURL(A,I)}doCheckForUpdates(I){!this.url||(this.setState(i.State.CheckingForUpdates(I)),this.requestService.request({url:this.url},s.CancellationToken.None).then(h.asJson).then(A=>{const F=d();return!A||!A.url||!A.version||!A.productVersion?(this.telemetryService.publicLog2("update:notAvailable",{explicit:!!I}),this.setState(i.State.Idle(F)),Promise.resolve(null)):F===1?(this.setState(i.State.AvailableForDownload(A)),Promise.resolve(null)):(this.setState(i.State.Downloading(A)),this.cleanup(A.version).then(()=>this.getUpdatePackagePath(A.version).then(N=>L.exists(N).then($=>{if($)return Promise.resolve(N);const z=A.url,x=A.hash,te=`${N}.tmp`;return this.requestService.request({url:z},s.CancellationToken.None).then(Z=>this.fileService.writeFile(l.URI.file(te),Z.stream)).then(x?()=>w.checksum(te,A.hash):()=>{}).then(()=>v.promises.rename(te,N)).then(()=>N)})).then(N=>{const $=this.configurationService.getValue("update.enableWindowsBackgroundUpdates");this.availableUpdate={packagePath:N},$&&A.supportsFastUpdate?y.default.target==="user"?this.doApplyUpdate():this.setState(i.State.Downloaded(A)):this.setState(i.State.Ready(A))})))}).then(void 0,A=>{this.logService.error(A),this.telemetryService.publicLog2("update:notAvailable",{explicit:!!I});const F=I?A.message||A:void 0;this.setState(i.State.Idle(d(),F))}))}async doDownloadUpdate(I){I.update.url&&this.nativeHostMainService.openExternal(void 0,I.update.url),this.setState(i.State.Idle(d()))}async getUpdatePackagePath(I){const A=await this.cachePath;return R.join(A,`CodeSetup-${y.default.quality}-${I}.exe`)}async cleanup(I=null){const A=I?z=>!new RegExp(`${y.default.quality}-${I}\\.exe$`).test(z):()=>!0,F=await this.cachePath,$=(await L.readdir(F)).filter(A).map(async z=>{try{await v.promises.unlink(R.join(F,z))}catch(x){}});await Promise.all($)}async doApplyUpdate(){if(this.state.type!=="downloaded"&&this.state.type!=="downloading"||!this.availableUpdate)return Promise.resolve(void 0);const I=this.state.update;this.setState(i.State.Updating(I));const A=await this.cachePath;this.availableUpdate.updateFilePath=R.join(A,`CodeSetup-${y.default.quality}-${I.version}.flag`),await L.writeFile(this.availableUpdate.updateFilePath,"flag"),p.spawn(this.availableUpdate.packagePath,["/verysilent",`/update="${this.availableUpdate.updateFilePath}"`,"/nocloseapplications","/mergetasks=runcode,!desktopicon,!quicklaunchicon"],{detached:!0,stdio:["ignore","ignore","ignore"],windowsVerbatimArguments:!0}).once("exit",()=>{this.availableUpdate=void 0,this.setState(i.State.Idle(d()))});const N=`${y.default.win32MutexName}-ready`,$=await new Promise((z,x)=>{H(["windows-mutex"],z,x)});r(()=>$.isActive(N)).then(()=>this.setState(i.State.Ready(I)))}doQuitAndInstall(){this.state.type!=="ready"||!this.availableUpdate||(this.logService.trace("update#quitAndInstall(): running raw#quitAndInstall()"),this.state.update.supportsFastUpdate&&this.availableUpdate.updateFilePath?v.unlinkSync(this.availableUpdate.updateFilePath):p.spawn(this.availableUpdate.packagePath,["/silent","/mergetasks=runcode,!desktopicon,!quicklaunchicon"],{detached:!0,stdio:["ignore","ignore","ignore"]}))}getUpdateType(){return d()}};ue([E.memoize],u.prototype,"cachePath",null),u=ue([ie(0,n.ILifecycleMainService),ie(1,M.IConfigurationService),ie(2,k.ITelemetryService),ie(3,f.IEnvironmentMainService),ie(4,h.IRequestService),ie(5,b.ILogService),ie(6,a.IFileService),ie(7,t.INativeHostMainService)],u),e.Win32UpdateService=u}),define(Y[49],J([0,1,28,26,8,24,23,4,3,6,58,42,10,2,15,5,148,17,11,13,47,48,97]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h,w,S,p,s,o,a,l,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingleFolderWorkspaceIdentifier=e.getWorkspaceIdentifier=e.WorkspacesManagementMainService=e.IWorkspacesManagementMainService=void 0,e.IWorkspacesManagementMainService=w.createDecorator("workspacesManagementMainService");let r=class extends g.Disposable{constructor(m,I,A,F){super();this.environmentMainService=m,this.logService=I,this.backupMainService=A,this.dialogMainService=F,this.untitledWorkspacesHome=this.environmentMainService.untitledWorkspacesHome,this._onDidDeleteUntitledWorkspace=this._register(new y.Emitter),this.onDidDeleteUntitledWorkspace=this._onDidDeleteUntitledWorkspace.event,this._onDidEnterWorkspace=this._register(new y.Emitter),this.onDidEnterWorkspace=this._onDidEnterWorkspace.event}resolveLocalWorkspaceSync(m){if(!this.isWorkspacePath(m)||m.scheme!==b.Schemas.file)return null;let I;try{I=M.readFileSync(m.fsPath,"utf8")}catch(A){return null}return this.doResolveWorkspace(m,I)}isWorkspacePath(m){return v.isUntitledWorkspace(m,this.environmentMainService)||v.hasWorkspaceFileExtension(m)}doResolveWorkspace(m,I){try{const A=this.doParseStoredWorkspace(m,I),F=c(m);return{id:F.id,configPath:F.configPath,folders:v.toWorkspaceFolders(A.folders,F.configPath,h.extUriBiasedIgnorePathCase),remoteAuthority:A.remoteAuthority}}catch(A){this.logService.warn(A.toString())}return null}doParseStoredWorkspace(m,I){const A=f.parse(I);if(A&&Array.isArray(A.folders))A.folders=A.folders.filter(F=>v.isStoredWorkspaceFolder(F));else throw new Error(`${m.toString(!0)} looks like an invalid workspace file.`);return A}async createUntitledWorkspace(m,I){const{workspace:A,storedWorkspace:F}=this.newUntitledWorkspace(m,I),N=A.configPath.fsPath;return await M.promises.mkdir(L.dirname(N),{recursive:!0}),await E.writeFile(N,JSON.stringify(F,null,"	")),A}createUntitledWorkspaceSync(m,I){const{workspace:A,storedWorkspace:F}=this.newUntitledWorkspace(m,I),N=A.configPath.fsPath,$=L.dirname(N);if(!M.existsSync($)){const z=L.dirname($);M.existsSync(z)||M.mkdirSync(z),M.mkdirSync($)}return E.writeFileSync(N,JSON.stringify(F,null,"	")),A}newUntitledWorkspace(m=[],I){const A=(Date.now()+Math.round(Math.random()*1e3)).toString(),F=h.joinPath(this.untitledWorkspacesHome,A),N=h.joinPath(F,v.UNTITLED_WORKSPACE_NAME),$=[];for(const z of m)$.push(v.getStoredWorkspaceFolder(z.uri,!0,z.name,F,!n.isWindows,h.extUriBiasedIgnorePathCase));return{workspace:c(N),storedWorkspace:{folders:$,remoteAuthority:I}}}async getWorkspaceIdentifier(m){return c(m)}isUntitledWorkspace(m){return v.isUntitledWorkspace(m.configPath,this.environmentMainService)}deleteUntitledWorkspaceSync(m){!this.isUntitledWorkspace(m)||(this.doDeleteUntitledWorkspaceSync(m),this._onDidDeleteUntitledWorkspace.fire(m))}async deleteUntitledWorkspace(m){this.deleteUntitledWorkspaceSync(m)}doDeleteUntitledWorkspaceSync(m){const I=h.originalFSPath(m.configPath);try{E.rimrafSync(L.dirname(I));const A=L.join(this.environmentMainService.workspaceStorageHome.fsPath,m.id);M.existsSync(A)&&E.writeFileSync(L.join(A,"obsolete"),"")}catch(A){this.logService.warn(`Unable to delete untitled workspace ${I} (${A}).`)}}getUntitledWorkspacesSync(){const m=[];try{const I=E.readdirSync(this.untitledWorkspacesHome.fsPath).map(A=>h.joinPath(this.untitledWorkspacesHome,A,v.UNTITLED_WORKSPACE_NAME));for(const A of I){const F=c(A),N=this.resolveLocalWorkspaceSync(A);N?m.push({workspace:F,remoteAuthority:N.remoteAuthority}):this.doDeleteUntitledWorkspaceSync(F)}}catch(I){I.code!=="ENOENT"&&this.logService.warn(`Unable to read folders in ${this.untitledWorkspacesHome} (${I}).`)}return m}async enterWorkspace(m,I,A){if(!m||!m.win||!m.isReady||!await this.isValidTargetWorkspacePath(m,I,A))return null;const N=this.doEnterWorkspace(m,c(A));return N?(this._onDidEnterWorkspace.fire({window:m,workspace:N.workspace}),N):null}async isValidTargetWorkspacePath(m,I,A){if(!A)return!0;if(v.isWorkspaceIdentifier(m.openedWorkspace)&&h.extUriBiasedIgnorePathCase.isEqual(m.openedWorkspace.configPath,A))return!1;if(t.findWindowOnWorkspaceOrFolder(I,A)){const F={title:p.default.nameLong,type:"info",buttons:[S.localize(0,null)],message:S.localize(1,null,h.basename(A)),detail:S.localize(2,null),noLink:!0};return await this.dialogMainService.showMessageBox(F,o.withNullAsUndefined(s.BrowserWindow.getFocusedWindow())),!1}return!0}doEnterWorkspace(m,I){if(!m.config)return null;m.focus();let A;return m.config.extensionDevelopmentPath||(A=this.backupMainService.registerWorkspaceBackupSync({workspace:I,remoteAuthority:m.remoteAuthority},m.config.backupPath)),v.isWorkspaceIdentifier(m.openedWorkspace)&&this.isUntitledWorkspace(m.openedWorkspace)&&this.deleteUntitledWorkspaceSync(m.openedWorkspace),m.config.workspace=I,m.config.backupPath=A,{workspace:I,backupPath:A}}};r=ue([ie(0,R.IEnvironmentMainService),ie(1,i.ILogService),ie(2,a.IBackupMainService),ie(3,l.IDialogMainService)],r),e.WorkspacesManagementMainService=r;function c(u){function m(){let I=u.scheme===b.Schemas.file?h.originalFSPath(u):u.toString();return n.isLinux||(I=I.toLowerCase()),k.createHash("md5").update(I).digest("hex")}return{id:m(),configPath:u}}e.getWorkspaceIdentifier=c;function d(u,m){function I(){if(u.scheme!==b.Schemas.file)return k.createHash("md5").update(u.toString()).digest("hex");if(!m)try{m=M.statSync(u.fsPath)}catch(N){return}let F;return n.isLinux?F=m.ino:n.isMacintosh?F=m.birthtime.getTime():n.isWindows&&(typeof m.birthtimeMs=="number"?F=Math.floor(m.birthtimeMs):F=m.birthtime.getTime()),k.createHash("md5").update(u.fsPath).update(F?String(F):"").digest("hex")}const A=I();if(typeof A=="string")return{id:A,uri:u}}e.getSingleFolderWorkspaceIdentifier=d}),define(Y[98],J([0,1,6,95,4,5,32,24,49,18,7,11,33,53,25,28,13]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h,w,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LaunchMainService=e.ILaunchMainService=e.ID=void 0,e.ID="launchMainService",e.ILaunchMainService=E.createDecorator(e.ID);let p=class{constructor(o,a,l,t,r){this.logService=o,this.windowsMainService=a,this.urlService=l,this.workspacesManagementMainService=t,this.configurationService=r}async start(o,a){this.logService.trace("Received data from other instance: ",o,a),L.isMacintosh&&f.app.focus({steal:!0});const l=this.parseOpenUrl(o);if(l.length){let t=Promise.resolve();this.windowsMainService.getWindowCount()===0&&(t=this.windowsMainService.openEmptyWindow({context:4})[0].ready()),t.then(()=>{for(const{uri:r,url:c}of l)this.urlService.open(r,{originalUrl:c})})}else return this.startOpenWindow(o,a)}parseOpenUrl(o){return o["open-url"]&&o._urls&&o._urls.length>0?b.coalesce(o._urls.map(a=>{try{return{uri:k.URI.parse(a),url:a}}catch(l){return null}})):[]}async startOpenWindow(o,a){const l=g.isLaunchedFromCli(a)?0:4;let t=[];const r=o.wait&&o.waitMarkerFilePath?k.URI.file(o.waitMarkerFilePath):void 0;if(o.extensionDevelopmentPath)this.windowsMainService.openExtensionDevelopmentHostWindow(o.extensionDevelopmentPath,{context:l,cli:o,userEnv:a,waitMarkerFileURI:r});else if(!o._.length&&!o["folder-uri"]&&!o["file-uri"]){let c=!1;if(o["new-window"]||o["unity-launch"])c=!0;else if(o["reuse-window"])c=!1;else{const d=this.configurationService.getValue("window");switch((d==null?void 0:d.openWithoutArgumentsInNewWindow)||"default"){case"on":c=!0;break;case"off":c=!1;break;default:c=!L.isMacintosh}}if(c)t=this.windowsMainService.open({context:l,cli:o,userEnv:a,forceNewWindow:!0,forceEmpty:!0,waitMarkerFileURI:r});else{const d=this.windowsMainService.getLastActiveWindow();d?(d.focus(),t=[d]):t=this.windowsMainService.open({context:l,cli:o,forceEmpty:!0})}}else t=this.windowsMainService.open({context:l,cli:o,userEnv:a,forceNewWindow:o["new-window"],preferNewWindow:!o["reuse-window"]&&!o.wait,forceReuseWindow:o["reuse-window"],diffMode:o.diff,addMode:o.add,noRecentEntry:!!o["skip-add-to-recently-opened"],waitMarkerFileURI:r,gotoLineMode:o.goto});if(r&&t.length===1&&t[0])return Promise.race([t[0].whenClosedOrLoaded,n.whenDeleted(r.fsPath)]).then(()=>{},()=>{})}async getMainProcessId(){return this.logService.trace("Received request for process ID from other instance."),process.pid}async getMainProcessInfo(){this.logService.trace("Received request for main process info from other instance.");const o=[];return f.BrowserWindow.getAllWindows().forEach(a=>{const l=this.windowsMainService.getWindowById(a.id);l?o.push(this.codeWindowToInfo(l)):o.push(this.browserWindowToInfo(a))}),{mainPID:process.pid,mainArguments:process.argv.slice(1),windows:o,screenReader:!!f.app.accessibilitySupportEnabled,gpuFeatureStatus:f.app.getGPUFeatureStatus()}}async getRemoteDiagnostics(o){const a=this.windowsMainService.getWindows();return(await Promise.all(a.map(t=>new Promise(r=>{const c=t.remoteAuthority;if(c){const d=`vscode:getDiagnosticInfoResponse${t.id}`,u={includeProcesses:o.includeProcesses,folders:o.includeWorkspaceMetadata?this.getFolderURIs(t):void 0};t.sendWhenReady("vscode:getDiagnosticInfo",h.CancellationToken.None,{replyChannel:d,args:u}),f.ipcMain.once(d,(m,I)=>{I||r({hostName:c,errorMessage:`Unable to resolve connection to '${c}'.`}),r(I)}),setTimeout(()=>{r({hostName:c,errorMessage:`Fetching remote diagnostics for '${c}' timed out.`})},5e3)}else r(void 0)})))).filter(t=>!!t)}getFolderURIs(o){const a=[],l=o.openedWorkspace;if(w.isSingleFolderWorkspaceIdentifier(l))a.push(l.uri);else if(w.isWorkspaceIdentifier(l)){const t=this.workspacesManagementMainService.resolveLocalWorkspaceSync(l.configPath);t&&t.folders.forEach(c=>{a.push(c.uri)})}return a}codeWindowToInfo(o){const a=this.getFolderURIs(o),l=S.assertIsDefined(o.win);return this.browserWindowToInfo(l,a,o.remoteAuthority)}browserWindowToInfo(o,a=[],l){return{pid:o.webContents.getOSProcessId(),title:o.getTitle(),folderURIs:a,remoteAuthority:l}}};p=ue([ie(0,v.ILogService),ie(1,M.IWindowsMainService),ie(2,R.IURLService),ie(3,y.IWorkspacesManagementMainService),ie(4,i.IConfigurationService)],p),e.LaunchMainService=p}),define(Y[226],J([0,1,139,27,17,60,11,98,69,26,4,6,79,48,5,62,10,44]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h,w,S,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IssueMainService=e.IIssueMainService=void 0;const s="#1E1E1E";e.IIssueMainService=h.createDecorator("issueMainService");let o=class{constructor(t,r,c,d,u,m,I,A){this.machineId=t,this.userEnv=r,this.environmentMainService=c,this.launchMainService=d,this.logService=u,this.diagnosticsService=m,this.dialogMainService=I,this.nativeHostMainService=A,this._issueWindow=null,this._issueParentWindow=null,this._processExplorerWindow=null,this._processExplorerParentWindow=null,this.registerListeners()}registerListeners(){M.ipcMain.on("vscode:issueSystemInfoRequest",async t=>{Promise.all([this.launchMainService.getMainProcessInfo(),this.launchMainService.getRemoteDiagnostics({includeProcesses:!1,includeWorkspaceMetadata:!1})]).then(r=>{const[c,d]=r;this.diagnosticsService.getSystemInfo(c,d).then(u=>{this.safeSend(t,"vscode:issueSystemInfoResponse",u)})})}),M.ipcMain.on("vscode:listProcesses",async t=>{const r=[];try{const c=await this.launchMainService.getMainProcessId();r.push({name:v.localize(0,null),rootProcess:await b.listProcesses(c)}),(await this.launchMainService.getRemoteDiagnostics({includeProcesses:!0})).forEach(d=>{y.isRemoteDiagnosticError(d)?r.push({name:d.hostName,rootProcess:d}):d.processes&&r.push({name:d.hostName,rootProcess:d.processes})})}catch(c){this.logService.error(`Listing processes failed: ${c}`)}this.safeSend(t,"vscode:listProcessesResponse",r)}),M.ipcMain.on("vscode:issueReporterClipboard",t=>{const r={message:v.localize(1,null),type:"warning",buttons:[v.localize(2,null),v.localize(3,null)]};this._issueWindow&&this.dialogMainService.showMessageBox(r,this._issueWindow).then(c=>{this.safeSend(t,"vscode:issueReporterClipboardResponse",c.response===0)})}),M.ipcMain.on("vscode:issuePerformanceInfoRequest",t=>{this.getPerformanceInfo().then(r=>{this.safeSend(t,"vscode:issuePerformanceInfoResponse",r)})}),M.ipcMain.on("vscode:issueReporterConfirmClose",()=>{const t={message:v.localize(4,null),type:"warning",buttons:[v.localize(5,null),v.localize(6,null)]};this._issueWindow&&this.dialogMainService.showMessageBox(t,this._issueWindow).then(r=>{r.response===0&&this._issueWindow&&(this._issueWindow.destroy(),this._issueWindow=null)})}),M.ipcMain.on("vscode:workbenchCommand",(t,r)=>{const{id:c,from:d,args:u}=r;let m;switch(d){case"issueReporter":m=this._issueParentWindow;break;case"processExplorer":m=this._processExplorerParentWindow;break;default:throw new Error(`Unexpected command source: ${d}`)}m&&m.webContents.send("vscode:runAction",{id:c,from:d,args:u})}),M.ipcMain.on("vscode:openExternal",(t,r)=>{this.nativeHostMainService.openExternal(void 0,r)}),M.ipcMain.on("vscode:closeIssueReporter",t=>{this._issueWindow&&this._issueWindow.close()}),M.ipcMain.on("vscode:closeProcessExplorer",t=>{this._processExplorerWindow&&this._processExplorerWindow.close()}),M.ipcMain.on("vscode:windowsInfoRequest",t=>{this.launchMainService.getMainProcessInfo().then(r=>{this.safeSend(t,"vscode:windowsInfoResponse",r.windows)})})}safeSend(t,r,...c){t.sender.isDestroyed()||t.sender.send(r,...c)}async openReporter(t){if(!this._issueWindow&&(this._issueParentWindow=M.BrowserWindow.getFocusedWindow(),this._issueParentWindow)){const r=this.getWindowPosition(this._issueParentWindow,700,800);this._issueWindow=new M.BrowserWindow({fullscreen:!1,width:r.width,height:r.height,minWidth:300,minHeight:200,x:r.x,y:r.y,title:v.localize(7,null),backgroundColor:t.styles.backgroundColor||s,webPreferences:{preload:S.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",H).fsPath,v8CacheOptions:"bypassHeatCheck",enableWebSQL:!1,enableRemoteModule:!1,spellcheck:!1,nativeWindowOpen:!0,zoomFactor:w.zoomLevelToZoomFactor(t.zoomLevel),sandbox:!0,contextIsolation:!0}}),this._issueWindow.setMenuBarVisibility(!1);const c={};this.logService.trace("issueService#openReporter: opening issue reporter"),this._issueWindow.loadURL(this.getIssueReporterPath(t,c)),this._issueWindow.on("close",()=>this._issueWindow=null),this._issueParentWindow.on("closed",()=>{this._issueWindow&&(this._issueWindow.close(),this._issueWindow=null)})}this._issueWindow&&this._issueWindow.focus()}async openProcessExplorer(t){if(!this._processExplorerWindow&&(this._processExplorerParentWindow=M.BrowserWindow.getFocusedWindow(),this._processExplorerParentWindow)){const r=this.getWindowPosition(this._processExplorerParentWindow,800,500);this._processExplorerWindow=new M.BrowserWindow({skipTaskbar:!0,resizable:!0,fullscreen:!1,width:r.width,height:r.height,minWidth:300,minHeight:200,x:r.x,y:r.y,backgroundColor:t.styles.backgroundColor,title:v.localize(8,null),webPreferences:{preload:S.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",H).fsPath,v8CacheOptions:"bypassHeatCheck",enableWebSQL:!1,enableRemoteModule:!1,spellcheck:!1,nativeWindowOpen:!0,zoomFactor:w.zoomLevelToZoomFactor(t.zoomLevel),sandbox:!0,contextIsolation:!0}}),this._processExplorerWindow.setMenuBarVisibility(!1);const c={appRoot:this.environmentMainService.appRoot,windowId:this._processExplorerWindow.id,userEnv:this.userEnv,machineId:this.machineId,data:t};this._processExplorerWindow.loadURL(a("vs/code/electron-sandbox/processExplorer/processExplorer.html",c)),this._processExplorerWindow.on("close",()=>this._processExplorerWindow=null),this._processExplorerParentWindow.on("close",()=>{this._processExplorerWindow&&(this._processExplorerWindow.close(),this._processExplorerWindow=null)})}this._processExplorerWindow&&this._processExplorerWindow.focus()}async getSystemStatus(){return Promise.all([this.launchMainService.getMainProcessInfo(),this.launchMainService.getRemoteDiagnostics({includeProcesses:!1,includeWorkspaceMetadata:!1})]).then(t=>{const[r,c]=t;return this.diagnosticsService.getDiagnostics(r,c)})}getWindowPosition(t,r,c){let d;const u=M.screen.getAllDisplays();if(u.length===1)d=u[0];else{if(k.isMacintosh){const A=M.screen.getCursorScreenPoint();d=M.screen.getDisplayNearestPoint(A)}!d&&t&&(d=M.screen.getDisplayMatching(t.getBounds())),d||(d=M.screen.getPrimaryDisplay()||u[0])}const m={width:r,height:c},I=d.bounds;return m.x=I.x+I.width/2-m.width/2,m.y=I.y+I.height/2-m.height/2,I.width>0&&I.height>0&&(m.x<I.x&&(m.x=I.x),m.y<I.y&&(m.y=I.y),m.x>I.x+I.width&&(m.x=I.x),m.y>I.y+I.height&&(m.y=I.y),m.width>I.width&&(m.width=I.width),m.height>I.height&&(m.height=I.height)),m}getPerformanceInfo(){return new Promise(async(t,r)=>{Promise.all([this.launchMainService.getMainProcessInfo(),this.launchMainService.getRemoteDiagnostics({includeProcesses:!0,includeWorkspaceMetadata:!0})]).then(c=>{const[d,u]=c;this.diagnosticsService.getPerformanceInfo(d,u).then(m=>{t(m)}).catch(m=>{this.logService.warn("issueService#getPerformanceInfo ",m.message),r(m)})})})}getIssueReporterPath(t,r){if(!this._issueWindow)throw new Error("Issue window has been disposed");const c={appRoot:this.environmentMainService.appRoot,windowId:this._issueWindow.id,machineId:this.machineId,userEnv:this.userEnv,data:t,features:r,disableExtensions:this.environmentMainService.disableExtensions,os:{type:R.type(),arch:R.arch(),release:R.release()},product:{nameShort:L.default.nameShort,version:L.default.darwinUniversalAssetId?`${L.default.version} (Universal)`:L.default.version,commit:L.default.commit,date:L.default.date,reportIssueUrl:L.default.reportIssueUrl}};return a("vs/code/electron-sandbox/issue/issueReporter.html",c)}};o=ue([ie(2,i.IEnvironmentMainService),ie(3,n.ILaunchMainService),ie(4,f.ILogService),ie(5,y.IDiagnosticsService),ie(6,g.IDialogMainService),ie(7,p.INativeHostMainService)],o),e.IssueMainService=o;function a(l,t){const r=E.parseArgs(process.argv,E.OPTIONS),c=Object.assign(r,t);for(const d of Object.keys(c)){const u=d;(c[u]===void 0||c[u]===null||c[u]==="")&&delete c[u]}return S.FileAccess.asBrowserUri(l,H,!0).with({query:`config=${encodeURIComponent(JSON.stringify(c))}`}).toString(!0)}}),define(Y[227],J([0,1,27,8,144,170,3,7,11,26,6,18,60,17,62,2,4,32,28,49,47,191,71,9,31,48,38,195,19,96,16,10,53,25]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h,w,S,p,s,o,a,l,t,r,c,d,u,m,I,A,F,N,$,z){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeWindow=void 0;var x;(function(Z){Z[Z.NONE=0]="NONE",Z[Z.LOADING=1]="LOADING",Z[Z.NAVIGATING=2]="NAVIGATING",Z[Z.READY=3]="READY"})(x||(x={}));let te=class vt extends w.Disposable{constructor(C,X,G,U,W,D,P,_,T,O,B,j){super();this.logService=X,this.environmentMainService=G,this.fileService=U,this.configurationService=D,this.themeMainService=P,this.workspacesManagementMainService=_,this.backupMainService=T,this.telemetryService=O,this.dialogMainService=B,this.lifecycleMainService=j,this._onWillLoad=this._register(new M.Emitter),this.onWillLoad=this._onWillLoad.event,this._onDidSignalReady=this._register(new M.Emitter),this.onDidSignalReady=this._onDidSignalReady.event,this._onDidClose=this._register(new M.Emitter),this.onDidClose=this._onDidClose.event,this._onDidDestroy=this._register(new M.Emitter),this.onDidDestroy=this._onDidDestroy.event,this._lastFocusTime=-1,this._readyState=0,this.whenReadyCallbacks=[],this.touchBarGroups=[],this.currentHttpProxy=void 0,this.currentNoProxy=void 0;{const[V,K]=this.restoreWindowState(C.state);this.windowState=V,this.logService.trace("window#ctor: using window state",V);const ee=this.windowState.mode===0||this.windowState.mode===3,Q=this.configurationService.getValue("window"),re={width:this.windowState.width,height:this.windowState.height,x:this.windowState.x,y:this.windowState.y,backgroundColor:this.themeMainService.getBackgroundColor(),minWidth:h.WindowMinimumSize.WIDTH,minHeight:h.WindowMinimumSize.HEIGHT,show:!ee,title:g.default.nameLong,webPreferences:Object.assign({preload:N.FileAccess.asFileUri("vs/base/parts/sandbox/electron-browser/preload.js",H).fsPath,v8CacheOptions:S.browserCodeLoadingCacheStrategy,enableWebSQL:!1,enableRemoteModule:!1,spellcheck:!1,nativeWindowOpen:!0,webviewTag:!0,zoomFactor:h.zoomLevelToZoomFactor(Q==null?void 0:Q.zoomLevel)},this.environmentMainService.sandbox?{sandbox:!0,contextIsolation:!0}:{nodeIntegration:!0})};S.browserCodeLoadingCacheStrategy&&this.logService.info(`window#ctor: using vscode-file protocol and V8 cache options: ${S.browserCodeLoadingCacheStrategy}`),S.isLinux?re.icon=R.join(this.environmentMainService.appRoot,"resources/linux/code.png"):S.isWindows&&!this.environmentMainService.isBuilt&&(re.icon=R.join(this.environmentMainService.appRoot,"resources/win32/code_150x150.png")),S.isMacintosh&&!this.useNativeFullScreen()&&(re.fullscreenable=!1),S.isMacintosh&&(re.acceptFirstMouse=!0,(Q==null?void 0:Q.clickThroughInactive)===!1&&(re.acceptFirstMouse=!1));const se=S.isMacintosh&&(Q==null?void 0:Q.nativeTabs)===!0;se&&(re.tabbingIdentifier=g.default.nameShort);const ge=h.getTitleBarStyle(this.configurationService)==="custom";if(ge&&(re.titleBarStyle="hidden",this.hiddenTitleBarStyle=!0,S.isMacintosh||(re.frame=!1)),this._win=new y.BrowserWindow(re),this._id=this._win.id,this.environmentMainService.args["open-devtools"]===!0&&this._win.webContents.openDevTools(),S.isMacintosh&&ge&&this._win.setSheetOffset(22),S.isMacintosh&&K&&(!se||y.BrowserWindow.getAllWindows().length===1)&&[this.windowState.width,this.windowState.height,this.windowState.x,this.windowState.y].every(le=>typeof le=="number")){const le=this.windowState;this._win.setBounds({width:le.width,height:le.height,x:le.x,y:le.y})}ee&&(this._win.maximize(),this.windowState.mode===3&&this.setFullScreen(!0),this._win.isVisible()||this._win.show()),this._lastFocusTime=Date.now()}this.onConfigurationUpdated(),this.createTouchBar(),this.marketplaceHeadersPromise=l.resolveMarketplaceHeaders(g.default.version,this.environmentMainService,this.fileService,{get:V=>W.globalStorage.get(V),store:(V,K)=>W.globalStorage.set(V,K)}),this.registerListeners()}get config(){return this.currentConfig}get id(){return this._id}get win(){return this._win}get hasHiddenTitleBarStyle(){return!!this.hiddenTitleBarStyle}get isExtensionDevelopmentHost(){var C;return!!((C=this.currentConfig)===null||C===void 0?void 0:C.extensionDevelopmentPath)}get isExtensionTestHost(){var C;return!!((C=this.currentConfig)===null||C===void 0?void 0:C.extensionTestsPath)}get isExtensionDevelopmentTestFromCli(){var C;return this.isExtensionDevelopmentHost&&this.isExtensionTestHost&&!((C=this.currentConfig)===null||C===void 0?void 0:C.debugId)}setRepresentedFilename(C){S.isMacintosh?this._win.setRepresentedFilename(C):this.representedFilename=C}getRepresentedFilename(){return S.isMacintosh?this._win.getRepresentedFilename():this.representedFilename}setDocumentEdited(C){S.isMacintosh&&this._win.setDocumentEdited(C),this.documentEdited=C}isDocumentEdited(){return S.isMacintosh?this._win.isDocumentEdited():!!this.documentEdited}focus(C){S.isMacintosh&&(C==null?void 0:C.force)&&y.app.focus({steal:!0}),!!this._win&&(this._win.isMinimized()&&this._win.restore(),this._win.focus())}get lastFocusTime(){return this._lastFocusTime}get backupPath(){var C;return(C=this.currentConfig)===null||C===void 0?void 0:C.backupPath}get openedWorkspace(){var C;return(C=this.currentConfig)===null||C===void 0?void 0:C.workspace}get remoteAuthority(){var C;return(C=this.currentConfig)===null||C===void 0?void 0:C.remoteAuthority}setReady(){for(this._readyState=3;this.whenReadyCallbacks.length;)this.whenReadyCallbacks.pop()(this);this._onDidSignalReady.fire()}ready(){return new Promise(C=>{if(this.isReady)return C(this);this.whenReadyCallbacks.push(C)})}get isReady(){return this._readyState===3}get whenClosedOrLoaded(){return new Promise(C=>{function X(){G.dispose(),U.dispose(),C()}const G=this.onDidClose(()=>X()),U=this.onWillLoad(()=>X())})}registerListeners(){this._win.on("unresponsive",()=>this.onWindowError(1)),this._win.webContents.on("render-process-gone",(G,U)=>this.onWindowError(2,U)),this._win.webContents.on("did-fail-load",(G,U,W)=>this.onWindowError(3,W)),this._win.on("closed",()=>{this._onDidClose.fire(),this.dispose()});const C=new Set([N.Schemas.file,N.Schemas.vscodeFileResource,N.Schemas.vscodeRemoteResource,"devtools"]);if(this._win.webContents.session.webRequest.onBeforeRequest((G,U)=>{const W=n.URI.parse(G.url);return W&&W.path.endsWith(".svg")&&!(C.has(W.scheme)||W.path.includes(N.Schemas.vscodeRemoteResource))?U({cancel:!0}):U({cancel:!1})}),this._win.webContents.session.webRequest.onHeadersReceived((G,U)=>{const W=G.responseHeaders,D=W["content-type"]||W["Content-Type"];if(D&&Array.isArray(D)){const P=n.URI.parse(G.url);if(P&&P.path.endsWith(".svg")&&C.has(P.scheme))return W["Content-Type"]=["image/svg+xml"],U({cancel:!1,responseHeaders:W});if(!P.path.includes(N.Schemas.vscodeRemoteResource)&&D.some(_=>_.toLowerCase().includes("image/svg")))return U({cancel:!0})}return U({cancel:!1})}),this._win.webContents.on("did-finish-load",()=>{this._readyState=1,this.pendingLoadConfig&&(this.currentConfig=this.pendingLoadConfig,this.pendingLoadConfig=void 0)}),this._win.on("focus",()=>{this._lastFocusTime=Date.now()}),S.isMacintosh){const G=this._register(new r.RunOnceScheduler(()=>{!this._win||!this.useNativeFullScreen()&&this.isFullScreen&&(this.setFullScreen(!1),this.setFullScreen(!0))},100)),U=(W,D,P)=>{Array.isArray(P)&&P.length===1&&P[0]==="workArea"||G.schedule()};y.screen.on("display-metrics-changed",U),this._register(w.toDisposable(()=>y.screen.removeListener("display-metrics-changed",U))),y.screen.on("display-added",U),this._register(w.toDisposable(()=>y.screen.removeListener("display-added",U))),y.screen.on("display-removed",U),this._register(w.toDisposable(()=>y.screen.removeListener("display-removed",U)))}this._win.on("maximize",G=>{this.currentConfig&&(this.currentConfig.maximized=!0),y.app.emit("browser-window-maximize",G,this._win)}),this._win.on("unmaximize",G=>{this.currentConfig&&(this.currentConfig.maximized=!1),y.app.emit("browser-window-unmaximize",G,this._win)}),this._win.on("enter-full-screen",()=>{this.sendWhenReady("vscode:enterFullScreen",z.CancellationToken.None)}),this._win.on("leave-full-screen",()=>{this.sendWhenReady("vscode:leaveFullScreen",z.CancellationToken.None)}),this._register(this.configurationService.onDidChangeConfiguration(()=>this.onConfigurationUpdated())),this._register(this.workspacesManagementMainService.onDidDeleteUntitledWorkspace(G=>this.onDidDeleteUntitledWorkspace(G)));const X=["https://marketplace.visualstudio.com/*","https://*.vsassets.io/*"];this._win.webContents.session.webRequest.onBeforeSendHeaders({urls:X},async(G,U)=>{const W=await this.marketplaceHeadersPromise;U({cancel:!1,requestHeaders:Object.assign(G.requestHeaders,W)})})}async onWindowError(C,X){switch(C){case 2:this.logService.error(`CodeWindow: renderer process crashed (detail: ${typeof X=="string"?X:X==null?void 0:X.reason})`);break;case 1:this.logService.error("CodeWindow: detected unresponsive");break;case 3:this.logService.error(`CodeWindow: failed to load workbench window: ${typeof X=="string"?X:X==null?void 0:X.reason}`);break}if(this.isExtensionDevelopmentTestFromCli){this.lifecycleMainService.kill(1);return}if(this.telemetryService.publicLog2("windowerror",{type:C,reason:X&&typeof X!="string"?X.reason:void 0}),C===1){if(this.isExtensionDevelopmentHost||this.isExtensionTestHost||this._win&&this._win.webContents&&this._win.webContents.isDevToolsOpened())return;const G=await this.dialogMainService.showMessageBox({title:g.default.nameLong,type:"warning",buttons:[u.mnemonicButtonLabel(L.localize(0,null)),u.mnemonicButtonLabel(L.localize(1,null)),u.mnemonicButtonLabel(L.localize(2,null))],message:L.localize(3,null),detail:L.localize(4,null),noLink:!0},this._win);if(!this._win)return;G.response===0?(this._win.webContents.forcefullyCrashRenderer(),this.reload()):G.response===2&&this.destroyWindow()}else if(C===2){let G;typeof X=="string"||!X?G=L.localize(5,null):G=L.localize(6,null,X.reason);const U=await this.dialogMainService.showMessageBox({title:g.default.nameLong,type:"warning",buttons:[u.mnemonicButtonLabel(L.localize(7,null)),u.mnemonicButtonLabel(L.localize(8,null))],message:G,detail:L.localize(9,null),noLink:!0},this._win);if(!this._win)return;U.response===0?this.reload():U.response===1&&this.destroyWindow()}}destroyWindow(){this._onDidDestroy.fire(),this._win.destroy()}onDidDeleteUntitledWorkspace(C){var X;((X=this.openedWorkspace)===null||X===void 0?void 0:X.id)===C.id&&this.currentConfig&&(this.currentConfig.workspace=void 0)}onConfigurationUpdated(){const C=this.getMenuBarVisibility();C!==this.currentMenuBarVisibility&&(this.currentMenuBarVisibility=C,this.setMenuBarVisibility(C));let X=(this.configurationService.getValue("http.proxy")||"").trim()||(process.env.https_proxy||process.env.HTTPS_PROXY||process.env.http_proxy||process.env.HTTP_PROXY||"").trim()||void 0;(X==null?void 0:X.endsWith("/"))&&(X=X.substr(0,X.length-1));const G=(process.env.no_proxy||process.env.NO_PROXY||"").trim()||void 0;if((X||"").indexOf("@")===-1&&(X!==this.currentHttpProxy||G!==this.currentNoProxy)){this.currentHttpProxy=X,this.currentNoProxy=G;const U=X||"",W=G?`${G},<local>`:"<local>";this.logService.trace(`Setting proxy to '${U}', bypassing '${W}'`),this._win.webContents.session.setProxy({proxyRules:U,proxyBypassRules:W,pacScript:""})}}addTabbedWindow(C){S.isMacintosh&&C.win&&this._win.addTabbedWindow(C.win)}load(C,{isReload:X,disableExtensions:G}=Object.create(null)){var U,W;const D=(W=(U=this.currentConfig)!==null&&U!==void 0?U:this.pendingLoadConfig)===null||W===void 0?void 0:W.userEnv;D&&$.isLaunchedFromCli(D)&&!$.isLaunchedFromCli(C.userEnv)&&(C.userEnv=Object.assign(Object.assign({},D),C.userEnv)),process.env.CHROME_CRASHPAD_PIPE_NAME&&Object.assign(C.userEnv,{CHROME_CRASHPAD_PIPE_NAME:process.env.CHROME_CRASHPAD_PIPE_NAME}),this._readyState===0?this.currentConfig=C:(this.pendingLoadConfig=C,this._readyState=2);const P=Object.assign({},C);G!==void 0&&(P["disable-extensions"]=G),this.isDocumentEdited()&&(!X||!this.backupMainService.isHotExitEnabled())&&this.setDocumentEdited(!1),X||(this.getRepresentedFilename()&&this.setRepresentedFilename(""),this._win.setTitle(g.default.nameLong)),E.mark("code/willOpenNewWindow"),this._win.loadURL(this.getUrl(P)),!this.environmentMainService.isBuilt&&!this.environmentMainService.extensionTestsLocationURI&&(this.showTimeoutHandle=setTimeout(()=>{this._win&&!this._win.isVisible()&&!this._win.isMinimized()&&(this._win.show(),this.focus({force:!0}),this._win.webContents.openDevTools())},1e4)),this._onWillLoad.fire({workspace:P.workspace})}async reload(C){const X=Object.assign({},this.currentConfig);X.workspace=await this.validateWorkspace(X),delete X.filesToOpenOrCreate,delete X.filesToDiff,delete X.filesToWait,this.isExtensionDevelopmentHost&&C&&(X.verbose=C.verbose,X.debugId=C.debugId,X["inspect-extensions"]=C["inspect-extensions"],X["inspect-brk-extensions"]=C["inspect-brk-extensions"],X["extensions-dir"]=C["extensions-dir"]),X.isInitialStartup=!1,this.load(X,{isReload:!0,disableExtensions:C==null?void 0:C["disable-extensions"]})}async validateWorkspace(C){if(s.isWorkspaceIdentifier(C.workspace)){const X=C.workspace.configPath;if(X.scheme===N.Schemas.file&&!await this.fileService.exists(X))return}else if(s.isSingleFolderWorkspaceIdentifier(C.workspace)){const X=C.workspace.uri;if(X.scheme===N.Schemas.file&&!await this.fileService.exists(X))return}return C.workspace}getUrl(C){var X;C.windowId=this._win.id,C.sessionId=`window:${this._win.id}`,C.logLevel=this.logService.getLevel(),C.logsPath=this.environmentMainService.logsPath;const G=this.configurationService.getValue("window"),U=G==null?void 0:G.zoomLevel;typeof U=="number"&&(C.zoomLevel=U),C.fullscreen=this.isFullScreen,C.colorScheme={dark:y.nativeTheme.shouldUseDarkColors,highContrast:y.nativeTheme.shouldUseInvertedColorScheme||y.nativeTheme.shouldUseHighContrastColors},C.autoDetectHighContrast=(X=G==null?void 0:G.autoDetectHighContrast)!==null&&X!==void 0?X:!0,C.accessibilitySupport=y.app.accessibilitySupportEnabled,C.maximized=this._win.isMaximized(),C.perfMarks=E.getMarks(),C.partsSplashPath=R.join(this.environmentMainService.userDataPath,"rapid_render.json"),C.os={release:v.release()},C.enableExperimentalMainProcessWorkspaceStorage=!!(G==null?void 0:G.enableExperimentalMainProcessWorkspaceStorage);const W=b.parseArgs(process.argv,b.OPTIONS),D=Object.assign(W,C);for(const _ in D){const T=D[_];(T==null||T===""||T===!1)&&delete D[_]}let P=this.doGetUrl(D);return P.length>vt.MAX_URL_LENGTH&&(this.logService.warn("Application URL exceeds maximum of 2MB and was shortened."),P=this.doGetUrl(Object.assign(Object.assign({},D),{userEnv:void 0})),P.length>vt.MAX_URL_LENGTH&&this.logService.error("Application URL exceeds maximum of 2MB and cannot be loaded.")),P}doGetUrl(C){let X;return this.environmentMainService.sandbox?X="vs/code/electron-sandbox/workbench/workbench.html":X="vs/code/electron-browser/workbench/workbench.html",N.FileAccess.asBrowserUri(X,H).with({query:`config=${encodeURIComponent(JSON.stringify(C))}`}).toString(!0)}serializeWindowState(){if(!this._win)return p.defaultWindowState();if(this.isFullScreen){let G;try{G=y.screen.getDisplayMatching(this.getBounds())}catch(D){}const U=p.defaultWindowState();return{mode:3,display:G?G.id:void 0,width:this.windowState.width||U.width,height:this.windowState.height||U.height,x:this.windowState.x||0,y:this.windowState.y||0}}const C=Object.create(null);let X;if(!S.isMacintosh&&this._win.isMaximized()?X=0:X=1,X===0?C.mode=0:C.mode=1,X===1||X===0){let G;X===1?G=this.getBounds():G=this._win.getNormalBounds(),C.x=G.x,C.y=G.y,C.width=G.width,C.height=G.height}return C}restoreWindowState(C){let X=!1;if(C)try{const G=y.screen.getAllDisplays();X=G.length>1,C=this.validateWindowState(C,G)}catch(G){this.logService.warn(`Unexpected error validating window state: ${G}
${G.stack}`)}return[C||p.defaultWindowState(),X]}validateWindowState(C,X){var G,U;if(this.logService.trace(`window#validateWindowState: validating window state on ${X.length} display(s)`,C),typeof C.x!="number"||typeof C.y!="number"||typeof C.width!="number"||typeof C.height!="number"){this.logService.trace("window#validateWindowState: unexpected type of state values");return}if(C.width<=0||C.height<=0){this.logService.trace("window#validateWindowState: unexpected negative values");return}if(X.length===1){const _=this.getWorkingArea(X[0]);if(_){this.logService.trace("window#validateWindowState: 1 monitor working area",_);function W(){!C||typeof C.x!="number"||typeof C.y!="number"||!_||(C.x<_.x&&(C.x=_.x),C.y<_.y&&(C.y=_.y))}W(),C.width>_.width&&(C.width=_.width),C.height>_.height&&(C.height=_.height),C.x>_.x+_.width-128&&(C.x=_.x+_.width-C.width),C.y>_.y+_.height-128&&(C.y=_.y+_.height-C.height),W()}return C}if(C.display&&C.mode===3){const _=X.find(T=>T.id===C.display);if(_&&typeof((G=_.bounds)===null||G===void 0?void 0:G.x)=="number"&&typeof((U=_.bounds)===null||U===void 0?void 0:U.y)=="number"){this.logService.trace("window#validateWindowState: restoring fullscreen to previous display");const T=p.defaultWindowState(3);return T.x=_.bounds.x,T.y=_.bounds.y,T}}let D,P;try{D=y.screen.getDisplayMatching({x:C.x,y:C.y,width:C.width,height:C.height}),P=this.getWorkingArea(D)}catch(_){}if(D&&P&&C.x+C.width>P.x&&C.y+C.height>P.y&&C.x<P.x+P.width&&C.y<P.y+P.height)return this.logService.trace("window#validateWindowState: multi-monitor working area",P),C}getWorkingArea(C){if(C.workArea.width>0&&C.workArea.height>0)return C.workArea;if(C.bounds.width>0&&C.bounds.height>0)return C.bounds}getBounds(){const[C,X]=this._win.getPosition(),[G,U]=this._win.getSize();return{x:C,y:X,width:G,height:U}}toggleFullScreen(){this.setFullScreen(!this.isFullScreen)}setFullScreen(C){this.useNativeFullScreen()?this.setNativeFullScreen(C):this.setSimpleFullScreen(C),this.sendWhenReady(C?"vscode:enterFullScreen":"vscode:leaveFullScreen",z.CancellationToken.None),this.currentMenuBarVisibility&&this.setMenuBarVisibility(this.currentMenuBarVisibility,!1)}get isFullScreen(){return this._win.isFullScreen()||this._win.isSimpleFullScreen()}setNativeFullScreen(C){this._win.isSimpleFullScreen()&&this._win.setSimpleFullScreen(!1),this._win.setFullScreen(C)}setSimpleFullScreen(C){this._win.isFullScreen()&&this._win.setFullScreen(!1),this._win.setSimpleFullScreen(C),this._win.webContents.focus()}useNativeFullScreen(){const C=this.configurationService.getValue("window");return!C||typeof C.nativeFullScreen!="boolean"||C.nativeTabs?!0:C.nativeFullScreen!==!1}isMinimized(){return this._win.isMinimized()}getMenuBarVisibility(){let C=h.getMenuBarVisibility(this.configurationService);return["visible","toggle","hidden"].indexOf(C)<0&&(C="classic"),C}setMenuBarVisibility(C,X=!0){S.isMacintosh||(C==="toggle"&&X&&this.send("vscode:showInfoMessage",L.localize(10,null)),C==="hidden"?setTimeout(()=>{this.doSetMenuBarVisibility(C)}):this.doSetMenuBarVisibility(C))}doSetMenuBarVisibility(C){const X=this.isFullScreen;switch(C){case"classic":this._win.setMenuBarVisibility(!X),this._win.autoHideMenuBar=X;break;case"visible":this._win.setMenuBarVisibility(!0),this._win.autoHideMenuBar=!1;break;case"toggle":this._win.setMenuBarVisibility(!1),this._win.autoHideMenuBar=!0;break;case"hidden":this._win.setMenuBarVisibility(!1),this._win.autoHideMenuBar=!1;break}}handleTitleDoubleClick(){if(S.isMacintosh)switch(y.systemPreferences.getUserDefault("AppleActionOnDoubleClick","string")){case"Minimize":this._win.minimize();break;case"None":break;case"Maximize":default:this._win.isMaximized()?this._win.unmaximize():this._win.maximize()}else this._win.isMaximized()?this._win.unmaximize():this._win.maximize()}close(){this._win&&this._win.close()}sendWhenReady(C,X,...G){this.isReady?this.send(C,...G):this.ready().then(()=>{X.isCancellationRequested||this.send(C,...G)})}send(C,...X){if(this._win){if(this._win.isDestroyed()||this._win.webContents.isDestroyed()){this.logService.warn(`Sending IPC message to channel ${C} for window that is destroyed`);return}this._win.webContents.send(C,...X)}}updateTouchBar(C){!S.isMacintosh||this.touchBarGroups.forEach((X,G)=>{const U=C[G];X.segments=this.createTouchBarGroupSegments(U)})}createTouchBar(){if(!!S.isMacintosh){for(let C=0;C<10;C++){const X=this.createTouchBarGroup();this.touchBarGroups.push(X)}this._win.setTouchBar(new y.TouchBar({items:this.touchBarGroups}))}}createTouchBarGroup(C=[]){const X=this.createTouchBarGroupSegments(C),G=new y.TouchBar.TouchBarSegmentedControl({segments:X,mode:"buttons",segmentStyle:"automatic",change:U=>{this.sendWhenReady("vscode:runAction",z.CancellationToken.None,{id:G.segments[U].id,from:"touchbar"})}});return G}createTouchBarGroupSegments(C=[]){return C.map(G=>{var U,W;let D;G.icon&&!m.ThemeIcon.isThemeIcon(G.icon)&&((W=(U=G.icon)===null||U===void 0?void 0:U.dark)===null||W===void 0?void 0:W.scheme)===N.Schemas.file&&(D=y.nativeImage.createFromPath(n.URI.revive(G.icon.dark).fsPath),D.isEmpty()&&(D=void 0));let P;return typeof G.title=="string"?P=G.title:P=G.title.value,{id:G.id,label:D?void 0:P,icon:D}})}dispose(){super.dispose(),this.showTimeoutHandle&&clearTimeout(this.showTimeoutHandle),this._win=null}};te.MAX_URL_LENGTH=2*F.ByteSize.MB,te=ue([ie(1,k.ILogService),ie(2,i.IEnvironmentMainService),ie(3,F.IFileService),ie(4,A.IStorageMainService),ie(5,f.IConfigurationService),ie(6,t.IThemeMainService),ie(7,o.IWorkspacesManagementMainService),ie(8,a.IBackupMainService),ie(9,c.ITelemetryService),ie(10,d.IDialogMainService),ie(11,I.ILifecycleMainService)],te),e.CodeWindow=te}),define(Y[63],J([0,1,147,33,37,11,6,38,3,4,28,49,9,15,7,10,26,24,19,5,2]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h,w,S,p,s,o,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspacesHistoryMainService=e.IWorkspacesHistoryMainService=void 0,e.IWorkspacesHistoryMainService=o.createDecorator("workspacesHistoryMainService");let l=class je extends a.Disposable{constructor(I,A,F,N,$){super();this.stateService=I,this.logService=A,this.workspacesManagementMainService=F,this.environmentMainService=N,this.lifecycleMainService=$,this._onDidChangeRecentlyOpened=this._register(new y.Emitter),this.onDidChangeRecentlyOpened=this._onDidChangeRecentlyOpened.event,this.macOSRecentDocumentsUpdater=this._register(new b.ThrottledDelayer(800)),this.registerListeners()}registerListeners(){this.lifecycleMainService.when(3).then(()=>this.handleWindowsJumpList()),this._register(this.workspacesManagementMainService.onDidEnterWorkspace(I=>this.addRecentlyOpened([{workspace:I.workspace}])))}handleWindowsJumpList(){!i.isWindows||(this.updateWindowsJumpList(),this._register(this.onDidChangeRecentlyOpened(()=>this.updateWindowsJumpList())))}addRecentlyOpened(I){const A=[],F=[];for(let N of I)if(k.isRecentWorkspace(N))!this.workspacesManagementMainService.isUntitledWorkspace(N.workspace)&&c(A,N.workspace)===-1&&A.push(N);else if(k.isRecentFolder(N))d(A,N.folderUri)===-1&&A.push(N);else{const $=u(F,N.fileUri)>=0,z=N.fileUri.scheme===w.Schemas.file&&je.COMMON_FILES_FILTER.indexOf(g.basename(N.fileUri))>=0;!$&&!z&&(F.push(N),i.isWindows&&N.fileUri.scheme===w.Schemas.file&&E.app.addRecentDocument(N.fileUri.fsPath))}this.addEntriesFromStorage(A,F),A.length>je.MAX_TOTAL_RECENT_ENTRIES&&(A.length=je.MAX_TOTAL_RECENT_ENTRIES),F.length>je.MAX_TOTAL_RECENT_ENTRIES&&(F.length=je.MAX_TOTAL_RECENT_ENTRIES),this.saveRecentlyOpened({workspaces:A,files:F}),this._onDidChangeRecentlyOpened.fire(),i.isMacintosh&&this.macOSRecentDocumentsUpdater.trigger(()=>this.updateMacOSRecentDocuments())}removeRecentlyOpened(I){const A=z=>{const x=r(z);for(const te of I)if(g.extUriBiasedIgnorePathCase.isEqual(te,x))return!1;return!0},F=this.getRecentlyOpened(),N=F.workspaces.filter(A),$=F.files.filter(A);(N.length!==F.workspaces.length||$.length!==F.files.length)&&(this.saveRecentlyOpened({files:$,workspaces:N}),this._onDidChangeRecentlyOpened.fire(),i.isMacintosh&&this.macOSRecentDocumentsUpdater.trigger(()=>this.updateMacOSRecentDocuments()))}async updateMacOSRecentDocuments(){if(!!i.isMacintosh){E.app.clearRecentDocuments();const I=this.getRecentlyOpened(),A=[];let F=0;for(let $=0;$<I.workspaces.length&&F<je.MAX_MACOS_DOCK_RECENT_WORKSPACES;$++){const z=r(I.workspaces[$]);if(z.scheme===w.Schemas.file){const x=g.originalFSPath(z);await p.exists(x)&&(A.push(x),F++)}}const N=[];for(let $=0;$<I.files.length&&F<je.MAX_MACOS_DOCK_RECENT_ENTRIES_TOTAL;$++){const z=r(I.files[$]);if(z.scheme===w.Schemas.file){const x=g.originalFSPath(z);if(je.COMMON_FILES_FILTER.includes(g.basename(z))||A.includes(x))continue;await p.exists(x)&&(N.push(x),F++)}}N.reverse().forEach($=>E.app.addRecentDocument($)),A.reverse().forEach($=>E.app.addRecentDocument($))}}clearRecentlyOpened(){this.saveRecentlyOpened({workspaces:[],files:[]}),E.app.clearRecentDocuments(),this._onDidChangeRecentlyOpened.fire()}getRecentlyOpened(I){var A,F;const N=[],$=[],z=(A=I==null?void 0:I.config)===null||A===void 0?void 0:A.workspace;k.isWorkspaceIdentifier(z)&&!this.workspacesManagementMainService.isUntitledWorkspace(z)?N.push({workspace:z}):k.isSingleFolderWorkspaceIdentifier(z)&&N.push({folderUri:z.uri});const x=(F=I==null?void 0:I.config)===null||F===void 0?void 0:F.filesToOpenOrCreate;if(x)for(let te of x){const Z=te.fileUri;Z&&u($,Z)===-1&&$.push({fileUri:Z})}return this.addEntriesFromStorage(N,$),{workspaces:N,files:$}}addEntriesFromStorage(I,A){let F=this.getRecentlyOpenedFromStorage();for(let N of F.workspaces){let $=k.isRecentFolder(N)?d(I,N.folderUri):c(I,N.workspace);$>=0?I[$].label=I[$].label||N.label:I.push(N)}for(let N of F.files){let $=u(A,N.fileUri);$>=0?A[$].label=A[$].label||N.label:A.push(N)}}getRecentlyOpenedFromStorage(){const I=this.stateService.getItem(je.recentlyOpenedStorageKey);return k.restoreRecentlyOpened(I,this.logService)}saveRecentlyOpened(I){const A=k.toStoreData(I);this.stateService.setItem(je.recentlyOpenedStorageKey,A)}updateWindowsJumpList(){if(!!i.isWindows){const I=[];if(I.push({type:"tasks",items:[{type:"task",title:v.localize(0,null),description:v.localize(1,null),program:process.execPath,args:"-n",iconPath:process.execPath,iconIndex:0}]}),this.getRecentlyOpened().workspaces.length>0){let A=[];for(let $ of E.app.getJumpListSettings().removedItems){const z=$.args;if(z){const x=/^--(folder|file)-uri\s+"([^"]+)"$/.exec(z);x&&A.push(h.URI.parse(x[2]))}}this.removeRecentlyOpened(A);let F=!1;const N=R.coalesce(this.getRecentlyOpened().workspaces.slice(0,7).map($=>{const z=k.isRecentWorkspace($)?$.workspace:$.folderUri,{title:x,description:te}=this.getWindowsJumpListLabel(z,$.label);let Z;return h.URI.isUri(z)?Z=`--folder-uri "${z.toString()}"`:(F=!0,Z=`--file-uri "${z.configPath.toString()}"`),{type:"task",title:x.substr(0,255),description:te.substr(0,255),program:process.execPath,args:Z,iconPath:"explorer.exe",iconIndex:0}}));N.length>0&&I.push({type:"custom",name:F?v.localize(2,null):v.localize(3,null),items:N})}I.push({type:"recent"});try{E.app.setJumpList(I)}catch(A){this.logService.warn("updateWindowsJumpList#setJumpList",A)}}}getWindowsJumpListLabel(I,A){if(A)return{title:n.splitName(A).name,description:A};if(h.URI.isUri(I))return{title:g.basename(I),description:t(I)};if(g.extUriBiasedIgnorePathCase.isEqualOrParent(I.configPath,this.environmentMainService.userHome))return{title:v.localize(4,null),description:""};let F=g.basename(I.configPath);return F.endsWith(k.WORKSPACE_EXTENSION)&&(F=F.substr(0,F.length-k.WORKSPACE_EXTENSION.length-1)),{title:v.localize(5,null,F),description:t(I.configPath)}}};l.MAX_TOTAL_RECENT_ENTRIES=100,l.MAX_MACOS_DOCK_RECENT_WORKSPACES=7,l.MAX_MACOS_DOCK_RECENT_ENTRIES_TOTAL=10,l.COMMON_FILES_FILTER=["COMMIT_EDITMSG","MERGE_MSG"],l.recentlyOpenedStorageKey="openedPathsList",l=ue([ie(0,L.IStateService),ie(1,M.ILogService),ie(2,f.IWorkspacesManagementMainService),ie(3,S.IEnvironmentMainService),ie(4,s.ILifecycleMainService)],l),e.WorkspacesHistoryMainService=l;function t(m){return m.scheme==="file"?n.normalizeDriveLetter(m.fsPath):m.toString()}function r(m){return k.isRecentFolder(m)?m.folderUri:k.isRecentFile(m)?m.fileUri:m.workspace.configPath}function c(m,I){return m.findIndex(A=>k.isRecentWorkspace(A)&&A.workspace.id===I.id)}function d(m,I){return m.findIndex(A=>k.isRecentFolder(A)&&g.extUriBiasedIgnorePathCase.isEqual(A.folderUri,I))}function u(m,I){return m.findIndex(A=>g.extUriBiasedIgnorePathCase.isEqual(A.fileUri,I))}}),define(Y[228],J([0,1,140,4,26,11,62,18,31,40,17,9,6,38,32,63,175,7,37,19,44,25]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h,w,S,p,s,o,a,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Menubar=void 0;const t="menu";let r=class wt{constructor(u,m,I,A,F,N,$,z,x,te){this.updateService=u,this.configurationService=m,this.windowsMainService=I,this.environmentMainService=A,this.telemetryService=F,this.workspacesHistoryMainService=N,this.stateService=$,this.lifecycleMainService=z,this.logService=x,this.nativeHostMainService=te,this.fallbackMenuHandlers=Object.create(null),this.menuUpdater=new f.RunOnceScheduler(()=>this.doUpdateMenu(),0),this.menuGC=new f.RunOnceScheduler(()=>{this.oldMenus=[]},1e4),this.menubarMenus=Object.create(null),this.keybindings=Object.create(null),(R.isMacintosh||M.getTitleBarStyle(this.configurationService)==="native")&&this.restoreCachedMenubarData(),this.addFallbackHandlers(),this.closedLastWindow=!1,this.noActiveWindow=!1,this.oldMenus=[],this.install(),this.registerListeners()}restoreCachedMenubarData(){const u=this.stateService.getItem(wt.lastKnownMenubarStorageKey);u&&(u.menus&&(this.menubarMenus=u.menus),u.keybindings&&(this.keybindings=u.keybindings))}addFallbackHandlers(){this.fallbackMenuHandlers["workbench.action.files.newUntitledFile"]=(N,$,z)=>this.windowsMainService.openEmptyWindow({context:2,contextWindowId:$==null?void 0:$.id}),this.fallbackMenuHandlers["workbench.action.newWindow"]=(N,$,z)=>this.windowsMainService.openEmptyWindow({context:2,contextWindowId:$==null?void 0:$.id}),this.fallbackMenuHandlers["workbench.action.files.openFileFolder"]=(N,$,z)=>this.nativeHostMainService.pickFileFolderAndOpen(void 0,{forceNewWindow:this.isOptionClick(z),telemetryExtraData:{from:t}}),this.fallbackMenuHandlers["workbench.action.openWorkspace"]=(N,$,z)=>this.nativeHostMainService.pickWorkspaceAndOpen(void 0,{forceNewWindow:this.isOptionClick(z),telemetryExtraData:{from:t}}),this.fallbackMenuHandlers["workbench.action.clearRecentFiles"]=()=>this.workspacesHistoryMainService.clearRecentlyOpened();const u=k.default.twitterUrl;u&&(this.fallbackMenuHandlers["workbench.action.openTwitterUrl"]=()=>this.openUrl(u,"openTwitterUrl"));const m=k.default.requestFeatureUrl;m&&(this.fallbackMenuHandlers["workbench.action.openRequestFeatureUrl"]=()=>this.openUrl(m,"openUserVoiceUrl"));const I=k.default.reportIssueUrl;I&&(this.fallbackMenuHandlers["workbench.action.openIssueReporter"]=()=>this.openUrl(I,"openReportIssues"));const A=k.default.licenseUrl;A&&(this.fallbackMenuHandlers["workbench.action.openLicenseUrl"]=()=>{if(R.language){const N=A.indexOf("?")>0?"&":"?";this.openUrl(`${A}${N}lang=${R.language}`,"openLicenseUrl")}else this.openUrl(A,"openLicenseUrl")});const F=k.default.privacyStatementUrl;F&&A&&(this.fallbackMenuHandlers["workbench.action.openPrivacyStatementUrl"]=()=>{if(R.language){const N=A.indexOf("?")>0?"&":"?";this.openUrl(`${F}${N}lang=${R.language}`,"openPrivacyStatement")}else this.openUrl(F,"openPrivacyStatement")})}registerListeners(){this.lifecycleMainService.onWillShutdown(()=>this.willShutdown=!0),this.windowsMainService.onDidChangeWindowsCount(u=>this.onDidChangeWindowsCount(u)),this.nativeHostMainService.onDidBlurWindow(()=>this.onDidChangeWindowFocus()),this.nativeHostMainService.onDidFocusWindow(()=>this.onDidChangeWindowFocus())}get currentEnableMenuBarMnemonics(){let u=this.configurationService.getValue("window.enableMenuBarMnemonics");return typeof u!="boolean"&&(u=!0),u}get currentEnableNativeTabs(){if(!R.isMacintosh)return!1;let u=this.configurationService.getValue("window.nativeTabs");return typeof u!="boolean"&&(u=!1),u}updateMenu(u,m){this.menubarMenus=u.menus,this.keybindings=u.keybindings,this.stateService.setItem(wt.lastKnownMenubarStorageKey,u),this.scheduleUpdateMenu()}scheduleUpdateMenu(){this.menuUpdater.schedule()}doUpdateMenu(){this.willShutdown||setTimeout(()=>{this.willShutdown||this.install()},10)}onDidChangeWindowsCount(u){!R.isMacintosh||(u.oldCount===0&&u.newCount>0||u.oldCount>0&&u.newCount===0)&&(this.closedLastWindow=u.newCount===0,this.scheduleUpdateMenu())}onDidChangeWindowFocus(){!R.isMacintosh||(this.noActiveWindow=!E.BrowserWindow.getFocusedWindow(),this.scheduleUpdateMenu())}install(){const u=E.Menu.getApplicationMenu();if(u&&this.oldMenus.push(u),Object.keys(this.menubarMenus).length===0){E.Menu.setApplicationMenu(R.isMacintosh?new E.Menu:null);return}const m=new E.Menu;let I;if(R.isMacintosh){const O=new E.Menu;I=new E.MenuItem({label:k.default.nameShort,submenu:O}),this.setMacApplicationMenu(O),m.append(I)}if(R.isMacintosh&&!this.appMenuInstalled){this.appMenuInstalled=!0;const O=new E.Menu;O.append(new E.MenuItem({label:this.mnemonicLabel(v.localize(0,null)),click:()=>this.windowsMainService.openEmptyWindow({context:1})})),E.app.dock.setMenu(O)}const A=new E.Menu,F=new E.MenuItem({label:this.mnemonicLabel(v.localize(1,null)),submenu:A});this.setMenuById(A,"File"),m.append(F);const N=new E.Menu,$=new E.MenuItem({label:this.mnemonicLabel(v.localize(2,null)),submenu:N});this.setMenuById(N,"Edit"),m.append($);const z=new E.Menu,x=new E.MenuItem({label:this.mnemonicLabel(v.localize(3,null)),submenu:z});this.setMenuById(z,"Selection"),m.append(x);const te=new E.Menu,Z=new E.MenuItem({label:this.mnemonicLabel(v.localize(4,null)),submenu:te});this.setMenuById(te,"View"),m.append(Z);const C=new E.Menu,X=new E.MenuItem({label:this.mnemonicLabel(v.localize(5,null)),submenu:C});this.setMenuById(C,"Go"),m.append(X);const G=new E.Menu,U=new E.MenuItem({label:this.mnemonicLabel(v.localize(6,null)),submenu:G});this.setMenuById(G,"Run"),m.append(U);const W=new E.Menu,D=new E.MenuItem({label:this.mnemonicLabel(v.localize(7,null)),submenu:W});this.setMenuById(W,"Terminal"),m.append(D);let P;if(this.shouldDrawMenu("Window")){const O=new E.Menu;P=new E.MenuItem({label:this.mnemonicLabel(v.localize(8,null)),submenu:O,role:"window"}),this.setMacWindowMenu(O)}P&&m.append(P);const _=new E.Menu,T=new E.MenuItem({label:this.mnemonicLabel(v.localize(9,null)),submenu:_,role:"help"});this.setMenuById(_,"Help"),m.append(T),m.items&&m.items.length>0?E.Menu.setApplicationMenu(m):E.Menu.setApplicationMenu(null),this.menuGC.schedule()}setMacApplicationMenu(u){const m=this.createMenuItem(v.localize(10,null,k.default.nameLong),"workbench.action.showAboutDialog"),I=this.getUpdateMenuItems();let A;if(this.shouldDrawMenu("Preferences")){const C=new E.Menu;this.setMenuById(C,"Preferences"),A=new E.MenuItem({label:this.mnemonicLabel(v.localize(11,null)),submenu:C})}const F=new E.Menu,N=new E.MenuItem({label:v.localize(12,null),role:"services",submenu:F}),$=new E.MenuItem({label:v.localize(13,null,k.default.nameLong),role:"hide",accelerator:"Command+H"}),z=new E.MenuItem({label:v.localize(14,null),role:"hideOthers",accelerator:"Command+Alt+H"}),x=new E.MenuItem({label:v.localize(15,null),role:"unhide"}),te=new E.MenuItem(this.likeAction("workbench.action.quit",{label:v.localize(16,null,k.default.nameLong),click:()=>{const C=this.windowsMainService.getLastActiveWindow();(this.windowsMainService.getWindowCount()===0||!!E.BrowserWindow.getFocusedWindow()||(C==null?void 0:C.isMinimized()))&&this.nativeHostMainService.quit(void 0)}})),Z=[m];Z.push(...I),A&&Z.push(c(),A),Z.push(c(),N,c(),$,z,x,c(),te),Z.forEach(C=>u.append(C))}shouldDrawMenu(u){if(!R.isMacintosh&&M.getTitleBarStyle(this.configurationService)==="custom")return!1;switch(u){case"File":case"Help":if(R.isMacintosh)return this.windowsMainService.getWindowCount()===0&&this.closedLastWindow||this.windowsMainService.getWindowCount()>0&&this.noActiveWindow||!!this.menubarMenus&&!!this.menubarMenus[u];case"Window":if(R.isMacintosh)return this.windowsMainService.getWindowCount()===0&&this.closedLastWindow||this.windowsMainService.getWindowCount()>0&&this.noActiveWindow||!!this.menubarMenus;default:return this.windowsMainService.getWindowCount()>0&&!!this.menubarMenus&&!!this.menubarMenus[u]}}setMenu(u,m){m.forEach(I=>{if(S.isMenubarMenuItemSeparator(I))u.append(c());else if(S.isMenubarMenuItemSubmenu(I)){const A=new E.Menu,F=new E.MenuItem({label:this.mnemonicLabel(I.label),submenu:A});this.setMenu(A,I.submenu.items),u.append(F)}else S.isMenubarMenuItemUriAction(I)?u.append(this.createOpenRecentMenuItem(I.uri,I.label,I.id)):S.isMenubarMenuItemAction(I)&&(I.id==="workbench.action.showAboutDialog"&&this.insertCheckForUpdatesItems(u),R.isMacintosh?this.windowsMainService.getWindowCount()===0&&this.closedLastWindow||this.windowsMainService.getWindowCount()>0&&this.noActiveWindow?this.fallbackMenuHandlers[I.id]?u.append(new E.MenuItem(this.likeAction(I.id,{label:this.mnemonicLabel(I.label),click:this.fallbackMenuHandlers[I.id]}))):u.append(this.createMenuItem(I.label,I.id,!1,I.checked)):u.append(this.createMenuItem(I.label,I.id,I.enabled!==!1,!!I.checked)):u.append(this.createMenuItem(I.label,I.id,I.enabled!==!1,!!I.checked)))})}setMenuById(u,m){this.menubarMenus&&this.menubarMenus[m]&&this.setMenu(u,this.menubarMenus[m].items)}insertCheckForUpdatesItems(u){const m=this.getUpdateMenuItems();m.length&&(m.forEach(I=>u.append(I)),u.append(c()))}createOpenRecentMenuItem(u,m,I){const A=p.URI.revive(u),F=I==="openRecentFile"?{fileUri:A}:I==="openRecentWorkspace"?{workspaceUri:A}:{folderUri:A};return new E.MenuItem(this.likeAction(I,{label:m,click:(N,$,z)=>{const x=this.isOptionClick(z);this.windowsMainService.open({context:2,cli:this.environmentMainService.args,urisToOpen:[F],forceNewWindow:x,gotoLineMode:!1}).length>0||this.workspacesHistoryMainService.removeRecentlyOpened([A])}},!1))}isOptionClick(u){return!!(u&&(!R.isMacintosh&&(u.ctrlKey||u.shiftKey)||R.isMacintosh&&(u.metaKey||u.altKey)))}createRoleMenuItem(u,m,I){const A={label:this.mnemonicLabel(u),role:I,enabled:!0};return new E.MenuItem(this.withKeybinding(m,A))}setMacWindowMenu(u){const m=new E.MenuItem({label:v.localize(17,null),role:"minimize",accelerator:"Command+M",enabled:this.windowsMainService.getWindowCount()>0}),I=new E.MenuItem({label:v.localize(18,null),role:"zoom",enabled:this.windowsMainService.getWindowCount()>0}),A=new E.MenuItem({label:v.localize(19,null),role:"front",enabled:this.windowsMainService.getWindowCount()>0}),F=this.createMenuItem(v.localize(20,null),"workbench.action.switchWindow"),N=[];this.currentEnableNativeTabs&&(N.push(c()),N.push(this.createMenuItem(v.localize(21,null),"workbench.action.newWindowTab")),N.push(this.createRoleMenuItem(v.localize(22,null),"workbench.action.showPreviousWindowTab","selectPreviousTab")),N.push(this.createRoleMenuItem(v.localize(23,null),"workbench.action.showNextWindowTab","selectNextTab")),N.push(this.createRoleMenuItem(v.localize(24,null),"workbench.action.moveWindowTabToNewWindow","moveTabToNewWindow")),N.push(this.createRoleMenuItem(v.localize(25,null),"workbench.action.mergeAllWindowTabs","mergeAllWindows"))),[m,I,c(),F,...N,c(),A].forEach($=>u.append($))}getUpdateMenuItems(){switch(this.updateService.state.type){case"uninitialized":return[];case"idle":return[new E.MenuItem({label:this.mnemonicLabel(v.localize(26,null)),click:()=>setTimeout(()=>{this.reportMenuActionTelemetry("CheckForUpdate");const m=this.windowsMainService.getLastActiveWindow(),I=m&&`window:${m.id}`;this.updateService.checkForUpdates(I)},0)})];case"checking for updates":return[new E.MenuItem({label:v.localize(27,null),enabled:!1})];case"available for download":return[new E.MenuItem({label:this.mnemonicLabel(v.localize(28,null)),click:()=>{this.updateService.downloadUpdate()}})];case"downloading":return[new E.MenuItem({label:v.localize(29,null),enabled:!1})];case"downloaded":return[new E.MenuItem({label:this.mnemonicLabel(v.localize(30,null)),click:()=>{this.reportMenuActionTelemetry("InstallUpdate"),this.updateService.applyUpdate()}})];case"updating":return[new E.MenuItem({label:v.localize(31,null),enabled:!1})];case"ready":return[new E.MenuItem({label:this.mnemonicLabel(v.localize(32,null)),click:()=>{this.reportMenuActionTelemetry("RestartToUpdate"),this.updateService.quitAndInstall()}})]}}createMenuItem(u,m,I,A){const F=this.mnemonicLabel(u),N=typeof m=="function"?m:(Z,C,X)=>{const G=Z?Z.userSettingsLabel:null;let U=m;Array.isArray(m)&&(U=this.isOptionClick(X)?m[1]:m[0]),G&&X.triggeredByAccelerator?this.runActionInRenderer({type:"keybinding",userSettingsLabel:G}):this.runActionInRenderer({type:"commandId",commandId:U})},$=typeof I=="boolean"?I:this.windowsMainService.getWindowCount()>0,z=typeof A=="boolean"?A:!1,x={label:F,click:N,enabled:$};z&&(x.type="checkbox",x.checked=z);let te;return typeof m=="string"?te=m:Array.isArray(m)&&(te=m[0]),R.isMacintosh&&(te==="editor.action.clipboardCutAction"?x.role="cut":te==="editor.action.clipboardCopyAction"?x.role="copy":te==="editor.action.clipboardPasteAction"&&(x.role="paste"),te==="undo"?x.click=this.makeContextAwareClickHandler(N,{inDevTools:Z=>Z.undo(),inNoWindow:()=>E.Menu.sendActionToFirstResponder("undo:")}):te==="redo"?x.click=this.makeContextAwareClickHandler(N,{inDevTools:Z=>Z.redo(),inNoWindow:()=>E.Menu.sendActionToFirstResponder("redo:")}):te==="editor.action.selectAll"&&(x.click=this.makeContextAwareClickHandler(N,{inDevTools:Z=>Z.selectAll(),inNoWindow:()=>E.Menu.sendActionToFirstResponder("selectAll:")}))),new E.MenuItem(this.withKeybinding(te,x))}makeContextAwareClickHandler(u,m){return(I,A,F)=>{const N=E.BrowserWindow.getFocusedWindow();if(!N)return m.inNoWindow();if(N.webContents.isDevToolsFocused()&&N.webContents.devToolsWebContents)return m.inDevTools(N.webContents.devToolsWebContents);u(I,A||N,F)}}runActionInRenderer(u){let m=E.BrowserWindow.getFocusedWindow();if(!m){const A=this.windowsMainService.getLastActiveWindow();(A==null?void 0:A.isMinimized())&&(m=A.win)}const I=m?this.windowsMainService.getWindowById(m.id):void 0;if(I){if(this.logService.trace("menubar#runActionInRenderer",u),R.isMacintosh&&!this.environmentMainService.isBuilt&&!I.isReady&&(u.type==="commandId"&&u.commandId==="workbench.action.toggleDevTools"||u.type!=="commandId"&&u.userSettingsLabel==="alt+cmd+i"))return;if(u.type==="commandId"){const A={id:u.commandId,from:"menu"};I.sendWhenReady("vscode:runAction",l.CancellationToken.None,A)}else{const A={userSettingsLabel:u.userSettingsLabel};I.sendWhenReady("vscode:runKeybinding",l.CancellationToken.None,A)}}else this.logService.trace("menubar#runActionInRenderer: no active window found",u)}withKeybinding(u,m){const I=typeof u=="string"?this.keybindings[u]:void 0;if(I==null?void 0:I.label){if(I.isNative!==!1)m.accelerator=I.label,m.userSettingsLabel=I.userSettingsLabel;else if(typeof m.label=="string"){const A=m.label.indexOf("[");A>=0?m.label=`${m.label.substr(0,A)} [${I.label}]`:m.label=`${m.label} [${I.label}]`}}else m.accelerator=void 0;return m}likeAction(u,m,I=!m.accelerator){I&&(m=this.withKeybinding(u,m));const A=m.click;return m.click=(F,N,$)=>{this.reportMenuActionTelemetry(u),A&&A(F,N,$)},m}openUrl(u,m){this.nativeHostMainService.openExternal(void 0,u),this.reportMenuActionTelemetry(m)}reportMenuActionTelemetry(u){this.telemetryService.publicLog2("workbenchActionExecuted",{id:u,from:t})}mnemonicLabel(u){return g.mnemonicMenuLabel(u,!this.currentEnableMenuBarMnemonics)}};r.lastKnownMenubarStorageKey="lastKnownMenubarData",r=ue([ie(0,i.IUpdateService),ie(1,n.IConfigurationService),ie(2,h.IWindowsMainService),ie(3,L.IEnvironmentMainService),ie(4,y.ITelemetryService),ie(5,w.IWorkspacesHistoryMainService),ie(6,s.IStateService),ie(7,o.ILifecycleMainService),ie(8,b.ILogService),ie(9,a.INativeHostMainService)],r),e.Menubar=r;function c(){return new E.MenuItem({type:"separator"})}}),define(Y[229],J([0,1,228,6,5,19]),function(H,e,v,R,L,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MenubarMainService=e.IMenubarMainService=void 0,e.IMenubarMainService=L.createDecorator("menubarMainService");let M=class{constructor(y,i,k){this.instantiationService=y,this.lifecycleMainService=i,this.logService=k,this.menubar=this.installMenuBarAfterWindowOpen()}async installMenuBarAfterWindowOpen(){return await this.lifecycleMainService.when(3),this.instantiationService.createInstance(v.Menubar)}async updateMenubar(y,i){this.logService.trace("menubarService#updateMenubar",y),(await this.menubar).updateMenu(i,y)}};M=ue([ie(0,L.IInstantiationService),ie(1,E.ILifecycleMainService),ie(2,R.ILogService)],M),e.MenubarMainService=M}),define(Y[230],J([0,1,23,8,145,33,47,26,37,227,11,19,18,6,62,97,3,17,63,4,28,5,10,7,15,91,211,49,41,2,48,13,29,38,25,16]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h,w,S,p,s,o,a,l,t,r,c,d,u,m,I,A,F,N,$,z,x,te){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WindowsMainService=void 0;function Z(G){return a.isWorkspaceIdentifier(G==null?void 0:G.workspace)}function C(G){return a.isSingleFolderWorkspaceIdentifier(G==null?void 0:G.workspace)}let X=class Je extends A.Disposable{constructor(U,W,D,P,_,T,O,B,j,V,K,ee,Q){super();this.machineId=U,this.initialUserEnv=W,this.logService=D,this.stateService=P,this.environmentMainService=_,this.lifecycleMainService=T,this.backupMainService=O,this.configurationService=B,this.workspacesHistoryMainService=j,this.workspacesManagementMainService=V,this.instantiationService=K,this.dialogMainService=ee,this.fileService=Q,this._onDidOpenWindow=this._register(new S.Emitter),this.onDidOpenWindow=this._onDidOpenWindow.event,this._onDidSignalReadyWindow=this._register(new S.Emitter),this.onDidSignalReadyWindow=this._onDidSignalReadyWindow.event,this._onDidDestroyWindow=this._register(new S.Emitter),this.onDidDestroyWindow=this._onDidDestroyWindow.event,this._onDidChangeWindowsCount=this._register(new S.Emitter),this.onDidChangeWindowsCount=this._onDidChangeWindowsCount.event,this.windowsStateHandler=this._register(new u.WindowsStateHandler(this,this.stateService,this.lifecycleMainService,this.logService,this.configurationService)),this.lifecycleMainService.when(2).then(()=>this.registerListeners())}registerListeners(){this._register(this.workspacesManagementMainService.onDidEnterWorkspace(U=>this._onDidSignalReadyWindow.fire(U.window)))}openEmptyWindow(U,W){let D=this.environmentMainService.args;const P=W==null?void 0:W.remoteAuthority;D&&D.remote!==P&&(D=Object.assign(Object.assign({},D),{remote:P}));const _=!0,T=W==null?void 0:W.forceReuseWindow,O=!T;return this.open(Object.assign(Object.assign({},U),{cli:D,forceEmpty:_,forceNewWindow:O,forceReuseWindow:T}))}open(U){this.logService.trace("windowsManager#open"),U.addMode&&(U.initialStartup||!this.getLastActiveWindow())&&(U.addMode=!1);const W=[],D=[],P=[],_=[],T=[];let O,B=0;const j=this.getPathsToOpen(U);this.logService.trace("windowsManager#open pathsToOpen",j);for(const re of j)C(re)?U.addMode?W.push(re):D.push(re):Z(re)?P.push(re):re.fileUri?(O||(O={filesToOpenOrCreate:[],filesToDiff:[],remoteAuthority:re.remoteAuthority}),O.filesToOpenOrCreate.push(re)):re.backupPath?T.push({backupFolder:R.basename(re.backupPath),remoteAuthority:re.remoteAuthority}):B++;U.diffMode&&(O==null?void 0:O.filesToOpenOrCreate.length)===2&&(O.filesToDiff=O.filesToOpenOrCreate,O.filesToOpenOrCreate=[]),O&&U.waitMarkerFileURI&&(O.filesToWait={paths:[...O.filesToDiff,...O.filesToOpenOrCreate],waitMarkerFileUri:U.waitMarkerFileURI}),U.initialStartup?(_.push(...this.workspacesManagementMainService.getUntitledWorkspacesSync()),P.push(..._),T.push(...this.backupMainService.getEmptyWindowBackupPaths())):T.length=0;const{windows:V,filesOpenedInWindow:K}=this.doOpen(U,P,D,T,B,O,W);if(this.logService.trace(`windowsManager#open used window count ${V.length} (workspacesToOpen: ${P.length}, foldersToOpen: ${D.length}, emptyToRestore: ${T.length}, emptyToOpen: ${B})`),V.length>1)if(K)K.focus();else{const re=this.windowsStateHandler.state.lastActiveWindow&&!U.forceEmpty&&!U.cli._.length&&!U.cli["file-uri"]&&!U.cli["folder-uri"]&&!(U.urisToOpen&&U.urisToOpen.length);let se=!0,ge=!0;if(re){const le=V.filter(he=>this.windowsStateHandler.state.lastActiveWindow&&he.backupPath===this.windowsStateHandler.state.lastActiveWindow.backupPath);le.length&&(le[0].focus(),se=!1,ge=!1)}if(se)for(let le=V.length-1;le>=0;le--){const he=V[le];if(!(he.openedWorkspace&&_.some(me=>he.openedWorkspace&&me.workspace.id===he.openedWorkspace.id)||he.backupPath&&T.some(me=>he.backupPath&&me.backupFolder===R.basename(he.backupPath)))){he.focus(),ge=!1;break}}ge&&V[V.length-1].focus()}const ee=O&&O.filesToDiff.length>0;if(!V.some(re=>re.isExtensionDevelopmentHost)&&!ee&&!U.noRecentEntry){const re=[];for(const se of j)Z(se)?re.push({label:se.label,workspace:se.workspace}):C(se)?re.push({label:se.label,folderUri:se.workspace.uri}):se.fileUri&&re.push({label:se.label,fileUri:se.fileUri});this.workspacesHistoryMainService.addRecentlyOpened(re)}const Q=U.waitMarkerFileURI;return U.context===0&&Q&&V.length===1&&V[0]&&V[0].whenClosedOrLoaded.then(()=>this.fileService.del(Q),()=>{}),V}doOpen(U,W,D,P,_,T,O){const B=[];let j;function V(le,he){B.push(le),he&&(j=le,T=void 0)}let{openFolderInNewWindow:K,openFilesInNewWindow:ee}=this.shouldOpenNewWindow(U);if(!U.initialStartup&&O.length>0){const le=O[0].remoteAuthority,he=this.getLastActiveWindowForAuthority(le);he&&V(this.doAddFoldersToExistingWindow(he,O.map(me=>me.workspace.uri)))}const Q=D.length+W.length+P.length;if(T&&Q===0){const le=T.filesToOpenOrCreate[0]||T.filesToDiff[0],he=this.getWindows().filter(Ie=>T&&Ie.remoteAuthority===T.remoteAuthority);let me;(le==null?void 0:le.fileUri)&&!ee&&((U.context===4||U.context===0||U.context===1)&&(me=w.findWindowOnFile(he,le.fileUri,Ie=>Ie.configPath.scheme===t.Schemas.file?this.workspacesManagementMainService.resolveLocalWorkspaceSync(Ie.configPath):null)),me||(me=this.doGetLastActiveWindow(he))),me?a.isWorkspaceIdentifier(me.openedWorkspace)?W.push({workspace:me.openedWorkspace,remoteAuthority:me.remoteAuthority}):a.isSingleFolderWorkspaceIdentifier(me.openedWorkspace)?D.push({workspace:me.openedWorkspace,remoteAuthority:me.remoteAuthority}):V(this.doOpenFilesInExistingWindow(U,me,T),!0):V(this.openInBrowserWindow({userEnv:U.userEnv,cli:U.cli,initialStartup:U.initialStartup,filesToOpen:T,forceNewWindow:!0,remoteAuthority:T.remoteAuthority,forceNewTabbedWindow:U.forceNewTabbedWindow}),!0)}const re=E.distinct(W,le=>le.workspace.id);if(re.length>0){const le=E.coalesce(re.map(he=>w.findWindowOnWorkspaceOrFolder(this.getWindows(),he.workspace.configPath)));if(le.length>0){const he=le[0],me=(T==null?void 0:T.remoteAuthority)===he.remoteAuthority?T:void 0;V(this.doOpenFilesInExistingWindow(U,he,me),!!me),K=!0}re.forEach(he=>{if(!le.some(ke=>ke.openedWorkspace&&ke.openedWorkspace.id===he.workspace.id)){const me=he.remoteAuthority,Ie=(T==null?void 0:T.remoteAuthority)===me?T:void 0;V(this.doOpenFolderOrWorkspace(U,he,K,Ie),!!Ie),K=!0}})}const se=E.distinct(D,le=>c.extUriBiasedIgnorePathCase.getComparisonKey(le.workspace.uri));if(se.length>0){const le=E.coalesce(se.map(he=>w.findWindowOnWorkspaceOrFolder(this.getWindows(),he.workspace.uri)));if(le.length>0){const he=le[0],me=(T==null?void 0:T.remoteAuthority)===he.remoteAuthority?T:void 0;V(this.doOpenFilesInExistingWindow(U,he,me),!!me),K=!0}se.forEach(he=>{if(!le.some(ke=>a.isSingleFolderWorkspaceIdentifier(ke.openedWorkspace)&&c.extUriBiasedIgnorePathCase.isEqual(ke.openedWorkspace.uri,he.workspace.uri))){const me=he.remoteAuthority,Ie=(T==null?void 0:T.remoteAuthority)===me?T:void 0;V(this.doOpenFolderOrWorkspace(U,he,K,Ie),!!Ie),K=!0}})}const ge=E.distinct(P,le=>le.backupFolder);if(ge.length>0&&ge.forEach(le=>{const he=le.remoteAuthority,me=(T==null?void 0:T.remoteAuthority)===he?T:void 0;V(this.openInBrowserWindow({userEnv:U.userEnv,cli:U.cli,initialStartup:U.initialStartup,filesToOpen:me,remoteAuthority:he,forceNewWindow:!0,forceNewTabbedWindow:U.forceNewTabbedWindow,emptyWindowBackupInfo:le}),!!me),K=!0}),B.length===0||T){T&&!_&&_++;const le=T?T.remoteAuthority:U.cli&&U.cli.remote||void 0;for(let he=0;he<_;he++)V(this.doOpenEmpty(U,K,le,T),!!T),K=!0}return{windows:E.distinct(B),filesOpenedInWindow:j}}doOpenFilesInExistingWindow(U,W,D){var P;this.logService.trace("windowsManager#doOpenFilesInExistingWindow"),W.focus();const _={filesToOpenOrCreate:D==null?void 0:D.filesToOpenOrCreate,filesToDiff:D==null?void 0:D.filesToDiff,filesToWait:D==null?void 0:D.filesToWait,termProgram:(P=U==null?void 0:U.userEnv)===null||P===void 0?void 0:P.TERM_PROGRAM};return W.sendWhenReady("vscode:openFiles",x.CancellationToken.None,_),W}doAddFoldersToExistingWindow(U,W){this.logService.trace("windowsManager#doAddFoldersToExistingWindow"),U.focus();const D={foldersToAdd:W};return U.sendWhenReady("vscode:addFolders",x.CancellationToken.None,D),U}doOpenEmpty(U,W,D,P,_){return!W&&!_&&typeof U.contextWindowId=="number"&&(_=this.getWindowById(U.contextWindowId)),this.openInBrowserWindow({userEnv:U.userEnv,cli:U.cli,initialStartup:U.initialStartup,remoteAuthority:D,forceNewWindow:W,forceNewTabbedWindow:U.forceNewTabbedWindow,filesToOpen:P,windowToUse:_})}doOpenFolderOrWorkspace(U,W,D,P,_){return!D&&!_&&typeof U.contextWindowId=="number"&&(_=this.getWindowById(U.contextWindowId)),this.openInBrowserWindow({workspace:W.workspace,userEnv:U.userEnv,cli:U.cli,initialStartup:U.initialStartup,remoteAuthority:W.remoteAuthority,forceNewWindow:D,forceNewTabbedWindow:U.forceNewTabbedWindow,filesToOpen:P,windowToUse:_})}getPathsToOpen(U){var W;let D,P=!1,_=!1;if(U.urisToOpen&&U.urisToOpen.length>0?(D=this.doExtractPathsFromAPI(U),P=!0):U.forceEmpty?D=[Object.create(null)]:U.cli._.length||U.cli["folder-uri"]||U.cli["file-uri"]?(D=this.doExtractPathsFromCLI(U.cli),D.length===0&&D.push(Object.create(null)),P=!0):(D=this.doGetPathsFromLastSession(),D.length===0&&D.push(Object.create(null)),_=!0),!U.addMode&&P){const T=D.filter(O=>C(O));if(T.length>1){const O=T[0].remoteAuthority;if(T.every(B=>B.remoteAuthority===O)){const B=this.workspacesManagementMainService.createUntitledWorkspaceSync(T.map(j=>({uri:j.workspace.uri})));D.push({workspace:B,remoteAuthority:O}),D=D.filter(j=>!C(j))}}}return U.initialStartup&&!_&&((W=this.configurationService.getValue("window"))===null||W===void 0?void 0:W.restoreWindows)==="preserve"&&D.unshift(...this.doGetPathsFromLastSession().filter(T=>Z(T)||C(T)||T.backupPath)),D}doExtractPathsFromAPI(U){const W=[],D={gotoLineMode:U.gotoLineMode};for(const P of E.coalesce(U.urisToOpen||[])){const _=this.resolveOpenable(P,D);if(_)_.label=P.label,W.push(_);else{const T=this.resourceFromOpenable(P),O={title:p.default.nameLong,type:"info",buttons:[L.localize(0,null)],message:T.scheme===t.Schemas.file?L.localize(1,null):L.localize(2,null),detail:T.scheme===t.Schemas.file?L.localize(3,null,z.getPathLabel(T.fsPath,this.environmentMainService)):L.localize(4,null,T.toString()),noLink:!0};this.dialogMainService.showMessageBox(O,N.withNullAsUndefined(k.BrowserWindow.getFocusedWindow()))}}return W}doExtractPathsFromCLI(U){const W=[],D={ignoreFileNotFound:!0,gotoLineMode:U.goto,remoteAuthority:U.remote||void 0},P=U["folder-uri"];if(P)for(const O of P){const B=this.cliArgToUri(O);if(B){const j=this.resolveOpenable({folderUri:B},D);j&&W.push(j)}}const _=U["file-uri"];if(_)for(const O of _){const B=this.cliArgToUri(O);if(B){const j=this.resolveOpenable(a.hasWorkspaceFileExtension(O)?{workspaceUri:B}:{fileUri:B},D);j&&W.push(j)}}const T=U._;for(const O of T){const B=this.doResolveFileOpenable(O,D);B&&W.push(B)}return W}cliArgToUri(U){try{const W=r.URI.parse(U);if(!W.scheme){this.logService.error(`Invalid URI input string, scheme missing: ${U}`);return}return W}catch(W){this.logService.error(`Invalid URI input string: ${U}, ${W.message}`)}}doGetPathsFromLastSession(){const U=this.getRestoreWindowsSetting();switch(U){case"none":return[];case"one":case"all":case"preserve":case"folders":const W=[];U!=="one"&&W.push(...this.windowsStateHandler.state.openedWindows),this.windowsStateHandler.state.lastActiveWindow&&W.push(this.windowsStateHandler.state.lastActiveWindow);const D=[];for(const P of W)if(P.workspace){const _=this.resolveOpenable({workspaceUri:P.workspace.configPath},{remoteAuthority:P.remoteAuthority});Z(_)&&D.push(_)}else if(P.folderUri){const _=this.resolveOpenable({folderUri:P.folderUri},{remoteAuthority:P.remoteAuthority});C(_)&&D.push(_)}else U!=="folders"&&P.backupPath&&D.push({backupPath:P.backupPath,remoteAuthority:P.remoteAuthority});return D}}getRestoreWindowsSetting(){let U;if(this.lifecycleMainService.wasRestarted)U="all";else{const W=this.configurationService.getValue("window");U=(W==null?void 0:W.restoreWindows)||"all",["preserve","all","folders","one","none"].includes(U)||(U="all")}return U}resolveOpenable(U,W={}){return this.resourceFromOpenable(U).scheme===t.Schemas.file?this.doResolveFileOpenable(U,W):this.doResolveRemoteOpenable(U,W)}doResolveRemoteOpenable(U,W){let D=this.resourceFromOpenable(U);const P=W.remoteAuthority||d.getRemoteAuthority(D);if(D=c.removeTrailingPathSeparator(c.normalizePath(D)),h.isFileToOpen(U)){if(W.gotoLineMode){const{path:_,line:T,column:O}=$.parseLineAndColumnAware(D.path);return{fileUri:D.with({path:_}),lineNumber:T,columnNumber:O,remoteAuthority:P}}return{fileUri:D,remoteAuthority:P}}else if(h.isWorkspaceToOpen(U))return{workspace:m.getWorkspaceIdentifier(D),remoteAuthority:P};return{workspace:m.getSingleFolderWorkspaceIdentifier(D),remoteAuthority:P}}resourceFromOpenable(U){return h.isWorkspaceToOpen(U)?U.workspaceUri:h.isFolderToOpen(U)?U.folderUri:U.fileUri}doResolveFileOpenable(U,W){let D,P=!1;typeof U=="string"?D=U:(D=this.resourceFromOpenable(U).fsPath,P=h.isFileToOpen(U));let _,T;if(W.gotoLineMode){const B=$.parseLineAndColumnAware(D);_=B.line,T=B.column,D=B.path}const O=W.remoteAuthority;return O?this.doResolvePathRemote(D,O,P):this.doResolvePathLocal(D,W,_,T,P)}doResolvePathRemote(U,W,D){const P=U.charCodeAt(0);P!==47&&($.isWindowsDriveLetter(P)&&U.charCodeAt(U.charCodeAt(1))===58&&(U=$.toSlashes(U)),U=`/${U}`);const _=r.URI.from({scheme:t.Schemas.vscodeRemote,authority:W,path:U});if(U.charCodeAt(U.length-1)!==47){if(a.hasWorkspaceFileExtension(U))return D?{fileUri:_,remoteAuthority:W}:{workspace:m.getWorkspaceIdentifier(_),remoteAuthority:W};if(R.posix.basename(U).indexOf(".")!==-1)return{fileUri:_,remoteAuthority:W}}return{workspace:m.getSingleFolderWorkspaceIdentifier(_),remoteAuthority:W}}doResolvePathLocal(U,W,D,P,_){U=$.sanitizeFilePath(R.normalize(U),process.env.VSCODE_CWD||process.cwd());try{const T=v.statSync(U);if(T.isFile()){if(!_){const O=this.workspacesManagementMainService.resolveLocalWorkspaceSync(r.URI.file(U));if(O)return{workspace:{id:O.id,configPath:O.configPath},remoteAuthority:O.remoteAuthority,exists:!0}}return{fileUri:r.URI.file(U),lineNumber:D,columnNumber:P,exists:!0}}else if(T.isDirectory())return{workspace:m.getSingleFolderWorkspaceIdentifier(r.URI.file(U),T),exists:!0}}catch(T){const O=r.URI.file(U);if(this.workspacesHistoryMainService.removeRecentlyOpened([O]),W==null?void 0:W.ignoreFileNotFound)return{fileUri:O,exists:!1}}}shouldOpenNewWindow(U){const W=this.configurationService.getValue("window"),D=(W==null?void 0:W.openFoldersInNewWindow)||"default",P=(W==null?void 0:W.openFilesInNewWindow)||"off";let _=(U.preferNewWindow||U.forceNewWindow)&&!U.forceReuseWindow;!U.forceNewWindow&&!U.forceReuseWindow&&(D==="on"||D==="off")&&(_=D==="on");let T=!1;return U.forceNewWindow||U.forceReuseWindow?T=!!U.forceNewWindow&&!U.forceReuseWindow:(o.isMacintosh?U.context===1&&(T=!0):U.context!==3&&U.context!==2&&!(U.userEnv&&U.userEnv.TERM_PROGRAM==="vscode")&&(T=!0),!U.cli.extensionDevelopmentPath&&(P==="on"||P==="off")&&(T=P==="on")),{openFolderInNewWindow:!!_,openFilesInNewWindow:T}}openExtensionDevelopmentHostWindow(U,W){const D=w.findWindowOnExtensionDevelopmentPath(this.getWindows(),U);if(D)return this.lifecycleMainService.reload(D,W.cli),D.focus(),[D];let P=W.cli["folder-uri"]||[],_=W.cli["file-uri"]||[],T=W.cli._;if(!T.length&&!P.length&&!_.length&&!W.cli.extensionTestsPath){const V=this.windowsStateHandler.state.lastPluginDevelopmentHostWindow,K=V&&(V.workspace||V.folderUri);K&&(r.URI.isUri(K)?K.scheme===t.Schemas.file?T=[K.fsPath]:P=[K.toString()]:K.configPath.scheme===t.Schemas.file?T=[c.originalFSPath(K.configPath)]:_=[K.configPath.toString()])}let O="";for(const V of U)if(V.match(/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/)){const K=r.URI.parse(V);K.scheme===t.Schemas.vscodeRemote&&(O?K.authority!==O&&this.logService.error("more than one extension development path authority"):O=K.authority)}T=T.filter(V=>{const K=r.URI.file(V);return w.findWindowOnWorkspaceOrFolder(this.getWindows(),K)?!1:K.authority===O}),P=P.filter(V=>{const K=this.cliArgToUri(V);return K&&!!w.findWindowOnWorkspaceOrFolder(this.getWindows(),K)?!1:K?K.authority===O:!1}),_=_.filter(V=>{const K=this.cliArgToUri(V);return K&&!!w.findWindowOnWorkspaceOrFolder(this.getWindows(),K)?!1:K?K.authority===O:!1}),W.cli._=T,W.cli["folder-uri"]=P,W.cli["file-uri"]=_;const B=!T.length&&!P.length&&!_.length;B&&O&&(W.cli.remote=O);const j={context:W.context,cli:W.cli,forceNewWindow:!0,forceEmpty:B,userEnv:W.userEnv,noRecentEntry:!0,waitMarkerFileURI:W.waitMarkerFileURI};return this.open(j)}openInBrowserWindow(U){var W;const D=Object.assign({},U.cli);D.appRoot=this.environmentMainService.appRoot,D.machineId=this.machineId,D.nodeCachedDataDir=this.environmentMainService.nodeCachedDataDir,D.mainPid=process.pid,D.execPath=process.execPath,D.userEnv=Object.assign(Object.assign({},this.initialUserEnv),U.userEnv),D.isInitialStartup=U.initialStartup,D.workspace=U.workspace,D.remoteAuthority=U.remoteAuthority;const P=U.filesToOpen;P&&(D.filesToOpenOrCreate=P.filesToOpenOrCreate,D.filesToDiff=P.filesToDiff,D.filesToWait=P.filesToWait),U.emptyWindowBackupInfo&&(D.backupPath=R.join(this.environmentMainService.backupHome,U.emptyWindowBackupInfo.backupFolder));let _;if(!U.forceNewWindow&&!U.forceNewTabbedWindow&&(_=U.windowToUse||this.getLastActiveWindow(),_&&_.focus()),_){const T=_.config;!D.extensionDevelopmentPath&&T&&!!T.extensionDevelopmentPath&&(D.extensionDevelopmentPath=T.extensionDevelopmentPath,D.verbose=T.verbose,D["inspect-brk-extensions"]=T["inspect-brk-extensions"],D.debugId=T.debugId,D["inspect-extensions"]=T["inspect-extensions"],D["extensions-dir"]=T["extensions-dir"])}else{const T=this.windowsStateHandler.getNewWindowState(D),O=_=this.instantiationService.createInstance(i.CodeWindow,{state:T,extensionDevelopmentPath:D.extensionDevelopmentPath,isExtensionTestHost:!!D.extensionTestsPath});if(U.forceNewTabbedWindow){const j=this.getLastActiveWindow();j&&j.addTabbedWindow(O)}Je.WINDOWS.push(O),this._onDidOpenWindow.fire(O),this._onDidChangeWindowsCount.fire({oldCount:this.getWindowCount()-1,newCount:this.getWindowCount()}),I.once(O.onDidSignalReady)(()=>this._onDidSignalReadyWindow.fire(O)),I.once(O.onDidClose)(()=>this.onWindowClosed(O)),I.once(O.onDidDestroy)(()=>this._onDidDestroyWindow.fire(O));const B=N.assertIsDefined((W=O.win)===null||W===void 0?void 0:W.webContents);B.removeAllListeners("devtools-reload-page"),B.on("devtools-reload-page",()=>this.lifecycleMainService.reload(O)),this.lifecycleMainService.registerWindow(O)}return _.isReady?this.lifecycleMainService.unload(_,4).then(T=>{T||this.doOpenInBrowserWindow(_,D,U)}):this.doOpenInBrowserWindow(_,D,U),_}doOpenInBrowserWindow(U,W,D){if(!W.extensionDevelopmentPath)if(a.isWorkspaceIdentifier(W.workspace))W.backupPath=this.backupMainService.registerWorkspaceBackupSync({workspace:W.workspace,remoteAuthority:W.remoteAuthority});else if(a.isSingleFolderWorkspaceIdentifier(W.workspace))W.backupPath=this.backupMainService.registerFolderBackupSync(W.workspace.uri);else{const P=D.emptyWindowBackupInfo&&D.emptyWindowBackupInfo.backupFolder;W.backupPath=this.backupMainService.registerEmptyWindowBackupSync(P,W.remoteAuthority)}U.load(W)}onWindowClosed(U){const W=Je.WINDOWS.indexOf(U);Je.WINDOWS.splice(W,1),this._onDidChangeWindowsCount.fire({oldCount:this.getWindowCount()+1,newCount:this.getWindowCount()})}getFocusedWindow(){const U=k.BrowserWindow.getFocusedWindow();if(U)return this.getWindowById(U.id)}getLastActiveWindow(){return this.doGetLastActiveWindow(this.getWindows())}getLastActiveWindowForAuthority(U){return this.doGetLastActiveWindow(this.getWindows().filter(W=>W.remoteAuthority===U))}doGetLastActiveWindow(U){const W=Math.max.apply(Math,U.map(D=>D.lastFocusTime));return U.find(D=>D.lastFocusTime===W)}sendToFocused(U,...W){const D=this.getFocusedWindow()||this.getLastActiveWindow();D&&D.sendWhenReady(U,x.CancellationToken.None,...W)}sendToAll(U,W,D){for(const P of this.getWindows())D&&D.indexOf(P.id)>=0||P.sendWhenReady(U,x.CancellationToken.None,W)}getWindows(){return Je.WINDOWS}getWindowCount(){return Je.WINDOWS.length}getWindowById(U){const W=this.getWindows().filter(D=>D.id===U);return E.firstOrDefault(W)}getWindowByWebContents(U){const W=k.BrowserWindow.fromWebContents(U);if(!!W)return this.getWindowById(W.id)}};X.WINDOWS=[],X=ue([ie(2,g.ILogService),ie(3,y.IStateService),ie(4,n.IEnvironmentMainService),ie(5,f.ILifecycleMainService),ie(6,M.IBackupMainService),ie(7,b.IConfigurationService),ie(8,s.IWorkspacesHistoryMainService),ie(9,m.IWorkspacesManagementMainService),ie(10,l.IInstantiationService),ie(11,F.IDialogMainService),ie(12,te.IFileService)],X),e.WindowsMainService=X}),define(Y[231],J([0,1,49,32,63,47]),function(H,e,v,R,L,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspacesMainService=void 0;let M=class{constructor(y,i,k,f){this.workspacesManagementMainService=y,this.windowsMainService=i,this.workspacesHistoryMainService=k,this.backupMainService=f,this.onDidChangeRecentlyOpened=this.workspacesHistoryMainService.onDidChangeRecentlyOpened}async enterWorkspace(y,i){const k=this.windowsMainService.getWindowById(y);return k?this.workspacesManagementMainService.enterWorkspace(k,this.windowsMainService.getWindows(),i):null}createUntitledWorkspace(y,i,k){return this.workspacesManagementMainService.createUntitledWorkspace(i,k)}deleteUntitledWorkspace(y,i){return this.workspacesManagementMainService.deleteUntitledWorkspace(i)}getWorkspaceIdentifier(y,i){return this.workspacesManagementMainService.getWorkspaceIdentifier(i)}async getRecentlyOpened(y){return this.workspacesHistoryMainService.getRecentlyOpened(this.windowsMainService.getWindowById(y))}async addRecentlyOpened(y,i){return this.workspacesHistoryMainService.addRecentlyOpened(i)}async removeRecentlyOpened(y,i){return this.workspacesHistoryMainService.removeRecentlyOpened(i)}async clearRecentlyOpened(y){return this.workspacesHistoryMainService.clearRecentlyOpened()}async getDirtyWorkspaces(){return this.backupMainService.getDirtyWorkspaces()}};M=ue([ie(0,v.IWorkspacesManagementMainService),ie(1,R.IWindowsMainService),ie(2,L.IWorkspacesHistoryMainService),ie(3,E.IBackupMainService)],M),e.WorkspacesMainService=M}),define(Y[232],J([0,1,27,23,11,4,230,19,86,40,197,34,119,81,221,98,5,70,68,6,37,26,18,95,198,31,94,192,193,189,17,215,168,2,32,7,28,231,66,225,223,222,226,173,20,200,216,229,116,8,15,128,10,224,96,209,214,47,63,199,49,69,150,44,48,13,38,206,202,16,42,30,22,85,207,187,158,53,29,25,160,177,41]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h,w,S,p,s,o,a,l,t,r,c,d,u,m,I,A,F,N,$,z,x,te,Z,C,X,G,U,W,D,P,_,T,O,B,j,V,K,ee,Q,re,se,ge,le,he,me,Ie,ke,Ue,Oe,Be,Ye,Ze,xe,at,Ve,lt,Ce,ct,q,ne,oe,ae,de,ve,Se,Le,Te,Fe,ze){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CodeApplication=void 0;let ut=class extends z.Disposable{constructor(fe,we,Me,ce,ye,pe,Ee,be,De){super();this.mainProcessNodeIpcServer=fe,this.userEnv=we,this.mainInstantiationService=Me,this.logService=ce,this.environmentMainService=ye,this.lifecycleMainService=pe,this.configurationService=Ee,this.stateService=be,this.fileService=De,this.registerListeners()}registerListeners(){_.setUnexpectedErrorHandler(ce=>this.onUnexpectedError(ce)),process.on("uncaughtException",ce=>this.onUnexpectedError(ce)),process.on("unhandledRejection",ce=>_.onUnexpectedError(ce)),this.lifecycleMainService.onWillShutdown(()=>this.dispose()),j.registerContextMenuListener(),L.app.on("accessibility-support-changed",(ce,ye)=>{var pe;(pe=this.windowsMainService)===null||pe===void 0||pe.sendToAll("vscode:accessibilitySupportChanged",ye)}),L.app.on("activate",(ce,ye)=>{var pe;this.logService.trace("app#activate"),ye||(pe=this.windowsMainService)===null||pe===void 0||pe.openEmptyWindow({context:1})}),L.app.on("remote-require",(ce,ye,pe)=>{this.logService.trace("app#on(remote-require): prevented"),ce.preventDefault()}),L.app.on("remote-get-global",(ce,ye,pe)=>{this.logService.trace(`app#on(remote-get-global): prevented on ${pe}`),ce.preventDefault()}),L.app.on("remote-get-builtin",(ce,ye,pe)=>{this.logService.trace(`app#on(remote-get-builtin): prevented on ${pe}`),pe!=="clipboard"&&ce.preventDefault()}),L.app.on("remote-get-current-window",ce=>{this.logService.trace("app#on(remote-get-current-window): prevented"),ce.preventDefault()}),L.app.on("remote-get-current-web-contents",ce=>{this.environmentMainService.args.driver||(this.logService.trace("app#on(remote-get-current-web-contents): prevented"),ce.preventDefault())}),L.app.on("web-contents-created",(ce,ye)=>{ye.on("will-attach-webview",(Ee,be,De)=>{const Pe=_e=>{if(!_e)return!1;const Ne=te.URI.parse(_e);if(Ne.scheme===Q.Schemas.vscodeWebview)return Ne.path==="/index.html"||Ne.path==="/electron-browser/index.html";const He=Ne.fsPath.toLowerCase(),qe=te.URI.file(this.environmentMainService.appRoot).fsPath.toLowerCase();return He.startsWith(qe+V.sep)};delete be.preload,be.nodeIntegration=!1,!(Pe(De.src)&&Pe(be.preloadURL))&&(delete be.preloadURL,this.logService.error("webContents#web-contents-created: Prevented webview attach"),Ee.preventDefault())}),ye.on("will-navigate",Ee=>{this.logService.error("webContents#will-navigate: Prevented webcontent navigation"),Ee.preventDefault()}),ye.on("new-window",(Ee,be)=>{var De;Ee.preventDefault(),(De=this.nativeHostMainService)===null||De===void 0||De.openExternal(void 0,be)});const pe="about:blank?webviewFrame";L.session.defaultSession.setPermissionRequestHandler((Ee,be,De,Pe)=>Pe.requestingUrl===pe?De(be==="clipboard-read"):De(!1)),L.session.defaultSession.setPermissionCheckHandler((Ee,be,De,Pe)=>Pe.requestingUrl===pe?be==="clipboard-read":!1)});let fe=[],we=null;L.app.on("open-file",(ce,ye)=>{this.logService.trace("app#open-file: ",ye),ce.preventDefault(),fe.push(this.getWindowOpenableFromPathSync(ye)),we!==null&&(clearTimeout(we),we=null),we=setTimeout(()=>{var pe;(pe=this.windowsMainService)===null||pe===void 0||pe.open({context:1,cli:this.environmentMainService.args,urisToOpen:fe,gotoLineMode:!1,preferNewWindow:!0}),fe=[],we=null},100)}),L.app.on("new-window-for-tab",()=>{var ce;(ce=this.windowsMainService)===null||ce===void 0||ce.openEmptyWindow({context:4})});let Me=!1;L.ipcMain.on("vscode:fetchShellEnv",async ce=>{var ye;const pe=ce.sender;let Ee=!1;function be($e){clearTimeout(Pe),clearTimeout(Ne),Ee||(Ee=!0,pe.isDestroyed()||pe.send("vscode:acceptShellEnv",$e))}const De=new Le.CancellationTokenSource,Pe=setTimeout(()=>{var $e;Me||(($e=this.windowsMainService)===null||$e===void 0||$e.sendToFocused("vscode:showShellEnvSlowWarning",De.token),Me=!0)},3e3),_e=(ye=this.windowsMainService)===null||ye===void 0?void 0:ye.getWindowByWebContents(ce.sender),Ne=setTimeout(()=>{De.dispose(!0),_e==null||_e.sendWhenReady("vscode:showShellEnvTimeoutError",Le.CancellationToken.None),be({})},1e4);let He,qe;(_e==null?void 0:_e.config)?(He=_e.config,qe=Object.assign(Object.assign({},process.env),_e.config.userEnv)):(He=this.environmentMainService.args,qe=process.env);const Ae=await y.resolveShellEnv(this.logService,He,qe);be(Ae)}),L.ipcMain.handle("vscode:writeNlsFile",async(ce,ye,pe)=>{const Ee=this.validateNlsPath([ye]);if(!Ee||typeof pe!="string")throw new Error("Invalid operation (vscode:writeNlsFile)");return this.fileService.writeFile(Ee,q.VSBuffer.fromString(pe))}),L.ipcMain.handle("vscode:readNlsFile",async(ce,...ye)=>{const pe=this.validateNlsPath(ye);if(!pe)throw new Error("Invalid operation (vscode:readNlsFile)");return(await this.fileService.readFile(pe)).value.toString()}),L.ipcMain.on("vscode:toggleDevTools",ce=>ce.sender.toggleDevTools()),L.ipcMain.on("vscode:openDevTools",ce=>ce.sender.openDevTools()),L.ipcMain.on("vscode:reloadWindow",ce=>ce.sender.reload())}validateNlsPath(fe){let we;for(const Me of fe)typeof Me=="string"&&(typeof we!="string"?we=Me:we=V.join(we,Me));if(!(typeof we!="string"||!V.isAbsolute(we)||!Se.isEqualOrParent(we,this.environmentMainService.cachedLanguagesPath,!E.isLinux)))return te.URI.file(we)}onUnexpectedError(fe){var we;if(fe){const Me={message:`[uncaught exception in main]: ${fe.message}`,stack:fe.stack};(we=this.windowsMainService)===null||we===void 0||we.sendToFocused("vscode:reportError",JSON.stringify(Me))}this.logService.error(`[uncaught exception in main]: ${fe}`),fe.stack&&this.logService.error(fe.stack)}async startup(){this.logService.debug("Starting VS Code"),this.logService.debug(`from: ${this.environmentMainService.appRoot}`),this.logService.debug("args:",this.environmentMainService.args);const fe=F.default.win32AppUserModelId;E.isWindows&&fe&&L.app.setAppUserModelId(fe);try{E.isMacintosh&&this.configurationService.getValue("window.nativeTabs")===!0&&!L.systemPreferences.getUserDefault("NSUseImprovedLayoutPass","boolean")&&L.systemPreferences.setUserDefault("NSUseImprovedLayoutPass","boolean",!0)}catch(Pe){this.logService.error(Pe)}const we=this._register(this.mainInstantiationService.createInstance($.FileProtocolHandler)),Me=new b.Server;this.logService.trace("Resolving machine identifier...");const ce=await this.resolveMachineId();this.logService.trace(`Resolved machine identifier: ${ce}`);const{sharedProcess:ye,sharedProcessReady:pe,sharedProcessClient:Ee}=this.setupSharedProcess(ce),be=await this.initServices(ce,ye,pe);if(this.environmentMainService.driverHandle){const Pe=await O.serve(Me,this.environmentMainService.driverHandle,this.environmentMainService,be);this.logService.info("Driver started at:",this.environmentMainService.driverHandle),this._register(Pe)}this._register(be.createInstance(N.ProxyAuthHandler)),be.invokeFunction(Pe=>this.initChannels(Pe,Me,Ee));const De=be.invokeFunction(Pe=>this.openFirstWindow(Pe,Me,we));be.invokeFunction(Pe=>this.afterWindowOpen(Pe,ye)),this.environmentMainService.args.trace&&be.invokeFunction(Pe=>this.stopTracingEventually(Pe,De))}async resolveMachineId(){let fe=this.stateService.getItem(d.machineIdKey);return(!fe||E.isMacintosh&&fe==="6c9d2bc8f91b89624add29c0abeae7fb42bf539fa1cdb2e3e57cd668fa9bcead")&&(fe=await X.getMachineId(),this.stateService.setItem(d.machineIdKey,fe)),fe}setupSharedProcess(fe){const we=this._register(this.mainInstantiationService.createInstance(h.SharedProcess,fe,this.userEnv)),Me=(async()=>{this.logService.trace("Main->SharedProcess#connect");const ye=await we.connect();return this.logService.trace("Main->SharedProcess#connect: connection established"),new g.Client(ye,"main")})(),ce=(async()=>(await we.whenReady(),Me))();return{sharedProcess:we,sharedProcessReady:ce,sharedProcessClient:Me}}async initServices(fe,we,Me){const ce=new p.ServiceCollection;switch(process.platform){case"win32":ce.set(i.IUpdateService,new s.SyncDescriptor(G.Win32UpdateService));break;case"linux":E.isLinuxSnap?ce.set(i.IUpdateService,new s.SyncDescriptor(re.SnapUpdateService,[process.env.SNAP,process.env.SNAP_REVISION])):ce.set(i.IUpdateService,new s.SyncDescriptor(U.LinuxUpdateService));break;case"darwin":ce.set(i.IUpdateService,new s.SyncDescriptor(W.DarwinUpdateService));break}ce.set(x.IWindowsMainService,new s.SyncDescriptor(M.WindowsMainService,[fe,this.userEnv])),ce.set(Ye.IDialogMainService,new s.SyncDescriptor(Ye.DialogMainService)),ce.set(w.ILaunchMainService,new s.SyncDescriptor(w.LaunchMainService)),ce.set(Ue.IDiagnosticsService,f.ProxyChannel.toService(f.getDelayedChannel(Me.then(pe=>pe.getChannel("diagnostics"))))),ce.set(D.IIssueMainService,new s.SyncDescriptor(D.IssueMainService,[fe,this.userEnv])),ce.set(ne.IEncryptionMainService,new s.SyncDescriptor(ne.EncryptionMainService,[fe])),ce.set(ae.IKeyboardLayoutMainService,new s.SyncDescriptor(ae.KeyboardLayoutMainService)),ce.set(de.IDisplayMainService,new s.SyncDescriptor(de.DisplayMainService)),ce.set(Be.INativeHostMainService,new s.SyncDescriptor(Be.NativeHostMainService,[we])),ce.set(Ve.IWebviewManagerService,new s.SyncDescriptor(at.WebviewMainService)),ce.set(Z.IWorkspacesService,new s.SyncDescriptor(C.WorkspacesMainService)),ce.set(ke.IWorkspacesManagementMainService,new s.SyncDescriptor(ke.WorkspacesManagementMainService)),ce.set(me.IWorkspacesHistoryMainService,new s.SyncDescriptor(me.WorkspacesHistoryMainService)),ce.set(B.IMenubarMainService,new s.SyncDescriptor(B.MenubarMainService)),ce.set(Te.IExtensionUrlTrustService,new s.SyncDescriptor(Fe.ExtensionUrlTrustService)),ce.set(se.IStorageMainService,new s.SyncDescriptor(se.StorageMainService));const ye=new le.BackupMainService(this.environmentMainService,this.configurationService,this.logService);if(ce.set(he.IBackupMainService,ye),ce.set(r.IURLService,new s.SyncDescriptor(Ie.NativeURLService)),!this.environmentMainService.isExtensionDevelopment&&!this.environmentMainService.args["disable-telemetry"]&&!!F.default.enableTelemetry){const pe=f.getDelayedChannel(Me.then(_e=>_e.getChannel("telemetryAppender"))),Ee=new m.TelemetryAppenderClient(pe),be=A.resolveCommonProperties(this.fileService,v.release(),process.arch,F.default.commit,F.default.version,fe,F.default.msftInternalDomains,this.environmentMainService.installSourcePath),De=[this.environmentMainService.appRoot,this.environmentMainService.extensionsPath],Pe={appender:Ee,commonProperties:be,piiPaths:De,sendErrorTelemetry:!0};ce.set(d.ITelemetryService,new s.SyncDescriptor(I.TelemetryService,[Pe]))}else ce.set(d.ITelemetryService,u.NullTelemetryService);return await ye.initialize(),this.mainInstantiationService.createChild(ce)}initChannels(fe,we,Me){const ce=f.ProxyChannel.fromService(fe.get(w.ILaunchMainService),{disableMarshalling:!0});this.mainProcessNodeIpcServer.registerChannel("launch",ce);const ye=new k.UpdateChannel(fe.get(i.IUpdateService));we.registerChannel("update",ye);const pe=f.ProxyChannel.fromService(fe.get(D.IIssueMainService));we.registerChannel("issue",pe);const Ee=f.ProxyChannel.fromService(fe.get(ne.IEncryptionMainService));we.registerChannel("encryption",Ee);const be=f.ProxyChannel.fromService(fe.get(ae.IKeyboardLayoutMainService));we.registerChannel("keyboardLayout",be);const De=f.ProxyChannel.fromService(fe.get(de.IDisplayMainService));we.registerChannel("display",De),this.nativeHostMainService=fe.get(Be.INativeHostMainService);const Pe=f.ProxyChannel.fromService(this.nativeHostMainService);we.registerChannel("nativeHost",Pe),Me.then(Ke=>Ke.registerChannel("nativeHost",Pe));const _e=f.ProxyChannel.fromService(fe.get(Z.IWorkspacesService));we.registerChannel("workspaces",_e);const Ne=f.ProxyChannel.fromService(fe.get(B.IMenubarMainService));we.registerChannel("menubar",Ne);const He=f.ProxyChannel.fromService(fe.get(r.IURLService));we.registerChannel("url",He);const qe=f.ProxyChannel.fromService(fe.get(Te.IExtensionUrlTrustService));we.registerChannel("extensionUrlTrust",qe);const Ae=f.ProxyChannel.fromService(fe.get(Ve.IWebviewManagerService));we.registerChannel("webview",Ae);const $e=this._register(new ge.StorageDatabaseChannel(this.logService,fe.get(se.IStorageMainService)));we.registerChannel("storage",$e),Me.then(Ke=>Ke.registerChannel("storage",$e));const Qe=new P.LogLevelChannel(fe.get(o.ILogService));we.registerChannel("logLevel",Qe),Me.then(Ke=>Ke.registerChannel("logLevel",Qe));const et=new P.LoggerChannel(fe.get(o.ILoggerService));we.registerChannel("logger",et);const it=new Oe.ElectronExtensionHostDebugBroadcastChannel(fe.get(x.IWindowsMainService));we.registerChannel("extensionhostdebugservice",it)}openFirstWindow(fe,we,Me){const ce=this.windowsMainService=fe.get(x.IWindowsMainService),ye=fe.get(r.IURLService),pe=fe.get(Be.INativeHostMainService);this.lifecycleMainService.phase=2,Me.injectWindowsMainService(this.windowsMainService);const Ee=[],be=[...this.environmentMainService.args["open-url"]?this.environmentMainService.args._urls||[]:[],...global.getOpenUrls()||[]].map(We=>{try{return{uri:te.URI.parse(We),url:We}}catch(Xe){return null}}).filter(We=>{if(!We||this.shouldBlockURI(We.uri))return!1;const Xe=this.getWindowOpenableFromProtocolLink(We.uri);return Xe?(Ee.push(Xe),!1):!0}),De=this,Pe=this.environmentMainService;ye.registerHandler({async handleURL(We,Xe){if(De.shouldBlockURI(We))return!0;const St=De.getWindowOpenableFromProtocolLink(We);if(St){const[ft]=ce.open({context:5,cli:Object.assign({},Pe.args),urisToOpen:[St],gotoLineMode:!0});return ft.focus(),!0}if(E.isMacintosh&&ce.getWindowCount()===0){const[ft]=ce.open({context:5,cli:Object.assign({},Pe.args),forceEmpty:!0,gotoLineMode:!0});return await ft.ready(),ye.open(We,Xe)}return!1}});const _e=this._register(new oe.ActiveWindowManager({onDidOpenWindow:pe.onDidOpenWindow,onDidFocusWindow:pe.onDidFocusWindow,getActiveWindowId:()=>pe.getActiveWindowId(-1)})),Ne=new f.StaticRouter(We=>_e.getActiveClientId().then(Xe=>We===Xe)),He=new c.URLHandlerRouter(Ne),qe=we.getChannel("urlHandler",He);ye.registerHandler(new c.URLHandlerChannelClient(qe)),this._register(new T.ElectronURLListener(be,ye,ce,this.environmentMainService));const Ae=this.environmentMainService.args,$e=global.macOpenFiles,Qe=ve.isLaunchedFromCli(process.env)?0:4,et=Ae._.length,it=!!Ae["folder-uri"],Ke=!!Ae["file-uri"],ht=Ae["skip-add-to-recently-opened"]===!0,dt=Ae.wait&&Ae.waitMarkerFilePath?te.URI.file(Ae.waitMarkerFilePath):void 0;return Ee.length>0?ce.open({context:Qe,cli:Ae,urisToOpen:Ee,gotoLineMode:!0,initialStartup:!0}):Ae["new-window"]&&!et&&!it&&!Ke?ce.open({context:Qe,cli:Ae,forceNewWindow:!0,forceEmpty:!0,noRecentEntry:ht,waitMarkerFileURI:dt,initialStartup:!0}):$e.length&&!et&&!it&&!Ke?ce.open({context:1,cli:Ae,urisToOpen:$e.map(We=>this.getWindowOpenableFromPathSync(We)),noRecentEntry:ht,waitMarkerFileURI:dt,initialStartup:!0}):ce.open({context:Qe,cli:Ae,forceNewWindow:Ae["new-window"]||!et&&Ae["unity-launch"],diffMode:Ae.diff,noRecentEntry:ht,waitMarkerFileURI:dt,gotoLineMode:Ae.goto,initialStartup:!0})}shouldBlockURI(fe){return!!(fe.authority===Q.Schemas.file&&E.isWindows&&L.dialog.showMessageBoxSync({title:F.default.nameLong,type:"question",buttons:[xe.mnemonicButtonLabel(ee.localize(0,null)),xe.mnemonicButtonLabel(ee.localize(1,null))],cancelId:1,message:ee.localize(2,null,xe.getPathLabel(fe.fsPath,this.environmentMainService),F.default.nameShort),detail:ee.localize(3,null),noLink:!0})===1)}getWindowOpenableFromProtocolLink(fe){if(!!fe.path){if(fe.authority===Q.Schemas.file)return{fileUri:te.URI.file(fe.fsPath)};if(fe.authority===Q.Schemas.vscodeRemote){const we=fe.path.indexOf(V.posix.sep,1);if(we!==-1){const Me=fe.path.substring(1,we),ce=fe.path.substring(we),ye=te.URI.from({scheme:Q.Schemas.vscodeRemote,authority:Me,path:ce,query:fe.query,fragment:fe.fragment});return Z.hasWorkspaceFileExtension(ce)?{workspaceUri:ye}:{folderUri:ye}}}}}getWindowOpenableFromPathSync(fe){try{if(R.statSync(fe).isDirectory())return{folderUri:te.URI.file(fe)};if(Z.hasWorkspaceFileExtension(fe))return{workspaceUri:te.URI.file(fe)}}catch(we){}return{fileUri:te.URI.file(fe)}}async afterWindowOpen(fe,we){var Me;this.lifecycleMainService.phase=3;const ce=fe.get(d.ITelemetryService);this._register(we.onDidError(({type:Ee,details:be})=>{let De;typeof be=="string"?De=be:De=`SharedProcess: crashed (detail: ${be.reason})`,_.onUnexpectedError(new Error(De)),ce.publicLog2("sharedprocesserror",{type:Ee,reason:typeof be!="string"?be.reason:void 0})}));const ye=F.default.win32MutexName;if(E.isWindows&&ye)try{const Ee=H.__$__nodeRequire("windows-mutex").Mutex,be=new Ee(ye);ze.once(this.lifecycleMainService.onWillShutdown)(()=>be.release())}catch(Ee){this.logService.error(Ee)}L.protocol.registerHttpProtocol(Q.Schemas.vscodeRemoteResource,(Ee,be)=>{be({url:Ee.url.replace(/^vscode-remote-resource:/,"http:"),method:Ee.method})});const pe=fe.get(i.IUpdateService);(pe instanceof G.Win32UpdateService||pe instanceof U.LinuxUpdateService||pe instanceof W.DarwinUpdateService)&&pe.initialize(),y.resolveShellEnv(this.logService,this.environmentMainService.args,process.env);try{const be=(await this.fileService.readFile(this.environmentMainService.argvResource)).value.toString();if(JSON.parse(Ce.stripComments(be))["enable-crash-reporter"]===void 0){const Pe=(Me=this.configurationService.getValue("telemetry.enableCrashReporter"))!==null&&Me!==void 0?Me:!0,_e=["","	// Allows to disable crash reporting.","	// Should restart the app if the value is changed.",`	"enable-crash-reporter": ${Pe},`,"","	// Unique id used for correlating crash reports sent from this instance.","	// Do not edit this value.",`	"crash-reporter-id": "${ct.generateUuid()}"`,"}"],Ne=be.substring(0,be.length-2).concat(`,
`,_e.join(`
`));await this.fileService.writeFile(this.environmentMainService.argvResource,q.VSBuffer.fromString(Ne))}}catch(Ee){this.logService.error(Ee)}}stopTracingEventually(fe,we){this.logService.info("Tracing: waiting for windows to get ready...");const Me=fe.get(Ye.IDialogMainService);let ce=!1;const ye=async Ee=>{if(!ce){ce=!0;const be=await L.contentTracing.stopRecording(K.joinPath(this.environmentMainService.userHome,`${F.default.applicationName}-${Math.random().toString(16).slice(-4)}.trace.txt`).fsPath);Ee?this.logService.info(`Tracing: data recorded (after 30s timeout) to ${be}`):Me.showMessageBox({type:"info",message:ee.localize(4,null),detail:ee.localize(5,null,be),buttons:[ee.localize(6,null)]},Ze.withNullAsUndefined(L.BrowserWindow.getFocusedWindow()))}},pe=setTimeout(()=>ye(!0),3e4);Promise.all(we.map(Ee=>Ee.ready())).then(()=>{clearTimeout(pe),ye(!1)})}};ut=ue([ie(2,S.IInstantiationService),ie(3,o.ILogService),ie(4,l.IEnvironmentMainService),ie(5,n.ILifecycleMainService),ie(6,t.IConfigurationService),ie(7,a.IStateService),ie(8,lt.IFileService)],ut),e.CodeApplication=ut}),define(Y[239],J([0,1,11,23,12,4,17,53,151,19,34,55,164,70,68,6,188,37,52,18,180,39,220,232,38,90,89,20,71,41,92,186,190,169,171,10,16,54,218,61,29,21,8,33,26,67,94,174,196]),function(H,e,v,R,L,E,M,n,y,i,k,f,b,g,h,w,S,p,s,o,a,l,t,r,c,d,u,m,I,A,F,N,$,z,x,te,Z,C,X,G,U,W,D,P,_,T,O,B){"use strict";Object.defineProperty(e,"__esModule",{value:!0});class j{main(){try{this.startup()}catch(ee){console.error(ee.message),v.app.exit(1)}}async startup(){m.setUnexpectedErrorHandler(me=>console.error(me));const ee=this.resolveArgs(),[Q,re,se,ge,le,he]=this.createServices(ee);try{try{await this.initServices(se,ge,le)}catch(me){throw this.handleStartupDataDirError(se,me),me}await Q.invokeFunction(async me=>{const Ie=me.get(w.ILogService),ke=me.get(i.ILifecycleMainService),Ue=me.get(Z.IFileService),Oe=await this.doStartup(ee,Ie,se,ke,Q,!0);return he.logger=new d.SpdLogLogger("main",D.join(se.logsPath,"main.log"),!0,he.getLevel()),A.once(ke.onWillShutdown)(()=>{Ue.dispose(),ge.dispose()}),Q.createInstance(r.CodeApplication,Oe,re).startup()})}catch(me){Q.invokeFunction(this.quit,me)}}createServices(ee){const Q=new g.ServiceCollection,re=new _.EnvironmentMainService(ee),se=this.patchEnvironment(re);Q.set(s.IEnvironmentService,re),Q.set(_.IEnvironmentMainService,re);const ge=new u.BufferLogService,le=new w.MultiplexLogService([new w.ConsoleMainLogger(w.getLogLevel(re)),ge]);process.once("exit",()=>le.dispose()),Q.set(w.ILogService,le);const he=new z.FileService(le);Q.set(Z.IFileService,he);const me=new x.DiskFileSystemProvider(le);he.registerProvider(te.Schemas.file,me),Q.set(w.ILoggerService,new B.LoggerService(le,he));const Ie=new a.ConfigurationService(re.settingsResource,he);Q.set(o.IConfigurationService,Ie),Q.set(i.ILifecycleMainService,new h.SyncDescriptor(i.LifecycleMainService));const ke=new S.StateService(re,le);return Q.set(p.IStateService,ke),Q.set(l.IRequestService,new h.SyncDescriptor(t.RequestMainService)),Q.set(I.IThemeMainService,new h.SyncDescriptor(I.ThemeMainService)),Q.set(F.ISignService,new h.SyncDescriptor(N.SignService)),Q.set(G.IProductService,Object.assign({_serviceBrand:void 0},M.default)),Q.set(C.ITunnelService,new h.SyncDescriptor(X.TunnelService)),[new b.InstantiationService(Q,!0),se,re,Ie,ke,ge]}patchEnvironment(ee){const Q={VSCODE_IPC_HOOK:ee.mainIPCHandle};return["VSCODE_NLS_CONFIG","VSCODE_PORTABLE"].forEach(re=>{const se=process.env[re];typeof se=="string"&&(Q[re]=se)}),Object.assign(process.env,Q),Q}initServices(ee,Q,re){const se=Promise.all([ee.extensionsPath,ee.nodeCachedDataDir,ee.logsPath,ee.globalStorageHome.fsPath,ee.workspaceStorageHome.fsPath,ee.backupHome].map(he=>he?R.promises.mkdir(he,{recursive:!0}):void 0)),ge=Q.initialize(),le=re.init();return Promise.all([se,ge,le])}async doStartup(ee,Q,re,se,ge,le){let he;try{he=await f.serve(re.mainIPCHandle),A.once(se.onWillShutdown)(()=>he.dispose())}catch(me){if(me.code!=="EADDRINUSE")throw this.handleStartupDataDirError(re,me),me;let Ie;try{Ie=await f.connect(re.mainIPCHandle,"main")}catch(Oe){if(!le||E.isWindows||Oe.code!=="ECONNREFUSED")throw Oe.code==="EPERM"&&this.showStartupWarningDialog(L.localize(0,null,M.default.nameShort),L.localize(1,null)),Oe;try{R.unlinkSync(re.mainIPCHandle)}catch(Be){throw Q.warn("Could not delete obsolete instance handle",Be),Be}return this.doStartup(ee,Q,re,se,ge,!1)}if(re.extensionTestsLocationURI&&!re.debugExtensionHost.break){const Oe="Running extension tests from the command line is currently only supported if no other instance of Code is running.";throw Q.error(Oe),Ie.dispose(),new Error(Oe)}let ke;!ee.wait&&!ee.status&&(ke=setTimeout(()=>{this.showStartupWarningDialog(L.localize(2,null,M.default.nameShort),L.localize(3,null))},1e4));const Ue=k.ProxyChannel.toService(Ie.getChannel("launch"),{disableMarshalling:!0});if(ee.status)return ge.invokeFunction(async()=>{const Oe=new $.DiagnosticsService(O.NullTelemetryService),Be=await Ue.getMainProcessInfo(),Ye=await Ue.getRemoteDiagnostics({includeProcesses:!0,includeWorkspaceMetadata:!0}),Ze=await Oe.getDiagnostics(Be,Ye);throw console.log(Ze),new m.ExpectedError});throw E.isWindows&&await this.windowsAllowSetForegroundWindow(Ue,Q),Q.trace("Sending env to running instance..."),await Ue.start(ee,process.env),Ie.dispose(),ke&&clearTimeout(ke),new m.ExpectedError("Sent env to running instance. Terminating...")}if(ee.status)throw Q.warn("Warning: The --status argument can only be used if Code is already running. Please run it again after Code has started."),new m.ExpectedError("Terminating...");return process.env.VSCODE_PID=String(process.pid),he}handleStartupDataDirError(ee,Q){if(Q.code==="EACCES"||Q.code==="EPERM"){const re=P.coalesce([ee.userDataPath,ee.extensionsPath,f.XDG_RUNTIME_DIR]).map(se=>c.getPathLabel(se,ee));this.showStartupWarningDialog(L.localize(4,null),L.localize(5,null,T.toErrorMessage(Q),re.join(`
`)))}}showStartupWarningDialog(ee,Q){v.dialog.showMessageBoxSync({title:M.default.nameLong,type:"warning",buttons:[c.mnemonicButtonLabel(L.localize(6,null))],message:ee,detail:Q,noLink:!0})}async windowsAllowSetForegroundWindow(ee,Q){if(E.isWindows){const re=await ee.getMainProcessId();Q.trace("Sending some foreground love to the running instance:",re);try{(await new Promise((se,ge)=>{H(["windows-foreground-love"],se,ge)})).allowSetForegroundWindow(re)}catch(se){Q.error(se)}}}quit(ee,Q){const re=ee.get(w.ILogService),se=ee.get(i.ILifecycleMainService);let ge=0;Q&&(Q.isExpected?Q.message&&re.trace(Q.message):(ge=1,Q.stack?re.error(Q.stack):re.error(`Startup error: ${Q.toString()}`))),se.kill(ge)}resolveArgs(){const ee=this.validatePaths(n.parseMainProcessArgv(process.argv));if(ee.wait&&!ee.waitMarkerFilePath){const Q=y.createWaitMarkerFile(ee.verbose);Q&&(n.addArg(process.argv,"--waitMarkerFilePath",Q),ee.waitMarkerFilePath=Q)}return ee}validatePaths(ee){if(ee["open-url"]&&(ee._urls=ee._,ee._=[]),!ee.remote){const Q=this.doValidatePaths(ee._,ee.goto);ee._=Q}return ee}doValidatePaths(ee,Q){const re=process.env.VSCODE_CWD||process.cwd(),se=ee.map(he=>{let me=String(he),Ie;Q&&(Ie=U.parseLineAndColumnAware(me),me=Ie.path),me&&(me=this.preparePath(re,me));const ke=U.sanitizeFilePath(me,re),Ue=D.basename(ke);return Ue&&!U.isValidBasename(Ue)?null:Q&&Ie?(Ie.path=ke,this.toPath(Ie)):ke}),ge=E.isWindows||E.isMacintosh,le=P.distinct(se,he=>he&&ge?he.toLowerCase():he||"");return P.coalesce(le)}preparePath(ee,Q){return E.isWindows&&(Q=W.rtrim(Q,'"')),Q=W.trim(W.trim(Q," "),"	"),E.isWindows&&(Q=D.resolve(ee,Q),Q=W.rtrim(Q,".")),Q}toPath(ee){const Q=[ee.path];return typeof ee.line=="number"&&Q.push(String(ee.line)),typeof ee.column=="number"&&Q.push(String(ee.column)),Q.join(":")}}new j().main()})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/f30a9b73e8ffc278e71575118b6bf568f04587c8/core/vs/code/electron-main/main.js.map
