/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var ge=["require","exports","vs/base/common/uri","vs/base/common/event","vs/platform/instantiation/common/instantiation","vs/base/common/lifecycle","vs/workbench/api/common/extHost.protocol","vs/base/common/path","vs/workbench/api/common/extHostTypes","vs/base/common/platform","vs/base/common/strings","vs/platform/log/common/log","vs/base/common/arrays","vs/base/common/network","vs/workbench/api/common/extHostRpcService","vs/base/common/errors","vs/base/common/types","vs/nls","vs/nls!vs/workbench/services/extensions/node/extensionHostProcess","vs/base/common/async","vs/workbench/api/common/extHostTypeConverters","vs/base/common/cancellation","vs/base/common/map","vs/base/common/objects","vs/base/node/pfs","vs/base/common/resources","vs/base/common/buffer","vs/workbench/api/common/extHostInitDataService","vs/base/common/uuid","fs","vs/platform/extensions/common/extensions","vs/base/common/extpath","vs/workbench/services/search/common/search","vs/workbench/api/common/extHostWorkspace","vs/base/common/glob","child_process","vs/workbench/api/common/extHostTerminalService","vs/workbench/api/common/extHostConfiguration","vs/base/common/process","os","vs/workbench/api/common/extHostDocumentsAndEditors","vs/platform/registry/common/platform","vs/workbench/services/extensions/common/extensions","vs/workbench/api/common/extHostExtensionService","vs/editor/common/core/range","vs/workbench/api/common/extHostDebugService","vs/base/common/stopwatch","vs/base/common/codicons","vs/editor/common/core/position","vs/base/common/errorMessage","vs/platform/files/common/files","vs/workbench/api/common/extHostTunnelService","vs/workbench/contrib/notebook/common/notebookCommon","vs/workbench/api/common/extHostCommands","vs/base/common/assert","vs/base/common/collections","vs/base/common/decorators","vs/base/common/json","vs/base/common/linkedList","vs/base/common/marshalling","vs/platform/contextkey/common/contextkey","vs/platform/workspace/common/workspace","vs/workbench/api/common/extHostFileSystemInfo","vs/workbench/api/common/extHostUriTransformerService","vs/workbench/api/common/extHostApiDeprecationService","vs/workbench/api/common/extHostOutput","vs/workbench/api/common/extHostWebview","vs/workbench/api/common/extHostTask","vs/base/common/performance","vs/workbench/api/common/extHostSearch","vs/base/common/functional","vs/base/common/idGenerator","vs/base/common/iterator","vs/base/common/numbers","vs/base/common/hash","vs/base/common/severity","vs/base/common/normalization","vs/base/common/labels","vs/editor/common/modes/languageSelector","vs/base/node/processes","vs/platform/instantiation/common/extensions","vs/editor/common/modes","vs/platform/instantiation/common/serviceCollection","vs/platform/configuration/common/configurationRegistry","vs/platform/configuration/common/configuration","vs/workbench/api/common/shared/webview","vs/workbench/api/common/exHostSecretState","vs/workbench/api/common/extHostFileSystemConsumer","vs/workbench/api/common/extHostStorage","vs/workbench/api/common/extHostStoragePaths","vs/workbench/services/search/node/ripgrepSearchUtils","vs/base/common/comparers","vs/base/common/stream","vs/base/common/uint","vs/base/common/filters","vs/base/common/fuzzyScorer","vs/base/common/htmlContent","vs/base/common/uriIpc","string_decoder","vs/base/node/powershell","vs/base/parts/ipc/common/ipc","vs/base/parts/ipc/common/ipc.net","vs/editor/common/core/characterClassifier","vs/editor/common/model","vs/editor/common/model/wordHelper","vs/editor/common/services/semanticTokensDto","vs/editor/common/viewModel/prefixSumComputer","vs/platform/instantiation/common/descriptors","vs/platform/log/node/spdlogLog","vs/platform/markers/common/markers","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteHosts","vs/platform/terminal/node/terminalEnvironment","vs/platform/workspaces/common/workspaces","vs/workbench/api/common/cache","vs/workbench/contrib/debug/common/abstractDebugAdapter","net","vs/workbench/api/common/extHostDocumentData","vs/workbench/api/common/extHostTextEditor","vs/workbench/services/extensions/common/proxyIdentifier","vs/workbench/api/common/extHostDecorations","vs/workbench/api/common/extHostWindow","vs/workbench/services/search/common/searchExtTypes","vs/workbench/services/search/common/textSearchManager","vs/workbench/services/search/node/textSearchManager","vs/workbench/services/search/node/ripgrepTextSearchEngine","vs/base/parts/ipc/node/ipc.net","vs/base/common/jsonFormatter","vs/base/common/jsonEdit","vs/base/common/lazy","vs/base/common/processes","vs/base/common/iconLabels","vs/base/node/decoder","vs/base/node/extpath","vs/editor/common/controller/wordCharacterClassifier","vs/editor/common/core/selection","vs/editor/common/model/textModelSearch","vs/editor/common/modes/languageConfiguration","vs/editor/common/modes/linkComputer","vs/editor/common/modes/tokenizationRegistry","vs/editor/common/model/mirrorTextModel","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/node/processes","vs/base/node/shell","vs/nls!vs/editor/common/config/editorOptions","vs/editor/common/config/editorOptions","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/platform/terminal/node/terminalProcess","vs/nls!vs/platform/theme/common/iconRegistry","vs/nls!vs/platform/workspaces/common/workspaces","vs/nls!vs/workbench/api/common/extHost.api.impl","vs/nls!vs/workbench/api/common/extHostDiagnostics","vs/nls!vs/workbench/api/common/extHostExtensionActivator","vs/nls!vs/workbench/api/common/extHostExtensionService","vs/nls!vs/workbench/api/common/extHostProgress","vs/nls!vs/workbench/api/common/extHostStatusBar","vs/nls!vs/workbench/api/common/extHostTerminalService","vs/nls!vs/workbench/api/common/extHostTreeViews","vs/nls!vs/workbench/api/common/extHostWorkspace","vs/nls!vs/workbench/api/node/extHostDebugService","vs/nls!vs/workbench/common/views","vs/nls!vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/nls!vs/workbench/contrib/debug/node/debugAdapter","vs/nls!vs/workbench/contrib/externalTerminal/node/externalTerminalService","vs/nls!vs/workbench/contrib/search/common/queryBuilder","vs/nls!vs/workbench/contrib/terminal/common/terminal","vs/nls!vs/workbench/services/configurationResolver/common/variableResolver","vs/platform/editor/common/editor","vs/platform/instantiation/common/graph","vs/editor/common/services/modelService","vs/editor/common/modes/languageFeatureRegistry","vs/platform/commands/common/commands","vs/platform/environment/common/environment","vs/platform/extensionManagement/common/extensionManagement","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/instantiation/common/instantiationService","vs/platform/notification/common/notification","vs/platform/product/common/product","vs/platform/progress/common/progress","vs/platform/configuration/common/configurationModels","vs/platform/sign/node/signService","vs/platform/terminal/common/terminalDataBuffering","vs/platform/terminal/node/terminalProcess","vs/platform/theme/common/theme","vs/platform/theme/common/themeService","vs/platform/theme/common/iconRegistry","vs/workbench/api/common/extHostEditorTabs","vs/workbench/api/common/extHostMemento","vs/workbench/api/common/extHostSecrets","vs/workbench/api/common/extHostCodeInsets","vs/workbench/common/views","vs/workbench/api/common/apiCommands","vs/workbench/contrib/debug/common/debugUtils","vs/workbench/contrib/debug/node/debugAdapter","vs/workbench/contrib/externalTerminal/node/externalTerminal","vs/workbench/contrib/externalTerminal/node/externalTerminalService","vs/workbench/contrib/debug/node/terminals","vs/workbench/api/common/extHostNotebookConcatDocument","vs/workbench/api/common/extHostTheming","vs/workbench/contrib/tasks/common/taskService","vs/workbench/contrib/terminal/common/environmentVariable","vs/workbench/contrib/terminal/common/environmentVariableCollection","vs/workbench/contrib/terminal/common/environmentVariableShared","vs/workbench/contrib/terminal/common/terminal","vs/workbench/contrib/terminal/common/terminalEnvironment","vs/workbench/contrib/terminal/node/terminal","vs/workbench/contrib/terminal/node/terminalEnvironment","vs/workbench/contrib/testing/common/testCollection","vs/workbench/services/configurationResolver/common/variableResolver","vs/workbench/services/editor/common/editorGroupsService","vs/workbench/services/editor/common/editorService","vs/workbench/api/common/extHostDocumentSaveParticipant","vs/workbench/api/common/extHostFileSystemEventService","vs/workbench/api/common/extHostNotebookDocument","vs/workbench/api/common/extHostNotebookEditor","vs/workbench/api/common/extHostProgress","vs/workbench/api/common/extHostTreeViews","vs/workbench/contrib/testing/common/ownedTestCollection","vs/workbench/services/extensions/common/extensionDescriptionRegistry","vs/workbench/services/extensions/common/extensionHostProtocol","vs/workbench/api/common/extHostExtensionActivator","vs/workbench/api/node/extHostLogService","vs/workbench/services/extensions/common/lazyPromise","vs/workbench/api/common/extHostAuthentication","vs/workbench/api/common/extHostBulkEdits","vs/workbench/api/common/extHostClipboard","vs/workbench/api/common/extHostApiCommands","vs/workbench/api/common/extHostComments","vs/workbench/api/common/extHostDiagnostics","vs/workbench/api/common/extHostDialogs","vs/workbench/api/common/extHostDocumentContentProviders","vs/workbench/api/common/extHostDocuments","vs/workbench/api/common/extHostFileSystem","vs/workbench/api/common/extHostLabelService","vs/workbench/api/common/extHostLanguageFeatures","vs/workbench/api/common/extHostLanguages","vs/workbench/api/common/extHostMessageService","vs/workbench/api/common/extHostNotebook","vs/workbench/api/common/extHostQuickOpen","vs/workbench/api/common/extHostSCM","vs/workbench/api/common/extHostStatusBar","vs/workbench/api/common/extHostTextEditors","vs/workbench/api/common/extHostTimeline","vs/workbench/api/common/extHostUriOpener","vs/workbench/api/common/extHostUrls","vs/workbench/api/common/extHostCustomEditors","vs/workbench/api/common/extHostWebviewPanels","vs/workbench/api/common/extHostWebviewView","vs/workbench/api/node/extHostDownloadService","vs/workbench/api/node/extHostOutputService","vs/workbench/api/node/extHostTunnelService","vs/workbench/services/extensions/common/rpcProtocol","vs/workbench/services/remote/common/remoteAgentService","vs/workbench/services/path/common/pathService","vs/workbench/api/common/extHostTesting","vs/workbench/contrib/search/common/queryBuilder","vs/workbench/api/common/shared/workspaceContains","vs/workbench/api/common/extHostRequireInterceptor","vs/workbench/api/node/extHostDebugService","vs/workbench/api/node/extHostTask","vs/workbench/api/node/extHostTerminalService","vs/workbench/services/extensions/common/extensionHostMain","vs/workbench/services/search/common/fileSearchManager","vs/workbench/api/common/extHost.api.impl","vs/workbench/api/common/extHost.common.services","vs/workbench/services/textfile/common/encoding","vs/workbench/services/extensions/node/proxyResolver","http","vs/workbench/services/search/node/ripgrepFileSearch","vscode-ripgrep","vs/workbench/services/search/node/fileSearch","vs/workbench/services/search/node/ripgrepSearchProvider","vs/workbench/services/search/node/textSearchAdapter","vs/workbench/services/search/node/rawSearchService","vs/workbench/api/node/extHostSearch","vs/workbench/api/node/extHostCLIServer","vs/workbench/api/node/extHostExtensionService","vs/workbench/api/node/extHost.node.services","vs/workbench/services/extensions/node/extensionHostProcessSetup","vs/base/common/marked/marked","https","tls","url","vscode-proxy-agent","events","vscode-regexpp","graceful-fs","crypto","zlib","minimist","vs/workbench/services/extensions/node/extensionHostProcess"],pe=function(Q){for(var e=[],v=0,D=Q.length;v<D;v++)e[v]=ge[Q[v]];return e};define(ge[54],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ok=void 0;function v(D,R){if(!D)throw new Error(R?`Assertion failed (${R})`:"Assertion Failed")}e.ok=v}),define(ge[55],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SetMap=e.diffMaps=e.diffSets=e.fromMap=e.groupBy=e.forEach=e.values=void 0;const v=Object.prototype.hasOwnProperty;function D(T){const k=[];for(let p in T)v.call(T,p)&&k.push(T[p]);return k}e.values=D;function R(T,k){for(let p in T)if(v.call(T,p)&&k({key:p,value:T[p]},function(){delete T[p]})===!1)return}e.forEach=R;function P(T,k){const p=Object.create(null);for(const f of T){const l=k(f);let m=p[l];m||(m=p[l]=[]),m.push(f)}return p}e.groupBy=P;function C(T){const k=Object.create(null);return T&&T.forEach((p,f)=>{k[f]=p}),k}e.fromMap=C;function I(T,k){const p=[],f=[];for(let l of T)k.has(l)||p.push(l);for(let l of k)T.has(l)||f.push(l);return{removed:p,added:f}}e.diffSets=I;function y(T,k){const p=[],f=[];for(let[l,m]of T)k.has(l)||p.push(m);for(let[l,m]of k)T.has(l)||f.push(m);return{removed:p,added:f}}e.diffMaps=y;class i{constructor(){this.map=new Map}add(k,p){let f=this.map.get(k);f||(f=new Set,this.map.set(k,f)),f.add(p)}delete(k,p){const f=this.map.get(k);!f||(f.delete(p),f.size===0&&this.map.delete(k))}forEach(k,p){const f=this.map.get(k);!f||f.forEach(p)}}e.SetMap=i}),define(ge[56],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.throttle=e.debounce=e.memoize=e.createMemoizer=e.createDecorator=void 0;function v(y){return(i,T,k)=>{let p=null,f=null;if(typeof k.value=="function"?(p="value",f=k.value):typeof k.get=="function"&&(p="get",f=k.get),!f)throw new Error("not supported");k[p]=y(f,T)}}e.createDecorator=v;let D=0;function R(){const y=`$memoize${D++}`;let i;const T=function(p,f,l){let m=null,S=null;if(typeof l.value=="function"?(m="value",S=l.value,S.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof l.get=="function"&&(m="get",S=l.get),!S)throw new Error("not supported");const _=`${y}:${f}`;l[m]=function(...g){return i=this,this.hasOwnProperty(_)||Object.defineProperty(this,_,{configurable:!0,enumerable:!1,writable:!0,value:S.apply(this,g)}),this[_]}};return T.clear=()=>{typeof i!="undefined"&&Object.getOwnPropertyNames(i).forEach(k=>{k.indexOf(y)===0&&delete i[k]})},T}e.createMemoizer=R;function P(y,i,T){return R()(y,i,T)}e.memoize=P;function C(y,i,T){return v((k,p)=>{const f=`$debounce$${p}`,l=`$debounce$result$${p}`;return function(...m){this[l]||(this[l]=T?T():void 0),clearTimeout(this[f]),i&&(this[l]=i(this[l],...m),m=[this[l]]),this[f]=setTimeout(()=>{k.apply(this,m),this[l]=T?T():void 0},y)}})}e.debounce=C;function I(y,i,T){return v((k,p)=>{const f=`$throttle$timer$${p}`,l=`$throttle$result$${p}`,m=`$throttle$lastRun$${p}`,S=`$throttle$pending$${p}`;return function(..._){if(this[l]||(this[l]=T?T():void 0),(this[m]===null||this[m]===void 0)&&(this[m]=-Number.MAX_VALUE),i&&(this[l]=i(this[l],..._)),!this[S]){const g=this[m]+y;g<=Date.now()?(this[m]=Date.now(),k.apply(this,[this[l]]),this[l]=T?T():void 0):(this[S]=!0,this[f]=setTimeout(()=>{this[S]=!1,this[m]=Date.now(),k.apply(this,[this[l]]),this[l]=T?T():void 0},g-Date.now()))}}})}e.throttle=I}),define(ge[15],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createErrorWithActions=e.isErrorWithActions=e.ExpectedError=e.NotSupportedError=e.NotImplementedError=e.getErrorMessage=e.disposed=e.readonly=e.illegalState=e.illegalArgument=e.canceled=e.CancellationError=e.isPromiseCanceledError=e.transformErrorForSerialization=e.onUnexpectedExternalError=e.onUnexpectedError=e.setUnexpectedErrorHandler=e.errorHandler=e.ErrorHandler=void 0;class v{constructor(){this.listeners=[],this.unexpectedErrorHandler=function(t){setTimeout(()=>{throw t.stack?new Error(t.message+`

`+t.stack):t},0)}}addListener(t){return this.listeners.push(t),()=>{this._removeListener(t)}}emit(t){this.listeners.forEach(r=>{r(t)})}_removeListener(t){this.listeners.splice(this.listeners.indexOf(t),1)}setUnexpectedErrorHandler(t){this.unexpectedErrorHandler=t}getUnexpectedErrorHandler(){return this.unexpectedErrorHandler}onUnexpectedError(t){this.unexpectedErrorHandler(t),this.emit(t)}onUnexpectedExternalError(t){this.unexpectedErrorHandler(t)}}e.ErrorHandler=v,e.errorHandler=new v;function D(c){e.errorHandler.setUnexpectedErrorHandler(c)}e.setUnexpectedErrorHandler=D;function R(c){y(c)||e.errorHandler.onUnexpectedError(c)}e.onUnexpectedError=R;function P(c){y(c)||e.errorHandler.onUnexpectedExternalError(c)}e.onUnexpectedExternalError=P;function C(c){if(c instanceof Error){let{name:t,message:r}=c;const s=c.stacktrace||c.stack;return{$isError:!0,name:t,message:r,stack:s}}return c}e.transformErrorForSerialization=C;const I="Canceled";function y(c){return c instanceof Error&&c.name===I&&c.message===I}e.isPromiseCanceledError=y;class i extends Error{constructor(){super(I);this.name=this.message}}e.CancellationError=i;function T(){const c=new Error(I);return c.name=c.message,c}e.canceled=T;function k(c){return c?new Error(`Illegal argument: ${c}`):new Error("Illegal argument")}e.illegalArgument=k;function p(c){return c?new Error(`Illegal state: ${c}`):new Error("Illegal state")}e.illegalState=p;function f(c){return c?new Error(`readonly property '${c} cannot be changed'`):new Error("readonly property cannot be changed")}e.readonly=f;function l(c){const t=new Error(`${c} has been disposed`);return t.name="DISPOSED",t}e.disposed=l;function m(c){return c?c.message?c.message:c.stack?c.stack.split(`
`)[0]:String(c):"Error"}e.getErrorMessage=m;class S extends Error{constructor(t){super("NotImplemented");t&&(this.message=t)}}e.NotImplementedError=S;class _ extends Error{constructor(t){super("NotSupported");t&&(this.message=t)}}e.NotSupportedError=_;class g extends Error{constructor(){super(...arguments);this.isExpected=!0}}e.ExpectedError=g;function a(c){const t=c;return t instanceof Error&&Array.isArray(t.actions)}e.isErrorWithActions=a;function u(c,t=Object.create(null)){const r=new Error(c);return t.actions&&(r.actions=t.actions),r}e.createErrorWithActions=u}),define(ge[12],pe([0,1,15]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.mapFind=e.getRandomElement=e.asArray=e.mapArrayOrNot=e.pushToEnd=e.pushToStart=e.shuffle=e.arrayInsert=e.remove=e.insert=e.index=e.range=e.flatten=e.commonPrefixLength=e.firstOrDefault=e.lastIndex=e.uniqueFilter=e.distinctES6=e.distinct=e.isNonEmptyArray=e.isFalsyOrEmpty=e.move=e.coalesceInPlace=e.coalesce=e.topAsync=e.top=e.delta=e.sortedDiff=e.groupBy=e.mergeSort=e.quickSelect=e.findFirstInSorted=e.binarySearch=e.equals=e.tail2=e.tail=void 0;function D(F,O=0){return F[F.length-(1+O)]}e.tail=D;function R(F){if(F.length===0)throw new Error("Invalid tail call");return[F.slice(0,F.length-1),F[F.length-1]]}e.tail2=R;function P(F,O,$=(q,Z)=>q===Z){if(F===O)return!0;if(!F||!O||F.length!==O.length)return!1;for(let q=0,Z=F.length;q<Z;q++)if(!$(F[q],O[q]))return!1;return!0}e.equals=P;function C(F,O,$){let q=0,Z=F.length-1;for(;q<=Z;){const ae=(q+Z)/2|0,fe=$(F[ae],O);if(fe<0)q=ae+1;else if(fe>0)Z=ae-1;else return ae}return-(q+1)}e.binarySearch=C;function I(F,O){let $=0,q=F.length;if(q===0)return 0;for(;$<q;){const Z=Math.floor(($+q)/2);O(F[Z])?q=Z:$=Z+1}return $}e.findFirstInSorted=I;function y(F,O,$){if(F=F|0,F>=O.length)throw new TypeError("invalid index");let q=O[Math.floor(O.length*Math.random())],Z=[],ae=[],fe=[];for(let Te of O){const Se=$(Te,q);Se<0?Z.push(Te):Se>0?ae.push(Te):fe.push(Te)}return F<Z.length?y(F,Z,$):F<Z.length+fe.length?fe[0]:y(F-(Z.length+fe.length),ae,$)}e.quickSelect=y;function i(F,O){return k(F,O,0,F.length-1,[]),F}e.mergeSort=i;function T(F,O,$,q,Z,ae){let fe=$,Te=q+1;for(let Se=$;Se<=Z;Se++)ae[Se]=F[Se];for(let Se=$;Se<=Z;Se++)fe>q?F[Se]=ae[Te++]:Te>Z?F[Se]=ae[fe++]:O(ae[Te],ae[fe])<0?F[Se]=ae[Te++]:F[Se]=ae[fe++]}function k(F,O,$,q,Z){if(!(q<=$)){const ae=$+(q-$)/2|0;k(F,O,$,ae,Z),k(F,O,ae+1,q,Z),!(O(F[ae],F[ae+1])<=0)&&T(F,O,$,ae,q,Z)}}function p(F,O){const $=[];let q;for(const Z of i(F.slice(0),O))!q||O(q[0],Z)!==0?(q=[Z],$.push(q)):q.push(Z);return $}e.groupBy=p;function f(F,O,$){const q=[];function Z(Te,Se,Le){if(!(Se===0&&Le.length===0)){const H=q[q.length-1];H&&H.start+H.deleteCount===Te?(H.deleteCount+=Se,H.toInsert.push(...Le)):q.push({start:Te,deleteCount:Se,toInsert:Le})}}let ae=0,fe=0;for(;;){if(ae===F.length){Z(ae,0,O.slice(fe));break}if(fe===O.length){Z(ae,F.length-ae,[]);break}const Te=F[ae],Se=O[fe],Le=$(Te,Se);Le===0?(ae+=1,fe+=1):Le<0?(Z(ae,1,[]),ae+=1):Le>0&&(Z(ae,0,[Se]),fe+=1)}return q}e.sortedDiff=f;function l(F,O,$){const q=f(F,O,$),Z=[],ae=[];for(const fe of q)Z.push(...F.slice(fe.start,fe.start+fe.deleteCount)),ae.push(...fe.toInsert);return{removed:Z,added:ae}}e.delta=l;function m(F,O,$){if($===0)return[];const q=F.slice(0,$).sort(O);return _(F,O,q,$,F.length),q}e.top=m;function S(F,O,$,q,Z){return $===0?Promise.resolve([]):new Promise((ae,fe)=>{(async()=>{const Te=F.length,Se=F.slice(0,$).sort(O);for(let Le=$,H=Math.min($+q,Te);Le<Te;Le=H,H=Math.min(H+q,Te)){if(Le>$&&await new Promise(Y=>setTimeout(Y)),Z&&Z.isCancellationRequested)throw v.canceled();_(F,O,Se,Le,H)}return Se})().then(ae,fe)})}e.topAsync=S;function _(F,O,$,q,Z){for(const ae=$.length;q<Z;q++){const fe=F[q];if(O(fe,$[ae-1])<0){$.pop();const Te=I($,Se=>O(fe,Se)<0);$.splice(Te,0,fe)}}}function g(F){return F.filter(O=>!!O)}e.coalesce=g;function a(F){let O=0;for(let $=0;$<F.length;$++)F[$]&&(F[O]=F[$],O+=1);F.length=O}e.coalesceInPlace=a;function u(F,O,$){F.splice($,0,F.splice(O,1)[0])}e.move=u;function c(F){return!Array.isArray(F)||F.length===0}e.isFalsyOrEmpty=c;function t(F){return Array.isArray(F)&&F.length>0}e.isNonEmptyArray=t;function r(F,O){if(!O)return F.filter((q,Z)=>F.indexOf(q)===Z);const $=Object.create(null);return F.filter(q=>{const Z=O(q);return $[Z]?!1:($[Z]=!0,!0)})}e.distinct=r;function s(F){const O=new Set;return F.filter($=>O.has($)?!1:(O.add($),!0))}e.distinctES6=s;function o(F){const O=Object.create(null);return $=>{const q=F($);return O[q]?!1:(O[q]=!0,!0)}}e.uniqueFilter=o;function n(F,O){for(let $=F.length-1;$>=0;$--){const q=F[$];if(O(q))return $}return-1}e.lastIndex=n;function d(F,O){return F.length>0?F[0]:O}e.firstOrDefault=d;function w(F,O,$=(q,Z)=>q===Z){let q=0;for(let Z=0,ae=Math.min(F.length,O.length);Z<ae&&$(F[Z],O[Z]);Z++)q++;return q}e.commonPrefixLength=w;function E(F){return[].concat(...F)}e.flatten=E;function h(F,O){let $=typeof O=="number"?F:0;typeof O=="number"?$=F:($=0,O=F);const q=[];if($<=O)for(let Z=$;Z<O;Z++)q.push(Z);else for(let Z=$;Z>O;Z--)q.push(Z);return q}e.range=h;function b(F,O,$){return F.reduce((q,Z)=>(q[O(Z)]=$?$(Z):Z,q),Object.create(null))}e.index=b;function A(F,O){return F.push(O),()=>L(F,O)}e.insert=A;function L(F,O){const $=F.indexOf(O);if($>-1)return F.splice($,1),O}e.remove=L;function M(F,O,$){const q=F.slice(0,O),Z=F.slice(O);return q.concat($,Z)}e.arrayInsert=M;function z(F,O){let $;if(typeof O=="number"){let q=O;$=()=>{const Z=Math.sin(q++)*179426549;return Z-Math.floor(Z)}}else $=Math.random;for(let q=F.length-1;q>0;q-=1){const Z=Math.floor($()*(q+1)),ae=F[q];F[q]=F[Z],F[Z]=ae}}e.shuffle=z;function V(F,O){const $=F.indexOf(O);$>-1&&(F.splice($,1),F.unshift(O))}e.pushToStart=V;function W(F,O){const $=F.indexOf(O);$>-1&&(F.splice($,1),F.push(O))}e.pushToEnd=W;function K(F,O){return Array.isArray(F)?F.map(O):O(F)}e.mapArrayOrNot=K;function x(F){return Array.isArray(F)?F:[F]}e.asArray=x;function N(F){return F[Math.floor(Math.random()*F.length)]}e.getRandomElement=N;function U(F,O){for(const $ of F){const q=O($);if(q!==void 0)return q}}e.mapFind=U}),define(ge[70],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.once=void 0;function v(D){const R=this;let P=!1,C;return function(){return P||(P=!0,C=D.apply(R,arguments)),C}}e.once=v}),define(ge[71],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.defaultGenerator=e.IdGenerator=void 0;class v{constructor(R){this._prefix=R,this._lastId=0}nextId(){return this._prefix+ ++this._lastId}}e.IdGenerator=v,e.defaultGenerator=new v("id#")}),define(ge[72],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var v;(function(D){function R(c){return c&&typeof c=="object"&&typeof c[Symbol.iterator]=="function"}D.is=R;const P=Object.freeze([]);function C(){return P}D.empty=C;function*I(c){yield c}D.single=I;function y(c){return c||P}D.from=y;function i(c){return!c||c[Symbol.iterator]().next().done===!0}D.isEmpty=i;function T(c){return c[Symbol.iterator]().next().value}D.first=T;function k(c,t){for(const r of c)if(t(r))return!0;return!1}D.some=k;function p(c,t){for(const r of c)if(t(r))return r}D.find=p;function*f(c,t){for(const r of c)t(r)&&(yield r)}D.filter=f;function*l(c,t){for(const r of c)yield t(r)}D.map=l;function*m(...c){for(const t of c)for(const r of t)yield r}D.concat=m;function*S(c){for(const t of c)for(const r of t)yield r}D.concatNested=S;function _(c,t,r){let s=r;for(const o of c)s=t(s,o);return s}D.reduce=_;function*g(c,t,r=c.length){for(t<0&&(t+=c.length),r<0?r+=c.length:r>c.length&&(r=c.length);t<r;t++)yield c[t]}D.slice=g;function a(c,t=Number.POSITIVE_INFINITY){const r=[];if(t===0)return[r,c];const s=c[Symbol.iterator]();for(let o=0;o<t;o++){const n=s.next();if(n.done)return[r,D.empty()];r.push(n.value)}return[r,{[Symbol.iterator](){return s}}]}D.consume=a;function u(c,t,r=(s,o)=>s===o){const s=c[Symbol.iterator](),o=t[Symbol.iterator]();for(;;){const n=s.next(),d=o.next();if(n.done!==d.done)return!1;if(n.done)return!0;if(!r(n.value,d.value))return!1}}D.equals=u})(v=e.Iterable||(e.Iterable={}))}),define(ge[57],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getNodeType=e.stripComments=e.visit=e.findNodeAtOffset=e.contains=e.getNodeValue=e.getNodePath=e.findNodeAtLocation=e.parseTree=e.parse=e.getLocation=e.createScanner=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var v;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(v=e.ScanError||(e.ScanError={}));var D;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(D=e.SyntaxKind||(e.SyntaxKind={}));var R;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})(R=e.ParseErrorCode||(e.ParseErrorCode={}));var P;(function(t){t.DEFAULT={allowTrailingComma:!0}})(P=e.ParseOptions||(e.ParseOptions={}));function C(t,r=!1){let s=0,o=t.length,n="",d=0,w=16,E=0;function h(W){let K=0,x=0;for(;K<W;){const N=t.charCodeAt(s);if(N>=48&&N<=57)x=x*16+N-48;else if(N>=65&&N<=70)x=x*16+N-65+10;else if(N>=97&&N<=102)x=x*16+N-97+10;else break;s++,K++}return K<W&&(x=-1),x}function b(W){s=W,n="",d=0,w=16,E=0}function A(){const W=s;if(t.charCodeAt(s)===48)s++;else for(s++;s<t.length&&i(t.charCodeAt(s));)s++;if(s<t.length&&t.charCodeAt(s)===46)if(s++,s<t.length&&i(t.charCodeAt(s)))for(s++;s<t.length&&i(t.charCodeAt(s));)s++;else return E=3,t.substring(W,s);let K=s;if(s<t.length&&(t.charCodeAt(s)===69||t.charCodeAt(s)===101))if(s++,(s<t.length&&t.charCodeAt(s)===43||t.charCodeAt(s)===45)&&s++,s<t.length&&i(t.charCodeAt(s))){for(s++;s<t.length&&i(t.charCodeAt(s));)s++;K=s}else E=3;return t.substring(W,K)}function L(){let W="",K=s;for(;;){if(s>=o){W+=t.substring(K,s),E=2;break}const x=t.charCodeAt(s);if(x===34){W+=t.substring(K,s),s++;break}if(x===92){if(W+=t.substring(K,s),s++,s>=o){E=2;break}switch(t.charCodeAt(s++)){case 34:W+='"';break;case 92:W+="\\";break;case 47:W+="/";break;case 98:W+="\b";break;case 102:W+="\f";break;case 110:W+=`
`;break;case 114:W+="\r";break;case 116:W+="	";break;case 117:const U=h(4);U>=0?W+=String.fromCharCode(U):E=4;break;default:E=5}K=s;continue}if(x>=0&&x<=31)if(y(x)){W+=t.substring(K,s),E=2;break}else E=6;s++}return W}function M(){if(n="",E=0,d=s,s>=o)return d=o,w=17;let W=t.charCodeAt(s);if(I(W)){do s++,n+=String.fromCharCode(W),W=t.charCodeAt(s);while(I(W));return w=15}if(y(W))return s++,n+=String.fromCharCode(W),W===13&&t.charCodeAt(s)===10&&(s++,n+=`
`),w=14;switch(W){case 123:return s++,w=1;case 125:return s++,w=2;case 91:return s++,w=3;case 93:return s++,w=4;case 58:return s++,w=6;case 44:return s++,w=5;case 34:return s++,n=L(),w=10;case 47:const K=s-1;if(t.charCodeAt(s+1)===47){for(s+=2;s<o&&!y(t.charCodeAt(s));)s++;return n=t.substring(K,s),w=12}if(t.charCodeAt(s+1)===42){s+=2;const x=o-1;let N=!1;for(;s<x;){if(t.charCodeAt(s)===42&&t.charCodeAt(s+1)===47){s+=2,N=!0;break}s++}return N||(s++,E=1),n=t.substring(K,s),w=13}return n+=String.fromCharCode(W),s++,w=16;case 45:if(n+=String.fromCharCode(W),s++,s===o||!i(t.charCodeAt(s)))return w=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return n+=A(),w=11;default:for(;s<o&&z(W);)s++,W=t.charCodeAt(s);if(d!==s){switch(n=t.substring(d,s),n){case"true":return w=8;case"false":return w=9;case"null":return w=7}return w=16}return n+=String.fromCharCode(W),s++,w=16}}function z(W){if(I(W)||y(W))return!1;switch(W){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function V(){let W;do W=M();while(W>=12&&W<=15);return W}return{setPosition:b,getPosition:()=>s,scan:r?V:M,getToken:()=>w,getTokenValue:()=>n,getTokenOffset:()=>d,getTokenLength:()=>s-d,getTokenError:()=>E}}e.createScanner=C;function I(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function y(t){return t===10||t===13||t===8232||t===8233}function i(t){return t>=48&&t<=57}var T;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(T||(T={}));function k(t,r){const s=[],o=new Object;let n;const d={value:{},offset:0,length:0,type:"object",parent:void 0};let w=!1;function E(h,b,A,L){d.value=h,d.offset=b,d.length=A,d.type=L,d.colonOffset=void 0,n=d}try{a(t,{onObjectBegin:(h,b)=>{if(r<=h)throw o;n=void 0,w=r>h,s.push("")},onObjectProperty:(h,b,A)=>{if(r<b||(E(h,b,A,"property"),s[s.length-1]=h,r<=b+A))throw o},onObjectEnd:(h,b)=>{if(r<=h)throw o;n=void 0,s.pop()},onArrayBegin:(h,b)=>{if(r<=h)throw o;n=void 0,s.push(0)},onArrayEnd:(h,b)=>{if(r<=h)throw o;n=void 0,s.pop()},onLiteralValue:(h,b,A)=>{if(r<b||(E(h,b,A,c(h)),r<=b+A))throw o},onSeparator:(h,b,A)=>{if(r<=b)throw o;if(h===":"&&n&&n.type==="property")n.colonOffset=b,w=!1,n=void 0;else if(h===","){const L=s[s.length-1];typeof L=="number"?s[s.length-1]=L+1:(w=!0,s[s.length-1]=""),n=void 0}}})}catch(h){if(h!==o)throw h}return{path:s,previousNode:n,isAtPropertyKey:w,matches:h=>{let b=0;for(let A=0;b<h.length&&A<s.length;A++)if(h[b]===s[A]||h[b]==="*")b++;else if(h[b]!=="**")return!1;return b===h.length}}}e.getLocation=k;function p(t,r=[],s=P.DEFAULT){let o=null,n=[];const d=[];function w(h){Array.isArray(n)?n.push(h):o!==null&&(n[o]=h)}return a(t,{onObjectBegin:()=>{const h={};w(h),d.push(n),n=h,o=null},onObjectProperty:h=>{o=h},onObjectEnd:()=>{n=d.pop()},onArrayBegin:()=>{const h=[];w(h),d.push(n),n=h,o=null},onArrayEnd:()=>{n=d.pop()},onLiteralValue:w,onError:(h,b,A)=>{r.push({error:h,offset:b,length:A})}},s),n[0]}e.parse=p;function f(t,r=[],s=P.DEFAULT){let o={type:"array",offset:-1,length:-1,children:[],parent:void 0};function n(h){o.type==="property"&&(o.length=h-o.offset,o=o.parent)}function d(h){return o.children.push(h),h}a(t,{onObjectBegin:h=>{o=d({type:"object",offset:h,length:-1,parent:o,children:[]})},onObjectProperty:(h,b,A)=>{o=d({type:"property",offset:b,length:-1,parent:o,children:[]}),o.children.push({type:"string",value:h,offset:b,length:A,parent:o})},onObjectEnd:(h,b)=>{o.length=h+b-o.offset,o=o.parent,n(h+b)},onArrayBegin:(h,b)=>{o=d({type:"array",offset:h,length:-1,parent:o,children:[]})},onArrayEnd:(h,b)=>{o.length=h+b-o.offset,o=o.parent,n(h+b)},onLiteralValue:(h,b,A)=>{d({type:c(h),offset:b,length:A,parent:o,value:h}),n(b+A)},onSeparator:(h,b,A)=>{o.type==="property"&&(h===":"?o.colonOffset=b:h===","&&n(b))},onError:(h,b,A)=>{r.push({error:h,offset:b,length:A})}},s);const E=o.children[0];return E&&delete E.parent,E}e.parseTree=f;function l(t,r){if(!!t){let s=t;for(let o of r)if(typeof o=="string"){if(s.type!=="object"||!Array.isArray(s.children))return;let n=!1;for(const d of s.children)if(Array.isArray(d.children)&&d.children[0].value===o){s=d.children[1],n=!0;break}if(!n)return}else{const n=o;if(s.type!=="array"||n<0||!Array.isArray(s.children)||n>=s.children.length)return;s=s.children[n]}return s}}e.findNodeAtLocation=l;function m(t){if(!t.parent||!t.parent.children)return[];const r=m(t.parent);if(t.parent.type==="property"){const s=t.parent.children[0].value;r.push(s)}else if(t.parent.type==="array"){const s=t.parent.children.indexOf(t);s!==-1&&r.push(s)}return r}e.getNodePath=m;function S(t){switch(t.type){case"array":return t.children.map(S);case"object":const r=Object.create(null);for(let s of t.children){const o=s.children[1];o&&(r[s.children[0].value]=S(o))}return r;case"null":case"string":case"number":case"boolean":return t.value;default:return}}e.getNodeValue=S;function _(t,r,s=!1){return r>=t.offset&&r<t.offset+t.length||s&&r===t.offset+t.length}e.contains=_;function g(t,r,s=!1){if(_(t,r,s)){const o=t.children;if(Array.isArray(o))for(let n=0;n<o.length&&o[n].offset<=r;n++){const d=g(o[n],r,s);if(d)return d}return t}}e.findNodeAtOffset=g;function a(t,r,s=P.DEFAULT){const o=C(t,!1);function n(ae){return ae?()=>ae(o.getTokenOffset(),o.getTokenLength()):()=>!0}function d(ae){return ae?fe=>ae(fe,o.getTokenOffset(),o.getTokenLength()):()=>!0}const w=n(r.onObjectBegin),E=d(r.onObjectProperty),h=n(r.onObjectEnd),b=n(r.onArrayBegin),A=n(r.onArrayEnd),L=d(r.onLiteralValue),M=d(r.onSeparator),z=n(r.onComment),V=d(r.onError),W=s&&s.disallowComments,K=s&&s.allowTrailingComma;function x(){for(;;){const ae=o.scan();switch(o.getTokenError()){case 4:N(14);break;case 5:N(15);break;case 3:N(13);break;case 1:W||N(11);break;case 2:N(12);break;case 6:N(16);break}switch(ae){case 12:case 13:W?N(10):z();break;case 16:N(1);break;case 15:case 14:break;default:return ae}}}function N(ae,fe=[],Te=[]){if(V(ae),fe.length+Te.length>0){let Se=o.getToken();for(;Se!==17;){if(fe.indexOf(Se)!==-1){x();break}else if(Te.indexOf(Se)!==-1)break;Se=x()}}}function U(ae){const fe=o.getTokenValue();return ae?L(fe):E(fe),x(),!0}function F(){switch(o.getToken()){case 11:let ae=0;try{ae=JSON.parse(o.getTokenValue()),typeof ae!="number"&&(N(2),ae=0)}catch(fe){N(2)}L(ae);break;case 7:L(null);break;case 8:L(!0);break;case 9:L(!1);break;default:return!1}return x(),!0}function O(){return o.getToken()!==10?(N(3,[],[2,5]),!1):(U(!1),o.getToken()===6?(M(":"),x(),Z()||N(4,[],[2,5])):N(5,[],[2,5]),!0)}function $(){w(),x();let ae=!1;for(;o.getToken()!==2&&o.getToken()!==17;){if(o.getToken()===5){if(ae||N(4,[],[]),M(","),x(),o.getToken()===2&&K)break}else ae&&N(6,[],[]);O()||N(4,[],[2,5]),ae=!0}return h(),o.getToken()!==2?N(7,[2],[]):x(),!0}function q(){b(),x();let ae=!1;for(;o.getToken()!==4&&o.getToken()!==17;){if(o.getToken()===5){if(ae||N(4,[],[]),M(","),x(),o.getToken()===4&&K)break}else ae&&N(6,[],[]);Z()||N(4,[],[4,5]),ae=!0}return A(),o.getToken()!==4?N(8,[4],[]):x(),!0}function Z(){switch(o.getToken()){case 3:return q();case 1:return $();case 10:return U(!0);default:return F()}}return x(),o.getToken()===17?s.allowEmptyContent?!0:(N(4,[],[]),!1):Z()?(o.getToken()!==17&&N(9,[],[]),!0):(N(4,[],[]),!1)}e.visit=a;function u(t,r){let s=C(t),o=[],n,d=0,w;do switch(w=s.getPosition(),n=s.scan(),n){case 12:case 13:case 17:d!==w&&o.push(t.substring(d,w)),r!==void 0&&o.push(s.getTokenValue().replace(/[^\r\n]/g,r)),d=s.getPosition();break}while(n!==17);return o.join("")}e.stripComments=u;function c(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}e.getNodeType=c}),define(ge[128],pe([0,1,57]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isEOL=e.getEOL=e.format=void 0;function D(y,i,T){let k,p,f,l,m;if(i){for(l=i.offset,m=l+i.length,f=l;f>0&&!I(y,f-1);)f--;let d=m;for(;d<y.length&&!I(y,d);)d++;p=y.substring(f,d),k=P(p,T)}else p=y,k=0,f=0,l=0,m=y.length;const S=C(T,y);let _=!1,g=0,a;T.insertSpaces?a=R(" ",T.tabSize||4):a="	";const u=v.createScanner(p,!1);let c=!1;function t(){return S+R(a,k+g)}function r(){let d=u.scan();for(_=!1;d===15||d===14;)_=_||d===14,d=u.scan();return c=d===16||u.getTokenError()!==0,d}const s=[];function o(d,w,E){!c&&w<m&&E>l&&y.substring(w,E)!==d&&s.push({offset:w,length:E-w,content:d})}let n=r();if(n!==17){const d=u.getTokenOffset()+f,w=R(a,k);o(w,f,d)}for(;n!==17;){let d=u.getTokenOffset()+u.getTokenLength()+f,w=r(),E="";for(;!_&&(w===12||w===13);){const b=u.getTokenOffset()+f;o(" ",d,b),d=u.getTokenOffset()+u.getTokenLength()+f,E=w===12?t():"",w=r()}if(w===2)n!==1&&(g--,E=t());else if(w===4)n!==3&&(g--,E=t());else{switch(n){case 3:case 1:g++,E=t();break;case 5:case 12:E=t();break;case 13:_?E=t():E=" ";break;case 6:E=" ";break;case 10:if(w===6){E="";break}case 7:case 8:case 9:case 11:case 2:case 4:w===12||w===13?E=" ":w!==5&&w!==17&&(c=!0);break;case 16:c=!0;break}_&&(w===12||w===13)&&(E=t())}const h=u.getTokenOffset()+f;o(E,d,h),n=w}return s}e.format=D;function R(y,i){let T="";for(let k=0;k<i;k++)T+=y;return T}function P(y,i){let T=0,k=0;const p=i.tabSize||4;for(;T<y.length;){const f=y.charAt(T);if(f===" ")k++;else if(f==="	")k+=p;else break;T++}return Math.floor(k/p)}function C(y,i){for(let T=0;T<i.length;T++){const k=i.charAt(T);if(k==="\r")return T+1<i.length&&i.charAt(T+1)===`
`?`\r
`:"\r";if(k===`
`)return`
`}return y&&y.eol||`
`}e.getEOL=C;function I(y,i){return`\r
`.indexOf(y.charAt(i))!==-1}e.isEOL=I}),define(ge[129],pe([0,1,57,128,12]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.applyEdits=e.applyEdit=e.withFormatting=e.setProperty=e.removeProperty=void 0;function P(T,k,p){return C(T,k,void 0,p)}e.removeProperty=P;function C(T,k,p,f,l){const m=k.slice(),S=[],_=v.parseTree(T,S);let g,a;for(;m.length>0&&(a=m.pop(),g=v.findNodeAtLocation(_,m),g===void 0&&p!==void 0);)typeof a=="string"?p={[a]:p}:p=[p];if(g)if(g.type==="object"&&typeof a=="string"&&Array.isArray(g.children)){const u=v.findNodeAtLocation(g,[a]);if(u!==void 0)if(p===void 0){if(!u.parent)throw new Error("Malformed AST");const c=g.children.indexOf(u.parent);let t,r=u.parent.offset+u.parent.length;if(c>0){const s=g.children[c-1];t=s.offset+s.length}else t=g.offset+1,g.children.length>1&&(r=g.children[1].offset);return I(T,{offset:t,length:r-t,content:""},f)}else return I(T,{offset:u.offset,length:u.length,content:JSON.stringify(p)},f);else{if(p===void 0)return[];const c=`${JSON.stringify(a)}: ${JSON.stringify(p)}`,t=l?l(g.children.map(s=>s.children[0].value)):g.children.length;let r;if(t>0){const s=g.children[t-1];r={offset:s.offset+s.length,length:0,content:","+c}}else g.children.length===0?r={offset:g.offset+1,length:0,content:c}:r={offset:g.offset+1,length:0,content:c+","};return I(T,r,f)}}else if(g.type==="array"&&typeof a=="number"&&Array.isArray(g.children))if(p!==void 0){const u=`${JSON.stringify(p)}`;let c;if(g.children.length===0||a===0)c={offset:g.offset+1,length:0,content:g.children.length===0?u:u+","};else{const t=a===-1||a>g.children.length?g.children.length:a,r=g.children[t-1];c={offset:r.offset+r.length,length:0,content:","+u}}return I(T,c,f)}else{const u=a,c=g.children[u];let t;if(g.children.length===1)t={offset:g.offset+1,length:g.length-2,content:""};else if(g.children.length-1===u){const r=g.children[u-1],s=r.offset+r.length,o=g.offset+g.length;t={offset:s,length:o-2-s,content:""}}else t={offset:c.offset,length:g.children[u+1].offset-c.offset,content:""};return I(T,t,f)}else throw new Error(`Can not add ${typeof a!="number"?"index":"property"} to parent of type ${g.type}`);else{if(p===void 0)throw new Error("Can not delete in empty document");return I(T,{offset:_?_.offset:0,length:_?_.length:0,content:JSON.stringify(p)},f)}}e.setProperty=C;function I(T,k,p){let f=y(T,k),l=k.offset,m=k.offset+k.content.length;if(k.length===0||k.content.length===0){for(;l>0&&!D.isEOL(f,l-1);)l--;for(;m<f.length&&!D.isEOL(f,m);)m++}const S=D.format(f,{offset:l,length:m-l},p);for(let g=S.length-1;g>=0;g--){const a=S[g];f=y(f,a),l=Math.min(l,a.offset),m=Math.max(m,a.offset+a.length),m+=a.content.length-a.length}const _=T.length-(f.length-m)-l;return[{offset:l,length:_,content:f.substring(l,m)}]}e.withFormatting=I;function y(T,k){return T.substring(0,k.offset)+k.content+T.substring(k.offset+k.length)}e.applyEdit=y;function i(T,k){let p=R.mergeSort(k,(l,m)=>{const S=l.offset-m.offset;return S===0?l.length-m.length:S}),f=T.length;for(let l=p.length-1;l>=0;l--){let m=p[l];if(m.offset+m.length<=f)T=y(T,m);else throw new Error("Overlapping edit");f=m.offset}return T}e.applyEdits=i}),define(ge[130],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Lazy=void 0;class v{constructor(R){this.executor=R,this._didRun=!1}hasValue(){return this._didRun}getValue(){if(!this._didRun)try{this._value=this.executor()}catch(R){this._error=R}finally{this._didRun=!0}if(this._error)throw this._error;return this._value}get rawValue(){return this._value}map(R){return new v(()=>R(this.getValue()))}}e.Lazy=v}),define(ge[5],pe([0,1,70,72]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ImmortalReference=e.ReferenceCollection=e.MutableDisposable=e.Disposable=e.DisposableStore=e.toDisposable=e.combinedDisposable=e.dispose=e.isDisposable=e.MultiDisposeError=e.trackDisposable=e.setDisposableTracker=void 0;const R=!1;let P=null;function C(a){P=a}if(e.setDisposableTracker=C,R){const a="__is_disposable_tracked__";P=new class{trackDisposable(u){const c=new Error("Potentially leaked disposable").stack;setTimeout(()=>{u[a]||console.log(c)},3e3)}markTracked(u){if(u&&u!==m.None)try{u[a]=!0}catch(c){}}}}function I(a){!P||P.markTracked(a)}function y(a){return P&&P.trackDisposable(a),a}e.trackDisposable=y;class i extends Error{constructor(u){super(`Encountered errors while disposing of store. Errors: [${u.join(", ")}]`);this.errors=u}}e.MultiDisposeError=i;function T(a){return typeof a.dispose=="function"&&a.dispose.length===0}e.isDisposable=T;function k(a){if(D.Iterable.is(a)){let u=[];for(const c of a)if(c){I(c);try{c.dispose()}catch(t){u.push(t)}}if(u.length===1)throw u[0];if(u.length>1)throw new i(u);return Array.isArray(a)?[]:a}else if(a)return I(a),a.dispose(),a}e.dispose=k;function p(...a){return a.forEach(I),f(()=>k(a))}e.combinedDisposable=p;function f(a){const u=y({dispose:()=>{I(u),a()}});return u}e.toDisposable=f;class l{constructor(){this._toDispose=new Set,this._isDisposed=!1}dispose(){this._isDisposed||(I(this),this._isDisposed=!0,this.clear())}clear(){try{k(this._toDispose.values())}finally{this._toDispose.clear()}}add(u){if(!u)return u;if(u===this)throw new Error("Cannot register a disposable on itself!");return I(u),this._isDisposed?l.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this._toDispose.add(u),u}}e.DisposableStore=l,l.DISABLE_DISPOSED_WARNING=!1;class m{constructor(){this._store=new l,y(this)}dispose(){I(this),this._store.dispose()}_register(u){if(u===this)throw new Error("Cannot register a disposable on itself!");return this._store.add(u)}}e.Disposable=m,m.None=Object.freeze({dispose(){}});class S{constructor(){this._isDisposed=!1,y(this)}get value(){return this._isDisposed?void 0:this._value}set value(u){var c;this._isDisposed||u===this._value||((c=this._value)===null||c===void 0||c.dispose(),u&&I(u),this._value=u)}clear(){this.value=void 0}dispose(){var u;this._isDisposed=!0,I(this),(u=this._value)===null||u===void 0||u.dispose(),this._value=void 0}}e.MutableDisposable=S;class _{constructor(){this.references=new Map}acquire(u,...c){let t=this.references.get(u);t||(t={counter:0,object:this.createReferencedObject(u,...c)},this.references.set(u,t));const{object:r}=t,s=v.once(()=>{--t.counter==0&&(this.destroyReferencedObject(u,t.object),this.references.delete(u))});return t.counter++,{object:r,dispose:s}}}e.ReferenceCollection=_;class g{constructor(u){this.object=u}dispose(){}}e.ImmortalReference=g}),define(ge[58],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinkedList=void 0;class v{constructor(P){this.element=P,this.next=v.Undefined,this.prev=v.Undefined}}v.Undefined=new v(void 0);class D{constructor(){this._first=v.Undefined,this._last=v.Undefined,this._size=0}get size(){return this._size}isEmpty(){return this._first===v.Undefined}clear(){this._first=v.Undefined,this._last=v.Undefined,this._size=0}unshift(P){return this._insert(P,!1)}push(P){return this._insert(P,!0)}_insert(P,C){const I=new v(P);if(this._first===v.Undefined)this._first=I,this._last=I;else if(C){const i=this._last;this._last=I,I.prev=i,i.next=I}else{const i=this._first;this._first=I,I.next=i,i.prev=I}this._size+=1;let y=!1;return()=>{y||(y=!0,this._remove(I))}}shift(){if(this._first!==v.Undefined){const P=this._first.element;return this._remove(this._first),P}}pop(){if(this._last!==v.Undefined){const P=this._last.element;return this._remove(this._last),P}}_remove(P){if(P.prev!==v.Undefined&&P.next!==v.Undefined){const C=P.prev;C.next=P.next,P.next.prev=C}else P.prev===v.Undefined&&P.next===v.Undefined?(this._first=v.Undefined,this._last=v.Undefined):P.next===v.Undefined?(this._last=this._last.prev,this._last.next=v.Undefined):P.prev===v.Undefined&&(this._first=this._first.next,this._first.prev=v.Undefined);this._size-=1}*[Symbol.iterator](){let P=this._first;for(;P!==v.Undefined;)yield P.element,P=P.next}}e.LinkedList=D}),function(Q,e){typeof exports=="object"&&typeof module!="undefined"?module.exports=e():typeof define=="function"&&define.amd?define("vs/base/common/marked/marked",e):(Q=typeof globalThis!="undefined"?globalThis:Q||self,Q.marked=e())}(this,function(){"use strict";function Q(G,se){for(var he=0;he<se.length;he++){var J=se[he];J.enumerable=J.enumerable||!1,J.configurable=!0,"value"in J&&(J.writable=!0),Object.defineProperty(G,J.key,J)}}function e(G,se,he){return se&&Q(G.prototype,se),he&&Q(G,he),G}function v(G,se){if(!!G){if(typeof G=="string")return D(G,se);var he=Object.prototype.toString.call(G).slice(8,-1);if(he==="Object"&&G.constructor&&(he=G.constructor.name),he==="Map"||he==="Set")return Array.from(G);if(he==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(he))return D(G,se)}}function D(G,se){(se==null||se>G.length)&&(se=G.length);for(var he=0,J=new Array(se);he<se;he++)J[he]=G[he];return J}function R(G,se){var he;if(typeof Symbol=="undefined"||G[Symbol.iterator]==null){if(Array.isArray(G)||(he=v(G))||se&&G&&typeof G.length=="number"){he&&(G=he);var J=0;return function(){return J>=G.length?{done:!0}:{done:!1,value:G[J++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}return he=G[Symbol.iterator](),he.next.bind(he)}function P(G){var se={exports:{}};return G(se,se.exports),se.exports}var C=P(function(G){function se(){return{baseUrl:null,breaks:!1,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}function he(J){G.exports.defaults=J}G.exports={defaults:se(),getDefaults:se,changeDefaults:he}}),I=/[&<>"']/,y=/[&<>"']/g,i=/[<>"']|&(?!#?\w+;)/,T=/[<>"']|&(?!#?\w+;)/g,k={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},p=function(se){return k[se]};function f(G,se){if(se){if(I.test(G))return G.replace(y,p)}else if(i.test(G))return G.replace(T,p);return G}var l=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function m(G){return G.replace(l,function(se,he){return he=he.toLowerCase(),he==="colon"?":":he.charAt(0)==="#"?he.charAt(1)==="x"?String.fromCharCode(parseInt(he.substring(2),16)):String.fromCharCode(+he.substring(1)):""})}var S=/(^|[^\[])\^/g;function _(G,se){G=G.source||G,se=se||"";var he={replace:function(re,de){return de=de.source||de,de=de.replace(S,"$1"),G=G.replace(re,de),he},getRegex:function(){return new RegExp(G,se)}};return he}var g=/[^\w:]/g,a=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function u(G,se,he){if(G){var J;try{J=decodeURIComponent(m(he)).replace(g,"").toLowerCase()}catch(re){return null}if(J.indexOf("javascript:")===0||J.indexOf("vbscript:")===0||J.indexOf("data:")===0)return null}se&&!a.test(he)&&(he=o(se,he));try{he=encodeURI(he).replace(/%25/g,"%")}catch(re){return null}return he}var c={},t=/^[^:]+:\/*[^/]*$/,r=/^([^:]+:)[\s\S]*$/,s=/^([^:]+:\/*[^/]*)[\s\S]*$/;function o(G,se){c[" "+G]||(t.test(G)?c[" "+G]=G+"/":c[" "+G]=E(G,"/",!0)),G=c[" "+G];var he=G.indexOf(":")===-1;return se.substring(0,2)==="//"?he?se:G.replace(r,"$1")+se:se.charAt(0)==="/"?he?se:G.replace(s,"$1")+se:G+se}var n={exec:function(){}};function d(G){for(var se=1,he,J;se<arguments.length;se++){he=arguments[se];for(J in he)Object.prototype.hasOwnProperty.call(he,J)&&(G[J]=he[J])}return G}function w(G,se){var he=G.replace(/\|/g,function(de,me,ye){for(var je=!1,He=me;--He>=0&&ye[He]==="\\";)je=!je;return je?"|":" |"}),J=he.split(/ \|/),re=0;if(J.length>se)J.splice(se);else for(;J.length<se;)J.push("");for(;re<J.length;re++)J[re]=J[re].trim().replace(/\\\|/g,"|");return J}function E(G,se,he){var J=G.length;if(J===0)return"";for(var re=0;re<J;){var de=G.charAt(J-re-1);if(de===se&&!he)re++;else if(de!==se&&he)re++;else break}return G.substr(0,J-re)}function h(G,se){if(G.indexOf(se[1])===-1)return-1;for(var he=G.length,J=0,re=0;re<he;re++)if(G[re]==="\\")re++;else if(G[re]===se[0])J++;else if(G[re]===se[1]&&(J--,J<0))return re;return-1}function b(G){G&&G.sanitize&&!G.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function A(G,se){if(se<1)return"";for(var he="";se>1;)se&1&&(he+=G),se>>=1,G+=G;return he+G}var L={escape:f,unescape:m,edit:_,cleanUrl:u,resolveUrl:o,noopTest:n,merge:d,splitCells:w,rtrim:E,findClosingBracket:h,checkSanitizeDeprecation:b,repeatString:A},M=C.defaults,z=L.rtrim,V=L.splitCells,W=L.escape,K=L.findClosingBracket;function x(G,se,he){var J=se.href,re=se.title?W(se.title):null,de=G[1].replace(/\\([\[\]])/g,"$1");return G[0].charAt(0)!=="!"?{type:"link",raw:he,href:J,title:re,text:de}:{type:"image",raw:he,href:J,title:re,text:W(de)}}function N(G,se){var he=G.match(/^(\s+)(?:```)/);if(he===null)return se;var J=he[1];return se.split(`
`).map(function(re){var de=re.match(/^\s+/);if(de===null)return re;var me=de[0];return me.length>=J.length?re.slice(J.length):re}).join(`
`)}var U=function(){function G(he){this.options=he||M}var se=G.prototype;return se.space=function(J){var re=this.rules.block.newline.exec(J);if(re)return re[0].length>1?{type:"space",raw:re[0]}:{raw:`
`}},se.code=function(J){var re=this.rules.block.code.exec(J);if(re){var de=re[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:re[0],codeBlockStyle:"indented",text:this.options.pedantic?de:z(de,`
`)}}},se.fences=function(J){var re=this.rules.block.fences.exec(J);if(re){var de=re[0],me=N(de,re[3]||"");return{type:"code",raw:de,lang:re[2]?re[2].trim():re[2],text:me}}},se.heading=function(J){var re=this.rules.block.heading.exec(J);if(re){var de=re[2].trim();if(/#$/.test(de)){var me=z(de,"#");(this.options.pedantic||!me||/ $/.test(me))&&(de=me.trim())}return{type:"heading",raw:re[0],depth:re[1].length,text:de}}},se.nptable=function(J){var re=this.rules.block.nptable.exec(J);if(re){var de={type:"table",header:V(re[1].replace(/^ *| *\| *$/g,"")),align:re[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:re[3]?re[3].replace(/\n$/,"").split(`
`):[],raw:re[0]};if(de.header.length===de.align.length){var me=de.align.length,ye;for(ye=0;ye<me;ye++)/^ *-+: *$/.test(de.align[ye])?de.align[ye]="right":/^ *:-+: *$/.test(de.align[ye])?de.align[ye]="center":/^ *:-+ *$/.test(de.align[ye])?de.align[ye]="left":de.align[ye]=null;for(me=de.cells.length,ye=0;ye<me;ye++)de.cells[ye]=V(de.cells[ye],de.header.length);return de}}},se.hr=function(J){var re=this.rules.block.hr.exec(J);if(re)return{type:"hr",raw:re[0]}},se.blockquote=function(J){var re=this.rules.block.blockquote.exec(J);if(re){var de=re[0].replace(/^ *> ?/gm,"");return{type:"blockquote",raw:re[0],text:de}}},se.list=function(J){var re=this.rules.block.list.exec(J);if(re){var de=re[0],me=re[2],ye=me.length>1,je={type:"list",raw:de,ordered:ye,start:ye?+me.slice(0,-1):"",loose:!1,items:[]},He=re[0].match(this.rules.block.item),qe=!1,Qe,Ze,be,De,ue,ee,Fe,xe,Ye=He.length;be=this.rules.block.listItemStart.exec(He[0]);for(var Ae=0;Ae<Ye;Ae++){if(Qe=He[Ae],de=Qe,Ae!==Ye-1){if(De=this.rules.block.listItemStart.exec(He[Ae+1]),this.options.pedantic?De[1].length>be[1].length:De[1].length>be[0].length||De[1].length>3){He.splice(Ae,2,He[Ae]+`
`+He[Ae+1]),Ae--,Ye--;continue}else(!this.options.pedantic||this.options.smartLists?De[2][De[2].length-1]!==me[me.length-1]:ye===(De[2].length===1))&&(ue=He.slice(Ae+1).join(`
`),je.raw=je.raw.substring(0,je.raw.length-ue.length),Ae=Ye-1);be=De}Ze=Qe.length,Qe=Qe.replace(/^ *([*+-]|\d+[.)]) ?/,""),~Qe.indexOf(`
 `)&&(Ze-=Qe.length,Qe=this.options.pedantic?Qe.replace(/^ {1,4}/gm,""):Qe.replace(new RegExp("^ {1,"+Ze+"}","gm"),"")),ee=qe||/\n\n(?!\s*$)/.test(Qe),Ae!==Ye-1&&(qe=Qe.charAt(Qe.length-1)===`
`,ee||(ee=qe)),ee&&(je.loose=!0),this.options.gfm&&(Fe=/^\[[ xX]\] /.test(Qe),xe=void 0,Fe&&(xe=Qe[1]!==" ",Qe=Qe.replace(/^\[[ xX]\] +/,""))),je.items.push({type:"list_item",raw:de,task:Fe,checked:xe,loose:ee,text:Qe})}return je}},se.html=function(J){var re=this.rules.block.html.exec(J);if(re)return{type:this.options.sanitize?"paragraph":"html",raw:re[0],pre:!this.options.sanitizer&&(re[1]==="pre"||re[1]==="script"||re[1]==="style"),text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(re[0]):W(re[0]):re[0]}},se.def=function(J){var re=this.rules.block.def.exec(J);if(re){re[3]&&(re[3]=re[3].substring(1,re[3].length-1));var de=re[1].toLowerCase().replace(/\s+/g," ");return{tag:de,raw:re[0],href:re[2],title:re[3]}}},se.table=function(J){var re=this.rules.block.table.exec(J);if(re){var de={type:"table",header:V(re[1].replace(/^ *| *\| *$/g,"")),align:re[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:re[3]?re[3].replace(/\n$/,"").split(`
`):[]};if(de.header.length===de.align.length){de.raw=re[0];var me=de.align.length,ye;for(ye=0;ye<me;ye++)/^ *-+: *$/.test(de.align[ye])?de.align[ye]="right":/^ *:-+: *$/.test(de.align[ye])?de.align[ye]="center":/^ *:-+ *$/.test(de.align[ye])?de.align[ye]="left":de.align[ye]=null;for(me=de.cells.length,ye=0;ye<me;ye++)de.cells[ye]=V(de.cells[ye].replace(/^ *\| *| *\| *$/g,""),de.header.length);return de}}},se.lheading=function(J){var re=this.rules.block.lheading.exec(J);if(re)return{type:"heading",raw:re[0],depth:re[2].charAt(0)==="="?1:2,text:re[1]}},se.paragraph=function(J){var re=this.rules.block.paragraph.exec(J);if(re)return{type:"paragraph",raw:re[0],text:re[1].charAt(re[1].length-1)===`
`?re[1].slice(0,-1):re[1]}},se.text=function(J){var re=this.rules.block.text.exec(J);if(re)return{type:"text",raw:re[0],text:re[0]}},se.escape=function(J){var re=this.rules.inline.escape.exec(J);if(re)return{type:"escape",raw:re[0],text:W(re[1])}},se.tag=function(J,re,de){var me=this.rules.inline.tag.exec(J);if(me)return!re&&/^<a /i.test(me[0])?re=!0:re&&/^<\/a>/i.test(me[0])&&(re=!1),!de&&/^<(pre|code|kbd|script)(\s|>)/i.test(me[0])?de=!0:de&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(me[0])&&(de=!1),{type:this.options.sanitize?"text":"html",raw:me[0],inLink:re,inRawBlock:de,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(me[0]):W(me[0]):me[0]}},se.link=function(J){var re=this.rules.inline.link.exec(J);if(re){var de=re[2].trim();if(!this.options.pedantic&&/^</.test(de)){if(!/>$/.test(de))return;var me=z(de.slice(0,-1),"\\");if((de.length-me.length)%2==0)return}else{var ye=K(re[2],"()");if(ye>-1){var je=re[0].indexOf("!")===0?5:4,He=je+re[1].length+ye;re[2]=re[2].substring(0,ye),re[0]=re[0].substring(0,He).trim(),re[3]=""}}var qe=re[2],Qe="";if(this.options.pedantic){var Ze=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(qe);Ze&&(qe=Ze[1],Qe=Ze[3])}else Qe=re[3]?re[3].slice(1,-1):"";return qe=qe.trim(),/^</.test(qe)&&(this.options.pedantic&&!/>$/.test(de)?qe=qe.slice(1):qe=qe.slice(1,-1)),x(re,{href:qe&&qe.replace(this.rules.inline._escapes,"$1"),title:Qe&&Qe.replace(this.rules.inline._escapes,"$1")},re[0])}},se.reflink=function(J,re){var de;if((de=this.rules.inline.reflink.exec(J))||(de=this.rules.inline.nolink.exec(J))){var me=(de[2]||de[1]).replace(/\s+/g," ");if(me=re[me.toLowerCase()],!me||!me.href){var ye=de[0].charAt(0);return{type:"text",raw:ye,text:ye}}return x(de,me,de[0])}},se.emStrong=function(J,re,de){de===void 0&&(de="");var me=this.rules.inline.emStrong.lDelim.exec(J);if(!!me&&!(me[3]&&de.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u08A0-\u08B4\u08B6-\u08C7\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u170C\u170E-\u1711\u1720-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4B\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2C2E\u2C30-\u2C5E\u2C60-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\u9FFC\uA000-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7BF\uA7C2-\uA7CA\uA7F5-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEC0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82C[\uDC00-\uDD1E\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDD\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF34\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var ye=me[1]||me[2]||"";if(!ye||ye&&(de===""||this.rules.inline.punctuation.exec(de))){var je=me[0].length-1,He,qe,Qe=je,Ze=0,be=me[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(be.lastIndex=0,re=re.slice(-1*J.length+je);(me=be.exec(re))!=null;)if(He=me[1]||me[2]||me[3]||me[4]||me[5]||me[6],!!He){if(qe=He.length,me[3]||me[4]){Qe+=qe;continue}else if((me[5]||me[6])&&je%3&&!((je+qe)%3)){Ze+=qe;continue}if(Qe-=qe,!(Qe>0)){if(Qe+Ze-qe<=0&&!re.slice(be.lastIndex).match(be)&&(qe=Math.min(qe,qe+Qe+Ze)),Math.min(je,qe)%2)return{type:"em",raw:J.slice(0,je+me.index+qe+1),text:J.slice(1,je+me.index+qe)};if(Math.min(je,qe)%2==0)return{type:"strong",raw:J.slice(0,je+me.index+qe+1),text:J.slice(2,je+me.index+qe-1)}}}}}},se.codespan=function(J){var re=this.rules.inline.code.exec(J);if(re){var de=re[2].replace(/\n/g," "),me=/[^ ]/.test(de),ye=/^ /.test(de)&&/ $/.test(de);return me&&ye&&(de=de.substring(1,de.length-1)),de=W(de,!0),{type:"codespan",raw:re[0],text:de}}},se.br=function(J){var re=this.rules.inline.br.exec(J);if(re)return{type:"br",raw:re[0]}},se.del=function(J){var re=this.rules.inline.del.exec(J);if(re)return{type:"del",raw:re[0],text:re[2]}},se.autolink=function(J,re){var de=this.rules.inline.autolink.exec(J);if(de){var me,ye;return de[2]==="@"?(me=W(this.options.mangle?re(de[1]):de[1]),ye="mailto:"+me):(me=W(de[1]),ye=me),{type:"link",raw:de[0],text:me,href:ye,tokens:[{type:"text",raw:me,text:me}]}}},se.url=function(J,re){var de;if(de=this.rules.inline.url.exec(J)){var me,ye;if(de[2]==="@")me=W(this.options.mangle?re(de[0]):de[0]),ye="mailto:"+me;else{var je;do je=de[0],de[0]=this.rules.inline._backpedal.exec(de[0])[0];while(je!==de[0]);me=W(de[0]),de[1]==="www."?ye="http://"+me:ye=me}return{type:"link",raw:de[0],text:me,href:ye,tokens:[{type:"text",raw:me,text:me}]}}},se.inlineText=function(J,re,de){var me=this.rules.inline.text.exec(J);if(me){var ye;return re?ye=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(me[0]):W(me[0]):me[0]:ye=W(this.options.smartypants?de(me[0]):me[0]),{type:"text",raw:me[0],text:ye}}},G}(),F=L.noopTest,O=L.edit,$=L.merge,q={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?:\n+|$)|$)/,hr:/^ {0,3}((?:- *){3,}|(?:_ *){3,}|(?:\* *){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3})(bull) [\s\S]+?(?:hr|def|\n{2,}(?! )(?! {0,3}bull )\n*|\s*$)/,html:"^ {0,3}(?:<(script|pre|style)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:\\n{2,}|$)|<(?!script|pre|style)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:\\n{2,}|$)|</(?!script|pre|style)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:\\n{2,}|$))",def:/^ {0,3}\[(label)\]: *\n? *<?([^\s>]+)>?(?:(?: +\n? *| *\n *)(title))? *(?:\n+|$)/,nptable:F,table:F,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html| +\n)[^\n]+)*)/,text:/^[^\n]+/};q._label=/(?!\s*\])(?:\\[\[\]]|[^\[\]])+/,q._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,q.def=O(q.def).replace("label",q._label).replace("title",q._title).getRegex(),q.bullet=/(?:[*+-]|\d{1,9}[.)])/,q.item=/^( *)(bull) ?[^\n]*(?:\n(?! *bull ?)[^\n]*)*/,q.item=O(q.item,"gm").replace(/bull/g,q.bullet).getRegex(),q.listItemStart=O(/^( *)(bull)/).replace("bull",q.bullet).getRegex(),q.list=O(q.list).replace(/bull/g,q.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+q.def.source+")").getRegex(),q._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",q._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,q.html=O(q.html,"i").replace("comment",q._comment).replace("tag",q._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),q.paragraph=O(q._paragraph).replace("hr",q.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",q._tag).getRegex(),q.blockquote=O(q.blockquote).replace("paragraph",q.paragraph).getRegex(),q.normal=$({},q),q.gfm=$({},q.normal,{nptable:"^ *([^|\\n ].*\\|.*)\\n {0,3}([-:]+ *\\|[-| :]*)(?:\\n((?:(?!\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)",table:"^ *\\|(.+)\\n {0,3}\\|?( *[-:]+[-| :]*)(?:\\n *((?:(?!\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),q.gfm.nptable=O(q.gfm.nptable).replace("hr",q.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",q._tag).getRegex(),q.gfm.table=O(q.gfm.table).replace("hr",q.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|!--)").replace("tag",q._tag).getRegex(),q.pedantic=$({},q.normal,{html:O(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",q._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:F,paragraph:O(q.normal._paragraph).replace("hr",q.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",q.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var Z={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:F,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(?!\s*\])((?:\\[\[\]]?|[^\[\]\\])+)\]/,nolink:/^!?\[(?!\s*\])((?:\[[^\[\]]*\]|\\[\[\]]|[^\[\]])*)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/\_\_[^_]*?\*[^_]*?\_\_|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/\*\*[^*]*?\_[^*]*?\*\*|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:F,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};Z._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",Z.punctuation=O(Z.punctuation).replace(/punctuation/g,Z._punctuation).getRegex(),Z.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,Z.escapedEmSt=/\\\*|\\_/g,Z._comment=O(q._comment).replace("(?:-->|$)","-->").getRegex(),Z.emStrong.lDelim=O(Z.emStrong.lDelim).replace(/punct/g,Z._punctuation).getRegex(),Z.emStrong.rDelimAst=O(Z.emStrong.rDelimAst,"g").replace(/punct/g,Z._punctuation).getRegex(),Z.emStrong.rDelimUnd=O(Z.emStrong.rDelimUnd,"g").replace(/punct/g,Z._punctuation).getRegex(),Z._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,Z._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,Z._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,Z.autolink=O(Z.autolink).replace("scheme",Z._scheme).replace("email",Z._email).getRegex(),Z._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,Z.tag=O(Z.tag).replace("comment",Z._comment).replace("attribute",Z._attribute).getRegex(),Z._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,Z._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,Z._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,Z.link=O(Z.link).replace("label",Z._label).replace("href",Z._href).replace("title",Z._title).getRegex(),Z.reflink=O(Z.reflink).replace("label",Z._label).getRegex(),Z.reflinkSearch=O(Z.reflinkSearch,"g").replace("reflink",Z.reflink).replace("nolink",Z.nolink).getRegex(),Z.normal=$({},Z),Z.pedantic=$({},Z.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:O(/^!?\[(label)\]\((.*?)\)/).replace("label",Z._label).getRegex(),reflink:O(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",Z._label).getRegex()}),Z.gfm=$({},Z.normal,{escape:O(Z.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@))|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@))/}),Z.gfm.url=O(Z.gfm.url,"i").replace("email",Z.gfm._extended_email).getRegex(),Z.breaks=$({},Z.gfm,{br:O(Z.br).replace("{2,}","*").getRegex(),text:O(Z.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});var ae={block:q,inline:Z},fe=C.defaults,Te=ae.block,Se=ae.inline,Le=L.repeatString;function H(G){return G.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function Y(G){var se="",he,J,re=G.length;for(he=0;he<re;he++)J=G.charCodeAt(he),Math.random()>.5&&(J="x"+J.toString(16)),se+="&#"+J+";";return se}var ie=function(){function G(he){this.tokens=[],this.tokens.links=Object.create(null),this.options=he||fe,this.options.tokenizer=this.options.tokenizer||new U,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options;var J={block:Te.normal,inline:Se.normal};this.options.pedantic?(J.block=Te.pedantic,J.inline=Se.pedantic):this.options.gfm&&(J.block=Te.gfm,this.options.breaks?J.inline=Se.breaks:J.inline=Se.gfm),this.tokenizer.rules=J}G.lex=function(J,re){var de=new G(re);return de.lex(J)},G.lexInline=function(J,re){var de=new G(re);return de.inlineTokens(J)};var se=G.prototype;return se.lex=function(J){return J=J.replace(/\r\n|\r/g,`
`).replace(/\t/g,"    "),this.blockTokens(J,this.tokens,!0),this.inline(this.tokens),this.tokens},se.blockTokens=function(J,re,de){re===void 0&&(re=[]),de===void 0&&(de=!0),this.options.pedantic&&(J=J.replace(/^ +$/gm,""));for(var me,ye,je,He;J;){if(me=this.tokenizer.space(J)){J=J.substring(me.raw.length),me.type&&re.push(me);continue}if(me=this.tokenizer.code(J)){J=J.substring(me.raw.length),He=re[re.length-1],He&&He.type==="paragraph"?(He.raw+=`
`+me.raw,He.text+=`
`+me.text):re.push(me);continue}if(me=this.tokenizer.fences(J)){J=J.substring(me.raw.length),re.push(me);continue}if(me=this.tokenizer.heading(J)){J=J.substring(me.raw.length),re.push(me);continue}if(me=this.tokenizer.nptable(J)){J=J.substring(me.raw.length),re.push(me);continue}if(me=this.tokenizer.hr(J)){J=J.substring(me.raw.length),re.push(me);continue}if(me=this.tokenizer.blockquote(J)){J=J.substring(me.raw.length),me.tokens=this.blockTokens(me.text,[],de),re.push(me);continue}if(me=this.tokenizer.list(J)){for(J=J.substring(me.raw.length),je=me.items.length,ye=0;ye<je;ye++)me.items[ye].tokens=this.blockTokens(me.items[ye].text,[],!1);re.push(me);continue}if(me=this.tokenizer.html(J)){J=J.substring(me.raw.length),re.push(me);continue}if(de&&(me=this.tokenizer.def(J))){J=J.substring(me.raw.length),this.tokens.links[me.tag]||(this.tokens.links[me.tag]={href:me.href,title:me.title});continue}if(me=this.tokenizer.table(J)){J=J.substring(me.raw.length),re.push(me);continue}if(me=this.tokenizer.lheading(J)){J=J.substring(me.raw.length),re.push(me);continue}if(de&&(me=this.tokenizer.paragraph(J))){J=J.substring(me.raw.length),re.push(me);continue}if(me=this.tokenizer.text(J)){J=J.substring(me.raw.length),He=re[re.length-1],He&&He.type==="text"?(He.raw+=`
`+me.raw,He.text+=`
`+me.text):re.push(me);continue}if(J){var qe="Infinite loop on byte: "+J.charCodeAt(0);if(this.options.silent){console.error(qe);break}else throw new Error(qe)}}return re},se.inline=function(J){var re,de,me,ye,je,He,qe=J.length;for(re=0;re<qe;re++)switch(He=J[re],He.type){case"paragraph":case"text":case"heading":{He.tokens=[],this.inlineTokens(He.text,He.tokens);break}case"table":{for(He.tokens={header:[],cells:[]},ye=He.header.length,de=0;de<ye;de++)He.tokens.header[de]=[],this.inlineTokens(He.header[de],He.tokens.header[de]);for(ye=He.cells.length,de=0;de<ye;de++)for(je=He.cells[de],He.tokens.cells[de]=[],me=0;me<je.length;me++)He.tokens.cells[de][me]=[],this.inlineTokens(je[me],He.tokens.cells[de][me]);break}case"blockquote":{this.inline(He.tokens);break}case"list":{for(ye=He.items.length,de=0;de<ye;de++)this.inline(He.items[de].tokens);break}}return J},se.inlineTokens=function(J,re,de,me){re===void 0&&(re=[]),de===void 0&&(de=!1),me===void 0&&(me=!1);var ye,je,He=J,qe,Qe,Ze;if(this.tokens.links){var be=Object.keys(this.tokens.links);if(be.length>0)for(;(qe=this.tokenizer.rules.inline.reflinkSearch.exec(He))!=null;)be.includes(qe[0].slice(qe[0].lastIndexOf("[")+1,-1))&&(He=He.slice(0,qe.index)+"["+Le("a",qe[0].length-2)+"]"+He.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(qe=this.tokenizer.rules.inline.blockSkip.exec(He))!=null;)He=He.slice(0,qe.index)+"["+Le("a",qe[0].length-2)+"]"+He.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(qe=this.tokenizer.rules.inline.escapedEmSt.exec(He))!=null;)He=He.slice(0,qe.index)+"++"+He.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;J;){if(Qe||(Ze=""),Qe=!1,ye=this.tokenizer.escape(J)){J=J.substring(ye.raw.length),re.push(ye);continue}if(ye=this.tokenizer.tag(J,de,me)){J=J.substring(ye.raw.length),de=ye.inLink,me=ye.inRawBlock;var De=re[re.length-1];De&&ye.type==="text"&&De.type==="text"?(De.raw+=ye.raw,De.text+=ye.text):re.push(ye);continue}if(ye=this.tokenizer.link(J)){J=J.substring(ye.raw.length),ye.type==="link"&&(ye.tokens=this.inlineTokens(ye.text,[],!0,me)),re.push(ye);continue}if(ye=this.tokenizer.reflink(J,this.tokens.links)){J=J.substring(ye.raw.length);var ue=re[re.length-1];ye.type==="link"?(ye.tokens=this.inlineTokens(ye.text,[],!0,me),re.push(ye)):ue&&ye.type==="text"&&ue.type==="text"?(ue.raw+=ye.raw,ue.text+=ye.text):re.push(ye);continue}if(ye=this.tokenizer.emStrong(J,He,Ze)){J=J.substring(ye.raw.length),ye.tokens=this.inlineTokens(ye.text,[],de,me),re.push(ye);continue}if(ye=this.tokenizer.codespan(J)){J=J.substring(ye.raw.length),re.push(ye);continue}if(ye=this.tokenizer.br(J)){J=J.substring(ye.raw.length),re.push(ye);continue}if(ye=this.tokenizer.del(J)){J=J.substring(ye.raw.length),ye.tokens=this.inlineTokens(ye.text,[],de,me),re.push(ye);continue}if(ye=this.tokenizer.autolink(J,Y)){J=J.substring(ye.raw.length),re.push(ye);continue}if(!de&&(ye=this.tokenizer.url(J,Y))){J=J.substring(ye.raw.length),re.push(ye);continue}if(ye=this.tokenizer.inlineText(J,me,H)){J=J.substring(ye.raw.length),ye.raw.slice(-1)!=="_"&&(Ze=ye.raw.slice(-1)),Qe=!0,je=re[re.length-1],je&&je.type==="text"?(je.raw+=ye.raw,je.text+=ye.text):re.push(ye);continue}if(J){var ee="Infinite loop on byte: "+J.charCodeAt(0);if(this.options.silent){console.error(ee);break}else throw new Error(ee)}}return re},e(G,null,[{key:"rules",get:function(){return{block:Te,inline:Se}}}]),G}(),oe=C.defaults,ve=L.cleanUrl,ke=L.escape,Me=function(){function G(he){this.options=he||oe}var se=G.prototype;return se.code=function(J,re,de){var me=(re||"").match(/\S*/)[0];if(this.options.highlight){var ye=this.options.highlight(J,me);ye!=null&&ye!==J&&(de=!0,J=ye)}return J=J.replace(/\n$/,"")+`
`,me?'<pre><code class="'+this.options.langPrefix+ke(me,!0)+'">'+(de?J:ke(J,!0))+`</code></pre>
`:"<pre><code>"+(de?J:ke(J,!0))+`</code></pre>
`},se.blockquote=function(J){return`<blockquote>
`+J+`</blockquote>
`},se.html=function(J){return J},se.heading=function(J,re,de,me){return this.options.headerIds?"<h"+re+' id="'+this.options.headerPrefix+me.slug(de)+'">'+J+"</h"+re+`>
`:"<h"+re+">"+J+"</h"+re+`>
`},se.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},se.list=function(J,re,de){var me=re?"ol":"ul",ye=re&&de!==1?' start="'+de+'"':"";return"<"+me+ye+`>
`+J+"</"+me+`>
`},se.listitem=function(J){return"<li>"+J+`</li>
`},se.checkbox=function(J){return"<input "+(J?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},se.paragraph=function(J){return"<p>"+J+`</p>
`},se.table=function(J,re){return re&&(re="<tbody>"+re+"</tbody>"),`<table>
<thead>
`+J+`</thead>
`+re+`</table>
`},se.tablerow=function(J){return`<tr>
`+J+`</tr>
`},se.tablecell=function(J,re){var de=re.header?"th":"td",me=re.align?"<"+de+' align="'+re.align+'">':"<"+de+">";return me+J+"</"+de+`>
`},se.strong=function(J){return"<strong>"+J+"</strong>"},se.em=function(J){return"<em>"+J+"</em>"},se.codespan=function(J){return"<code>"+J+"</code>"},se.br=function(){return this.options.xhtml?"<br/>":"<br>"},se.del=function(J){return"<del>"+J+"</del>"},se.link=function(J,re,de){if(J=ve(this.options.sanitize,this.options.baseUrl,J),J===null)return de;var me='<a href="'+ke(J)+'"';return re&&(me+=' title="'+re+'"'),me+=">"+de+"</a>",me},se.image=function(J,re,de){if(J=ve(this.options.sanitize,this.options.baseUrl,J),J===null)return de;var me='<img src="'+J+'" alt="'+de+'"';return re&&(me+=' title="'+re+'"'),me+=this.options.xhtml?"/>":">",me},se.text=function(J){return J},G}(),_e=function(){function G(){}var se=G.prototype;return se.strong=function(J){return J},se.em=function(J){return J},se.codespan=function(J){return J},se.del=function(J){return J},se.html=function(J){return J},se.text=function(J){return J},se.link=function(J,re,de){return""+de},se.image=function(J,re,de){return""+de},se.br=function(){return""},G}(),Pe=function(){function G(){this.seen={}}var se=G.prototype;return se.serialize=function(J){return J.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},se.getNextSafeSlug=function(J,re){var de=J,me=0;if(this.seen.hasOwnProperty(de)){me=this.seen[J];do me++,de=J+"-"+me;while(this.seen.hasOwnProperty(de))}return re||(this.seen[J]=me,this.seen[de]=0),de},se.slug=function(J,re){re===void 0&&(re={});var de=this.serialize(J);return this.getNextSafeSlug(de,re.dryrun)},G}(),Re=C.defaults,Ue=L.unescape,Ee=function(){function G(he){this.options=he||Re,this.options.renderer=this.options.renderer||new Me,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new _e,this.slugger=new Pe}G.parse=function(J,re){var de=new G(re);return de.parse(J)},G.parseInline=function(J,re){var de=new G(re);return de.parseInline(J)};var se=G.prototype;return se.parse=function(J,re){re===void 0&&(re=!0);var de="",me,ye,je,He,qe,Qe,Ze,be,De,ue,ee,Fe,xe,Ye,Ae,st,rt,Xe,ct=J.length;for(me=0;me<ct;me++)switch(ue=J[me],ue.type){case"space":continue;case"hr":{de+=this.renderer.hr();continue}case"heading":{de+=this.renderer.heading(this.parseInline(ue.tokens),ue.depth,Ue(this.parseInline(ue.tokens,this.textRenderer)),this.slugger);continue}case"code":{de+=this.renderer.code(ue.text,ue.lang,ue.escaped);continue}case"table":{for(be="",Ze="",He=ue.header.length,ye=0;ye<He;ye++)Ze+=this.renderer.tablecell(this.parseInline(ue.tokens.header[ye]),{header:!0,align:ue.align[ye]});for(be+=this.renderer.tablerow(Ze),De="",He=ue.cells.length,ye=0;ye<He;ye++){for(Qe=ue.tokens.cells[ye],Ze="",qe=Qe.length,je=0;je<qe;je++)Ze+=this.renderer.tablecell(this.parseInline(Qe[je]),{header:!1,align:ue.align[je]});De+=this.renderer.tablerow(Ze)}de+=this.renderer.table(be,De);continue}case"blockquote":{De=this.parse(ue.tokens),de+=this.renderer.blockquote(De);continue}case"list":{for(ee=ue.ordered,Fe=ue.start,xe=ue.loose,He=ue.items.length,De="",ye=0;ye<He;ye++)Ae=ue.items[ye],st=Ae.checked,rt=Ae.task,Ye="",Ae.task&&(Xe=this.renderer.checkbox(st),xe?Ae.tokens.length>0&&Ae.tokens[0].type==="text"?(Ae.tokens[0].text=Xe+" "+Ae.tokens[0].text,Ae.tokens[0].tokens&&Ae.tokens[0].tokens.length>0&&Ae.tokens[0].tokens[0].type==="text"&&(Ae.tokens[0].tokens[0].text=Xe+" "+Ae.tokens[0].tokens[0].text)):Ae.tokens.unshift({type:"text",text:Xe}):Ye+=Xe),Ye+=this.parse(Ae.tokens,xe),De+=this.renderer.listitem(Ye,rt,st);de+=this.renderer.list(De,ee,Fe);continue}case"html":{de+=this.renderer.html(ue.text);continue}case"paragraph":{de+=this.renderer.paragraph(this.parseInline(ue.tokens));continue}case"text":{for(De=ue.tokens?this.parseInline(ue.tokens):ue.text;me+1<ct&&J[me+1].type==="text";)ue=J[++me],De+=`
`+(ue.tokens?this.parseInline(ue.tokens):ue.text);de+=re?this.renderer.paragraph(De):De;continue}default:{var dt='Token with "'+ue.type+'" type was not found.';if(this.options.silent){console.error(dt);return}else throw new Error(dt)}}return de},se.parseInline=function(J,re){re=re||this.renderer;var de="",me,ye,je=J.length;for(me=0;me<je;me++)switch(ye=J[me],ye.type){case"escape":{de+=re.text(ye.text);break}case"html":{de+=re.html(ye.text);break}case"link":{de+=re.link(ye.href,ye.title,this.parseInline(ye.tokens,re));break}case"image":{de+=re.image(ye.href,ye.title,ye.text);break}case"strong":{de+=re.strong(this.parseInline(ye.tokens,re));break}case"em":{de+=re.em(this.parseInline(ye.tokens,re));break}case"codespan":{de+=re.codespan(ye.text);break}case"br":{de+=re.br();break}case"del":{de+=re.del(this.parseInline(ye.tokens,re));break}case"text":{de+=re.text(ye.text);break}default:{var He='Token with "'+ye.type+'" type was not found.';if(this.options.silent){console.error(He);return}else throw new Error(He)}}return de},G}(),Ke=L.merge,X=L.checkSanitizeDeprecation,ne=L.escape,we=C.getDefaults,Ne=C.changeDefaults,Be=C.defaults;function We(G,se,he){if(typeof G=="undefined"||G===null)throw new Error("marked(): input parameter is undefined or null");if(typeof G!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(G)+", string expected");if(typeof se=="function"&&(he=se,se=null),se=Ke({},We.defaults,se||{}),X(se),he){var J=se.highlight,re;try{re=ie.lex(G,se)}catch(je){return he(je)}var de=function(He){var qe;if(!He)try{qe=Ee.parse(re,se)}catch(Qe){He=Qe}return se.highlight=J,He?he(He):he(null,qe)};if(!J||J.length<3||(delete se.highlight,!re.length))return de();var me=0;We.walkTokens(re,function(je){je.type==="code"&&(me++,setTimeout(function(){J(je.text,je.lang,function(He,qe){if(He)return de(He);qe!=null&&qe!==je.text&&(je.text=qe,je.escaped=!0),me--,me===0&&de()})},0))}),me===0&&de();return}try{var ye=ie.lex(G,se);return se.walkTokens&&We.walkTokens(ye,se.walkTokens),Ee.parse(ye,se)}catch(je){if(je.message+=`
Please report this to https://github.com/markedjs/marked.`,se.silent)return"<p>An error occurred:</p><pre>"+ne(je.message+"",!0)+"</pre>";throw je}}We.options=We.setOptions=function(G){return Ke(We.defaults,G),Ne(We.defaults),We},We.getDefaults=we,We.defaults=Be,We.use=function(G){var se=Ke({},G);if(G.renderer&&function(){var J=We.defaults.renderer||new Me,re=function(ye){var je=J[ye];J[ye]=function(){for(var He=arguments.length,qe=new Array(He),Qe=0;Qe<He;Qe++)qe[Qe]=arguments[Qe];var Ze=G.renderer[ye].apply(J,qe);return Ze===!1&&(Ze=je.apply(J,qe)),Ze}};for(var de in G.renderer)re(de);se.renderer=J}(),G.tokenizer&&function(){var J=We.defaults.tokenizer||new U,re=function(ye){var je=J[ye];J[ye]=function(){for(var He=arguments.length,qe=new Array(He),Qe=0;Qe<He;Qe++)qe[Qe]=arguments[Qe];var Ze=G.tokenizer[ye].apply(J,qe);return Ze===!1&&(Ze=je.apply(J,qe)),Ze}};for(var de in G.tokenizer)re(de);se.tokenizer=J}(),G.walkTokens){var he=We.defaults.walkTokens;se.walkTokens=function(J){G.walkTokens(J),he&&he(J)}}We.setOptions(se)},We.walkTokens=function(G,se){for(var he=R(G),J;!(J=he()).done;){var re=J.value;switch(se(re),re.type){case"table":{for(var de=R(re.tokens.header),me;!(me=de()).done;){var ye=me.value;We.walkTokens(ye,se)}for(var je=R(re.tokens.cells),He;!(He=je()).done;)for(var qe=He.value,Qe=R(qe),Ze;!(Ze=Qe()).done;){var be=Ze.value;We.walkTokens(be,se)}break}case"list":{We.walkTokens(re.items,se);break}default:re.tokens&&We.walkTokens(re.tokens,se)}}},We.parseInline=function(G,se){if(typeof G=="undefined"||G===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof G!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(G)+", string expected");se=Ke({},We.defaults,se||{}),X(se);try{var he=ie.lexInline(G,se);return se.walkTokens&&We.walkTokens(he,se.walkTokens),Ee.parseInline(he,se)}catch(J){if(J.message+=`
Please report this to https://github.com/markedjs/marked.`,se.silent)return"<p>An error occurred:</p><pre>"+ne(J.message+"",!0)+"</pre>";throw J}},We.Parser=Ee,We.parser=Ee.parse,We.Renderer=Me,We.TextRenderer=_e,We.Lexer=ie,We.lexer=ie.lex,We.Tokenizer=U,We.Slugger=Pe,We.parse=We;var Je=We;return Je}),define(ge[73],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MovingAverage=e.Counter=e.rot=e.clamp=void 0;function v(C,I,y){return Math.min(Math.max(C,I),y)}e.clamp=v;function D(C,I){return(I+C%I)%I}e.rot=D;class R{constructor(){this._next=0}getNext(){return this._next++}}e.Counter=R;class P{constructor(){this._n=1,this._val=0}update(I){return this._val=this._val+(I-this._val)/this._n,this._n+=1,this}get value(){return this._val}}e.MovingAverage=P});"use strict";function ln(Q){const e=[];typeof Q=="number"&&e.push("code/timeOrigin",Q);function v(R){e.push(R,Date.now())}function D(){const R=[];for(let P=0;P<e.length;P+=2)R.push({name:e[P],startTime:e[P+1]});return R}return{mark:v,getMarks:D}}function Rn(){if(typeof performance=="object"&&typeof performance.mark=="function")return typeof performance.timeOrigin!="number"&&!performance.timing?ln():{mark(Q){performance.mark(Q)},getMarks(){let Q=performance.timeOrigin;typeof Q!="number"&&(Q=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const e=[{name:"code/timeOrigin",startTime:Math.round(Q)}];for(const v of performance.getEntriesByType("mark"))e.push({name:v.name,startTime:Math.round(Q+v.startTime)});return e}};if(typeof process=="object"){const Q=Math.round((require.nodeRequire||require)("perf_hooks").performance.timeOrigin);return ln(Q)}else return console.trace("perf-util loaded in UNKNOWN environment"),ln()}function cn(Q){return Q.MonacoPerformanceMarks||(Q.MonacoPerformanceMarks=Rn()),Q.MonacoPerformanceMarks}var Mt;typeof global=="object"?Mt=global:typeof self=="object"?Mt=self:Mt={},typeof define=="function"?define("vs/base/common/performance",[],function(){return cn(Mt)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=cn(Mt):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),Mt.perf=cn(Mt)),define(ge[9],pe([0,1]),function(Q,e){"use strict";var v;Object.defineProperty(e,"__esModule",{value:!0}),e.isLittleEndian=e.OS=e.OperatingSystem=e.setImmediate=e.globals=e.translationsConfigFile=e.locale=e.Language=e.language=e.userAgent=e.platform=e.isIOS=e.isWeb=e.isNative=e.isLinuxSnap=e.isLinux=e.isMacintosh=e.isWindows=e.PlatformToString=e.Platform=e.isPreferringBrowserCodeLoad=e.browserCodeLoadingCacheStrategy=e.isElectronSandboxed=void 0;const D="en";let R=!1,P=!1,C=!1,I=!1,y=!1,i=!1,T=!1,k,p=D,f,l;const m=typeof self=="object"?self:typeof global=="object"?global:{};let S;typeof process!="undefined"?S=process:typeof m.vscode!="undefined"&&(S=m.vscode.process);const _=typeof((v=S==null?void 0:S.versions)===null||v===void 0?void 0:v.electron)=="string"&&S.type==="renderer";if(e.isElectronSandboxed=_&&(S==null?void 0:S.sandboxed),e.browserCodeLoadingCacheStrategy=(()=>{if(e.isElectronSandboxed)return"bypassHeatCheck";const n=S==null?void 0:S.env.ENABLE_VSCODE_BROWSER_CODE_LOADING;if(typeof n=="string")return n==="none"||n==="code"||n==="bypassHeatCheck"||n==="bypassHeatCheckAndEagerCompile"?n:"bypassHeatCheck"})(),e.isPreferringBrowserCodeLoad=typeof e.browserCodeLoadingCacheStrategy=="string",typeof navigator=="object"&&!_)l=navigator.userAgent,R=l.indexOf("Windows")>=0,P=l.indexOf("Macintosh")>=0,T=(l.indexOf("Macintosh")>=0||l.indexOf("iPad")>=0||l.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,C=l.indexOf("Linux")>=0,i=!0,k=navigator.language,p=k;else if(typeof S=="object"){R=S.platform==="win32",P=S.platform==="darwin",C=S.platform==="linux",I=C&&!!S.env.SNAP&&!!S.env.SNAP_REVISION,k=D,p=D;const n=S.env.VSCODE_NLS_CONFIG;if(n)try{const d=JSON.parse(n),w=d.availableLanguages["*"];k=d.locale,p=w||D,f=d._translationsConfigFile}catch(d){}y=!0}else console.error("Unable to resolve platform.");var g;(function(n){n[n.Web=0]="Web",n[n.Mac=1]="Mac",n[n.Linux=2]="Linux",n[n.Windows=3]="Windows"})(g=e.Platform||(e.Platform={}));function a(n){switch(n){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.PlatformToString=a;let u=0;P?u=1:R?u=3:C&&(u=2),e.isWindows=R,e.isMacintosh=P,e.isLinux=C,e.isLinuxSnap=I,e.isNative=y,e.isWeb=i,e.isIOS=T,e.platform=u,e.userAgent=l,e.language=p;var c;(function(n){function d(){return e.language}n.value=d;function w(){return e.language.length===2?e.language==="en":e.language.length>=3?e.language[0]==="e"&&e.language[1]==="n"&&e.language[2]==="-":!1}n.isDefaultVariant=w;function E(){return e.language==="en"}n.isDefault=E})(c=e.Language||(e.Language={})),e.locale=k,e.translationsConfigFile=f,e.globals=m,e.setImmediate=function(){if(e.globals.setImmediate)return e.globals.setImmediate.bind(e.globals);if(typeof e.globals.postMessage=="function"&&!e.globals.importScripts){let w=[];e.globals.addEventListener("message",h=>{if(h.data&&h.data.vscodeSetImmediateId)for(let b=0,A=w.length;b<A;b++){const L=w[b];if(L.id===h.data.vscodeSetImmediateId){w.splice(b,1),L.callback();return}}});let E=0;return h=>{const b=++E;w.push({id:b,callback:h}),e.globals.postMessage({vscodeSetImmediateId:b},"*")}}if(S&&typeof S.nextTick=="function")return S.nextTick.bind(S);const d=Promise.resolve();return w=>d.then(w)}();var t;(function(n){n[n.Windows=1]="Windows",n[n.Macintosh=2]="Macintosh",n[n.Linux=3]="Linux"})(t=e.OperatingSystem||(e.OperatingSystem={})),e.OS=P||T?2:R?1:3;let r=!0,s=!1;function o(){if(!s){s=!0;const n=new Uint8Array(2);n[0]=1,n[1]=2,r=new Uint16Array(n.buffer)[0]===(2<<8)+1}return r}e.isLittleEndian=o}),define(ge[38],pe([0,1,9]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.nextTick=e.platform=e.env=e.cwd=void 0;let D;typeof process!="undefined"?D=process:typeof v.globals.vscode!="undefined"?D={get platform(){return v.globals.vscode.process.platform},get env(){return v.globals.vscode.process.env},nextTick(R){return v.setImmediate(R)},cwd(){return v.globals.vscode.process.env.VSCODE_CWD||v.globals.vscode.process.execPath.substr(0,v.globals.vscode.process.execPath.lastIndexOf(v.globals.vscode.process.platform==="win32"?"\\":"/"))}}:D={get platform(){return v.isWindows?"win32":v.isMacintosh?"darwin":"linux"},nextTick(R){return v.setImmediate(R)},get env(){return Object.create(null)},cwd(){return"/"}},e.cwd=D.cwd,e.env=D.env,e.platform=D.platform,e.nextTick=D.nextTick}),define(ge[7],pe([0,1,38]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.delimiter=e.sep=e.toNamespacedPath=e.parse=e.format=e.extname=e.basename=e.dirname=e.relative=e.resolve=e.join=e.isAbsolute=e.normalize=e.posix=e.win32=void 0;const D=65,R=97,P=90,C=122,I=46,y=47,i=92,T=58,k=63;class p extends Error{constructor(u,c,t){let r;typeof c=="string"&&c.indexOf("not ")===0?(r="must not be",c=c.replace(/^not /,"")):r="must be";const s=u.indexOf(".")!==-1?"property":"argument";let o=`The "${u}" ${s} ${r} of type ${c}`;o+=`. Received type ${typeof t}`,super(o),this.code="ERR_INVALID_ARG_TYPE"}}function f(a,u){if(typeof a!="string")throw new p(u,"string",a)}function l(a){return a===y||a===i}function m(a){return a===y}function S(a){return a>=D&&a<=P||a>=R&&a<=C}function _(a,u,c,t){let r="",s=0,o=-1,n=0,d=0;for(let w=0;w<=a.length;++w){if(w<a.length)d=a.charCodeAt(w);else{if(t(d))break;d=y}if(t(d)){if(!(o===w-1||n===1))if(n===2){if(r.length<2||s!==2||r.charCodeAt(r.length-1)!==I||r.charCodeAt(r.length-2)!==I){if(r.length>2){const E=r.lastIndexOf(c);E===-1?(r="",s=0):(r=r.slice(0,E),s=r.length-1-r.lastIndexOf(c)),o=w,n=0;continue}else if(r.length!==0){r="",s=0,o=w,n=0;continue}}u&&(r+=r.length>0?`${c}..`:"..",s=2)}else r.length>0?r+=`${c}${a.slice(o+1,w)}`:r=a.slice(o+1,w),s=w-o-1;o=w,n=0}else d===I&&n!==-1?++n:n=-1}return r}function g(a,u){if(u===null||typeof u!="object")throw new p("pathObject","Object",u);const c=u.dir||u.root,t=u.base||`${u.name||""}${u.ext||""}`;return c?c===u.root?`${c}${t}`:`${c}${a}${t}`:t}e.win32={resolve(...a){let u="",c="",t=!1;for(let r=a.length-1;r>=-1;r--){let s;if(r>=0){if(s=a[r],f(s,"path"),s.length===0)continue}else u.length===0?s=v.cwd():(s=v.env[`=${u}`]||v.cwd(),(s===void 0||s.slice(0,2).toLowerCase()!==u.toLowerCase()&&s.charCodeAt(2)===i)&&(s=`${u}\\`));const o=s.length;let n=0,d="",w=!1;const E=s.charCodeAt(0);if(o===1)l(E)&&(n=1,w=!0);else if(l(E))if(w=!0,l(s.charCodeAt(1))){let h=2,b=h;for(;h<o&&!l(s.charCodeAt(h));)h++;if(h<o&&h!==b){const A=s.slice(b,h);for(b=h;h<o&&l(s.charCodeAt(h));)h++;if(h<o&&h!==b){for(b=h;h<o&&!l(s.charCodeAt(h));)h++;(h===o||h!==b)&&(d=`\\\\${A}\\${s.slice(b,h)}`,n=h)}}}else n=1;else S(E)&&s.charCodeAt(1)===T&&(d=s.slice(0,2),n=2,o>2&&l(s.charCodeAt(2))&&(w=!0,n=3));if(d.length>0)if(u.length>0){if(d.toLowerCase()!==u.toLowerCase())continue}else u=d;if(t){if(u.length>0)break}else if(c=`${s.slice(n)}\\${c}`,t=w,w&&u.length>0)break}return c=_(c,!t,"\\",l),t?`${u}\\${c}`:`${u}${c}`||"."},normalize(a){f(a,"path");const u=a.length;if(u===0)return".";let c=0,t,r=!1;const s=a.charCodeAt(0);if(u===1)return m(s)?"\\":a;if(l(s))if(r=!0,l(a.charCodeAt(1))){let n=2,d=n;for(;n<u&&!l(a.charCodeAt(n));)n++;if(n<u&&n!==d){const w=a.slice(d,n);for(d=n;n<u&&l(a.charCodeAt(n));)n++;if(n<u&&n!==d){for(d=n;n<u&&!l(a.charCodeAt(n));)n++;if(n===u)return`\\\\${w}\\${a.slice(d)}\\`;n!==d&&(t=`\\\\${w}\\${a.slice(d,n)}`,c=n)}}}else c=1;else S(s)&&a.charCodeAt(1)===T&&(t=a.slice(0,2),c=2,u>2&&l(a.charCodeAt(2))&&(r=!0,c=3));let o=c<u?_(a.slice(c),!r,"\\",l):"";return o.length===0&&!r&&(o="."),o.length>0&&l(a.charCodeAt(u-1))&&(o+="\\"),t===void 0?r?`\\${o}`:o:r?`${t}\\${o}`:`${t}${o}`},isAbsolute(a){f(a,"path");const u=a.length;if(u===0)return!1;const c=a.charCodeAt(0);return l(c)||u>2&&S(c)&&a.charCodeAt(1)===T&&l(a.charCodeAt(2))},join(...a){if(a.length===0)return".";let u,c;for(let s=0;s<a.length;++s){const o=a[s];f(o,"path"),o.length>0&&(u===void 0?u=c=o:u+=`\\${o}`)}if(u===void 0)return".";let t=!0,r=0;if(typeof c=="string"&&l(c.charCodeAt(0))){++r;const s=c.length;s>1&&l(c.charCodeAt(1))&&(++r,s>2&&(l(c.charCodeAt(2))?++r:t=!1))}if(t){for(;r<u.length&&l(u.charCodeAt(r));)r++;r>=2&&(u=`\\${u.slice(r)}`)}return e.win32.normalize(u)},relative(a,u){if(f(a,"from"),f(u,"to"),a===u)return"";const c=e.win32.resolve(a),t=e.win32.resolve(u);if(c===t||(a=c.toLowerCase(),u=t.toLowerCase(),a===u))return"";let r=0;for(;r<a.length&&a.charCodeAt(r)===i;)r++;let s=a.length;for(;s-1>r&&a.charCodeAt(s-1)===i;)s--;const o=s-r;let n=0;for(;n<u.length&&u.charCodeAt(n)===i;)n++;let d=u.length;for(;d-1>n&&u.charCodeAt(d-1)===i;)d--;const w=d-n,E=o<w?o:w;let h=-1,b=0;for(;b<E;b++){const L=a.charCodeAt(r+b);if(L!==u.charCodeAt(n+b))break;L===i&&(h=b)}if(b!==E){if(h===-1)return t}else{if(w>E){if(u.charCodeAt(n+b)===i)return t.slice(n+b+1);if(b===2)return t.slice(n+b)}o>E&&(a.charCodeAt(r+b)===i?h=b:b===2&&(h=3)),h===-1&&(h=0)}let A="";for(b=r+h+1;b<=s;++b)(b===s||a.charCodeAt(b)===i)&&(A+=A.length===0?"..":"\\..");return n+=h,A.length>0?`${A}${t.slice(n,d)}`:(t.charCodeAt(n)===i&&++n,t.slice(n,d))},toNamespacedPath(a){if(typeof a!="string")return a;if(a.length===0)return"";const u=e.win32.resolve(a);if(u.length<=2)return a;if(u.charCodeAt(0)===i){if(u.charCodeAt(1)===i){const c=u.charCodeAt(2);if(c!==k&&c!==I)return`\\\\?\\UNC\\${u.slice(2)}`}}else if(S(u.charCodeAt(0))&&u.charCodeAt(1)===T&&u.charCodeAt(2)===i)return`\\\\?\\${u}`;return a},dirname(a){f(a,"path");const u=a.length;if(u===0)return".";let c=-1,t=0;const r=a.charCodeAt(0);if(u===1)return l(r)?a:".";if(l(r)){if(c=t=1,l(a.charCodeAt(1))){let n=2,d=n;for(;n<u&&!l(a.charCodeAt(n));)n++;if(n<u&&n!==d){for(d=n;n<u&&l(a.charCodeAt(n));)n++;if(n<u&&n!==d){for(d=n;n<u&&!l(a.charCodeAt(n));)n++;if(n===u)return a;n!==d&&(c=t=n+1)}}}}else S(r)&&a.charCodeAt(1)===T&&(c=u>2&&l(a.charCodeAt(2))?3:2,t=c);let s=-1,o=!0;for(let n=u-1;n>=t;--n)if(l(a.charCodeAt(n))){if(!o){s=n;break}}else o=!1;if(s===-1){if(c===-1)return".";s=c}return a.slice(0,s)},basename(a,u){u!==void 0&&f(u,"ext"),f(a,"path");let c=0,t=-1,r=!0,s;if(a.length>=2&&S(a.charCodeAt(0))&&a.charCodeAt(1)===T&&(c=2),u!==void 0&&u.length>0&&u.length<=a.length){if(u===a)return"";let o=u.length-1,n=-1;for(s=a.length-1;s>=c;--s){const d=a.charCodeAt(s);if(l(d)){if(!r){c=s+1;break}}else n===-1&&(r=!1,n=s+1),o>=0&&(d===u.charCodeAt(o)?--o==-1&&(t=s):(o=-1,t=n))}return c===t?t=n:t===-1&&(t=a.length),a.slice(c,t)}for(s=a.length-1;s>=c;--s)if(l(a.charCodeAt(s))){if(!r){c=s+1;break}}else t===-1&&(r=!1,t=s+1);return t===-1?"":a.slice(c,t)},extname(a){f(a,"path");let u=0,c=-1,t=0,r=-1,s=!0,o=0;a.length>=2&&a.charCodeAt(1)===T&&S(a.charCodeAt(0))&&(u=t=2);for(let n=a.length-1;n>=u;--n){const d=a.charCodeAt(n);if(l(d)){if(!s){t=n+1;break}continue}r===-1&&(s=!1,r=n+1),d===I?c===-1?c=n:o!==1&&(o=1):c!==-1&&(o=-1)}return c===-1||r===-1||o===0||o===1&&c===r-1&&c===t+1?"":a.slice(c,r)},format:g.bind(null,"\\"),parse(a){f(a,"path");const u={root:"",dir:"",base:"",ext:"",name:""};if(a.length===0)return u;const c=a.length;let t=0,r=a.charCodeAt(0);if(c===1)return l(r)?(u.root=u.dir=a,u):(u.base=u.name=a,u);if(l(r)){if(t=1,l(a.charCodeAt(1))){let h=2,b=h;for(;h<c&&!l(a.charCodeAt(h));)h++;if(h<c&&h!==b){for(b=h;h<c&&l(a.charCodeAt(h));)h++;if(h<c&&h!==b){for(b=h;h<c&&!l(a.charCodeAt(h));)h++;h===c?t=h:h!==b&&(t=h+1)}}}}else if(S(r)&&a.charCodeAt(1)===T){if(c<=2)return u.root=u.dir=a,u;if(t=2,l(a.charCodeAt(2))){if(c===3)return u.root=u.dir=a,u;t=3}}t>0&&(u.root=a.slice(0,t));let s=-1,o=t,n=-1,d=!0,w=a.length-1,E=0;for(;w>=t;--w){if(r=a.charCodeAt(w),l(r)){if(!d){o=w+1;break}continue}n===-1&&(d=!1,n=w+1),r===I?s===-1?s=w:E!==1&&(E=1):s!==-1&&(E=-1)}return n!==-1&&(s===-1||E===0||E===1&&s===n-1&&s===o+1?u.base=u.name=a.slice(o,n):(u.name=a.slice(o,s),u.base=a.slice(o,n),u.ext=a.slice(s,n))),o>0&&o!==t?u.dir=a.slice(0,o-1):u.dir=u.root,u},sep:"\\",delimiter:";",win32:null,posix:null},e.posix={resolve(...a){let u="",c=!1;for(let t=a.length-1;t>=-1&&!c;t--){const r=t>=0?a[t]:v.cwd();f(r,"path"),r.length!==0&&(u=`${r}/${u}`,c=r.charCodeAt(0)===y)}return u=_(u,!c,"/",m),c?`/${u}`:u.length>0?u:"."},normalize(a){if(f(a,"path"),a.length===0)return".";const u=a.charCodeAt(0)===y,c=a.charCodeAt(a.length-1)===y;return a=_(a,!u,"/",m),a.length===0?u?"/":c?"./":".":(c&&(a+="/"),u?`/${a}`:a)},isAbsolute(a){return f(a,"path"),a.length>0&&a.charCodeAt(0)===y},join(...a){if(a.length===0)return".";let u;for(let c=0;c<a.length;++c){const t=a[c];f(t,"path"),t.length>0&&(u===void 0?u=t:u+=`/${t}`)}return u===void 0?".":e.posix.normalize(u)},relative(a,u){if(f(a,"from"),f(u,"to"),a===u||(a=e.posix.resolve(a),u=e.posix.resolve(u),a===u))return"";const c=1,t=a.length,r=t-c,s=1,o=u.length-s,n=r<o?r:o;let d=-1,w=0;for(;w<n;w++){const h=a.charCodeAt(c+w);if(h!==u.charCodeAt(s+w))break;h===y&&(d=w)}if(w===n)if(o>n){if(u.charCodeAt(s+w)===y)return u.slice(s+w+1);if(w===0)return u.slice(s+w)}else r>n&&(a.charCodeAt(c+w)===y?d=w:w===0&&(d=0));let E="";for(w=c+d+1;w<=t;++w)(w===t||a.charCodeAt(w)===y)&&(E+=E.length===0?"..":"/..");return`${E}${u.slice(s+d)}`},toNamespacedPath(a){return a},dirname(a){if(f(a,"path"),a.length===0)return".";const u=a.charCodeAt(0)===y;let c=-1,t=!0;for(let r=a.length-1;r>=1;--r)if(a.charCodeAt(r)===y){if(!t){c=r;break}}else t=!1;return c===-1?u?"/":".":u&&c===1?"//":a.slice(0,c)},basename(a,u){u!==void 0&&f(u,"ext"),f(a,"path");let c=0,t=-1,r=!0,s;if(u!==void 0&&u.length>0&&u.length<=a.length){if(u===a)return"";let o=u.length-1,n=-1;for(s=a.length-1;s>=0;--s){const d=a.charCodeAt(s);if(d===y){if(!r){c=s+1;break}}else n===-1&&(r=!1,n=s+1),o>=0&&(d===u.charCodeAt(o)?--o==-1&&(t=s):(o=-1,t=n))}return c===t?t=n:t===-1&&(t=a.length),a.slice(c,t)}for(s=a.length-1;s>=0;--s)if(a.charCodeAt(s)===y){if(!r){c=s+1;break}}else t===-1&&(r=!1,t=s+1);return t===-1?"":a.slice(c,t)},extname(a){f(a,"path");let u=-1,c=0,t=-1,r=!0,s=0;for(let o=a.length-1;o>=0;--o){const n=a.charCodeAt(o);if(n===y){if(!r){c=o+1;break}continue}t===-1&&(r=!1,t=o+1),n===I?u===-1?u=o:s!==1&&(s=1):u!==-1&&(s=-1)}return u===-1||t===-1||s===0||s===1&&u===t-1&&u===c+1?"":a.slice(u,t)},format:g.bind(null,"/"),parse(a){f(a,"path");const u={root:"",dir:"",base:"",ext:"",name:""};if(a.length===0)return u;const c=a.charCodeAt(0)===y;let t;c?(u.root="/",t=1):t=0;let r=-1,s=0,o=-1,n=!0,d=a.length-1,w=0;for(;d>=t;--d){const E=a.charCodeAt(d);if(E===y){if(!n){s=d+1;break}continue}o===-1&&(n=!1,o=d+1),E===I?r===-1?r=d:w!==1&&(w=1):r!==-1&&(w=-1)}if(o!==-1){const E=s===0&&c?1:s;r===-1||w===0||w===1&&r===o-1&&r===s+1?u.base=u.name=a.slice(E,o):(u.name=a.slice(E,r),u.base=a.slice(E,o),u.ext=a.slice(r,o))}return s>0?u.dir=a.slice(0,s-1):c&&(u.dir="/"),u},sep:"/",delimiter:":",win32:null,posix:null},e.posix.win32=e.win32.win32=e.win32,e.posix.posix=e.win32.posix=e.posix,e.normalize=v.platform==="win32"?e.win32.normalize:e.posix.normalize,e.isAbsolute=v.platform==="win32"?e.win32.isAbsolute:e.posix.isAbsolute,e.join=v.platform==="win32"?e.win32.join:e.posix.join,e.resolve=v.platform==="win32"?e.win32.resolve:e.posix.resolve,e.relative=v.platform==="win32"?e.win32.relative:e.posix.relative,e.dirname=v.platform==="win32"?e.win32.dirname:e.posix.dirname,e.basename=v.platform==="win32"?e.win32.basename:e.posix.basename,e.extname=v.platform==="win32"?e.win32.extname:e.posix.extname,e.format=v.platform==="win32"?e.win32.format:e.posix.format,e.parse=v.platform==="win32"?e.win32.parse:e.posix.parse,e.toNamespacedPath=v.platform==="win32"?e.win32.toNamespacedPath:e.posix.toNamespacedPath,e.sep=v.platform==="win32"?e.win32.sep:e.posix.sep,e.delimiter=v.platform==="win32"?e.win32.delimiter:e.posix.delimiter}),define(ge[131],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.sanitizeProcessEnvironment=e.TerminateResponseCode=e.Source=void 0;var v;(function(P){P[P.stdout=0]="stdout",P[P.stderr=1]="stderr"})(v=e.Source||(e.Source={}));var D;(function(P){P[P.Success=0]="Success",P[P.Unknown=1]="Unknown",P[P.AccessDenied=2]="AccessDenied",P[P.ProcessNotFound=3]="ProcessNotFound"})(D=e.TerminateResponseCode||(e.TerminateResponseCode={}));function R(P,...C){const I=C.reduce((T,k)=>(T[k]=!0,T),{}),y=[/^ELECTRON_.+$/,/^VSCODE_.+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(P).filter(T=>!I[T]).forEach(T=>{for(let k=0;k<y.length;k++)if(T.search(y[k])!==-1){delete P[T];break}})}e.sanitizeProcessEnvironment=R}),define(ge[46],pe([0,1,9]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StopWatch=void 0;const D=v.globals.performance&&typeof v.globals.performance.now=="function";class R{constructor(C){this._highResolution=D&&C,this._startTime=this._now(),this._stopTime=-1}static create(C=!0){return new R(C)}stop(){this._stopTime=this._now()}elapsed(){return this._stopTime!==-1?this._stopTime-this._startTime:this._now()-this._startTime}_now(){return this._highResolution?v.globals.performance.now():Date.now()}}e.StopWatch=R}),define(ge[3],pe([0,1,15,70,5,58,46]),function(Q,e,v,D,R,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Relay=e.EventBufferer=e.EventMultiplexer=e.PauseableEmitter=e.Emitter=e.setGlobalLeakWarningThreshold=e.Event=void 0;var I;(function(_){_.None=()=>R.Disposable.None;function g(V){return(W,K=null,x)=>{let N=!1,U;return U=V(F=>{if(!N)return U?U.dispose():N=!0,W.call(K,F)},null,x),N&&U.dispose(),U}}_.once=g;function a(V,W){return o((K,x=null,N)=>V(U=>K.call(x,W(U)),null,N))}_.map=a;function u(V,W){return o((K,x=null,N)=>V(U=>{W(U),K.call(x,U)},null,N))}_.forEach=u;function c(V,W){return o((K,x=null,N)=>V(U=>W(U)&&K.call(x,U),null,N))}_.filter=c;function t(V){return V}_.signal=t;function r(...V){return(W,K=null,x)=>R.combinedDisposable(...V.map(N=>N(U=>W.call(K,U),null,x)))}_.any=r;function s(V,W,K){let x=K;return a(V,N=>(x=W(x,N),x))}_.reduce=s;function o(V){let W;const K=new p({onFirstListenerAdd(){W=V(K.fire,K)},onLastListenerRemove(){W.dispose()}});return K.event}_.snapshot=o;function n(V,W,K=100,x=!1,N){let U,F,O,$=0;const q=new p({leakWarningThreshold:N,onFirstListenerAdd(){U=V(Z=>{$++,F=W(F,Z),x&&!O&&(q.fire(F),F=void 0),clearTimeout(O),O=setTimeout(()=>{const ae=F;F=void 0,O=void 0,(!x||$>1)&&q.fire(ae),$=0},K)})},onLastListenerRemove(){U.dispose()}});return q.event}_.debounce=n;function d(V){const W=new Date().getTime();return a(g(V),K=>new Date().getTime()-W)}_.stopwatch=d;function w(V){let W=!0,K;return c(V,x=>{const N=W||x!==K;return W=!1,K=x,N})}_.latch=w;function E(V,W=!1,K=[]){let x=K.slice(),N=V(O=>{x?x.push(O):F.fire(O)});const U=()=>{x&&x.forEach(O=>F.fire(O)),x=null},F=new p({onFirstListenerAdd(){N||(N=V(O=>F.fire(O)))},onFirstListenerDidAdd(){x&&(W?setTimeout(U):U())},onLastListenerRemove(){N&&N.dispose(),N=null}});return F.event}_.buffer=E;class h{constructor(W){this.event=W}map(W){return new h(a(this.event,W))}forEach(W){return new h(u(this.event,W))}filter(W){return new h(c(this.event,W))}reduce(W,K){return new h(s(this.event,W,K))}latch(){return new h(w(this.event))}debounce(W,K=100,x=!1,N){return new h(n(this.event,W,K,x,N))}on(W,K,x){return this.event(W,K,x)}once(W,K,x){return g(this.event)(W,K,x)}}function b(V){return new h(V)}_.chain=b;function A(V,W,K=x=>x){const x=(...O)=>F.fire(K(...O)),N=()=>V.on(W,x),U=()=>V.removeListener(W,x),F=new p({onFirstListenerAdd:N,onLastListenerRemove:U});return F.event}_.fromNodeEventEmitter=A;function L(V,W,K=x=>x){const x=(...O)=>F.fire(K(...O)),N=()=>V.addEventListener(W,x),U=()=>V.removeEventListener(W,x),F=new p({onFirstListenerAdd:N,onLastListenerRemove:U});return F.event}_.fromDOMEventEmitter=L;function M(V){const W=new p;let K=!1;return V.then(void 0,()=>null).then(()=>{K?W.fire(void 0):setTimeout(()=>W.fire(void 0),0)}),K=!0,W.event}_.fromPromise=M;function z(V){return new Promise(W=>g(V)(W))}_.toPromise=z})(I=e.Event||(e.Event={}));class y{constructor(g){this._listenerCount=0,this._invocationCount=0,this._elapsedOverall=0,this._name=`${g}_${y._idPool++}`}start(g){this._stopWatch=new C.StopWatch(!0),this._listenerCount=g}stop(){if(this._stopWatch){const g=this._stopWatch.elapsed();this._elapsedOverall+=g,this._invocationCount+=1,console.info(`did FIRE ${this._name}: elapsed_ms: ${g.toFixed(5)}, listener: ${this._listenerCount} (elapsed_overall: ${this._elapsedOverall.toFixed(2)}, invocations: ${this._invocationCount})`),this._stopWatch=void 0}}}y._idPool=0;let i=-1;function T(_){const g=i;return i=_,{dispose(){i=g}}}e.setGlobalLeakWarningThreshold=T;class k{constructor(g,a=Math.random().toString(18).slice(2,5)){this.customThreshold=g,this.name=a,this._warnCountdown=0}dispose(){this._stacks&&this._stacks.clear()}check(g){let a=i;if(typeof this.customThreshold=="number"&&(a=this.customThreshold),!(a<=0||g<a)){this._stacks||(this._stacks=new Map);const u=new Error().stack.split(`
`).slice(3).join(`
`),c=this._stacks.get(u)||0;if(this._stacks.set(u,c+1),this._warnCountdown-=1,this._warnCountdown<=0){this._warnCountdown=a*.5;let t,r=0;for(const[s,o]of this._stacks)(!t||r<o)&&(t=s,r=o);console.warn(`[${this.name}] potential listener LEAK detected, having ${g} listeners already. MOST frequent listener (${r}):`),console.warn(t)}return()=>{const t=this._stacks.get(u)||0;this._stacks.set(u,t-1)}}}}class p{constructor(g){var a;this._disposed=!1,this._options=g,this._leakageMon=i>0?new k(this._options&&this._options.leakWarningThreshold):void 0,this._perfMon=((a=this._options)===null||a===void 0?void 0:a._profName)?new y(this._options._profName):void 0}get event(){return this._event||(this._event=(g,a,u)=>{var c;this._listeners||(this._listeners=new P.LinkedList);const t=this._listeners.isEmpty();t&&this._options&&this._options.onFirstListenerAdd&&this._options.onFirstListenerAdd(this);const r=this._listeners.push(a?[g,a]:g);t&&this._options&&this._options.onFirstListenerDidAdd&&this._options.onFirstListenerDidAdd(this),this._options&&this._options.onListenerDidAdd&&this._options.onListenerDidAdd(this,g,a);const s=(c=this._leakageMon)===null||c===void 0?void 0:c.check(this._listeners.size);let o;return o={dispose:()=>{s&&s(),o.dispose=p._noop,this._disposed||(r(),this._options&&this._options.onLastListenerRemove&&(this._listeners&&!this._listeners.isEmpty()||this._options.onLastListenerRemove(this)))}},u instanceof R.DisposableStore?u.add(o):Array.isArray(u)&&u.push(o),o}),this._event}fire(g){var a,u;if(this._listeners){this._deliveryQueue||(this._deliveryQueue=new P.LinkedList);for(let c of this._listeners)this._deliveryQueue.push([c,g]);for((a=this._perfMon)===null||a===void 0||a.start(this._deliveryQueue.size);this._deliveryQueue.size>0;){const[c,t]=this._deliveryQueue.shift();try{typeof c=="function"?c.call(void 0,t):c[0].call(c[1],t)}catch(r){v.onUnexpectedError(r)}}(u=this._perfMon)===null||u===void 0||u.stop()}}dispose(){var g,a,u;(g=this._listeners)===null||g===void 0||g.clear(),(a=this._deliveryQueue)===null||a===void 0||a.clear(),(u=this._leakageMon)===null||u===void 0||u.dispose(),this._disposed=!0}}e.Emitter=p,p._noop=function(){};class f extends p{constructor(g){super(g);this._isPaused=0,this._eventQueue=new P.LinkedList,this._mergeFn=g==null?void 0:g.merge}pause(){this._isPaused++}resume(){if(this._isPaused!==0&&--this._isPaused==0)if(this._mergeFn){const g=Array.from(this._eventQueue);this._eventQueue.clear(),super.fire(this._mergeFn(g))}else for(;!this._isPaused&&this._eventQueue.size!==0;)super.fire(this._eventQueue.shift())}fire(g){this._listeners&&(this._isPaused!==0?this._eventQueue.push(g):super.fire(g))}}e.PauseableEmitter=f;class l{constructor(){this.hasListeners=!1,this.events=[],this.emitter=new p({onFirstListenerAdd:()=>this.onFirstListenerAdd(),onLastListenerRemove:()=>this.onLastListenerRemove()})}get event(){return this.emitter.event}add(g){const a={event:g,listener:null};this.events.push(a),this.hasListeners&&this.hook(a);const u=()=>{this.hasListeners&&this.unhook(a);const c=this.events.indexOf(a);this.events.splice(c,1)};return R.toDisposable(D.once(u))}onFirstListenerAdd(){this.hasListeners=!0,this.events.forEach(g=>this.hook(g))}onLastListenerRemove(){this.hasListeners=!1,this.events.forEach(g=>this.unhook(g))}hook(g){g.listener=g.event(a=>this.emitter.fire(a))}unhook(g){g.listener&&g.listener.dispose(),g.listener=null}dispose(){this.emitter.dispose()}}e.EventMultiplexer=l;class m{constructor(){this.buffers=[]}wrapEvent(g){return(a,u,c)=>g(t=>{const r=this.buffers[this.buffers.length-1];r?r.push(()=>a.call(u,t)):a.call(u,t)},void 0,c)}bufferEvents(g){const a=[];this.buffers.push(a);const u=g();return this.buffers.pop(),a.forEach(c=>c()),u}}e.EventBufferer=m;class S{constructor(){this.listening=!1,this.inputEvent=I.None,this.inputEventListener=R.Disposable.None,this.emitter=new p({onFirstListenerDidAdd:()=>{this.listening=!0,this.inputEventListener=this.inputEvent(this.emitter.fire,this.emitter)},onLastListenerRemove:()=>{this.listening=!1,this.inputEventListener.dispose()}}),this.event=this.emitter.event}set input(g){this.inputEvent=g,this.listening&&(this.inputEventListener.dispose(),this.inputEventListener=g(this.emitter.fire,this.emitter))}dispose(){this.inputEventListener.dispose(),this.emitter.dispose()}}e.Relay=S}),define(ge[21],pe([0,1,3]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CancellationTokenSource=e.CancellationToken=void 0;const D=Object.freeze(function(I,y){const i=setTimeout(I.bind(y),0);return{dispose(){clearTimeout(i)}}});var R;(function(I){function y(i){return i===I.None||i===I.Cancelled||i instanceof P?!0:!i||typeof i!="object"?!1:typeof i.isCancellationRequested=="boolean"&&typeof i.onCancellationRequested=="function"}I.isCancellationToken=y,I.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:v.Event.None}),I.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:D})})(R=e.CancellationToken||(e.CancellationToken={}));class P{constructor(){this._isCancelled=!1,this._emitter=null}cancel(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))}get isCancellationRequested(){return this._isCancelled}get onCancellationRequested(){return this._isCancelled?D:(this._emitter||(this._emitter=new v.Emitter),this._emitter.event)}dispose(){this._emitter&&(this._emitter.dispose(),this._emitter=null)}}class C{constructor(y){this._token=void 0,this._parentListener=void 0,this._parentListener=y&&y.onCancellationRequested(this.cancel,this)}get token(){return this._token||(this._token=new P),this._token}cancel(){this._token?this._token instanceof P&&this._token.cancel():this._token=R.Cancelled}dispose(y=!1){y&&this.cancel(),this._parentListener&&this._parentListener.dispose(),this._token?this._token instanceof P&&this._token.dispose():this._token=R.None}}e.CancellationTokenSource=C}),define(ge[19],pe([0,1,21,15,3,5,58]),function(Q,e,v,D,R,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.AsyncEmitter=e.DeferredPromise=e.IntervalCounter=e.TaskSequentializer=e.retry=e.IdleValue=e.runWhenIdle=e.RunOnceWorker=e.RunOnceScheduler=e.IntervalTimer=e.TimeoutTimer=e.ResourceQueue=e.Queue=e.Limiter=e.firstParallel=e.first=e.sequence=e.ignoreErrors=e.disposableTimeout=e.timeout=e.AutoOpenBarrier=e.Barrier=e.ThrottledDelayer=e.Delayer=e.SequencerByKey=e.Sequencer=e.Throttler=e.asPromise=e.raceTimeout=e.raceCancellablePromises=e.raceCancellation=e.createCancelablePromise=e.isThenable=void 0;function I(N){return!!N&&typeof N.then=="function"}e.isThenable=I;function y(N){const U=new v.CancellationTokenSource,F=N(U.token),O=new Promise(($,q)=>{U.token.onCancellationRequested(()=>{q(D.canceled())}),Promise.resolve(F).then(Z=>{U.dispose(),$(Z)},Z=>{U.dispose(),q(Z)})});return new class{cancel(){U.cancel()}then($,q){return O.then($,q)}catch($){return this.then(void 0,$)}finally($){return O.finally($)}}}e.createCancelablePromise=y;function i(N,U,F){return Promise.race([N,new Promise(O=>U.onCancellationRequested(()=>O(F)))])}e.raceCancellation=i;async function T(N){let U=-1;const F=N.map(($,q)=>$.then(Z=>(U=q,Z))),O=await Promise.race(F);return N.forEach(($,q)=>{q!==U&&$.cancel()}),O}e.raceCancellablePromises=T;function k(N,U,F){let O;const $=setTimeout(()=>{O==null||O(void 0),F==null||F()},U);return Promise.race([N.finally(()=>clearTimeout($)),new Promise(q=>O=q)])}e.raceTimeout=k;function p(N){return new Promise((U,F)=>{const O=N();I(O)?O.then(U,F):U(O)})}e.asPromise=p;class f{constructor(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}queue(U){if(this.activePromise){if(this.queuedPromiseFactory=U,!this.queuedPromise){const F=()=>{this.queuedPromise=null;const O=this.queue(this.queuedPromiseFactory);return this.queuedPromiseFactory=null,O};this.queuedPromise=new Promise(O=>{this.activePromise.then(F,F).then(O)})}return new Promise((F,O)=>{this.queuedPromise.then(F,O)})}return this.activePromise=U(),new Promise((F,O)=>{this.activePromise.then($=>{this.activePromise=null,F($)},$=>{this.activePromise=null,O($)})})}}e.Throttler=f;class l{constructor(){this.current=Promise.resolve(null)}queue(U){return this.current=this.current.then(()=>U(),()=>U())}}e.Sequencer=l;class m{constructor(){this.promiseMap=new Map}queue(U,F){var O;const q=((O=this.promiseMap.get(U))!==null&&O!==void 0?O:Promise.resolve()).catch(()=>{}).then(F).finally(()=>{this.promiseMap.get(U)===q&&this.promiseMap.delete(U)});return this.promiseMap.set(U,q),q}}e.SequencerByKey=m;class S{constructor(U){this.defaultDelay=U,this.timeout=null,this.completionPromise=null,this.doResolve=null,this.doReject=null,this.task=null}trigger(U,F=this.defaultDelay){return this.task=U,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new Promise((O,$)=>{this.doResolve=O,this.doReject=$}).then(()=>{if(this.completionPromise=null,this.doResolve=null,this.task){const O=this.task;return this.task=null,O()}})),this.timeout=setTimeout(()=>{this.timeout=null,this.doResolve&&this.doResolve(null)},F),this.completionPromise}isTriggered(){return this.timeout!==null}cancel(){this.cancelTimeout(),this.completionPromise&&(this.doReject&&this.doReject(D.canceled()),this.completionPromise=null)}cancelTimeout(){this.timeout!==null&&(clearTimeout(this.timeout),this.timeout=null)}dispose(){this.cancelTimeout()}}e.Delayer=S;class _{constructor(U){this.delayer=new S(U),this.throttler=new f}trigger(U,F){return this.delayer.trigger(()=>this.throttler.queue(U),F)}isTriggered(){return this.delayer.isTriggered()}cancel(){this.delayer.cancel()}dispose(){this.delayer.dispose()}}e.ThrottledDelayer=_;class g{constructor(){this._isOpen=!1,this._promise=new Promise((U,F)=>{this._completePromise=U})}isOpen(){return this._isOpen}open(){this._isOpen=!0,this._completePromise(!0)}wait(){return this._promise}}e.Barrier=g;class a extends g{constructor(U){super();this._timeout=setTimeout(()=>this.open(),U)}open(){clearTimeout(this._timeout),super.open()}}e.AutoOpenBarrier=a;function u(N,U){return U?new Promise((F,O)=>{const $=setTimeout(F,N);U.onCancellationRequested(()=>{clearTimeout($),O(D.canceled())})}):y(F=>u(N,F))}e.timeout=u;function c(N,U=0){const F=setTimeout(N,U);return P.toDisposable(()=>clearTimeout(F))}e.disposableTimeout=c;function t(N){return N.then(void 0,U=>{})}e.ignoreErrors=t;function r(N){const U=[];let F=0;const O=N.length;function $(){return F<O?N[F++]():null}function q(Z){Z!=null&&U.push(Z);const ae=$();return ae?ae.then(q):Promise.resolve(U)}return Promise.resolve(null).then(q)}e.sequence=r;function s(N,U=O=>!!O,F=null){let O=0;const $=N.length,q=()=>{if(O>=$)return Promise.resolve(F);const Z=N[O++];return Promise.resolve(Z()).then(fe=>U(fe)?Promise.resolve(fe):q())};return q()}e.first=s;function o(N,U=O=>!!O,F=null){if(N.length===0)return Promise.resolve(F);let O=N.length;const $=()=>{var q,Z;O=-1;for(const ae of N)(Z=(q=ae).cancel)===null||Z===void 0||Z.call(q)};return new Promise((q,Z)=>{for(const ae of N)ae.then(fe=>{--O>=0&&U(fe)?($(),q(fe)):O===0&&q(F)}).catch(fe=>{--O>=0&&($(),Z(fe))})})}e.firstParallel=o;class n{constructor(U){this._size=0,this.maxDegreeOfParalellism=U,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new R.Emitter}get onFinished(){return this._onFinished.event}get size(){return this._size}queue(U){return this._size++,new Promise((F,O)=>{this.outstandingPromises.push({factory:U,c:F,e:O}),this.consume()})}consume(){for(;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){const U=this.outstandingPromises.shift();this.runningPromises++;const F=U.factory();F.then(U.c,U.e),F.then(()=>this.consumed(),()=>this.consumed())}}consumed(){this._size--,this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()}dispose(){this._onFinished.dispose()}}e.Limiter=n;class d extends n{constructor(){super(1)}}e.Queue=d;class w{constructor(){this.queues=new Map}queueFor(U){const F=U.toString();if(!this.queues.has(F)){const O=new d;O.onFinished(()=>{O.dispose(),this.queues.delete(F)}),this.queues.set(F,O)}return this.queues.get(F)}dispose(){this.queues.forEach(U=>U.dispose()),this.queues.clear()}}e.ResourceQueue=w;class E{constructor(U,F){this._token=-1,typeof U=="function"&&typeof F=="number"&&this.setIfNotSet(U,F)}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearTimeout(this._token),this._token=-1)}cancelAndSet(U,F){this.cancel(),this._token=setTimeout(()=>{this._token=-1,U()},F)}setIfNotSet(U,F){this._token===-1&&(this._token=setTimeout(()=>{this._token=-1,U()},F))}}e.TimeoutTimer=E;class h{constructor(){this._token=-1}dispose(){this.cancel()}cancel(){this._token!==-1&&(clearInterval(this._token),this._token=-1)}cancelAndSet(U,F){this.cancel(),this._token=setInterval(()=>{U()},F)}}e.IntervalTimer=h;class b{constructor(U,F){this.timeoutToken=-1,this.runner=U,this.timeout=F,this.timeoutHandler=this.onTimeout.bind(this)}dispose(){this.cancel(),this.runner=null}cancel(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)}schedule(U=this.timeout){this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,U)}get delay(){return this.timeout}set delay(U){this.timeout=U}isScheduled(){return this.timeoutToken!==-1}onTimeout(){this.timeoutToken=-1,this.runner&&this.doRun()}doRun(){this.runner&&this.runner()}}e.RunOnceScheduler=b;class A extends b{constructor(U,F){super(U,F);this.units=[]}work(U){this.units.push(U),this.isScheduled()||this.schedule()}doRun(){const U=this.units;this.units=[],this.runner&&this.runner(U)}dispose(){this.units=[],super.dispose()}}e.RunOnceWorker=A,function(){if(typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"){const N=Object.freeze({didTimeout:!0,timeRemaining(){return 15}});e.runWhenIdle=U=>{const F=setTimeout(()=>U(N));let O=!1;return{dispose(){O||(O=!0,clearTimeout(F))}}}}else e.runWhenIdle=(N,U)=>{const F=requestIdleCallback(N,typeof U=="number"?{timeout:U}:void 0);let O=!1;return{dispose(){O||(O=!0,cancelIdleCallback(F))}}}}();class L{constructor(U){this._didRun=!1,this._executor=()=>{try{this._value=U()}catch(F){this._error=F}finally{this._didRun=!0}},this._handle=e.runWhenIdle(()=>this._executor())}dispose(){this._handle.dispose()}get value(){if(this._didRun||(this._handle.dispose(),this._executor()),this._error)throw this._error;return this._value}}e.IdleValue=L;async function M(N,U,F){let O;for(let $=0;$<F;$++)try{return await N()}catch(q){O=q,await u(U)}throw O}e.retry=M;class z{hasPending(U){return this._pending?typeof U=="number"?this._pending.taskId===U:!!this._pending:!1}get pending(){return this._pending?this._pending.promise:void 0}cancelPending(){var U;(U=this._pending)===null||U===void 0||U.cancel()}setPending(U,F,O){return this._pending={taskId:U,cancel:()=>O==null?void 0:O(),promise:F},F.then(()=>this.donePending(U),()=>this.donePending(U)),F}donePending(U){this._pending&&U===this._pending.taskId&&(this._pending=void 0,this.triggerNext())}triggerNext(){if(this._next){const U=this._next;this._next=void 0,U.run().then(U.promiseResolve,U.promiseReject)}}setNext(U){if(this._next)this._next.run=U;else{let F,O;const $=new Promise((q,Z)=>{F=q,O=Z});this._next={run:U,promise:$,promiseResolve:F,promiseReject:O}}return this._next.promise}}e.TaskSequentializer=z;class V{constructor(U){this.interval=U,this.lastIncrementTime=0,this.value=0}increment(){const U=Date.now();return U-this.lastIncrementTime>this.interval&&(this.lastIncrementTime=U,this.value=0),this.value++,this.value}}e.IntervalCounter=V;class W{constructor(){this.rejected=!1,this.resolved=!1,this.p=new Promise((U,F)=>{this.completeCallback=U,this.errorCallback=F})}get isRejected(){return this.rejected}get isResolved(){return this.resolved}get isSettled(){return this.rejected||this.resolved}complete(U){return new Promise(F=>{this.completeCallback(U),this.resolved=!0,F()})}error(U){return new Promise(F=>{this.errorCallback(U),this.rejected=!0,F()})}cancel(){new Promise(U=>{this.errorCallback(D.canceled()),this.rejected=!0,U()})}}e.DeferredPromise=W;class K extends R.Emitter{async fireAsync(U,F,O){if(!!this._listeners){this._asyncDeliveryQueue||(this._asyncDeliveryQueue=new C.LinkedList);for(const $ of this._listeners)this._asyncDeliveryQueue.push([$,U]);for(;this._asyncDeliveryQueue.size>0&&!F.isCancellationRequested;){const[$,q]=this._asyncDeliveryQueue.shift(),Z=[],ae=Object.assign(Object.assign({},q),{waitUntil:fe=>{if(Object.isFrozen(Z))throw new Error("waitUntil can NOT be called asynchronous");O&&(fe=O(fe,typeof $=="function"?$:$[0])),Z.push(fe)}});try{typeof $=="function"?$.call(void 0,ae):$[0].call($[1],ae)}catch(fe){D.onUnexpectedError(fe);continue}Object.freeze(Z),await x.settled(Z).catch(fe=>D.onUnexpectedError(fe))}}}}e.AsyncEmitter=K;var x;(function(N){async function U(q){return typeof Promise.allSettled=="function"?F(q):O(q)}N.allSettled=U;async function F(q){return Promise.allSettled(q)}async function O(q){return Promise.all(q.map(Z=>Z.then(ae=>({status:"fulfilled",value:ae}),ae=>({status:"rejected",reason:ae}))))}async function $(q){let Z;const ae=await Promise.all(q.map(fe=>fe.then(Te=>Te,Te=>{Z||(Z=Te)})));if(typeof Z!="undefined")throw Z;return ae}N.settled=$})(x=e.Promises||(e.Promises={}))}),define(ge[47],pe([0,1,3]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CSSIcon=e.getClassNamesArray=e.Codicon=e.registerCodicon=e.iconRegistry=void 0;class D{constructor(){this._icons=new Map,this._onDidRegister=new v.Emitter}add(T){const k=this._icons.get(T.id);k?T.description?k.description=T.description:console.error(`Duplicate registration of codicon ${T.id}`):(this._icons.set(T.id,T),this._onDidRegister.fire(T))}get(T){return this._icons.get(T)}get all(){return this._icons.values()}get onDidRegister(){return this._onDidRegister.event}}const R=new D;e.iconRegistry=R;function P(i,T){return new C(i,T)}e.registerCodicon=P;class C{constructor(T,k,p){this.id=T,this.definition=k,this.description=p,R.add(this)}get classNames(){return"codicon codicon-"+this.id}get classNamesArray(){return["codicon","codicon-"+this.id]}get cssSelector(){return".codicon.codicon-"+this.id}}e.Codicon=C;function I(i,T){const k=["codicon","codicon-"+i];return T&&k.push("codicon-modifier-"+T),k}e.getClassNamesArray=I;var y;(function(i){i.iconNameSegment="[A-Za-z0-9]+",i.iconNameExpression="[A-Za-z0-9\\-]+",i.iconModifierExpression="~[A-Za-z]+";const T=new RegExp(`^(${i.iconNameExpression})(${i.iconModifierExpression})?$`);function k(l){if(l instanceof C)return["codicon","codicon-"+l.id];const m=T.exec(l.id);if(!m)return k(C.error);let[,S,_]=m;const g=["codicon","codicon-"+S];return _&&g.push("codicon-modifier-"+_.substr(1)),g}i.asClassNameArray=k;function p(l){return k(l).join(" ")}i.asClassName=p;function f(l){return"."+k(l).join(".")}i.asCSSSelector=f})(y=e.CSSIcon||(e.CSSIcon={})),function(i){i.add=new i("add",{fontCharacter:"\\ea60"}),i.plus=new i("plus",{fontCharacter:"\\ea60"}),i.gistNew=new i("gist-new",{fontCharacter:"\\ea60"}),i.repoCreate=new i("repo-create",{fontCharacter:"\\ea60"}),i.lightbulb=new i("lightbulb",{fontCharacter:"\\ea61"}),i.lightBulb=new i("light-bulb",{fontCharacter:"\\ea61"}),i.repo=new i("repo",{fontCharacter:"\\ea62"}),i.repoDelete=new i("repo-delete",{fontCharacter:"\\ea62"}),i.gistFork=new i("gist-fork",{fontCharacter:"\\ea63"}),i.repoForked=new i("repo-forked",{fontCharacter:"\\ea63"}),i.gitPullRequest=new i("git-pull-request",{fontCharacter:"\\ea64"}),i.gitPullRequestAbandoned=new i("git-pull-request-abandoned",{fontCharacter:"\\ea64"}),i.recordKeys=new i("record-keys",{fontCharacter:"\\ea65"}),i.keyboard=new i("keyboard",{fontCharacter:"\\ea65"}),i.tag=new i("tag",{fontCharacter:"\\ea66"}),i.tagAdd=new i("tag-add",{fontCharacter:"\\ea66"}),i.tagRemove=new i("tag-remove",{fontCharacter:"\\ea66"}),i.person=new i("person",{fontCharacter:"\\ea67"}),i.personAdd=new i("person-add",{fontCharacter:"\\ea67"}),i.personFollow=new i("person-follow",{fontCharacter:"\\ea67"}),i.personOutline=new i("person-outline",{fontCharacter:"\\ea67"}),i.personFilled=new i("person-filled",{fontCharacter:"\\ea67"}),i.gitBranch=new i("git-branch",{fontCharacter:"\\ea68"}),i.gitBranchCreate=new i("git-branch-create",{fontCharacter:"\\ea68"}),i.gitBranchDelete=new i("git-branch-delete",{fontCharacter:"\\ea68"}),i.sourceControl=new i("source-control",{fontCharacter:"\\ea68"}),i.mirror=new i("mirror",{fontCharacter:"\\ea69"}),i.mirrorPublic=new i("mirror-public",{fontCharacter:"\\ea69"}),i.star=new i("star",{fontCharacter:"\\ea6a"}),i.starAdd=new i("star-add",{fontCharacter:"\\ea6a"}),i.starDelete=new i("star-delete",{fontCharacter:"\\ea6a"}),i.starEmpty=new i("star-empty",{fontCharacter:"\\ea6a"}),i.comment=new i("comment",{fontCharacter:"\\ea6b"}),i.commentAdd=new i("comment-add",{fontCharacter:"\\ea6b"}),i.alert=new i("alert",{fontCharacter:"\\ea6c"}),i.warning=new i("warning",{fontCharacter:"\\ea6c"}),i.search=new i("search",{fontCharacter:"\\ea6d"}),i.searchSave=new i("search-save",{fontCharacter:"\\ea6d"}),i.logOut=new i("log-out",{fontCharacter:"\\ea6e"}),i.signOut=new i("sign-out",{fontCharacter:"\\ea6e"}),i.logIn=new i("log-in",{fontCharacter:"\\ea6f"}),i.signIn=new i("sign-in",{fontCharacter:"\\ea6f"}),i.eye=new i("eye",{fontCharacter:"\\ea70"}),i.eyeUnwatch=new i("eye-unwatch",{fontCharacter:"\\ea70"}),i.eyeWatch=new i("eye-watch",{fontCharacter:"\\ea70"}),i.circleFilled=new i("circle-filled",{fontCharacter:"\\ea71"}),i.primitiveDot=new i("primitive-dot",{fontCharacter:"\\ea71"}),i.closeDirty=new i("close-dirty",{fontCharacter:"\\ea71"}),i.debugBreakpoint=new i("debug-breakpoint",{fontCharacter:"\\ea71"}),i.debugBreakpointDisabled=new i("debug-breakpoint-disabled",{fontCharacter:"\\ea71"}),i.debugHint=new i("debug-hint",{fontCharacter:"\\ea71"}),i.primitiveSquare=new i("primitive-square",{fontCharacter:"\\ea72"}),i.edit=new i("edit",{fontCharacter:"\\ea73"}),i.pencil=new i("pencil",{fontCharacter:"\\ea73"}),i.info=new i("info",{fontCharacter:"\\ea74"}),i.issueOpened=new i("issue-opened",{fontCharacter:"\\ea74"}),i.gistPrivate=new i("gist-private",{fontCharacter:"\\ea75"}),i.gitForkPrivate=new i("git-fork-private",{fontCharacter:"\\ea75"}),i.lock=new i("lock",{fontCharacter:"\\ea75"}),i.mirrorPrivate=new i("mirror-private",{fontCharacter:"\\ea75"}),i.close=new i("close",{fontCharacter:"\\ea76"}),i.removeClose=new i("remove-close",{fontCharacter:"\\ea76"}),i.x=new i("x",{fontCharacter:"\\ea76"}),i.repoSync=new i("repo-sync",{fontCharacter:"\\ea77"}),i.sync=new i("sync",{fontCharacter:"\\ea77"}),i.clone=new i("clone",{fontCharacter:"\\ea78"}),i.desktopDownload=new i("desktop-download",{fontCharacter:"\\ea78"}),i.beaker=new i("beaker",{fontCharacter:"\\ea79"}),i.microscope=new i("microscope",{fontCharacter:"\\ea79"}),i.vm=new i("vm",{fontCharacter:"\\ea7a"}),i.deviceDesktop=new i("device-desktop",{fontCharacter:"\\ea7a"}),i.file=new i("file",{fontCharacter:"\\ea7b"}),i.fileText=new i("file-text",{fontCharacter:"\\ea7b"}),i.more=new i("more",{fontCharacter:"\\ea7c"}),i.ellipsis=new i("ellipsis",{fontCharacter:"\\ea7c"}),i.kebabHorizontal=new i("kebab-horizontal",{fontCharacter:"\\ea7c"}),i.mailReply=new i("mail-reply",{fontCharacter:"\\ea7d"}),i.reply=new i("reply",{fontCharacter:"\\ea7d"}),i.organization=new i("organization",{fontCharacter:"\\ea7e"}),i.organizationFilled=new i("organization-filled",{fontCharacter:"\\ea7e"}),i.organizationOutline=new i("organization-outline",{fontCharacter:"\\ea7e"}),i.newFile=new i("new-file",{fontCharacter:"\\ea7f"}),i.fileAdd=new i("file-add",{fontCharacter:"\\ea7f"}),i.newFolder=new i("new-folder",{fontCharacter:"\\ea80"}),i.fileDirectoryCreate=new i("file-directory-create",{fontCharacter:"\\ea80"}),i.trash=new i("trash",{fontCharacter:"\\ea81"}),i.trashcan=new i("trashcan",{fontCharacter:"\\ea81"}),i.history=new i("history",{fontCharacter:"\\ea82"}),i.clock=new i("clock",{fontCharacter:"\\ea82"}),i.folder=new i("folder",{fontCharacter:"\\ea83"}),i.fileDirectory=new i("file-directory",{fontCharacter:"\\ea83"}),i.symbolFolder=new i("symbol-folder",{fontCharacter:"\\ea83"}),i.logoGithub=new i("logo-github",{fontCharacter:"\\ea84"}),i.markGithub=new i("mark-github",{fontCharacter:"\\ea84"}),i.github=new i("github",{fontCharacter:"\\ea84"}),i.terminal=new i("terminal",{fontCharacter:"\\ea85"}),i.console=new i("console",{fontCharacter:"\\ea85"}),i.repl=new i("repl",{fontCharacter:"\\ea85"}),i.zap=new i("zap",{fontCharacter:"\\ea86"}),i.symbolEvent=new i("symbol-event",{fontCharacter:"\\ea86"}),i.error=new i("error",{fontCharacter:"\\ea87"}),i.stop=new i("stop",{fontCharacter:"\\ea87"}),i.variable=new i("variable",{fontCharacter:"\\ea88"}),i.symbolVariable=new i("symbol-variable",{fontCharacter:"\\ea88"}),i.array=new i("array",{fontCharacter:"\\ea8a"}),i.symbolArray=new i("symbol-array",{fontCharacter:"\\ea8a"}),i.symbolModule=new i("symbol-module",{fontCharacter:"\\ea8b"}),i.symbolPackage=new i("symbol-package",{fontCharacter:"\\ea8b"}),i.symbolNamespace=new i("symbol-namespace",{fontCharacter:"\\ea8b"}),i.symbolObject=new i("symbol-object",{fontCharacter:"\\ea8b"}),i.symbolMethod=new i("symbol-method",{fontCharacter:"\\ea8c"}),i.symbolFunction=new i("symbol-function",{fontCharacter:"\\ea8c"}),i.symbolConstructor=new i("symbol-constructor",{fontCharacter:"\\ea8c"}),i.symbolBoolean=new i("symbol-boolean",{fontCharacter:"\\ea8f"}),i.symbolNull=new i("symbol-null",{fontCharacter:"\\ea8f"}),i.symbolNumeric=new i("symbol-numeric",{fontCharacter:"\\ea90"}),i.symbolNumber=new i("symbol-number",{fontCharacter:"\\ea90"}),i.symbolStructure=new i("symbol-structure",{fontCharacter:"\\ea91"}),i.symbolStruct=new i("symbol-struct",{fontCharacter:"\\ea91"}),i.symbolParameter=new i("symbol-parameter",{fontCharacter:"\\ea92"}),i.symbolTypeParameter=new i("symbol-type-parameter",{fontCharacter:"\\ea92"}),i.symbolKey=new i("symbol-key",{fontCharacter:"\\ea93"}),i.symbolText=new i("symbol-text",{fontCharacter:"\\ea93"}),i.symbolReference=new i("symbol-reference",{fontCharacter:"\\ea94"}),i.goToFile=new i("go-to-file",{fontCharacter:"\\ea94"}),i.symbolEnum=new i("symbol-enum",{fontCharacter:"\\ea95"}),i.symbolValue=new i("symbol-value",{fontCharacter:"\\ea95"}),i.symbolRuler=new i("symbol-ruler",{fontCharacter:"\\ea96"}),i.symbolUnit=new i("symbol-unit",{fontCharacter:"\\ea96"}),i.activateBreakpoints=new i("activate-breakpoints",{fontCharacter:"\\ea97"}),i.archive=new i("archive",{fontCharacter:"\\ea98"}),i.arrowBoth=new i("arrow-both",{fontCharacter:"\\ea99"}),i.arrowDown=new i("arrow-down",{fontCharacter:"\\ea9a"}),i.arrowLeft=new i("arrow-left",{fontCharacter:"\\ea9b"}),i.arrowRight=new i("arrow-right",{fontCharacter:"\\ea9c"}),i.arrowSmallDown=new i("arrow-small-down",{fontCharacter:"\\ea9d"}),i.arrowSmallLeft=new i("arrow-small-left",{fontCharacter:"\\ea9e"}),i.arrowSmallRight=new i("arrow-small-right",{fontCharacter:"\\ea9f"}),i.arrowSmallUp=new i("arrow-small-up",{fontCharacter:"\\eaa0"}),i.arrowUp=new i("arrow-up",{fontCharacter:"\\eaa1"}),i.bell=new i("bell",{fontCharacter:"\\eaa2"}),i.bold=new i("bold",{fontCharacter:"\\eaa3"}),i.book=new i("book",{fontCharacter:"\\eaa4"}),i.bookmark=new i("bookmark",{fontCharacter:"\\eaa5"}),i.debugBreakpointConditionalUnverified=new i("debug-breakpoint-conditional-unverified",{fontCharacter:"\\eaa6"}),i.debugBreakpointConditional=new i("debug-breakpoint-conditional",{fontCharacter:"\\eaa7"}),i.debugBreakpointConditionalDisabled=new i("debug-breakpoint-conditional-disabled",{fontCharacter:"\\eaa7"}),i.debugBreakpointDataUnverified=new i("debug-breakpoint-data-unverified",{fontCharacter:"\\eaa8"}),i.debugBreakpointData=new i("debug-breakpoint-data",{fontCharacter:"\\eaa9"}),i.debugBreakpointDataDisabled=new i("debug-breakpoint-data-disabled",{fontCharacter:"\\eaa9"}),i.debugBreakpointLogUnverified=new i("debug-breakpoint-log-unverified",{fontCharacter:"\\eaaa"}),i.debugBreakpointLog=new i("debug-breakpoint-log",{fontCharacter:"\\eaab"}),i.debugBreakpointLogDisabled=new i("debug-breakpoint-log-disabled",{fontCharacter:"\\eaab"}),i.briefcase=new i("briefcase",{fontCharacter:"\\eaac"}),i.broadcast=new i("broadcast",{fontCharacter:"\\eaad"}),i.browser=new i("browser",{fontCharacter:"\\eaae"}),i.bug=new i("bug",{fontCharacter:"\\eaaf"}),i.calendar=new i("calendar",{fontCharacter:"\\eab0"}),i.caseSensitive=new i("case-sensitive",{fontCharacter:"\\eab1"}),i.check=new i("check",{fontCharacter:"\\eab2"}),i.checklist=new i("checklist",{fontCharacter:"\\eab3"}),i.chevronDown=new i("chevron-down",{fontCharacter:"\\eab4"}),i.chevronLeft=new i("chevron-left",{fontCharacter:"\\eab5"}),i.chevronRight=new i("chevron-right",{fontCharacter:"\\eab6"}),i.chevronUp=new i("chevron-up",{fontCharacter:"\\eab7"}),i.chromeClose=new i("chrome-close",{fontCharacter:"\\eab8"}),i.chromeMaximize=new i("chrome-maximize",{fontCharacter:"\\eab9"}),i.chromeMinimize=new i("chrome-minimize",{fontCharacter:"\\eaba"}),i.chromeRestore=new i("chrome-restore",{fontCharacter:"\\eabb"}),i.circleOutline=new i("circle-outline",{fontCharacter:"\\eabc"}),i.debugBreakpointUnverified=new i("debug-breakpoint-unverified",{fontCharacter:"\\eabc"}),i.circleSlash=new i("circle-slash",{fontCharacter:"\\eabd"}),i.circuitBoard=new i("circuit-board",{fontCharacter:"\\eabe"}),i.clearAll=new i("clear-all",{fontCharacter:"\\eabf"}),i.clippy=new i("clippy",{fontCharacter:"\\eac0"}),i.closeAll=new i("close-all",{fontCharacter:"\\eac1"}),i.cloudDownload=new i("cloud-download",{fontCharacter:"\\eac2"}),i.cloudUpload=new i("cloud-upload",{fontCharacter:"\\eac3"}),i.code=new i("code",{fontCharacter:"\\eac4"}),i.collapseAll=new i("collapse-all",{fontCharacter:"\\eac5"}),i.colorMode=new i("color-mode",{fontCharacter:"\\eac6"}),i.commentDiscussion=new i("comment-discussion",{fontCharacter:"\\eac7"}),i.compareChanges=new i("compare-changes",{fontCharacter:"\\eafd"}),i.creditCard=new i("credit-card",{fontCharacter:"\\eac9"}),i.dash=new i("dash",{fontCharacter:"\\eacc"}),i.dashboard=new i("dashboard",{fontCharacter:"\\eacd"}),i.database=new i("database",{fontCharacter:"\\eace"}),i.debugContinue=new i("debug-continue",{fontCharacter:"\\eacf"}),i.debugDisconnect=new i("debug-disconnect",{fontCharacter:"\\ead0"}),i.debugPause=new i("debug-pause",{fontCharacter:"\\ead1"}),i.debugRestart=new i("debug-restart",{fontCharacter:"\\ead2"}),i.debugStart=new i("debug-start",{fontCharacter:"\\ead3"}),i.debugStepInto=new i("debug-step-into",{fontCharacter:"\\ead4"}),i.debugStepOut=new i("debug-step-out",{fontCharacter:"\\ead5"}),i.debugStepOver=new i("debug-step-over",{fontCharacter:"\\ead6"}),i.debugStop=new i("debug-stop",{fontCharacter:"\\ead7"}),i.debug=new i("debug",{fontCharacter:"\\ead8"}),i.deviceCameraVideo=new i("device-camera-video",{fontCharacter:"\\ead9"}),i.deviceCamera=new i("device-camera",{fontCharacter:"\\eada"}),i.deviceMobile=new i("device-mobile",{fontCharacter:"\\eadb"}),i.diffAdded=new i("diff-added",{fontCharacter:"\\eadc"}),i.diffIgnored=new i("diff-ignored",{fontCharacter:"\\eadd"}),i.diffModified=new i("diff-modified",{fontCharacter:"\\eade"}),i.diffRemoved=new i("diff-removed",{fontCharacter:"\\eadf"}),i.diffRenamed=new i("diff-renamed",{fontCharacter:"\\eae0"}),i.diff=new i("diff",{fontCharacter:"\\eae1"}),i.discard=new i("discard",{fontCharacter:"\\eae2"}),i.editorLayout=new i("editor-layout",{fontCharacter:"\\eae3"}),i.emptyWindow=new i("empty-window",{fontCharacter:"\\eae4"}),i.exclude=new i("exclude",{fontCharacter:"\\eae5"}),i.extensions=new i("extensions",{fontCharacter:"\\eae6"}),i.eyeClosed=new i("eye-closed",{fontCharacter:"\\eae7"}),i.fileBinary=new i("file-binary",{fontCharacter:"\\eae8"}),i.fileCode=new i("file-code",{fontCharacter:"\\eae9"}),i.fileMedia=new i("file-media",{fontCharacter:"\\eaea"}),i.filePdf=new i("file-pdf",{fontCharacter:"\\eaeb"}),i.fileSubmodule=new i("file-submodule",{fontCharacter:"\\eaec"}),i.fileSymlinkDirectory=new i("file-symlink-directory",{fontCharacter:"\\eaed"}),i.fileSymlinkFile=new i("file-symlink-file",{fontCharacter:"\\eaee"}),i.fileZip=new i("file-zip",{fontCharacter:"\\eaef"}),i.files=new i("files",{fontCharacter:"\\eaf0"}),i.filter=new i("filter",{fontCharacter:"\\eaf1"}),i.flame=new i("flame",{fontCharacter:"\\eaf2"}),i.foldDown=new i("fold-down",{fontCharacter:"\\eaf3"}),i.foldUp=new i("fold-up",{fontCharacter:"\\eaf4"}),i.fold=new i("fold",{fontCharacter:"\\eaf5"}),i.folderActive=new i("folder-active",{fontCharacter:"\\eaf6"}),i.folderOpened=new i("folder-opened",{fontCharacter:"\\eaf7"}),i.gear=new i("gear",{fontCharacter:"\\eaf8"}),i.gift=new i("gift",{fontCharacter:"\\eaf9"}),i.gistSecret=new i("gist-secret",{fontCharacter:"\\eafa"}),i.gist=new i("gist",{fontCharacter:"\\eafb"}),i.gitCommit=new i("git-commit",{fontCharacter:"\\eafc"}),i.gitCompare=new i("git-compare",{fontCharacter:"\\eafd"}),i.gitMerge=new i("git-merge",{fontCharacter:"\\eafe"}),i.githubAction=new i("github-action",{fontCharacter:"\\eaff"}),i.githubAlt=new i("github-alt",{fontCharacter:"\\eb00"}),i.globe=new i("globe",{fontCharacter:"\\eb01"}),i.grabber=new i("grabber",{fontCharacter:"\\eb02"}),i.graph=new i("graph",{fontCharacter:"\\eb03"}),i.gripper=new i("gripper",{fontCharacter:"\\eb04"}),i.heart=new i("heart",{fontCharacter:"\\eb05"}),i.home=new i("home",{fontCharacter:"\\eb06"}),i.horizontalRule=new i("horizontal-rule",{fontCharacter:"\\eb07"}),i.hubot=new i("hubot",{fontCharacter:"\\eb08"}),i.inbox=new i("inbox",{fontCharacter:"\\eb09"}),i.issueClosed=new i("issue-closed",{fontCharacter:"\\eb0a"}),i.issueReopened=new i("issue-reopened",{fontCharacter:"\\eb0b"}),i.issues=new i("issues",{fontCharacter:"\\eb0c"}),i.italic=new i("italic",{fontCharacter:"\\eb0d"}),i.jersey=new i("jersey",{fontCharacter:"\\eb0e"}),i.json=new i("json",{fontCharacter:"\\eb0f"}),i.kebabVertical=new i("kebab-vertical",{fontCharacter:"\\eb10"}),i.key=new i("key",{fontCharacter:"\\eb11"}),i.law=new i("law",{fontCharacter:"\\eb12"}),i.lightbulbAutofix=new i("lightbulb-autofix",{fontCharacter:"\\eb13"}),i.linkExternal=new i("link-external",{fontCharacter:"\\eb14"}),i.link=new i("link",{fontCharacter:"\\eb15"}),i.listOrdered=new i("list-ordered",{fontCharacter:"\\eb16"}),i.listUnordered=new i("list-unordered",{fontCharacter:"\\eb17"}),i.liveShare=new i("live-share",{fontCharacter:"\\eb18"}),i.loading=new i("loading",{fontCharacter:"\\eb19"}),i.location=new i("location",{fontCharacter:"\\eb1a"}),i.mailRead=new i("mail-read",{fontCharacter:"\\eb1b"}),i.mail=new i("mail",{fontCharacter:"\\eb1c"}),i.markdown=new i("markdown",{fontCharacter:"\\eb1d"}),i.megaphone=new i("megaphone",{fontCharacter:"\\eb1e"}),i.mention=new i("mention",{fontCharacter:"\\eb1f"}),i.milestone=new i("milestone",{fontCharacter:"\\eb20"}),i.mortarBoard=new i("mortar-board",{fontCharacter:"\\eb21"}),i.move=new i("move",{fontCharacter:"\\eb22"}),i.multipleWindows=new i("multiple-windows",{fontCharacter:"\\eb23"}),i.mute=new i("mute",{fontCharacter:"\\eb24"}),i.noNewline=new i("no-newline",{fontCharacter:"\\eb25"}),i.note=new i("note",{fontCharacter:"\\eb26"}),i.octoface=new i("octoface",{fontCharacter:"\\eb27"}),i.openPreview=new i("open-preview",{fontCharacter:"\\eb28"}),i.package_=new i("package",{fontCharacter:"\\eb29"}),i.paintcan=new i("paintcan",{fontCharacter:"\\eb2a"}),i.pin=new i("pin",{fontCharacter:"\\eb2b"}),i.play=new i("play",{fontCharacter:"\\eb2c"}),i.run=new i("run",{fontCharacter:"\\eb2c"}),i.plug=new i("plug",{fontCharacter:"\\eb2d"}),i.preserveCase=new i("preserve-case",{fontCharacter:"\\eb2e"}),i.preview=new i("preview",{fontCharacter:"\\eb2f"}),i.project=new i("project",{fontCharacter:"\\eb30"}),i.pulse=new i("pulse",{fontCharacter:"\\eb31"}),i.question=new i("question",{fontCharacter:"\\eb32"}),i.quote=new i("quote",{fontCharacter:"\\eb33"}),i.radioTower=new i("radio-tower",{fontCharacter:"\\eb34"}),i.reactions=new i("reactions",{fontCharacter:"\\eb35"}),i.references=new i("references",{fontCharacter:"\\eb36"}),i.refresh=new i("refresh",{fontCharacter:"\\eb37"}),i.regex=new i("regex",{fontCharacter:"\\eb38"}),i.remoteExplorer=new i("remote-explorer",{fontCharacter:"\\eb39"}),i.remote=new i("remote",{fontCharacter:"\\eb3a"}),i.remove=new i("remove",{fontCharacter:"\\eb3b"}),i.replaceAll=new i("replace-all",{fontCharacter:"\\eb3c"}),i.replace=new i("replace",{fontCharacter:"\\eb3d"}),i.repoClone=new i("repo-clone",{fontCharacter:"\\eb3e"}),i.repoForcePush=new i("repo-force-push",{fontCharacter:"\\eb3f"}),i.repoPull=new i("repo-pull",{fontCharacter:"\\eb40"}),i.repoPush=new i("repo-push",{fontCharacter:"\\eb41"}),i.report=new i("report",{fontCharacter:"\\eb42"}),i.requestChanges=new i("request-changes",{fontCharacter:"\\eb43"}),i.rocket=new i("rocket",{fontCharacter:"\\eb44"}),i.rootFolderOpened=new i("root-folder-opened",{fontCharacter:"\\eb45"}),i.rootFolder=new i("root-folder",{fontCharacter:"\\eb46"}),i.rss=new i("rss",{fontCharacter:"\\eb47"}),i.ruby=new i("ruby",{fontCharacter:"\\eb48"}),i.saveAll=new i("save-all",{fontCharacter:"\\eb49"}),i.saveAs=new i("save-as",{fontCharacter:"\\eb4a"}),i.save=new i("save",{fontCharacter:"\\eb4b"}),i.screenFull=new i("screen-full",{fontCharacter:"\\eb4c"}),i.screenNormal=new i("screen-normal",{fontCharacter:"\\eb4d"}),i.searchStop=new i("search-stop",{fontCharacter:"\\eb4e"}),i.server=new i("server",{fontCharacter:"\\eb50"}),i.settingsGear=new i("settings-gear",{fontCharacter:"\\eb51"}),i.settings=new i("settings",{fontCharacter:"\\eb52"}),i.shield=new i("shield",{fontCharacter:"\\eb53"}),i.smiley=new i("smiley",{fontCharacter:"\\eb54"}),i.sortPrecedence=new i("sort-precedence",{fontCharacter:"\\eb55"}),i.splitHorizontal=new i("split-horizontal",{fontCharacter:"\\eb56"}),i.splitVertical=new i("split-vertical",{fontCharacter:"\\eb57"}),i.squirrel=new i("squirrel",{fontCharacter:"\\eb58"}),i.starFull=new i("star-full",{fontCharacter:"\\eb59"}),i.starHalf=new i("star-half",{fontCharacter:"\\eb5a"}),i.symbolClass=new i("symbol-class",{fontCharacter:"\\eb5b"}),i.symbolColor=new i("symbol-color",{fontCharacter:"\\eb5c"}),i.symbolConstant=new i("symbol-constant",{fontCharacter:"\\eb5d"}),i.symbolEnumMember=new i("symbol-enum-member",{fontCharacter:"\\eb5e"}),i.symbolField=new i("symbol-field",{fontCharacter:"\\eb5f"}),i.symbolFile=new i("symbol-file",{fontCharacter:"\\eb60"}),i.symbolInterface=new i("symbol-interface",{fontCharacter:"\\eb61"}),i.symbolKeyword=new i("symbol-keyword",{fontCharacter:"\\eb62"}),i.symbolMisc=new i("symbol-misc",{fontCharacter:"\\eb63"}),i.symbolOperator=new i("symbol-operator",{fontCharacter:"\\eb64"}),i.symbolProperty=new i("symbol-property",{fontCharacter:"\\eb65"}),i.wrench=new i("wrench",{fontCharacter:"\\eb65"}),i.wrenchSubaction=new i("wrench-subaction",{fontCharacter:"\\eb65"}),i.symbolSnippet=new i("symbol-snippet",{fontCharacter:"\\eb66"}),i.tasklist=new i("tasklist",{fontCharacter:"\\eb67"}),i.telescope=new i("telescope",{fontCharacter:"\\eb68"}),i.textSize=new i("text-size",{fontCharacter:"\\eb69"}),i.threeBars=new i("three-bars",{fontCharacter:"\\eb6a"}),i.thumbsdown=new i("thumbsdown",{fontCharacter:"\\eb6b"}),i.thumbsup=new i("thumbsup",{fontCharacter:"\\eb6c"}),i.tools=new i("tools",{fontCharacter:"\\eb6d"}),i.triangleDown=new i("triangle-down",{fontCharacter:"\\eb6e"}),i.triangleLeft=new i("triangle-left",{fontCharacter:"\\eb6f"}),i.triangleRight=new i("triangle-right",{fontCharacter:"\\eb70"}),i.triangleUp=new i("triangle-up",{fontCharacter:"\\eb71"}),i.twitter=new i("twitter",{fontCharacter:"\\eb72"}),i.unfold=new i("unfold",{fontCharacter:"\\eb73"}),i.unlock=new i("unlock",{fontCharacter:"\\eb74"}),i.unmute=new i("unmute",{fontCharacter:"\\eb75"}),i.unverified=new i("unverified",{fontCharacter:"\\eb76"}),i.verified=new i("verified",{fontCharacter:"\\eb77"}),i.versions=new i("versions",{fontCharacter:"\\eb78"}),i.vmActive=new i("vm-active",{fontCharacter:"\\eb79"}),i.vmOutline=new i("vm-outline",{fontCharacter:"\\eb7a"}),i.vmRunning=new i("vm-running",{fontCharacter:"\\eb7b"}),i.watch=new i("watch",{fontCharacter:"\\eb7c"}),i.whitespace=new i("whitespace",{fontCharacter:"\\eb7d"}),i.wholeWord=new i("whole-word",{fontCharacter:"\\eb7e"}),i.window=new i("window",{fontCharacter:"\\eb7f"}),i.wordWrap=new i("word-wrap",{fontCharacter:"\\eb80"}),i.zoomIn=new i("zoom-in",{fontCharacter:"\\eb81"}),i.zoomOut=new i("zoom-out",{fontCharacter:"\\eb82"}),i.listFilter=new i("list-filter",{fontCharacter:"\\eb83"}),i.listFlat=new i("list-flat",{fontCharacter:"\\eb84"}),i.listSelection=new i("list-selection",{fontCharacter:"\\eb85"}),i.selection=new i("selection",{fontCharacter:"\\eb85"}),i.listTree=new i("list-tree",{fontCharacter:"\\eb86"}),i.debugBreakpointFunctionUnverified=new i("debug-breakpoint-function-unverified",{fontCharacter:"\\eb87"}),i.debugBreakpointFunction=new i("debug-breakpoint-function",{fontCharacter:"\\eb88"}),i.debugBreakpointFunctionDisabled=new i("debug-breakpoint-function-disabled",{fontCharacter:"\\eb88"}),i.debugStackframeActive=new i("debug-stackframe-active",{fontCharacter:"\\eb89"}),i.debugStackframeDot=new i("debug-stackframe-dot",{fontCharacter:"\\eb8a"}),i.debugStackframe=new i("debug-stackframe",{fontCharacter:"\\eb8b"}),i.debugStackframeFocused=new i("debug-stackframe-focused",{fontCharacter:"\\eb8b"}),i.debugBreakpointUnsupported=new i("debug-breakpoint-unsupported",{fontCharacter:"\\eb8c"}),i.symbolString=new i("symbol-string",{fontCharacter:"\\eb8d"}),i.debugReverseContinue=new i("debug-reverse-continue",{fontCharacter:"\\eb8e"}),i.debugStepBack=new i("debug-step-back",{fontCharacter:"\\eb8f"}),i.debugRestartFrame=new i("debug-restart-frame",{fontCharacter:"\\eb90"}),i.callIncoming=new i("call-incoming",{fontCharacter:"\\eb92"}),i.callOutgoing=new i("call-outgoing",{fontCharacter:"\\eb93"}),i.menu=new i("menu",{fontCharacter:"\\eb94"}),i.expandAll=new i("expand-all",{fontCharacter:"\\eb95"}),i.feedback=new i("feedback",{fontCharacter:"\\eb96"}),i.groupByRefType=new i("group-by-ref-type",{fontCharacter:"\\eb97"}),i.ungroupByRefType=new i("ungroup-by-ref-type",{fontCharacter:"\\eb98"}),i.account=new i("account",{fontCharacter:"\\eb99"}),i.bellDot=new i("bell-dot",{fontCharacter:"\\eb9a"}),i.debugConsole=new i("debug-console",{fontCharacter:"\\eb9b"}),i.library=new i("library",{fontCharacter:"\\eb9c"}),i.output=new i("output",{fontCharacter:"\\eb9d"}),i.runAll=new i("run-all",{fontCharacter:"\\eb9e"}),i.syncIgnored=new i("sync-ignored",{fontCharacter:"\\eb9f"}),i.pinned=new i("pinned",{fontCharacter:"\\eba0"}),i.githubInverted=new i("github-inverted",{fontCharacter:"\\eba1"}),i.debugAlt=new i("debug-alt",{fontCharacter:"\\eb91"}),i.serverProcess=new i("server-process",{fontCharacter:"\\eba2"}),i.serverEnvironment=new i("server-environment",{fontCharacter:"\\eba3"}),i.pass=new i("pass",{fontCharacter:"\\eba4"}),i.stopCircle=new i("stop-circle",{fontCharacter:"\\eba5"}),i.playCircle=new i("play-circle",{fontCharacter:"\\eba6"}),i.record=new i("record",{fontCharacter:"\\eba7"}),i.debugAltSmall=new i("debug-alt-small",{fontCharacter:"\\eba8"}),i.vmConnect=new i("vm-connect",{fontCharacter:"\\eba9"}),i.cloud=new i("cloud",{fontCharacter:"\\ebaa"}),i.merge=new i("merge",{fontCharacter:"\\ebab"}),i.exportIcon=new i("export",{fontCharacter:"\\ebac"}),i.graphLeft=new i("graph-left",{fontCharacter:"\\ebad"}),i.magnet=new i("magnet",{fontCharacter:"\\ebae"}),i.notebook=new i("notebook",{fontCharacter:"\\ebaf"}),i.redo=new i("redo",{fontCharacter:"\\ebb0"}),i.checkAll=new i("check-all",{fontCharacter:"\\ebb1"}),i.pinnedDirty=new i("pinned-dirty",{fontCharacter:"\\ebb2"}),i.passFilled=new i("pass-filled",{fontCharacter:"\\ebb3"}),i.circleLargeFilled=new i("circle-large-filled",{fontCharacter:"\\ebb4"}),i.circleLargeOutline=new i("circle-large-outline",{fontCharacter:"\\ebb5"}),i.combine=new i("combine",{fontCharacter:"\\ebb6"}),i.gather=new i("gather",{fontCharacter:"\\ebb6"}),i.table=new i("table",{fontCharacter:"\\ebb7"}),i.variableGroup=new i("variable-group",{fontCharacter:"\\ebb8"}),i.typeHierarchy=new i("type-hierarchy",{fontCharacter:"\\ebb9"}),i.typeHierarchySub=new i("type-hierarchy-sub",{fontCharacter:"\\ebba"}),i.typeHierarchySuper=new i("type-hierarchy-super",{fontCharacter:"\\ebbb"}),i.gitPullRequestCreate=new i("git-pull-request-create",{fontCharacter:"\\ebbc"}),i.runAbove=new i("run-above",{fontCharacter:"\\ebbd"}),i.runBelow=new i("run-below",{fontCharacter:"\\ebbe"}),i.notebookTemplate=new i("notebook-template",{fontCharacter:"\\ebbf"}),i.debugRerun=new i("debug-rerun",{fontCharacter:"\\ebc0"}),i.dropDownButton=new i("drop-down-button",i.chevronDown.definition)}(C=e.Codicon||(e.Codicon={}))}),define(ge[91],pe([0,1,7,19]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.compareByPrefix=e.compareAnything=e.comparePaths=e.compareFileExtensionsDefault=e.compareFileExtensions=e.noIntlCompareFileNames=e.compareFileNamesDefault=e.compareFileNames=void 0;const R=new D.IdleValue(()=>{const u=new Intl.Collator(void 0,{numeric:!0,sensitivity:"base"});return{collator:u,collatorIsNumeric:u.resolvedOptions().numeric}}),P=new D.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0})})),C=new D.IdleValue(()=>({collator:new Intl.Collator(void 0,{numeric:!0,sensitivity:"accent"})}));function I(u,c,t=!1){const r=u||"",s=c||"",o=R.value.collator.compare(r,s);return R.value.collatorIsNumeric&&o===0&&r!==s?r<s?-1:1:o}e.compareFileNames=I;function y(u,c){const t=P.value.collator;return u=u||"",c=c||"",m(t,u,c)}e.compareFileNamesDefault=y;function i(u,c,t=!1){t||(u=u&&u.toLowerCase(),c=c&&c.toLowerCase());const[r,s]=f(u),[o,n]=f(c);return r!==o?r<o?-1:1:s===n?0:s<n?-1:1}e.noIntlCompareFileNames=i;function T(u,c){const[t,r]=f(u),[s,o]=f(c);let n=R.value.collator.compare(r,o);if(n===0){if(R.value.collatorIsNumeric&&r!==o)return r<o?-1:1;if(n=R.value.collator.compare(t,s),R.value.collatorIsNumeric&&n===0&&t!==s)return t<s?-1:1}return n}e.compareFileExtensions=T;function k(u,c){u=u||"",c=c||"";const t=l(u),r=l(c),s=P.value.collator,o=C.value.collator;let n;return n=m(o,t,r),n!==0?n:m(s,u,c)}e.compareFileExtensionsDefault=k;const p=/^(.*?)(\.([^.]*))?$/;function f(u,c=!1){const t=u?p.exec(u):[];let r=[t&&t[1]||"",t&&t[3]||""];return c&&(!r[0]&&r[1]||r[0]&&r[0].charAt(0)===".")&&(r=[r[0]+"."+r[1],""]),r}function l(u){const c=u?p.exec(u):[];return c&&c[1]&&c[1].charAt(0)!=="."&&c[3]||""}function m(u,c,t){let r=u.compare(c,t);return r!==0?r:c.length!==t.length?c.length<t.length?-1:1:0}function S(u,c,t=!1){return t||(u=u&&u.toLowerCase(),c=c&&c.toLowerCase()),u===c?0:u<c?-1:1}function _(u,c,t=!1){const r=u.split(v.sep),s=c.split(v.sep),o=r.length-1,n=s.length-1;let d,w;for(let E=0;;E++){if(d=o===E,w=n===E,d&&w)return I(r[E],s[E],t);if(d)return-1;if(w)return 1;const h=S(r[E],s[E],t);if(h!==0)return h}}e.comparePaths=_;function g(u,c,t){const r=u.toLowerCase(),s=c.toLowerCase(),o=a(u,c,t);if(o)return o;const n=r.endsWith(t),d=s.endsWith(t);if(n!==d)return n?-1:1;const w=I(r,s);return w!==0?w:r.localeCompare(s)}e.compareAnything=g;function a(u,c,t){const r=u.toLowerCase(),s=c.toLowerCase(),o=r.startsWith(t),n=s.startsWith(t);if(o!==n)return o?-1:1;if(o&&n){if(r.length<s.length)return-1;if(r.length>s.length)return 1}return 0}e.compareByPrefix=a}),define(ge[92],pe([0,1,15,5]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transform=e.toReadable=e.toStream=e.peekStream=e.listenStream=e.consumeStream=e.peekReadable=e.consumeReadable=e.newWriteableStream=e.isReadableBufferedStream=e.isReadableStream=void 0;function R(S){const _=S;return _&&[_.on,_.pause,_.resume,_.destroy].every(g=>typeof g=="function")}e.isReadableStream=R;function P(S){const _=S;return _&&R(_.stream)&&Array.isArray(_.buffer)&&typeof _.ended=="boolean"}e.isReadableBufferedStream=P;function C(S,_){return new I(S,_)}e.newWriteableStream=C;class I{constructor(_,g){this.reducer=_,this.options=g,this.state={flowing:!1,ended:!1,destroyed:!1},this.buffer={data:[],error:[]},this.listeners={data:[],error:[],end:[]},this.pendingWritePromises=[]}pause(){this.state.destroyed||(this.state.flowing=!1)}resume(){this.state.destroyed||this.state.flowing||(this.state.flowing=!0,this.flowData(),this.flowErrors(),this.flowEnd())}write(_){var g;if(!this.state.destroyed){if(this.state.flowing)this.emitData(_);else if(this.buffer.data.push(_),typeof((g=this.options)===null||g===void 0?void 0:g.highWaterMark)=="number"&&this.buffer.data.length>this.options.highWaterMark)return new Promise(a=>this.pendingWritePromises.push(a))}}error(_){this.state.destroyed||(this.state.flowing?this.emitError(_):this.buffer.error.push(_))}end(_){this.state.destroyed||(_ instanceof Error?this.error(_):typeof _!="undefined"&&this.write(_),this.state.flowing?(this.emitEnd(),this.destroy()):this.state.ended=!0)}emitData(_){this.listeners.data.slice(0).forEach(g=>g(_))}emitError(_){this.listeners.error.length===0?v.onUnexpectedError(_):this.listeners.error.slice(0).forEach(g=>g(_))}emitEnd(){this.listeners.end.slice(0).forEach(_=>_())}on(_,g){if(!this.state.destroyed)switch(_){case"data":this.listeners.data.push(g),this.resume();break;case"end":this.listeners.end.push(g),this.state.flowing&&this.flowEnd()&&this.destroy();break;case"error":this.listeners.error.push(g),this.state.flowing&&this.flowErrors();break}}removeListener(_,g){if(!this.state.destroyed){let a;switch(_){case"data":a=this.listeners.data;break;case"end":a=this.listeners.end;break;case"error":a=this.listeners.error;break}if(a){const u=a.indexOf(g);u>=0&&a.splice(u,1)}}}flowData(){if(this.buffer.data.length>0){const _=this.reducer(this.buffer.data);this.emitData(_),this.buffer.data.length=0;const g=[...this.pendingWritePromises];this.pendingWritePromises.length=0,g.forEach(a=>a())}}flowErrors(){if(this.listeners.error.length>0){for(const _ of this.buffer.error)this.emitError(_);this.buffer.error.length=0}}flowEnd(){return this.state.ended?(this.emitEnd(),this.listeners.end.length>0):!1}destroy(){this.state.destroyed||(this.state.destroyed=!0,this.state.ended=!0,this.buffer.data.length=0,this.buffer.error.length=0,this.listeners.data.length=0,this.listeners.error.length=0,this.listeners.end.length=0,this.pendingWritePromises.length=0)}}function y(S,_){const g=[];let a;for(;(a=S.read())!==null;)g.push(a);return _(g)}e.consumeReadable=y;function i(S,_,g){const a=[];let u;for(;(u=S.read())!==null&&a.length<g;)a.push(u);return u===null&&a.length>0?_(a):{read:()=>{if(a.length>0)return a.shift();if(typeof u!="undefined"){const c=u;return u=void 0,c}return S.read()}}}e.peekReadable=i;function T(S,_){return new Promise((g,a)=>{const u=[];k(S,{onData:c=>{_&&u.push(c)},onError:c=>{_?a(c):g(void 0)},onEnd:()=>{g(_?_(u):void 0)}})})}e.consumeStream=T;function k(S,_){S.on("error",g=>_.onError(g)),S.on("end",()=>_.onEnd()),S.on("data",g=>_.onData(g))}e.listenStream=k;function p(S,_){return new Promise((g,a)=>{const u=new D.DisposableStore,c=[],t=o=>{if(c.push(o),c.length>_)return u.dispose(),S.pause(),g({stream:S,buffer:c,ended:!1})},r=o=>a(o),s=()=>g({stream:S,buffer:c,ended:!0});u.add(D.toDisposable(()=>S.removeListener("error",r))),S.on("error",r),u.add(D.toDisposable(()=>S.removeListener("end",s))),S.on("end",s),u.add(D.toDisposable(()=>S.removeListener("data",t))),S.on("data",t)})}e.peekStream=p;function f(S,_){const g=C(_);return g.end(S),g}e.toStream=f;function l(S){let _=!1;return{read:()=>_?null:(_=!0,S)}}e.toReadable=l;function m(S,_,g){const a=C(g);return k(S,{onData:u=>a.write(_.data(u)),onError:u=>a.error(_.error?_.error(u):u),onEnd:()=>a.end()}),a}e.transform=m}),define(ge[10],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.GraphemeBreakType=e.breakBetweenGraphemeBreakType=e.getGraphemeBreakType=e.singleLetterHash=e.getNLines=e.uppercaseFirstLetter=e.containsUppercaseCharacter=e.fuzzyContains=e.stripUTF8BOM=e.startsWithUTF8BOM=e.UTF8_BOM_CHARACTER=e.removeAnsiEscapeCodes=e.lcut=e.isEmojiImprecise=e.isFullWidthCharacter=e.containsFullWidthCharacter=e.containsUnusualLineTerminators=e.UNUSUAL_LINE_TERMINATORS=e.isBasicASCII=e.containsEmoji=e.containsRTL=e.decodeUTF8=e.encodeUTF8=e.getCharContainingOffset=e.prevCharLength=e.nextCharLength=e.getNextCodePoint=e.computeCodePoint=e.isLowSurrogate=e.isHighSurrogate=e.commonSuffixLength=e.commonPrefixLength=e.startsWithIgnoreCase=e.equalsIgnoreCase=e.isUpperAsciiLetter=e.isLowerAsciiLetter=e.compareSubstringIgnoreCase=e.compareIgnoreCase=e.compareSubstring=e.compare=e.lastNonWhitespaceIndex=e.getLeadingWhitespace=e.firstNonWhitespaceIndex=e.splitLines=e.regExpFlags=e.regExpContainsBackreference=e.regExpLeadsToEndlessLoop=e.createRegExp=e.stripWildcards=e.convertSimple2RegExpPattern=e.rtrim=e.ltrim=e.trim=e.truncate=e.count=e.escapeRegExpCharacters=e.escape=e.format=e.isFalsyOrWhitespace=void 0;function v(G){return!G||typeof G!="string"?!0:G.trim().length===0}e.isFalsyOrWhitespace=v;const D=/{(\d+)}/g;function R(G,...se){return se.length===0?G:G.replace(D,function(he,J){const re=parseInt(J,10);return isNaN(re)||re<0||re>=se.length?he:se[re]})}e.format=R;function P(G){return G.replace(/[<>&]/g,function(se){switch(se){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return se}})}e.escape=P;function C(G){return G.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.escapeRegExpCharacters=C;function I(G,se){let he=0;const J=se.charCodeAt(0);for(let re=G.length-1;re>=0;re--)G.charCodeAt(re)===J&&he++;return he}e.count=I;function y(G,se,he="\u2026"){return G.length<=se?G:`${G.substr(0,se)}${he}`}e.truncate=y;function i(G,se=" "){const he=T(G,se);return k(he,se)}e.trim=i;function T(G,se){if(!G||!se)return G;const he=se.length;if(he===0||G.length===0)return G;let J=0;for(;G.indexOf(se,J)===J;)J=J+he;return G.substring(J)}e.ltrim=T;function k(G,se){if(!G||!se)return G;const he=se.length,J=G.length;if(he===0||J===0)return G;let re=J,de=-1;for(;de=G.lastIndexOf(se,re-1),!(de===-1||de+he!==re);){if(de===0)return"";re=de}return G.substring(0,re)}e.rtrim=k;function p(G){return G.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.convertSimple2RegExpPattern=p;function f(G){return G.replace(/\*/g,"")}e.stripWildcards=f;function l(G,se,he={}){if(!G)throw new Error("Cannot create regex from empty string");se||(G=C(G)),he.wholeWord&&(/\B/.test(G.charAt(0))||(G="\\b"+G),/\B/.test(G.charAt(G.length-1))||(G=G+"\\b"));let J="";return he.global&&(J+="g"),he.matchCase||(J+="i"),he.multiline&&(J+="m"),he.unicode&&(J+="u"),new RegExp(G,J)}e.createRegExp=l;function m(G){return G.source==="^"||G.source==="^$"||G.source==="$"||G.source==="^\\s*$"?!1:!!(G.exec("")&&G.lastIndex===0)}e.regExpLeadsToEndlessLoop=m;function S(G){return!!G.match(/([^\\]|^)(\\\\)*\\\d+/)}e.regExpContainsBackreference=S;function _(G){return(G.global?"g":"")+(G.ignoreCase?"i":"")+(G.multiline?"m":"")+(G.unicode?"u":"")}e.regExpFlags=_;function g(G){return G.split(/\r\n|\r|\n/)}e.splitLines=g;function a(G){for(let se=0,he=G.length;se<he;se++){const J=G.charCodeAt(se);if(J!==32&&J!==9)return se}return-1}e.firstNonWhitespaceIndex=a;function u(G,se=0,he=G.length){for(let J=se;J<he;J++){const re=G.charCodeAt(J);if(re!==32&&re!==9)return G.substring(se,J)}return G.substring(se,he)}e.getLeadingWhitespace=u;function c(G,se=G.length-1){for(let he=se;he>=0;he--){const J=G.charCodeAt(he);if(J!==32&&J!==9)return he}return-1}e.lastNonWhitespaceIndex=c;function t(G,se){return G<se?-1:G>se?1:0}e.compare=t;function r(G,se,he=0,J=G.length,re=0,de=se.length){for(;he<J&&re<de;he++,re++){let je=G.charCodeAt(he),He=se.charCodeAt(re);if(je<He)return-1;if(je>He)return 1}const me=J-he,ye=de-re;return me<ye?-1:me>ye?1:0}e.compareSubstring=r;function s(G,se){return o(G,se,0,G.length,0,se.length)}e.compareIgnoreCase=s;function o(G,se,he=0,J=G.length,re=0,de=se.length){for(;he<J&&re<de;he++,re++){let je=G.charCodeAt(he),He=se.charCodeAt(re);if(je!==He){const qe=je-He;if(!(qe===32&&d(He))&&!(qe===-32&&d(je)))return n(je)&&n(He)?qe:r(G.toLowerCase(),se.toLowerCase(),he,J,re,de)}}const me=J-he,ye=de-re;return me<ye?-1:me>ye?1:0}e.compareSubstringIgnoreCase=o;function n(G){return G>=97&&G<=122}e.isLowerAsciiLetter=n;function d(G){return G>=65&&G<=90}e.isUpperAsciiLetter=d;function w(G){return n(G)||d(G)}function E(G,se){return G.length===se.length&&h(G,se)}e.equalsIgnoreCase=E;function h(G,se,he=G.length){for(let J=0;J<he;J++){const re=G.charCodeAt(J),de=se.charCodeAt(J);if(re!==de){if(w(re)&&w(de)){const me=Math.abs(re-de);if(me!==0&&me!==32)return!1}else if(String.fromCharCode(re).toLowerCase()!==String.fromCharCode(de).toLowerCase())return!1}}return!0}function b(G,se){const he=se.length;return se.length>G.length?!1:h(G,se,he)}e.startsWithIgnoreCase=b;function A(G,se){let he,J=Math.min(G.length,se.length);for(he=0;he<J;he++)if(G.charCodeAt(he)!==se.charCodeAt(he))return he;return J}e.commonPrefixLength=A;function L(G,se){let he,J=Math.min(G.length,se.length);const re=G.length-1,de=se.length-1;for(he=0;he<J;he++)if(G.charCodeAt(re-he)!==se.charCodeAt(de-he))return he;return J}e.commonSuffixLength=L;function M(G){return 55296<=G&&G<=56319}e.isHighSurrogate=M;function z(G){return 56320<=G&&G<=57343}e.isLowSurrogate=z;function V(G,se){return(G-55296<<10)+(se-56320)+65536}e.computeCodePoint=V;function W(G,se,he){const J=G.charCodeAt(he);if(M(J)&&he+1<se){const re=G.charCodeAt(he+1);if(z(re))return V(J,re)}return J}e.getNextCodePoint=W;function K(G,se){const he=G.charCodeAt(se-1);if(z(he)&&se>1){const J=G.charCodeAt(se-2);if(M(J))return V(J,he)}return he}function x(G,se){const he=We.getInstance(),J=se,re=G.length,de=W(G,re,se);se+=de>=65536?2:1;let me=he.getGraphemeBreakType(de);for(;se<re;){const ye=W(G,re,se),je=he.getGraphemeBreakType(ye);if(Ne(me,je))break;se+=ye>=65536?2:1,me=je}return se-J}e.nextCharLength=x;function N(G,se){const he=We.getInstance(),J=se,re=K(G,se);se-=re>=65536?2:1;let de=he.getGraphemeBreakType(re);for(;se>0;){const me=K(G,se),ye=he.getGraphemeBreakType(me);if(Ne(ye,de))break;se-=me>=65536?2:1,de=ye}return J-se}e.prevCharLength=N;function U(G,se){const he=We.getInstance(),J=G.length,re=se,de=W(G,J,se),me=he.getGraphemeBreakType(de);se+=de>=65536?2:1;let ye=me;for(;se<J;){const He=W(G,J,se),qe=he.getGraphemeBreakType(He);if(Ne(ye,qe))break;se+=He>=65536?2:1,ye=qe}const je=se;for(se=re,ye=me;se>0;){const He=K(G,se),qe=he.getGraphemeBreakType(He);if(Ne(qe,ye))break;se-=He>=65536?2:1,ye=qe}return[se,je]}function F(G,se){return se>0&&z(G.charCodeAt(se))?U(G,se-1):U(G,se)}e.getCharContainingOffset=F;function O(G){const se=G.length;let he=0,J=0;for(;J<se;){const me=W(G,se,J);J+=me>=65536?2:1,me<128?he+=1:me<2048?he+=2:me<65536?he+=3:he+=4}const re=new Uint8Array(he);J=0;let de=0;for(;J<se;){const me=W(G,se,J);J+=me>=65536?2:1,me<128?re[de++]=me:me<2048?(re[de++]=192|(me&1984)>>>6,re[de++]=128|(me&63)>>>0):me<65536?(re[de++]=224|(me&61440)>>>12,re[de++]=128|(me&4032)>>>6,re[de++]=128|(me&63)>>>0):(re[de++]=240|(me&1835008)>>>18,re[de++]=128|(me&258048)>>>12,re[de++]=128|(me&4032)>>>6,re[de++]=128|(me&63)>>>0)}return re}e.encodeUTF8=O;function $(G){const se=G.byteLength,he=[];let J=0;for(;J<se;){const re=G[J];let de;if(re>=240&&J+3<se?de=(G[J++]&7)<<18>>>0|(G[J++]&63)<<12>>>0|(G[J++]&63)<<6>>>0|(G[J++]&63)<<0>>>0:re>=224&&J+2<se?de=(G[J++]&15)<<12>>>0|(G[J++]&63)<<6>>>0|(G[J++]&63)<<0>>>0:re>=192&&J+1<se?de=(G[J++]&31)<<6>>>0|(G[J++]&63)<<0>>>0:de=G[J++],de>=0&&de<=55295||de>=57344&&de<=65535)he.push(String.fromCharCode(de));else if(de>=65536&&de<=1114111){const me=de-65536,ye=55296+((me&1047552)>>>10),je=56320+((me&1023)>>>0);he.push(String.fromCharCode(ye)),he.push(String.fromCharCode(je))}else he.push(String.fromCharCode(65533))}return he.join("")}e.decodeUTF8=$;const q=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u08BD\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE33\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDCFF]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD50-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;function Z(G){return q.test(G)}e.containsRTL=Z;const ae=/(?:[\u231A\u231B\u23F0\u23F3\u2600-\u27BF\u2B50\u2B55]|\uD83C[\uDDE6-\uDDFF\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F\uDE80-\uDEFC\uDFE0-\uDFEB]|\uD83E[\uDD00-\uDDFF\uDE70-\uDED6])/;function fe(G){return ae.test(G)}e.containsEmoji=fe;const Te=/^[\t\n\r\x20-\x7E]*$/;function Se(G){return Te.test(G)}e.isBasicASCII=Se,e.UNUSUAL_LINE_TERMINATORS=/[\u2028\u2029]/;function Le(G){return e.UNUSUAL_LINE_TERMINATORS.test(G)}e.containsUnusualLineTerminators=Le;function H(G){for(let se=0,he=G.length;se<he;se++)if(Y(G.charCodeAt(se)))return!0;return!1}e.containsFullWidthCharacter=H;function Y(G){return G=+G,G>=11904&&G<=55215||G>=63744&&G<=64255||G>=65281&&G<=65374}e.isFullWidthCharacter=Y;function ie(G){return G>=127462&&G<=127487||G===8986||G===8987||G===9200||G===9203||G>=9728&&G<=10175||G===11088||G===11093||G>=127744&&G<=128591||G>=128640&&G<=128764||G>=128992&&G<=129003||G>=129280&&G<=129535||G>=129648&&G<=129750}e.isEmojiImprecise=ie;function oe(G,se){if(G.length<se)return G;const he=/\b/g;let J=0;for(;he.test(G)&&!(G.length-he.lastIndex<se);)J=he.lastIndex,he.lastIndex+=1;return G.substring(J).replace(/^\s/,"")}e.lcut=oe;const ve=/\x1B\x5B[12]?K/g,ke=/\x1b\[\d+m/g,Me=/\x1b\[0?m/g;function _e(G){return G&&(G=G.replace(ve,""),G=G.replace(ke,""),G=G.replace(Me,"")),G}e.removeAnsiEscapeCodes=_e,e.UTF8_BOM_CHARACTER=String.fromCharCode(65279);function Pe(G){return!!(G&&G.length>0&&G.charCodeAt(0)===65279)}e.startsWithUTF8BOM=Pe;function Re(G){return Pe(G)?G.substr(1):G}e.stripUTF8BOM=Re;function Ue(G,se){if(!G||!se||G.length<se.length)return!1;const he=se.length,J=G.toLowerCase();let re=0,de=-1;for(;re<he;){const me=J.indexOf(se[re],de+1);if(me<0)return!1;de=me,re++}return!0}e.fuzzyContains=Ue;function Ee(G,se=!1){return G?(se&&(G=G.replace(/\\./g,"")),G.toLowerCase()!==G):!1}e.containsUppercaseCharacter=Ee;function Ke(G){return G.charAt(0).toUpperCase()+G.slice(1)}e.uppercaseFirstLetter=Ke;function X(G,se=1){if(se===0)return"";let he=-1;do he=G.indexOf(`
`,he+1),se--;while(se>0&&he>=0);return he===-1?G:(G[he-1]==="\r"&&he--,G.substr(0,he))}e.getNLines=X;function ne(G){const se=90-65+1;return G=G%(2*se),G<se?String.fromCharCode(97+G):String.fromCharCode(65+G-se)}e.singleLetterHash=ne;function we(G){return We.getInstance().getGraphemeBreakType(G)}e.getGraphemeBreakType=we;function Ne(G,se){return G===0?se!==5&&se!==7:G===2&&se===3?!1:G===4||G===2||G===3||se===4||se===2||se===3?!0:!(G===8&&(se===8||se===9||se===11||se===12)||(G===11||G===9)&&(se===9||se===10)||(G===12||G===10)&&se===10||se===5||se===13||se===7||G===1||G===13&&se===14||G===6&&se===6)}e.breakBetweenGraphemeBreakType=Ne;var Be;(function(G){G[G.Other=0]="Other",G[G.Prepend=1]="Prepend",G[G.CR=2]="CR",G[G.LF=3]="LF",G[G.Control=4]="Control",G[G.Extend=5]="Extend",G[G.Regional_Indicator=6]="Regional_Indicator",G[G.SpacingMark=7]="SpacingMark",G[G.L=8]="L",G[G.V=9]="V",G[G.T=10]="T",G[G.LV=11]="LV",G[G.LVT=12]="LVT",G[G.ZWJ=13]="ZWJ",G[G.Extended_Pictographic=14]="Extended_Pictographic"})(Be=e.GraphemeBreakType||(e.GraphemeBreakType={}));class We{constructor(){this._data=Je()}static getInstance(){return We._INSTANCE||(We._INSTANCE=new We),We._INSTANCE}getGraphemeBreakType(se){if(se<32)return se===10?3:se===13?2:4;if(se<127)return 0;const he=this._data,J=he.length/3;let re=1;for(;re<=J;)if(se<he[3*re])re=2*re;else if(se>he[3*re+1])re=2*re+1;else return he[3*re+2];return 0}}We._INSTANCE=null;function Je(){return JSON.parse("[0,0,0,51592,51592,11,44424,44424,11,72251,72254,5,7150,7150,7,48008,48008,11,55176,55176,11,128420,128420,14,3276,3277,5,9979,9980,14,46216,46216,11,49800,49800,11,53384,53384,11,70726,70726,5,122915,122916,5,129320,129327,14,2558,2558,5,5906,5908,5,9762,9763,14,43360,43388,8,45320,45320,11,47112,47112,11,48904,48904,11,50696,50696,11,52488,52488,11,54280,54280,11,70082,70083,1,71350,71350,7,73111,73111,5,127892,127893,14,128726,128727,14,129473,129474,14,2027,2035,5,2901,2902,5,3784,3789,5,6754,6754,5,8418,8420,5,9877,9877,14,11088,11088,14,44008,44008,5,44872,44872,11,45768,45768,11,46664,46664,11,47560,47560,11,48456,48456,11,49352,49352,11,50248,50248,11,51144,51144,11,52040,52040,11,52936,52936,11,53832,53832,11,54728,54728,11,69811,69814,5,70459,70460,5,71096,71099,7,71998,71998,5,72874,72880,5,119149,119149,7,127374,127374,14,128335,128335,14,128482,128482,14,128765,128767,14,129399,129400,14,129680,129685,14,1476,1477,5,2377,2380,7,2759,2760,5,3137,3140,7,3458,3459,7,4153,4154,5,6432,6434,5,6978,6978,5,7675,7679,5,9723,9726,14,9823,9823,14,9919,9923,14,10035,10036,14,42736,42737,5,43596,43596,5,44200,44200,11,44648,44648,11,45096,45096,11,45544,45544,11,45992,45992,11,46440,46440,11,46888,46888,11,47336,47336,11,47784,47784,11,48232,48232,11,48680,48680,11,49128,49128,11,49576,49576,11,50024,50024,11,50472,50472,11,50920,50920,11,51368,51368,11,51816,51816,11,52264,52264,11,52712,52712,11,53160,53160,11,53608,53608,11,54056,54056,11,54504,54504,11,54952,54952,11,68108,68111,5,69933,69940,5,70197,70197,7,70498,70499,7,70845,70845,5,71229,71229,5,71727,71735,5,72154,72155,5,72344,72345,5,73023,73029,5,94095,94098,5,121403,121452,5,126981,127182,14,127538,127546,14,127990,127990,14,128391,128391,14,128445,128449,14,128500,128505,14,128752,128752,14,129160,129167,14,129356,129356,14,129432,129442,14,129648,129651,14,129751,131069,14,173,173,4,1757,1757,1,2274,2274,1,2494,2494,5,2641,2641,5,2876,2876,5,3014,3016,7,3262,3262,7,3393,3396,5,3570,3571,7,3968,3972,5,4228,4228,7,6086,6086,5,6679,6680,5,6912,6915,5,7080,7081,5,7380,7392,5,8252,8252,14,9096,9096,14,9748,9749,14,9784,9786,14,9833,9850,14,9890,9894,14,9938,9938,14,9999,9999,14,10085,10087,14,12349,12349,14,43136,43137,7,43454,43456,7,43755,43755,7,44088,44088,11,44312,44312,11,44536,44536,11,44760,44760,11,44984,44984,11,45208,45208,11,45432,45432,11,45656,45656,11,45880,45880,11,46104,46104,11,46328,46328,11,46552,46552,11,46776,46776,11,47000,47000,11,47224,47224,11,47448,47448,11,47672,47672,11,47896,47896,11,48120,48120,11,48344,48344,11,48568,48568,11,48792,48792,11,49016,49016,11,49240,49240,11,49464,49464,11,49688,49688,11,49912,49912,11,50136,50136,11,50360,50360,11,50584,50584,11,50808,50808,11,51032,51032,11,51256,51256,11,51480,51480,11,51704,51704,11,51928,51928,11,52152,52152,11,52376,52376,11,52600,52600,11,52824,52824,11,53048,53048,11,53272,53272,11,53496,53496,11,53720,53720,11,53944,53944,11,54168,54168,11,54392,54392,11,54616,54616,11,54840,54840,11,55064,55064,11,65438,65439,5,69633,69633,5,69837,69837,1,70018,70018,7,70188,70190,7,70368,70370,7,70465,70468,7,70712,70719,5,70835,70840,5,70850,70851,5,71132,71133,5,71340,71340,7,71458,71461,5,71985,71989,7,72002,72002,7,72193,72202,5,72281,72283,5,72766,72766,7,72885,72886,5,73104,73105,5,92912,92916,5,113824,113827,4,119173,119179,5,121505,121519,5,125136,125142,5,127279,127279,14,127489,127490,14,127570,127743,14,127900,127901,14,128254,128254,14,128369,128370,14,128400,128400,14,128425,128432,14,128468,128475,14,128489,128494,14,128715,128720,14,128745,128745,14,128759,128760,14,129004,129023,14,129296,129304,14,129340,129342,14,129388,129392,14,129404,129407,14,129454,129455,14,129485,129487,14,129659,129663,14,129719,129727,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2363,2363,7,2402,2403,5,2507,2508,7,2622,2624,7,2691,2691,7,2786,2787,5,2881,2884,5,3006,3006,5,3072,3072,5,3170,3171,5,3267,3268,7,3330,3331,7,3406,3406,1,3538,3540,5,3655,3662,5,3897,3897,5,4038,4038,5,4184,4185,5,4352,4447,8,6068,6069,5,6155,6157,5,6448,6449,7,6742,6742,5,6783,6783,5,6966,6970,5,7042,7042,7,7143,7143,7,7212,7219,5,7412,7412,5,8206,8207,4,8294,8303,4,8596,8601,14,9410,9410,14,9742,9742,14,9757,9757,14,9770,9770,14,9794,9794,14,9828,9828,14,9855,9855,14,9882,9882,14,9900,9903,14,9929,9933,14,9963,9967,14,9987,9988,14,10006,10006,14,10062,10062,14,10175,10175,14,11744,11775,5,42607,42607,5,43043,43044,7,43263,43263,5,43444,43445,7,43569,43570,5,43698,43700,5,43766,43766,5,44032,44032,11,44144,44144,11,44256,44256,11,44368,44368,11,44480,44480,11,44592,44592,11,44704,44704,11,44816,44816,11,44928,44928,11,45040,45040,11,45152,45152,11,45264,45264,11,45376,45376,11,45488,45488,11,45600,45600,11,45712,45712,11,45824,45824,11,45936,45936,11,46048,46048,11,46160,46160,11,46272,46272,11,46384,46384,11,46496,46496,11,46608,46608,11,46720,46720,11,46832,46832,11,46944,46944,11,47056,47056,11,47168,47168,11,47280,47280,11,47392,47392,11,47504,47504,11,47616,47616,11,47728,47728,11,47840,47840,11,47952,47952,11,48064,48064,11,48176,48176,11,48288,48288,11,48400,48400,11,48512,48512,11,48624,48624,11,48736,48736,11,48848,48848,11,48960,48960,11,49072,49072,11,49184,49184,11,49296,49296,11,49408,49408,11,49520,49520,11,49632,49632,11,49744,49744,11,49856,49856,11,49968,49968,11,50080,50080,11,50192,50192,11,50304,50304,11,50416,50416,11,50528,50528,11,50640,50640,11,50752,50752,11,50864,50864,11,50976,50976,11,51088,51088,11,51200,51200,11,51312,51312,11,51424,51424,11,51536,51536,11,51648,51648,11,51760,51760,11,51872,51872,11,51984,51984,11,52096,52096,11,52208,52208,11,52320,52320,11,52432,52432,11,52544,52544,11,52656,52656,11,52768,52768,11,52880,52880,11,52992,52992,11,53104,53104,11,53216,53216,11,53328,53328,11,53440,53440,11,53552,53552,11,53664,53664,11,53776,53776,11,53888,53888,11,54000,54000,11,54112,54112,11,54224,54224,11,54336,54336,11,54448,54448,11,54560,54560,11,54672,54672,11,54784,54784,11,54896,54896,11,55008,55008,11,55120,55120,11,64286,64286,5,66272,66272,5,68900,68903,5,69762,69762,7,69817,69818,5,69927,69931,5,70003,70003,5,70070,70078,5,70094,70094,7,70194,70195,7,70206,70206,5,70400,70401,5,70463,70463,7,70475,70477,7,70512,70516,5,70722,70724,5,70832,70832,5,70842,70842,5,70847,70848,5,71088,71089,7,71102,71102,7,71219,71226,5,71231,71232,5,71342,71343,7,71453,71455,5,71463,71467,5,71737,71738,5,71995,71996,5,72000,72000,7,72145,72147,7,72160,72160,5,72249,72249,7,72273,72278,5,72330,72342,5,72752,72758,5,72850,72871,5,72882,72883,5,73018,73018,5,73031,73031,5,73109,73109,5,73461,73462,7,94031,94031,5,94192,94193,7,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,126976,126979,14,127184,127231,14,127344,127345,14,127405,127461,14,127514,127514,14,127561,127567,14,127778,127779,14,127896,127896,14,127985,127986,14,127995,127999,5,128326,128328,14,128360,128366,14,128378,128378,14,128394,128397,14,128405,128406,14,128422,128423,14,128435,128443,14,128453,128464,14,128479,128480,14,128484,128487,14,128496,128498,14,128640,128709,14,128723,128724,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129096,129103,14,129292,129292,14,129311,129311,14,129329,129330,14,129344,129349,14,129360,129374,14,129394,129394,14,129402,129402,14,129413,129425,14,129445,129450,14,129466,129471,14,129483,129483,14,129511,129535,14,129653,129655,14,129667,129670,14,129705,129711,14,129731,129743,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2307,2307,7,2366,2368,7,2382,2383,7,2434,2435,7,2497,2500,5,2519,2519,5,2563,2563,7,2631,2632,5,2677,2677,5,2750,2752,7,2763,2764,7,2817,2817,5,2879,2879,5,2891,2892,7,2914,2915,5,3008,3008,5,3021,3021,5,3076,3076,5,3146,3149,5,3202,3203,7,3264,3265,7,3271,3272,7,3298,3299,5,3390,3390,5,3402,3404,7,3426,3427,5,3535,3535,5,3544,3550,7,3635,3635,7,3763,3763,7,3893,3893,5,3953,3966,5,3981,3991,5,4145,4145,7,4157,4158,5,4209,4212,5,4237,4237,5,4520,4607,10,5970,5971,5,6071,6077,5,6089,6099,5,6277,6278,5,6439,6440,5,6451,6456,7,6683,6683,5,6744,6750,5,6765,6770,7,6846,6846,5,6964,6964,5,6972,6972,5,7019,7027,5,7074,7077,5,7083,7085,5,7146,7148,7,7154,7155,7,7222,7223,5,7394,7400,5,7416,7417,5,8204,8204,5,8233,8233,4,8288,8292,4,8413,8416,5,8482,8482,14,8986,8987,14,9193,9203,14,9654,9654,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9775,14,9792,9792,14,9800,9811,14,9825,9826,14,9831,9831,14,9852,9853,14,9872,9873,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9936,9936,14,9941,9960,14,9974,9974,14,9982,9985,14,9992,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10145,10145,14,11013,11015,14,11503,11505,5,12334,12335,5,12951,12951,14,42612,42621,5,43014,43014,5,43047,43047,7,43204,43205,5,43335,43345,5,43395,43395,7,43450,43451,7,43561,43566,5,43573,43574,5,43644,43644,5,43710,43711,5,43758,43759,7,44005,44005,5,44012,44012,7,44060,44060,11,44116,44116,11,44172,44172,11,44228,44228,11,44284,44284,11,44340,44340,11,44396,44396,11,44452,44452,11,44508,44508,11,44564,44564,11,44620,44620,11,44676,44676,11,44732,44732,11,44788,44788,11,44844,44844,11,44900,44900,11,44956,44956,11,45012,45012,11,45068,45068,11,45124,45124,11,45180,45180,11,45236,45236,11,45292,45292,11,45348,45348,11,45404,45404,11,45460,45460,11,45516,45516,11,45572,45572,11,45628,45628,11,45684,45684,11,45740,45740,11,45796,45796,11,45852,45852,11,45908,45908,11,45964,45964,11,46020,46020,11,46076,46076,11,46132,46132,11,46188,46188,11,46244,46244,11,46300,46300,11,46356,46356,11,46412,46412,11,46468,46468,11,46524,46524,11,46580,46580,11,46636,46636,11,46692,46692,11,46748,46748,11,46804,46804,11,46860,46860,11,46916,46916,11,46972,46972,11,47028,47028,11,47084,47084,11,47140,47140,11,47196,47196,11,47252,47252,11,47308,47308,11,47364,47364,11,47420,47420,11,47476,47476,11,47532,47532,11,47588,47588,11,47644,47644,11,47700,47700,11,47756,47756,11,47812,47812,11,47868,47868,11,47924,47924,11,47980,47980,11,48036,48036,11,48092,48092,11,48148,48148,11,48204,48204,11,48260,48260,11,48316,48316,11,48372,48372,11,48428,48428,11,48484,48484,11,48540,48540,11,48596,48596,11,48652,48652,11,48708,48708,11,48764,48764,11,48820,48820,11,48876,48876,11,48932,48932,11,48988,48988,11,49044,49044,11,49100,49100,11,49156,49156,11,49212,49212,11,49268,49268,11,49324,49324,11,49380,49380,11,49436,49436,11,49492,49492,11,49548,49548,11,49604,49604,11,49660,49660,11,49716,49716,11,49772,49772,11,49828,49828,11,49884,49884,11,49940,49940,11,49996,49996,11,50052,50052,11,50108,50108,11,50164,50164,11,50220,50220,11,50276,50276,11,50332,50332,11,50388,50388,11,50444,50444,11,50500,50500,11,50556,50556,11,50612,50612,11,50668,50668,11,50724,50724,11,50780,50780,11,50836,50836,11,50892,50892,11,50948,50948,11,51004,51004,11,51060,51060,11,51116,51116,11,51172,51172,11,51228,51228,11,51284,51284,11,51340,51340,11,51396,51396,11,51452,51452,11,51508,51508,11,51564,51564,11,51620,51620,11,51676,51676,11,51732,51732,11,51788,51788,11,51844,51844,11,51900,51900,11,51956,51956,11,52012,52012,11,52068,52068,11,52124,52124,11,52180,52180,11,52236,52236,11,52292,52292,11,52348,52348,11,52404,52404,11,52460,52460,11,52516,52516,11,52572,52572,11,52628,52628,11,52684,52684,11,52740,52740,11,52796,52796,11,52852,52852,11,52908,52908,11,52964,52964,11,53020,53020,11,53076,53076,11,53132,53132,11,53188,53188,11,53244,53244,11,53300,53300,11,53356,53356,11,53412,53412,11,53468,53468,11,53524,53524,11,53580,53580,11,53636,53636,11,53692,53692,11,53748,53748,11,53804,53804,11,53860,53860,11,53916,53916,11,53972,53972,11,54028,54028,11,54084,54084,11,54140,54140,11,54196,54196,11,54252,54252,11,54308,54308,11,54364,54364,11,54420,54420,11,54476,54476,11,54532,54532,11,54588,54588,11,54644,54644,11,54700,54700,11,54756,54756,11,54812,54812,11,54868,54868,11,54924,54924,11,54980,54980,11,55036,55036,11,55092,55092,11,55148,55148,11,55216,55238,9,65056,65071,5,65529,65531,4,68097,68099,5,68159,68159,5,69446,69456,5,69688,69702,5,69808,69810,7,69815,69816,7,69821,69821,1,69888,69890,5,69932,69932,7,69957,69958,7,70016,70017,5,70067,70069,7,70079,70080,7,70089,70092,5,70095,70095,5,70191,70193,5,70196,70196,5,70198,70199,5,70367,70367,5,70371,70378,5,70402,70403,7,70462,70462,5,70464,70464,5,70471,70472,7,70487,70487,5,70502,70508,5,70709,70711,7,70720,70721,7,70725,70725,7,70750,70750,5,70833,70834,7,70841,70841,7,70843,70844,7,70846,70846,7,70849,70849,7,71087,71087,5,71090,71093,5,71100,71101,5,71103,71104,5,71216,71218,7,71227,71228,7,71230,71230,7,71339,71339,5,71341,71341,5,71344,71349,5,71351,71351,5,71456,71457,7,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123628,123631,5,125252,125258,5,126980,126980,14,127183,127183,14,127245,127247,14,127340,127343,14,127358,127359,14,127377,127386,14,127462,127487,6,127491,127503,14,127535,127535,14,127548,127551,14,127568,127569,14,127744,127777,14,127780,127891,14,127894,127895,14,127897,127899,14,127902,127984,14,127987,127989,14,127991,127994,14,128000,128253,14,128255,128317,14,128329,128334,14,128336,128359,14,128367,128368,14,128371,128377,14,128379,128390,14,128392,128393,14,128398,128399,14,128401,128404,14,128407,128419,14,128421,128421,14,128424,128424,14,128433,128434,14,128444,128444,14,128450,128452,14,128465,128467,14,128476,128478,14,128481,128481,14,128483,128483,14,128488,128488,14,128495,128495,14,128499,128499,14,128506,128591,14,128710,128714,14,128721,128722,14,128725,128725,14,128728,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129664,129666,14,129671,129679,14,129686,129704,14,129712,129718,14,129728,129730,14,129744,129750,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2259,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3134,3136,5,3142,3144,5,3157,3158,5,3201,3201,5,3260,3260,5,3263,3263,5,3266,3266,5,3270,3270,5,3274,3275,7,3285,3286,5,3328,3329,5,3387,3388,5,3391,3392,7,3398,3400,7,3405,3405,5,3415,3415,5,3457,3457,5,3530,3530,5,3536,3537,7,3542,3542,5,3551,3551,5,3633,3633,5,3636,3642,5,3761,3761,5,3764,3772,5,3864,3865,5,3895,3895,5,3902,3903,7,3967,3967,7,3974,3975,5,3993,4028,5,4141,4144,5,4146,4151,5,4155,4156,7,4182,4183,7,4190,4192,5,4226,4226,5,4229,4230,5,4253,4253,5,4448,4519,9,4957,4959,5,5938,5940,5,6002,6003,5,6070,6070,7,6078,6085,7,6087,6088,7,6109,6109,5,6158,6158,4,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6848,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7673,5,8203,8203,4,8205,8205,13,8232,8232,4,8234,8238,4,8265,8265,14,8293,8293,4,8400,8412,5,8417,8417,5,8421,8432,5,8505,8505,14,8617,8618,14,9000,9000,14,9167,9167,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9776,9783,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9935,14,9937,9937,14,9939,9940,14,9961,9962,14,9968,9973,14,9975,9978,14,9981,9981,14,9986,9986,14,9989,9989,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10084,14,10133,10135,14,10160,10160,14,10548,10549,14,11035,11036,14,11093,11093,14,11647,11647,5,12330,12333,5,12336,12336,14,12441,12442,5,12953,12953,14,42608,42610,5,42654,42655,5,43010,43010,5,43019,43019,5,43045,43046,5,43052,43052,5,43188,43203,7,43232,43249,5,43302,43309,5,43346,43347,7,43392,43394,5,43443,43443,5,43446,43449,5,43452,43453,5,43493,43493,5,43567,43568,7,43571,43572,7,43587,43587,5,43597,43597,7,43696,43696,5,43703,43704,5,43713,43713,5,43756,43757,5,43765,43765,7,44003,44004,7,44006,44007,7,44009,44010,7,44013,44013,5,44033,44059,12,44061,44087,12,44089,44115,12,44117,44143,12,44145,44171,12,44173,44199,12,44201,44227,12,44229,44255,12,44257,44283,12,44285,44311,12,44313,44339,12,44341,44367,12,44369,44395,12,44397,44423,12,44425,44451,12,44453,44479,12,44481,44507,12,44509,44535,12,44537,44563,12,44565,44591,12,44593,44619,12,44621,44647,12,44649,44675,12,44677,44703,12,44705,44731,12,44733,44759,12,44761,44787,12,44789,44815,12,44817,44843,12,44845,44871,12,44873,44899,12,44901,44927,12,44929,44955,12,44957,44983,12,44985,45011,12,45013,45039,12,45041,45067,12,45069,45095,12,45097,45123,12,45125,45151,12,45153,45179,12,45181,45207,12,45209,45235,12,45237,45263,12,45265,45291,12,45293,45319,12,45321,45347,12,45349,45375,12,45377,45403,12,45405,45431,12,45433,45459,12,45461,45487,12,45489,45515,12,45517,45543,12,45545,45571,12,45573,45599,12,45601,45627,12,45629,45655,12,45657,45683,12,45685,45711,12,45713,45739,12,45741,45767,12,45769,45795,12,45797,45823,12,45825,45851,12,45853,45879,12,45881,45907,12,45909,45935,12,45937,45963,12,45965,45991,12,45993,46019,12,46021,46047,12,46049,46075,12,46077,46103,12,46105,46131,12,46133,46159,12,46161,46187,12,46189,46215,12,46217,46243,12,46245,46271,12,46273,46299,12,46301,46327,12,46329,46355,12,46357,46383,12,46385,46411,12,46413,46439,12,46441,46467,12,46469,46495,12,46497,46523,12,46525,46551,12,46553,46579,12,46581,46607,12,46609,46635,12,46637,46663,12,46665,46691,12,46693,46719,12,46721,46747,12,46749,46775,12,46777,46803,12,46805,46831,12,46833,46859,12,46861,46887,12,46889,46915,12,46917,46943,12,46945,46971,12,46973,46999,12,47001,47027,12,47029,47055,12,47057,47083,12,47085,47111,12,47113,47139,12,47141,47167,12,47169,47195,12,47197,47223,12,47225,47251,12,47253,47279,12,47281,47307,12,47309,47335,12,47337,47363,12,47365,47391,12,47393,47419,12,47421,47447,12,47449,47475,12,47477,47503,12,47505,47531,12,47533,47559,12,47561,47587,12,47589,47615,12,47617,47643,12,47645,47671,12,47673,47699,12,47701,47727,12,47729,47755,12,47757,47783,12,47785,47811,12,47813,47839,12,47841,47867,12,47869,47895,12,47897,47923,12,47925,47951,12,47953,47979,12,47981,48007,12,48009,48035,12,48037,48063,12,48065,48091,12,48093,48119,12,48121,48147,12,48149,48175,12,48177,48203,12,48205,48231,12,48233,48259,12,48261,48287,12,48289,48315,12,48317,48343,12,48345,48371,12,48373,48399,12,48401,48427,12,48429,48455,12,48457,48483,12,48485,48511,12,48513,48539,12,48541,48567,12,48569,48595,12,48597,48623,12,48625,48651,12,48653,48679,12,48681,48707,12,48709,48735,12,48737,48763,12,48765,48791,12,48793,48819,12,48821,48847,12,48849,48875,12,48877,48903,12,48905,48931,12,48933,48959,12,48961,48987,12,48989,49015,12,49017,49043,12,49045,49071,12,49073,49099,12,49101,49127,12,49129,49155,12,49157,49183,12,49185,49211,12,49213,49239,12,49241,49267,12,49269,49295,12,49297,49323,12,49325,49351,12,49353,49379,12,49381,49407,12,49409,49435,12,49437,49463,12,49465,49491,12,49493,49519,12,49521,49547,12,49549,49575,12,49577,49603,12,49605,49631,12,49633,49659,12,49661,49687,12,49689,49715,12,49717,49743,12,49745,49771,12,49773,49799,12,49801,49827,12,49829,49855,12,49857,49883,12,49885,49911,12,49913,49939,12,49941,49967,12,49969,49995,12,49997,50023,12,50025,50051,12,50053,50079,12,50081,50107,12,50109,50135,12,50137,50163,12,50165,50191,12,50193,50219,12,50221,50247,12,50249,50275,12,50277,50303,12,50305,50331,12,50333,50359,12,50361,50387,12,50389,50415,12,50417,50443,12,50445,50471,12,50473,50499,12,50501,50527,12,50529,50555,12,50557,50583,12,50585,50611,12,50613,50639,12,50641,50667,12,50669,50695,12,50697,50723,12,50725,50751,12,50753,50779,12,50781,50807,12,50809,50835,12,50837,50863,12,50865,50891,12,50893,50919,12,50921,50947,12,50949,50975,12,50977,51003,12,51005,51031,12,51033,51059,12,51061,51087,12,51089,51115,12,51117,51143,12,51145,51171,12,51173,51199,12,51201,51227,12,51229,51255,12,51257,51283,12,51285,51311,12,51313,51339,12,51341,51367,12,51369,51395,12,51397,51423,12,51425,51451,12,51453,51479,12,51481,51507,12,51509,51535,12,51537,51563,12,51565,51591,12,51593,51619,12,51621,51647,12,51649,51675,12,51677,51703,12,51705,51731,12,51733,51759,12,51761,51787,12,51789,51815,12,51817,51843,12,51845,51871,12,51873,51899,12,51901,51927,12,51929,51955,12,51957,51983,12,51985,52011,12,52013,52039,12,52041,52067,12,52069,52095,12,52097,52123,12,52125,52151,12,52153,52179,12,52181,52207,12,52209,52235,12,52237,52263,12,52265,52291,12,52293,52319,12,52321,52347,12,52349,52375,12,52377,52403,12,52405,52431,12,52433,52459,12,52461,52487,12,52489,52515,12,52517,52543,12,52545,52571,12,52573,52599,12,52601,52627,12,52629,52655,12,52657,52683,12,52685,52711,12,52713,52739,12,52741,52767,12,52769,52795,12,52797,52823,12,52825,52851,12,52853,52879,12,52881,52907,12,52909,52935,12,52937,52963,12,52965,52991,12,52993,53019,12,53021,53047,12,53049,53075,12,53077,53103,12,53105,53131,12,53133,53159,12,53161,53187,12,53189,53215,12,53217,53243,12,53245,53271,12,53273,53299,12,53301,53327,12,53329,53355,12,53357,53383,12,53385,53411,12,53413,53439,12,53441,53467,12,53469,53495,12,53497,53523,12,53525,53551,12,53553,53579,12,53581,53607,12,53609,53635,12,53637,53663,12,53665,53691,12,53693,53719,12,53721,53747,12,53749,53775,12,53777,53803,12,53805,53831,12,53833,53859,12,53861,53887,12,53889,53915,12,53917,53943,12,53945,53971,12,53973,53999,12,54001,54027,12,54029,54055,12,54057,54083,12,54085,54111,12,54113,54139,12,54141,54167,12,54169,54195,12,54197,54223,12,54225,54251,12,54253,54279,12,54281,54307,12,54309,54335,12,54337,54363,12,54365,54391,12,54393,54419,12,54421,54447,12,54449,54475,12,54477,54503,12,54505,54531,12,54533,54559,12,54561,54587,12,54589,54615,12,54617,54643,12,54645,54671,12,54673,54699,12,54701,54727,12,54729,54755,12,54757,54783,12,54785,54811,12,54813,54839,12,54841,54867,12,54869,54895,12,54897,54923,12,54925,54951,12,54953,54979,12,54981,55007,12,55009,55035,12,55037,55063,12,55065,55091,12,55093,55119,12,55121,55147,12,55149,55175,12,55177,55203,12,55243,55291,10,65024,65039,5,65279,65279,4,65520,65528,4,66045,66045,5,66422,66426,5,68101,68102,5,68152,68154,5,68325,68326,5,69291,69292,5,69632,69632,7,69634,69634,7,69759,69761,5]")}}),define(ge[26],pe([0,1,10,92]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.newWriteableBufferStream=e.streamToBufferReadableStream=e.bufferToStream=e.bufferedStreamToBuffer=e.streamToBuffer=e.bufferToReadable=e.readableToBuffer=e.writeUInt8=e.readUInt8=e.writeUInt32LE=e.readUInt32LE=e.writeUInt32BE=e.readUInt32BE=e.writeUInt16LE=e.readUInt16LE=e.VSBuffer=void 0;const R=typeof Buffer!="undefined",P=typeof TextEncoder!="undefined",C=typeof TextDecoder!="undefined";let I,y;class i{constructor(n){this.buffer=n,this.byteLength=this.buffer.byteLength}static alloc(n){return R?new i(Buffer.allocUnsafe(n)):new i(new Uint8Array(n))}static wrap(n){return R&&!Buffer.isBuffer(n)&&(n=Buffer.from(n.buffer,n.byteOffset,n.byteLength)),new i(n)}static fromString(n,d){return!((d==null?void 0:d.dontUseNodeBuffer)||!1)&&R?new i(Buffer.from(n)):P?(I||(I=new TextEncoder),new i(I.encode(n))):new i(v.encodeUTF8(n))}static concat(n,d){if(typeof d=="undefined"){d=0;for(let h=0,b=n.length;h<b;h++)d+=n[h].byteLength}const w=i.alloc(d);let E=0;for(let h=0,b=n.length;h<b;h++){const A=n[h];w.set(A,E),E+=A.byteLength}return w}toString(){return R?this.buffer.toString():C?(y||(y=new TextDecoder),y.decode(this.buffer)):v.decodeUTF8(this.buffer)}slice(n,d){return new i(this.buffer.subarray(n,d))}set(n,d){n instanceof i?this.buffer.set(n.buffer,d):this.buffer.set(n,d)}readUInt32BE(n){return p(this.buffer,n)}writeUInt32BE(n,d){f(this.buffer,n,d)}readUInt32LE(n){return l(this.buffer,n)}writeUInt32LE(n,d){m(this.buffer,n,d)}readUInt8(n){return S(this.buffer,n)}writeUInt8(n,d){_(this.buffer,n,d)}}e.VSBuffer=i;function T(o,n){return o[n+0]<<0>>>0|o[n+1]<<8>>>0}e.readUInt16LE=T;function k(o,n,d){o[d+0]=n&255,n=n>>>8,o[d+1]=n&255}e.writeUInt16LE=k;function p(o,n){return o[n]*2**24+o[n+1]*2**16+o[n+2]*2**8+o[n+3]}e.readUInt32BE=p;function f(o,n,d){o[d+3]=n,n=n>>>8,o[d+2]=n,n=n>>>8,o[d+1]=n,n=n>>>8,o[d]=n}e.writeUInt32BE=f;function l(o,n){return o[n+0]<<0>>>0|o[n+1]<<8>>>0|o[n+2]<<16>>>0|o[n+3]<<24>>>0}e.readUInt32LE=l;function m(o,n,d){o[d+0]=n&255,n=n>>>8,o[d+1]=n&255,n=n>>>8,o[d+2]=n&255,n=n>>>8,o[d+3]=n&255}e.writeUInt32LE=m;function S(o,n){return o[n]}e.readUInt8=S;function _(o,n,d){o[d]=n}e.writeUInt8=_;function g(o){return D.consumeReadable(o,n=>i.concat(n))}e.readableToBuffer=g;function a(o){return D.toReadable(o)}e.bufferToReadable=a;function u(o){return D.consumeStream(o,n=>i.concat(n))}e.streamToBuffer=u;async function c(o){return o.ended?i.concat(o.buffer):i.concat([...o.buffer,await u(o.stream)])}e.bufferedStreamToBuffer=c;function t(o){return D.toStream(o,n=>i.concat(n))}e.bufferToStream=t;function r(o){return D.transform(o,{data:n=>typeof n=="string"?i.fromString(n):i.wrap(n)},n=>i.concat(n))}e.streamToBufferReadableStream=r;function s(o){return D.newWriteableStream(n=>i.concat(n),o)}e.newWriteableBufferStream=s}),define(ge[74],pe([0,1,10]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.StringSHA1=e.toHexString=e.Hasher=e.stringHash=e.doHash=e.hash=void 0;function D(_){return R(_,0)}e.hash=D;function R(_,g){switch(typeof _){case"object":return _===null?P(349,g):Array.isArray(_)?y(_,g):i(_,g);case"string":return I(_,g);case"boolean":return C(_,g);case"number":return P(_,g);case"undefined":return P(937,g);default:return P(617,g)}}e.doHash=R;function P(_,g){return(g<<5)-g+_|0}function C(_,g){return P(_?433:863,g)}function I(_,g){g=P(149417,g);for(let a=0,u=_.length;a<u;a++)g=P(_.charCodeAt(a),g);return g}e.stringHash=I;function y(_,g){return g=P(104579,g),_.reduce((a,u)=>R(u,a),g)}function i(_,g){return g=P(181387,g),Object.keys(_).sort().reduce((a,u)=>(a=I(u,a),R(_[u],a)),g)}class T{constructor(){this._value=0}get value(){return this._value}hash(g){return this._value=R(g,this._value),this._value}}e.Hasher=T;var k;(function(_){_[_.BLOCK_SIZE=64]="BLOCK_SIZE",_[_.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(k||(k={}));function p(_,g,a=32){const u=a-g,c=~((1<<u)-1);return(_<<g|(c&_)>>>u)>>>0}function f(_,g=0,a=_.byteLength,u=0){for(let c=0;c<a;c++)_[g+c]=u}function l(_,g,a="0"){for(;_.length<g;)_=a+_;return _}function m(_,g=32){return _ instanceof ArrayBuffer?Array.from(new Uint8Array(_)).map(a=>a.toString(16).padStart(2,"0")).join(""):l((_>>>0).toString(16),g/4)}e.toHexString=m;class S{constructor(){this._h0=1732584193,this._h1=4023233417,this._h2=2562383102,this._h3=271733878,this._h4=3285377520,this._buff=new Uint8Array(64+3),this._buffDV=new DataView(this._buff.buffer),this._buffLen=0,this._totalLen=0,this._leftoverHighSurrogate=0,this._finished=!1}update(g){const a=g.length;if(a!==0){const u=this._buff;let c=this._buffLen,t=this._leftoverHighSurrogate,r,s;for(t!==0?(r=t,s=-1,t=0):(r=g.charCodeAt(0),s=0);;){let o=r;if(v.isHighSurrogate(r))if(s+1<a){const n=g.charCodeAt(s+1);v.isLowSurrogate(n)?(s++,o=v.computeCodePoint(r,n)):o=65533}else{t=r;break}else v.isLowSurrogate(r)&&(o=65533);if(c=this._push(u,c,o),s++,s<a)r=g.charCodeAt(s);else break}this._buffLen=c,this._leftoverHighSurrogate=t}}_push(g,a,u){return u<128?g[a++]=u:u<2048?(g[a++]=192|(u&1984)>>>6,g[a++]=128|(u&63)>>>0):u<65536?(g[a++]=224|(u&61440)>>>12,g[a++]=128|(u&4032)>>>6,g[a++]=128|(u&63)>>>0):(g[a++]=240|(u&1835008)>>>18,g[a++]=128|(u&258048)>>>12,g[a++]=128|(u&4032)>>>6,g[a++]=128|(u&63)>>>0),a>=64&&(this._step(),a-=64,this._totalLen+=64,g[0]=g[64+0],g[1]=g[64+1],g[2]=g[64+2]),a}digest(){return this._finished||(this._finished=!0,this._leftoverHighSurrogate&&(this._leftoverHighSurrogate=0,this._buffLen=this._push(this._buff,this._buffLen,65533)),this._totalLen+=this._buffLen,this._wrapUp()),m(this._h0)+m(this._h1)+m(this._h2)+m(this._h3)+m(this._h4)}_wrapUp(){this._buff[this._buffLen++]=128,f(this._buff,this._buffLen),this._buffLen>56&&(this._step(),f(this._buff));const g=8*this._totalLen;this._buffDV.setUint32(56,Math.floor(g/4294967296),!1),this._buffDV.setUint32(60,g%4294967296,!1),this._step()}_step(){const g=S._bigBlock32,a=this._buffDV;for(let w=0;w<64;w+=4)g.setUint32(w,a.getUint32(w,!1),!1);for(let w=64;w<320;w+=4)g.setUint32(w,p(g.getUint32(w-12,!1)^g.getUint32(w-32,!1)^g.getUint32(w-56,!1)^g.getUint32(w-64,!1),1),!1);let u=this._h0,c=this._h1,t=this._h2,r=this._h3,s=this._h4,o,n,d;for(let w=0;w<80;w++)w<20?(o=c&t|~c&r,n=1518500249):w<40?(o=c^t^r,n=1859775393):w<60?(o=c&t|c&r|t&r,n=2400959708):(o=c^t^r,n=3395469782),d=p(u,5)+o+s+n+g.getUint32(w*4,!1)&4294967295,s=r,r=t,t=p(c,30),c=u,u=d;this._h0=this._h0+u&4294967295,this._h1=this._h1+c&4294967295,this._h2=this._h2+t&4294967295,this._h3=this._h3+r&4294967295,this._h4=this._h4+s&4294967295}}e.StringSHA1=S,S._bigBlock32=new DataView(new ArrayBuffer(320))}),define(ge[75],pe([0,1,10]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var D;(function(R){R[R.Ignore=0]="Ignore",R[R.Info=1]="Info",R[R.Warning=2]="Warning",R[R.Error=3]="Error"})(D||(D={})),function(R){const P="error",C="warning",I="warn",y="info";function i(T){return T?v.equalsIgnoreCase(P,T)?R.Error:v.equalsIgnoreCase(C,T)||v.equalsIgnoreCase(I,T)?R.Warning:v.equalsIgnoreCase(y,T)?R.Info:R.Ignore:R.Ignore}R.fromValue=i}(D||(D={})),e.default=D}),define(ge[16],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotImplementedProxy=e.withUndefinedAsNull=e.withNullAsUndefined=e.createProxyObject=e.getAllMethodNames=e.getAllPropertyNames=e.validateConstraint=e.validateConstraints=e.areFunctions=e.isFunction=e.isEmptyObject=e.assertAllDefined=e.assertIsDefined=e.assertType=e.isUndefinedOrNull=e.isDefined=e.isUndefined=e.isBoolean=e.isNumber=e.isObject=e.isStringArray=e.isString=e.isArray=void 0;function v(n){return Array.isArray(n)}e.isArray=v;function D(n){return typeof n=="string"}e.isString=D;function R(n){return Array.isArray(n)&&n.every(d=>D(d))}e.isStringArray=R;function P(n){return typeof n=="object"&&n!==null&&!Array.isArray(n)&&!(n instanceof RegExp)&&!(n instanceof Date)}e.isObject=P;function C(n){return typeof n=="number"&&!isNaN(n)}e.isNumber=C;function I(n){return n===!0||n===!1}e.isBoolean=I;function y(n){return typeof n=="undefined"}e.isUndefined=y;function i(n){return!T(n)}e.isDefined=i;function T(n){return y(n)||n===null}e.isUndefinedOrNull=T;function k(n,d){if(!n)throw new Error(d?`Unexpected type, expected '${d}'`:"Unexpected type")}e.assertType=k;function p(n){if(T(n))throw new Error("Assertion Failed: argument is undefined or null");return n}e.assertIsDefined=p;function f(...n){const d=[];for(let w=0;w<n.length;w++){const E=n[w];if(T(E))throw new Error(`Assertion Failed: argument at index ${w} is undefined or null`);d.push(E)}return d}e.assertAllDefined=f;const l=Object.prototype.hasOwnProperty;function m(n){if(!P(n))return!1;for(let d in n)if(l.call(n,d))return!1;return!0}e.isEmptyObject=m;function S(n){return typeof n=="function"}e.isFunction=S;function _(...n){return n.length>0&&n.every(S)}e.areFunctions=_;function g(n,d){const w=Math.min(n.length,d.length);for(let E=0;E<w;E++)a(n[E],d[E])}e.validateConstraints=g;function a(n,d){if(D(d)){if(typeof n!==d)throw new Error(`argument does not match constraint: typeof ${d}`)}else if(S(d)){try{if(n instanceof d)return}catch(w){}if(!T(n)&&n.constructor===d||d.length===1&&d.call(void 0,n)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.validateConstraint=a;function u(n){let d=[],w=Object.getPrototypeOf(n);for(;Object.prototype!==w;)d=d.concat(Object.getOwnPropertyNames(w)),w=Object.getPrototypeOf(w);return d}e.getAllPropertyNames=u;function c(n){const d=[];for(const w of u(n))typeof n[w]=="function"&&d.push(w);return d}e.getAllMethodNames=c;function t(n,d){const w=h=>function(){const b=Array.prototype.slice.call(arguments,0);return d(h,b)};let E={};for(const h of n)E[h]=w(h);return E}e.createProxyObject=t;function r(n){return n===null?void 0:n}e.withNullAsUndefined=r;function s(n){return typeof n=="undefined"?null:n}e.withUndefinedAsNull=s;function o(n){return class{constructor(){return new Proxy({},{get(d,w){if(d[w])return d[w];throw new Error(`Not Implemented: ${n}->${String(w)}`)}})}}}e.NotImplementedProxy=o}),define(ge[31],pe([0,1,9,10,7,16]),function(Q,e,v,D,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseLineAndColumnAware=e.indexOfPath=e.getDriveLetter=e.hasDriveLetter=e.isRootOrDriveLetter=e.sanitizeFilePath=e.isWindowsDriveLetter=e.isEqualOrParent=e.isEqual=e.isValidBasename=e.isUNC=e.getRoot=e.toSlashes=e.isPathSeparator=void 0;function C(r){return r===47||r===92}e.isPathSeparator=C;function I(r){return r.replace(/[\\/]/g,R.posix.sep)}e.toSlashes=I;function y(r,s=R.posix.sep){if(!r)return"";const o=r.length,n=r.charCodeAt(0);if(C(n)){if(C(r.charCodeAt(1))&&!C(r.charCodeAt(2))){let w=3;const E=w;for(;w<o&&!C(r.charCodeAt(w));w++);if(E!==w&&!C(r.charCodeAt(w+1))){for(w+=1;w<o;w++)if(C(r.charCodeAt(w)))return r.slice(0,w+1).replace(/[\\/]/g,s)}}return s}else if(S(n)&&r.charCodeAt(1)===58)return C(r.charCodeAt(2))?r.slice(0,2)+s:r.slice(0,2);let d=r.indexOf("://");if(d!==-1){for(d+=3;d<o;d++)if(C(r.charCodeAt(d)))return r.slice(0,d+1)}return""}e.getRoot=y;function i(r){if(!v.isWindows||!r||r.length<5)return!1;let s=r.charCodeAt(0);if(s!==92||(s=r.charCodeAt(1),s!==92))return!1;let o=2;const n=o;for(;o<r.length&&(s=r.charCodeAt(o),s!==92);o++);return!(n===o||(s=r.charCodeAt(o+1),isNaN(s)||s===92))}e.isUNC=i;const T=/[\\/:\*\?"<>\|]/g,k=/[\\/]/g,p=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function f(r,s=v.isWindows){const o=s?T:k;return!(!r||r.length===0||/^\s+$/.test(r)||(o.lastIndex=0,o.test(r))||s&&p.test(r)||r==="."||r===".."||s&&r[r.length-1]==="."||s&&r.length!==r.trim().length||r.length>255)}e.isValidBasename=f;function l(r,s,o){const n=r===s;return!o||n?n:!r||!s?!1:D.equalsIgnoreCase(r,s)}e.isEqual=l;function m(r,s,o,n=R.sep){if(r===s)return!0;if(!r||!s||s.length>r.length)return!1;if(o){if(!D.startsWithIgnoreCase(r,s))return!1;if(s.length===r.length)return!0;let w=s.length;return s.charAt(s.length-1)===n&&w--,r.charAt(w)===n}return s.charAt(s.length-1)!==n&&(s+=n),r.indexOf(s)===0}e.isEqualOrParent=m;function S(r){return r>=65&&r<=90||r>=97&&r<=122}e.isWindowsDriveLetter=S;function _(r,s){return v.isWindows&&r.endsWith(":")&&(r+=R.sep),R.isAbsolute(r)||(r=R.join(s,r)),r=R.normalize(r),v.isWindows?(r=D.rtrim(r,R.sep),r.endsWith(":")&&(r+=R.sep)):(r=D.rtrim(r,R.sep),r||(r=R.sep)),r}e.sanitizeFilePath=_;function g(r){const s=R.normalize(r);return v.isWindows?r.length>3?!1:a(s)&&(r.length===2||s.charCodeAt(2)===92):s===R.posix.sep}e.isRootOrDriveLetter=g;function a(r){return v.isWindows?S(r.charCodeAt(0))&&r.charCodeAt(1)===58:!1}e.hasDriveLetter=a;function u(r){return a(r)?r[0]:void 0}e.getDriveLetter=u;function c(r,s,o){return s.length>r.length?-1:r===s?0:(o&&(r=r.toLowerCase(),s=s.toLowerCase()),r.indexOf(s))}e.indexOfPath=c;function t(r){const s=r.split(":");let o,n,d;if(s.forEach(w=>{const E=Number(w);P.isNumber(E)?n===void 0?n=E:d===void 0&&(d=E):o=o?[o,w].join(":"):w}),!o)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:o,line:n!==void 0?n:void 0,column:d!==void 0?d:n!==void 0?1:void 0}}e.parseLineAndColumnAware=t}),define(ge[23],pe([0,1,16]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getCaseInsensitive=e.distinct=e.getOrDefault=e.safeStringify=e.equals=e.mixin=e.cloneAndChange=e.deepFreeze=e.deepClone=void 0;function D(l){if(!l||typeof l!="object"||l instanceof RegExp)return l;const m=Array.isArray(l)?[]:{};return Object.keys(l).forEach(S=>{l[S]&&typeof l[S]=="object"?m[S]=D(l[S]):m[S]=l[S]}),m}e.deepClone=D;function R(l){if(!l||typeof l!="object")return l;const m=[l];for(;m.length>0;){const S=m.shift();Object.freeze(S);for(const _ in S)if(P.call(S,_)){const g=S[_];typeof g=="object"&&!Object.isFrozen(g)&&m.push(g)}}return l}e.deepFreeze=R;const P=Object.prototype.hasOwnProperty;function C(l,m){return I(l,m,new Set)}e.cloneAndChange=C;function I(l,m,S){if(v.isUndefinedOrNull(l))return l;const _=m(l);if(typeof _!="undefined")return _;if(v.isArray(l)){const g=[];for(const a of l)g.push(I(a,m,S));return g}if(v.isObject(l)){if(S.has(l))throw new Error("Cannot clone recursive data-structure");S.add(l);const g={};for(let a in l)P.call(l,a)&&(g[a]=I(l[a],m,S));return S.delete(l),g}return l}function y(l,m,S=!0){return v.isObject(l)?(v.isObject(m)&&Object.keys(m).forEach(_=>{_ in l?S&&(v.isObject(l[_])&&v.isObject(m[_])?y(l[_],m[_],S):l[_]=m[_]):l[_]=m[_]}),l):m}e.mixin=y;function i(l,m){if(l===m)return!0;if(l==null||m===null||m===void 0||typeof l!=typeof m||typeof l!="object"||Array.isArray(l)!==Array.isArray(m))return!1;let S,_;if(Array.isArray(l)){if(l.length!==m.length)return!1;for(S=0;S<l.length;S++)if(!i(l[S],m[S]))return!1}else{const g=[];for(_ in l)g.push(_);g.sort();const a=[];for(_ in m)a.push(_);if(a.sort(),!i(g,a))return!1;for(S=0;S<g.length;S++)if(!i(l[g[S]],m[g[S]]))return!1}return!0}e.equals=i;function T(l){const m=new Set;return JSON.stringify(l,(S,_)=>{if(v.isObject(_)||Array.isArray(_)){if(m.has(_))return"[Circular]";m.add(_)}return _})}e.safeStringify=T;function k(l,m,S){const _=m(l);return typeof _=="undefined"?S:_}e.getOrDefault=k;function p(l,m){const S=Object.create(null);return!l||!m||Object.keys(m).forEach(g=>{const a=l[g],u=m[g];i(a,u)||(S[g]=u)}),S}e.distinct=p;function f(l,m){const S=m.toLowerCase(),_=Object.keys(l).find(g=>g.toLowerCase()===S);return _?l[_]:l[m]}e.getCaseInsensitive=f}),define(ge[93],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toUint32=e.toUint8=e.Constants=void 0;var v;(function(P){P[P.MAX_SAFE_SMALL_INTEGER=1073741824]="MAX_SAFE_SMALL_INTEGER",P[P.MIN_SAFE_SMALL_INTEGER=-1073741824]="MIN_SAFE_SMALL_INTEGER",P[P.MAX_UINT_8=255]="MAX_UINT_8",P[P.MAX_UINT_16=65535]="MAX_UINT_16",P[P.MAX_UINT_32=4294967295]="MAX_UINT_32",P[P.UNICODE_SUPPLEMENTARY_PLANE_BEGIN=65536]="UNICODE_SUPPLEMENTARY_PLANE_BEGIN"})(v=e.Constants||(e.Constants={}));function D(P){return P<0?0:P>255?255:P|0}e.toUint8=D;function R(P){return P<0?0:P>4294967295?4294967295:P|0}e.toUint32=R}),define(ge[2],pe([0,1,9,7]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.uriToFsPath=e.URI=void 0;const R=/^\w[\w\d+.-]*$/,P=/^\//,C=/^\/\//;function I(s,o){if(!s.scheme&&o)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${s.authority}", path: "${s.path}", query: "${s.query}", fragment: "${s.fragment}"}`);if(s.scheme&&!R.test(s.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(s.path){if(s.authority){if(!P.test(s.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(C.test(s.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function y(s,o){return!s&&!o?"file":s}function i(s,o){switch(s){case"https":case"http":case"file":o?o[0]!==k&&(o=k+o):o=k;break}return o}const T="",k="/",p=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class f{constructor(o,n,d,w,E,h=!1){typeof o=="object"?(this.scheme=o.scheme||T,this.authority=o.authority||T,this.path=o.path||T,this.query=o.query||T,this.fragment=o.fragment||T):(this.scheme=y(o,h),this.authority=n||T,this.path=i(this.scheme,d||T),this.query=w||T,this.fragment=E||T,I(this,h))}static isUri(o){return o instanceof f?!0:o?typeof o.authority=="string"&&typeof o.fragment=="string"&&typeof o.path=="string"&&typeof o.query=="string"&&typeof o.scheme=="string"&&typeof o.fsPath=="string"&&typeof o.with=="function"&&typeof o.toString=="function":!1}get fsPath(){return a(this,!1)}with(o){if(!o)return this;let{scheme:n,authority:d,path:w,query:E,fragment:h}=o;return n===void 0?n=this.scheme:n===null&&(n=T),d===void 0?d=this.authority:d===null&&(d=T),w===void 0?w=this.path:w===null&&(w=T),E===void 0?E=this.query:E===null&&(E=T),h===void 0?h=this.fragment:h===null&&(h=T),n===this.scheme&&d===this.authority&&w===this.path&&E===this.query&&h===this.fragment?this:new m(n,d,w,E,h)}static parse(o,n=!1){const d=p.exec(o);return d?new m(d[2]||T,r(d[4]||T),r(d[5]||T),r(d[7]||T),r(d[9]||T),n):new m(T,T,T,T,T)}static file(o){let n=T;if(v.isWindows&&(o=o.replace(/\\/g,k)),o[0]===k&&o[1]===k){const d=o.indexOf(k,2);d===-1?(n=o.substring(2),o=k):(n=o.substring(2,d),o=o.substring(d)||k)}return new m("file",n,o,T,T)}static from(o){return new m(o.scheme,o.authority,o.path,o.query,o.fragment)}static joinPath(o,...n){if(!o.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let d;return v.isWindows&&o.scheme==="file"?d=f.file(D.win32.join(a(o,!0),...n)).path:d=D.posix.join(o.path,...n),o.with({path:d})}toString(o=!1){return u(this,o)}toJSON(){return this}static revive(o){if(o){if(o instanceof f)return o;{const n=new m(o);return n._formatted=o.external,n._fsPath=o._sep===l?o.fsPath:null,n}}else return o}}e.URI=f;const l=v.isWindows?1:void 0;class m extends f{constructor(){super(...arguments);this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=a(this,!1)),this._fsPath}toString(o=!1){return o?u(this,!0):(this._formatted||(this._formatted=u(this,!1)),this._formatted)}toJSON(){const o={$mid:1};return this._fsPath&&(o.fsPath=this._fsPath,o._sep=l),this._formatted&&(o.external=this._formatted),this.path&&(o.path=this.path),this.scheme&&(o.scheme=this.scheme),this.authority&&(o.authority=this.authority),this.query&&(o.query=this.query),this.fragment&&(o.fragment=this.fragment),o}}const S={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function _(s,o){let n,d=-1;for(let w=0;w<s.length;w++){const E=s.charCodeAt(w);if(E>=97&&E<=122||E>=65&&E<=90||E>=48&&E<=57||E===45||E===46||E===95||E===126||o&&E===47)d!==-1&&(n+=encodeURIComponent(s.substring(d,w)),d=-1),n!==void 0&&(n+=s.charAt(w));else{n===void 0&&(n=s.substr(0,w));const h=S[E];h!==void 0?(d!==-1&&(n+=encodeURIComponent(s.substring(d,w)),d=-1),n+=h):d===-1&&(d=w)}}return d!==-1&&(n+=encodeURIComponent(s.substring(d))),n!==void 0?n:s}function g(s){let o;for(let n=0;n<s.length;n++){const d=s.charCodeAt(n);d===35||d===63?(o===void 0&&(o=s.substr(0,n)),o+=S[d]):o!==void 0&&(o+=s[n])}return o!==void 0?o:s}function a(s,o){let n;return s.authority&&s.path.length>1&&s.scheme==="file"?n=`//${s.authority}${s.path}`:s.path.charCodeAt(0)===47&&(s.path.charCodeAt(1)>=65&&s.path.charCodeAt(1)<=90||s.path.charCodeAt(1)>=97&&s.path.charCodeAt(1)<=122)&&s.path.charCodeAt(2)===58?o?n=s.path.substr(1):n=s.path[1].toLowerCase()+s.path.substr(2):n=s.path,v.isWindows&&(n=n.replace(/\//g,"\\")),n}e.uriToFsPath=a;function u(s,o){const n=o?g:_;let d="",{scheme:w,authority:E,path:h,query:b,fragment:A}=s;if(w&&(d+=w,d+=":"),(E||w==="file")&&(d+=k,d+=k),E){let L=E.indexOf("@");if(L!==-1){const M=E.substr(0,L);E=E.substr(L+1),L=M.indexOf(":"),L===-1?d+=n(M,!1):(d+=n(M.substr(0,L),!1),d+=":",d+=n(M.substr(L+1),!1)),d+="@"}E=E.toLowerCase(),L=E.indexOf(":"),L===-1?d+=n(E,!1):(d+=n(E.substr(0,L),!1),d+=E.substr(L))}if(h){if(h.length>=3&&h.charCodeAt(0)===47&&h.charCodeAt(2)===58){const L=h.charCodeAt(1);L>=65&&L<=90&&(h=`/${String.fromCharCode(L+32)}:${h.substr(3)}`)}else if(h.length>=2&&h.charCodeAt(1)===58){const L=h.charCodeAt(0);L>=65&&L<=90&&(h=`${String.fromCharCode(L+32)}:${h.substr(2)}`)}d+=n(h,!0)}return b&&(d+="?",d+=n(b,!1)),A&&(d+="#",d+=o?A:_(A,!1)),d}function c(s){try{return decodeURIComponent(s)}catch(o){return s.length>3?s.substr(0,3)+c(s.substr(3)):s}}const t=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function r(s){return s.match(t)?s.replace(t,o=>c(o)):s}}),define(ge[22],pe([0,1,2,10]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LRUCache=e.LinkedMap=e.Touch=e.ResourceMap=e.TernarySearchTree=e.UriIterator=e.PathIterator=e.ConfigKeysIterator=e.StringIterator=e.setToString=e.mapToString=e.getOrSet=void 0;function R(g,a,u){let c=g.get(a);return c===void 0&&(c=u,g.set(a,c)),c}e.getOrSet=R;function P(g){const a=[];return g.forEach((u,c)=>{a.push(`${c} => ${u}`)}),`Map(${g.size}) {${a.join(", ")}}`}e.mapToString=P;function C(g){const a=[];return g.forEach(u=>{a.push(u)}),`Set(${g.size}) {${a.join(", ")}}`}e.setToString=C;class I{constructor(){this._value="",this._pos=0}reset(a){return this._value=a,this._pos=0,this}next(){return this._pos+=1,this}hasNext(){return this._pos<this._value.length-1}cmp(a){const u=a.charCodeAt(0),c=this._value.charCodeAt(this._pos);return u-c}value(){return this._value[this._pos]}}e.StringIterator=I;class y{constructor(a=!0){this._caseSensitive=a}reset(a){return this._value=a,this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let a=!0;for(;this._to<this._value.length;this._to++)if(this._value.charCodeAt(this._to)===46)if(a)this._from++;else break;else a=!1;return this}cmp(a){return this._caseSensitive?D.compareSubstring(a,this._value,0,a.length,this._from,this._to):D.compareSubstringIgnoreCase(a,this._value,0,a.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.ConfigKeysIterator=y;class i{constructor(a=!0,u=!0){this._splitOnBackslash=a,this._caseSensitive=u}reset(a){return this._value=a.replace(/\\$|\/$/,""),this._from=0,this._to=0,this.next()}hasNext(){return this._to<this._value.length}next(){this._from=this._to;let a=!0;for(;this._to<this._value.length;this._to++){const u=this._value.charCodeAt(this._to);if(u===47||this._splitOnBackslash&&u===92)if(a)this._from++;else break;else a=!1}return this}cmp(a){return this._caseSensitive?D.compareSubstring(a,this._value,0,a.length,this._from,this._to):D.compareSubstringIgnoreCase(a,this._value,0,a.length,this._from,this._to)}value(){return this._value.substring(this._from,this._to)}}e.PathIterator=i;var T;(function(g){g[g.Scheme=1]="Scheme",g[g.Authority=2]="Authority",g[g.Path=3]="Path",g[g.Query=4]="Query",g[g.Fragment=5]="Fragment"})(T||(T={}));class k{constructor(a){this._ignorePathCasing=a,this._states=[],this._stateIdx=0}reset(a){return this._value=a,this._states=[],this._value.scheme&&this._states.push(1),this._value.authority&&this._states.push(2),this._value.path&&(this._pathIterator=new i(!1,!this._ignorePathCasing(a)),this._pathIterator.reset(a.path),this._pathIterator.value()&&this._states.push(3)),this._value.query&&this._states.push(4),this._value.fragment&&this._states.push(5),this._stateIdx=0,this}next(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()?this._pathIterator.next():this._stateIdx+=1,this}hasNext(){return this._states[this._stateIdx]===3&&this._pathIterator.hasNext()||this._stateIdx<this._states.length-1}cmp(a){if(this._states[this._stateIdx]===1)return D.compareIgnoreCase(a,this._value.scheme);if(this._states[this._stateIdx]===2)return D.compareIgnoreCase(a,this._value.authority);if(this._states[this._stateIdx]===3)return this._pathIterator.cmp(a);if(this._states[this._stateIdx]===4)return D.compare(a,this._value.query);if(this._states[this._stateIdx]===5)return D.compare(a,this._value.fragment);throw new Error}value(){if(this._states[this._stateIdx]===1)return this._value.scheme;if(this._states[this._stateIdx]===2)return this._value.authority;if(this._states[this._stateIdx]===3)return this._pathIterator.value();if(this._states[this._stateIdx]===4)return this._value.query;if(this._states[this._stateIdx]===5)return this._value.fragment;throw new Error}}e.UriIterator=k;class p{isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}}class f{constructor(a){this._iter=a}static forUris(a=()=>!1){return new f(new k(a))}static forPaths(){return new f(new i)}static forStrings(){return new f(new I)}static forConfigKeys(){return new f(new y)}clear(){this._root=void 0}set(a,u){const c=this._iter.reset(a);let t;for(this._root||(this._root=new p,this._root.segment=c.value()),t=this._root;;){const s=c.cmp(t.segment);if(s>0)t.left||(t.left=new p,t.left.segment=c.value()),t=t.left;else if(s<0)t.right||(t.right=new p,t.right.segment=c.value()),t=t.right;else if(c.hasNext())c.next(),t.mid||(t.mid=new p,t.mid.segment=c.value()),t=t.mid;else break}const r=t.value;return t.value=u,t.key=a,r}get(a){var u;return(u=this._getNode(a))===null||u===void 0?void 0:u.value}_getNode(a){const u=this._iter.reset(a);let c=this._root;for(;c;){const t=u.cmp(c.segment);if(t>0)c=c.left;else if(t<0)c=c.right;else if(u.hasNext())u.next(),c=c.mid;else break}return c}has(a){const u=this._getNode(a);return!((u==null?void 0:u.value)===void 0&&(u==null?void 0:u.mid)===void 0)}delete(a){return this._delete(a,!1)}deleteSuperstr(a){return this._delete(a,!0)}_delete(a,u){const c=this._iter.reset(a),t=[];let r=this._root;for(;r;){const s=c.cmp(r.segment);if(s>0)t.push([1,r]),r=r.left;else if(s<0)t.push([-1,r]),r=r.right;else if(c.hasNext())c.next(),t.push([0,r]),r=r.mid;else{for(u?(r.left=void 0,r.mid=void 0,r.right=void 0):r.value=void 0;t.length>0&&r.isEmpty();){let[o,n]=t.pop();switch(o){case 1:n.left=void 0;break;case 0:n.mid=void 0;break;case-1:n.right=void 0;break}r=n}break}}}findSubstr(a){const u=this._iter.reset(a);let c=this._root,t;for(;c;){const r=u.cmp(c.segment);if(r>0)c=c.left;else if(r<0)c=c.right;else if(u.hasNext())u.next(),t=c.value||t,c=c.mid;else break}return c&&c.value||t}findSuperstr(a){const u=this._iter.reset(a);let c=this._root;for(;c;){const t=u.cmp(c.segment);if(t>0)c=c.left;else if(t<0)c=c.right;else if(u.hasNext())u.next(),c=c.mid;else return c.mid?this._entries(c.mid):void 0}}forEach(a){for(const[u,c]of this)a(c,u)}*[Symbol.iterator](){yield*this._entries(this._root)}*_entries(a){a&&(yield*this._entries(a.left),a.value&&(yield[a.key,a.value]),yield*this._entries(a.mid),yield*this._entries(a.right))}}e.TernarySearchTree=f;class l{constructor(a,u){this[Symbol.toStringTag]="ResourceMap",a instanceof l?(this.map=new Map(a.map),this.toKey=u!=null?u:l.defaultToKey):(this.map=new Map,this.toKey=a!=null?a:l.defaultToKey)}set(a,u){return this.map.set(this.toKey(a),u),this}get(a){return this.map.get(this.toKey(a))}has(a){return this.map.has(this.toKey(a))}get size(){return this.map.size}clear(){this.map.clear()}delete(a){return this.map.delete(this.toKey(a))}forEach(a,u){typeof u!="undefined"&&(a=a.bind(u));for(let[c,t]of this.map)a(t,v.URI.parse(c),this)}values(){return this.map.values()}*keys(){for(let a of this.map.keys())yield v.URI.parse(a)}*entries(){for(let a of this.map.entries())yield[v.URI.parse(a[0]),a[1]]}*[Symbol.iterator](){for(let a of this.map)yield[v.URI.parse(a[0]),a[1]]}}e.ResourceMap=l,l.defaultToKey=g=>g.toString();var m;(function(g){g[g.None=0]="None",g[g.AsOld=1]="AsOld",g[g.AsNew=2]="AsNew"})(m=e.Touch||(e.Touch={}));class S{constructor(){this[Symbol.toStringTag]="LinkedMap",this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0,this._state=0}clear(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0,this._state++}isEmpty(){return!this._head&&!this._tail}get size(){return this._size}get first(){var a;return(a=this._head)===null||a===void 0?void 0:a.value}get last(){var a;return(a=this._tail)===null||a===void 0?void 0:a.value}has(a){return this._map.has(a)}get(a,u=0){const c=this._map.get(a);if(!!c)return u!==0&&this.touch(c,u),c.value}set(a,u,c=0){let t=this._map.get(a);if(t)t.value=u,c!==0&&this.touch(t,c);else{switch(t={key:a,value:u,next:void 0,previous:void 0},c){case 0:this.addItemLast(t);break;case 1:this.addItemFirst(t);break;case 2:this.addItemLast(t);break;default:this.addItemLast(t);break}this._map.set(a,t),this._size++}return this}delete(a){return!!this.remove(a)}remove(a){const u=this._map.get(a);if(!!u)return this._map.delete(a),this.removeItem(u),this._size--,u.value}shift(){if(!(!this._head&&!this._tail)){if(!this._head||!this._tail)throw new Error("Invalid list");const a=this._head;return this._map.delete(a.key),this.removeItem(a),this._size--,a.value}}forEach(a,u){const c=this._state;let t=this._head;for(;t;){if(u?a.bind(u)(t.value,t.key,this):a(t.value,t.key,this),this._state!==c)throw new Error("LinkedMap got modified during iteration.");t=t.next}}keys(){const a=this,u=this._state;let c=this._head;const t={[Symbol.iterator](){return t},next(){if(a._state!==u)throw new Error("LinkedMap got modified during iteration.");if(c){const r={value:c.key,done:!1};return c=c.next,r}else return{value:void 0,done:!0}}};return t}values(){const a=this,u=this._state;let c=this._head;const t={[Symbol.iterator](){return t},next(){if(a._state!==u)throw new Error("LinkedMap got modified during iteration.");if(c){const r={value:c.value,done:!1};return c=c.next,r}else return{value:void 0,done:!0}}};return t}entries(){const a=this,u=this._state;let c=this._head;const t={[Symbol.iterator](){return t},next(){if(a._state!==u)throw new Error("LinkedMap got modified during iteration.");if(c){const r={value:[c.key,c.value],done:!1};return c=c.next,r}else return{value:void 0,done:!0}}};return t}[Symbol.iterator](){return this.entries()}trimOld(a){if(!(a>=this.size)){if(a===0){this.clear();return}let u=this._head,c=this.size;for(;u&&c>a;)this._map.delete(u.key),u=u.next,c--;this._head=u,this._size=c,u&&(u.previous=void 0),this._state++}}addItemFirst(a){if(!this._head&&!this._tail)this._tail=a;else if(this._head)a.next=this._head,this._head.previous=a;else throw new Error("Invalid list");this._head=a,this._state++}addItemLast(a){if(!this._head&&!this._tail)this._head=a;else if(this._tail)a.previous=this._tail,this._tail.next=a;else throw new Error("Invalid list");this._tail=a,this._state++}removeItem(a){if(a===this._head&&a===this._tail)this._head=void 0,this._tail=void 0;else if(a===this._head){if(!a.next)throw new Error("Invalid list");a.next.previous=void 0,this._head=a.next}else if(a===this._tail){if(!a.previous)throw new Error("Invalid list");a.previous.next=void 0,this._tail=a.previous}else{const u=a.next,c=a.previous;if(!u||!c)throw new Error("Invalid list");u.previous=c,c.next=u}a.next=void 0,a.previous=void 0,this._state++}touch(a,u){if(!this._head||!this._tail)throw new Error("Invalid list");if(!(u!==1&&u!==2)){if(u===1){if(a===this._head)return;const c=a.next,t=a.previous;a===this._tail?(t.next=void 0,this._tail=t):(c.previous=t,t.next=c),a.previous=void 0,a.next=this._head,this._head.previous=a,this._head=a,this._state++}else if(u===2){if(a===this._tail)return;const c=a.next,t=a.previous;a===this._head?(c.previous=void 0,this._head=c):(c.previous=t,t.next=c),a.next=void 0,a.previous=this._tail,this._tail.next=a,this._tail=a,this._state++}}}toJSON(){const a=[];return this.forEach((u,c)=>{a.push([c,u])}),a}fromJSON(a){this.clear();for(const[u,c]of a)this.set(u,c)}}e.LinkedMap=S;class _ extends S{constructor(a,u=1){super();this._limit=a,this._ratio=Math.min(Math.max(0,u),1)}get limit(){return this._limit}set limit(a){this._limit=a,this.checkTrim()}get ratio(){return this._ratio}set ratio(a){this._ratio=Math.min(Math.max(0,a),1),this.checkTrim()}get(a,u=2){return super.get(a,u)}peek(a){return super.get(a,0)}set(a,u){return super.set(a,u,2),this.checkTrim(),this}checkTrim(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))}}e.LRUCache=_}),define(ge[94],pe([0,1,22,10]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fuzzyScoreGraceful=e.fuzzyScoreGracefulAggressive=e.fuzzyScore=e.FuzzyScore=e.isPatternInWord=e.createMatches=e.anyScore=e.matchesFuzzy2=e.matchesFuzzy=e.matchesWords=e.matchesCamelCase=e.isUpper=e.matchesSubString=e.matchesContiguousSubString=e.matchesPrefix=e.matchesStrictPrefix=e.or=void 0;function R(..._e){return function(Pe,Re){for(let Ue=0,Ee=_e.length;Ue<Ee;Ue++){const Ke=_e[Ue](Pe,Re);if(Ke)return Ke}return null}}e.or=R,e.matchesStrictPrefix=P.bind(void 0,!1),e.matchesPrefix=P.bind(void 0,!0);function P(_e,Pe,Re){if(!Re||Re.length<Pe.length)return null;let Ue;return _e?Ue=D.startsWithIgnoreCase(Re,Pe):Ue=Re.indexOf(Pe)===0,Ue?Pe.length>0?[{start:0,end:Pe.length}]:[]:null}function C(_e,Pe){const Re=Pe.toLowerCase().indexOf(_e.toLowerCase());return Re===-1?null:[{start:Re,end:Re+_e.length}]}e.matchesContiguousSubString=C;function I(_e,Pe){return y(_e.toLowerCase(),Pe.toLowerCase(),0,0)}e.matchesSubString=I;function y(_e,Pe,Re,Ue){if(Re===_e.length)return[];if(Ue===Pe.length)return null;if(_e[Re]===Pe[Ue]){let Ee=null;return(Ee=y(_e,Pe,Re+1,Ue+1))?_({start:Ue,end:Ue+1},Ee):null}return y(_e,Pe,Re,Ue+1)}function i(_e){return 97<=_e&&_e<=122}function T(_e){return 65<=_e&&_e<=90}e.isUpper=T;function k(_e){return 48<=_e&&_e<=57}function p(_e){return _e===32||_e===9||_e===10||_e===13}const f=new Set;"`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?".split("").forEach(_e=>f.add(_e.charCodeAt(0)));function l(_e){return p(_e)||f.has(_e)}function m(_e,Pe){return _e===Pe||l(_e)&&l(Pe)}function S(_e){return i(_e)||T(_e)||k(_e)}function _(_e,Pe){return Pe.length===0?Pe=[_e]:_e.end===Pe[0].start?Pe[0].start=_e.start:Pe.unshift(_e),Pe}function g(_e,Pe){for(let Re=Pe;Re<_e.length;Re++){const Ue=_e.charCodeAt(Re);if(T(Ue)||k(Ue)||Re>0&&!S(_e.charCodeAt(Re-1)))return Re}return _e.length}function a(_e,Pe,Re,Ue){if(Re===_e.length)return[];if(Ue===Pe.length)return null;if(_e[Re]!==Pe[Ue].toLowerCase())return null;{let Ee=null,Ke=Ue+1;for(Ee=a(_e,Pe,Re+1,Ue+1);!Ee&&(Ke=g(Pe,Ke))<Pe.length;)Ee=a(_e,Pe,Re+1,Ke),Ke++;return Ee===null?null:_({start:Ue,end:Ue+1},Ee)}}function u(_e){let Pe=0,Re=0,Ue=0,Ee=0,Ke=0;for(let Be=0;Be<_e.length;Be++)Ke=_e.charCodeAt(Be),T(Ke)&&Pe++,i(Ke)&&Re++,S(Ke)&&Ue++,k(Ke)&&Ee++;const X=Pe/_e.length,ne=Re/_e.length,we=Ue/_e.length,Ne=Ee/_e.length;return{upperPercent:X,lowerPercent:ne,alphaPercent:we,numericPercent:Ne}}function c(_e){const{upperPercent:Pe,lowerPercent:Re}=_e;return Re===0&&Pe>.6}function t(_e){const{upperPercent:Pe,lowerPercent:Re,alphaPercent:Ue,numericPercent:Ee}=_e;return Re>.2&&Pe<.8&&Ue>.6&&Ee<.2}function r(_e){let Pe=0,Re=0,Ue=0,Ee=0;for(let Ke=0;Ke<_e.length;Ke++)Ue=_e.charCodeAt(Ke),T(Ue)&&Pe++,i(Ue)&&Re++,p(Ue)&&Ee++;return(Pe===0||Re===0)&&Ee===0?_e.length<=30:Pe<=5}function s(_e,Pe){if(!Pe||(Pe=Pe.trim(),Pe.length===0)||!r(_e)||Pe.length>60)return null;const Re=u(Pe);if(!t(Re)){if(!c(Re))return null;Pe=Pe.toLowerCase()}let Ue=null,Ee=0;for(_e=_e.toLowerCase();Ee<Pe.length&&(Ue=a(_e,Pe,0,Ee))===null;)Ee=g(Pe,Ee+1);return Ue}e.matchesCamelCase=s;function o(_e,Pe,Re=!1){if(!Pe||Pe.length===0)return null;let Ue=null,Ee=0;for(_e=_e.toLowerCase(),Pe=Pe.toLowerCase();Ee<Pe.length&&(Ue=n(_e,Pe,0,Ee,Re))===null;)Ee=d(Pe,Ee+1);return Ue}e.matchesWords=o;function n(_e,Pe,Re,Ue,Ee){if(Re===_e.length)return[];if(Ue===Pe.length)return null;if(m(_e.charCodeAt(Re),Pe.charCodeAt(Ue))){let Ke=null,X=Ue+1;if(Ke=n(_e,Pe,Re+1,Ue+1,Ee),!Ee)for(;!Ke&&(X=d(Pe,X))<Pe.length;)Ke=n(_e,Pe,Re+1,X,Ee),X++;return Ke===null?null:_({start:Ue,end:Ue+1},Ke)}else return null}function d(_e,Pe){for(let Re=Pe;Re<_e.length;Re++)if(l(_e.charCodeAt(Re))||Re>0&&l(_e.charCodeAt(Re-1)))return Re;return _e.length}const w=R(e.matchesPrefix,s,C),E=R(e.matchesPrefix,s,I),h=new v.LRUCache(1e4);function b(_e,Pe,Re=!1){if(typeof _e!="string"||typeof Pe!="string")return null;let Ue=h.get(_e);Ue||(Ue=new RegExp(D.convertSimple2RegExpPattern(_e),"i"),h.set(_e,Ue));const Ee=Ue.exec(Pe);return Ee?[{start:Ee.index,end:Ee.index+Ee[0].length}]:Re?E(_e,Pe):w(_e,Pe)}e.matchesFuzzy=b;function A(_e,Pe){const Re=H(_e,_e.toLowerCase(),0,Pe,Pe.toLowerCase(),0,!0);return Re?M(Re):null}e.matchesFuzzy2=A;function L(_e,Pe,Re,Ue,Ee,Ke){const X=H(_e,Pe,0,Ue,Ee,0,!0);if(X)return X;let ne=[],we=0,Ne=Ke;for(let Be=0;Be<Pe.length&&Be<z;++Be){const We=Ee.indexOf(Pe.charAt(Be),Ne);if(We>=0)we+=1,ne.unshift(We),Ne=We+1;else if(ne.length>0)break}return[we,Ke,...ne]}e.anyScore=L;function M(_e){if(typeof _e=="undefined")return[];const Pe=[],Re=_e[1];for(let Ue=_e.length-1;Ue>1;Ue--){const Ee=_e[Ue]+Re,Ke=Pe[Pe.length-1];Ke&&Ke.end===Ee?Ke.end=Ee+1:Pe.push({start:Ee,end:Ee+1})}return Pe}e.createMatches=M;const z=128;function V(){const _e=[],Pe=[];for(let Re=0;Re<=z;Re++)Pe[Re]=0;for(let Re=0;Re<=z;Re++)_e.push(Pe.slice(0));return _e}function W(_e){const Pe=[];for(let Re=0;Re<=_e;Re++)Pe[Re]=0;return Pe}const K=W(2*z),x=W(2*z),N=V(),U=V(),F=V(),O=!1;function $(_e,Pe,Re,Ue,Ee){function Ke(ne,we,Ne=" "){for(;ne.length<we;)ne=Ne+ne;return ne}let X=` |   |${Ue.split("").map(ne=>Ke(ne,3)).join("|")}
`;for(let ne=0;ne<=Re;ne++)ne===0?X+=" |":X+=`${Pe[ne-1]}|`,X+=_e[ne].slice(0,Ee+1).map(we=>Ke(we.toString(),3)).join("|")+`
`;return X}function q(_e,Pe,Re,Ue){_e=_e.substr(Pe),Re=Re.substr(Ue),console.log($(U,_e,_e.length,Re,Re.length)),console.log($(F,_e,_e.length,Re,Re.length)),console.log($(N,_e,_e.length,Re,Re.length))}function Z(_e,Pe){if(Pe<0||Pe>=_e.length)return!1;const Re=_e.codePointAt(Pe);switch(Re){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 40:case 91:return!0;case void 0:return!1;default:return!!D.isEmojiImprecise(Re)}}function ae(_e,Pe){if(Pe<0||Pe>=_e.length)return!1;switch(_e.charCodeAt(Pe)){case 32:case 9:return!0;default:return!1}}function fe(_e,Pe,Re){return Pe[_e]!==Re[_e]}function Te(_e,Pe,Re,Ue,Ee,Ke,X=!1){for(;Pe<Re&&Ee<Ke;)_e[Pe]===Ue[Ee]&&(X&&(K[Pe]=Ee),Pe+=1),Ee+=1;return Pe===Re}e.isPatternInWord=Te;var Se;(function(_e){_e[_e.Diag=1]="Diag",_e[_e.Left=2]="Left",_e[_e.LeftLeft=3]="LeftLeft"})(Se||(Se={}));var Le;(function(_e){_e.Default=[-100,0];function Pe(Re){return!Re||Re.length===2&&Re[0]===-100&&Re[1]===0}_e.isDefault=Pe})(Le=e.FuzzyScore||(e.FuzzyScore={}));function H(_e,Pe,Re,Ue,Ee,Ke,X){const ne=_e.length>z?z:_e.length,we=Ue.length>z?z:Ue.length;if(!(Re>=ne||Ke>=we||ne-Re>we-Ke)&&!!Te(Pe,Re,ne,Ee,Ke,we,!0)){Y(ne,we,Re,Ke,Pe,Ee);let Ne=1,Be=1,We=Re,Je=Ke;const G=[!1];for(Ne=1,We=Re;We<ne;Ne++,We++){const de=K[We],me=x[We],ye=We+1<ne?x[We+1]:we;for(Be=de-Ke+1,Je=de;Je<ye;Be++,Je++){let je=Number.MIN_SAFE_INTEGER,He=!1;Je<=me&&(je=ie(_e,Pe,We,Re,Ue,Ee,Je,we,Ke,N[Ne-1][Be-1]===0,G));let qe=0;je!==Number.MAX_SAFE_INTEGER&&(He=!0,qe=je+U[Ne-1][Be-1]);const Qe=Je>de,Ze=Qe?U[Ne][Be-1]+(N[Ne][Be-1]>0?-5:0):0,be=Je>de+1&&N[Ne][Be-1]>0,De=be?U[Ne][Be-2]+(N[Ne][Be-2]>0?-5:0):0;if(be&&(!Qe||De>=Ze)&&(!He||De>=qe))U[Ne][Be]=De,F[Ne][Be]=3,N[Ne][Be]=0;else if(Qe&&(!He||Ze>=qe))U[Ne][Be]=Ze,F[Ne][Be]=2,N[Ne][Be]=0;else if(He)U[Ne][Be]=qe,F[Ne][Be]=1,N[Ne][Be]=N[Ne-1][Be-1]+1;else throw new Error("not possible")}}if(O&&q(_e,Re,Ue,Ke),!(!G[0]&&!X)){Ne--,Be--;const se=[U[Ne][Be],Ke];let he=0,J=0;for(;Ne>=1;){let de=Be;do{const me=F[Ne][de];if(me===3)de=de-2;else if(me===2)de=de-1;else break}while(de>=1);he>1&&Pe[Re+Ne-1]===Ee[Ke+Be-1]&&!fe(de+Ke-1,Ue,Ee)&&he+1>N[Ne][de]&&(de=Be),de===Be?he++:he=1,J||(J=de),Ne--,Be=de-1,se.push(Be)}we===ne&&(se[0]+=2);const re=J-ne;return se[0]-=re,se}}}e.fuzzyScore=H;function Y(_e,Pe,Re,Ue,Ee,Ke){let X=_e-1,ne=Pe-1;for(;X>=Re&&ne>=Ue;)Ee[X]===Ke[ne]&&(x[X]=ne,X--),ne--}function ie(_e,Pe,Re,Ue,Ee,Ke,X,ne,we,Ne,Be){if(Pe[Re]!==Ke[X])return Number.MIN_SAFE_INTEGER;let We=1,Je=!1;return X===Re-Ue?We=_e[Re]===Ee[X]?7:5:fe(X,Ee,Ke)&&(X===0||!fe(X-1,Ee,Ke))?(We=_e[Re]===Ee[X]?7:5,Je=!0):Z(Ke,X)&&(X===0||!Z(Ke,X-1))?We=5:(Z(Ke,X-1)||ae(Ke,X-1))&&(We=5,Je=!0),We>1&&Re===Ue&&(Be[0]=!0),Je||(Je=fe(X,Ee,Ke)||Z(Ke,X-1)||ae(Ke,X-1)),Re===Ue?X>we&&(We-=Je?3:5):Ne?We+=Je?2:0:We+=Je?0:1,X+1===ne&&(We-=Je?3:5),We}function oe(_e,Pe,Re,Ue,Ee,Ke,X){return ke(_e,Pe,Re,Ue,Ee,Ke,!0,X)}e.fuzzyScoreGracefulAggressive=oe;function ve(_e,Pe,Re,Ue,Ee,Ke,X){return ke(_e,Pe,Re,Ue,Ee,Ke,!1,X)}e.fuzzyScoreGraceful=ve;function ke(_e,Pe,Re,Ue,Ee,Ke,X,ne){let we=H(_e,Pe,Re,Ue,Ee,Ke,ne);if(we&&!X)return we;if(_e.length>=3){const Ne=Math.min(7,_e.length-1);for(let Be=Re+1;Be<Ne;Be++){const We=Me(_e,Be);if(We){const Je=H(We,We.toLowerCase(),Re,Ue,Ee,Ke,ne);Je&&(Je[0]-=3,(!we||Je[0]>we[0])&&(we=Je))}}}return we}function Me(_e,Pe){if(!(Pe+1>=_e.length)){const Re=_e[Pe],Ue=_e[Pe+1];if(Re!==Ue)return _e.slice(0,Pe)+Ue+Re+_e.slice(Pe+2)}}}),define(ge[95],pe([0,1,91,94,7,9,10]),function(Q,e,v,D,R,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.pieceToQuery=e.prepareQuery=e.compareItemsByFuzzyScore=e.scoreItemFuzzy=e.scoreFuzzy2=e.scoreFuzzy=void 0;const I=0,y=[I,[]];function i(W,K,x,N){if(!W||!K)return y;const U=W.length,F=K.length;if(U<F)return y;const O=W.toLowerCase();return!N&&!O.includes(x)?y:T(K,x,F,W,O,U)}e.scoreFuzzy=i;function T(W,K,x,N,U,F){const O=[],$=[];for(let fe=0;fe<x;fe++){const Te=fe*F,Se=Te-F,Le=fe>0,H=W[fe],Y=K[fe];for(let ie=0;ie<F;ie++){const oe=ie>0,ve=Te+ie,ke=ve-1,Me=Se+ie-1,_e=oe?O[ke]:0,Pe=Le&&oe?O[Me]:0,Re=Le&&oe?$[Me]:0;let Ue;!Pe&&Le?Ue=0:Ue=k(H,Y,N,U,ie,Re),Ue&&Pe+Ue>=_e?($[ve]=Re+1,O[ve]=Pe+Ue):($[ve]=I,O[ve]=_e)}}const q=[];let Z=x-1,ae=F-1;for(;Z>=0&&ae>=0;){const fe=Z*F+ae;$[fe]===I||(q.push(ae),Z--),ae--}return[O[x*F-1],q.reverse()]}function k(W,K,x,N,U,F){let O=0;if(!p(K,N[U]))return O;if(O+=1,F>0&&(O+=F*5),W===x[U]&&(O+=1),U===0)O+=8;else{const $=f(x.charCodeAt(U-1));$?O+=$:D.isUpper(x.charCodeAt(U))&&(O+=2)}return O}function p(W,K){return W===K?!0:W==="/"||W==="\\"?K==="/"||K==="\\":!1}function f(W){switch(W){case 47:case 92:return 5;case 95:case 45:case 46:case 32:case 39:case 34:case 58:return 4;default:return 0}}const l=[void 0,[]];function m(W,K,x=0,N=0){const U=K;return U.values&&U.values.length>1?S(W,U.values,x,N):_(W,K,x,N)}e.scoreFuzzy2=m;function S(W,K,x,N){let U=0;const F=[];for(const O of K){const[$,q]=_(W,O,x,N);if(typeof $!="number")return l;U+=$,F.push(...q)}return[U,d(F)]}function _(W,K,x,N){const U=D.fuzzyScore(K.original,K.originalLowercase,x,W,W.toLowerCase(),N,!0);return U?[U[0],D.createMatches(U)]:l}const g=Object.freeze({score:0}),a=1<<18,u=1<<17,c=1<<16;function t(W,K,x,N,U){if(!W||!K.normalized)return g;const F=N.getItemLabel(W);if(!F)return g;const O=N.getItemDescription(W);let $;O?$=`${F}${O}${K.normalized}${Array.isArray(K.values)?K.values.length:""}${x}`:$=`${F}${K.normalized}${Array.isArray(K.values)?K.values.length:""}${x}`;const q=U[$];if(q)return q;const Z=r(F,O,N.getItemPath(W),K,x);return U[$]=Z,Z}e.scoreItemFuzzy=t;function r(W,K,x,N,U){const F=!x||!N.containsPathSeparator;return x&&(P.isLinux?N.pathNormalized===x:C.equalsIgnoreCase(N.pathNormalized,x))?{score:a,labelMatch:[{start:0,end:W.length}],descriptionMatch:K?[{start:0,end:K.length}]:void 0}:N.values&&N.values.length>1?s(W,K,x,N.values,F,U):o(W,K,x,N,F,U)}function s(W,K,x,N,U,F){let O=0;const $=[],q=[];for(const Z of N){const{score:ae,labelMatch:fe,descriptionMatch:Te}=o(W,K,x,Z,U,F);if(ae===I)return g;O+=ae,fe&&$.push(...fe),Te&&q.push(...Te)}return{score:O,labelMatch:d($),descriptionMatch:d(q)}}function o(W,K,x,N,U,F){if(U||!K){const[O,$]=i(W,N.normalized,N.normalizedLowercase,F);if(O){const q=D.matchesPrefix(N.normalized,W);let Z;return q?(Z=u,Z+=Math.round(N.normalized.length/W.length*100)):Z=c,{score:Z+O,labelMatch:q||n($)}}}if(K){let O=K;x&&(O=`${K}${R.sep}`);const $=O.length,q=`${O}${W}`,[Z,ae]=i(q,N.normalized,N.normalizedLowercase,F);if(Z){const fe=n(ae),Te=[],Se=[];return fe.forEach(Le=>{Le.start<$&&Le.end>$?(Te.push({start:0,end:Le.end-$}),Se.push({start:Le.start,end:$})):Le.start>=$?Te.push({start:Le.start-$,end:Le.end-$}):Se.push(Le)}),{score:Z,labelMatch:Te,descriptionMatch:Se}}}return g}function n(W){const K=[];if(!W)return K;let x;for(const N of W)x&&x.end===N?x.end+=1:(x={start:N,end:N+1},K.push(x));return K}function d(W){const K=W.sort((U,F)=>U.start-F.start),x=[];let N;for(const U of K)!N||!w(N,U)?(N=U,x.push(U)):(N.start=Math.min(N.start,U.start),N.end=Math.max(N.end,U.end));return x}function w(W,K){return!(W.end<K.start||K.end<W.start)}function E(W,K,x,N,U,F){const O=t(W,x,N,U,F),$=t(K,x,N,U,F),q=O.score,Z=$.score;if((q===a||Z===a)&&q!==Z)return q===a?-1:1;if(q>c||Z>c){if(q!==Z)return q>Z?-1:1;if(q<u&&Z<u){const Y=b(O.labelMatch,$.labelMatch);if(Y!==0)return Y}const Le=U.getItemLabel(W)||"",H=U.getItemLabel(K)||"";if(Le.length!==H.length)return Le.length-H.length}if(q!==Z)return q>Z?-1:1;const ae=Array.isArray(O.labelMatch)&&O.labelMatch.length>0,fe=Array.isArray($.labelMatch)&&$.labelMatch.length>0;if(ae&&!fe)return-1;if(fe&&!ae)return 1;const Te=h(W,O,U),Se=h(K,$,U);return Te&&Se&&Te!==Se?Se>Te?-1:1:A(W,K,x,U)}e.compareItemsByFuzzyScore=E;function h(W,K,x){let N=-1,U=-1;if(K.descriptionMatch&&K.descriptionMatch.length?N=K.descriptionMatch[0].start:K.labelMatch&&K.labelMatch.length&&(N=K.labelMatch[0].start),K.labelMatch&&K.labelMatch.length){if(U=K.labelMatch[K.labelMatch.length-1].end,K.descriptionMatch&&K.descriptionMatch.length){const F=x.getItemDescription(W);F&&(U+=F.length)}}else K.descriptionMatch&&K.descriptionMatch.length&&(U=K.descriptionMatch[K.descriptionMatch.length-1].end);return U-N}function b(W,K){if(!W&&!K||(!W||!W.length)&&(!K||!K.length))return 0;if(!K||!K.length)return-1;if(!W||!W.length)return 1;const x=W[0].start,U=W[W.length-1].end-x,F=K[0].start,$=K[K.length-1].end-F;return U===$?0:$<U?1:-1}function A(W,K,x,N){const U=N.getItemLabel(W)||"",F=N.getItemLabel(K)||"",O=N.getItemDescription(W),$=N.getItemDescription(K),q=U.length+(O?O.length:0),Z=F.length+($?$.length:0);if(q!==Z)return q-Z;const ae=N.getItemPath(W),fe=N.getItemPath(K);return ae&&fe&&ae.length!==fe.length?ae.length-fe.length:U!==F?v.compareAnything(U,F,x.normalized):O&&$&&O!==$?v.compareAnything(O,$,x.normalized):ae&&fe&&ae!==fe?v.compareAnything(ae,fe,x.normalized):0}const L=" ";function M(W){typeof W!="string"&&(W="");const K=W.toLowerCase(),{pathNormalized:x,normalized:N,normalizedLowercase:U}=z(W),F=x.indexOf(R.sep)>=0;let O;const $=W.split(L);if($.length>1)for(const q of $){const{pathNormalized:Z,normalized:ae,normalizedLowercase:fe}=z(q);ae&&(O||(O=[]),O.push({original:q,originalLowercase:q.toLowerCase(),pathNormalized:Z,normalized:ae,normalizedLowercase:fe}))}return{original:W,originalLowercase:K,pathNormalized:x,normalized:N,normalizedLowercase:U,values:O,containsPathSeparator:F}}e.prepareQuery=M;function z(W){let K;P.isWindows?K=W.replace(/\//g,R.sep):K=W.replace(/\\/g,R.sep);const x=C.stripWildcards(K).replace(/\s/g,"");return{pathNormalized:K,normalized:x,normalizedLowercase:x.toLowerCase()}}function V(W){return Array.isArray(W)?M(W.map(K=>K.original).join(L)):M(W.original)}e.pieceToQuery=V}),define(ge[34],pe([0,1,10,31,7,22,19]),function(Q,e,v,D,R,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getPathTerms=e.getBasenameTerms=e.isRelativePattern=e.hasSiblingFn=e.hasSiblingPromiseFn=e.parse=e.match=e.splitGlobAware=e.getEmptyExpression=void 0;function I(){return Object.create(null)}e.getEmptyExpression=I;const y="**",i="/",T="[/\\\\]",k="[^/\\\\]",p=/\//g;function f(O){switch(O){case 0:return"";case 1:return`${k}*?`;default:return`(?:${T}|${k}+${T}|${T}${k}+)*?`}}function l(O,$){if(!O)return[];const q=[];let Z=!1,ae=!1,fe="";for(const Te of O){switch(Te){case $:if(!Z&&!ae){q.push(fe),fe="";continue}break;case"{":Z=!0;break;case"}":Z=!1;break;case"[":ae=!0;break;case"]":ae=!1;break}fe+=Te}return fe&&q.push(fe),q}e.splitGlobAware=l;function m(O){if(!O)return"";let $="";const q=l(O,i);if(q.every(Z=>Z===y))$=".*";else{let Z=!1;q.forEach((ae,fe)=>{if(ae===y){Z||($+=f(2),Z=!0);return}let Te=!1,Se="",Le=!1,H="";for(const Y of ae){if(Y!=="}"&&Te){Se+=Y;continue}if(Le&&(Y!=="]"||!H)){let ie;Y==="-"?ie=Y:(Y==="^"||Y==="!")&&!H?ie="^":Y===i?ie="":ie=v.escapeRegExpCharacters(Y),H+=ie;continue}switch(Y){case"{":Te=!0;continue;case"[":Le=!0;continue;case"}":$+=`(?:${l(Se,",").map(ve=>m(ve)).join("|")})`,Te=!1,Se="";break;case"]":$+="["+H+"]",Le=!1,H="";break;case"?":$+=k;continue;case"*":$+=f(1);continue;default:$+=v.escapeRegExpCharacters(Y)}}fe<q.length-1&&(q[fe+1]!==y||fe+2<q.length)&&($+=T),Z=!1})}return $}const S=/^\*\*\/\*\.[\w\.-]+$/,_=/^\*\*\/([\w\.-]+)\/?$/,g=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,a=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,u=/^\*\*((\/[\w\.-]+)+)\/?$/,c=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,t=new P.LRUCache(1e4),r=function(){return!1},s=function(){return null};function o(O,$){if(!O)return s;let q;typeof O!="string"?q=O.pattern:q=O,q=q.trim();const Z=`${q}_${!!$.trimForExclusions}`;let ae=t.get(Z);if(ae)return n(ae,O);let fe;if(S.test(q)){const Te=q.substr(4);ae=function(Se,Le){return typeof Se=="string"&&Se.endsWith(Te)?q:null}}else(fe=_.exec(d(q,$)))?ae=w(fe[1],q):($.trimForExclusions?a:g).test(q)?ae=E(q,$):(fe=u.exec(d(q,$)))?ae=h(fe[1].substr(1),q,!0):(fe=c.exec(d(q,$)))?ae=h(fe[1],q,!1):ae=b(q);return t.set(Z,ae),n(ae,O)}function n(O,$){return typeof $=="string"?O:function(q,Z){return D.isEqualOrParent(q,$.base)?O(R.relative($.base,q),Z):null}}function d(O,$){return $.trimForExclusions&&O.endsWith("/**")?O.substr(0,O.length-2):O}function w(O,$){const q=`/${O}`,Z=`\\${O}`,ae=function(Te,Se){return typeof Te!="string"?null:Se?Se===O?$:null:Te===O||Te.endsWith(q)||Te.endsWith(Z)?$:null},fe=[O];return ae.basenames=fe,ae.patterns=[$],ae.allBasenames=fe,ae}function E(O,$){const q=F(O.slice(1,-1).split(",").map(Se=>o(Se,$)).filter(Se=>Se!==s),O),Z=q.length;if(!Z)return s;if(Z===1)return q[0];const ae=function(Se,Le){for(let H=0,Y=q.length;H<Y;H++)if(q[H](Se,Le))return O;return null},fe=q.find(Se=>!!Se.allBasenames);fe&&(ae.allBasenames=fe.allBasenames);const Te=q.reduce((Se,Le)=>Le.allPaths?Se.concat(Le.allPaths):Se,[]);return Te.length&&(ae.allPaths=Te),ae}function h(O,$,q){const Z=R.sep===R.posix.sep,ae=Z?O:O.replace(p,R.sep),fe=R.sep+ae,Te=R.posix.sep+O,Se=q?function(Le,H){return typeof Le=="string"&&(Le===ae||Le.endsWith(fe)||!Z&&(Le===O||Le.endsWith(Te)))?$:null}:function(Le,H){return typeof Le=="string"&&(Le===ae||!Z&&Le===O)?$:null};return Se.allPaths=[(q?"*/":"./")+O],Se}function b(O){try{const $=new RegExp(`^${m(O)}$`);return function(q){return $.lastIndex=0,typeof q=="string"&&$.test(q)?O:null}}catch($){return s}}function A(O,$,q){return!O||typeof $!="string"?!1:L(O)($,void 0,q)}e.match=A;function L(O,$={}){if(!O)return r;if(typeof O=="string"||W(O)){const q=o(O,$);if(q===s)return r;const Z=function(ae,fe){return!!q(ae,fe)};return q.allBasenames&&(Z.allBasenames=q.allBasenames),q.allPaths&&(Z.allPaths=q.allPaths),Z}return N(O,$)}e.parse=L;function M(O){if(!!O){let $;return q=>($||($=(O()||Promise.resolve([])).then(Z=>Z?V(Z):{})),$.then(Z=>!!Z[q]))}}e.hasSiblingPromiseFn=M;function z(O){if(!!O){let $;return q=>{if(!$){const Z=O();$=Z?V(Z):{}}return!!$[q]}}}e.hasSiblingFn=z;function V(O){const $={};for(const q of O)$[q]=!0;return $}function W(O){const $=O;return $&&typeof $.base=="string"&&typeof $.pattern=="string"}e.isRelativePattern=W;function K(O){return O.allBasenames||[]}e.getBasenameTerms=K;function x(O){return O.allPaths||[]}e.getPathTerms=x;function N(O,$){const q=F(Object.getOwnPropertyNames(O).map(Se=>U(Se,O[Se],$)).filter(Se=>Se!==s)),Z=q.length;if(!Z)return s;if(!q.some(Se=>!!Se.requiresSiblings)){if(Z===1)return q[0];const Se=function(Y,ie){for(let oe=0,ve=q.length;oe<ve;oe++){const ke=q[oe](Y,ie);if(ke)return ke}return null},Le=q.find(Y=>!!Y.allBasenames);Le&&(Se.allBasenames=Le.allBasenames);const H=q.reduce((Y,ie)=>ie.allPaths?Y.concat(ie.allPaths):Y,[]);return H.length&&(Se.allPaths=H),Se}const ae=function(Se,Le,H){let Y;for(let ie=0,oe=q.length;ie<oe;ie++){const ve=q[ie];ve.requiresSiblings&&H&&(Le||(Le=R.basename(Se)),Y||(Y=Le.substr(0,Le.length-R.extname(Se).length)));const ke=ve(Se,Le,Y,H);if(ke)return ke}return null},fe=q.find(Se=>!!Se.allBasenames);fe&&(ae.allBasenames=fe.allBasenames);const Te=q.reduce((Se,Le)=>Le.allPaths?Se.concat(Le.allPaths):Se,[]);return Te.length&&(ae.allPaths=Te),ae}function U(O,$,q){if($===!1)return s;const Z=o(O,q);if(Z===s)return s;if(typeof $=="boolean")return Z;if($){const ae=$.when;if(typeof ae=="string"){const fe=(Te,Se,Le,H)=>{if(!H||!Z(Te,Se))return null;const Y=ae.replace("$(basename)",Le),ie=H(Y);return C.isThenable(ie)?ie.then(oe=>oe?O:null):ie?O:null};return fe.requiresSiblings=!0,fe}}return Z}function F(O,$){const q=O.filter(Se=>!!Se.basenames);if(q.length<2)return O;const Z=q.reduce((Se,Le)=>{const H=Le.basenames;return H?Se.concat(H):Se},[]);let ae;if($){ae=[];for(let Se=0,Le=Z.length;Se<Le;Se++)ae.push($)}else ae=q.reduce((Se,Le)=>{const H=Le.patterns;return H?Se.concat(H):Se},[]);const fe=function(Se,Le){if(typeof Se!="string")return null;if(!Le){let Y;for(Y=Se.length;Y>0;Y--){const ie=Se.charCodeAt(Y-1);if(ie===47||ie===92)break}Le=Se.substr(Y)}const H=Z.indexOf(Le);return H!==-1?ae[H]:null};fe.basenames=Z,fe.patterns=ae,fe.allBasenames=Z;const Te=O.filter(Se=>!Se.basenames);return Te.push(fe),Te}}),define(ge[132],pe([0,1,47,94,10]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.matchesFuzzyIconAware=e.parseLabelWithIcons=e.stripIcons=e.markdownEscapeEscapedIcons=e.escapeIcons=e.iconStartMarker=void 0,e.iconStartMarker="$(";const P=new RegExp(`\\$\\(${v.CSSIcon.iconNameExpression}(?:${v.CSSIcon.iconModifierExpression})?\\)`,"g"),C=new RegExp(`(\\\\)?${P.source}`,"g");function I(m){return m.replace(C,(S,_)=>_?S:`\\${S}`)}e.escapeIcons=I;const y=new RegExp(`\\\\${P.source}`,"g");function i(m){return m.replace(y,S=>`\\${S}`)}e.markdownEscapeEscapedIcons=i;const T=new RegExp(`(\\s)?(\\\\)?${P.source}(\\s)?`,"g");function k(m){return m.indexOf(e.iconStartMarker)===-1?m:m.replace(T,(S,_,g,a)=>g?S:_||a||"")}e.stripIcons=k;function p(m){const S=m.indexOf(e.iconStartMarker);return S===-1?{text:m}:f(m,S)}e.parseLabelWithIcons=p;function f(m,S){const _=[];let g="";function a(d){if(d){g+=d;for(const w of d)_.push(t)}}let u=-1,c="",t=0,r,s,o=S;const n=m.length;for(a(m.substr(0,S));o<n;)r=m[o],s=m[o+1],r===e.iconStartMarker[0]&&s===e.iconStartMarker[1]?(u=o,a(c),c=e.iconStartMarker,o++):r===")"&&u!==-1?(t+=o-u+1,u=-1,c=""):u!==-1?/^[a-z0-9\-]$/i.test(r)?c+=r:(a(c),u=-1,c=""):a(r),o++;return a(c),{text:g,iconOffsets:_}}function l(m,S,_=!1){const{text:g,iconOffsets:a}=S;if(!a||a.length===0)return D.matchesFuzzy(m,g,_);const u=R.ltrim(g," "),c=g.length-u.length,t=D.matchesFuzzy(m,u,_);if(t)for(const r of t){const s=a[r.start+c]+c;r.start+=s,r.end+=s}return t}e.matchesFuzzyIconAware=l}),define(ge[96],pe([0,1,12,132,15]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.parseHrefAndDimensions=e.removeMarkdownEscapes=e.escapeMarkdownSyntaxTokens=e.markedStringsEquals=e.isMarkdownString=e.isEmptyMarkdownString=e.MarkdownString=e.MarkdownStringTextNewlineStyle=void 0;var P;(function(l){l[l.Paragraph=0]="Paragraph",l[l.Break=1]="Break"})(P=e.MarkdownStringTextNewlineStyle||(e.MarkdownStringTextNewlineStyle={}));class C{constructor(m="",S=!1){var _,g;if(this.value=m,typeof this.value!="string")throw R.illegalArgument("value");typeof S=="boolean"?(this.isTrusted=S,this.supportThemeIcons=!1):(this.isTrusted=(_=S.isTrusted)!==null&&_!==void 0?_:void 0,this.supportThemeIcons=(g=S.supportThemeIcons)!==null&&g!==void 0?g:!1)}appendText(m,S=0){return this.value+=k(this.supportThemeIcons?D.escapeIcons(m):m).replace(/([ \t]+)/g,(_,g)=>"&nbsp;".repeat(g.length)).replace(/^>/gm,"\\>").replace(/\n/g,S===1?`\\
`:`

`),this}appendMarkdown(m){return this.value+=m,this}appendCodeblock(m,S){return this.value+="\n```",this.value+=m,this.value+=`
`,this.value+=S,this.value+="\n```\n",this}}e.MarkdownString=C;function I(l){return y(l)?!l.value:Array.isArray(l)?l.every(I):!0}e.isEmptyMarkdownString=I;function y(l){return l instanceof C?!0:l&&typeof l=="object"?typeof l.value=="string"&&(typeof l.isTrusted=="boolean"||l.isTrusted===void 0)&&(typeof l.supportThemeIcons=="boolean"||l.supportThemeIcons===void 0):!1}e.isMarkdownString=y;function i(l,m){return!l&&!m?!0:!l||!m?!1:Array.isArray(l)&&Array.isArray(m)?v.equals(l,m,T):y(l)&&y(m)?T(l,m):!1}e.markedStringsEquals=i;function T(l,m){return l===m?!0:!l||!m?!1:l.value===m.value&&l.isTrusted===m.isTrusted&&l.supportThemeIcons===m.supportThemeIcons}function k(l){return l.replace(/[\\`*_{}[\]()#+\-.!]/g,"\\$&")}e.escapeMarkdownSyntaxTokens=k;function p(l){return l&&l.replace(/\\([\\`*_{}[\]()#+\-.!])/g,"$1")}e.removeMarkdownEscapes=p;function f(l){const m=[],S=l.split("|").map(g=>g.trim());l=S[0];const _=S[1];if(_){const g=/height=(\d+)/.exec(_),a=/width=(\d+)/.exec(_),u=g?g[1]:"",c=a?a[1]:"",t=isFinite(parseInt(c)),r=isFinite(parseInt(u));t&&m.push(`width="${c}"`),r&&m.push(`height="${u}"`)}return{href:l,dimensions:m}}e.parseHrefAndDimensions=f}),define(ge[59],pe([0,1,26,10,2]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.revive=e.parse=e.stringify=void 0;function P(i){return JSON.stringify(i,I)}e.stringify=P;function C(i){let T=JSON.parse(i);return T=y(T),T}e.parse=C;function I(i,T){return T instanceof RegExp?{$mid:2,source:T.source,flags:D.regExpFlags(T)}:T}function y(i,T=0){if(!i||T>200)return i;if(typeof i=="object"){switch(i.$mid){case 1:return R.URI.revive(i);case 2:return new RegExp(i.source,i.flags)}if(i instanceof v.VSBuffer||i instanceof Uint8Array)return i;if(Array.isArray(i))for(let k=0;k<i.length;++k)i[k]=y(i[k],T+1);else for(const k in i)Object.hasOwnProperty.call(i,k)&&(i[k]=y(i[k],T+1))}return i}e.revive=y}),define(ge[13],pe([0,1,2,9]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileAccess=e.RemoteAuthorities=e.Schemas=void 0;var R;(function(I){I.inMemory="inmemory",I.vscode="vscode",I.internal="private",I.walkThrough="walkThrough",I.walkThroughSnippet="walkThroughSnippet",I.http="http",I.https="https",I.file="file",I.mailto="mailto",I.untitled="untitled",I.data="data",I.command="command",I.vscodeRemote="vscode-remote",I.vscodeRemoteResource="vscode-remote-resource",I.userData="vscode-userdata",I.vscodeCustomEditor="vscode-custom-editor",I.vscodeNotebook="vscode-notebook",I.vscodeNotebookCell="vscode-notebook-cell",I.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",I.vscodeSettings="vscode-settings",I.vscodeWorkspaceTrust="vscode-workspace-trust",I.webviewPanel="webview-panel",I.vscodeWebview="vscode-webview",I.vscodeWebviewResource="vscode-webview-resource",I.extension="extension",I.vscodeFileResource="vscode-file"})(R=e.Schemas||(e.Schemas={}));class P{constructor(){this._hosts=Object.create(null),this._ports=Object.create(null),this._connectionTokens=Object.create(null),this._preferredWebSchema="http",this._delegate=null}setPreferredWebSchema(y){this._preferredWebSchema=y}setDelegate(y){this._delegate=y}set(y,i,T){this._hosts[y]=i,this._ports[y]=T}setConnectionToken(y,i){this._connectionTokens[y]=i}rewrite(y){if(this._delegate)return this._delegate(y);const i=y.authority;let T=this._hosts[i];T&&T.indexOf(":")!==-1&&(T=`[${T}]`);const k=this._ports[i],p=this._connectionTokens[i];let f=`path=${encodeURIComponent(y.path)}`;return typeof p=="string"&&(f+=`&tkn=${encodeURIComponent(p)}`),v.URI.from({scheme:D.isWeb?this._preferredWebSchema:R.vscodeRemoteResource,authority:`${T}:${k}`,path:"/vscode-remote-resource",query:f})}}e.RemoteAuthorities=new P;class C{constructor(){this.FALLBACK_AUTHORITY="vscode-app"}asBrowserUri(y,i,T){const k=this.toUri(y,i);return k.scheme===R.vscodeRemote?e.RemoteAuthorities.rewrite(k):D.isNative&&(T||D.isPreferringBrowserCodeLoad)&&k.scheme===R.file?k.with({scheme:R.vscodeFileResource,authority:k.authority||this.FALLBACK_AUTHORITY,query:null,fragment:null}):k}asFileUri(y,i){const T=this.toUri(y,i);return T.scheme===R.vscodeFileResource?T.with({scheme:R.file,authority:T.authority!==this.FALLBACK_AUTHORITY?T.authority:null,query:null,fragment:null}):T}toUri(y,i){return v.URI.isUri(y)?y:v.URI.parse(i.toUrl(y))}}e.FileAccess=new C}),define(ge[76],pe([0,1,22]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.removeAccents=e.normalizeNFD=e.normalizeNFC=e.canNormalize=void 0,e.canNormalize=typeof String.prototype.normalize=="function";const D=new v.LRUCache(1e4);function R(i){return y(i,"NFC",D)}e.normalizeNFC=R;const P=new v.LRUCache(1e4);function C(i){return y(i,"NFD",P)}e.normalizeNFD=C;const I=/[^\u0000-\u0080]/;function y(i,T,k){if(!e.canNormalize||!i)return i;const p=k.get(i);if(p)return p;let f;return I.test(i)?f=i.normalize(T):f=i,k.set(i,f),f}e.removeAccents=function(){if(e.canNormalize){const i=/[\u0300-\u036f]/g;return function(T){return C(T).replace(i,"")}}else return function(i){return i}}()}),define(ge[25],pe([0,1,31,7,2,10,13,9]),function(Q,e,v,D,R,P,C,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalResource=e.DataUri=e.distinctParents=e.addTrailingPathSeparator=e.removeTrailingPathSeparator=e.hasTrailingPathSeparator=e.isEqualAuthority=e.isAbsolutePath=e.resolvePath=e.relativePath=e.normalizePath=e.joinPath=e.dirname=e.extname=e.basename=e.basenameOrAuthority=e.getComparisonKey=e.isEqualOrParent=e.isEqual=e.extUriIgnorePathCase=e.extUriBiasedIgnorePathCase=e.extUri=e.ExtUri=e.originalFSPath=void 0;function y(f){return R.uriToFsPath(f,!0)}e.originalFSPath=y;class i{constructor(l){this._ignorePathCasing=l}compare(l,m,S=!1){return l===m?0:P.compare(this.getComparisonKey(l,S),this.getComparisonKey(m,S))}isEqual(l,m,S=!1){return l===m?!0:!l||!m?!1:this.getComparisonKey(l,S)===this.getComparisonKey(m,S)}getComparisonKey(l,m=!1){return l.with({path:this._ignorePathCasing(l)?l.path.toLowerCase():void 0,fragment:m?null:void 0}).toString()}ignorePathCasing(l){return this._ignorePathCasing(l)}isEqualOrParent(l,m,S=!1){if(l.scheme===m.scheme){if(l.scheme===C.Schemas.file)return v.isEqualOrParent(y(l),y(m),this._ignorePathCasing(l))&&l.query===m.query&&(S||l.fragment===m.fragment);if(e.isEqualAuthority(l.authority,m.authority))return v.isEqualOrParent(l.path,m.path,this._ignorePathCasing(l),"/")&&l.query===m.query&&(S||l.fragment===m.fragment)}return!1}joinPath(l,...m){return R.URI.joinPath(l,...m)}basenameOrAuthority(l){return e.basename(l)||l.authority}basename(l){return D.posix.basename(l.path)}extname(l){return D.posix.extname(l.path)}dirname(l){if(l.path.length===0)return l;let m;return l.scheme===C.Schemas.file?m=R.URI.file(D.dirname(y(l))).path:(m=D.posix.dirname(l.path),l.authority&&m.length&&m.charCodeAt(0)!==47&&(console.error(`dirname("${l.toString})) resulted in a relative path`),m="/")),l.with({path:m})}normalizePath(l){if(!l.path.length)return l;let m;return l.scheme===C.Schemas.file?m=R.URI.file(D.normalize(y(l))).path:m=D.posix.normalize(l.path),l.with({path:m})}relativePath(l,m){if(!(l.scheme!==m.scheme||!e.isEqualAuthority(l.authority,m.authority))){if(l.scheme===C.Schemas.file){const g=D.relative(y(l),y(m));return I.isWindows?v.toSlashes(g):g}let S=l.path||"/",_=m.path||"/";if(this._ignorePathCasing(l)){let g=0;for(const a=Math.min(S.length,_.length);g<a&&!(S.charCodeAt(g)!==_.charCodeAt(g)&&S.charAt(g).toLowerCase()!==_.charAt(g).toLowerCase());g++);S=_.substr(0,g)+S.substr(g)}return D.posix.relative(S,_)}}resolvePath(l,m){if(l.scheme===C.Schemas.file){const S=R.URI.file(D.resolve(y(l),m));return l.with({authority:S.authority,path:S.path})}return m.indexOf("/")===-1&&(m=v.toSlashes(m),/^[a-zA-Z]:(\/|$)/.test(m)&&(m="/"+m)),l.with({path:D.posix.resolve(l.path,m)})}isAbsolutePath(l){return!!l.path&&l.path[0]==="/"}isEqualAuthority(l,m){return l===m||P.equalsIgnoreCase(l,m)}hasTrailingPathSeparator(l,m=D.sep){if(l.scheme===C.Schemas.file){const S=y(l);return S.length>v.getRoot(S).length&&S[S.length-1]===m}else{const S=l.path;return S.length>1&&S.charCodeAt(S.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(l.fsPath)}}removeTrailingPathSeparator(l,m=D.sep){return e.hasTrailingPathSeparator(l,m)?l.with({path:l.path.substr(0,l.path.length-1)}):l}addTrailingPathSeparator(l,m=D.sep){let S=!1;if(l.scheme===C.Schemas.file){const _=y(l);S=_!==void 0&&_.length===v.getRoot(_).length&&_[_.length-1]===m}else{m="/";const _=l.path;S=_.length===1&&_.charCodeAt(_.length-1)===47}return!S&&!e.hasTrailingPathSeparator(l,m)?l.with({path:l.path+"/"}):l}}e.ExtUri=i,e.extUri=new i(()=>!1),e.extUriBiasedIgnorePathCase=new i(f=>f.scheme===C.Schemas.file?!I.isLinux:!0),e.extUriIgnorePathCase=new i(f=>!0),e.isEqual=e.extUri.isEqual.bind(e.extUri),e.isEqualOrParent=e.extUri.isEqualOrParent.bind(e.extUri),e.getComparisonKey=e.extUri.getComparisonKey.bind(e.extUri),e.basenameOrAuthority=e.extUri.basenameOrAuthority.bind(e.extUri),e.basename=e.extUri.basename.bind(e.extUri),e.extname=e.extUri.extname.bind(e.extUri),e.dirname=e.extUri.dirname.bind(e.extUri),e.joinPath=e.extUri.joinPath.bind(e.extUri),e.normalizePath=e.extUri.normalizePath.bind(e.extUri),e.relativePath=e.extUri.relativePath.bind(e.extUri),e.resolvePath=e.extUri.resolvePath.bind(e.extUri),e.isAbsolutePath=e.extUri.isAbsolutePath.bind(e.extUri),e.isEqualAuthority=e.extUri.isEqualAuthority.bind(e.extUri),e.hasTrailingPathSeparator=e.extUri.hasTrailingPathSeparator.bind(e.extUri),e.removeTrailingPathSeparator=e.extUri.removeTrailingPathSeparator.bind(e.extUri),e.addTrailingPathSeparator=e.extUri.addTrailingPathSeparator.bind(e.extUri);function T(f,l){const m=[];for(let S=0;S<f.length;S++){const _=l(f[S]);f.some((g,a)=>a===S?!1:e.isEqualOrParent(_,l(g)))||m.push(f[S])}return m}e.distinctParents=T;var k;(function(f){f.META_DATA_LABEL="label",f.META_DATA_DESCRIPTION="description",f.META_DATA_SIZE="size",f.META_DATA_MIME="mime";function l(m){const S=new Map;m.path.substring(m.path.indexOf(";")+1,m.path.lastIndexOf(";")).split(";").forEach(a=>{const[u,c]=a.split(":");u&&c&&S.set(u,c)});const g=m.path.substring(0,m.path.indexOf(";"));return g&&S.set(f.META_DATA_MIME,g),S}f.parseMetaData=l})(k=e.DataUri||(e.DataUri={}));function p(f,l,m){if(l){let S=f.path;return S&&S[0]!==D.posix.sep&&(S=D.posix.sep+S),f.with({scheme:m,authority:l,path:S})}return f.with({scheme:m})}e.toLocalResource=p}),define(ge[77],pe([0,1,2,7,10,13,9,25,31]),function(Q,e,v,D,R,P,C,I,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.splitName=e.unmnemonicLabel=e.mnemonicButtonLabel=e.mnemonicMenuLabel=e.template=e.shorten=e.untildify=e.tildify=e.normalizeDriveLetter=e.getBaseLabel=e.getPathLabel=void 0;function i(o,n,d){if(typeof o=="string"&&(o=v.URI.file(o)),d){const E=d.getWorkspaceFolder(o);if(E){const h=d.getWorkspace().folders.length>1;let b;if(I.isEqual(E.uri,o)?b="":b=I.relativePath(E.uri,o),h){const A=E.name?E.name:I.basename(E.uri);b=b?A+" \u2022 "+b:A}return b}}if(o.scheme!==P.Schemas.file&&o.scheme!==P.Schemas.untitled)return o.with({query:null,fragment:null}).toString(!0);if(y.hasDriveLetter(o.fsPath))return D.normalize(k(o.fsPath));let w=D.normalize(o.fsPath);return!C.isWindows&&(n==null?void 0:n.userHome)&&(w=f(w,n.userHome.fsPath)),w}e.getPathLabel=i;function T(o){if(!!o){typeof o=="string"&&(o=v.URI.file(o));const n=I.basename(o)||(o.scheme===P.Schemas.file?o.fsPath:o.path);return C.isWindows&&y.isRootOrDriveLetter(n)?k(n):n}}e.getBaseLabel=T;function k(o){return y.hasDriveLetter(o)?o.charAt(0).toUpperCase()+o.slice(1):o}e.normalizeDriveLetter=k;let p=Object.create(null);function f(o,n){if(C.isWindows||!o||!n)return o;let d=p.original===n?p.normalized:void 0;return d||(d=`${R.rtrim(n,D.posix.sep)}${D.posix.sep}`,p={original:n,normalized:d}),(C.isLinux?o.startsWith(d):R.startsWithIgnoreCase(o,d))&&(o=`~/${o.substr(d.length)}`),o}e.tildify=f;function l(o,n){return o.replace(/^~($|\/|\\)/,`${n}$1`)}e.untildify=l;const m="\u2026",S="\\\\",_="~";function g(o,n=D.sep){const d=new Array(o.length);let w=!1;for(let E=0;E<o.length;E++){let h=o[E];if(h===""){d[E]=`.${n}`;continue}if(!h){d[E]=h;continue}w=!0;let b="";h.indexOf(S)===0?(b=h.substr(0,h.indexOf(S)+S.length),h=h.substr(h.indexOf(S)+S.length)):h.indexOf(n)===0?(b=h.substr(0,h.indexOf(n)+n.length),h=h.substr(h.indexOf(n)+n.length)):h.indexOf(_)===0&&(b=h.substr(0,h.indexOf(_)+_.length),h=h.substr(h.indexOf(_)+_.length));const A=h.split(n);for(let L=1;w&&L<=A.length;L++)for(let M=A.length-L;w&&M>=0;M--){w=!1;let z=A.slice(M,M+L).join(n);for(let V=0;!w&&V<o.length;V++)if(V!==E&&o[V]&&o[V].indexOf(z)>-1){const W=M+L===A.length,K=M>0&&o[V].indexOf(n)>-1?n+z:z,x=o[V].endsWith(K);w=!W||x}if(!w){let V="";(A[0].endsWith(":")||b!=="")&&(M===1&&(M=0,L++,z=A[0]+n+z),M>0&&(V=A[0]+n),V=b+V),M>0&&(V=V+m+n),V=V+z,M+L<A.length&&(V=V+n+m),d[E]=V}}w&&(d[E]=h)}return d}e.shorten=g;var a;(function(o){o[o.TEXT=0]="TEXT",o[o.VARIABLE=1]="VARIABLE",o[o.SEPARATOR=2]="SEPARATOR"})(a||(a={}));function u(o,n=Object.create(null)){const d=[];let w=!1,E="";for(const h of o)if(h==="$"||w&&h==="{")E&&d.push({value:E,type:a.TEXT}),E="",w=!0;else if(h==="}"&&w){const b=n[E];if(typeof b=="string")b.length&&d.push({value:b,type:a.VARIABLE});else if(b){const A=d[d.length-1];(!A||A.type!==a.SEPARATOR)&&d.push({value:b.label,type:a.SEPARATOR})}E="",w=!1}else E+=h;return E&&!w&&d.push({value:E,type:a.TEXT}),d.filter((h,b)=>{if(h.type===a.SEPARATOR){const A=d[b-1],L=d[b+1];return[A,L].every(M=>M&&(M.type===a.VARIABLE||M.type===a.TEXT)&&M.value.length>0)}return!0}).map(h=>h.value).join("")}e.template=u;function c(o,n){return C.isMacintosh||n?o.replace(/\(&&\w\)|&&/g,"").replace(/&/g,C.isMacintosh?"&":"&&"):o.replace(/&&|&/g,d=>d==="&"?"&&":"&")}e.mnemonicMenuLabel=c;function t(o,n){return C.isMacintosh||n?o.replace(/\(&&\w\)|&&/g,""):C.isWindows?o.replace(/&&|&/g,d=>d==="&"?"&&":"&"):o.replace(/&&/g,"_")}e.mnemonicButtonLabel=t;function r(o){return o.replace(/&/g,"&&")}e.unmnemonicLabel=r;function s(o){const n=o.indexOf("/")!==-1?D.posix:D.win32,d=n.basename(o),w=n.dirname(o);return d.length?{name:d,parentPath:w}:{name:w,parentPath:""}}e.splitName=s}),define(ge[97],pe([0,1,2]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.transformAndReviveIncomingURIs=e.transformIncomingURIs=e.transformOutgoingURIs=e.DefaultURITransformer=e.URITransformer=void 0;function D(T){return T.toJSON()}class R{constructor(k){this._uriTransformer=k}transformIncoming(k){const p=this._uriTransformer.transformIncoming(k);return p===k?k:D(v.URI.from(p))}transformOutgoing(k){const p=this._uriTransformer.transformOutgoing(k);return p===k?k:D(v.URI.from(p))}transformOutgoingURI(k){const p=this._uriTransformer.transformOutgoing(k);return p===k?k:v.URI.from(p)}transformOutgoingScheme(k){return this._uriTransformer.transformOutgoingScheme(k)}}e.URITransformer=R,e.DefaultURITransformer=new class{transformIncoming(T){return T}transformOutgoing(T){return T}transformOutgoingURI(T){return T}transformOutgoingScheme(T){return T}};function P(T,k,p){if(!T||p>200)return null;if(typeof T=="object"){if(T instanceof v.URI)return k.transformOutgoing(T);for(let f in T)if(Object.hasOwnProperty.call(T,f)){const l=P(T[f],k,p+1);l!==null&&(T[f]=l)}}return null}function C(T,k){const p=P(T,k,0);return p===null?T:p}e.transformOutgoingURIs=C;function I(T,k,p,f){if(!T||f>200)return null;if(typeof T=="object"){if(T.$mid===1)return p?v.URI.revive(k.transformIncoming(T)):k.transformIncoming(T);for(let l in T)if(Object.hasOwnProperty.call(T,l)){const m=I(T[l],k,p,f+1);m!==null&&(T[l]=m)}}return null}function y(T,k){const p=I(T,k,!1,0);return p===null?T:p}e.transformIncomingURIs=y;function i(T,k){const p=I(T,k,!0,0);return p===null?T:p}e.transformAndReviveIncomingURIs=i}),define(ge[28],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.generateUuid=e.isUUID=void 0;const v=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function D(y){return v.test(y)}e.isUUID=D;const R=new Uint8Array(16),P=[];for(let y=0;y<256;y++)P.push(y.toString(16).padStart(2,"0"));let C;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?C=crypto.getRandomValues.bind(crypto):C=function(y){for(let i=0;i<y.length;i++)y[i]=Math.floor(Math.random()*256);return y};function I(){C(R),R[6]=R[6]&15|64,R[8]=R[8]&63|128;let y=0,i="";return i+=P[R[y++]],i+=P[R[y++]],i+=P[R[y++]],i+=P[R[y++]],i+="-",i+=P[R[y++]],i+=P[R[y++]],i+="-",i+=P[R[y++]],i+=P[R[y++]],i+="-",i+=P[R[y++]],i+=P[R[y++]],i+="-",i+=P[R[y++]],i+=P[R[y++]],i+=P[R[y++]],i+=P[R[y++]],i+=P[R[y++]],i+=P[R[y++]],i}e.generateUuid=I}),define(ge[133],pe([0,1,98]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LineDecoder=void 0;class D{constructor(P="utf8"){this.stringDecoder=new v.StringDecoder(P),this.remaining=null}write(P){const C=[],I=this.remaining?this.remaining+this.stringDecoder.write(P):this.stringDecoder.write(P);if(I.length<1)return C;let y=0,i,T=y;for(;T<I.length;)if(i=I.charCodeAt(T),i===13||i===10){if(C.push(I.substring(y,T)),T++,T<I.length){const k=i;i=I.charCodeAt(T),(k===13&&i===10||k===10&&i===13)&&T++}y=T}else T++;return this.remaining=y<I.length?I.substr(y):null,C}end(){return this.remaining}}e.LineDecoder=D}),define(ge[24],pe([0,1,29,39,7,19,9,3,31,28,76]),function(Q,e,v,D,R,P,C,I,y,i,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.exists=e.copy=e.move=e.writeFileSync=e.writeFile=e.SymlinkSupport=e.whenDeleted=e.readDirsInDir=e.readdirSync=e.readdir=e.rimrafSync=e.rimraf=e.RimRafMode=e.MAX_HEAP_SIZE=e.MAX_FILE_SIZE=void 0;const k=300*1024*1024,p=16*1024*1024*1024,f=700*1024*1024,l=700*2*1024*1024;e.MAX_FILE_SIZE=process.arch==="ia32"?k:p,e.MAX_HEAP_SIZE=process.arch==="ia32"?f:l;var m;(function(O){O[O.UNLINK=0]="UNLINK",O[O.MOVE=1]="MOVE"})(m=e.RimRafMode||(e.RimRafMode={}));async function S(O,$=m.UNLINK){if(y.isRootOrDriveLetter(O))throw new Error("rimraf - will refuse to recursively delete root");return $===m.UNLINK?g(O):_(O)}e.rimraf=S;async function _(O){try{const $=R.join(D.tmpdir(),i.generateUuid());try{await v.promises.rename(O,$)}catch(q){return g(O)}g($).catch(q=>{})}catch($){if($.code!=="ENOENT")throw $}}async function g(O){return v.promises.rmdir(O,{recursive:!0,maxRetries:3})}function a(O){if(y.isRootOrDriveLetter(O))throw new Error("rimraf - will refuse to recursively delete root");v.rmdirSync(O,{recursive:!0})}e.rimrafSync=a;async function u(O,$){return r(await($?c(O):v.promises.readdir(O)))}e.readdir=u;async function c(O){try{return await v.promises.readdir(O,{withFileTypes:!0})}catch(Z){console.warn("[node.js fs] readdir with filetypes failed with error: ",Z)}const $=[],q=await u(O);for(const Z of q){let ae=!1,fe=!1,Te=!1;try{const Se=await v.promises.lstat(R.join(O,Z));ae=Se.isFile(),fe=Se.isDirectory(),Te=Se.isSymbolicLink()}catch(Se){console.warn("[node.js fs] unexpected error from lstat after readdir: ",Se)}$.push({name:Z,isFile:()=>ae,isDirectory:()=>fe,isSymbolicLink:()=>Te})}return $}function t(O){return r(v.readdirSync(O))}e.readdirSync=t;function r(O){return O.map($=>typeof $=="string"?C.isMacintosh?T.normalizeNFC($):$:($.name=C.isMacintosh?T.normalizeNFC($.name):$.name,$))}async function s(O){const $=await u(O),q=[];for(const Z of $)await n.existsDirectory(R.join(O,Z))&&q.push(Z);return q}e.readDirsInDir=s;function o(O,$=1e3){return new Promise(q=>{let Z=!1;const ae=setInterval(()=>{Z||(Z=!0,v.access(O,fe=>{Z=!1,fe&&(clearInterval(ae),q(void 0))}))},$)})}e.whenDeleted=o;var n;(function(O){async function $(ae){let fe;try{if(fe=await v.promises.lstat(ae),!fe.isSymbolicLink())return{stat:fe}}catch(Te){}try{return{stat:await v.promises.stat(ae),symbolicLink:(fe==null?void 0:fe.isSymbolicLink())?{dangling:!1}:void 0}}catch(Te){if(Te.code==="ENOENT"&&fe)return{stat:fe,symbolicLink:{dangling:!0}};if(C.isWindows&&Te.code==="EACCES")try{return{stat:await v.promises.stat(await v.promises.readlink(ae)),symbolicLink:{dangling:!1}}}catch(Se){if(Se.code==="ENOENT"&&fe)return{stat:fe,symbolicLink:{dangling:!0}};throw Se}throw Te}}O.stat=$;async function q(ae){try{const{stat:fe,symbolicLink:Te}=await O.stat(ae);return fe.isFile()&&(Te==null?void 0:Te.dangling)!==!0}catch(fe){}return!1}O.existsFile=q;async function Z(ae){try{const{stat:fe,symbolicLink:Te}=await O.stat(ae);return fe.isDirectory()&&(Te==null?void 0:Te.dangling)!==!0}catch(fe){}return!1}O.existsDirectory=Z})(n=e.SymlinkSupport||(e.SymlinkSupport={}));function d(O,$,q){const Z=E(O);return h(Z).queue(()=>{const ae=M(q);return new Promise((fe,Te)=>A(O,$,ae,Se=>Se?Te(Se):fe()))})}e.writeFile=d;const w=new Map;function E(O){let $=O;return(C.isWindows||C.isMacintosh)&&($=$.toLowerCase()),$}function h(O){const $=w.get(O);if($)return $;const q=new P.Queue;return w.set(O,q),I.Event.once(q.onFinished)(()=>{w.delete(O),q.dispose()}),q}let b=!0;function A(O,$,q,Z){if(!b)return v.writeFile(O,$,{mode:q.mode,flag:q.flag},Z);v.open(O,q.flag,q.mode,(ae,fe)=>{if(ae)return Z(ae);v.writeFile(fe,$,Te=>{if(Te)return v.close(fe,()=>Z(Te));v.fdatasync(fe,Se=>(Se&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",Se),b=!1),v.close(fe,Le=>Z(Le))))})})}function L(O,$,q){const Z=M(q);if(!b)return v.writeFileSync(O,$,{mode:Z.mode,flag:Z.flag});const ae=v.openSync(O,Z.flag,Z.mode);try{v.writeFileSync(ae,$);try{v.fdatasyncSync(ae)}catch(fe){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",fe),b=!1}}finally{v.closeSync(ae)}}e.writeFileSync=L;function M(O){return O?{mode:typeof O.mode=="number"?O.mode:438,flag:typeof O.flag=="string"?O.flag:"w"}:{mode:438,flag:"w"}}async function z(O,$){if(O!==$){async function q(Z){try{const ae=await v.promises.lstat(Z);if(ae.isDirectory()||ae.isSymbolicLink())return;const fe=await v.promises.open(Z,"a");try{await fe.utimes(ae.atime,new Date)}finally{await fe.close()}}catch(ae){}}try{await v.promises.rename(O,$),await q($)}catch(Z){if(O.toLowerCase()!==$.toLowerCase()&&Z.code==="EXDEV"||O.endsWith("."))await V(O,$,{preserveSymlinks:!1}),await S(O,m.MOVE),await q($);else throw Z}}}e.move=z;async function V(O,$,q){return K(O,$,{root:{source:O,target:$},options:q,handledSourcePaths:new Set})}e.copy=V;const W=511;async function K(O,$,q){if(!q.handledSourcePaths.has(O)){q.handledSourcePaths.add(O);const{stat:Z,symbolicLink:ae}=await n.stat(O);if(ae){if(ae.dangling)return;if(q.options.preserveSymlinks)try{return await U(O,$,q)}catch(fe){console.warn("[node.js fs] copy of symlink failed: ",fe)}}return Z.isDirectory()?x(O,$,Z.mode&W,q):N(O,$,Z.mode&W)}}async function x(O,$,q,Z){await v.promises.mkdir($,{recursive:!0,mode:q});const ae=await u(O);for(const fe of ae)await K(R.join(O,fe),R.join($,fe),Z)}async function N(O,$,q){await v.promises.copyFile(O,$),await v.promises.chmod($,q)}async function U(O,$,q){let Z=await v.promises.readlink(O);y.isEqualOrParent(Z,q.root.source,!C.isLinux)&&(Z=R.join(q.root.target,Z.substr(q.root.source.length+1))),await v.promises.symlink(Z,$)}async function F(O){try{return await v.promises.access(O),!0}catch($){return!1}}e.exists=F}),define(ge[134],pe([0,1,29,10,7,24]),function(Q,e,v,D,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.realpathSync=e.realpath=e.realcaseSync=void 0;function C(T){const k=R.dirname(T);if(T===k)return T;const p=(R.basename(T)||T).toLowerCase();try{const l=P.readdirSync(k).filter(m=>m.toLowerCase()===p);if(l.length===1){const m=C(k);if(m)return R.join(m,l[0])}else if(l.length>1){const m=l.indexOf(p);if(m>=0){const S=C(k);if(S)return R.join(S,l[m])}}}catch(f){}return null}e.realcaseSync=C;async function I(T){try{return await v.promises.realpath(T)}catch(k){const p=i(T);return await v.promises.access(p,v.constants.R_OK),p}}e.realpath=I;function y(T){try{return v.realpathSync(T)}catch(k){const p=i(T);return v.accessSync(p,v.constants.R_OK),p}}e.realpathSync=y;function i(T){return D.rtrim(R.normalize(T),R.sep)}});var pt=this&&this.__await||function(Q){return this instanceof pt?(this.v=Q,this):new pt(Q)},Cn=this&&this.__asyncGenerator||function(Q,e,v){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var D=v.apply(Q,e||[]),R,P=[];return R={},C("next"),C("throw"),C("return"),R[Symbol.asyncIterator]=function(){return this},R;function C(p){D[p]&&(R[p]=function(f){return new Promise(function(l,m){P.push([p,f,l,m])>1||I(p,f)})})}function I(p,f){try{y(D[p](f))}catch(l){k(P[0][3],l)}}function y(p){p.value instanceof pt?Promise.resolve(p.value.v).then(i,T):k(P[0][2],p)}function i(p){I("next",p)}function T(p){I("throw",p)}function k(p,f){p(f),P.shift(),P.length&&I(P[0][0],P[0][1])}},Zt=this&&this.__asyncValues||function(Q){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var e=Q[Symbol.asyncIterator],v;return e?e.call(Q):(Q=typeof __values=="function"?__values(Q):Q[Symbol.iterator](),v={},D("next"),D("throw"),D("return"),v[Symbol.asyncIterator]=function(){return this},v);function D(P){v[P]=Q[P]&&function(C){return new Promise(function(I,y){C=Q[P](C),R(I,y,C.done,C.value)})}}function R(P,C,I,y){Promise.resolve(y).then(function(i){P({value:i,done:I})},C)}};define(ge[99],pe([0,1,24,39,7,38]),function(Q,e,v,D,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getFirstAvailablePowerShellInstallation=e.enumeratePowerShellInstallations=void 0;const C=/^\d+$/,I=/^Microsoft.PowerShell_.*/,y=/^Microsoft.PowerShellPreview_.*/;var i;(function(c){c[c.x64=0]="x64",c[c.x86=1]="x86",c[c.ARM=2]="ARM"})(i||(i={}));let T;switch(process.arch){case"ia32":case"x32":T=1;break;case"arm":case"arm64":T=2;break;default:T=0;break}let k;process.env.PROCESSOR_ARCHITEW6432?k=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?k=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?k=1:k=0;class p{constructor(t,r,s){this.exePath=t,this.displayName=r,this.knownToExist=s}async exists(){return this.knownToExist===void 0&&(this.knownToExist=await v.SymlinkSupport.existsFile(this.exePath)),this.knownToExist}}function f({useAlternateBitness:c=!1}={}){return c?T===0?P.env["ProgramFiles(x86)"]||null:k===0&&P.env.ProgramW6432||null:P.env.ProgramFiles||null}async function l({useAlternateBitness:c=!1,findPreview:t=!1}={}){const r=f({useAlternateBitness:c});if(!r)return null;const s=R.join(r,"PowerShell");if(!await v.SymlinkSupport.existsDirectory(s))return null;let o=-1,n=null;for(const E of await v.readdir(s)){let h=-1;if(t){const A=E.indexOf("-");if(A<0)continue;const L=E.substring(0,A);if(!C.test(L)||E.substring(A+1)!=="preview")continue;h=parseInt(L,10)}else{if(!C.test(E))continue;h=parseInt(E,10)}if(!(h<=o)){const b=R.join(s,E,"pwsh.exe");!await v.SymlinkSupport.existsFile(b)||(n=b,o=h)}}if(!n)return null;const d=r.includes("x86")?" (x86)":"",w=t?" Preview":"";return new p(n,`PowerShell${w}${d}`,!0)}async function m({findPreview:c}={}){if(!P.env.LOCALAPPDATA)return null;const t=R.join(P.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await v.SymlinkSupport.existsDirectory(t))return null;const{pwshMsixDirRegex:r,pwshMsixName:s}=c?{pwshMsixDirRegex:y,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:I,pwshMsixName:"PowerShell (Store)"};try{for(const o of await v.readdir(t))if(r.test(o)){const n=R.join(t,o,"pwsh.exe");return new p(n,s)}}catch(o){console.warn(`Unable to read MSIX directory (${t}) because of the following error: ${o}`)}return null}function S(){const c=R.join(D.homedir(),".dotnet","tools","pwsh.exe");return new p(c,".NET Core PowerShell Global Tool")}function _(){const c=R.join(P.env.windir,T===1&&k!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new p(c,"Windows PowerShell",!0)}function g(){return Cn(this,arguments,function*(){let t=yield pt(l());t&&(yield yield pt(t)),t=yield pt(l({useAlternateBitness:!0})),t&&(yield yield pt(t)),t=yield pt(m()),t&&(yield yield pt(t)),t=S(),t&&(yield yield pt(t)),t=yield pt(l({findPreview:!0})),t&&(yield yield pt(t)),t=yield pt(m({findPreview:!0})),t&&(yield yield pt(t)),t=yield pt(l({useAlternateBitness:!0,findPreview:!0})),t&&(yield yield pt(t)),t=_(),t&&(yield yield pt(t))})}function a(){return Cn(this,arguments,function*(){var t,r;try{for(var s=Zt(g()),o;o=yield pt(s.next()),!o.done;){const n=o.value;(yield pt(n.exists()))&&(yield yield pt(n))}}catch(n){t={error:n}}finally{try{o&&!o.done&&(r=s.return)&&(yield pt(r.call(s)))}finally{if(t)throw t.error}}})}e.enumeratePowerShellInstallations=a;async function u(){var c,t;try{for(var r=Zt(a()),s;s=await r.next(),!s.done;)return s.value}catch(o){c={error:o}}finally{try{s&&!s.done&&(t=r.return)&&await t.call(r)}finally{if(c)throw c.error}}return null}e.getFirstAvailablePowerShellInstallation=u}),define(ge[100],pe([0,1,3,5,19,21,15,26,12,16,59,10]),function(Q,e,v,D,R,P,C,I,y,i,T,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IPCLogger=e.logWithColors=e.ProxyChannel=e.StaticRouter=e.getNextTickChannel=e.getDelayedChannel=e.IPCClient=e.IPCServer=e.ChannelClient=e.RequestInitiator=e.ChannelServer=e.ResponseType=e.RequestType=void 0;var p;(function(U){U[U.Promise=100]="Promise",U[U.PromiseCancel=101]="PromiseCancel",U[U.EventListen=102]="EventListen",U[U.EventDispose=103]="EventDispose"})(p=e.RequestType||(e.RequestType={}));function f(U){switch(U){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var l;(function(U){U[U.Initialize=200]="Initialize",U[U.PromiseSuccess=201]="PromiseSuccess",U[U.PromiseError=202]="PromiseError",U[U.PromiseErrorObj=203]="PromiseErrorObj",U[U.EventFire=204]="EventFire"})(l=e.ResponseType||(e.ResponseType={}));function m(U){switch(U){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var S;(function(U){U[U.Uninitialized=0]="Uninitialized",U[U.Idle=1]="Idle"})(S||(S={}));class _{constructor(F){this.buffer=F,this.pos=0}read(F){const O=this.buffer.slice(this.pos,this.pos+F);return this.pos+=O.byteLength,O}}class g{constructor(){this.buffers=[]}get buffer(){return I.VSBuffer.concat(this.buffers)}write(F){this.buffers.push(F)}}var a;(function(U){U[U.Undefined=0]="Undefined",U[U.String=1]="String",U[U.Buffer=2]="Buffer",U[U.VSBuffer=3]="VSBuffer",U[U.Array=4]="Array",U[U.Object=5]="Object"})(a||(a={}));function u(U){const F=I.VSBuffer.alloc(4);return F.writeUInt32BE(U,0),F}function c(U){return U.read(4).readUInt32BE(0)}function t(U){const F=I.VSBuffer.alloc(1);return F.writeUInt8(U,0),F}const r={Undefined:t(a.Undefined),String:t(a.String),Buffer:t(a.Buffer),VSBuffer:t(a.VSBuffer),Array:t(a.Array),Object:t(a.Object)},s=typeof Buffer!="undefined";function o(U,F){if(typeof F=="undefined")U.write(r.Undefined);else if(typeof F=="string"){const O=I.VSBuffer.fromString(F);U.write(r.String),U.write(u(O.byteLength)),U.write(O)}else if(s&&Buffer.isBuffer(F)){const O=I.VSBuffer.wrap(F);U.write(r.Buffer),U.write(u(O.byteLength)),U.write(O)}else if(F instanceof I.VSBuffer)U.write(r.VSBuffer),U.write(u(F.byteLength)),U.write(F);else if(Array.isArray(F)){U.write(r.Array),U.write(u(F.length));for(const O of F)o(U,O)}else{const O=I.VSBuffer.fromString(JSON.stringify(F));U.write(r.Object),U.write(u(O.byteLength)),U.write(O)}}function n(U){switch(U.read(1).readUInt8(0)){case a.Undefined:return;case a.String:return U.read(c(U)).toString();case a.Buffer:return U.read(c(U)).buffer;case a.VSBuffer:return U.read(c(U));case a.Array:{const O=c(U),$=[];for(let q=0;q<O;q++)$.push(n(U));return $}case a.Object:return JSON.parse(U.read(c(U)).toString())}}class d{constructor(F,O,$=null,q=1e3){this.protocol=F,this.ctx=O,this.logger=$,this.timeoutDelay=q,this.channels=new Map,this.activeRequests=new Map,this.pendingRequests=new Map,this.protocolListener=this.protocol.onMessage(Z=>this.onRawMessage(Z)),this.sendResponse({type:200})}registerChannel(F,O){this.channels.set(F,O),setTimeout(()=>this.flushPendingRequests(F),0)}sendResponse(F){switch(F.type){case 200:{const O=this.send([F.type]);this.logger&&this.logger.logOutgoing(O,0,1,m(F.type));return}case 201:case 202:case 204:case 203:{const O=this.send([F.type,F.id],F.data);this.logger&&this.logger.logOutgoing(O,F.id,1,m(F.type),F.data);return}}}send(F,O=void 0){const $=new g;return o($,F),o($,O),this.sendBuffer($.buffer)}sendBuffer(F){try{return this.protocol.send(F),F.byteLength}catch(O){return 0}}onRawMessage(F){const O=new _(F),$=n(O),q=n(O),Z=$[0];switch(Z){case 100:return this.logger&&this.logger.logIncoming(F.byteLength,$[1],1,`${f(Z)}: ${$[2]}.${$[3]}`,q),this.onPromise({type:Z,id:$[1],channelName:$[2],name:$[3],arg:q});case 102:return this.logger&&this.logger.logIncoming(F.byteLength,$[1],1,`${f(Z)}: ${$[2]}.${$[3]}`,q),this.onEventListen({type:Z,id:$[1],channelName:$[2],name:$[3],arg:q});case 101:return this.logger&&this.logger.logIncoming(F.byteLength,$[1],1,`${f(Z)}`),this.disposeActiveRequest({type:Z,id:$[1]});case 103:return this.logger&&this.logger.logIncoming(F.byteLength,$[1],1,`${f(Z)}`),this.disposeActiveRequest({type:Z,id:$[1]})}}onPromise(F){const O=this.channels.get(F.channelName);if(!O){this.collectPendingRequest(F);return}const $=new P.CancellationTokenSource;let q;try{q=O.call(this.ctx,F.name,F.arg,$.token)}catch(fe){q=Promise.reject(fe)}const Z=F.id;q.then(fe=>{this.sendResponse({id:Z,data:fe,type:201}),this.activeRequests.delete(F.id)},fe=>{fe instanceof Error?this.sendResponse({id:Z,data:{message:fe.message,name:fe.name,stack:fe.stack?fe.stack.split?fe.stack.split(`
`):fe.stack:void 0},type:202}):this.sendResponse({id:Z,data:fe,type:203}),this.activeRequests.delete(F.id)});const ae=D.toDisposable(()=>$.cancel());this.activeRequests.set(F.id,ae)}onEventListen(F){const O=this.channels.get(F.channelName);if(!O){this.collectPendingRequest(F);return}const $=F.id,Z=O.listen(this.ctx,F.name,F.arg)(ae=>this.sendResponse({id:$,data:ae,type:204}));this.activeRequests.set(F.id,Z)}disposeActiveRequest(F){const O=this.activeRequests.get(F.id);O&&(O.dispose(),this.activeRequests.delete(F.id))}collectPendingRequest(F){let O=this.pendingRequests.get(F.channelName);O||(O=[],this.pendingRequests.set(F.channelName,O));const $=setTimeout(()=>{console.error(`Unknown channel: ${F.channelName}`),F.type===100&&this.sendResponse({id:F.id,data:{name:"Unknown channel",message:`Channel name '${F.channelName}' timed out after ${this.timeoutDelay}ms`,stack:void 0},type:202})},this.timeoutDelay);O.push({request:F,timeoutTimer:$})}flushPendingRequests(F){const O=this.pendingRequests.get(F);if(O){for(const $ of O)switch(clearTimeout($.timeoutTimer),$.request.type){case 100:this.onPromise($.request);break;case 102:this.onEventListen($.request);break}this.pendingRequests.delete(F)}}dispose(){this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(F=>F.dispose()),this.activeRequests.clear()}}e.ChannelServer=d;var w;(function(U){U[U.LocalSide=0]="LocalSide",U[U.OtherSide=1]="OtherSide"})(w=e.RequestInitiator||(e.RequestInitiator={}));class E{constructor(F,O=null){this.protocol=F,this.isDisposed=!1,this.state=S.Uninitialized,this.activeRequests=new Set,this.handlers=new Map,this.lastRequestId=0,this._onDidInitialize=new v.Emitter,this.onDidInitialize=this._onDidInitialize.event,this.protocolListener=this.protocol.onMessage($=>this.onBuffer($)),this.logger=O}getChannel(F){const O=this;return{call($,q,Z){return O.isDisposed?Promise.reject(C.canceled()):O.requestPromise(F,$,q,Z)},listen($,q){return O.isDisposed?Promise.reject(C.canceled()):O.requestEvent(F,$,q)}}}requestPromise(F,O,$,q=P.CancellationToken.None){const Z=this.lastRequestId++,fe={id:Z,type:100,channelName:F,name:O,arg:$};if(q.isCancellationRequested)return Promise.reject(C.canceled());let Te;return new Promise((Le,H)=>{if(q.isCancellationRequested)return H(C.canceled());const Y=()=>{const ke=Me=>{switch(Me.type){case 201:this.handlers.delete(Z),Le(Me.data);break;case 202:this.handlers.delete(Z);const _e=new Error(Me.data.message);_e.stack=Me.data.stack,_e.name=Me.data.name,H(_e);break;case 203:this.handlers.delete(Z),H(Me.data);break}};this.handlers.set(Z,ke),this.sendRequest(fe)};let ie=null;this.state===S.Idle?Y():(ie=R.createCancelablePromise(ke=>this.whenInitialized()),ie.then(()=>{ie=null,Y()}));const oe=()=>{ie?(ie.cancel(),ie=null):this.sendRequest({id:Z,type:101}),H(C.canceled())},ve=q.onCancellationRequested(oe);Te=D.combinedDisposable(D.toDisposable(oe),ve),this.activeRequests.add(Te)}).finally(()=>{this.activeRequests.delete(Te)})}requestEvent(F,O,$){const q=this.lastRequestId++,ae={id:q,type:102,channelName:F,name:O,arg:$};let fe=null;const Te=new v.Emitter({onFirstListenerAdd:()=>{fe=R.createCancelablePromise(Le=>this.whenInitialized()),fe.then(()=>{fe=null,this.activeRequests.add(Te),this.sendRequest(ae)})},onLastListenerRemove:()=>{fe?(fe.cancel(),fe=null):(this.activeRequests.delete(Te),this.sendRequest({id:q,type:103}))}}),Se=Le=>Te.fire(Le.data);return this.handlers.set(q,Se),Te.event}sendRequest(F){switch(F.type){case 100:case 102:{const O=this.send([F.type,F.id,F.channelName,F.name],F.arg);this.logger&&this.logger.logOutgoing(O,F.id,0,`${f(F.type)}: ${F.channelName}.${F.name}`,F.arg);return}case 101:case 103:{const O=this.send([F.type,F.id]);this.logger&&this.logger.logOutgoing(O,F.id,0,f(F.type));return}}}send(F,O=void 0){const $=new g;return o($,F),o($,O),this.sendBuffer($.buffer)}sendBuffer(F){try{return this.protocol.send(F),F.byteLength}catch(O){return 0}}onBuffer(F){const O=new _(F),$=n(O),q=n(O),Z=$[0];switch(Z){case 200:return this.logger&&this.logger.logIncoming(F.byteLength,0,0,m(Z)),this.onResponse({type:$[0]});case 201:case 202:case 204:case 203:return this.logger&&this.logger.logIncoming(F.byteLength,$[1],0,m(Z),q),this.onResponse({type:$[0],id:$[1],data:q})}}onResponse(F){if(F.type===200){this.state=S.Idle,this._onDidInitialize.fire();return}const O=this.handlers.get(F.id);O&&O(F)}whenInitialized(){return this.state===S.Idle?Promise.resolve():v.Event.toPromise(this.onDidInitialize)}dispose(){this.isDisposed=!0,this.protocolListener&&(this.protocolListener.dispose(),this.protocolListener=null),this.activeRequests.forEach(F=>F.dispose()),this.activeRequests.clear()}}e.ChannelClient=E;class h{constructor(F){this.channels=new Map,this._connections=new Set,this._onDidAddConnection=new v.Emitter,this.onDidAddConnection=this._onDidAddConnection.event,this._onDidRemoveConnection=new v.Emitter,this.onDidRemoveConnection=this._onDidRemoveConnection.event,F(({protocol:O,onDidClientDisconnect:$})=>{v.Event.once(O.onMessage)(Z=>{const ae=new _(Z),fe=n(ae),Te=new d(O,fe),Se=new E(O);this.channels.forEach((H,Y)=>Te.registerChannel(Y,H));const Le={channelServer:Te,channelClient:Se,ctx:fe};this._connections.add(Le),this._onDidAddConnection.fire(Le),$(()=>{Te.dispose(),Se.dispose(),this._connections.delete(Le),this._onDidRemoveConnection.fire(Le)})})})}get connections(){const F=[];return this._connections.forEach(O=>F.push(O)),F}getChannel(F,O){const $=this;return{call(q,Z,ae){let fe;if(i.isFunction(O)){let Se=y.getRandomElement($.connections.filter(O));fe=Se?Promise.resolve(Se):v.Event.toPromise(v.Event.filter($.onDidAddConnection,O))}else fe=O.routeCall($,q,Z);const Te=fe.then(Se=>Se.channelClient.getChannel(F));return A(Te).call(q,Z,ae)},listen(q,Z){if(i.isFunction(O))return $.getMulticastEvent(F,O,q,Z);const ae=O.routeEvent($,q,Z).then(fe=>fe.channelClient.getChannel(F));return A(ae).listen(q,Z)}}}getMulticastEvent(F,O,$,q){const Z=this;let ae=new D.DisposableStore;const fe=new v.Emitter({onFirstListenerAdd:()=>{ae=new D.DisposableStore;const Te=new v.EventMultiplexer,Se=new Map,Le=Y=>{const oe=Y.channelClient.getChannel(F).listen($,q),ve=Te.add(oe);Se.set(Y,ve)},H=Y=>{const ie=Se.get(Y);!ie||(ie.dispose(),Se.delete(Y))};Z.connections.filter(O).forEach(Le),v.Event.filter(Z.onDidAddConnection,O)(Le,void 0,ae),Z.onDidRemoveConnection(H,void 0,ae),Te.event(fe.fire,fe,ae),ae.add(Te)},onLastListenerRemove:()=>{ae.dispose()}});return fe.event}registerChannel(F,O){this.channels.set(F,O),this._connections.forEach($=>{$.channelServer.registerChannel(F,O)})}dispose(){this.channels.clear(),this._connections.clear(),this._onDidAddConnection.dispose(),this._onDidRemoveConnection.dispose()}}e.IPCServer=h;class b{constructor(F,O,$=null){const q=new g;o(q,O),F.send(q.buffer),this.channelClient=new E(F,$),this.channelServer=new d(F,O,$)}getChannel(F){return this.channelClient.getChannel(F)}registerChannel(F,O){this.channelServer.registerChannel(F,O)}dispose(){this.channelClient.dispose(),this.channelServer.dispose()}}e.IPCClient=b;function A(U){return{call(F,O,$){return U.then(q=>q.call(F,O,$))},listen(F,O){const $=new v.Relay;return U.then(q=>$.input=q.listen(F,O)),$.event}}}e.getDelayedChannel=A;function L(U){let F=!1;return{call(O,$,q){return F?U.call(O,$,q):R.timeout(0).then(()=>F=!0).then(()=>U.call(O,$,q))},listen(O,$){if(F)return U.listen(O,$);const q=new v.Relay;return R.timeout(0).then(()=>F=!0).then(()=>q.input=U.listen(O,$)),q.event}}}e.getNextTickChannel=L;class M{constructor(F){this.fn=F}routeCall(F){return this.route(F)}routeEvent(F){return this.route(F)}async route(F){for(const O of F.connections)if(await Promise.resolve(this.fn(O.ctx)))return Promise.resolve(O);return await v.Event.toPromise(F.onDidAddConnection),await this.route(F)}}e.StaticRouter=M;var z;(function(U){function F(q,Z){const ae=q,fe=Z&&Z.disableMarshalling,Te=new Map;for(const Se in ae)$(Se)&&Te.set(Se,v.Event.buffer(ae[Se],!0));return new class{listen(Se,Le){const H=Te.get(Le);if(H)return H;throw new Error(`Event not found: ${Le}`)}call(Se,Le,H){const Y=ae[Le];if(typeof Y=="function"){if(!fe&&Array.isArray(H))for(let ie=0;ie<H.length;ie++)H[ie]=T.revive(H[ie]);return Y.apply(ae,H)}throw new Error(`Method not found: ${Le}`)}}}U.fromService=F;function O(q,Z){const ae=Z&&Z.disableMarshalling;return new Proxy({},{get(fe,Te){var Se;if(typeof Te=="string")return((Se=Z==null?void 0:Z.properties)===null||Se===void 0?void 0:Se.has(Te))?Z.properties.get(Te):$(Te)?q.listen(Te):async function(...Le){let H;Z&&!i.isUndefinedOrNull(Z.context)?H=[Z.context,...Le]:H=Le;const Y=await q.call(Te,H);return ae?Y:T.revive(Y)};throw new Error(`Property not found: ${String(Te)}`)}})}U.toService=O;function $(q){return q[0]==="o"&&q[1]==="n"&&k.isUpperAsciiLetter(q.charCodeAt(2))}})(z=e.ProxyChannel||(e.ProxyChannel={}));const V=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function W(U){if(Array.isArray(U))return U;if(U&&typeof U=="object"&&typeof U.toString=="function"){let F=U.toString();if(F!=="[object Object]")return F}return U}function K(U){return Array.isArray(U)?U.map(W):W(U)}function x(U,F,O,$,q,Z,ae){ae=K(ae);const fe=V[q],Te=fe[$%fe.length];let Se=[`%c[${U}]%c[${String(F).padStart(7," ")}]%c[len: ${String(O).padStart(5," ")}]%c${String($).padStart(5," ")} - ${Z}`,"color: darkgreen","color: grey","color: grey",`color: ${Te}`];/\($/.test(Z)?(Se=Se.concat(ae),Se.push(")")):Se.push(ae),console.log.apply(console,Se)}e.logWithColors=x;class N{constructor(F,O){this._outgoingPrefix=F,this._incomingPrefix=O,this._totalIncoming=0,this._totalOutgoing=0}logOutgoing(F,O,$,q,Z){this._totalOutgoing+=F,x(this._outgoingPrefix,this._totalOutgoing,F,O,$,q,Z)}logIncoming(F,O,$,q,Z){this._totalIncoming+=F,x(this._incomingPrefix,this._totalIncoming,F,O,$,q,Z)}}e.IPCLogger=N}),define(ge[101],pe([0,1,3,100,5,26,9,38]),function(Q,e,v,D,R,P,C,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PersistentProtocol=e.BufferedEmitter=e.Client=e.Protocol=e.ProtocolConstants=e.ChunkStream=void 0;let y=null;function i(){return y||(y=P.VSBuffer.alloc(0)),y}class T{constructor(){this._chunks=[],this._totalLength=0}get byteLength(){return this._totalLength}acceptChunk(s){this._chunks.push(s),this._totalLength+=s.byteLength}read(s){return this._read(s,!0)}peek(s){return this._read(s,!1)}_read(s,o){if(s===0)return i();if(s>this._totalLength)throw new Error("Cannot read so many bytes!");if(this._chunks[0].byteLength===s){const E=this._chunks[0];return o&&(this._chunks.shift(),this._totalLength-=s),E}if(this._chunks[0].byteLength>s){const E=this._chunks[0].slice(0,s);return o&&(this._chunks[0]=this._chunks[0].slice(s),this._totalLength-=s),E}let n=P.VSBuffer.alloc(s),d=0,w=0;for(;s>0;){const E=this._chunks[w];if(E.byteLength>s){const h=E.slice(0,s);n.set(h,d),d+=s,o&&(this._chunks[w]=E.slice(s),this._totalLength-=s),s-=s}else n.set(E,d),d+=E.byteLength,o?(this._chunks.shift(),this._totalLength-=E.byteLength):w++,s-=E.byteLength}return n}}e.ChunkStream=T;var k;(function(r){r[r.None=0]="None",r[r.Regular=1]="Regular",r[r.Control=2]="Control",r[r.Ack=3]="Ack",r[r.KeepAlive=4]="KeepAlive",r[r.Disconnect=5]="Disconnect",r[r.ReplayRequest=6]="ReplayRequest"})(k||(k={}));var p;(function(r){r[r.HeaderLength=13]="HeaderLength",r[r.AcknowledgeTime=2e3]="AcknowledgeTime",r[r.AcknowledgeTimeoutTime=2e4]="AcknowledgeTimeoutTime",r[r.KeepAliveTime=5e3]="KeepAliveTime",r[r.KeepAliveTimeoutTime=2e4]="KeepAliveTimeoutTime",r[r.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",r[r.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime"})(p=e.ProtocolConstants||(e.ProtocolConstants={}));class f{constructor(s,o,n,d){this.type=s,this.id=o,this.ack=n,this.data=d,this.writtenTime=0}get size(){return this.data.byteLength}}class l extends R.Disposable{constructor(s){super();this._onMessage=this._register(new v.Emitter),this.onMessage=this._onMessage.event,this._state={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this._socket=s,this._isDisposed=!1,this._incomingData=new T,this._register(this._socket.onData(o=>this.acceptChunk(o))),this.lastReadTime=Date.now()}acceptChunk(s){if(!(!s||s.byteLength===0))for(this.lastReadTime=Date.now(),this._incomingData.acceptChunk(s);this._incomingData.byteLength>=this._state.readLen;){const o=this._incomingData.read(this._state.readLen);if(this._state.readHead)this._state.readHead=!1,this._state.readLen=o.readUInt32BE(9),this._state.messageType=o.readUInt8(0),this._state.id=o.readUInt32BE(1),this._state.ack=o.readUInt32BE(5);else{const n=this._state.messageType,d=this._state.id,w=this._state.ack;if(this._state.readHead=!0,this._state.readLen=13,this._state.messageType=0,this._state.id=0,this._state.ack=0,this._onMessage.fire(new f(n,d,w,o)),this._isDisposed)break}}}readEntireBuffer(){return this._incomingData.read(this._incomingData.byteLength)}dispose(){this._isDisposed=!0,super.dispose()}}class m{constructor(s){this._isDisposed=!1,this._socket=s,this._data=[],this._totalLength=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch(s){}this._isDisposed=!0}drain(){return this.flush(),this._socket.drain()}flush(){this._writeNow()}write(s){if(!this._isDisposed){s.writtenTime=Date.now(),this.lastWriteTime=Date.now();const o=P.VSBuffer.alloc(13);o.writeUInt8(s.type,0),o.writeUInt32BE(s.id,1),o.writeUInt32BE(s.ack,5),o.writeUInt32BE(s.data.byteLength,9),this._writeSoon(o,s.data)}}_bufferAdd(s,o){const n=this._totalLength===0;return this._data.push(s,o),this._totalLength+=s.byteLength+o.byteLength,n}_bufferTake(){const s=P.VSBuffer.concat(this._data,this._totalLength);return this._data.length=0,this._totalLength=0,s}_writeSoon(s,o){this._bufferAdd(s,o)&&C.setImmediate(()=>{this._writeNow()})}_writeNow(){this._totalLength!==0&&this._socket.write(this._bufferTake())}}class S extends R.Disposable{constructor(s){super();this._onMessage=new v.Emitter,this.onMessage=this._onMessage.event,this._onDidDispose=new v.Emitter,this.onDidDispose=this._onDidDispose.event,this._socket=s,this._socketWriter=this._register(new m(this._socket)),this._socketReader=this._register(new l(this._socket)),this._register(this._socketReader.onMessage(o=>{o.type===1&&this._onMessage.fire(o.data)})),this._register(this._socket.onClose(()=>this._onDidDispose.fire()))}drain(){return this._socketWriter.drain()}getSocket(){return this._socket}sendDisconnect(){}send(s){this._socketWriter.write(new f(1,0,0,s))}}e.Protocol=S;class _ extends D.IPCClient{constructor(s,o,n=null){super(s,o,n);this.protocol=s}static fromSocket(s,o){return new _(new S(s),o)}get onDidDispose(){return this.protocol.onDidDispose}dispose(){super.dispose();const s=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),s.end()}}e.Client=_;class g{constructor(){this._hasListeners=!1,this._isDeliveringMessages=!1,this._bufferedMessages=[],this._emitter=new v.Emitter({onFirstListenerAdd:()=>{this._hasListeners=!0,I.nextTick(()=>this._deliverMessages())},onLastListenerRemove:()=>{this._hasListeners=!1}}),this.event=this._emitter.event}_deliverMessages(){if(!this._isDeliveringMessages){for(this._isDeliveringMessages=!0;this._hasListeners&&this._bufferedMessages.length>0;)this._emitter.fire(this._bufferedMessages.shift());this._isDeliveringMessages=!1}}fire(s){this._hasListeners?this._bufferedMessages.length>0?this._bufferedMessages.push(s):this._emitter.fire(s):this._bufferedMessages.push(s)}flushBuffer(){this._bufferedMessages=[]}}e.BufferedEmitter=g;class a{constructor(s){this.data=s,this.next=null}}class u{constructor(){this._first=null,this._last=null}peek(){return this._first?this._first.data:null}toArray(){let s=[],o=0,n=this._first;for(;n;)s[o++]=n.data,n=n.next;return s}pop(){if(!!this._first){if(this._first===this._last){this._first=null,this._last=null;return}this._first=this._first.next}}push(s){const o=new a(s);if(!this._first){this._first=o,this._last=o;return}this._last.next=o,this._last=o}}class c{constructor(){this.lastRuns=[];const s=Date.now();for(let o=0;o<c._HISTORY_LENGTH;o++)this.lastRuns[o]=s-1e3*o;setInterval(()=>{for(let o=c._HISTORY_LENGTH;o>=1;o--)this.lastRuns[o]=this.lastRuns[o-1];this.lastRuns[0]=Date.now()},1e3)}static getInstance(){return c._INSTANCE||(c._INSTANCE=new c),c._INSTANCE}load(){const s=Date.now(),o=(1+c._HISTORY_LENGTH)*1e3;let n=0;for(let d=0;d<c._HISTORY_LENGTH;d++)s-this.lastRuns[d]<=o&&n++;return 1-n/c._HISTORY_LENGTH}hasHighLoad(){return this.load()>=.5}}c._HISTORY_LENGTH=10,c._INSTANCE=null;class t{constructor(s,o=null){this._loadEstimator=c.getInstance(),this._onControlMessage=new g,this.onControlMessage=this._onControlMessage.event,this._onMessage=new g,this.onMessage=this._onMessage.event,this._onDidDispose=new g,this.onDidDispose=this._onDidDispose.event,this._onSocketClose=new g,this.onSocketClose=this._onSocketClose.event,this._onSocketTimeout=new g,this.onSocketTimeout=this._onSocketTimeout.event,this._isReconnecting=!1,this._outgoingUnackMsg=new u,this._outgoingMsgId=0,this._outgoingAckId=0,this._outgoingAckTimeout=null,this._incomingMsgId=0,this._incomingAckId=0,this._incomingMsgLastTime=0,this._incomingAckTimeout=null,this._outgoingKeepAliveTimeout=null,this._incomingKeepAliveTimeout=null,this._lastReplayRequestTime=0,this._socketDisposables=[],this._socket=s,this._socketWriter=new m(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new l(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(n=>this._receiveMessage(n))),this._socketDisposables.push(this._socket.onClose(()=>this._onSocketClose.fire())),o&&this._socketReader.acceptChunk(o),this._sendKeepAliveCheck(),this._recvKeepAliveCheck()}get unacknowledgedCount(){return this._outgoingMsgId-this._outgoingAckId}dispose(){this._outgoingAckTimeout&&(clearTimeout(this._outgoingAckTimeout),this._outgoingAckTimeout=null),this._incomingAckTimeout&&(clearTimeout(this._incomingAckTimeout),this._incomingAckTimeout=null),this._outgoingKeepAliveTimeout&&(clearTimeout(this._outgoingKeepAliveTimeout),this._outgoingKeepAliveTimeout=null),this._incomingKeepAliveTimeout&&(clearTimeout(this._incomingKeepAliveTimeout),this._incomingKeepAliveTimeout=null),this._socketDisposables=R.dispose(this._socketDisposables)}drain(){return this._socketWriter.drain()}sendDisconnect(){const s=new f(5,0,0,i());this._socketWriter.write(s),this._socketWriter.flush()}_sendKeepAliveCheck(){if(!this._outgoingKeepAliveTimeout){const s=Date.now()-this._socketWriter.lastWriteTime;if(s>=5e3){const o=new f(4,0,0,i());this._socketWriter.write(o),this._sendKeepAliveCheck();return}this._outgoingKeepAliveTimeout=setTimeout(()=>{this._outgoingKeepAliveTimeout=null,this._sendKeepAliveCheck()},5e3-s+5)}}_recvKeepAliveCheck(){if(!this._incomingKeepAliveTimeout){const s=Date.now()-this._socketReader.lastReadTime;if(s>=2e4&&!this._loadEstimator.hasHighLoad()){this._onSocketTimeout.fire(void 0);return}this._incomingKeepAliveTimeout=setTimeout(()=>{this._incomingKeepAliveTimeout=null,this._recvKeepAliveCheck()},Math.max(2e4-s,0)+5)}}getSocket(){return this._socket}getMillisSinceLastIncomingData(){return Date.now()-this._socketReader.lastReadTime}beginAcceptReconnection(s,o){this._isReconnecting=!0,this._socketDisposables=R.dispose(this._socketDisposables),this._onControlMessage.flushBuffer(),this._onSocketClose.flushBuffer(),this._onSocketTimeout.flushBuffer(),this._socket.dispose(),this._lastReplayRequestTime=0,this._socket=s,this._socketWriter=new m(this._socket),this._socketDisposables.push(this._socketWriter),this._socketReader=new l(this._socket),this._socketDisposables.push(this._socketReader),this._socketDisposables.push(this._socketReader.onMessage(n=>this._receiveMessage(n))),this._socketDisposables.push(this._socket.onClose(()=>this._onSocketClose.fire())),this._socketReader.acceptChunk(o)}endAcceptReconnection(){this._isReconnecting=!1;const s=this._outgoingUnackMsg.toArray();for(let o=0,n=s.length;o<n;o++)this._socketWriter.write(s[o]);this._recvAckCheck(),this._sendKeepAliveCheck(),this._recvKeepAliveCheck()}acceptDisconnect(){this._onDidDispose.fire()}_receiveMessage(s){if(s.ack>this._outgoingAckId){this._outgoingAckId=s.ack;do{const o=this._outgoingUnackMsg.peek();if(o&&o.id<=s.ack)this._outgoingUnackMsg.pop();else break}while(!0)}if(s.type===1){if(s.id>this._incomingMsgId)if(s.id!==this._incomingMsgId+1){const o=Date.now();o-this._lastReplayRequestTime>1e4&&(this._lastReplayRequestTime=o,this._socketWriter.write(new f(6,0,0,i())))}else this._incomingMsgId=s.id,this._incomingMsgLastTime=Date.now(),this._sendAckCheck(),this._onMessage.fire(s.data)}else if(s.type===2)this._onControlMessage.fire(s.data);else if(s.type===5)this._onDidDispose.fire();else if(s.type===6){const o=this._outgoingUnackMsg.toArray();for(let n=0,d=o.length;n<d;n++)this._socketWriter.write(o[n]);this._recvAckCheck()}}readEntireBuffer(){return this._socketReader.readEntireBuffer()}flush(){this._socketWriter.flush()}send(s){const o=++this._outgoingMsgId;this._incomingAckId=this._incomingMsgId;const n=new f(1,o,this._incomingAckId,s);this._outgoingUnackMsg.push(n),this._isReconnecting||(this._socketWriter.write(n),this._recvAckCheck())}sendControl(s){const o=new f(2,0,0,s);this._socketWriter.write(o)}_sendAckCheck(){if(!(this._incomingMsgId<=this._incomingAckId)&&!this._incomingAckTimeout){const s=Date.now()-this._incomingMsgLastTime;if(s>=2e3){this._sendAck();return}this._incomingAckTimeout=setTimeout(()=>{this._incomingAckTimeout=null,this._sendAckCheck()},2e3-s+5)}}_recvAckCheck(){if(!(this._outgoingMsgId<=this._outgoingAckId)&&!this._outgoingAckTimeout){const s=this._outgoingUnackMsg.peek(),o=Date.now()-s.writtenTime;if(o>=2e4&&!this._loadEstimator.hasHighLoad()){this._onSocketTimeout.fire(void 0);return}this._outgoingAckTimeout=setTimeout(()=>{this._outgoingAckTimeout=null,this._recvAckCheck()},Math.max(2e4-o,0)+5)}}_sendAck(){if(!(this._incomingMsgId<=this._incomingAckId)){this._incomingAckId=this._incomingMsgId;const s=new f(3,0,this._incomingAckId,i());this._socketWriter.write(s)}}}e.PersistentProtocol=t}),define(ge[102],pe([0,1,93]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CharacterSet=e.CharacterClassifier=void 0;class D{constructor(I){let y=v.toUint8(I);this._defaultValue=y,this._asciiMap=D._createAsciiMap(y),this._map=new Map}static _createAsciiMap(I){let y=new Uint8Array(256);for(let i=0;i<256;i++)y[i]=I;return y}set(I,y){let i=v.toUint8(y);I>=0&&I<256?this._asciiMap[I]=i:this._map.set(I,i)}get(I){return I>=0&&I<256?this._asciiMap[I]:this._map.get(I)||this._defaultValue}}e.CharacterClassifier=D;var R;(function(C){C[C.False=0]="False",C[C.True=1]="True"})(R||(R={}));class P{constructor(){this._actual=new D(0)}add(I){this._actual.set(I,1)}has(I){return this._actual.get(I)===1}}e.CharacterSet=P}),define(ge[135],pe([0,1,102]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMapForWordSeparators=e.WordCharacterClassifier=e.WordCharacterClass=void 0;var D;(function(C){C[C.Regular=0]="Regular",C[C.Whitespace=1]="Whitespace",C[C.WordSeparator=2]="WordSeparator"})(D=e.WordCharacterClass||(e.WordCharacterClass={}));class R extends v.CharacterClassifier{constructor(I){super(0);for(let y=0,i=I.length;y<i;y++)this.set(I.charCodeAt(y),2);this.set(32,1),this.set(9,1)}}e.WordCharacterClassifier=R;function P(C){let I={};return y=>(I.hasOwnProperty(y)||(I[y]=C(y)),I[y])}e.getMapForWordSeparators=P(C=>new R(C))}),define(ge[48],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Position=void 0;class v{constructor(R,P){this.lineNumber=R,this.column=P}with(R=this.lineNumber,P=this.column){return R===this.lineNumber&&P===this.column?this:new v(R,P)}delta(R=0,P=0){return this.with(this.lineNumber+R,this.column+P)}equals(R){return v.equals(this,R)}static equals(R,P){return!R&&!P?!0:!!R&&!!P&&R.lineNumber===P.lineNumber&&R.column===P.column}isBefore(R){return v.isBefore(this,R)}static isBefore(R,P){return R.lineNumber<P.lineNumber?!0:P.lineNumber<R.lineNumber?!1:R.column<P.column}isBeforeOrEqual(R){return v.isBeforeOrEqual(this,R)}static isBeforeOrEqual(R,P){return R.lineNumber<P.lineNumber?!0:P.lineNumber<R.lineNumber?!1:R.column<=P.column}static compare(R,P){let C=R.lineNumber|0,I=P.lineNumber|0;if(C===I){let y=R.column|0,i=P.column|0;return y-i}return C-I}clone(){return new v(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(R){return new v(R.lineNumber,R.column)}static isIPosition(R){return R&&typeof R.lineNumber=="number"&&typeof R.column=="number"}}e.Position=v}),define(ge[44],pe([0,1,48]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Range=void 0;class D{constructor(P,C,I,y){P>I||P===I&&C>y?(this.startLineNumber=I,this.startColumn=y,this.endLineNumber=P,this.endColumn=C):(this.startLineNumber=P,this.startColumn=C,this.endLineNumber=I,this.endColumn=y)}isEmpty(){return D.isEmpty(this)}static isEmpty(P){return P.startLineNumber===P.endLineNumber&&P.startColumn===P.endColumn}containsPosition(P){return D.containsPosition(this,P)}static containsPosition(P,C){return!(C.lineNumber<P.startLineNumber||C.lineNumber>P.endLineNumber||C.lineNumber===P.startLineNumber&&C.column<P.startColumn||C.lineNumber===P.endLineNumber&&C.column>P.endColumn)}containsRange(P){return D.containsRange(this,P)}static containsRange(P,C){return!(C.startLineNumber<P.startLineNumber||C.endLineNumber<P.startLineNumber||C.startLineNumber>P.endLineNumber||C.endLineNumber>P.endLineNumber||C.startLineNumber===P.startLineNumber&&C.startColumn<P.startColumn||C.endLineNumber===P.endLineNumber&&C.endColumn>P.endColumn)}strictContainsRange(P){return D.strictContainsRange(this,P)}static strictContainsRange(P,C){return!(C.startLineNumber<P.startLineNumber||C.endLineNumber<P.startLineNumber||C.startLineNumber>P.endLineNumber||C.endLineNumber>P.endLineNumber||C.startLineNumber===P.startLineNumber&&C.startColumn<=P.startColumn||C.endLineNumber===P.endLineNumber&&C.endColumn>=P.endColumn)}plusRange(P){return D.plusRange(this,P)}static plusRange(P,C){let I,y,i,T;return C.startLineNumber<P.startLineNumber?(I=C.startLineNumber,y=C.startColumn):C.startLineNumber===P.startLineNumber?(I=C.startLineNumber,y=Math.min(C.startColumn,P.startColumn)):(I=P.startLineNumber,y=P.startColumn),C.endLineNumber>P.endLineNumber?(i=C.endLineNumber,T=C.endColumn):C.endLineNumber===P.endLineNumber?(i=C.endLineNumber,T=Math.max(C.endColumn,P.endColumn)):(i=P.endLineNumber,T=P.endColumn),new D(I,y,i,T)}intersectRanges(P){return D.intersectRanges(this,P)}static intersectRanges(P,C){let I=P.startLineNumber,y=P.startColumn,i=P.endLineNumber,T=P.endColumn,k=C.startLineNumber,p=C.startColumn,f=C.endLineNumber,l=C.endColumn;return I<k?(I=k,y=p):I===k&&(y=Math.max(y,p)),i>f?(i=f,T=l):i===f&&(T=Math.min(T,l)),I>i||I===i&&y>T?null:new D(I,y,i,T)}equalsRange(P){return D.equalsRange(this,P)}static equalsRange(P,C){return!!P&&!!C&&P.startLineNumber===C.startLineNumber&&P.startColumn===C.startColumn&&P.endLineNumber===C.endLineNumber&&P.endColumn===C.endColumn}getEndPosition(){return D.getEndPosition(this)}static getEndPosition(P){return new v.Position(P.endLineNumber,P.endColumn)}getStartPosition(){return D.getStartPosition(this)}static getStartPosition(P){return new v.Position(P.startLineNumber,P.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(P,C){return new D(this.startLineNumber,this.startColumn,P,C)}setStartPosition(P,C){return new D(P,C,this.endLineNumber,this.endColumn)}collapseToStart(){return D.collapseToStart(this)}static collapseToStart(P){return new D(P.startLineNumber,P.startColumn,P.startLineNumber,P.startColumn)}static fromPositions(P,C=P){return new D(P.lineNumber,P.column,C.lineNumber,C.column)}static lift(P){return P?new D(P.startLineNumber,P.startColumn,P.endLineNumber,P.endColumn):null}static isIRange(P){return P&&typeof P.startLineNumber=="number"&&typeof P.startColumn=="number"&&typeof P.endLineNumber=="number"&&typeof P.endColumn=="number"}static areIntersectingOrTouching(P,C){return!(P.endLineNumber<C.startLineNumber||P.endLineNumber===C.startLineNumber&&P.endColumn<C.startColumn||C.endLineNumber<P.startLineNumber||C.endLineNumber===P.startLineNumber&&C.endColumn<P.startColumn)}static areIntersecting(P,C){return!(P.endLineNumber<C.startLineNumber||P.endLineNumber===C.startLineNumber&&P.endColumn<=C.startColumn||C.endLineNumber<P.startLineNumber||C.endLineNumber===P.startLineNumber&&C.endColumn<=P.startColumn)}static compareRangesUsingStarts(P,C){if(P&&C){const i=P.startLineNumber|0,T=C.startLineNumber|0;if(i===T){const k=P.startColumn|0,p=C.startColumn|0;if(k===p){const f=P.endLineNumber|0,l=C.endLineNumber|0;if(f===l){const m=P.endColumn|0,S=C.endColumn|0;return m-S}return f-l}return k-p}return i-T}return(P?1:0)-(C?1:0)}static compareRangesUsingEnds(P,C){return P.endLineNumber===C.endLineNumber?P.endColumn===C.endColumn?P.startLineNumber===C.startLineNumber?P.startColumn-C.startColumn:P.startLineNumber-C.startLineNumber:P.endColumn-C.endColumn:P.endLineNumber-C.endLineNumber}static spansMultipleLines(P){return P.endLineNumber>P.startLineNumber}}e.Range=D}),define(ge[136],pe([0,1,48,44]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Selection=e.SelectionDirection=void 0;var R;(function(C){C[C.LTR=0]="LTR",C[C.RTL=1]="RTL"})(R=e.SelectionDirection||(e.SelectionDirection={}));class P extends D.Range{constructor(I,y,i,T){super(I,y,i,T);this.selectionStartLineNumber=I,this.selectionStartColumn=y,this.positionLineNumber=i,this.positionColumn=T}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(I){return P.selectionsEqual(this,I)}static selectionsEqual(I,y){return I.selectionStartLineNumber===y.selectionStartLineNumber&&I.selectionStartColumn===y.selectionStartColumn&&I.positionLineNumber===y.positionLineNumber&&I.positionColumn===y.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(I,y){return this.getDirection()===0?new P(this.startLineNumber,this.startColumn,I,y):new P(I,y,this.startLineNumber,this.startColumn)}getPosition(){return new v.Position(this.positionLineNumber,this.positionColumn)}setStartPosition(I,y){return this.getDirection()===0?new P(I,y,this.endLineNumber,this.endColumn):new P(this.endLineNumber,this.endColumn,I,y)}static fromPositions(I,y=I){return new P(I.lineNumber,I.column,y.lineNumber,y.column)}static liftSelection(I){return new P(I.selectionStartLineNumber,I.selectionStartColumn,I.positionLineNumber,I.positionColumn)}static selectionsArrEqual(I,y){if(I&&!y||!I&&y)return!1;if(!I&&!y)return!0;if(I.length!==y.length)return!1;for(let i=0,T=I.length;i<T;i++)if(!this.selectionsEqual(I[i],y[i]))return!1;return!0}static isISelection(I){return I&&typeof I.selectionStartLineNumber=="number"&&typeof I.selectionStartColumn=="number"&&typeof I.positionLineNumber=="number"&&typeof I.positionColumn=="number"}static createWithDirection(I,y,i,T,k){return k===0?new P(I,y,i,T):new P(i,T,I,y)}}e.Selection=P}),define(ge[103],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ApplyEditsResult=e.ValidAnnotatedEditOperation=e.ModelConstants=e.TrackedRangeStickiness=e.FindMatch=e.TextModelResolvedOptions=e.EndOfLineSequence=e.DefaultEndOfLine=e.EndOfLinePreference=e.MinimapPosition=e.OverviewRulerLane=void 0;var v;(function(f){f[f.Left=1]="Left",f[f.Center=2]="Center",f[f.Right=4]="Right",f[f.Full=7]="Full"})(v=e.OverviewRulerLane||(e.OverviewRulerLane={}));var D;(function(f){f[f.Inline=1]="Inline",f[f.Gutter=2]="Gutter"})(D=e.MinimapPosition||(e.MinimapPosition={}));var R;(function(f){f[f.TextDefined=0]="TextDefined",f[f.LF=1]="LF",f[f.CRLF=2]="CRLF"})(R=e.EndOfLinePreference||(e.EndOfLinePreference={}));var P;(function(f){f[f.LF=1]="LF",f[f.CRLF=2]="CRLF"})(P=e.DefaultEndOfLine||(e.DefaultEndOfLine={}));var C;(function(f){f[f.LF=0]="LF",f[f.CRLF=1]="CRLF"})(C=e.EndOfLineSequence||(e.EndOfLineSequence={}));class I{constructor(l){this.tabSize=Math.max(1,l.tabSize|0),this.indentSize=l.tabSize|0,this.insertSpaces=Boolean(l.insertSpaces),this.defaultEOL=l.defaultEOL|0,this.trimAutoWhitespace=Boolean(l.trimAutoWhitespace)}equals(l){return this.tabSize===l.tabSize&&this.indentSize===l.indentSize&&this.insertSpaces===l.insertSpaces&&this.defaultEOL===l.defaultEOL&&this.trimAutoWhitespace===l.trimAutoWhitespace}createChangeEvent(l){return{tabSize:this.tabSize!==l.tabSize,indentSize:this.indentSize!==l.indentSize,insertSpaces:this.insertSpaces!==l.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==l.trimAutoWhitespace}}}e.TextModelResolvedOptions=I;class y{constructor(l,m){this.range=l,this.matches=m}}e.FindMatch=y;var i;(function(f){f[f.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",f[f.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",f[f.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",f[f.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(i=e.TrackedRangeStickiness||(e.TrackedRangeStickiness={}));var T;(function(f){f[f.FIRST_LINE_DETECTION_LENGTH_LIMIT=1e3]="FIRST_LINE_DETECTION_LENGTH_LIMIT"})(T=e.ModelConstants||(e.ModelConstants={}));class k{constructor(l,m,S,_,g,a){this.identifier=l,this.range=m,this.text=S,this.forceMoveMarkers=_,this.isAutoWhitespaceEdit=g,this._isTracked=a}}e.ValidAnnotatedEditOperation=k;class p{constructor(l,m,S){this.reverseEdits=l,this.changes=m,this.trimAutoWhitespaceLineNumbers=S}}e.ApplyEditsResult=p}),define(ge[137],pe([0,1,10,135,48,44,103]),function(Q,e,v,D,R,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Searcher=e.isValidMatch=e.TextModelSearch=e.createFindMatch=e.SearchData=e.isMultilineRegexSource=e.SearchParams=void 0;const I=999;class y{constructor(a,u,c,t){this.searchString=a,this.isRegex=u,this.matchCase=c,this.wordSeparators=t}parseSearchRequest(){if(this.searchString==="")return null;let a;this.isRegex?a=i(this.searchString):a=this.searchString.indexOf(`
`)>=0;let u=null;try{u=v.createRegExp(this.searchString,this.isRegex,{matchCase:this.matchCase,wholeWord:!1,multiline:a,global:!0,unicode:!0})}catch(t){return null}if(!u)return null;let c=!this.isRegex&&!a;return c&&this.searchString.toLowerCase()!==this.searchString.toUpperCase()&&(c=this.matchCase),new T(u,this.wordSeparators?D.getMapForWordSeparators(this.wordSeparators):null,c?this.searchString:null)}}e.SearchParams=y;function i(g){if(!g||g.length===0)return!1;for(let a=0,u=g.length;a<u;a++)if(g.charCodeAt(a)===92){if(a++,a>=u)break;const t=g.charCodeAt(a);if(t===110||t===114||t===87||t===119)return!0}return!1}e.isMultilineRegexSource=i;class T{constructor(a,u,c){this.regex=a,this.wordSeparators=u,this.simpleSearch=c}}e.SearchData=T;function k(g,a,u){if(!u)return new C.FindMatch(g,null);let c=[];for(let t=0,r=a.length;t<r;t++)c[t]=a[t];return new C.FindMatch(g,c)}e.createFindMatch=k;class p{constructor(a){let u=[],c=0;for(let t=0,r=a.length;t<r;t++)a.charCodeAt(t)===10&&(u[c++]=t);this._lineFeedsOffsets=u}findLineFeedCountBeforeOffset(a){const u=this._lineFeedsOffsets;let c=0,t=u.length-1;if(t===-1||a<=u[0])return 0;for(;c<t;){const r=c+((t-c)/2>>0);u[r]>=a?t=r-1:u[r+1]>=a?(c=r,t=r):c=r+1}return c+1}}class f{static findMatches(a,u,c,t,r){const s=u.parseSearchRequest();return s?s.regex.multiline?this._doFindMatchesMultiline(a,c,new _(s.wordSeparators,s.regex),t,r):this._doFindMatchesLineByLine(a,c,s,t,r):[]}static _getMultilineMatchRange(a,u,c,t,r,s){let o,n=0;t?(n=t.findLineFeedCountBeforeOffset(r),o=u+r+n):o=u+r;let d;if(t){let b=t.findLineFeedCountBeforeOffset(r+s.length)-n;d=o+s.length+b}else d=o+s.length;const w=a.getPositionAt(o),E=a.getPositionAt(d);return new P.Range(w.lineNumber,w.column,E.lineNumber,E.column)}static _doFindMatchesMultiline(a,u,c,t,r){const s=a.getOffsetAt(u.getStartPosition()),o=a.getValueInRange(u,1),n=a.getEOL()===`\r
`?new p(o):null,d=[];let w=0,E;for(c.reset(0);E=c.next(o);)if(d[w++]=k(this._getMultilineMatchRange(a,s,o,n,E.index,E[0]),E,t),w>=r)return d;return d}static _doFindMatchesLineByLine(a,u,c,t,r){const s=[];let o=0;if(u.startLineNumber===u.endLineNumber){const d=a.getLineContent(u.startLineNumber).substring(u.startColumn-1,u.endColumn-1);return o=this._findMatchesInLine(c,d,u.startLineNumber,u.startColumn-1,o,s,t,r),s}const n=a.getLineContent(u.startLineNumber).substring(u.startColumn-1);o=this._findMatchesInLine(c,n,u.startLineNumber,u.startColumn-1,o,s,t,r);for(let d=u.startLineNumber+1;d<u.endLineNumber&&o<r;d++)o=this._findMatchesInLine(c,a.getLineContent(d),d,0,o,s,t,r);if(o<r){const d=a.getLineContent(u.endLineNumber).substring(0,u.endColumn-1);o=this._findMatchesInLine(c,d,u.endLineNumber,0,o,s,t,r)}return s}static _findMatchesInLine(a,u,c,t,r,s,o,n){const d=a.wordSeparators;if(!o&&a.simpleSearch){const h=a.simpleSearch,b=h.length,A=u.length;let L=-b;for(;(L=u.indexOf(h,L+b))!==-1;)if((!d||S(d,u,A,L,b))&&(s[r++]=new C.FindMatch(new P.Range(c,L+1+t,c,L+1+b+t),null),r>=n))return r;return r}const w=new _(a.wordSeparators,a.regex);let E;w.reset(0);do if(E=w.next(u),E&&(s[r++]=k(new P.Range(c,E.index+1+t,c,E.index+1+E[0].length+t),E,o),r>=n))return r;while(E);return r}static findNextMatch(a,u,c,t){const r=u.parseSearchRequest();if(!r)return null;const s=new _(r.wordSeparators,r.regex);return r.regex.multiline?this._doFindNextMatchMultiline(a,c,s,t):this._doFindNextMatchLineByLine(a,c,s,t)}static _doFindNextMatchMultiline(a,u,c,t){const r=new R.Position(u.lineNumber,1),s=a.getOffsetAt(r),o=a.getLineCount(),n=a.getValueInRange(new P.Range(r.lineNumber,r.column,o,a.getLineMaxColumn(o)),1),d=a.getEOL()===`\r
`?new p(n):null;c.reset(u.column-1);let w=c.next(n);return w?k(this._getMultilineMatchRange(a,s,n,d,w.index,w[0]),w,t):u.lineNumber!==1||u.column!==1?this._doFindNextMatchMultiline(a,new R.Position(1,1),c,t):null}static _doFindNextMatchLineByLine(a,u,c,t){const r=a.getLineCount(),s=u.lineNumber,o=a.getLineContent(s),n=this._findFirstMatchInLine(c,o,s,u.column,t);if(n)return n;for(let d=1;d<=r;d++){const w=(s+d-1)%r,E=a.getLineContent(w+1),h=this._findFirstMatchInLine(c,E,w+1,1,t);if(h)return h}return null}static _findFirstMatchInLine(a,u,c,t,r){a.reset(t-1);const s=a.next(u);return s?k(new P.Range(c,s.index+1,c,s.index+1+s[0].length),s,r):null}static findPreviousMatch(a,u,c,t){const r=u.parseSearchRequest();if(!r)return null;const s=new _(r.wordSeparators,r.regex);return r.regex.multiline?this._doFindPreviousMatchMultiline(a,c,s,t):this._doFindPreviousMatchLineByLine(a,c,s,t)}static _doFindPreviousMatchMultiline(a,u,c,t){const r=this._doFindMatchesMultiline(a,new P.Range(1,1,u.lineNumber,u.column),c,t,10*I);if(r.length>0)return r[r.length-1];const s=a.getLineCount();return u.lineNumber!==s||u.column!==a.getLineMaxColumn(s)?this._doFindPreviousMatchMultiline(a,new R.Position(s,a.getLineMaxColumn(s)),c,t):null}static _doFindPreviousMatchLineByLine(a,u,c,t){const r=a.getLineCount(),s=u.lineNumber,o=a.getLineContent(s).substring(0,u.column-1),n=this._findLastMatchInLine(c,o,s,t);if(n)return n;for(let d=1;d<=r;d++){const w=(r+s-d-1)%r,E=a.getLineContent(w+1),h=this._findLastMatchInLine(c,E,w+1,t);if(h)return h}return null}static _findLastMatchInLine(a,u,c,t){let r=null,s;for(a.reset(0);s=a.next(u);)r=k(new P.Range(c,s.index+1,c,s.index+1+s[0].length),s,t);return r}}e.TextModelSearch=f;function l(g,a,u,c,t){if(c===0)return!0;const r=a.charCodeAt(c-1);if(g.get(r)!==0||r===13||r===10)return!0;if(t>0){const s=a.charCodeAt(c);if(g.get(s)!==0)return!0}return!1}function m(g,a,u,c,t){if(c+t===u)return!0;const r=a.charCodeAt(c+t);if(g.get(r)!==0||r===13||r===10)return!0;if(t>0){const s=a.charCodeAt(c+t-1);if(g.get(s)!==0)return!0}return!1}function S(g,a,u,c,t){return l(g,a,u,c,t)&&m(g,a,u,c,t)}e.isValidMatch=S;class _{constructor(a,u){this._wordSeparators=a,this._searchRegex=u,this._prevMatchStartIndex=-1,this._prevMatchLength=0}reset(a){this._searchRegex.lastIndex=a,this._prevMatchStartIndex=-1,this._prevMatchLength=0}next(a){const u=a.length;let c;do{if(this._prevMatchStartIndex+this._prevMatchLength===u||(c=this._searchRegex.exec(a),!c))return null;const t=c.index,r=c[0].length;if(t===this._prevMatchStartIndex&&r===this._prevMatchLength){if(r===0){v.getNextCodePoint(a,u,this._searchRegex.lastIndex)>65535?this._searchRegex.lastIndex+=2:this._searchRegex.lastIndex+=1;continue}return null}if(this._prevMatchStartIndex=t,this._prevMatchLength=r,!this._wordSeparators||S(this._wordSeparators,a,u,t,r))return c}while(c);return null}}e.Searcher=_}),define(ge[104],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getWordAtText=e.ensureValidWordDefinition=e.DEFAULT_WORD_REGEXP=e.USUAL_WORD_SEPARATORS=void 0,e.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function v(I=""){let y="(-?\\d*\\.\\d\\w*)|([^";for(const i of e.USUAL_WORD_SEPARATORS)I.indexOf(i)>=0||(y+="\\"+i);return y+="\\s]+)",new RegExp(y,"g")}e.DEFAULT_WORD_REGEXP=v();function D(I){let y=e.DEFAULT_WORD_REGEXP;if(I&&I instanceof RegExp)if(I.global)y=I;else{let i="g";I.ignoreCase&&(i+="i"),I.multiline&&(i+="m"),I.unicode&&(i+="u"),y=new RegExp(I.source,i)}return y.lastIndex=0,y}e.ensureValidWordDefinition=D;const R={maxLen:1e3,windowSize:15,timeBudget:150};function P(I,y,i,T,k=R){if(i.length>k.maxLen){let S=I-k.maxLen/2;return S<0?S=0:T+=S,i=i.substring(S,I+k.maxLen/2),P(I,y,i,T,k)}const p=Date.now(),f=I-1-T;let l=-1,m=null;for(let S=1;!(Date.now()-p>=k.timeBudget);S++){const _=f-k.windowSize*S;y.lastIndex=Math.max(0,_);const g=C(y,i,f,l);if(!g&&m||(m=g,_<=0))break;l=_}if(m){let S={word:m[0],startColumn:T+1+m.index,endColumn:T+1+m.index+m[0].length};return y.lastIndex=0,S}return null}e.getWordAtText=P;function C(I,y,i,T){let k;for(;k=I.exec(y);){const p=k.index||0;if(p<=i&&I.lastIndex>=i)return k;if(T>0&&p>T)return null}return null}}),define(ge[138],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AutoClosingPairs=e.StandardAutoClosingPairConditional=e.IndentAction=void 0;var v;(function(C){C[C.None=0]="None",C[C.Indent=1]="Indent",C[C.IndentOutdent=2]="IndentOutdent",C[C.Outdent=3]="Outdent"})(v=e.IndentAction||(e.IndentAction={}));class D{constructor(I){if(this.open=I.open,this.close=I.close,this._standardTokenMask=0,Array.isArray(I.notIn))for(let y=0,i=I.notIn.length;y<i;y++)switch(I.notIn[y]){case"string":this._standardTokenMask|=2;break;case"comment":this._standardTokenMask|=1;break;case"regex":this._standardTokenMask|=4;break}}isOK(I){return(this._standardTokenMask&I)==0}}e.StandardAutoClosingPairConditional=D;class R{constructor(I){this.autoClosingPairsOpenByStart=new Map,this.autoClosingPairsOpenByEnd=new Map,this.autoClosingPairsCloseByStart=new Map,this.autoClosingPairsCloseByEnd=new Map,this.autoClosingPairsCloseSingleChar=new Map;for(const y of I)P(this.autoClosingPairsOpenByStart,y.open.charAt(0),y),P(this.autoClosingPairsOpenByEnd,y.open.charAt(y.open.length-1),y),P(this.autoClosingPairsCloseByStart,y.close.charAt(0),y),P(this.autoClosingPairsCloseByEnd,y.close.charAt(y.close.length-1),y),y.close.length===1&&y.open.length===1&&P(this.autoClosingPairsCloseSingleChar,y.close,y)}}e.AutoClosingPairs=R;function P(C,I,y){C.has(I)?C.get(I).push(y):C.set(I,[y])}}),define(ge[78],pe([0,1,34,7]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.score=void 0;function R(P,C,I,y){if(Array.isArray(P)){let i=0;for(const T of P){const k=R(T,C,I,y);if(k===10)return k;k>i&&(i=k)}return i}else{if(typeof P=="string")return y?P==="*"?5:P===I?10:0:0;if(P){const{language:i,pattern:T,scheme:k,hasAccessToAllModels:p}=P;if(!y&&!p)return 0;let f=0;if(k)if(k===C.scheme)f=10;else if(k==="*")f=5;else return 0;if(i)if(i===I)f=10;else if(i==="*")f=Math.max(f,5);else return 0;if(T){let l;if(typeof T=="string"?l=T:l=Object.assign(Object.assign({},T),{base:D.normalize(T.base)}),l===C.fsPath||v.match(l,C.fsPath))f=10;else return 0}return f}else return 0}}e.score=R}),define(ge[139],pe([0,1,102]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.computeLinks=e.LinkComputer=e.StateMachine=e.Uint8Matrix=e.State=void 0;var D;(function(f){f[f.Invalid=0]="Invalid",f[f.Start=1]="Start",f[f.H=2]="H",f[f.HT=3]="HT",f[f.HTT=4]="HTT",f[f.HTTP=5]="HTTP",f[f.F=6]="F",f[f.FI=7]="FI",f[f.FIL=8]="FIL",f[f.BeforeColon=9]="BeforeColon",f[f.AfterColon=10]="AfterColon",f[f.AlmostThere=11]="AlmostThere",f[f.End=12]="End",f[f.Accept=13]="Accept",f[f.LastKnownState=14]="LastKnownState"})(D=e.State||(e.State={}));class R{constructor(l,m,S){const _=new Uint8Array(l*m);for(let g=0,a=l*m;g<a;g++)_[g]=S;this._data=_,this.rows=l,this.cols=m}get(l,m){return this._data[l*this.cols+m]}set(l,m,S){this._data[l*this.cols+m]=S}}e.Uint8Matrix=R;class P{constructor(l){let m=0,S=0;for(let g=0,a=l.length;g<a;g++){let[u,c,t]=l[g];c>m&&(m=c),u>S&&(S=u),t>S&&(S=t)}m++,S++;let _=new R(S,m,0);for(let g=0,a=l.length;g<a;g++){let[u,c,t]=l[g];_.set(u,c,t)}this._states=_,this._maxCharCode=m}nextState(l,m){return m<0||m>=this._maxCharCode?0:this._states.get(l,m)}}e.StateMachine=P;let C=null;function I(){return C===null&&(C=new P([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),C}var y;(function(f){f[f.None=0]="None",f[f.ForceTermination=1]="ForceTermination",f[f.CannotEndIn=2]="CannotEndIn"})(y||(y={}));let i=null;function T(){if(i===null){i=new v.CharacterClassifier(0);const f=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u3011\u300F\u300D\u300B\u3009\u201D\u2019\uFF40\uFF5E\u2026`;for(let m=0;m<f.length;m++)i.set(f.charCodeAt(m),1);const l=".,;";for(let m=0;m<l.length;m++)i.set(l.charCodeAt(m),2)}return i}class k{static _createLink(l,m,S,_,g){let a=g-1;do{const u=m.charCodeAt(a);if(l.get(u)!==2)break;a--}while(a>_);if(_>0){const u=m.charCodeAt(_-1),c=m.charCodeAt(a);(u===40&&c===41||u===91&&c===93||u===123&&c===125)&&a--}return{range:{startLineNumber:S,startColumn:_+1,endLineNumber:S,endColumn:a+2},url:m.substring(_,a+1)}}static computeLinks(l,m=I()){const S=T();let _=[];for(let g=1,a=l.getLineCount();g<=a;g++){const u=l.getLineContent(g),c=u.length;let t=0,r=0,s=0,o=1,n=!1,d=!1,w=!1,E=!1;for(;t<c;){let h=!1;const b=u.charCodeAt(t);if(o===13){let A;switch(b){case 40:n=!0,A=0;break;case 41:A=n?0:1;break;case 91:w=!0,d=!0,A=0;break;case 93:w=!1,A=d?0:1;break;case 123:E=!0,A=0;break;case 125:A=E?0:1;break;case 39:A=s===34||s===96?0:1;break;case 34:A=s===39||s===96?0:1;break;case 96:A=s===39||s===34?0:1;break;case 42:A=s===42?1:0;break;case 124:A=s===124?1:0;break;case 32:A=w?0:1;break;default:A=S.get(b)}A===1&&(_.push(k._createLink(S,u,g,r,t)),h=!0)}else if(o===12){let A;b===91?(d=!0,A=0):A=S.get(b),A===1?h=!0:o=13}else o=m.nextState(o,b),o===0&&(h=!0);h&&(o=1,n=!1,d=!1,E=!1,r=t+1,s=b),t++}o===13&&_.push(k._createLink(S,u,g,r,c))}return _}}e.LinkComputer=k;function p(f){return!f||typeof f.getLineCount!="function"||typeof f.getLineContent!="function"?[]:k.computeLinks(f)}e.computeLinks=p}),define(ge[140],pe([0,1,3,5]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TokenizationRegistryImpl=void 0;class R{constructor(){this._map=new Map,this._promises=new Map,this._onDidChange=new v.Emitter,this.onDidChange=this._onDidChange.event,this._colorMap=null}fire(C){this._onDidChange.fire({changedLanguages:C,changedColorMap:!1})}register(C,I){return this._map.set(C,I),this.fire([C]),D.toDisposable(()=>{this._map.get(C)===I&&(this._map.delete(C),this.fire([C]))})}registerPromise(C,I){let y=null,i=!1;return this._promises.set(C,I.then(T=>{this._promises.delete(C),!(i||!T)&&(y=this.register(C,T))})),D.toDisposable(()=>{i=!0,y&&y.dispose()})}getPromise(C){const I=this.get(C);if(I)return Promise.resolve(I);const y=this._promises.get(C);return y?y.then(i=>this.get(C)):null}get(C){return this._map.get(C)||null}setColorMap(C){this._colorMap=C,this._onDidChange.fire({changedLanguages:Array.from(this._map.keys()),changedColorMap:!0})}getColorMap(){return this._colorMap}getDefaultBackground(){return this._colorMap&&this._colorMap.length>2?this._colorMap[2]:null}}e.TokenizationRegistryImpl=R}),define(ge[105],pe([0,1,26,9]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.decodeSemanticTokensDto=e.encodeSemanticTokensDto=void 0;var R;(function(k){k[k.Full=1]="Full",k[k.Delta=2]="Delta"})(R||(R={}));function P(k){for(let p=0,f=k.length;p<f;p+=4){const l=k[p+0],m=k[p+1],S=k[p+2],_=k[p+3];k[p+0]=_,k[p+1]=S,k[p+2]=m,k[p+3]=l}}function C(k){const p=new Uint8Array(k.buffer,k.byteOffset,k.length*4);return D.isLittleEndian()||P(p),v.VSBuffer.wrap(p)}function I(k){const p=k.buffer;if(D.isLittleEndian()||P(p),p.byteOffset%4==0)return new Uint32Array(p.buffer,p.byteOffset,p.length/4);{const f=new Uint8Array(p.byteLength);return f.set(p),new Uint32Array(f.buffer,f.byteOffset,f.length/4)}}function y(k){const p=new Uint32Array(i(k));let f=0;if(p[f++]=k.id,k.type==="full")p[f++]=1,p[f++]=k.data.length,p.set(k.data,f),f+=k.data.length;else{p[f++]=2,p[f++]=k.deltas.length;for(const l of k.deltas)p[f++]=l.start,p[f++]=l.deleteCount,l.data?(p[f++]=l.data.length,p.set(l.data,f),f+=l.data.length):p[f++]=0}return C(p)}e.encodeSemanticTokensDto=y;function i(k){let p=0;if(p+=1+1,k.type==="full")p+=1+k.data.length;else{p+=1,p+=(1+1+1)*k.deltas.length;for(const f of k.deltas)f.data&&(p+=f.data.length)}return p}function T(k){const p=I(k);let f=0;const l=p[f++];if(p[f++]===1){const g=p[f++],a=p.subarray(f,f+g);return f+=g,{id:l,type:"full",data:a}}const S=p[f++];let _=[];for(let g=0;g<S;g++){const a=p[f++],u=p[f++],c=p[f++];let t;c>0&&(t=p.subarray(f,f+c),f+=c),_[g]={start:a,deleteCount:u,data:t}}return{id:l,type:"delta",deltas:_}}e.decodeSemanticTokensDto=T}),define(ge[106],pe([0,1,93]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.PrefixSumComputer=e.PrefixSumIndexOfResult=void 0;class D{constructor(C,I){this.index=C,this.remainder=I}}e.PrefixSumIndexOfResult=D;class R{constructor(C){this.values=C,this.prefixSum=new Uint32Array(C.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}getCount(){return this.values.length}insertValues(C,I){C=v.toUint32(C);const y=this.values,i=this.prefixSum,T=I.length;return T===0?!1:(this.values=new Uint32Array(y.length+T),this.values.set(y.subarray(0,C),0),this.values.set(y.subarray(C),C+T),this.values.set(I,C),C-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=C-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(i.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}changeValue(C,I){return C=v.toUint32(C),I=v.toUint32(I),this.values[C]===I?!1:(this.values[C]=I,C-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=C-1),!0)}removeValues(C,I){C=v.toUint32(C),I=v.toUint32(I);const y=this.values,i=this.prefixSum;if(C>=y.length)return!1;let T=y.length-C;return I>=T&&(I=T),I===0?!1:(this.values=new Uint32Array(y.length-I),this.values.set(y.subarray(0,C),0),this.values.set(y.subarray(C+I),C),this.prefixSum=new Uint32Array(this.values.length),C-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=C-1),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(i.subarray(0,this.prefixSumValidIndex[0]+1)),!0)}getTotalValue(){return this.values.length===0?0:this._getAccumulatedValue(this.values.length-1)}getAccumulatedValue(C){return C<0?0:(C=v.toUint32(C),this._getAccumulatedValue(C))}_getAccumulatedValue(C){if(C<=this.prefixSumValidIndex[0])return this.prefixSum[C];let I=this.prefixSumValidIndex[0]+1;I===0&&(this.prefixSum[0]=this.values[0],I++),C>=this.values.length&&(C=this.values.length-1);for(let y=I;y<=C;y++)this.prefixSum[y]=this.prefixSum[y-1]+this.values[y];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],C),this.prefixSum[C]}getIndexOf(C){C=Math.floor(C),this.getTotalValue();let I=0,y=this.values.length-1,i=0,T=0,k=0;for(;I<=y;)if(i=I+(y-I)/2|0,T=this.prefixSum[i],k=T-this.values[i],C<k)y=i-1;else if(C>=T)I=i+1;else break;return new D(i,C-k)}}e.PrefixSumComputer=R}),define(ge[141],pe([0,1,10,48,106]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MirrorTextModel=void 0;class P{constructor(I,y,i,T){this._uri=I,this._lines=y,this._eol=i,this._versionId=T,this._lineStarts=null,this._cachedTextValue=null}dispose(){this._lines.length=0}get version(){return this._versionId}getText(){return this._cachedTextValue===null&&(this._cachedTextValue=this._lines.join(this._eol)),this._cachedTextValue}onEvents(I){I.eol&&I.eol!==this._eol&&(this._eol=I.eol,this._lineStarts=null);const y=I.changes;for(const i of y)this._acceptDeleteRange(i.range),this._acceptInsertText(new D.Position(i.range.startLineNumber,i.range.startColumn),i.text);this._versionId=I.versionId,this._cachedTextValue=null}_ensureLineStarts(){if(!this._lineStarts){const I=this._eol.length,y=this._lines.length,i=new Uint32Array(y);for(let T=0;T<y;T++)i[T]=this._lines[T].length+I;this._lineStarts=new R.PrefixSumComputer(i)}}_setLineText(I,y){this._lines[I]=y,this._lineStarts&&this._lineStarts.changeValue(I,this._lines[I].length+this._eol.length)}_acceptDeleteRange(I){if(I.startLineNumber===I.endLineNumber){if(I.startColumn===I.endColumn)return;this._setLineText(I.startLineNumber-1,this._lines[I.startLineNumber-1].substring(0,I.startColumn-1)+this._lines[I.startLineNumber-1].substring(I.endColumn-1));return}this._setLineText(I.startLineNumber-1,this._lines[I.startLineNumber-1].substring(0,I.startColumn-1)+this._lines[I.endLineNumber-1].substring(I.endColumn-1)),this._lines.splice(I.startLineNumber,I.endLineNumber-I.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(I.startLineNumber,I.endLineNumber-I.startLineNumber)}_acceptInsertText(I,y){if(y.length!==0){let i=v.splitLines(y);if(i.length===1){this._setLineText(I.lineNumber-1,this._lines[I.lineNumber-1].substring(0,I.column-1)+i[0]+this._lines[I.lineNumber-1].substring(I.column-1));return}i[i.length-1]+=this._lines[I.lineNumber-1].substring(I.column-1),this._setLineText(I.lineNumber-1,this._lines[I.lineNumber-1].substring(0,I.column-1)+i[0]);let T=new Uint32Array(i.length-1);for(let k=1;k<i.length;k++)this._lines.splice(I.lineNumber+k-1,0,i[k]),T[k-1]=i[k].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(I.lineNumber,T)}}}e.MirrorTextModel=P}),define(ge[142],pe([17,18]),function(Q,e){return Q.create("vs/base/common/date",e)}),define(ge[143],pe([0,1,142]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toLocalISOString=e.fromNow=void 0;const D=60,R=D*60,P=R*24,C=P*7,I=P*30,y=P*365;function i(k,p){typeof k!="number"&&(k=k.getTime());const f=Math.round((new Date().getTime()-k)/1e3);if(f<-30)return v.localize(0,null,i(new Date().getTime()+f*1e3,!1));if(f<30)return v.localize(1,null);let l;return f<D?(l=f,p?l===1?v.localize(2,null,l):v.localize(3,null,l):l===1?v.localize(4,null,l):v.localize(5,null,l)):f<R?(l=Math.floor(f/D),p?l===1?v.localize(6,null,l):v.localize(7,null,l):l===1?v.localize(8,null,l):v.localize(9,null,l)):f<P?(l=Math.floor(f/R),p?l===1?v.localize(10,null,l):v.localize(11,null,l):l===1?v.localize(12,null,l):v.localize(13,null,l)):f<C?(l=Math.floor(f/P),p?l===1?v.localize(14,null,l):v.localize(15,null,l):l===1?v.localize(16,null,l):v.localize(17,null,l)):f<I?(l=Math.floor(f/C),p?l===1?v.localize(18,null,l):v.localize(19,null,l):l===1?v.localize(20,null,l):v.localize(21,null,l)):f<y?(l=Math.floor(f/I),p?l===1?v.localize(22,null,l):v.localize(23,null,l):l===1?v.localize(24,null,l):v.localize(25,null,l)):(l=Math.floor(f/y),p?l===1?v.localize(26,null,l):v.localize(27,null,l):l===1?v.localize(28,null,l):v.localize(29,null,l))}e.fromNow=i;function T(k){return k.getFullYear()+"-"+String(k.getMonth()+1).padStart(2,"0")+"-"+String(k.getDate()).padStart(2,"0")+"T"+String(k.getHours()).padStart(2,"0")+":"+String(k.getMinutes()).padStart(2,"0")+":"+String(k.getSeconds()).padStart(2,"0")+"."+(k.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.toLocalISOString=T}),define(ge[144],pe([17,18]),function(Q,e){return Q.create("vs/base/common/errorMessage",e)}),define(ge[49],pe([0,1,144,16,12]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toErrorMessage=void 0;function P(i,T){return T&&(i.stack||i.stacktrace)?v.localize(0,null,I(i),C(i.stack)||C(i.stacktrace)):I(i)}function C(i){return Array.isArray(i)?i.join(`
`):i}function I(i){return typeof i.code=="string"&&typeof i.errno=="number"&&typeof i.syscall=="string"?v.localize(1,null,i.message):i.message||v.localize(2,null)}function y(i=null,T=!1){if(!i)return v.localize(3,null);if(Array.isArray(i)){const k=R.coalesce(i),p=y(k[0],T);return k.length>1?v.localize(4,null,p,k.length):p}if(D.isString(i))return i;if(i.detail){const k=i.detail;if(k.error)return P(k.error,T);if(k.exception)return P(k.exception,T)}return i.stack?P(i,T):i.message?i.message:v.localize(5,null)}e.toErrorMessage=y}),define(ge[145],pe([17,18]),function(Q,e){return Q.create("vs/base/node/processes",e)}),define(ge[79],pe([0,1,7,29,24,35,145,16,23,31,9,133,13]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.createQueuedSender=e.LineProcess=e.AbstractProcess=e.getWindowsShell=e.TerminateResponseCode=e.Source=void 0;function f(u){switch(u){case 0:return 0;case 1:return 2;case 128:return 3;default:return 1}}function l(u,c){if(T.isWindows)try{const t={stdio:["pipe","pipe","ignore"]};c&&(t.cwd=c);const r=P.execFile("taskkill",["/T","/F","/PID",u.pid.toString()],t);return new Promise(s=>{r.once("error",o=>{s({success:!1,error:o})}),r.once("exit",(o,n)=>{s(o===0?{success:!0}:{success:!1,code:o!==null?o:1})})})}catch(t){return Promise.resolve({success:!1,error:t,code:t.status?f(t.status):1})}else if(T.isLinux||T.isMacintosh)try{const t=p.FileAccess.asFileUri("vs/base/node/terminateProcess.sh",Q).fsPath;return new Promise(r=>{P.execFile(t,[u.pid.toString()],{encoding:"utf8",shell:!0},(s,o,n)=>{r(s?{success:!1,error:s}:{success:!0})})})}catch(t){return Promise.resolve({success:!1,error:t})}else u.kill("SIGKILL");return Promise.resolve({success:!0})}function m(u=process.env){return u.comspec||"cmd.exe"}e.getWindowsShell=m;class S{constructor(c,t,r,s){if(t!==void 0&&r!==void 0&&s!==void 0)this.cmd=c,this.args=t,this.shell=r,this.options=s;else{const o=c;this.cmd=o.command,this.shell=o.isShellCommand,this.args=o.args.slice(0),this.options=o.options||{}}if(this.childProcess=null,this.childProcessPromise=null,this.terminateRequested=!1,this.options.env){const o=Object.create(null);Object.keys(process.env).forEach(n=>{o[n]=process.env[n]}),Object.keys(this.options.env).forEach(n=>{o[n]=this.options.env[n]}),this.options.env=o}}getSanitizedCommand(){let c=this.cmd.toLowerCase();const t=c.lastIndexOf(v.sep);return t!==-1&&(c=c.substring(t+1)),S.WellKnowCommands[c]?c:"other"}start(c){return T.isWindows&&(this.options&&this.options.cwd&&i.isUNC(this.options.cwd)||!this.options&&i.isUNC(process.cwd()))?Promise.reject(new Error(C.localize(0,null))):this.useExec().then(t=>{let r,s;const o=new Promise((n,d)=>{r=n,s=d});if(t){let n=this.cmd;this.args&&(n=n+" "+this.args.join(" ")),this.childProcess=P.exec(n,this.options,(d,w,E)=>{this.childProcess=null;const h=d;h&&h.killed?s({killed:this.terminateRequested,stdout:w.toString(),stderr:E.toString()}):this.handleExec(r,c,d,w,E)})}else{let n=null;const d=w=>{this.childProcess=null,this.childProcessPromise=null,this.handleClose(w,r,c,s);const E={terminated:this.terminateRequested};I.isNumber(w)&&(E.cmdCode=w),r(E)};if(this.shell&&T.isWindows){const w=y.deepClone(this.options);w.windowsVerbatimArguments=!0,w.detached=!1;let E=!1,h=!1;const b=[];let A=this.ensureQuotes(this.cmd);b.push(A.value),E=A.quoted,this.args&&this.args.forEach(M=>{A=this.ensureQuotes(M),b.push(A.value),h=h&&A.quoted});const L=["/s","/c"];E?h?L.push('"'+b.join(" ")+'"'):b.length>1?L.push('"'+b[0]+'" '+b.slice(1).join(" ")):L.push('"'+b[0]+'"'):L.push(b.join(" ")),n=P.spawn(m(),L,w)}else this.cmd&&(n=P.spawn(this.cmd,this.args,this.options));n&&(this.childProcess=n,this.childProcessPromise=Promise.resolve(n),this.pidResolve&&(this.pidResolve(I.isNumber(n.pid)?n.pid:-1),this.pidResolve=void 0),n.on("error",w=>{this.childProcess=null,s({terminated:this.terminateRequested,error:w})}),n.pid&&(this.childProcess.on("close",d),this.handleSpawn(n,r,c,s,!0)))}return o})}handleClose(c,t,r,s){}ensureQuotes(c){return S.regexp.test(c)?{value:'"'+c+'"',quoted:!0}:{value:c,quoted:c.length>0&&c[0]==='"'&&c[c.length-1]==='"'}}get pid(){return this.childProcessPromise?this.childProcessPromise.then(c=>c.pid,c=>-1):new Promise(c=>{this.pidResolve=c})}terminate(){return this.childProcessPromise?this.childProcessPromise.then(c=>(this.terminateRequested=!0,l(c,this.options.cwd).then(t=>(t.success&&(this.childProcess=null),t))),c=>({success:!0})):Promise.resolve({success:!0})}useExec(){return new Promise(c=>{if(!this.shell||!T.isWindows)return c(!1);const t=P.spawn(m(),["/s","/c"]);t.on("error",r=>c(!0)),t.on("exit",r=>c(!1))})}}e.AbstractProcess=S,S.WellKnowCommands={ant:!0,cmake:!0,eslint:!0,gradle:!0,grunt:!0,gulp:!0,jake:!0,jenkins:!0,jshint:!0,make:!0,maven:!0,msbuild:!0,msc:!0,nmake:!0,npm:!0,rake:!0,tsc:!0,xbuild:!0},S.regexp=/^[^"].* .*[^"]/;class _ extends S{constructor(c,t,r,s){super(c,t,r,s);this.stdoutLineDecoder=null,this.stderrLineDecoder=null}handleExec(c,t,r,s,o){[s,o].forEach((n,d)=>{const w=new k.LineDecoder;w.write(n).forEach(b=>{t({line:b,source:d===0?0:1})});const h=w.end();h&&t({line:h,source:d===0?0:1})}),c({terminated:this.terminateRequested,error:r})}handleSpawn(c,t,r,s,o){const n=new k.LineDecoder,d=new k.LineDecoder;c.stdout.on("data",w=>{n.write(w).forEach(h=>r({line:h,source:0}))}),c.stderr.on("data",w=>{d.write(w).forEach(h=>r({line:h,source:1}))}),this.stdoutLineDecoder=n,this.stderrLineDecoder=d}handleClose(c,t,r,s){const o=this.stdoutLineDecoder?this.stdoutLineDecoder.end():null;o&&r({line:o,source:0});const n=this.stderrLineDecoder?this.stderrLineDecoder.end():null;n&&r({line:n,source:1})}}e.LineProcess=_;function g(u){let c=[],t=!1;const r=function(s){if(t){c.push(s);return}(!u.send(s,n=>{if(n&&console.error(n),t=!1,c.length>0){const d=c.slice(0);c=[],d.forEach(w=>r(w))}})||T.isWindows)&&(t=!0)};return{send:r}}e.createQueuedSender=g;var a;(function(u){async function c(t,r,s){if(v.isAbsolute(t))return t;if(r===void 0&&(r=process.cwd()),v.dirname(t)!=="."||(s===void 0&&I.isString(process.env.PATH)&&(s=process.env.PATH.split(v.delimiter)),s===void 0||s.length===0))return v.join(r,t);async function n(d){return await R.exists(d)?!(await D.promises.stat(d)).isDirectory():!1}for(let d of s){let w;if(v.isAbsolute(d)?w=v.join(d,t):w=v.join(r,d,t),await n(w))return w;let E=w+".com";if(await n(E)||(E=w+".exe",await n(E)))return E}return v.join(r,t)}u.findExecutable=c})(a=e.win32||(e.win32={}))}),define(ge[146],pe([0,1,39,9,99,79]),function(Q,e,v,D,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSystemShellSync=e.getSystemShell=void 0;async function C(f,l=process.env){return f===3?D.isWindows?k():P.getWindowsShell(l):i(f,l)}e.getSystemShell=C;function I(f,l=process.env){return f===3?D.isWindows?p(l):P.getWindowsShell(l):i(f,l)}e.getSystemShellSync=I;let y=null;function i(f,l){if(D.isLinux&&f===1||D.isMacintosh&&f===2)return"/bin/bash";if(!y){let m;if(D.isWindows)m="/bin/bash";else{if(m=l.SHELL,!m)try{m=v.userInfo().shell}catch(S){}m||(m="sh"),m==="/bin/false"&&(m="/bin/bash")}y=m}return y}let T=null;async function k(){return T||(T=(await R.getFirstAvailablePowerShellInstallation()).exePath),T}function p(f){if(T)return T;const l=D.isWindows&&parseFloat(v.release())>=10,m=f.hasOwnProperty("PROCESSOR_ARCHITEW6432"),S=`${f.windir}\\${m?"Sysnative":"System32"}\\WindowsPowerShell\\v1.0\\powershell.exe`;return l?S:P.getWindowsShell(f)}}),define(ge[147],pe([17,18]),function(Q,e){return Q.create("vs/editor/common/config/editorOptions",e)}),define(ge[148],pe([0,1,147,9,104]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorOptions=e.EditorOption=e.editorOptionsRegistry=e.EDITOR_MODEL_DEFAULTS=e.EDITOR_FONT_DEFAULTS=e.WrappingIndent=e.filterValidationDecorations=e.RenderLineNumbersType=e.EditorLayoutInfoComputer=e.RenderMinimap=e.EditorFontLigatures=e.cursorStyleToString=e.TextEditorCursorStyle=e.TextEditorCursorBlinkingStyle=e.stringSet=e.boolean=e.ComputeOptionsMemory=e.ValidatedEditorOptions=e.ConfigurationChangedEvent=e.MINIMAP_GUTTER_WIDTH=e.EditorAutoIndentStrategy=void 0;var P;(function(X){X[X.None=0]="None",X[X.Keep=1]="Keep",X[X.Brackets=2]="Brackets",X[X.Advanced=3]="Advanced",X[X.Full=4]="Full"})(P=e.EditorAutoIndentStrategy||(e.EditorAutoIndentStrategy={})),e.MINIMAP_GUTTER_WIDTH=8;class C{constructor(ne){this._values=ne}hasChanged(ne){return this._values[ne]}}e.ConfigurationChangedEvent=C;class I{constructor(){this._values=[]}_read(ne){return this._values[ne]}get(ne){return this._values[ne]}_write(ne,we){this._values[ne]=we}}e.ValidatedEditorOptions=I;class y{constructor(){this.stableMinimapLayoutInput=null,this.stableFitMaxMinimapScale=0,this.stableFitRemainingWidth=0}}e.ComputeOptionsMemory=y;class i{constructor(ne,we,Ne,Be){this.id=ne,this.name=we,this.defaultValue=Ne,this.schema=Be}compute(ne,we,Ne){return Ne}}class T{constructor(ne,we=null){this.schema=void 0,this.id=ne,this.name="_never_",this.defaultValue=void 0,this.deps=we}validate(ne){return this.defaultValue}}class k{constructor(ne,we,Ne,Be){this.id=ne,this.name=we,this.defaultValue=Ne,this.schema=Be}validate(ne){return typeof ne=="undefined"?this.defaultValue:ne}compute(ne,we,Ne){return Ne}}function p(X,ne){return typeof X=="undefined"?ne:X==="false"?!1:Boolean(X)}e.boolean=p;class f extends k{constructor(ne,we,Ne,Be=void 0){typeof Be!="undefined"&&(Be.type="boolean",Be.default=Ne),super(ne,we,Ne,Be)}validate(ne){return p(ne,this.defaultValue)}}class l extends k{constructor(ne,we,Ne,Be,We,Je=void 0){typeof Je!="undefined"&&(Je.type="integer",Je.default=Ne,Je.minimum=Be,Je.maximum=We),super(ne,we,Ne,Je),this.minimum=Be,this.maximum=We}static clampedInt(ne,we,Ne,Be){if(typeof ne=="undefined")return we;let We=parseInt(ne,10);return isNaN(We)?we:(We=Math.max(Ne,We),We=Math.min(Be,We),We|0)}validate(ne){return l.clampedInt(ne,this.defaultValue,this.minimum,this.maximum)}}class m extends k{constructor(ne,we,Ne,Be,We){typeof We!="undefined"&&(We.type="number",We.default=Ne),super(ne,we,Ne,We),this.validationFn=Be}static clamp(ne,we,Ne){return ne<we?we:ne>Ne?Ne:ne}static float(ne,we){if(typeof ne=="number")return ne;if(typeof ne=="undefined")return we;const Ne=parseFloat(ne);return isNaN(Ne)?we:Ne}validate(ne){return this.validationFn(m.float(ne,this.defaultValue))}}class S extends k{static string(ne,we){return typeof ne!="string"?we:ne}constructor(ne,we,Ne,Be=void 0){typeof Be!="undefined"&&(Be.type="string",Be.default=Ne),super(ne,we,Ne,Be)}validate(ne){return S.string(ne,this.defaultValue)}}function _(X,ne,we){return typeof X!="string"||we.indexOf(X)===-1?ne:X}e.stringSet=_;class g extends k{constructor(ne,we,Ne,Be,We=void 0){typeof We!="undefined"&&(We.type="string",We.enum=Be,We.default=Ne),super(ne,we,Ne,We),this._allowedValues=Be}validate(ne){return _(ne,this.defaultValue,this._allowedValues)}}class a extends i{constructor(ne,we,Ne,Be,We,Je,G=void 0){typeof G!="undefined"&&(G.type="string",G.enum=We,G.default=Be),super(ne,we,Ne,G),this._allowedValues=We,this._convert=Je}validate(ne){return typeof ne!="string"?this.defaultValue:this._allowedValues.indexOf(ne)===-1?this.defaultValue:this._convert(ne)}}function u(X){switch(X){case"none":return 0;case"keep":return 1;case"brackets":return 2;case"advanced":return 3;case"full":return 4}}class c extends i{constructor(){super(2,"accessibilitySupport",0,{type:"string",enum:["auto","on","off"],enumDescriptions:[v.localize(0,null),v.localize(1,null),v.localize(2,null)],default:"auto",description:v.localize(3,null)})}validate(ne){switch(ne){case"auto":return 0;case"off":return 1;case"on":return 2}return this.defaultValue}compute(ne,we,Ne){return Ne===0?ne.accessibilitySupport:Ne}}class t extends i{constructor(){const ne={insertSpace:!0,ignoreEmptyLines:!0};super(16,"comments",ne,{"editor.comments.insertSpace":{type:"boolean",default:ne.insertSpace,description:v.localize(4,null)},"editor.comments.ignoreEmptyLines":{type:"boolean",default:ne.ignoreEmptyLines,description:v.localize(5,null)}})}validate(ne){if(!ne||typeof ne!="object")return this.defaultValue;const we=ne;return{insertSpace:p(we.insertSpace,this.defaultValue.insertSpace),ignoreEmptyLines:p(we.ignoreEmptyLines,this.defaultValue.ignoreEmptyLines)}}}var r;(function(X){X[X.Hidden=0]="Hidden",X[X.Blink=1]="Blink",X[X.Smooth=2]="Smooth",X[X.Phase=3]="Phase",X[X.Expand=4]="Expand",X[X.Solid=5]="Solid"})(r=e.TextEditorCursorBlinkingStyle||(e.TextEditorCursorBlinkingStyle={}));function s(X){switch(X){case"blink":return 1;case"smooth":return 2;case"phase":return 3;case"expand":return 4;case"solid":return 5}}var o;(function(X){X[X.Line=1]="Line",X[X.Block=2]="Block",X[X.Underline=3]="Underline",X[X.LineThin=4]="LineThin",X[X.BlockOutline=5]="BlockOutline",X[X.UnderlineThin=6]="UnderlineThin"})(o=e.TextEditorCursorStyle||(e.TextEditorCursorStyle={}));function n(X){switch(X){case o.Line:return"line";case o.Block:return"block";case o.Underline:return"underline";case o.LineThin:return"line-thin";case o.BlockOutline:return"block-outline";case o.UnderlineThin:return"underline-thin"}}e.cursorStyleToString=n;function d(X){switch(X){case"line":return o.Line;case"block":return o.Block;case"underline":return o.Underline;case"line-thin":return o.LineThin;case"block-outline":return o.BlockOutline;case"underline-thin":return o.UnderlineThin}}class w extends T{constructor(){super(121,[60,29])}compute(ne,we,Ne){const Be=["monaco-editor"];return we.get(29)&&Be.push(we.get(29)),ne.extraEditorClassName&&Be.push(ne.extraEditorClassName),we.get(60)==="default"?Be.push("mouse-default"):we.get(60)==="copy"&&Be.push("mouse-copy"),we.get(95)&&Be.push("showUnused"),we.get(119)&&Be.push("showDeprecated"),Be.join(" ")}}class E extends f{constructor(){super(28,"emptySelectionClipboard",!0,{description:v.localize(6,null)})}compute(ne,we,Ne){return Ne&&ne.emptySelectionClipboard}}class h extends i{constructor(){const ne={cursorMoveOnType:!0,seedSearchStringFromSelection:!0,autoFindInSelection:"never",globalFindClipboard:!1,addExtraSpaceOnTop:!0,loop:!0};super(31,"find",ne,{"editor.find.cursorMoveOnType":{type:"boolean",default:ne.cursorMoveOnType,description:v.localize(7,null)},"editor.find.seedSearchStringFromSelection":{type:"boolean",default:ne.seedSearchStringFromSelection,description:v.localize(8,null)},"editor.find.autoFindInSelection":{type:"string",enum:["never","always","multiline"],default:ne.autoFindInSelection,enumDescriptions:[v.localize(9,null),v.localize(10,null),v.localize(11,null)],description:v.localize(12,null)},"editor.find.globalFindClipboard":{type:"boolean",default:ne.globalFindClipboard,description:v.localize(13,null),included:D.isMacintosh},"editor.find.addExtraSpaceOnTop":{type:"boolean",default:ne.addExtraSpaceOnTop,description:v.localize(14,null)},"editor.find.loop":{type:"boolean",default:ne.loop,description:v.localize(15,null)}})}validate(ne){if(!ne||typeof ne!="object")return this.defaultValue;const we=ne;return{cursorMoveOnType:p(we.cursorMoveOnType,this.defaultValue.cursorMoveOnType),seedSearchStringFromSelection:p(we.seedSearchStringFromSelection,this.defaultValue.seedSearchStringFromSelection),autoFindInSelection:typeof ne.autoFindInSelection=="boolean"?ne.autoFindInSelection?"always":"never":_(we.autoFindInSelection,this.defaultValue.autoFindInSelection,["never","always","multiline"]),globalFindClipboard:p(we.globalFindClipboard,this.defaultValue.globalFindClipboard),addExtraSpaceOnTop:p(we.addExtraSpaceOnTop,this.defaultValue.addExtraSpaceOnTop),loop:p(we.loop,this.defaultValue.loop)}}}class b extends i{constructor(){super(39,"fontLigatures",b.OFF,{anyOf:[{type:"boolean",description:v.localize(16,null)},{type:"string",description:v.localize(17,null)}],description:v.localize(18,null),default:!1})}validate(ne){return typeof ne=="undefined"?this.defaultValue:typeof ne=="string"?ne==="false"?b.OFF:ne==="true"?b.ON:ne:Boolean(ne)?b.ON:b.OFF}}e.EditorFontLigatures=b,b.OFF='"liga" off, "calt" off',b.ON='"liga" on, "calt" on';class A extends T{constructor(){super(38)}compute(ne,we,Ne){return ne.fontInfo}}class L extends k{constructor(){super(40,"fontSize",e.EDITOR_FONT_DEFAULTS.fontSize,{type:"number",minimum:6,maximum:100,default:e.EDITOR_FONT_DEFAULTS.fontSize,description:v.localize(19,null)})}validate(ne){let we=m.float(ne,this.defaultValue);return we===0?e.EDITOR_FONT_DEFAULTS.fontSize:m.clamp(we,6,100)}compute(ne,we,Ne){return ne.fontInfo.fontSize}}class M extends i{constructor(){super(41,"fontWeight",e.EDITOR_FONT_DEFAULTS.fontWeight,{anyOf:[{type:"number",minimum:M.MINIMUM_VALUE,maximum:M.MAXIMUM_VALUE,errorMessage:v.localize(20,null)},{type:"string",pattern:"^(normal|bold|1000|[1-9][0-9]{0,2})$"},{enum:M.SUGGESTION_VALUES}],default:e.EDITOR_FONT_DEFAULTS.fontWeight,description:v.localize(21,null)})}validate(ne){return ne==="normal"||ne==="bold"?ne:String(l.clampedInt(ne,e.EDITOR_FONT_DEFAULTS.fontWeight,M.MINIMUM_VALUE,M.MAXIMUM_VALUE))}}M.SUGGESTION_VALUES=["normal","bold","100","200","300","400","500","600","700","800","900"],M.MINIMUM_VALUE=1,M.MAXIMUM_VALUE=1e3;class z extends i{constructor(){const ne={multiple:"peek",multipleDefinitions:"peek",multipleTypeDefinitions:"peek",multipleDeclarations:"peek",multipleImplementations:"peek",multipleReferences:"peek",alternativeDefinitionCommand:"editor.action.goToReferences",alternativeTypeDefinitionCommand:"editor.action.goToReferences",alternativeDeclarationCommand:"editor.action.goToReferences",alternativeImplementationCommand:"",alternativeReferenceCommand:""},we={type:"string",enum:["peek","gotoAndPeek","goto"],default:ne.multiple,enumDescriptions:[v.localize(22,null),v.localize(23,null),v.localize(24,null)]};super(45,"gotoLocation",ne,{"editor.gotoLocation.multiple":{deprecationMessage:v.localize(25,null)},"editor.gotoLocation.multipleDefinitions":Object.assign({description:v.localize(26,null)},we),"editor.gotoLocation.multipleTypeDefinitions":Object.assign({description:v.localize(27,null)},we),"editor.gotoLocation.multipleDeclarations":Object.assign({description:v.localize(28,null)},we),"editor.gotoLocation.multipleImplementations":Object.assign({description:v.localize(29,null)},we),"editor.gotoLocation.multipleReferences":Object.assign({description:v.localize(30,null)},we),"editor.gotoLocation.alternativeDefinitionCommand":{type:"string",default:ne.alternativeDefinitionCommand,description:v.localize(31,null)},"editor.gotoLocation.alternativeTypeDefinitionCommand":{type:"string",default:ne.alternativeTypeDefinitionCommand,description:v.localize(32,null)},"editor.gotoLocation.alternativeDeclarationCommand":{type:"string",default:ne.alternativeDeclarationCommand,description:v.localize(33,null)},"editor.gotoLocation.alternativeImplementationCommand":{type:"string",default:ne.alternativeImplementationCommand,description:v.localize(34,null)},"editor.gotoLocation.alternativeReferenceCommand":{type:"string",default:ne.alternativeReferenceCommand,description:v.localize(35,null)}})}validate(ne){var we,Ne,Be,We,Je;if(!ne||typeof ne!="object")return this.defaultValue;const G=ne;return{multiple:_(G.multiple,this.defaultValue.multiple,["peek","gotoAndPeek","goto"]),multipleDefinitions:(we=G.multipleDefinitions)!==null&&we!==void 0?we:_(G.multipleDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleTypeDefinitions:(Ne=G.multipleTypeDefinitions)!==null&&Ne!==void 0?Ne:_(G.multipleTypeDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleDeclarations:(Be=G.multipleDeclarations)!==null&&Be!==void 0?Be:_(G.multipleDeclarations,"peek",["peek","gotoAndPeek","goto"]),multipleImplementations:(We=G.multipleImplementations)!==null&&We!==void 0?We:_(G.multipleImplementations,"peek",["peek","gotoAndPeek","goto"]),multipleReferences:(Je=G.multipleReferences)!==null&&Je!==void 0?Je:_(G.multipleReferences,"peek",["peek","gotoAndPeek","goto"]),alternativeDefinitionCommand:S.string(G.alternativeDefinitionCommand,this.defaultValue.alternativeDefinitionCommand),alternativeTypeDefinitionCommand:S.string(G.alternativeTypeDefinitionCommand,this.defaultValue.alternativeTypeDefinitionCommand),alternativeDeclarationCommand:S.string(G.alternativeDeclarationCommand,this.defaultValue.alternativeDeclarationCommand),alternativeImplementationCommand:S.string(G.alternativeImplementationCommand,this.defaultValue.alternativeImplementationCommand),alternativeReferenceCommand:S.string(G.alternativeReferenceCommand,this.defaultValue.alternativeReferenceCommand)}}}class V extends i{constructor(){const ne={enabled:!0,delay:300,sticky:!0};super(48,"hover",ne,{"editor.hover.enabled":{type:"boolean",default:ne.enabled,description:v.localize(36,null)},"editor.hover.delay":{type:"number",default:ne.delay,description:v.localize(37,null)},"editor.hover.sticky":{type:"boolean",default:ne.sticky,description:v.localize(38,null)}})}validate(ne){if(!ne||typeof ne!="object")return this.defaultValue;const we=ne;return{enabled:p(we.enabled,this.defaultValue.enabled),delay:l.clampedInt(we.delay,this.defaultValue.delay,0,1e4),sticky:p(we.sticky,this.defaultValue.sticky)}}}var W;(function(X){X[X.None=0]="None",X[X.Text=1]="Text",X[X.Blocks=2]="Blocks"})(W=e.RenderMinimap||(e.RenderMinimap={}));class K extends T{constructor(){super(124,[44,52,33,59,87,54,55,89,111,114,115,116,2])}compute(ne,we,Ne){return K.computeLayout(we,{memory:ne.memory,outerWidth:ne.outerWidth,outerHeight:ne.outerHeight,isDominatedByLongLines:ne.isDominatedByLongLines,lineHeight:ne.fontInfo.lineHeight,viewLineCount:ne.viewLineCount,lineNumbersDigitCount:ne.lineNumbersDigitCount,typicalHalfwidthCharacterWidth:ne.fontInfo.typicalHalfwidthCharacterWidth,maxDigitWidth:ne.fontInfo.maxDigitWidth,pixelRatio:ne.pixelRatio})}static computeContainedMinimapLineCount(ne){const we=ne.height/ne.lineHeight,Ne=ne.scrollBeyondLastLine?we-1:0,Be=(ne.viewLineCount+Ne)/(ne.pixelRatio*ne.height),We=Math.floor(ne.viewLineCount/Be);return{typicalViewportLineCount:we,extraLinesBeyondLastLine:Ne,desiredRatio:Be,minimapLineCount:We}}static _computeMinimapLayout(ne,we){const Ne=ne.outerWidth,Be=ne.outerHeight,We=ne.pixelRatio;if(!ne.minimap.enabled)return{renderMinimap:0,minimapLeft:0,minimapWidth:0,minimapHeightIsEditorHeight:!1,minimapIsSampling:!1,minimapScale:1,minimapLineHeight:1,minimapCanvasInnerWidth:0,minimapCanvasInnerHeight:Math.floor(We*Be),minimapCanvasOuterWidth:0,minimapCanvasOuterHeight:Be};const Je=we.stableMinimapLayoutInput,G=Je&&ne.outerHeight===Je.outerHeight&&ne.lineHeight===Je.lineHeight&&ne.typicalHalfwidthCharacterWidth===Je.typicalHalfwidthCharacterWidth&&ne.pixelRatio===Je.pixelRatio&&ne.scrollBeyondLastLine===Je.scrollBeyondLastLine&&ne.minimap.enabled===Je.minimap.enabled&&ne.minimap.side===Je.minimap.side&&ne.minimap.size===Je.minimap.size&&ne.minimap.showSlider===Je.minimap.showSlider&&ne.minimap.renderCharacters===Je.minimap.renderCharacters&&ne.minimap.maxColumn===Je.minimap.maxColumn&&ne.minimap.scale===Je.minimap.scale&&ne.verticalScrollbarWidth===Je.verticalScrollbarWidth&&ne.isViewportWrapping===Je.isViewportWrapping,se=ne.lineHeight,he=ne.typicalHalfwidthCharacterWidth,J=ne.scrollBeyondLastLine,re=ne.minimap.renderCharacters;let de=We>=2?Math.round(ne.minimap.scale*2):ne.minimap.scale;const me=ne.minimap.maxColumn,ye=ne.minimap.size,je=ne.minimap.side,He=ne.verticalScrollbarWidth,qe=ne.viewLineCount,Qe=ne.remainingWidth,Ze=ne.isViewportWrapping,be=re?2:3;let De=Math.floor(We*Be);const ue=De/We;let ee=!1,Fe=!1,xe=be*de,Ye=de/We,Ae=1;if(ye==="fill"||ye==="fit"){const{typicalViewportLineCount:_t,extraLinesBeyondLastLine:Dt,desiredRatio:yt,minimapLineCount:gt}=K.computeContainedMinimapLineCount({viewLineCount:qe,scrollBeyondLastLine:J,height:Be,lineHeight:se,pixelRatio:We});if(qe/gt>1)ee=!0,Fe=!0,de=1,xe=1,Ye=de/We;else{let ut=!1,wt=de+1;if(ye==="fit"){const vt=Math.ceil((qe+Dt)*xe);Ze&&G&&Qe<=we.stableFitRemainingWidth?(ut=!0,wt=we.stableFitMaxMinimapScale):(ut=vt>De,Ze&&ut?(we.stableMinimapLayoutInput=ne,we.stableFitRemainingWidth=Qe):(we.stableMinimapLayoutInput=null,we.stableFitRemainingWidth=0))}if(ye==="fill"||ut){ee=!0;const vt=de;xe=Math.min(se*We,Math.max(1,Math.floor(1/yt))),de=Math.min(wt,Math.max(1,Math.floor(xe/be))),de>vt&&(Ae=Math.min(2,de/vt)),Ye=de/We/Ae,De=Math.ceil(Math.max(_t,qe+Dt)*xe),Ze&&ut&&(we.stableFitMaxMinimapScale=de)}}}const st=Math.floor(me*Ye),rt=Math.min(st,Math.max(0,Math.floor((Qe-He-2)*Ye/(he+Ye)))+e.MINIMAP_GUTTER_WIDTH);let Xe=Math.floor(We*rt);const ct=Xe/We;Xe=Math.floor(Xe*Ae);const dt=re?1:2,ht=je==="left"?0:Ne-rt-He;return{renderMinimap:dt,minimapLeft:ht,minimapWidth:rt,minimapHeightIsEditorHeight:ee,minimapIsSampling:Fe,minimapScale:de,minimapLineHeight:xe,minimapCanvasInnerWidth:Xe,minimapCanvasInnerHeight:De,minimapCanvasOuterWidth:ct,minimapCanvasOuterHeight:ue}}static computeLayout(ne,we){const Ne=we.outerWidth|0,Be=we.outerHeight|0,We=we.lineHeight|0,Je=we.lineNumbersDigitCount|0,G=we.typicalHalfwidthCharacterWidth,se=we.maxDigitWidth,he=we.pixelRatio,J=we.viewLineCount,re=ne.get(116),de=re==="inherit"?ne.get(115):re,me=de==="inherit"?ne.get(111):de,ye=ne.get(114),je=ne.get(2),He=we.isDominatedByLongLines,qe=ne.get(44),Qe=ne.get(54).renderType!==0,Ze=ne.get(55),be=ne.get(89),De=ne.get(59),ue=ne.get(87),ee=ue.verticalScrollbarSize,Fe=ue.verticalHasArrows,xe=ue.arrowSize,Ye=ue.horizontalScrollbarSize,Ae=ne.get(52),st=ne.get(33);let rt;if(typeof Ae=="string"&&/^\d+(\.\d+)?ch$/.test(Ae)){const It=parseFloat(Ae.substr(0,Ae.length-2));rt=l.clampedInt(It*G,0,0,1e3)}else rt=l.clampedInt(Ae,0,0,1e3);st&&(rt+=16);let Xe=0;if(Qe){const It=Math.max(Je,Ze);Xe=Math.round(It*se)}let ct=0;qe&&(ct=We);let dt=0,ht=dt+ct,_t=ht+Xe,Dt=_t+rt;const yt=Ne-ct-Xe-rt;let gt=!1,mt=!1,ut=-1;je!==2&&(de==="inherit"&&He?(gt=!0,mt=!0):me==="on"||me==="bounded"?mt=!0:me==="wordWrapColumn"&&(ut=ye));const wt=K._computeMinimapLayout({outerWidth:Ne,outerHeight:Be,lineHeight:We,typicalHalfwidthCharacterWidth:G,pixelRatio:he,scrollBeyondLastLine:be,minimap:De,verticalScrollbarWidth:ee,viewLineCount:J,remainingWidth:yt,isViewportWrapping:mt},we.memory||new y);wt.renderMinimap!==0&&wt.minimapLeft===0&&(dt+=wt.minimapWidth,ht+=wt.minimapWidth,_t+=wt.minimapWidth,Dt+=wt.minimapWidth);const vt=yt-wt.minimapWidth,Rt=Math.max(1,Math.floor((vt-ee-2)/G)),Pt=Fe?xe:0;return mt&&(ut=Math.max(1,Rt),me==="bounded"&&(ut=Math.min(ut,ye))),{width:Ne,height:Be,glyphMarginLeft:dt,glyphMarginWidth:ct,lineNumbersLeft:ht,lineNumbersWidth:Xe,decorationsLeft:_t,decorationsWidth:rt,contentLeft:Dt,contentWidth:vt,minimap:wt,viewportColumn:Rt,isWordWrapMinified:gt,isViewportWrapping:mt,wrappingColumn:ut,verticalScrollbarWidth:ee,horizontalScrollbarHeight:Ye,overviewRuler:{top:Pt,width:ee,height:Be-2*Pt,right:0}}}}e.EditorLayoutInfoComputer=K;class x extends i{constructor(){const ne={enabled:!0};super(51,"lightbulb",ne,{"editor.lightbulb.enabled":{type:"boolean",default:ne.enabled,description:v.localize(39,null)}})}validate(ne){return!ne||typeof ne!="object"?this.defaultValue:{enabled:p(ne.enabled,this.defaultValue.enabled)}}}class N extends i{constructor(){const ne={enabled:!0,fontSize:0,fontFamily:e.EDITOR_FONT_DEFAULTS.fontFamily};super(120,"inlineHints",ne,{"editor.inlineHints.enabled":{type:"boolean",default:ne.enabled,description:v.localize(40,null)},"editor.inlineHints.fontSize":{type:"number",default:ne.fontSize,description:v.localize(41,null)},"editor.inlineHints.fontFamily":{type:"string",default:ne.fontFamily,description:v.localize(42,null)}})}validate(ne){if(!ne||typeof ne!="object")return this.defaultValue;const we=ne;return{enabled:p(we.enabled,this.defaultValue.enabled),fontSize:l.clampedInt(we.fontSize,this.defaultValue.fontSize,0,100),fontFamily:S.string(we.fontFamily,this.defaultValue.fontFamily)}}}class U extends l{constructor(){super(53,"lineHeight",e.EDITOR_FONT_DEFAULTS.lineHeight,0,150,{description:v.localize(43,null)})}compute(ne,we,Ne){return ne.fontInfo.lineHeight}}class F extends i{constructor(){const ne={enabled:!0,size:"proportional",side:"right",showSlider:"mouseover",renderCharacters:!0,maxColumn:120,scale:1};super(59,"minimap",ne,{"editor.minimap.enabled":{type:"boolean",default:ne.enabled,description:v.localize(44,null)},"editor.minimap.size":{type:"string",enum:["proportional","fill","fit"],enumDescriptions:[v.localize(45,null),v.localize(46,null),v.localize(47,null)],default:ne.size,description:v.localize(48,null)},"editor.minimap.side":{type:"string",enum:["left","right"],default:ne.side,description:v.localize(49,null)},"editor.minimap.showSlider":{type:"string",enum:["always","mouseover"],default:ne.showSlider,description:v.localize(50,null)},"editor.minimap.scale":{type:"number",default:ne.scale,minimum:1,maximum:3,enum:[1,2,3],description:v.localize(51,null)},"editor.minimap.renderCharacters":{type:"boolean",default:ne.renderCharacters,description:v.localize(52,null)},"editor.minimap.maxColumn":{type:"number",default:ne.maxColumn,description:v.localize(53,null)}})}validate(ne){if(!ne||typeof ne!="object")return this.defaultValue;const we=ne;return{enabled:p(we.enabled,this.defaultValue.enabled),size:_(we.size,this.defaultValue.size,["proportional","fill","fit"]),side:_(we.side,this.defaultValue.side,["right","left"]),showSlider:_(we.showSlider,this.defaultValue.showSlider,["always","mouseover"]),renderCharacters:p(we.renderCharacters,this.defaultValue.renderCharacters),scale:l.clampedInt(we.scale,1,1,3),maxColumn:l.clampedInt(we.maxColumn,this.defaultValue.maxColumn,1,1e4)}}}function O(X){return X==="ctrlCmd"?D.isMacintosh?"metaKey":"ctrlKey":"altKey"}class $ extends i{constructor(){super(69,"padding",{top:0,bottom:0},{"editor.padding.top":{type:"number",default:0,minimum:0,maximum:1e3,description:v.localize(54,null)},"editor.padding.bottom":{type:"number",default:0,minimum:0,maximum:1e3,description:v.localize(55,null)}})}validate(ne){if(!ne||typeof ne!="object")return this.defaultValue;const we=ne;return{top:l.clampedInt(we.top,0,0,1e3),bottom:l.clampedInt(we.bottom,0,0,1e3)}}}class q extends i{constructor(){const ne={enabled:!0,cycle:!1};super(70,"parameterHints",ne,{"editor.parameterHints.enabled":{type:"boolean",default:ne.enabled,description:v.localize(56,null)},"editor.parameterHints.cycle":{type:"boolean",default:ne.cycle,description:v.localize(57,null)}})}validate(ne){if(!ne||typeof ne!="object")return this.defaultValue;const we=ne;return{enabled:p(we.enabled,this.defaultValue.enabled),cycle:p(we.cycle,this.defaultValue.cycle)}}}class Z extends T{constructor(){super(122)}compute(ne,we,Ne){return ne.pixelRatio}}class ae extends i{constructor(){const ne={other:!0,comments:!1,strings:!1};super(73,"quickSuggestions",ne,{anyOf:[{type:"boolean"},{type:"object",properties:{strings:{type:"boolean",default:ne.strings,description:v.localize(58,null)},comments:{type:"boolean",default:ne.comments,description:v.localize(59,null)},other:{type:"boolean",default:ne.other,description:v.localize(60,null)}}}],default:ne,description:v.localize(61,null)});this.defaultValue=ne}validate(ne){if(typeof ne=="boolean")return ne;if(ne&&typeof ne=="object"){const we=ne,Ne={other:p(we.other,this.defaultValue.other),comments:p(we.comments,this.defaultValue.comments),strings:p(we.strings,this.defaultValue.strings)};return Ne.other&&Ne.comments&&Ne.strings?!0:!Ne.other&&!Ne.comments&&!Ne.strings?!1:Ne}return this.defaultValue}}var fe;(function(X){X[X.Off=0]="Off",X[X.On=1]="On",X[X.Relative=2]="Relative",X[X.Interval=3]="Interval",X[X.Custom=4]="Custom"})(fe=e.RenderLineNumbersType||(e.RenderLineNumbersType={}));class Te extends i{constructor(){super(54,"lineNumbers",{renderType:1,renderFn:null},{type:"string",enum:["off","on","relative","interval"],enumDescriptions:[v.localize(62,null),v.localize(63,null),v.localize(64,null),v.localize(65,null)],default:"on",description:v.localize(66,null)})}validate(ne){let we=this.defaultValue.renderType,Ne=this.defaultValue.renderFn;return typeof ne!="undefined"&&(typeof ne=="function"?(we=4,Ne=ne):ne==="interval"?we=3:ne==="relative"?we=2:ne==="on"?we=1:we=0),{renderType:we,renderFn:Ne}}}function Se(X){const ne=X.get(82);return ne==="editable"?X.get(75):ne!=="on"}e.filterValidationDecorations=Se;class Le extends i{constructor(){const ne=[],we={type:"number",description:v.localize(67,null)};super(86,"rulers",ne,{type:"array",items:{anyOf:[we,{type:["object"],properties:{column:we,color:{type:"string",description:v.localize(68,null),format:"color-hex"}}}]},default:ne,description:v.localize(69,null)})}validate(ne){if(Array.isArray(ne)){let we=[];for(let Ne of ne)if(typeof Ne=="number")we.push({column:l.clampedInt(Ne,0,0,1e4),color:null});else if(Ne&&typeof Ne=="object"){const Be=Ne;we.push({column:l.clampedInt(Be.column,0,0,1e4),color:Be.color})}return we.sort((Ne,Be)=>Ne.column-Be.column),we}return this.defaultValue}}function H(X,ne){if(typeof X!="string")return ne;switch(X){case"hidden":return 2;case"visible":return 3;default:return 1}}class Y extends i{constructor(){super(87,"scrollbar",{vertical:1,horizontal:1,arrowSize:11,useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1,horizontalScrollbarSize:12,horizontalSliderSize:12,verticalScrollbarSize:14,verticalSliderSize:14,handleMouseWheel:!0,alwaysConsumeMouseWheel:!0,scrollByPage:!1})}validate(ne){if(!ne||typeof ne!="object")return this.defaultValue;const we=ne,Ne=l.clampedInt(we.horizontalScrollbarSize,this.defaultValue.horizontalScrollbarSize,0,1e3),Be=l.clampedInt(we.verticalScrollbarSize,this.defaultValue.verticalScrollbarSize,0,1e3);return{arrowSize:l.clampedInt(we.arrowSize,this.defaultValue.arrowSize,0,1e3),vertical:H(we.vertical,this.defaultValue.vertical),horizontal:H(we.horizontal,this.defaultValue.horizontal),useShadows:p(we.useShadows,this.defaultValue.useShadows),verticalHasArrows:p(we.verticalHasArrows,this.defaultValue.verticalHasArrows),horizontalHasArrows:p(we.horizontalHasArrows,this.defaultValue.horizontalHasArrows),handleMouseWheel:p(we.handleMouseWheel,this.defaultValue.handleMouseWheel),alwaysConsumeMouseWheel:p(we.alwaysConsumeMouseWheel,this.defaultValue.alwaysConsumeMouseWheel),horizontalScrollbarSize:Ne,horizontalSliderSize:l.clampedInt(we.horizontalSliderSize,Ne,0,1e3),verticalScrollbarSize:Be,verticalSliderSize:l.clampedInt(we.verticalSliderSize,Be,0,1e3),scrollByPage:p(we.scrollByPage,this.defaultValue.scrollByPage)}}}class ie extends i{constructor(){const ne={insertMode:"insert",filterGraceful:!0,snippetsPreventQuickSuggestions:!0,localityBonus:!1,shareSuggestSelections:!1,showIcons:!0,showStatusBar:!1,showInlineDetails:!0,showMethods:!0,showFunctions:!0,showConstructors:!0,showFields:!0,showVariables:!0,showClasses:!0,showStructs:!0,showInterfaces:!0,showModules:!0,showProperties:!0,showEvents:!0,showOperators:!0,showUnits:!0,showValues:!0,showConstants:!0,showEnums:!0,showEnumMembers:!0,showKeywords:!0,showWords:!0,showColors:!0,showFiles:!0,showReferences:!0,showFolders:!0,showTypeParameters:!0,showSnippets:!0,showUsers:!0,showIssues:!0};super(101,"suggest",ne,{"editor.suggest.insertMode":{type:"string",enum:["insert","replace"],enumDescriptions:[v.localize(70,null),v.localize(71,null)],default:ne.insertMode,description:v.localize(72,null)},"editor.suggest.filterGraceful":{type:"boolean",default:ne.filterGraceful,description:v.localize(73,null)},"editor.suggest.localityBonus":{type:"boolean",default:ne.localityBonus,description:v.localize(74,null)},"editor.suggest.shareSuggestSelections":{type:"boolean",default:ne.shareSuggestSelections,markdownDescription:v.localize(75,null)},"editor.suggest.snippetsPreventQuickSuggestions":{type:"boolean",default:ne.snippetsPreventQuickSuggestions,description:v.localize(76,null)},"editor.suggest.showIcons":{type:"boolean",default:ne.showIcons,description:v.localize(77,null)},"editor.suggest.showStatusBar":{type:"boolean",default:ne.showStatusBar,description:v.localize(78,null)},"editor.suggest.showInlineDetails":{type:"boolean",default:ne.showInlineDetails,description:v.localize(79,null)},"editor.suggest.maxVisibleSuggestions":{type:"number",deprecationMessage:v.localize(80,null)},"editor.suggest.filteredTypes":{type:"object",deprecationMessage:v.localize(81,null)},"editor.suggest.showMethods":{type:"boolean",default:!0,markdownDescription:v.localize(82,null)},"editor.suggest.showFunctions":{type:"boolean",default:!0,markdownDescription:v.localize(83,null)},"editor.suggest.showConstructors":{type:"boolean",default:!0,markdownDescription:v.localize(84,null)},"editor.suggest.showFields":{type:"boolean",default:!0,markdownDescription:v.localize(85,null)},"editor.suggest.showVariables":{type:"boolean",default:!0,markdownDescription:v.localize(86,null)},"editor.suggest.showClasses":{type:"boolean",default:!0,markdownDescription:v.localize(87,null)},"editor.suggest.showStructs":{type:"boolean",default:!0,markdownDescription:v.localize(88,null)},"editor.suggest.showInterfaces":{type:"boolean",default:!0,markdownDescription:v.localize(89,null)},"editor.suggest.showModules":{type:"boolean",default:!0,markdownDescription:v.localize(90,null)},"editor.suggest.showProperties":{type:"boolean",default:!0,markdownDescription:v.localize(91,null)},"editor.suggest.showEvents":{type:"boolean",default:!0,markdownDescription:v.localize(92,null)},"editor.suggest.showOperators":{type:"boolean",default:!0,markdownDescription:v.localize(93,null)},"editor.suggest.showUnits":{type:"boolean",default:!0,markdownDescription:v.localize(94,null)},"editor.suggest.showValues":{type:"boolean",default:!0,markdownDescription:v.localize(95,null)},"editor.suggest.showConstants":{type:"boolean",default:!0,markdownDescription:v.localize(96,null)},"editor.suggest.showEnums":{type:"boolean",default:!0,markdownDescription:v.localize(97,null)},"editor.suggest.showEnumMembers":{type:"boolean",default:!0,markdownDescription:v.localize(98,null)},"editor.suggest.showKeywords":{type:"boolean",default:!0,markdownDescription:v.localize(99,null)},"editor.suggest.showWords":{type:"boolean",default:!0,markdownDescription:v.localize(100,null)},"editor.suggest.showColors":{type:"boolean",default:!0,markdownDescription:v.localize(101,null)},"editor.suggest.showFiles":{type:"boolean",default:!0,markdownDescription:v.localize(102,null)},"editor.suggest.showReferences":{type:"boolean",default:!0,markdownDescription:v.localize(103,null)},"editor.suggest.showCustomcolors":{type:"boolean",default:!0,markdownDescription:v.localize(104,null)},"editor.suggest.showFolders":{type:"boolean",default:!0,markdownDescription:v.localize(105,null)},"editor.suggest.showTypeParameters":{type:"boolean",default:!0,markdownDescription:v.localize(106,null)},"editor.suggest.showSnippets":{type:"boolean",default:!0,markdownDescription:v.localize(107,null)},"editor.suggest.showUsers":{type:"boolean",default:!0,markdownDescription:v.localize(108,null)},"editor.suggest.showIssues":{type:"boolean",default:!0,markdownDescription:v.localize(109,null)}})}validate(ne){if(!ne||typeof ne!="object")return this.defaultValue;const we=ne;return{insertMode:_(we.insertMode,this.defaultValue.insertMode,["insert","replace"]),filterGraceful:p(we.filterGraceful,this.defaultValue.filterGraceful),snippetsPreventQuickSuggestions:p(we.snippetsPreventQuickSuggestions,this.defaultValue.filterGraceful),localityBonus:p(we.localityBonus,this.defaultValue.localityBonus),shareSuggestSelections:p(we.shareSuggestSelections,this.defaultValue.shareSuggestSelections),showIcons:p(we.showIcons,this.defaultValue.showIcons),showStatusBar:p(we.showStatusBar,this.defaultValue.showStatusBar),showInlineDetails:p(we.showInlineDetails,this.defaultValue.showInlineDetails),showMethods:p(we.showMethods,this.defaultValue.showMethods),showFunctions:p(we.showFunctions,this.defaultValue.showFunctions),showConstructors:p(we.showConstructors,this.defaultValue.showConstructors),showFields:p(we.showFields,this.defaultValue.showFields),showVariables:p(we.showVariables,this.defaultValue.showVariables),showClasses:p(we.showClasses,this.defaultValue.showClasses),showStructs:p(we.showStructs,this.defaultValue.showStructs),showInterfaces:p(we.showInterfaces,this.defaultValue.showInterfaces),showModules:p(we.showModules,this.defaultValue.showModules),showProperties:p(we.showProperties,this.defaultValue.showProperties),showEvents:p(we.showEvents,this.defaultValue.showEvents),showOperators:p(we.showOperators,this.defaultValue.showOperators),showUnits:p(we.showUnits,this.defaultValue.showUnits),showValues:p(we.showValues,this.defaultValue.showValues),showConstants:p(we.showConstants,this.defaultValue.showConstants),showEnums:p(we.showEnums,this.defaultValue.showEnums),showEnumMembers:p(we.showEnumMembers,this.defaultValue.showEnumMembers),showKeywords:p(we.showKeywords,this.defaultValue.showKeywords),showWords:p(we.showWords,this.defaultValue.showWords),showColors:p(we.showColors,this.defaultValue.showColors),showFiles:p(we.showFiles,this.defaultValue.showFiles),showReferences:p(we.showReferences,this.defaultValue.showReferences),showFolders:p(we.showFolders,this.defaultValue.showFolders),showTypeParameters:p(we.showTypeParameters,this.defaultValue.showTypeParameters),showSnippets:p(we.showSnippets,this.defaultValue.showSnippets),showUsers:p(we.showUsers,this.defaultValue.showUsers),showIssues:p(we.showIssues,this.defaultValue.showIssues)}}}class oe extends i{constructor(){super(97,"smartSelect",{selectLeadingAndTrailingWhitespace:!0},{"editor.smartSelect.selectLeadingAndTrailingWhitespace":{description:v.localize(110,null),default:!0,type:"boolean"}})}validate(ne){return!ne||typeof ne!="object"?this.defaultValue:{selectLeadingAndTrailingWhitespace:p(ne.selectLeadingAndTrailingWhitespace,this.defaultValue.selectLeadingAndTrailingWhitespace)}}}class ve extends T{constructor(){super(123,[75])}compute(ne,we,Ne){return we.get(75)?!0:ne.tabFocusMode}}var ke;(function(X){X[X.None=0]="None",X[X.Same=1]="Same",X[X.Indent=2]="Indent",X[X.DeepIndent=3]="DeepIndent"})(ke=e.WrappingIndent||(e.WrappingIndent={}));function Me(X){switch(X){case"none":return 0;case"same":return 1;case"indent":return 2;case"deepIndent":return 3}}class _e extends T{constructor(){super(125,[124])}compute(ne,we,Ne){const Be=we.get(124);return{isDominatedByLongLines:ne.isDominatedByLongLines,isWordWrapMinified:Be.isWordWrapMinified,isViewportWrapping:Be.isViewportWrapping,wrappingColumn:Be.wrappingColumn}}}const Pe="Consolas, 'Courier New', monospace",Re="Menlo, Monaco, 'Courier New', monospace",Ue="'Droid Sans Mono', 'monospace', monospace, 'Droid Sans Fallback'";e.EDITOR_FONT_DEFAULTS={fontFamily:D.isMacintosh?Re:D.isLinux?Ue:Pe,fontWeight:"normal",fontSize:D.isMacintosh?12:14,lineHeight:0,letterSpacing:0},e.EDITOR_MODEL_DEFAULTS={tabSize:4,indentSize:4,insertSpaces:!0,detectIndentation:!0,trimAutoWhitespace:!0,largeFileOptimizations:!0},e.editorOptionsRegistry=[];function Ee(X){return e.editorOptionsRegistry[X.id]=X,X}var Ke;(function(X){X[X.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",X[X.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",X[X.accessibilitySupport=2]="accessibilitySupport",X[X.accessibilityPageSize=3]="accessibilityPageSize",X[X.ariaLabel=4]="ariaLabel",X[X.autoClosingBrackets=5]="autoClosingBrackets",X[X.autoClosingOvertype=6]="autoClosingOvertype",X[X.autoClosingQuotes=7]="autoClosingQuotes",X[X.autoIndent=8]="autoIndent",X[X.automaticLayout=9]="automaticLayout",X[X.autoSurround=10]="autoSurround",X[X.codeLens=11]="codeLens",X[X.codeLensFontFamily=12]="codeLensFontFamily",X[X.codeLensFontSize=13]="codeLensFontSize",X[X.colorDecorators=14]="colorDecorators",X[X.columnSelection=15]="columnSelection",X[X.comments=16]="comments",X[X.contextmenu=17]="contextmenu",X[X.copyWithSyntaxHighlighting=18]="copyWithSyntaxHighlighting",X[X.cursorBlinking=19]="cursorBlinking",X[X.cursorSmoothCaretAnimation=20]="cursorSmoothCaretAnimation",X[X.cursorStyle=21]="cursorStyle",X[X.cursorSurroundingLines=22]="cursorSurroundingLines",X[X.cursorSurroundingLinesStyle=23]="cursorSurroundingLinesStyle",X[X.cursorWidth=24]="cursorWidth",X[X.disableLayerHinting=25]="disableLayerHinting",X[X.disableMonospaceOptimizations=26]="disableMonospaceOptimizations",X[X.dragAndDrop=27]="dragAndDrop",X[X.emptySelectionClipboard=28]="emptySelectionClipboard",X[X.extraEditorClassName=29]="extraEditorClassName",X[X.fastScrollSensitivity=30]="fastScrollSensitivity",X[X.find=31]="find",X[X.fixedOverflowWidgets=32]="fixedOverflowWidgets",X[X.folding=33]="folding",X[X.foldingStrategy=34]="foldingStrategy",X[X.foldingHighlight=35]="foldingHighlight",X[X.unfoldOnClickAfterEndOfLine=36]="unfoldOnClickAfterEndOfLine",X[X.fontFamily=37]="fontFamily",X[X.fontInfo=38]="fontInfo",X[X.fontLigatures=39]="fontLigatures",X[X.fontSize=40]="fontSize",X[X.fontWeight=41]="fontWeight",X[X.formatOnPaste=42]="formatOnPaste",X[X.formatOnType=43]="formatOnType",X[X.glyphMargin=44]="glyphMargin",X[X.gotoLocation=45]="gotoLocation",X[X.hideCursorInOverviewRuler=46]="hideCursorInOverviewRuler",X[X.highlightActiveIndentGuide=47]="highlightActiveIndentGuide",X[X.hover=48]="hover",X[X.inDiffEditor=49]="inDiffEditor",X[X.letterSpacing=50]="letterSpacing",X[X.lightbulb=51]="lightbulb",X[X.lineDecorationsWidth=52]="lineDecorationsWidth",X[X.lineHeight=53]="lineHeight",X[X.lineNumbers=54]="lineNumbers",X[X.lineNumbersMinChars=55]="lineNumbersMinChars",X[X.linkedEditing=56]="linkedEditing",X[X.links=57]="links",X[X.matchBrackets=58]="matchBrackets",X[X.minimap=59]="minimap",X[X.mouseStyle=60]="mouseStyle",X[X.mouseWheelScrollSensitivity=61]="mouseWheelScrollSensitivity",X[X.mouseWheelZoom=62]="mouseWheelZoom",X[X.multiCursorMergeOverlapping=63]="multiCursorMergeOverlapping",X[X.multiCursorModifier=64]="multiCursorModifier",X[X.multiCursorPaste=65]="multiCursorPaste",X[X.occurrencesHighlight=66]="occurrencesHighlight",X[X.overviewRulerBorder=67]="overviewRulerBorder",X[X.overviewRulerLanes=68]="overviewRulerLanes",X[X.padding=69]="padding",X[X.parameterHints=70]="parameterHints",X[X.peekWidgetDefaultFocus=71]="peekWidgetDefaultFocus",X[X.definitionLinkOpensInPeek=72]="definitionLinkOpensInPeek",X[X.quickSuggestions=73]="quickSuggestions",X[X.quickSuggestionsDelay=74]="quickSuggestionsDelay",X[X.readOnly=75]="readOnly",X[X.renameOnType=76]="renameOnType",X[X.renderControlCharacters=77]="renderControlCharacters",X[X.renderIndentGuides=78]="renderIndentGuides",X[X.renderFinalNewline=79]="renderFinalNewline",X[X.renderLineHighlight=80]="renderLineHighlight",X[X.renderLineHighlightOnlyWhenFocus=81]="renderLineHighlightOnlyWhenFocus",X[X.renderValidationDecorations=82]="renderValidationDecorations",X[X.renderWhitespace=83]="renderWhitespace",X[X.revealHorizontalRightPadding=84]="revealHorizontalRightPadding",X[X.roundedSelection=85]="roundedSelection",X[X.rulers=86]="rulers",X[X.scrollbar=87]="scrollbar",X[X.scrollBeyondLastColumn=88]="scrollBeyondLastColumn",X[X.scrollBeyondLastLine=89]="scrollBeyondLastLine",X[X.scrollPredominantAxis=90]="scrollPredominantAxis",X[X.selectionClipboard=91]="selectionClipboard",X[X.selectionHighlight=92]="selectionHighlight",X[X.selectOnLineNumbers=93]="selectOnLineNumbers",X[X.showFoldingControls=94]="showFoldingControls",X[X.showUnused=95]="showUnused",X[X.snippetSuggestions=96]="snippetSuggestions",X[X.smartSelect=97]="smartSelect",X[X.smoothScrolling=98]="smoothScrolling",X[X.stickyTabStops=99]="stickyTabStops",X[X.stopRenderingLineAfter=100]="stopRenderingLineAfter",X[X.suggest=101]="suggest",X[X.suggestFontSize=102]="suggestFontSize",X[X.suggestLineHeight=103]="suggestLineHeight",X[X.suggestOnTriggerCharacters=104]="suggestOnTriggerCharacters",X[X.suggestSelection=105]="suggestSelection",X[X.tabCompletion=106]="tabCompletion",X[X.tabIndex=107]="tabIndex",X[X.unusualLineTerminators=108]="unusualLineTerminators",X[X.useTabStops=109]="useTabStops",X[X.wordSeparators=110]="wordSeparators",X[X.wordWrap=111]="wordWrap",X[X.wordWrapBreakAfterCharacters=112]="wordWrapBreakAfterCharacters",X[X.wordWrapBreakBeforeCharacters=113]="wordWrapBreakBeforeCharacters",X[X.wordWrapColumn=114]="wordWrapColumn",X[X.wordWrapOverride1=115]="wordWrapOverride1",X[X.wordWrapOverride2=116]="wordWrapOverride2",X[X.wrappingIndent=117]="wrappingIndent",X[X.wrappingStrategy=118]="wrappingStrategy",X[X.showDeprecated=119]="showDeprecated",X[X.inlineHints=120]="inlineHints",X[X.editorClassName=121]="editorClassName",X[X.pixelRatio=122]="pixelRatio",X[X.tabFocusMode=123]="tabFocusMode",X[X.layoutInfo=124]="layoutInfo",X[X.wrappingInfo=125]="wrappingInfo"})(Ke=e.EditorOption||(e.EditorOption={})),e.EditorOptions={acceptSuggestionOnCommitCharacter:Ee(new f(0,"acceptSuggestionOnCommitCharacter",!0,{markdownDescription:v.localize(111,null)})),acceptSuggestionOnEnter:Ee(new g(1,"acceptSuggestionOnEnter","on",["on","smart","off"],{markdownEnumDescriptions:["",v.localize(112,null),""],markdownDescription:v.localize(113,null)})),accessibilitySupport:Ee(new c),accessibilityPageSize:Ee(new l(3,"accessibilityPageSize",10,1,1073741824,{description:v.localize(114,null)})),ariaLabel:Ee(new S(4,"ariaLabel",v.localize(115,null))),autoClosingBrackets:Ee(new g(5,"autoClosingBrackets","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",v.localize(116,null),v.localize(117,null),""],description:v.localize(118,null)})),autoClosingOvertype:Ee(new g(6,"autoClosingOvertype","auto",["always","auto","never"],{enumDescriptions:["",v.localize(119,null),""],description:v.localize(120,null)})),autoClosingQuotes:Ee(new g(7,"autoClosingQuotes","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",v.localize(121,null),v.localize(122,null),""],description:v.localize(123,null)})),autoIndent:Ee(new a(8,"autoIndent",4,"full",["none","keep","brackets","advanced","full"],u,{enumDescriptions:[v.localize(124,null),v.localize(125,null),v.localize(126,null),v.localize(127,null),v.localize(128,null)],description:v.localize(129,null)})),automaticLayout:Ee(new f(9,"automaticLayout",!1)),autoSurround:Ee(new g(10,"autoSurround","languageDefined",["languageDefined","quotes","brackets","never"],{enumDescriptions:[v.localize(130,null),v.localize(131,null),v.localize(132,null),""],description:v.localize(133,null)})),stickyTabStops:Ee(new f(99,"stickyTabStops",!1,{description:v.localize(134,null)})),codeLens:Ee(new f(11,"codeLens",!0,{description:v.localize(135,null)})),codeLensFontFamily:Ee(new S(12,"codeLensFontFamily","",{description:v.localize(136,null)})),codeLensFontSize:Ee(new l(13,"codeLensFontSize",0,0,100,{type:"number",default:0,minimum:0,maximum:100,description:v.localize(137,null)})),colorDecorators:Ee(new f(14,"colorDecorators",!0,{description:v.localize(138,null)})),columnSelection:Ee(new f(15,"columnSelection",!1,{description:v.localize(139,null)})),comments:Ee(new t),contextmenu:Ee(new f(17,"contextmenu",!0)),copyWithSyntaxHighlighting:Ee(new f(18,"copyWithSyntaxHighlighting",!0,{description:v.localize(140,null)})),cursorBlinking:Ee(new a(19,"cursorBlinking",1,"blink",["blink","smooth","phase","expand","solid"],s,{description:v.localize(141,null)})),cursorSmoothCaretAnimation:Ee(new f(20,"cursorSmoothCaretAnimation",!1,{description:v.localize(142,null)})),cursorStyle:Ee(new a(21,"cursorStyle",o.Line,"line",["line","block","underline","line-thin","block-outline","underline-thin"],d,{description:v.localize(143,null)})),cursorSurroundingLines:Ee(new l(22,"cursorSurroundingLines",0,0,1073741824,{description:v.localize(144,null)})),cursorSurroundingLinesStyle:Ee(new g(23,"cursorSurroundingLinesStyle","default",["default","all"],{enumDescriptions:[v.localize(145,null),v.localize(146,null)],description:v.localize(147,null)})),cursorWidth:Ee(new l(24,"cursorWidth",0,0,1073741824,{markdownDescription:v.localize(148,null)})),disableLayerHinting:Ee(new f(25,"disableLayerHinting",!1)),disableMonospaceOptimizations:Ee(new f(26,"disableMonospaceOptimizations",!1)),dragAndDrop:Ee(new f(27,"dragAndDrop",!0,{description:v.localize(149,null)})),emptySelectionClipboard:Ee(new E),extraEditorClassName:Ee(new S(29,"extraEditorClassName","")),fastScrollSensitivity:Ee(new m(30,"fastScrollSensitivity",5,X=>X<=0?5:X,{markdownDescription:v.localize(150,null)})),find:Ee(new h),fixedOverflowWidgets:Ee(new f(32,"fixedOverflowWidgets",!1)),folding:Ee(new f(33,"folding",!0,{description:v.localize(151,null)})),foldingStrategy:Ee(new g(34,"foldingStrategy","auto",["auto","indentation"],{enumDescriptions:[v.localize(152,null),v.localize(153,null)],description:v.localize(154,null)})),foldingHighlight:Ee(new f(35,"foldingHighlight",!0,{description:v.localize(155,null)})),unfoldOnClickAfterEndOfLine:Ee(new f(36,"unfoldOnClickAfterEndOfLine",!1,{description:v.localize(156,null)})),fontFamily:Ee(new S(37,"fontFamily",e.EDITOR_FONT_DEFAULTS.fontFamily,{description:v.localize(157,null)})),fontInfo:Ee(new A),fontLigatures2:Ee(new b),fontSize:Ee(new L),fontWeight:Ee(new M),formatOnPaste:Ee(new f(42,"formatOnPaste",!1,{description:v.localize(158,null)})),formatOnType:Ee(new f(43,"formatOnType",!1,{description:v.localize(159,null)})),glyphMargin:Ee(new f(44,"glyphMargin",!0,{description:v.localize(160,null)})),gotoLocation:Ee(new z),hideCursorInOverviewRuler:Ee(new f(46,"hideCursorInOverviewRuler",!1,{description:v.localize(161,null)})),highlightActiveIndentGuide:Ee(new f(47,"highlightActiveIndentGuide",!0,{description:v.localize(162,null)})),hover:Ee(new V),inDiffEditor:Ee(new f(49,"inDiffEditor",!1)),letterSpacing:Ee(new m(50,"letterSpacing",e.EDITOR_FONT_DEFAULTS.letterSpacing,X=>m.clamp(X,-5,20),{description:v.localize(163,null)})),lightbulb:Ee(new x),lineDecorationsWidth:Ee(new k(52,"lineDecorationsWidth",10)),lineHeight:Ee(new U),lineNumbers:Ee(new Te),lineNumbersMinChars:Ee(new l(55,"lineNumbersMinChars",5,1,300)),linkedEditing:Ee(new f(56,"linkedEditing",!1,{description:v.localize(164,null)})),links:Ee(new f(57,"links",!0,{description:v.localize(165,null)})),matchBrackets:Ee(new g(58,"matchBrackets","always",["always","near","never"],{description:v.localize(166,null)})),minimap:Ee(new F),mouseStyle:Ee(new g(60,"mouseStyle","text",["text","default","copy"])),mouseWheelScrollSensitivity:Ee(new m(61,"mouseWheelScrollSensitivity",1,X=>X===0?1:X,{markdownDescription:v.localize(167,null)})),mouseWheelZoom:Ee(new f(62,"mouseWheelZoom",!1,{markdownDescription:v.localize(168,null)})),multiCursorMergeOverlapping:Ee(new f(63,"multiCursorMergeOverlapping",!0,{description:v.localize(169,null)})),multiCursorModifier:Ee(new a(64,"multiCursorModifier","altKey","alt",["ctrlCmd","alt"],O,{markdownEnumDescriptions:[v.localize(170,null),v.localize(171,null)],markdownDescription:v.localize(172,null)})),multiCursorPaste:Ee(new g(65,"multiCursorPaste","spread",["spread","full"],{markdownEnumDescriptions:[v.localize(173,null),v.localize(174,null)],markdownDescription:v.localize(175,null)})),occurrencesHighlight:Ee(new f(66,"occurrencesHighlight",!0,{description:v.localize(176,null)})),overviewRulerBorder:Ee(new f(67,"overviewRulerBorder",!0,{description:v.localize(177,null)})),overviewRulerLanes:Ee(new l(68,"overviewRulerLanes",3,0,3)),padding:Ee(new $),parameterHints:Ee(new q),peekWidgetDefaultFocus:Ee(new g(71,"peekWidgetDefaultFocus","tree",["tree","editor"],{enumDescriptions:[v.localize(178,null),v.localize(179,null)],description:v.localize(180,null)})),definitionLinkOpensInPeek:Ee(new f(72,"definitionLinkOpensInPeek",!1,{description:v.localize(181,null)})),quickSuggestions:Ee(new ae),quickSuggestionsDelay:Ee(new l(74,"quickSuggestionsDelay",10,0,1073741824,{description:v.localize(182,null)})),readOnly:Ee(new f(75,"readOnly",!1)),renameOnType:Ee(new f(76,"renameOnType",!1,{description:v.localize(183,null),markdownDeprecationMessage:v.localize(184,null)})),renderControlCharacters:Ee(new f(77,"renderControlCharacters",!1,{description:v.localize(185,null)})),renderIndentGuides:Ee(new f(78,"renderIndentGuides",!0,{description:v.localize(186,null)})),renderFinalNewline:Ee(new f(79,"renderFinalNewline",!0,{description:v.localize(187,null)})),renderLineHighlight:Ee(new g(80,"renderLineHighlight","line",["none","gutter","line","all"],{enumDescriptions:["","","",v.localize(188,null)],description:v.localize(189,null)})),renderLineHighlightOnlyWhenFocus:Ee(new f(81,"renderLineHighlightOnlyWhenFocus",!1,{description:v.localize(190,null)})),renderValidationDecorations:Ee(new g(82,"renderValidationDecorations","editable",["editable","on","off"])),renderWhitespace:Ee(new g(83,"renderWhitespace","selection",["none","boundary","selection","trailing","all"],{enumDescriptions:["",v.localize(191,null),v.localize(192,null),v.localize(193,null),""],description:v.localize(194,null)})),revealHorizontalRightPadding:Ee(new l(84,"revealHorizontalRightPadding",30,0,1e3)),roundedSelection:Ee(new f(85,"roundedSelection",!0,{description:v.localize(195,null)})),rulers:Ee(new Le),scrollbar:Ee(new Y),scrollBeyondLastColumn:Ee(new l(88,"scrollBeyondLastColumn",5,0,1073741824,{description:v.localize(196,null)})),scrollBeyondLastLine:Ee(new f(89,"scrollBeyondLastLine",!0,{description:v.localize(197,null)})),scrollPredominantAxis:Ee(new f(90,"scrollPredominantAxis",!0,{description:v.localize(198,null)})),selectionClipboard:Ee(new f(91,"selectionClipboard",!0,{description:v.localize(199,null),included:D.isLinux})),selectionHighlight:Ee(new f(92,"selectionHighlight",!0,{description:v.localize(200,null)})),selectOnLineNumbers:Ee(new f(93,"selectOnLineNumbers",!0)),showFoldingControls:Ee(new g(94,"showFoldingControls","mouseover",["always","mouseover"],{enumDescriptions:[v.localize(201,null),v.localize(202,null)],description:v.localize(203,null)})),showUnused:Ee(new f(95,"showUnused",!0,{description:v.localize(204,null)})),showDeprecated:Ee(new f(119,"showDeprecated",!0,{description:v.localize(205,null)})),inlineHints:Ee(new N),snippetSuggestions:Ee(new g(96,"snippetSuggestions","inline",["top","bottom","inline","none"],{enumDescriptions:[v.localize(206,null),v.localize(207,null),v.localize(208,null),v.localize(209,null)],description:v.localize(210,null)})),smartSelect:Ee(new oe),smoothScrolling:Ee(new f(98,"smoothScrolling",!1,{description:v.localize(211,null)})),stopRenderingLineAfter:Ee(new l(100,"stopRenderingLineAfter",1e4,-1,1073741824)),suggest:Ee(new ie),suggestFontSize:Ee(new l(102,"suggestFontSize",0,0,1e3,{markdownDescription:v.localize(212,null)})),suggestLineHeight:Ee(new l(103,"suggestLineHeight",0,0,1e3,{markdownDescription:v.localize(213,null)})),suggestOnTriggerCharacters:Ee(new f(104,"suggestOnTriggerCharacters",!0,{description:v.localize(214,null)})),suggestSelection:Ee(new g(105,"suggestSelection","recentlyUsed",["first","recentlyUsed","recentlyUsedByPrefix"],{markdownEnumDescriptions:[v.localize(215,null),v.localize(216,null),v.localize(217,null)],description:v.localize(218,null)})),tabCompletion:Ee(new g(106,"tabCompletion","off",["on","off","onlySnippets"],{enumDescriptions:[v.localize(219,null),v.localize(220,null),v.localize(221,null)],description:v.localize(222,null)})),tabIndex:Ee(new l(107,"tabIndex",0,-1,1073741824)),unusualLineTerminators:Ee(new g(108,"unusualLineTerminators","prompt",["auto","off","prompt"],{enumDescriptions:[v.localize(223,null),v.localize(224,null),v.localize(225,null)],description:v.localize(226,null)})),useTabStops:Ee(new f(109,"useTabStops",!0,{description:v.localize(227,null)})),wordSeparators:Ee(new S(110,"wordSeparators",R.USUAL_WORD_SEPARATORS,{description:v.localize(228,null)})),wordWrap:Ee(new g(111,"wordWrap","off",["off","on","wordWrapColumn","bounded"],{markdownEnumDescriptions:[v.localize(229,null),v.localize(230,null),v.localize(231,null),v.localize(232,null)],description:v.localize(233,null)})),wordWrapBreakAfterCharacters:Ee(new S(112,"wordWrapBreakAfterCharacters"," 	})]?|/&.,;\xA2\xB0\u2032\u2033\u2030\u2103\u3001\u3002\uFF61\uFF64\uFFE0\uFF0C\uFF0E\uFF1A\uFF1B\uFF1F\uFF01\uFF05\u30FB\uFF65\u309D\u309E\u30FD\u30FE\u30FC\u30A1\u30A3\u30A5\u30A7\u30A9\u30C3\u30E3\u30E5\u30E7\u30EE\u30F5\u30F6\u3041\u3043\u3045\u3047\u3049\u3063\u3083\u3085\u3087\u308E\u3095\u3096\u31F0\u31F1\u31F2\u31F3\u31F4\u31F5\u31F6\u31F7\u31F8\u31F9\u31FA\u31FB\u31FC\u31FD\u31FE\u31FF\u3005\u303B\uFF67\uFF68\uFF69\uFF6A\uFF6B\uFF6C\uFF6D\uFF6E\uFF6F\uFF70\u201D\u3009\u300B\u300D\u300F\u3011\u3015\uFF09\uFF3D\uFF5D\uFF63")),wordWrapBreakBeforeCharacters:Ee(new S(113,"wordWrapBreakBeforeCharacters","([{\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\xA3\xA5\uFF04\uFFE1\uFFE5+\uFF0B")),wordWrapColumn:Ee(new l(114,"wordWrapColumn",80,1,1073741824,{markdownDescription:v.localize(234,null)})),wordWrapOverride1:Ee(new g(115,"wordWrapOverride1","inherit",["off","on","inherit"])),wordWrapOverride2:Ee(new g(116,"wordWrapOverride2","inherit",["off","on","inherit"])),wrappingIndent:Ee(new a(117,"wrappingIndent",1,"same",["none","same","indent","deepIndent"],Me,{enumDescriptions:[v.localize(235,null),v.localize(236,null),v.localize(237,null),v.localize(238,null)],description:v.localize(239,null)})),wrappingStrategy:Ee(new g(118,"wrappingStrategy","simple",["simple","advanced"],{enumDescriptions:[v.localize(240,null),v.localize(241,null)],description:v.localize(242,null)})),editorClassName:Ee(new w),pixelRatio:Ee(new Z),tabFocusMode:Ee(new ve),layoutInfo:Ee(new K),wrappingInfo:Ee(new _e)}}),define(ge[149],pe([17,18]),function(Q,e){return Q.create("vs/platform/configuration/common/configurationRegistry",e)}),define(ge[150],pe([17,18]),function(Q,e){return Q.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(ge[151],pe([17,18]),function(Q,e){return Q.create("vs/platform/files/common/files",e)}),define(ge[152],pe([17,18]),function(Q,e){return Q.create("vs/platform/markers/common/markers",e)}),define(ge[153],pe([17,18]),function(Q,e){return Q.create("vs/platform/terminal/node/terminalProcess",e)}),define(ge[154],pe([17,18]),function(Q,e){return Q.create("vs/platform/theme/common/iconRegistry",e)}),define(ge[155],pe([17,18]),function(Q,e){return Q.create("vs/platform/workspaces/common/workspaces",e)}),define(ge[156],pe([17,18]),function(Q,e){return Q.create("vs/workbench/api/common/extHost.api.impl",e)}),define(ge[157],pe([17,18]),function(Q,e){return Q.create("vs/workbench/api/common/extHostDiagnostics",e)}),define(ge[158],pe([17,18]),function(Q,e){return Q.create("vs/workbench/api/common/extHostExtensionActivator",e)}),define(ge[159],pe([17,18]),function(Q,e){return Q.create("vs/workbench/api/common/extHostExtensionService",e)}),define(ge[160],pe([17,18]),function(Q,e){return Q.create("vs/workbench/api/common/extHostProgress",e)}),define(ge[161],pe([17,18]),function(Q,e){return Q.create("vs/workbench/api/common/extHostStatusBar",e)}),define(ge[162],pe([17,18]),function(Q,e){return Q.create("vs/workbench/api/common/extHostTerminalService",e)}),define(ge[163],pe([17,18]),function(Q,e){return Q.create("vs/workbench/api/common/extHostTreeViews",e)}),define(ge[164],pe([17,18]),function(Q,e){return Q.create("vs/workbench/api/common/extHostWorkspace",e)}),define(ge[165],pe([17,18]),function(Q,e){return Q.create("vs/workbench/api/node/extHostDebugService",e)}),define(ge[166],pe([17,18]),function(Q,e){return Q.create("vs/workbench/common/views",e)}),define(ge[167],pe([17,18]),function(Q,e){return Q.create("vs/workbench/contrib/debug/common/abstractDebugAdapter",e)}),define(ge[168],pe([17,18]),function(Q,e){return Q.create("vs/workbench/contrib/debug/node/debugAdapter",e)}),define(ge[169],pe([17,18]),function(Q,e){return Q.create("vs/workbench/contrib/externalTerminal/node/externalTerminalService",e)}),define(ge[170],pe([17,18]),function(Q,e){return Q.create("vs/workbench/contrib/search/common/queryBuilder",e)}),define(ge[171],pe([17,18]),function(Q,e){return Q.create("vs/workbench/contrib/terminal/common/terminal",e)}),define(ge[172],pe([17,18]),function(Q,e){return Q.create("vs/workbench/services/configurationResolver/common/variableResolver",e)}),define(ge[173],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextEditorSelectionRevealType=e.EditorOpenContext=e.EditorOverride=e.EditorActivation=void 0;var v;(function(C){C[C.ACTIVATE=0]="ACTIVATE",C[C.RESTORE=1]="RESTORE",C[C.PRESERVE=2]="PRESERVE"})(v=e.EditorActivation||(e.EditorActivation={}));var D;(function(C){C[C.PICK=1]="PICK",C[C.DISABLED=2]="DISABLED"})(D=e.EditorOverride||(e.EditorOverride={}));var R;(function(C){C[C.API=0]="API",C[C.USER=1]="USER"})(R=e.EditorOpenContext||(e.EditorOpenContext={}));var P;(function(C){C[C.Center=0]="Center",C[C.CenterIfOutsideViewport=1]="CenterIfOutsideViewport",C[C.NearTop=2]="NearTop",C[C.NearTopIfOutsideViewport=3]="NearTopIfOutsideViewport"})(P=e.TextEditorSelectionRevealType||(e.TextEditorSelectionRevealType={}))}),define(ge[107],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createSyncDescriptor=e.SyncDescriptor=void 0;class v{constructor(P,C=[],I=!1){this.ctor=P,this.staticArguments=C,this.supportsDelayedInstantiation=I}}e.SyncDescriptor=v;const D=(R,...P)=>new v(R,P);e.createSyncDescriptor=D}),define(ge[80],pe([0,1,107]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getSingletonServiceDescriptors=e.registerSingleton=void 0;const D=[];function R(C,I,y){I instanceof v.SyncDescriptor||(I=new v.SyncDescriptor(I,[],y)),D.push([C,I])}e.registerSingleton=R;function P(){return D}e.getSingletonServiceDescriptors=P}),define(ge[174],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Graph=e.Node=void 0;class v{constructor(P){this.incoming=new Map,this.outgoing=new Map,this.data=P}}e.Node=v;class D{constructor(P){this._hashFn=P,this._nodes=new Map}roots(){const P=[];for(let C of this._nodes.values())C.outgoing.size===0&&P.push(C);return P}insertEdge(P,C){const I=this.lookupOrInsertNode(P),y=this.lookupOrInsertNode(C);I.outgoing.set(this._hashFn(C),y),y.incoming.set(this._hashFn(P),I)}removeNode(P){const C=this._hashFn(P);this._nodes.delete(C);for(let I of this._nodes.values())I.outgoing.delete(C),I.incoming.delete(C)}lookupOrInsertNode(P){const C=this._hashFn(P);let I=this._nodes.get(C);return I||(I=new v(P),this._nodes.set(C,I)),I}lookup(P){return this._nodes.get(this._hashFn(P))}isEmpty(){return this._nodes.size===0}toString(){let P=[];for(let[C,I]of this._nodes)P.push(`${C}, (incoming)[${[...I.incoming.keys()].join(", ")}], (outgoing)[${[...I.outgoing.keys()].join(",")}]`);return P.join(`
`)}}e.Graph=D}),define(ge[4],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.optional=e.createDecorator=e.IInstantiationService=e._util=void 0;var v;(function(C){C.serviceIds=new Map,C.DI_TARGET="$di$target",C.DI_DEPENDENCIES="$di$dependencies";function I(y){return y[C.DI_DEPENDENCIES]||[]}C.getServiceDependencies=I})(v=e._util||(e._util={})),e.IInstantiationService=R("instantiationService");function D(C,I,y,i){I[v.DI_TARGET]===I?I[v.DI_DEPENDENCIES].push({id:C,index:y,optional:i}):(I[v.DI_DEPENDENCIES]=[{id:C,index:y,optional:i}],I[v.DI_TARGET]=I)}function R(C){if(v.serviceIds.has(C))return v.serviceIds.get(C);const I=function(y,i,T){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");D(I,y,T,!1)};return I.toString=()=>C,v.serviceIds.set(C,I),I}e.createDecorator=R;function P(C){return function(I,y,i){if(arguments.length!==3)throw new Error("@optional-decorator can only be used to decorate a parameter");D(C,I,i,!0)}}e.optional=P}),define(ge[175],pe([0,1,4]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.shouldSynchronizeModel=e.IModelService=void 0,e.IModelService=v.createDecorator("modelService");function D(R){return!R.isTooLargeForSyncing()&&!R.isForSimpleWidget}e.shouldSynchronizeModel=D}),define(ge[176],pe([0,1,3,74,5,22,73,78,175]),function(Q,e,v,D,R,P,C,I,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LanguageFeatureRequestDelays=e.LanguageFeatureRegistry=void 0;function i(p){return typeof p=="string"?!1:Array.isArray(p)?p.every(i):!!p.exclusive}class T{constructor(){this._clock=0,this._entries=[],this._onDidChange=new v.Emitter}get onDidChange(){return this._onDidChange.event}register(f,l){let m={selector:f,provider:l,_score:-1,_time:this._clock++};return this._entries.push(m),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),R.toDisposable(()=>{if(m){let S=this._entries.indexOf(m);S>=0&&(this._entries.splice(S,1),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),m=void 0)}})}has(f){return this.all(f).length>0}all(f){if(!f)return[];this._updateScores(f);const l=[];for(let m of this._entries)m._score>0&&l.push(m.provider);return l}ordered(f){const l=[];return this._orderedForEach(f,m=>l.push(m.provider)),l}orderedGroups(f){const l=[];let m,S;return this._orderedForEach(f,_=>{m&&S===_._score?m.push(_.provider):(S=_._score,m=[_.provider],l.push(m))}),l}_orderedForEach(f,l){if(!!f){this._updateScores(f);for(const m of this._entries)m._score>0&&l(m)}}_updateScores(f){let l={uri:f.uri.toString(),language:f.getLanguageIdentifier().language};if(!(this._lastCandidate&&this._lastCandidate.language===l.language&&this._lastCandidate.uri===l.uri)){this._lastCandidate=l;for(let m of this._entries)if(m._score=I.score(m.selector,f.uri,f.getLanguageIdentifier().language,y.shouldSynchronizeModel(f)),i(m.selector)&&m._score>0){for(let S of this._entries)S._score=0;m._score=1e3;break}this._entries.sort(T._compareByScoreAndTime)}}static _compareByScoreAndTime(f,l){return f._score<l._score?1:f._score>l._score?-1:f._time<l._time?1:f._time>l._time?-1:0}}e.LanguageFeatureRegistry=T;class k{constructor(f,l,m=Number.MAX_SAFE_INTEGER){this._registry=f,this.min=l,this.max=m,this._cache=new P.LRUCache(50,.7)}_key(f){return f.id+D.hash(this._registry.all(f))}_clamp(f){return f===void 0?this.min:Math.min(this.max,Math.max(this.min,Math.floor(f*1.3)))}get(f){const l=this._key(f),m=this._cache.get(l);return this._clamp(m==null?void 0:m.value)}update(f,l){const m=this._key(f);let S=this._cache.get(m);return S||(S=new C.MovingAverage,this._cache.set(m,S)),S.update(l),this.get(f)}}e.LanguageFeatureRequestDelays=k}),define(ge[81],pe([0,1,2,44,176,140,47]),function(Q,e,v,D,R,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExternalUriOpenerPriority=e.TokenizationRegistry=e.DocumentRangeSemanticTokensProviderRegistry=e.DocumentSemanticTokensProviderRegistry=e.FoldingRangeProviderRegistry=e.SelectionRangeRegistry=e.ColorProviderRegistry=e.LinkProviderRegistry=e.OnTypeFormattingEditProviderRegistry=e.DocumentRangeFormattingEditProviderRegistry=e.DocumentFormattingEditProviderRegistry=e.CodeActionProviderRegistry=e.InlineHintsProviderRegistry=e.CodeLensProviderRegistry=e.TypeDefinitionProviderRegistry=e.ImplementationProviderRegistry=e.DeclarationProviderRegistry=e.DefinitionProviderRegistry=e.LinkedEditingRangeProviderRegistry=e.DocumentHighlightProviderRegistry=e.DocumentSymbolProviderRegistry=e.InlineValuesProviderRegistry=e.EvaluatableExpressionProviderRegistry=e.HoverProviderRegistry=e.SignatureHelpProviderRegistry=e.CompletionProviderRegistry=e.RenameProviderRegistry=e.ReferenceProviderRegistry=e.InlineHintKind=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.SymbolKinds=e.SymbolTag=e.SymbolKind=e.isLocationLink=e.DocumentHighlightKind=e.SignatureHelpTriggerKind=e.CodeActionTriggerType=e.CompletionTriggerKind=e.CompletionItemInsertTextRule=e.CompletionItemTag=e.completionKindFromString=e.completionKindToCssClass=e.CompletionItemKind=e.TokenMetadata=e.MetadataConsts=e.StandardTokenType=e.ColorId=e.FontStyle=e.LanguageIdentifier=e.LanguageId=void 0;var I;(function(h){h[h.Null=0]="Null",h[h.PlainText=1]="PlainText"})(I=e.LanguageId||(e.LanguageId={}));class y{constructor(b,A){this.language=b,this.id=A}}e.LanguageIdentifier=y;var i;(function(h){h[h.NotSet=-1]="NotSet",h[h.None=0]="None",h[h.Italic=1]="Italic",h[h.Bold=2]="Bold",h[h.Underline=4]="Underline"})(i=e.FontStyle||(e.FontStyle={}));var T;(function(h){h[h.None=0]="None",h[h.DefaultForeground=1]="DefaultForeground",h[h.DefaultBackground=2]="DefaultBackground"})(T=e.ColorId||(e.ColorId={}));var k;(function(h){h[h.Other=0]="Other",h[h.Comment=1]="Comment",h[h.String=2]="String",h[h.RegEx=4]="RegEx"})(k=e.StandardTokenType||(e.StandardTokenType={}));var p;(function(h){h[h.LANGUAGEID_MASK=255]="LANGUAGEID_MASK",h[h.TOKEN_TYPE_MASK=1792]="TOKEN_TYPE_MASK",h[h.FONT_STYLE_MASK=14336]="FONT_STYLE_MASK",h[h.FOREGROUND_MASK=8372224]="FOREGROUND_MASK",h[h.BACKGROUND_MASK=4286578688]="BACKGROUND_MASK",h[h.ITALIC_MASK=2048]="ITALIC_MASK",h[h.BOLD_MASK=4096]="BOLD_MASK",h[h.UNDERLINE_MASK=8192]="UNDERLINE_MASK",h[h.SEMANTIC_USE_ITALIC=1]="SEMANTIC_USE_ITALIC",h[h.SEMANTIC_USE_BOLD=2]="SEMANTIC_USE_BOLD",h[h.SEMANTIC_USE_UNDERLINE=4]="SEMANTIC_USE_UNDERLINE",h[h.SEMANTIC_USE_FOREGROUND=8]="SEMANTIC_USE_FOREGROUND",h[h.SEMANTIC_USE_BACKGROUND=16]="SEMANTIC_USE_BACKGROUND",h[h.LANGUAGEID_OFFSET=0]="LANGUAGEID_OFFSET",h[h.TOKEN_TYPE_OFFSET=8]="TOKEN_TYPE_OFFSET",h[h.FONT_STYLE_OFFSET=11]="FONT_STYLE_OFFSET",h[h.FOREGROUND_OFFSET=14]="FOREGROUND_OFFSET",h[h.BACKGROUND_OFFSET=23]="BACKGROUND_OFFSET"})(p=e.MetadataConsts||(e.MetadataConsts={}));class f{static getLanguageId(b){return(b&255)>>>0}static getTokenType(b){return(b&1792)>>>8}static getFontStyle(b){return(b&14336)>>>11}static getForeground(b){return(b&8372224)>>>14}static getBackground(b){return(b&4286578688)>>>23}static getClassNameFromMetadata(b){let A=this.getForeground(b),L="mtk"+A,M=this.getFontStyle(b);return M&1&&(L+=" mtki"),M&2&&(L+=" mtkb"),M&4&&(L+=" mtku"),L}static getInlineStyleFromMetadata(b,A){const L=this.getForeground(b),M=this.getFontStyle(b);let z=`color: ${A[L]};`;return M&1&&(z+="font-style: italic;"),M&2&&(z+="font-weight: bold;"),M&4&&(z+="text-decoration: underline;"),z}}e.TokenMetadata=f;var l;(function(h){h[h.Method=0]="Method",h[h.Function=1]="Function",h[h.Constructor=2]="Constructor",h[h.Field=3]="Field",h[h.Variable=4]="Variable",h[h.Class=5]="Class",h[h.Struct=6]="Struct",h[h.Interface=7]="Interface",h[h.Module=8]="Module",h[h.Property=9]="Property",h[h.Event=10]="Event",h[h.Operator=11]="Operator",h[h.Unit=12]="Unit",h[h.Value=13]="Value",h[h.Constant=14]="Constant",h[h.Enum=15]="Enum",h[h.EnumMember=16]="EnumMember",h[h.Keyword=17]="Keyword",h[h.Text=18]="Text",h[h.Color=19]="Color",h[h.File=20]="File",h[h.Reference=21]="Reference",h[h.Customcolor=22]="Customcolor",h[h.Folder=23]="Folder",h[h.TypeParameter=24]="TypeParameter",h[h.User=25]="User",h[h.Issue=26]="Issue",h[h.Snippet=27]="Snippet"})(l=e.CompletionItemKind||(e.CompletionItemKind={})),e.completionKindToCssClass=function(){let h=Object.create(null);return h[0]="symbol-method",h[1]="symbol-function",h[2]="symbol-constructor",h[3]="symbol-field",h[4]="symbol-variable",h[5]="symbol-class",h[6]="symbol-struct",h[7]="symbol-interface",h[8]="symbol-module",h[9]="symbol-property",h[10]="symbol-event",h[11]="symbol-operator",h[12]="symbol-unit",h[13]="symbol-value",h[14]="symbol-constant",h[15]="symbol-enum",h[16]="symbol-enum-member",h[17]="symbol-keyword",h[27]="symbol-snippet",h[18]="symbol-text",h[19]="symbol-color",h[20]="symbol-file",h[21]="symbol-reference",h[22]="symbol-customcolor",h[23]="symbol-folder",h[24]="symbol-type-parameter",h[25]="account",h[26]="issues",function(b){const A=h[b];let L=A&&C.iconRegistry.get(A);return L||(console.info("No codicon found for CompletionItemKind "+b),L=C.Codicon.symbolProperty),L.classNames}}(),e.completionKindFromString=function(){let h=Object.create(null);return h.method=0,h.function=1,h.constructor=2,h.field=3,h.variable=4,h.class=5,h.struct=6,h.interface=7,h.module=8,h.property=9,h.event=10,h.operator=11,h.unit=12,h.value=13,h.constant=14,h.enum=15,h["enum-member"]=16,h.enumMember=16,h.keyword=17,h.snippet=27,h.text=18,h.color=19,h.file=20,h.reference=21,h.customcolor=22,h.folder=23,h["type-parameter"]=24,h.typeParameter=24,h.account=25,h.issue=26,function(b,A){let L=h[b];return typeof L=="undefined"&&!A&&(L=9),L}}();var m;(function(h){h[h.Deprecated=1]="Deprecated"})(m=e.CompletionItemTag||(e.CompletionItemTag={}));var S;(function(h){h[h.KeepWhitespace=1]="KeepWhitespace",h[h.InsertAsSnippet=4]="InsertAsSnippet"})(S=e.CompletionItemInsertTextRule||(e.CompletionItemInsertTextRule={}));var _;(function(h){h[h.Invoke=0]="Invoke",h[h.TriggerCharacter=1]="TriggerCharacter",h[h.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(_=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var g;(function(h){h[h.Auto=1]="Auto",h[h.Manual=2]="Manual"})(g=e.CodeActionTriggerType||(e.CodeActionTriggerType={}));var a;(function(h){h[h.Invoke=1]="Invoke",h[h.TriggerCharacter=2]="TriggerCharacter",h[h.ContentChange=3]="ContentChange"})(a=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var u;(function(h){h[h.Text=0]="Text",h[h.Read=1]="Read",h[h.Write=2]="Write"})(u=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));function c(h){return h&&v.URI.isUri(h.uri)&&D.Range.isIRange(h.range)&&(D.Range.isIRange(h.originSelectionRange)||D.Range.isIRange(h.targetSelectionRange))}e.isLocationLink=c;var t;(function(h){h[h.File=0]="File",h[h.Module=1]="Module",h[h.Namespace=2]="Namespace",h[h.Package=3]="Package",h[h.Class=4]="Class",h[h.Method=5]="Method",h[h.Property=6]="Property",h[h.Field=7]="Field",h[h.Constructor=8]="Constructor",h[h.Enum=9]="Enum",h[h.Interface=10]="Interface",h[h.Function=11]="Function",h[h.Variable=12]="Variable",h[h.Constant=13]="Constant",h[h.String=14]="String",h[h.Number=15]="Number",h[h.Boolean=16]="Boolean",h[h.Array=17]="Array",h[h.Object=18]="Object",h[h.Key=19]="Key",h[h.Null=20]="Null",h[h.EnumMember=21]="EnumMember",h[h.Struct=22]="Struct",h[h.Event=23]="Event",h[h.Operator=24]="Operator",h[h.TypeParameter=25]="TypeParameter"})(t=e.SymbolKind||(e.SymbolKind={}));var r;(function(h){h[h.Deprecated=1]="Deprecated"})(r=e.SymbolTag||(e.SymbolTag={}));var s;(function(h){const b=new Map;b.set("file",0),b.set("module",1),b.set("namespace",2),b.set("package",3),b.set("class",4),b.set("method",5),b.set("property",6),b.set("field",7),b.set("constructor",8),b.set("enum",9),b.set("interface",10),b.set("function",11),b.set("variable",12),b.set("constant",13),b.set("string",14),b.set("number",15),b.set("boolean",16),b.set("array",17),b.set("object",18),b.set("key",19),b.set("null",20),b.set("enum-member",21),b.set("struct",22),b.set("event",23),b.set("operator",24),b.set("type-parameter",25);const A=new Map;A.set(0,"file"),A.set(1,"module"),A.set(2,"namespace"),A.set(3,"package"),A.set(4,"class"),A.set(5,"method"),A.set(6,"property"),A.set(7,"field"),A.set(8,"constructor"),A.set(9,"enum"),A.set(10,"interface"),A.set(11,"function"),A.set(12,"variable"),A.set(13,"constant"),A.set(14,"string"),A.set(15,"number"),A.set(16,"boolean"),A.set(17,"array"),A.set(18,"object"),A.set(19,"key"),A.set(20,"null"),A.set(21,"enum-member"),A.set(22,"struct"),A.set(23,"event"),A.set(24,"operator"),A.set(25,"type-parameter");function L(V){return b.get(V)}h.fromString=L;function M(V){return A.get(V)}h.toString=M;function z(V,W){const K=A.get(V);let x=K&&C.iconRegistry.get("symbol-"+K);return x||(console.info("No codicon found for SymbolKind "+V),x=C.Codicon.symbolProperty),`${W?"inline":"block"} ${x.classNames}`}h.toCssClassName=z})(s=e.SymbolKinds||(e.SymbolKinds={}));class o{constructor(b){this.value=b}}e.FoldingRangeKind=o,o.Comment=new o("comment"),o.Imports=new o("imports"),o.Region=new o("region");var n;(function(h){h[h.Collapsed=0]="Collapsed",h[h.Expanded=1]="Expanded"})(n=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var d;(function(h){h[h.Editing=0]="Editing",h[h.Preview=1]="Preview"})(d=e.CommentMode||(e.CommentMode={}));var w;(function(h){h[h.Other=0]="Other",h[h.Type=1]="Type",h[h.Parameter=2]="Parameter"})(w=e.InlineHintKind||(e.InlineHintKind={})),e.ReferenceProviderRegistry=new R.LanguageFeatureRegistry,e.RenameProviderRegistry=new R.LanguageFeatureRegistry,e.CompletionProviderRegistry=new R.LanguageFeatureRegistry,e.SignatureHelpProviderRegistry=new R.LanguageFeatureRegistry,e.HoverProviderRegistry=new R.LanguageFeatureRegistry,e.EvaluatableExpressionProviderRegistry=new R.LanguageFeatureRegistry,e.InlineValuesProviderRegistry=new R.LanguageFeatureRegistry,e.DocumentSymbolProviderRegistry=new R.LanguageFeatureRegistry,e.DocumentHighlightProviderRegistry=new R.LanguageFeatureRegistry,e.LinkedEditingRangeProviderRegistry=new R.LanguageFeatureRegistry,e.DefinitionProviderRegistry=new R.LanguageFeatureRegistry,e.DeclarationProviderRegistry=new R.LanguageFeatureRegistry,e.ImplementationProviderRegistry=new R.LanguageFeatureRegistry,e.TypeDefinitionProviderRegistry=new R.LanguageFeatureRegistry,e.CodeLensProviderRegistry=new R.LanguageFeatureRegistry,e.InlineHintsProviderRegistry=new R.LanguageFeatureRegistry,e.CodeActionProviderRegistry=new R.LanguageFeatureRegistry,e.DocumentFormattingEditProviderRegistry=new R.LanguageFeatureRegistry,e.DocumentRangeFormattingEditProviderRegistry=new R.LanguageFeatureRegistry,e.OnTypeFormattingEditProviderRegistry=new R.LanguageFeatureRegistry,e.LinkProviderRegistry=new R.LanguageFeatureRegistry,e.ColorProviderRegistry=new R.LanguageFeatureRegistry,e.SelectionRangeRegistry=new R.LanguageFeatureRegistry,e.FoldingRangeProviderRegistry=new R.LanguageFeatureRegistry,e.DocumentSemanticTokensProviderRegistry=new R.LanguageFeatureRegistry,e.DocumentRangeSemanticTokensProviderRegistry=new R.LanguageFeatureRegistry,e.TokenizationRegistry=new P.TokenizationRegistryImpl;var E;(function(h){h[h.None=0]="None",h[h.Option=1]="Option",h[h.Default=2]="Default",h[h.Preferred=3]="Preferred"})(E=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}))}),define(ge[177],pe([0,1,5,16,4,3,58,72]),function(Q,e,v,D,R,P,C,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullCommandService=e.CommandsRegistry=e.ICommandService=void 0,e.ICommandService=R.createDecorator("commandService"),e.CommandsRegistry=new class{constructor(){this._commands=new Map,this._onDidRegisterCommand=new P.Emitter,this.onDidRegisterCommand=this._onDidRegisterCommand.event}registerCommand(y,i){if(!y)throw new Error("invalid command");if(typeof y=="string"){if(!i)throw new Error("invalid command");return this.registerCommand({id:y,handler:i})}if(y.description){const l=[];for(let S of y.description.args)l.push(S.constraint);const m=y.handler;y.handler=function(S,..._){return D.validateConstraints(_,l),m(S,..._)}}const{id:T}=y;let k=this._commands.get(T);k||(k=new C.LinkedList,this._commands.set(T,k));let p=k.unshift(y),f=v.toDisposable(()=>{p();const l=this._commands.get(T);(l==null?void 0:l.isEmpty())&&this._commands.delete(T)});return this._onDidRegisterCommand.fire(T),f}registerCommandAlias(y,i){return e.CommandsRegistry.registerCommand(y,(T,...k)=>T.get(e.ICommandService).executeCommand(i,...k))}getCommand(y){const i=this._commands.get(y);if(!(!i||i.isEmpty()))return I.Iterable.first(i)}getCommands(){const y=new Map;for(const i of this._commands.keys()){const T=this.getCommand(i);T&&y.set(i,T)}return y}},e.NullCommandService={_serviceBrand:void 0,onWillExecuteCommand:()=>v.Disposable.None,onDidExecuteCommand:()=>v.Disposable.None,executeCommand(){return Promise.resolve(void 0)}}}),define(ge[60],pe([0,1,10,4,9]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SET_CONTEXT_COMMAND_ID=e.IContextKeyService=e.RawContextKey=e.ContextKeyOrExpr=e.ContextKeyAndExpr=e.ContextKeyNotRegexExpr=e.ContextKeyRegexExpr=e.ContextKeySmallerEqualsExpr=e.ContextKeySmallerExpr=e.ContextKeyGreaterEqualsExpr=e.ContextKeyGreaterExpr=e.ContextKeyNotExpr=e.ContextKeyNotEqualsExpr=e.ContextKeyNotInExpr=e.ContextKeyInExpr=e.ContextKeyEqualsExpr=e.ContextKeyDefinedExpr=e.ContextKeyTrueExpr=e.ContextKeyFalseExpr=e.ContextKeyExpr=e.ContextKeyExprType=void 0;let P=R.userAgent||"";const C=new Map;C.set("false",!1),C.set("true",!0),C.set("isMac",R.isMacintosh),C.set("isLinux",R.isLinux),C.set("isWindows",R.isWindows),C.set("isWeb",R.isWeb),C.set("isMacNative",R.isMacintosh&&!R.isWeb),C.set("isEdge",P.indexOf("Edg/")>=0),C.set("isFirefox",P.indexOf("Firefox")>=0),C.set("isChrome",P.indexOf("Chrome")>=0),C.set("isSafari",P.indexOf("Safari")>=0),C.set("isIPad",P.indexOf("iPad")>=0);const I=Object.prototype.hasOwnProperty;var y;(function(h){h[h.False=0]="False",h[h.True=1]="True",h[h.Defined=2]="Defined",h[h.Not=3]="Not",h[h.Equals=4]="Equals",h[h.NotEquals=5]="NotEquals",h[h.And=6]="And",h[h.Regex=7]="Regex",h[h.NotRegex=8]="NotRegex",h[h.Or=9]="Or",h[h.In=10]="In",h[h.NotIn=11]="NotIn",h[h.Greater=12]="Greater",h[h.GreaterEquals=13]="GreaterEquals",h[h.Smaller=14]="Smaller",h[h.SmallerEquals=15]="SmallerEquals"})(y=e.ContextKeyExprType||(e.ContextKeyExprType={}));class i{static false(){return k.INSTANCE}static true(){return p.INSTANCE}static has(b){return f.create(b)}static equals(b,A){return l.create(b,A)}static notEquals(b,A){return _.create(b,A)}static regex(b,A){return r.create(b,A)}static in(b,A){return m.create(b,A)}static not(b){return g.create(b)}static and(...b){return o.create(b)}static or(...b){return n.create(b)}static greater(b,A){return a.create(b,A)}static less(b,A){return c.create(b,A)}static deserialize(b,A=!1){if(!!b)return this._deserializeOrExpression(b,A)}static _deserializeOrExpression(b,A){let L=b.split("||");return n.create(L.map(M=>this._deserializeAndExpression(M,A)))}static _deserializeAndExpression(b,A){let L=b.split("&&");return o.create(L.map(M=>this._deserializeOne(M,A)))}static _deserializeOne(b,A){if(b=b.trim(),b.indexOf("!=")>=0){let L=b.split("!=");return _.create(L[0].trim(),this._deserializeValue(L[1],A))}if(b.indexOf("==")>=0){let L=b.split("==");return l.create(L[0].trim(),this._deserializeValue(L[1],A))}if(b.indexOf("=~")>=0){let L=b.split("=~");return r.create(L[0].trim(),this._deserializeRegexValue(L[1],A))}if(b.indexOf(" in ")>=0){let L=b.split(" in ");return m.create(L[0].trim(),L[1].trim())}if(/^[^<=>]+>=[^<=>]+$/.test(b)){const L=b.split(">=");return u.create(L[0].trim(),L[1].trim())}if(/^[^<=>]+>[^<=>]+$/.test(b)){const L=b.split(">");return a.create(L[0].trim(),L[1].trim())}if(/^[^<=>]+<=[^<=>]+$/.test(b)){const L=b.split("<=");return t.create(L[0].trim(),L[1].trim())}if(/^[^<=>]+<[^<=>]+$/.test(b)){const L=b.split("<");return c.create(L[0].trim(),L[1].trim())}return/^\!\s*/.test(b)?g.create(b.substr(1).trim()):f.create(b)}static _deserializeValue(b,A){if(b=b.trim(),b==="true")return!0;if(b==="false")return!1;let L=/^'([^']*)'$/.exec(b);return L?L[1].trim():b}static _deserializeRegexValue(b,A){if(v.isFalsyOrWhitespace(b)){if(A)throw new Error("missing regexp-value for =~-expression");return console.warn("missing regexp-value for =~-expression"),null}let L=b.indexOf("/"),M=b.lastIndexOf("/");if(L===M||L<0){if(A)throw new Error(`bad regexp-value '${b}', missing /-enclosure`);return console.warn(`bad regexp-value '${b}', missing /-enclosure`),null}let z=b.slice(L+1,M),V=b[M+1]==="i"?"i":"";try{return new RegExp(z,V)}catch(W){if(A)throw new Error(`bad regexp-value '${b}', parse error: ${W}`);return console.warn(`bad regexp-value '${b}', parse error: ${W}`),null}}}e.ContextKeyExpr=i;function T(h,b){return h.cmp(b)}class k{constructor(){this.type=0}cmp(b){return this.type-b.type}equals(b){return b.type===this.type}evaluate(b){return!1}serialize(){return"false"}keys(){return[]}map(b){return this}negate(){return p.INSTANCE}}e.ContextKeyFalseExpr=k,k.INSTANCE=new k;class p{constructor(){this.type=1}cmp(b){return this.type-b.type}equals(b){return b.type===this.type}evaluate(b){return!0}serialize(){return"true"}keys(){return[]}map(b){return this}negate(){return k.INSTANCE}}e.ContextKeyTrueExpr=p,p.INSTANCE=new p;class f{constructor(b){this.key=b,this.type=2}static create(b){const A=C.get(b);return typeof A=="boolean"?A?p.INSTANCE:k.INSTANCE:new f(b)}cmp(b){return b.type!==this.type?this.type-b.type:w(this.key,b.key)}equals(b){return b.type===this.type?this.key===b.key:!1}evaluate(b){return!!b.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(b){return b.mapDefined(this.key)}negate(){return g.create(this.key)}}e.ContextKeyDefinedExpr=f;class l{constructor(b,A){this.key=b,this.value=A,this.type=4}static create(b,A){if(typeof A=="boolean")return A?f.create(b):g.create(b);const L=C.get(b);return typeof L=="boolean"?A===(L?"true":"false")?p.INSTANCE:k.INSTANCE:new l(b,A)}cmp(b){return b.type!==this.type?this.type-b.type:E(this.key,this.value,b.key,b.value)}equals(b){return b.type===this.type?this.key===b.key&&this.value===b.value:!1}evaluate(b){return b.getValue(this.key)==this.value}serialize(){return`${this.key} == '${this.value}'`}keys(){return[this.key]}map(b){return b.mapEquals(this.key,this.value)}negate(){return _.create(this.key,this.value)}}e.ContextKeyEqualsExpr=l;class m{constructor(b,A){this.key=b,this.valueKey=A,this.type=10}static create(b,A){return new m(b,A)}cmp(b){return b.type!==this.type?this.type-b.type:E(this.key,this.valueKey,b.key,b.valueKey)}equals(b){return b.type===this.type?this.key===b.key&&this.valueKey===b.valueKey:!1}evaluate(b){const A=b.getValue(this.valueKey),L=b.getValue(this.key);return Array.isArray(A)?A.indexOf(L)>=0:typeof L=="string"&&typeof A=="object"&&A!==null?I.call(A,L):!1}serialize(){return`${this.key} in '${this.valueKey}'`}keys(){return[this.key,this.valueKey]}map(b){return b.mapIn(this.key,this.valueKey)}negate(){return S.create(this)}}e.ContextKeyInExpr=m;class S{constructor(b){this._actual=b,this.type=11}static create(b){return new S(b)}cmp(b){return b.type!==this.type?this.type-b.type:this._actual.cmp(b._actual)}equals(b){return b.type===this.type?this._actual.equals(b._actual):!1}evaluate(b){return!this._actual.evaluate(b)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(b){return new S(this._actual.map(b))}negate(){return this._actual}}e.ContextKeyNotInExpr=S;class _{constructor(b,A){this.key=b,this.value=A,this.type=5}static create(b,A){if(typeof A=="boolean")return A?g.create(b):f.create(b);const L=C.get(b);return typeof L=="boolean"?A===(L?"true":"false")?k.INSTANCE:p.INSTANCE:new _(b,A)}cmp(b){return b.type!==this.type?this.type-b.type:E(this.key,this.value,b.key,b.value)}equals(b){return b.type===this.type?this.key===b.key&&this.value===b.value:!1}evaluate(b){return b.getValue(this.key)!=this.value}serialize(){return`${this.key} != '${this.value}'`}keys(){return[this.key]}map(b){return b.mapNotEquals(this.key,this.value)}negate(){return l.create(this.key,this.value)}}e.ContextKeyNotEqualsExpr=_;class g{constructor(b){this.key=b,this.type=3}static create(b){const A=C.get(b);return typeof A=="boolean"?A?k.INSTANCE:p.INSTANCE:new g(b)}cmp(b){return b.type!==this.type?this.type-b.type:w(this.key,b.key)}equals(b){return b.type===this.type?this.key===b.key:!1}evaluate(b){return!b.getValue(this.key)}serialize(){return`!${this.key}`}keys(){return[this.key]}map(b){return b.mapNot(this.key)}negate(){return f.create(this.key)}}e.ContextKeyNotExpr=g;class a{constructor(b,A){this.key=b,this.value=A,this.type=12}static create(b,A){return new a(b,A)}cmp(b){return b.type!==this.type?this.type-b.type:E(this.key,this.value,b.key,b.value)}equals(b){return b.type===this.type?this.key===b.key&&this.value===b.value:!1}evaluate(b){return parseFloat(b.getValue(this.key))>parseFloat(this.value)}serialize(){return`${this.key} > ${this.value}`}keys(){return[this.key]}map(b){return b.mapGreater(this.key,this.value)}negate(){return t.create(this.key,this.value)}}e.ContextKeyGreaterExpr=a;class u{constructor(b,A){this.key=b,this.value=A,this.type=13}static create(b,A){return new u(b,A)}cmp(b){return b.type!==this.type?this.type-b.type:E(this.key,this.value,b.key,b.value)}equals(b){return b.type===this.type?this.key===b.key&&this.value===b.value:!1}evaluate(b){return parseFloat(b.getValue(this.key))>=parseFloat(this.value)}serialize(){return`${this.key} >= ${this.value}`}keys(){return[this.key]}map(b){return b.mapGreaterEquals(this.key,this.value)}negate(){return c.create(this.key,this.value)}}e.ContextKeyGreaterEqualsExpr=u;class c{constructor(b,A){this.key=b,this.value=A,this.type=14}static create(b,A){return new c(b,A)}cmp(b){return b.type!==this.type?this.type-b.type:E(this.key,this.value,b.key,b.value)}equals(b){return b.type===this.type?this.key===b.key&&this.value===b.value:!1}evaluate(b){return parseFloat(b.getValue(this.key))<parseFloat(this.value)}serialize(){return`${this.key} < ${this.value}`}keys(){return[this.key]}map(b){return b.mapSmaller(this.key,this.value)}negate(){return u.create(this.key,this.value)}}e.ContextKeySmallerExpr=c;class t{constructor(b,A){this.key=b,this.value=A,this.type=15}static create(b,A){return new t(b,A)}cmp(b){return b.type!==this.type?this.type-b.type:E(this.key,this.value,b.key,b.value)}equals(b){return b.type===this.type?this.key===b.key&&this.value===b.value:!1}evaluate(b){return parseFloat(b.getValue(this.key))<=parseFloat(this.value)}serialize(){return`${this.key} <= ${this.value}`}keys(){return[this.key]}map(b){return b.mapSmallerEquals(this.key,this.value)}negate(){return a.create(this.key,this.value)}}e.ContextKeySmallerEqualsExpr=t;class r{constructor(b,A){this.key=b,this.regexp=A,this.type=7}static create(b,A){return new r(b,A)}cmp(b){if(b.type!==this.type)return this.type-b.type;if(this.key<b.key)return-1;if(this.key>b.key)return 1;const A=this.regexp?this.regexp.source:"",L=b.regexp?b.regexp.source:"";return A<L?-1:A>L?1:0}equals(b){if(b.type===this.type){const A=this.regexp?this.regexp.source:"",L=b.regexp?b.regexp.source:"";return this.key===b.key&&A===L}return!1}evaluate(b){let A=b.getValue(this.key);return this.regexp?this.regexp.test(A):!1}serialize(){const b=this.regexp?`/${this.regexp.source}/${this.regexp.ignoreCase?"i":""}`:"/invalid/";return`${this.key} =~ ${b}`}keys(){return[this.key]}map(b){return b.mapRegex(this.key,this.regexp)}negate(){return s.create(this)}}e.ContextKeyRegexExpr=r;class s{constructor(b){this._actual=b,this.type=8}static create(b){return new s(b)}cmp(b){return b.type!==this.type?this.type-b.type:this._actual.cmp(b._actual)}equals(b){return b.type===this.type?this._actual.equals(b._actual):!1}evaluate(b){return!this._actual.evaluate(b)}serialize(){throw new Error("Method not implemented.")}keys(){return this._actual.keys()}map(b){return new s(this._actual.map(b))}negate(){return this._actual}}e.ContextKeyNotRegexExpr=s;class o{constructor(b){this.expr=b,this.type=6}static create(b){return o._normalizeArr(b)}cmp(b){if(b.type!==this.type)return this.type-b.type;if(this.expr.length<b.expr.length)return-1;if(this.expr.length>b.expr.length)return 1;for(let A=0,L=this.expr.length;A<L;A++){const M=T(this.expr[A],b.expr[A]);if(M!==0)return M}return 0}equals(b){if(b.type===this.type){if(this.expr.length!==b.expr.length)return!1;for(let A=0,L=this.expr.length;A<L;A++)if(!this.expr[A].equals(b.expr[A]))return!1;return!0}return!1}evaluate(b){for(let A=0,L=this.expr.length;A<L;A++)if(!this.expr[A].evaluate(b))return!1;return!0}static _normalizeArr(b){const A=[];let L=!1;for(const M of b)if(!!M){if(M.type===1){L=!0;continue}if(M.type===0)return k.INSTANCE;if(M.type===6){A.push(...M.expr);continue}A.push(M)}if(A.length===0&&L)return p.INSTANCE;if(A.length!==0){if(A.length===1)return A[0];for(A.sort(T);A.length>1;){const M=A[A.length-1];if(M.type!==9)break;A.pop();const z=A.pop(),V=n.create(M.expr.map(W=>o.create([W,z])));V&&(A.push(V),A.sort(T))}return A.length===1?A[0]:new o(A)}}serialize(){return this.expr.map(b=>b.serialize()).join(" && ")}keys(){const b=[];for(let A of this.expr)b.push(...A.keys());return b}map(b){return new o(this.expr.map(A=>A.map(b)))}negate(){let b=[];for(let A of this.expr)b.push(A.negate());return n.create(b)}}e.ContextKeyAndExpr=o;class n{constructor(b){this.expr=b,this.type=9}static create(b){const A=n._normalizeArr(b);if(A.length!==0)return A.length===1?A[0]:new n(A)}cmp(b){if(b.type!==this.type)return this.type-b.type;if(this.expr.length<b.expr.length)return-1;if(this.expr.length>b.expr.length)return 1;for(let A=0,L=this.expr.length;A<L;A++){const M=T(this.expr[A],b.expr[A]);if(M!==0)return M}return 0}equals(b){if(b.type===this.type){if(this.expr.length!==b.expr.length)return!1;for(let A=0,L=this.expr.length;A<L;A++)if(!this.expr[A].equals(b.expr[A]))return!1;return!0}return!1}evaluate(b){for(let A=0,L=this.expr.length;A<L;A++)if(this.expr[A].evaluate(b))return!0;return!1}static _normalizeArr(b){let A=[],L=!1;if(b){for(let M=0,z=b.length;M<z;M++){const V=b[M];if(!!V){if(V.type===0){L=!0;continue}if(V.type===1)return[p.INSTANCE];if(V.type===9){A=A.concat(V.expr);continue}A.push(V)}}if(A.length===0&&L)return[k.INSTANCE];A.sort(T)}return A}serialize(){return this.expr.map(b=>b.serialize()).join(" || ")}keys(){const b=[];for(let A of this.expr)b.push(...A.keys());return b}map(b){return new n(this.expr.map(A=>A.map(b)))}negate(){let b=[];for(let L of this.expr)b.push(L.negate());const A=L=>L.type===9?L.expr:[L];for(;b.length>1;){const L=b.shift(),M=b.shift(),z=[];for(const V of A(L))for(const W of A(M))z.push(i.and(V,W));b.unshift(i.or(...z))}return b[0]}}e.ContextKeyOrExpr=n;class d extends f{constructor(b,A,L){super(b);this.key=b,this._defaultValue=A,typeof L=="object"?d._info.push(Object.assign(Object.assign({},L),{key:b})):L!==!0&&d._info.push({key:b,description:L,type:A!=null?typeof A:void 0})}static all(){return d._info.values()}bindTo(b){return b.createKey(this.key,this._defaultValue)}getValue(b){return b.getContextKeyValue(this.key)}toNegated(){return i.not(this.key)}isEqualTo(b){return i.equals(this.key,b)}notEqualsTo(b){return i.notEquals(this.key,b)}}e.RawContextKey=d,d._info=[],e.IContextKeyService=D.createDecorator("contextKeyService"),e.SET_CONTEXT_COMMAND_ID="setContext";function w(h,b){return h<b?-1:h>b?1:0}function E(h,b,A,L){return h<A?-1:h>A?1:b<L?-1:b>L?1:0}}),define(ge[178],pe([0,1,4]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.INativeEnvironmentService=e.IEnvironmentService=void 0,e.IEnvironmentService=v.createDecorator("environmentService"),e.INativeEnvironmentService=v.createDecorator("nativeEnvironmentService")}),define(ge[179],pe([0,1,150,4,13]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtensionManagementCLIService=e.PreferencesLocalizedLabel=e.PreferencesLabel=e.ExtensionsChannelId=e.ExtensionsLocalizedLabel=e.ExtensionsLabel=e.DefaultIconPath=e.IExtensionTipsService=e.IGlobalExtensionEnablementService=e.ENABLED_EXTENSIONS_STORAGE_PATH=e.DISABLED_EXTENSIONS_STORAGE_PATH=e.IExtensionManagementService=e.ExtensionManagementError=e.INSTALL_ERROR_INCOMPATIBLE=e.INSTALL_ERROR_MALICIOUS=e.INSTALL_ERROR_NOT_SUPPORTED=e.IExtensionGalleryService=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.isIExtensionIdentifier=e.EXTENSION_IDENTIFIER_REGEX=e.EXTENSION_IDENTIFIER_PATTERN=void 0,e.EXTENSION_IDENTIFIER_PATTERN="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.EXTENSION_IDENTIFIER_REGEX=new RegExp(e.EXTENSION_IDENTIFIER_PATTERN);function P(k){return k&&typeof k=="object"&&typeof k.id=="string"&&(!k.uuid||typeof k.uuid=="string")}e.isIExtensionIdentifier=P;var C;(function(k){k[k.NoneOrRelevance=0]="NoneOrRelevance",k[k.LastUpdatedDate=1]="LastUpdatedDate",k[k.Title=2]="Title",k[k.PublisherName=3]="PublisherName",k[k.InstallCount=4]="InstallCount",k[k.PublishedDate=5]="PublishedDate",k[k.AverageRating=6]="AverageRating",k[k.WeightedRating=12]="WeightedRating"})(C=e.SortBy||(e.SortBy={}));var I;(function(k){k[k.Default=0]="Default",k[k.Ascending=1]="Ascending",k[k.Descending=2]="Descending"})(I=e.SortOrder||(e.SortOrder={}));var y;(function(k){k.Uninstall="uninstall"})(y=e.StatisticType||(e.StatisticType={}));var i;(function(k){k[k.None=0]="None",k[k.Install=1]="Install",k[k.Update=2]="Update"})(i=e.InstallOperation||(e.InstallOperation={})),e.IExtensionGalleryService=D.createDecorator("extensionGalleryService"),e.INSTALL_ERROR_NOT_SUPPORTED="notsupported",e.INSTALL_ERROR_MALICIOUS="malicious",e.INSTALL_ERROR_INCOMPATIBLE="incompatible";class T extends Error{constructor(p,f){super(p);this.code=f}}e.ExtensionManagementError=T,e.IExtensionManagementService=D.createDecorator("extensionManagementService"),e.DISABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/disabled",e.ENABLED_EXTENSIONS_STORAGE_PATH="extensionsIdentifiers/enabled",e.IGlobalExtensionEnablementService=D.createDecorator("IGlobalExtensionEnablementService"),e.IExtensionTipsService=D.createDecorator("IExtensionTipsService"),e.DefaultIconPath=R.FileAccess.asBrowserUri("./media/defaultIcon.png",Q).toString(!0),e.ExtensionsLabel=v.localize(0,null),e.ExtensionsLocalizedLabel={value:e.ExtensionsLabel,original:"Extensions"},e.ExtensionsChannelId="extensions",e.PreferencesLabel=v.localize(1,null),e.PreferencesLocalizedLabel={value:e.PreferencesLabel,original:"Preferences"},e.IExtensionManagementCLIService=D.createDecorator("IExtensionManagementCLIService")}),define(ge[30],pe([0,1,10,4]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IBuiltinExtensionsScannerService=e.isAuthenticaionProviderExtension=e.isLanguagePackExtension=e.ExtensionIdentifier=e.ExtensionType=e.EXTENSION_CATEGORIES=e.isIExtensionIdentifier=e.BUILTIN_MANIFEST_CACHE_FILE=e.USER_MANIFEST_CACHE_FILE=e.MANIFEST_CACHE_FOLDER=void 0,e.MANIFEST_CACHE_FOLDER="CachedExtensions",e.USER_MANIFEST_CACHE_FILE="user",e.BUILTIN_MANIFEST_CACHE_FILE="builtin";function R(i){return i&&typeof i=="object"&&typeof i.id=="string"&&(!i.uuid||typeof i.uuid=="string")}e.isIExtensionIdentifier=R,e.EXTENSION_CATEGORIES=["Azure","Data Science","Debuggers","Extension Packs","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var P;(function(i){i[i.System=0]="System",i[i.User=1]="User"})(P=e.ExtensionType||(e.ExtensionType={}));class C{constructor(T){this.value=T,this._lower=T.toLowerCase()}static equals(T,k){if(typeof T=="undefined"||T===null)return typeof k=="undefined"||k===null;if(typeof k=="undefined"||k===null)return!1;if(typeof T=="string"||typeof k=="string"){let p=typeof T=="string"?T:T.value,f=typeof k=="string"?k:k.value;return v.equalsIgnoreCase(p,f)}return T._lower===k._lower}static toKey(T){return typeof T=="string"?T.toLowerCase():T._lower}}e.ExtensionIdentifier=C;function I(i){return i.contributes&&i.contributes.localizations?i.contributes.localizations.length>0:!1}e.isLanguagePackExtension=I;function y(i){return i.contributes&&i.contributes.authentication?i.contributes.authentication.length>0:!1}e.isAuthenticaionProviderExtension=y,e.IBuiltinExtensionsScannerService=D.createDecorator("IBuiltinExtensionsScannerService")}),define(ge[180],pe([0,1,10,30]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMaliciousExtensionsSet=e.BetterMergeId=e.getGalleryExtensionTelemetryData=e.getLocalExtensionTelemetryData=e.groupByExtension=e.getGalleryExtensionId=e.adoptToGalleryExtensionId=e.getExtensionId=e.ExtensionIdentifierWithVersion=e.areSameExtensions=void 0;function R(f,l){return f.uuid&&l.uuid?f.uuid===l.uuid:f.id===l.id?!0:v.compareIgnoreCase(f.id,l.id)===0}e.areSameExtensions=R;class P{constructor(l,m){this.version=m,this.id=l.id,this.uuid=l.uuid}key(){return`${this.id}-${this.version}`}equals(l){return l instanceof P?R(this,l)&&this.version===l.version:!1}}e.ExtensionIdentifierWithVersion=P;function C(f,l){return`${f}.${l}`}e.getExtensionId=C;function I(f){return f.toLocaleLowerCase()}e.adoptToGalleryExtensionId=I;function y(f,l){return I(C(f,l))}e.getGalleryExtensionId=y;function i(f,l){const m=[],S=_=>{for(const g of m)if(g.some(a=>R(l(a),l(_))))return g;return null};for(const _ of f){const g=S(_);g?g.push(_):m.push([_])}return m}e.groupByExtension=i;function T(f){return{id:f.identifier.id,name:f.manifest.name,galleryId:null,publisherId:f.publisherId,publisherName:f.manifest.publisher,publisherDisplayName:f.publisherDisplayName,dependencies:f.manifest.extensionDependencies&&f.manifest.extensionDependencies.length>0}}e.getLocalExtensionTelemetryData=T;function k(f){return Object.assign({id:f.identifier.id,name:f.name,galleryId:f.identifier.uuid,publisherId:f.publisherId,publisherName:f.publisher,publisherDisplayName:f.publisherDisplayName,dependencies:!!(f.properties.dependencies&&f.properties.dependencies.length>0)},f.telemetryData)}e.getGalleryExtensionTelemetryData=k,e.BetterMergeId=new D.ExtensionIdentifier("pprice.better-merge");function p(f){const l=new Set;for(const m of f)m.malicious&&l.add(m.id.id);return l}e.getMaliciousExtensionsSet=p}),define(ge[50],pe([0,1,151,7,2,4,10,16,22]),function(Q,e,v,D,R,P,C,I,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ByteSize=e.FALLBACK_MAX_MEMORY_SIZE_MB=e.MIN_MAX_MEMORY_SIZE_MB=e.whenProviderRegistered=e.etag=e.ETAG_DISABLED=e.FileKind=e.FILES_EXCLUDE_CONFIG=e.FILES_ASSOCIATIONS_CONFIG=e.HotExitConfiguration=e.AutoSaveConfiguration=e.FileOperationResult=e.FileOperationError=e.isParent=e.FileChangesEvent=e.FileChangeType=e.FileOperationEvent=e.FileOperation=e.toFileOperationResult=e.toFileSystemProviderErrorCode=e.markAsFileSystemProviderError=e.ensureFileSystemProviderError=e.createFileSystemProviderError=e.FileSystemProviderError=e.FileSystemProviderErrorCode=e.hasFileReadStreamCapability=e.hasOpenReadWriteCloseCapability=e.hasFileFolderCopyCapability=e.hasReadWriteCapability=e.FileSystemProviderCapabilities=e.FileType=e.IFileService=void 0,e.IFileService=P.createDecorator("fileService");var i;(function(L){L[L.Unknown=0]="Unknown",L[L.File=1]="File",L[L.Directory=2]="Directory",L[L.SymbolicLink=64]="SymbolicLink"})(i=e.FileType||(e.FileType={}));var T;(function(L){L[L.FileReadWrite=2]="FileReadWrite",L[L.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",L[L.FileReadStream=16]="FileReadStream",L[L.FileFolderCopy=8]="FileFolderCopy",L[L.PathCaseSensitive=1024]="PathCaseSensitive",L[L.Readonly=2048]="Readonly",L[L.Trash=4096]="Trash"})(T=e.FileSystemProviderCapabilities||(e.FileSystemProviderCapabilities={}));function k(L){return!!(L.capabilities&2)}e.hasReadWriteCapability=k;function p(L){return!!(L.capabilities&8)}e.hasFileFolderCopyCapability=p;function f(L){return!!(L.capabilities&4)}e.hasOpenReadWriteCloseCapability=f;function l(L){return!!(L.capabilities&16)}e.hasFileReadStreamCapability=l;var m;(function(L){L.FileExists="EntryExists",L.FileNotFound="EntryNotFound",L.FileNotADirectory="EntryNotADirectory",L.FileIsADirectory="EntryIsADirectory",L.FileExceedsMemoryLimit="EntryExceedsMemoryLimit",L.FileTooLarge="EntryTooLarge",L.NoPermissions="NoPermissions",L.Unavailable="Unavailable",L.Unknown="Unknown"})(m=e.FileSystemProviderErrorCode||(e.FileSystemProviderErrorCode={}));class S extends Error{constructor(M,z){super(M);this.code=z}}e.FileSystemProviderError=S;function _(L,M){const z=new S(L.toString(),M);return a(z,M),z}e.createFileSystemProviderError=_;function g(L){return L||_(v.localize(0,null),m.Unknown)}e.ensureFileSystemProviderError=g;function a(L,M){return L.name=M?`${M} (FileSystemError)`:"FileSystemError",L}e.markAsFileSystemProviderError=a;function u(L){if(!L)return m.Unknown;if(L instanceof S)return L.code;const M=/^(.+) \(FileSystemError\)$/.exec(L.name);if(!M)return m.Unknown;switch(M[1]){case m.FileExists:return m.FileExists;case m.FileIsADirectory:return m.FileIsADirectory;case m.FileNotADirectory:return m.FileNotADirectory;case m.FileNotFound:return m.FileNotFound;case m.FileExceedsMemoryLimit:return m.FileExceedsMemoryLimit;case m.FileTooLarge:return m.FileTooLarge;case m.NoPermissions:return m.NoPermissions;case m.Unavailable:return m.Unavailable}return m.Unknown}e.toFileSystemProviderErrorCode=u;function c(L){if(L instanceof d)return L.fileOperationResult;switch(u(L)){case m.FileNotFound:return 1;case m.FileIsADirectory:return 0;case m.FileNotADirectory:return 10;case m.NoPermissions:return 6;case m.FileExists:return 4;case m.FileExceedsMemoryLimit:return 9;case m.FileTooLarge:return 7;default:return 11}}e.toFileOperationResult=c;var t;(function(L){L[L.CREATE=0]="CREATE",L[L.DELETE=1]="DELETE",L[L.MOVE=2]="MOVE",L[L.COPY=3]="COPY"})(t=e.FileOperation||(e.FileOperation={}));class r{constructor(M,z,V){this.resource=M,this.operation=z,this.target=V}isOperation(M){return this.operation===M}}e.FileOperationEvent=r;var s;(function(L){L[L.UPDATED=0]="UPDATED",L[L.ADDED=1]="ADDED",L[L.DELETED=2]="DELETED"})(s=e.FileChangeType||(e.FileChangeType={}));class o{constructor(M,z){this.ignorePathCasing=z,this.added=void 0,this.updated=void 0,this.deleted=void 0,this.changes=M;for(const V of M)switch(V.type){case 1:this.added||(this.added=y.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.added.set(V.resource,V);break;case 0:this.updated||(this.updated=y.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.updated.set(V.resource,V);break;case 2:this.deleted||(this.deleted=y.TernarySearchTree.forUris(()=>this.ignorePathCasing)),this.deleted.set(V.resource,V);break}}contains(M,...z){return this.doContains(M,{includeChildren:!1},...z)}affects(M,...z){return this.doContains(M,{includeChildren:!0},...z)}doContains(M,z,...V){var W,K,x,N,U,F;if(!M)return!1;const O=V.length>0;return!!((!O||V.includes(1))&&(((W=this.added)===null||W===void 0?void 0:W.get(M))||z.includeChildren&&((K=this.added)===null||K===void 0?void 0:K.findSuperstr(M)))||(!O||V.includes(0))&&(((x=this.updated)===null||x===void 0?void 0:x.get(M))||z.includeChildren&&((N=this.updated)===null||N===void 0?void 0:N.findSuperstr(M)))||(!O||V.includes(2))&&(((U=this.deleted)===null||U===void 0?void 0:U.findSubstr(M))||z.includeChildren&&((F=this.deleted)===null||F===void 0?void 0:F.findSuperstr(M))))}getAdded(){return this.getOfType(1)}gotAdded(){return!!this.added}getDeleted(){return this.getOfType(2)}gotDeleted(){return!!this.deleted}getUpdated(){return this.getOfType(0)}gotUpdated(){return!!this.updated}getOfType(M){const z=[],V=M===1?this.added:M===0?this.updated:this.deleted;if(V)for(const[,W]of V)z.push(W);return z}filter(M){return new o(this.changes.filter(z=>M(z)),this.ignorePathCasing)}}e.FileChangesEvent=o;function n(L,M,z){return!L||!M||L===M||M.length>L.length?!1:(M.charAt(M.length-1)!==D.sep&&(M+=D.sep),z?C.startsWithIgnoreCase(L,M):L.indexOf(M)===0)}e.isParent=n;class d extends Error{constructor(M,z,V){super(M);this.fileOperationResult=z,this.options=V}static isFileOperationError(M){return M instanceof Error&&!I.isUndefinedOrNull(M.fileOperationResult)}}e.FileOperationError=d;var w;(function(L){L[L.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",L[L.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",L[L.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",L[L.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",L[L.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",L[L.FILE_READ_ONLY=5]="FILE_READ_ONLY",L[L.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",L[L.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",L[L.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",L[L.FILE_EXCEEDS_MEMORY_LIMIT=9]="FILE_EXCEEDS_MEMORY_LIMIT",L[L.FILE_NOT_DIRECTORY=10]="FILE_NOT_DIRECTORY",L[L.FILE_OTHER_ERROR=11]="FILE_OTHER_ERROR"})(w=e.FileOperationResult||(e.FileOperationResult={})),e.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.FILES_ASSOCIATIONS_CONFIG="files.associations",e.FILES_EXCLUDE_CONFIG="files.exclude";var E;(function(L){L[L.FILE=0]="FILE",L[L.FOLDER=1]="FOLDER",L[L.ROOT_FOLDER=2]="ROOT_FOLDER"})(E=e.FileKind||(e.FileKind={})),e.ETAG_DISABLED="";function h(L){if(!(typeof L.size!="number"||typeof L.mtime!="number"))return L.mtime.toString(29)+L.size.toString(31)}e.etag=h;async function b(L,M){if(!M.canHandleResource(R.URI.from({scheme:L.scheme})))return new Promise(z=>{const V=M.onDidChangeFileSystemProviderRegistrations(W=>{W.scheme===L.scheme&&W.added&&(V.dispose(),z())})})}e.whenProviderRegistered=b,e.MIN_MAX_MEMORY_SIZE_MB=2048,e.FALLBACK_MAX_MEMORY_SIZE_MB=4096;class A{static formatSize(M){return I.isNumber(M)||(M=0),M<A.KB?v.localize(1,null,M.toFixed(0)):M<A.MB?v.localize(2,null,(M/A.KB).toFixed(2)):M<A.GB?v.localize(3,null,(M/A.MB).toFixed(2)):M<A.TB?v.localize(4,null,(M/A.GB).toFixed(2)):v.localize(5,null,(M/A.TB).toFixed(2))}}e.ByteSize=A,A.KB=1024,A.MB=A.KB*A.KB,A.GB=A.MB*A.KB,A.TB=A.GB*A.KB}),define(ge[82],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ServiceCollection=void 0;class v{constructor(...R){this._entries=new Map;for(let[P,C]of R)this.set(P,C)}set(R,P){const C=this._entries.get(R);return this._entries.set(R,P),C}has(R){return this._entries.has(R)}get(R){return this._entries.get(R)}}e.ServiceCollection=v}),define(ge[181],pe([0,1,15,174,107,4,82,19]),function(Q,e,v,D,R,P,C,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InstantiationService=void 0;const y=!1;class i extends Error{constructor(l){super("cyclic dependency between services");this.message=l.toString()}}class T{constructor(l=new C.ServiceCollection,m=!1,S){this._activeInstantiations=new Set,this._services=l,this._strict=m,this._parent=S,this._services.set(P.IInstantiationService,this)}createChild(l){return new T(l,this._strict,this)}invokeFunction(l,...m){let S=p.traceInvocation(l),_=!1;try{return l({get:(a,u)=>{if(_)throw v.illegalState("service accessor is only valid during the invocation of its target method");const c=this._getOrCreateServiceInstance(a,S);if(!c&&u!==P.optional)throw new Error(`[invokeFunction] unknown service '${a}'`);return c}},...m)}finally{_=!0,S.stop()}}createInstance(l,...m){let S,_;return l instanceof R.SyncDescriptor?(S=p.traceCreation(l.ctor),_=this._createInstance(l.ctor,l.staticArguments.concat(m),S)):(S=p.traceCreation(l),_=this._createInstance(l,m,S)),S.stop(),_}_createInstance(l,m=[],S){let _=P._util.getServiceDependencies(l).sort((u,c)=>u.index-c.index),g=[];for(const u of _){let c=this._getOrCreateServiceInstance(u.id,S);if(!c&&this._strict&&!u.optional)throw new Error(`[createInstance] ${l.name} depends on UNKNOWN service ${u.id}.`);g.push(c)}let a=_.length>0?_[0].index:m.length;if(m.length!==a){console.warn(`[createInstance] First service dependency of ${l.name} at position ${a+1} conflicts with ${m.length} static arguments`);let u=a-m.length;u>0?m=m.concat(new Array(u)):m=m.slice(0,a)}return new l(...[...m,...g])}_setServiceInstance(l,m){if(this._services.get(l)instanceof R.SyncDescriptor)this._services.set(l,m);else if(this._parent)this._parent._setServiceInstance(l,m);else throw new Error("illegalState - setting UNKNOWN service instance")}_getServiceInstanceOrDescriptor(l){let m=this._services.get(l);return!m&&this._parent?this._parent._getServiceInstanceOrDescriptor(l):m}_getOrCreateServiceInstance(l,m){let S=this._getServiceInstanceOrDescriptor(l);return S instanceof R.SyncDescriptor?this._safeCreateAndCacheServiceInstance(l,S,m.branch(l,!0)):(m.branch(l,!1),S)}_safeCreateAndCacheServiceInstance(l,m,S){if(this._activeInstantiations.has(l))throw new Error(`illegal state - RECURSIVELY instantiating service '${l}'`);this._activeInstantiations.add(l);try{return this._createAndCacheServiceInstance(l,m,S)}finally{this._activeInstantiations.delete(l)}}_createAndCacheServiceInstance(l,m,S){const _=new D.Graph(u=>u.id.toString());let g=0;const a=[{id:l,desc:m,_trace:S}];for(;a.length;){const u=a.pop();if(_.lookupOrInsertNode(u),g++>1e3)throw new i(_);for(let c of P._util.getServiceDependencies(u.desc.ctor)){let t=this._getServiceInstanceOrDescriptor(c.id);if(!t&&!c.optional&&console.warn(`[createInstance] ${l} depends on ${c.id} which is NOT registered.`),t instanceof R.SyncDescriptor){const r={id:c.id,desc:t,_trace:u._trace.branch(c.id,!0)};_.insertEdge(u,r),a.push(r)}}}for(;;){const u=_.roots();if(u.length===0){if(!_.isEmpty())throw new i(_);break}for(const{data:c}of u){if(this._getServiceInstanceOrDescriptor(c.id)instanceof R.SyncDescriptor){const r=this._createServiceInstanceWithOwner(c.id,c.desc.ctor,c.desc.staticArguments,c.desc.supportsDelayedInstantiation,c._trace);this._setServiceInstance(c.id,r)}_.removeNode(c)}}return this._getServiceInstanceOrDescriptor(l)}_createServiceInstanceWithOwner(l,m,S=[],_,g){if(this._services.get(l)instanceof R.SyncDescriptor)return this._createServiceInstance(m,S,_,g);if(this._parent)return this._parent._createServiceInstanceWithOwner(l,m,S,_,g);throw new Error(`illegalState - creating UNKNOWN service instance ${m.name}`)}_createServiceInstance(l,m=[],S,_){if(S){const g=new I.IdleValue(()=>this._createInstance(l,m,_));return new Proxy(Object.create(null),{get(a,u){if(u in a)return a[u];let c=g.value,t=c[u];return typeof t!="function"||(t=t.bind(c),a[u]=t),t},set(a,u,c){return g.value[u]=c,!0}})}else return this._createInstance(l,m,_)}}e.InstantiationService=T;var k;(function(f){f[f.Creation=0]="Creation",f[f.Invocation=1]="Invocation",f[f.Branch=2]="Branch"})(k||(k={}));class p{constructor(l,m){this.type=l,this.name=m,this._start=Date.now(),this._dep=[]}static traceInvocation(l){return y?new p(1,l.name||l.toString().substring(0,42).replace(/\n/g,"")):p._None}static traceCreation(l){return y?new p(0,l.name):p._None}branch(l,m){let S=new p(2,l.toString());return this._dep.push([l,m,S]),S}stop(){let l=Date.now()-this._start;p._totals+=l;let m=!1;function S(g,a){let u=[],c=new Array(g+1).join("	");for(const[t,r,s]of a._dep)if(r&&s){m=!0,u.push(`${c}CREATES -> ${t}`);let o=S(g+1,s);o&&u.push(o)}else u.push(`${c}uses -> ${t}`);return u.join(`
`)}let _=[`${this.type===0?"CREATE":"CALL"} ${this.name}`,`${S(1,this)}`,`DONE, took ${l.toFixed(2)}ms (grand total ${p._totals.toFixed(2)}ms)`];(l>2||m)&&console.log(_.join(`
`))}}p._None=new class extends p{constructor(){super(-1,null)}stop(){}branch(){return this}},p._totals=0}),define(ge[11],pe([0,1,4,5,9,3,49]),function(Q,e,v,D,R,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LogLevelToString=e.parseLogLevel=e.getLogLevel=e.NullLogService=e.LogService=e.MultiplexLogService=e.AdapterLogger=e.ConsoleLogger=e.ConsoleMainLogger=e.AbstractMessageLogger=e.AbstractLogger=e.DEFAULT_LOG_LEVEL=e.LogLevel=e.ILoggerService=e.ILogService=void 0,e.ILogService=v.createDecorator("logService"),e.ILoggerService=v.createDecorator("loggerService");function I(){return new Date().toISOString()}var y;(function(u){u[u.Trace=0]="Trace",u[u.Debug=1]="Debug",u[u.Info=2]="Info",u[u.Warning=3]="Warning",u[u.Error=4]="Error",u[u.Critical=5]="Critical",u[u.Off=6]="Off"})(y=e.LogLevel||(e.LogLevel={})),e.DEFAULT_LOG_LEVEL=y.Info;class i extends D.Disposable{constructor(){super(...arguments);this.level=e.DEFAULT_LOG_LEVEL,this._onDidChangeLogLevel=this._register(new P.Emitter),this.onDidChangeLogLevel=this._onDidChangeLogLevel.event}setLevel(c){this.level!==c&&(this.level=c,this._onDidChangeLogLevel.fire(this.level))}getLevel(){return this.level}}e.AbstractLogger=i;class T extends i{constructor(c){super();this.logAlways=c}checkLogLevel(c){return this.logAlways||this.getLevel()<=c}trace(c,...t){this.checkLogLevel(y.Trace)&&this.log(y.Trace,this.format([c,...t]))}debug(c,...t){this.checkLogLevel(y.Debug)&&this.log(y.Debug,this.format([c,...t]))}info(c,...t){this.checkLogLevel(y.Info)&&this.log(y.Info,this.format([c,...t]))}warn(c,...t){this.checkLogLevel(y.Warning)&&this.log(y.Warning,this.format([c,...t]))}error(c,...t){if(this.checkLogLevel(y.Error))if(c instanceof Error){const r=Array.prototype.slice.call(arguments);r[0]=c.stack,this.log(y.Error,this.format(r))}else this.log(y.Error,this.format([c,...t]))}critical(c,...t){this.checkLogLevel(y.Critical)&&this.log(y.Critical,this.format([c,...t]))}flush(){}format(c){let t="";for(let r=0;r<c.length;r++){let s=c[r];if(typeof s=="object")try{s=JSON.stringify(s)}catch(o){}t+=(r>0?" ":"")+s}return t}}e.AbstractMessageLogger=T;class k extends i{constructor(c=e.DEFAULT_LOG_LEVEL){super();this.setLevel(c),this.useColors=!R.isWindows}trace(c,...t){this.getLevel()<=y.Trace&&(this.useColors?console.log(`[90m[main ${I()}][0m`,c,...t):console.log(`[main ${I()}]`,c,...t))}debug(c,...t){this.getLevel()<=y.Debug&&(this.useColors?console.log(`[90m[main ${I()}][0m`,c,...t):console.log(`[main ${I()}]`,c,...t))}info(c,...t){this.getLevel()<=y.Info&&(this.useColors?console.log(`[90m[main ${I()}][0m`,c,...t):console.log(`[main ${I()}]`,c,...t))}warn(c,...t){this.getLevel()<=y.Warning&&(this.useColors?console.warn(`[93m[main ${I()}][0m`,c,...t):console.warn(`[main ${I()}]`,c,...t))}error(c,...t){this.getLevel()<=y.Error&&(this.useColors?console.error(`[91m[main ${I()}][0m`,c,...t):console.error(`[main ${I()}]`,c,...t))}critical(c,...t){this.getLevel()<=y.Critical&&(this.useColors?console.error(`[90m[main ${I()}][0m`,c,...t):console.error(`[main ${I()}]`,c,...t))}dispose(){}flush(){}}e.ConsoleMainLogger=k;class p extends i{constructor(c=e.DEFAULT_LOG_LEVEL){super();this.setLevel(c)}trace(c,...t){this.getLevel()<=y.Trace&&console.log("%cTRACE","color: #888",c,...t)}debug(c,...t){this.getLevel()<=y.Debug&&console.log("%cDEBUG","background: #eee; color: #888",c,...t)}info(c,...t){this.getLevel()<=y.Info&&console.log("%c INFO","color: #33f",c,...t)}warn(c,...t){this.getLevel()<=y.Warning&&console.log("%c WARN","color: #993",c,...t)}error(c,...t){this.getLevel()<=y.Error&&console.log("%c  ERR","color: #f33",c,...t)}critical(c,...t){this.getLevel()<=y.Critical&&console.log("%cCRITI","background: #f33; color: white",c,...t)}dispose(){}flush(){}}e.ConsoleLogger=p;class f extends i{constructor(c,t=e.DEFAULT_LOG_LEVEL){super();this.adapter=c,this.setLevel(t)}trace(c,...t){this.getLevel()<=y.Trace&&this.adapter.log(y.Trace,[this.extractMessage(c),...t])}debug(c,...t){this.getLevel()<=y.Debug&&this.adapter.log(y.Debug,[this.extractMessage(c),...t])}info(c,...t){this.getLevel()<=y.Info&&this.adapter.log(y.Info,[this.extractMessage(c),...t])}warn(c,...t){this.getLevel()<=y.Warning&&this.adapter.log(y.Warning,[this.extractMessage(c),...t])}error(c,...t){this.getLevel()<=y.Error&&this.adapter.log(y.Error,[this.extractMessage(c),...t])}critical(c,...t){this.getLevel()<=y.Critical&&this.adapter.log(y.Critical,[this.extractMessage(c),...t])}extractMessage(c){return typeof c=="string"?c:C.toErrorMessage(c,this.getLevel()<=y.Trace)}dispose(){}flush(){}}e.AdapterLogger=f;class l extends i{constructor(c){super();this.logServices=c,c.length&&this.setLevel(c[0].getLevel())}setLevel(c){for(const t of this.logServices)t.setLevel(c);super.setLevel(c)}trace(c,...t){for(const r of this.logServices)r.trace(c,...t)}debug(c,...t){for(const r of this.logServices)r.debug(c,...t)}info(c,...t){for(const r of this.logServices)r.info(c,...t)}warn(c,...t){for(const r of this.logServices)r.warn(c,...t)}error(c,...t){for(const r of this.logServices)r.error(c,...t)}critical(c,...t){for(const r of this.logServices)r.critical(c,...t)}flush(){for(const c of this.logServices)c.flush()}dispose(){for(const c of this.logServices)c.dispose()}}e.MultiplexLogService=l;class m extends D.Disposable{constructor(c){super();this.logger=c,this._register(c)}get onDidChangeLogLevel(){return this.logger.onDidChangeLogLevel}setLevel(c){this.logger.setLevel(c)}getLevel(){return this.logger.getLevel()}trace(c,...t){this.logger.trace(c,...t)}debug(c,...t){this.logger.debug(c,...t)}info(c,...t){this.logger.info(c,...t)}warn(c,...t){this.logger.warn(c,...t)}error(c,...t){this.logger.error(c,...t)}critical(c,...t){this.logger.critical(c,...t)}flush(){this.logger.flush()}}e.LogService=m;class S{constructor(){this.onDidChangeLogLevel=new P.Emitter().event}setLevel(c){}getLevel(){return y.Info}trace(c,...t){}debug(c,...t){}info(c,...t){}warn(c,...t){}error(c,...t){}critical(c,...t){}dispose(){}flush(){}}e.NullLogService=S;function _(u){if(u.verbose)return y.Trace;if(typeof u.logLevel=="string"){const c=g(u.logLevel.toLowerCase());if(c!==void 0)return c}return e.DEFAULT_LOG_LEVEL}e.getLogLevel=_;function g(u){switch(u){case"trace":return y.Trace;case"debug":return y.Debug;case"info":return y.Info;case"warn":return y.Warning;case"error":return y.Error;case"critical":return y.Critical;case"off":return y.Off}}e.parseLogLevel=g;function a(u){switch(u){case y.Trace:return"trace";case y.Debug:return"debug";case y.Info:return"info";case y.Warning:return"warn";case y.Error:return"error";case y.Critical:return"critical";case y.Off:return"off"}}e.LogLevelToString=a}),define(ge[108],pe([0,1,11,50]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SpdLogLogger=e.createRotatingLogger=void 0;async function R(y,i,T,k){try{const p=await new Promise((f,l)=>{Q(["spdlog"],f,l)});return p.setAsyncMode(8192,500),p.createRotatingLoggerAsync(y,i,T,k)}catch(p){console.error(p)}return null}function P(y,i,T,k){return Q.__$__nodeRequire("spdlog").createRotatingLogger(y,i,T,k)}e.createRotatingLogger=P;function C(y,i,T){switch(i){case v.LogLevel.Trace:y.trace(T);break;case v.LogLevel.Debug:y.debug(T);break;case v.LogLevel.Info:y.info(T);break;case v.LogLevel.Warning:y.warn(T);break;case v.LogLevel.Error:y.error(T);break;case v.LogLevel.Critical:y.critical(T);break;default:throw new Error("Invalid log level")}}class I extends v.AbstractMessageLogger{constructor(i,T,k,p){super();this.name=i,this.filepath=T,this.rotating=k,this.buffer=[],this.setLevel(p),this._loggerCreationPromise=this._createSpdLogLogger(),this._register(this.onDidChangeLogLevel(f=>{this._logger&&this._logger.setLevel(f)}))}_createSpdLogLogger(){const i=this.rotating?6:1,T=30/i*D.ByteSize.MB;return R(this.name,this.filepath,T,i).then(k=>{if(k){this._logger=k,this._logger.setLevel(this.getLevel());for(const{level:p,message:f}of this.buffer)C(this._logger,p,f);this.buffer=[]}})}log(i,T){this._logger?C(this._logger,i,T):this.getLevel()<=i&&this.buffer.push({level:i,message:T})}clearFormatters(){this._logger?this._logger.clearFormatters():this._loggerCreationPromise.then(()=>this.clearFormatters())}flush(){this._logger?this._logger.flush():this._loggerCreationPromise.then(()=>this.flush())}dispose(){this._logger?this.disposeLogger():this._loggerCreationPromise.then(()=>this.disposeLogger())}disposeLogger(){this._logger&&(this._logger.drop(),this._logger=void 0)}}e.SpdLogLogger=I}),define(ge[109],pe([0,1,4,152,75]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IMarkerService=e.IMarkerData=e.MarkerSeverity=e.MarkerTag=void 0;var P;(function(y){y[y.Unnecessary=1]="Unnecessary",y[y.Deprecated=2]="Deprecated"})(P=e.MarkerTag||(e.MarkerTag={}));var C;(function(y){y[y.Hint=1]="Hint",y[y.Info=2]="Info",y[y.Warning=4]="Warning",y[y.Error=8]="Error"})(C=e.MarkerSeverity||(e.MarkerSeverity={})),function(y){function i(l,m){return m-l}y.compare=i;const T=Object.create(null);T[y.Error]=D.localize(0,null),T[y.Warning]=D.localize(1,null),T[y.Info]=D.localize(2,null);function k(l){return T[l]||""}y.toString=k;function p(l){switch(l){case R.default.Error:return y.Error;case R.default.Warning:return y.Warning;case R.default.Info:return y.Info;case R.default.Ignore:return y.Hint}}y.fromSeverity=p;function f(l){switch(l){case y.Error:return R.default.Error;case y.Warning:return R.default.Warning;case y.Info:return R.default.Info;case y.Hint:return R.default.Ignore}}y.toSeverity=f}(C=e.MarkerSeverity||(e.MarkerSeverity={}));var I;(function(y){const i="";function T(p){return k(p,!0)}y.makeKey=T;function k(p,f){let l=[i];return p.source?l.push(p.source.replace("\xA6","\\\xA6")):l.push(i),p.code?typeof p.code=="string"?l.push(p.code.replace("\xA6","\\\xA6")):l.push(p.code.value.replace("\xA6","\\\xA6")):l.push(i),p.severity!==void 0&&p.severity!==null?l.push(C.toString(p.severity)):l.push(i),p.message&&f?l.push(p.message.replace("\xA6","\\\xA6")):l.push(i),p.startLineNumber!==void 0&&p.startLineNumber!==null?l.push(p.startLineNumber.toString()):l.push(i),p.startColumn!==void 0&&p.startColumn!==null?l.push(p.startColumn.toString()):l.push(i),p.endLineNumber!==void 0&&p.endLineNumber!==null?l.push(p.endLineNumber.toString()):l.push(i),p.endColumn!==void 0&&p.endColumn!==null?l.push(p.endColumn.toString()):l.push(i),l.push(i),l.join("\xA6")}y.makeKeyOptionalMessage=k})(I=e.IMarkerData||(e.IMarkerData={})),e.IMarkerService=v.createDecorator("markerService")}),define(ge[182],pe([0,1,75,4,3]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NoOpProgress=e.NoOpNotification=e.NotificationsFilter=e.NeverShowAgainScope=e.INotificationService=e.Severity=void 0,e.Severity=v.default,e.INotificationService=D.createDecorator("notificationService");var P;(function(i){i[i.WORKSPACE=0]="WORKSPACE",i[i.GLOBAL=1]="GLOBAL"})(P=e.NeverShowAgainScope||(e.NeverShowAgainScope={}));var C;(function(i){i[i.OFF=0]="OFF",i[i.SILENT=1]="SILENT",i[i.ERROR=2]="ERROR"})(C=e.NotificationsFilter||(e.NotificationsFilter={}));class I{constructor(){this.progress=new y,this.onDidClose=R.Event.None,this.onDidChangeVisibility=R.Event.None}updateSeverity(T){}updateMessage(T){}updateActions(T){}close(){}}e.NoOpNotification=I;class y{infinite(){}done(){}total(T){}worked(T){}}e.NoOpProgress=y}),define(ge[183],pe([0,1,9,38,13,25]),function(Q,e,v,D,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let C;if(v.isWeb||typeof Q=="undefined"||typeof Q.__$__nodeRequire!="function")C={},Object.keys(C).length===0&&Object.assign(C,{version:"1.54.0-dev",nameShort:v.isWeb?"Code Web - OSS Dev":"Code - OSS Dev",nameLong:v.isWeb?"Code Web - OSS Dev":"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",extensionAllowedProposedApi:["ms-vscode.vscode-js-profile-flame","ms-vscode.vscode-js-profile-table","ms-vscode.github-browser"]});else{const I=P.dirname(R.FileAccess.asFileUri("",Q));C=Q.__$__nodeRequire(P.joinPath(I,"product.json").fsPath);const y=Q.__$__nodeRequire(P.joinPath(I,"package.json").fsPath);D.env.VSCODE_DEV&&Object.assign(C,{nameShort:`${C.nameShort} Dev`,nameLong:`${C.nameLong} Dev`,dataFolderName:`${C.dataFolderName}-dev`}),Object.assign(C,{version:y.version})}e.default=C}),define(ge[184],pe([0,1,4,21,5]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IEditorProgressService=e.LongRunningOperation=e.Progress=e.emptyProgressRunner=e.ProgressLocation=e.IProgressService=void 0,e.IProgressService=v.createDecorator("progressService");var P;(function(y){y[y.Explorer=1]="Explorer",y[y.Scm=3]="Scm",y[y.Extensions=5]="Extensions",y[y.Window=10]="Window",y[y.Notification=15]="Notification",y[y.Dialog=20]="Dialog"})(P=e.ProgressLocation||(e.ProgressLocation={})),e.emptyProgressRunner=Object.freeze({total(){},worked(){},done(){}});class C{constructor(i){this.callback=i}get value(){return this._value}report(i){this._value=i,this.callback(this._value)}}e.Progress=C,C.None=Object.freeze({report(){}});class I extends R.Disposable{constructor(i){super();this.progressIndicator=i,this.currentOperationId=0,this.currentOperationDisposables=this._register(new R.DisposableStore)}start(i){this.stop();const T=++this.currentOperationId,k=new D.CancellationTokenSource;return this.currentProgressTimeout=setTimeout(()=>{T===this.currentOperationId&&(this.currentProgressRunner=this.progressIndicator.show(!0))},i),this.currentOperationDisposables.add(R.toDisposable(()=>clearTimeout(this.currentProgressTimeout))),this.currentOperationDisposables.add(R.toDisposable(()=>k.cancel())),this.currentOperationDisposables.add(R.toDisposable(()=>this.currentProgressRunner?this.currentProgressRunner.done():void 0)),{id:T,token:k.token,stop:()=>this.doStop(T),isCurrent:()=>this.currentOperationId===T}}stop(){this.doStop(this.currentOperationId)}doStop(i){this.currentOperationId===i&&this.currentOperationDisposables.clear()}}e.LongRunningOperation=I,e.IEditorProgressService=v.createDecorator("editorProgressService")}),define(ge[41],pe([0,1,16,54]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Registry=void 0;class R{constructor(){this.data=new Map}add(C,I){D.ok(v.isString(C)),D.ok(v.isObject(I)),D.ok(!this.data.has(C),"There is already an extension with this id"),this.data.set(C,I)}knows(C){return this.data.has(C)}as(C){return this.data.get(C)||null}}e.Registry=new R}),define(ge[110],pe([0,1,41,3]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Extensions=void 0,e.Extensions={JSONContribution:"base.contributions.json"};function R(I){return I.length>0&&I.charAt(I.length-1)==="#"?I.substring(0,I.length-1):I}class P{constructor(){this._onDidChangeSchema=new D.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}registerSchema(y,i){this.schemasById[R(y)]=i,this._onDidChangeSchema.fire(y)}notifySchemaChanged(y){this._onDidChangeSchema.fire(y)}getSchemaContributions(){return{schemas:this.schemasById}}}const C=new P;v.Registry.add(e.Extensions.JSONContribution,C)}),define(ge[83],pe([0,1,149,3,41,16,110]),function(Q,e,v,D,R,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getScopes=e.validateProperty=e.getDefaultValue=e.overrideIdentifierFromKey=e.OVERRIDE_PROPERTY_PATTERN=e.resourceLanguageSettingsSchemaId=e.resourceSettings=e.windowSettings=e.machineOverridableSettings=e.machineSettings=e.applicationSettings=e.allSettings=e.ConfigurationScope=e.Extensions=void 0,e.Extensions={Configuration:"base.contributions.configuration"};var I;(function(S){S[S.APPLICATION=1]="APPLICATION",S[S.MACHINE=2]="MACHINE",S[S.WINDOW=3]="WINDOW",S[S.RESOURCE=4]="RESOURCE",S[S.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",S[S.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(I=e.ConfigurationScope||(e.ConfigurationScope={})),e.allSettings={properties:{},patternProperties:{}},e.applicationSettings={properties:{},patternProperties:{}},e.machineSettings={properties:{},patternProperties:{}},e.machineOverridableSettings={properties:{},patternProperties:{}},e.windowSettings={properties:{},patternProperties:{}},e.resourceSettings={properties:{},patternProperties:{}},e.resourceLanguageSettingsSchemaId="vscode://schemas/settings/resourceLanguage";const y=R.Registry.as(C.Extensions.JSONContribution);class i{constructor(){this.overrideIdentifiers=new Set,this._onDidSchemaChange=new D.Emitter,this.onDidSchemaChange=this._onDidSchemaChange.event,this._onDidUpdateConfiguration=new D.Emitter,this.onDidUpdateConfiguration=this._onDidUpdateConfiguration.event,this.defaultValues={},this.defaultLanguageConfigurationOverridesNode={id:"defaultOverrides",title:v.localize(0,null),properties:{}},this.configurationContributors=[this.defaultLanguageConfigurationOverridesNode],this.resourceLanguageSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting",allowTrailingCommas:!0,allowComments:!0},this.configurationProperties={},this.excludedConfigurationProperties={},y.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema)}registerConfiguration(_,g=!0){this.registerConfigurations([_],g)}registerConfigurations(_,g=!0){const a=[];_.forEach(u=>{a.push(...this.validateAndRegisterProperties(u,g)),this.configurationContributors.push(u),this.registerJSONConfiguration(u)}),y.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(a)}deregisterConfigurations(_){const g=[],a=u=>{if(u.properties)for(const c in u.properties)g.push(c),delete this.configurationProperties[c],this.removeFromSchema(c,u.properties[c]);u.allOf&&u.allOf.forEach(c=>a(c))};for(const u of _){a(u);const c=this.configurationContributors.indexOf(u);c!==-1&&this.configurationContributors.splice(c,1)}y.registerSchema(e.resourceLanguageSettingsSchemaId,this.resourceLanguageSettingsSchema),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(g)}registerDefaultConfigurations(_){const g=[],a=[];for(const u of _)for(const c in u)if(g.push(c),e.OVERRIDE_PROPERTY_PATTERN.test(c)){this.defaultValues[c]=Object.assign(Object.assign({},this.defaultValues[c]||{}),u[c]);const t={type:"object",default:this.defaultValues[c],description:v.localize(1,null,c),$ref:e.resourceLanguageSettingsSchemaId};a.push(k(c)),this.configurationProperties[c]=t,this.defaultLanguageConfigurationOverridesNode.properties[c]=t}else{this.defaultValues[c]=u[c];const t=this.configurationProperties[c];t&&(this.updatePropertyDefaultValue(c,t),this.updateSchema(c,t))}this.registerOverrideIdentifiers(a),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(g)}deregisterDefaultConfigurations(_){const g=[];for(const a of _)for(const u in a)if(g.push(u),delete this.defaultValues[u],e.OVERRIDE_PROPERTY_PATTERN.test(u))delete this.configurationProperties[u],delete this.defaultLanguageConfigurationOverridesNode.properties[u];else{const c=this.configurationProperties[u];c&&(this.updatePropertyDefaultValue(u,c),this.updateSchema(u,c))}this.updateOverridePropertyPatternKey(),this._onDidSchemaChange.fire(),this._onDidUpdateConfiguration.fire(g)}notifyConfigurationSchemaUpdated(..._){this._onDidSchemaChange.fire()}registerOverrideIdentifiers(_){for(const g of _)this.overrideIdentifiers.add(g);this.updateOverridePropertyPatternKey()}validateAndRegisterProperties(_,g=!0,a=3){a=P.isUndefinedOrNull(_.scope)?a:_.scope;let u=[],c=_.properties;if(c)for(let r in c){if(g&&l(r)){delete c[r];continue}const s=c[r];if(this.updatePropertyDefaultValue(r,s),e.OVERRIDE_PROPERTY_PATTERN.test(r)?s.scope=void 0:s.scope=P.isUndefinedOrNull(s.scope)?a:s.scope,c[r].hasOwnProperty("included")&&!c[r].included){this.excludedConfigurationProperties[r]=c[r],delete c[r];continue}else this.configurationProperties[r]=c[r];!c[r].deprecationMessage&&c[r].markdownDeprecationMessage&&(c[r].deprecationMessage=c[r].markdownDeprecationMessage),u.push(r)}let t=_.allOf;if(t)for(let r of t)u.push(...this.validateAndRegisterProperties(r,g,a));return u}getConfigurations(){return this.configurationContributors}getConfigurationProperties(){return this.configurationProperties}getExcludedConfigurationProperties(){return this.excludedConfigurationProperties}registerJSONConfiguration(_){const g=a=>{let u=a.properties;if(u)for(const t in u)this.updateSchema(t,u[t]);let c=a.allOf;c&&c.forEach(g)};g(_)}updateSchema(_,g){switch(e.allSettings.properties[_]=g,g.scope){case 1:e.applicationSettings.properties[_]=g;break;case 2:e.machineSettings.properties[_]=g;break;case 6:e.machineOverridableSettings.properties[_]=g;break;case 3:e.windowSettings.properties[_]=g;break;case 4:e.resourceSettings.properties[_]=g;break;case 5:e.resourceSettings.properties[_]=g,this.resourceLanguageSettingsSchema.properties[_]=g;break}}removeFromSchema(_,g){switch(delete e.allSettings.properties[_],g.scope){case 1:delete e.applicationSettings.properties[_];break;case 2:delete e.machineSettings.properties[_];break;case 6:delete e.machineOverridableSettings.properties[_];break;case 3:delete e.windowSettings.properties[_];break;case 4:case 5:delete e.resourceSettings.properties[_];break}}updateOverridePropertyPatternKey(){for(const _ of this.overrideIdentifiers.values()){const g=`[${_}]`,a={type:"object",description:v.localize(2,null),errorMessage:v.localize(3,null),$ref:e.resourceLanguageSettingsSchemaId};this.updatePropertyDefaultValue(g,a),e.allSettings.properties[g]=a,e.applicationSettings.properties[g]=a,e.machineSettings.properties[g]=a,e.machineOverridableSettings.properties[g]=a,e.windowSettings.properties[g]=a,e.resourceSettings.properties[g]=a}this._onDidSchemaChange.fire()}updatePropertyDefaultValue(_,g){let a=this.defaultValues[_];P.isUndefined(a)&&(a=g.default),P.isUndefined(a)&&(a=p(g.type)),g.default=a}}const T="\\[.*\\]$";e.OVERRIDE_PROPERTY_PATTERN=new RegExp(T);function k(S){return S.substring(1,S.length-1)}e.overrideIdentifierFromKey=k;function p(S){switch(Array.isArray(S)?S[0]:S){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.getDefaultValue=p;const f=new i;R.Registry.add(e.Extensions.Configuration,f);function l(S){return S.trim()?e.OVERRIDE_PROPERTY_PATTERN.test(S)?v.localize(5,null,S):f.getConfigurationProperties()[S]!==void 0?v.localize(6,null,S):null:v.localize(4,null)}e.validateProperty=l;function m(){const S=[],_=f.getConfigurationProperties();for(const g of Object.keys(_))S.push([g,_[g].scope]);return S.push(["launch",4]),S.push(["task",4]),S}e.getScopes=m}),define(ge[84],pe([0,1,23,16,2,41,4,83]),function(Q,e,v,D,R,P,C,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMigratedSettingValue=e.keyFromOverrideIdentifier=e.getDefaultValues=e.getConfigurationKeys=e.merge=e.getConfigurationValue=e.removeFromValueTree=e.addToValueTree=e.toValuesTree=e.toOverrides=e.compare=e.ConfigurationTargetToString=e.ConfigurationTarget=e.isConfigurationOverrides=e.IConfigurationService=void 0,e.IConfigurationService=C.createDecorator("configurationService");function y(r){return r&&typeof r=="object"&&(!r.overrideIdentifier||typeof r.overrideIdentifier=="string")&&(!r.resource||r.resource instanceof R.URI)}e.isConfigurationOverrides=y;var i;(function(r){r[r.USER=1]="USER",r[r.USER_LOCAL=2]="USER_LOCAL",r[r.USER_REMOTE=3]="USER_REMOTE",r[r.WORKSPACE=4]="WORKSPACE",r[r.WORKSPACE_FOLDER=5]="WORKSPACE_FOLDER",r[r.DEFAULT=6]="DEFAULT",r[r.MEMORY=7]="MEMORY"})(i=e.ConfigurationTarget||(e.ConfigurationTarget={}));function T(r){switch(r){case 1:return"USER";case 2:return"USER_LOCAL";case 3:return"USER_REMOTE";case 4:return"WORKSPACE";case 5:return"WORKSPACE_FOLDER";case 6:return"DEFAULT";case 7:return"MEMORY"}}e.ConfigurationTargetToString=T;function k(r,s){const o=s?r?s.keys.filter(A=>r.keys.indexOf(A)===-1):[...s.keys]:[],n=r?s?r.keys.filter(A=>s.keys.indexOf(A)===-1):[...r.keys]:[],d=[];if(s&&r){for(const A of r.keys)if(s.keys.indexOf(A)!==-1){const L=_(r.contents,A),M=_(s.contents,A);v.equals(L,M)||d.push(A)}}const w=[],E=A=>{const L={};for(const M of A)for(const z of M.identifiers)L[c(z)]=M;return L},h=s?E(s.overrides):{},b=r?E(r.overrides):{};if(Object.keys(h).length)for(const A of o){const L=h[A];L&&w.push([I.overrideIdentifierFromKey(A),L.keys])}if(Object.keys(b).length)for(const A of n){const L=b[A];L&&w.push([I.overrideIdentifierFromKey(A),L.keys])}if(Object.keys(h).length&&Object.keys(b).length)for(const A of d){const L=b[A],M=h[A];if(L&&M){const z=k({contents:L.contents,keys:L.keys,overrides:[]},{contents:M.contents,keys:M.keys,overrides:[]});w.push([I.overrideIdentifierFromKey(A),[...z.added,...z.removed,...z.updated]])}}return{added:o,removed:n,updated:d,overrides:w}}e.compare=k;function p(r,s){const o=[];for(const n of Object.keys(r))if(I.OVERRIDE_PROPERTY_PATTERN.test(n)){const d={};for(const w in r[n])d[w]=r[n][w];o.push({identifiers:[I.overrideIdentifierFromKey(n).trim()],keys:Object.keys(d),contents:f(d,s)})}return o}e.toOverrides=p;function f(r,s){const o=Object.create(null);for(let n in r)l(o,n,r[n],s);return o}e.toValuesTree=f;function l(r,s,o,n){const d=s.split("."),w=d.pop();let E=r;for(let h=0;h<d.length;h++){let b=d[h],A=E[b];switch(typeof A){case"undefined":A=E[b]=Object.create(null);break;case"object":break;default:n(`Ignoring ${s} as ${d.slice(0,h+1).join(".")} is ${JSON.stringify(A)}`);return}E=A}if(typeof E=="object"&&E!==null)try{E[w]=o}catch(h){n(`Ignoring ${s} as ${d.join(".")} is ${JSON.stringify(E)}`)}else n(`Ignoring ${s} as ${d.join(".")} is ${JSON.stringify(E)}`)}e.addToValueTree=l;function m(r,s){const o=s.split(".");S(r,o)}e.removeFromValueTree=m;function S(r,s){const o=s.shift();if(s.length===0){delete r[o];return}if(Object.keys(r).indexOf(o)!==-1){const n=r[o];typeof n=="object"&&!Array.isArray(n)&&(S(n,s),Object.keys(n).length===0&&delete r[o])}}function _(r,s,o){function n(E,h){let b=E;for(const A of h){if(typeof b!="object"||b===null)return;b=b[A]}return b}const d=s.split("."),w=n(r,d);return typeof w=="undefined"?o:w}e.getConfigurationValue=_;function g(r,s,o){Object.keys(s).forEach(n=>{n!=="__proto__"&&(n in r?D.isObject(r[n])&&D.isObject(s[n])?g(r[n],s[n],o):o&&(r[n]=s[n]):r[n]=s[n])})}e.merge=g;function a(){const r=P.Registry.as(I.Extensions.Configuration).getConfigurationProperties();return Object.keys(r)}e.getConfigurationKeys=a;function u(){const r=Object.create(null),s=P.Registry.as(I.Extensions.Configuration).getConfigurationProperties();for(let o in s){let n=s[o].default;l(r,o,n,d=>console.error(`Conflict in default settings: ${d}`))}return r}e.getDefaultValues=u;function c(r){return`[${r}]`}e.keyFromOverrideIdentifier=c;function t(r,s,o){const n=r.inspect(s),d=r.inspect(o);return typeof n.userValue!="undefined"||typeof n.workspaceValue!="undefined"||typeof n.workspaceFolderValue!="undefined"?n.value:typeof d.userValue!="undefined"||typeof d.workspaceValue!="undefined"||typeof d.workspaceFolderValue!="undefined"?d.value:n.defaultValue}e.getMigratedSettingValue=t}),define(ge[185],pe([0,1,57,22,12,16,23,2,83,84,41,5,3]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AllKeysConfigurationChangeEvent=e.ConfigurationChangeEvent=e.mergeChanges=e.Configuration=e.UserSettings=e.ConfigurationModelParser=e.DefaultConfigurationModel=e.ConfigurationModel=void 0;class f{constructor(t={},r=[],s=[]){this._contents=t,this._keys=r,this._overrides=s,this.isFrozen=!1}get contents(){return this.checkAndFreeze(this._contents)}get overrides(){return this.checkAndFreeze(this._overrides)}get keys(){return this.checkAndFreeze(this._keys)}isEmpty(){return this._keys.length===0&&Object.keys(this._contents).length===0&&this._overrides.length===0}getValue(t){return t?i.getConfigurationValue(this.contents,t):this.contents}getOverrideValue(t,r){const s=this.getContentsForOverrideIdentifer(r);return s?t?i.getConfigurationValue(s,t):s:void 0}getKeysForOverrideIdentifier(t){for(const r of this.overrides)if(r.identifiers.indexOf(t)!==-1)return r.keys;return[]}override(t){const r=this.getContentsForOverrideIdentifer(t);if(!r||typeof r!="object"||!Object.keys(r).length)return this;let s={};for(const o of R.distinct([...Object.keys(this.contents),...Object.keys(r)])){let n=this.contents[o],d=r[o];d&&(typeof n=="object"&&typeof d=="object"?(n=C.deepClone(n),this.mergeContents(n,d)):n=d),s[o]=n}return new f(s,this.keys,this.overrides)}merge(...t){const r=C.deepClone(this.contents),s=C.deepClone(this.overrides),o=[...this.keys];for(const n of t){this.mergeContents(r,n.contents);for(const d of n.overrides){const[w]=s.filter(E=>R.equals(E.identifiers,d.identifiers));w?this.mergeContents(w.contents,d.contents):s.push(C.deepClone(d))}for(const d of n.keys)o.indexOf(d)===-1&&o.push(d)}return new f(r,o,s)}freeze(){return this.isFrozen=!0,this}mergeContents(t,r){for(const s of Object.keys(r)){if(s in t&&P.isObject(t[s])&&P.isObject(r[s])){this.mergeContents(t[s],r[s]);continue}t[s]=C.deepClone(r[s])}}checkAndFreeze(t){return this.isFrozen&&!Object.isFrozen(t)?C.deepFreeze(t):t}getContentsForOverrideIdentifer(t){for(const r of this.overrides)if(r.identifiers.indexOf(t)!==-1)return r.contents;return null}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}setValue(t,r){this.addKey(t),i.addToValueTree(this.contents,t,r,s=>{throw new Error(s)})}removeValue(t){this.removeKey(t)&&i.removeFromValueTree(this.contents,t)}addKey(t){let r=this.keys.length;for(let s=0;s<r;s++)t.indexOf(this.keys[s])===0&&(r=s);this.keys.splice(r,1,t)}removeKey(t){let r=this.keys.indexOf(t);return r!==-1?(this.keys.splice(r,1),!0):!1}}e.ConfigurationModel=f;class l extends f{constructor(){const t=i.getDefaultValues(),r=i.getConfigurationKeys(),s=[];for(const o of Object.keys(t))y.OVERRIDE_PROPERTY_PATTERN.test(o)&&s.push({identifiers:[y.overrideIdentifierFromKey(o).trim()],keys:Object.keys(t[o]),contents:i.toValuesTree(t[o],n=>console.error(`Conflict in default settings file: ${n}`))});super(t,r,s)}}e.DefaultConfigurationModel=l;class m{constructor(t,r){this._name=t,this._scopes=r,this._raw=null,this._configurationModel=null,this._parseErrors=[]}get configurationModel(){return this._configurationModel||new f}get errors(){return this._parseErrors}parseContent(t){if(!P.isUndefinedOrNull(t)){const r=this.doParseContent(t);this.parseRaw(r)}}parseRaw(t){this._raw=t;const r=this.doParseRaw(t);this._configurationModel=new f(r.contents,r.keys,r.overrides)}parse(){this._raw&&this.parseRaw(this._raw)}doParseContent(t){let r={},s=null,o=[],n=[],d=[];function w(h){Array.isArray(o)?o.push(h):s&&(o[s]=h)}let E={onObjectBegin:()=>{let h={};w(h),n.push(o),o=h,s=null},onObjectProperty:h=>{s=h},onObjectEnd:()=>{o=n.pop()},onArrayBegin:()=>{let h=[];w(h),n.push(o),o=h,s=null},onArrayEnd:()=>{o=n.pop()},onLiteralValue:w,onError:(h,b,A)=>{d.push({error:h,offset:b,length:A})}};if(t)try{v.visit(t,E),r=o[0]||{}}catch(h){console.error(`Error while parsing settings file ${this._name}: ${h}`),this._parseErrors=[h]}return r}doParseRaw(t){if(this._scopes){const n=T.Registry.as(y.Extensions.Configuration).getConfigurationProperties();t=this.filterByScope(t,n,!0,this._scopes)}const r=i.toValuesTree(t,n=>console.error(`Conflict in settings file ${this._name}: ${n}`)),s=Object.keys(t),o=i.toOverrides(t,n=>console.error(`Conflict in settings file ${this._name}: ${n}`));return{contents:r,keys:s,overrides:o}}filterByScope(t,r,s,o){const n={};for(let d in t)if(y.OVERRIDE_PROPERTY_PATTERN.test(d)&&s)n[d]=this.filterByScope(t[d],r,!1,o);else{const w=this.getScope(d,r);(w===void 0||o.indexOf(w)!==-1)&&(n[d]=t[d])}return n}getScope(t,r){const s=r[t];return s?typeof s.scope!="undefined"?s.scope:3:void 0}}e.ConfigurationModelParser=m;class S extends k.Disposable{constructor(t,r,s,o){super();this.userSettingsResource=t,this.scopes=r,this.fileService=o,this._onDidChange=this._register(new p.Emitter),this.onDidChange=this._onDidChange.event,this.parser=new m(this.userSettingsResource.toString(),this.scopes),this._register(this.fileService.watch(s.dirname(this.userSettingsResource))),this._register(p.Event.filter(this.fileService.onDidFilesChange,n=>n.contains(this.userSettingsResource))(()=>this._onDidChange.fire()))}async loadConfiguration(){try{const t=await this.fileService.readFile(this.userSettingsResource);return this.parser.parseContent(t.value.toString()||"{}"),this.parser.configurationModel}catch(t){return new f}}reprocess(){return this.parser.parse(),this.parser.configurationModel}}e.UserSettings=S;class _{constructor(t,r,s=new f,o=new f,n=new D.ResourceMap,d=new f,w=new D.ResourceMap,E=!0){this._defaultConfiguration=t,this._localUserConfiguration=r,this._remoteUserConfiguration=s,this._workspaceConfiguration=o,this._folderConfigurations=n,this._memoryConfiguration=d,this._memoryConfigurationByResource=w,this._freeze=E,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new D.ResourceMap,this._userConfiguration=null}getValue(t,r,s){return this.getConsolidateConfigurationModel(r,s).getValue(t)}updateValue(t,r,s={}){let o;s.resource?(o=this._memoryConfigurationByResource.get(s.resource),o||(o=new f,this._memoryConfigurationByResource.set(s.resource,o))):o=this._memoryConfiguration,r===void 0?o.removeValue(t):o.setValue(t,r),s.resource||(this._workspaceConsolidatedConfiguration=null)}inspect(t,r,s){const o=this.getConsolidateConfigurationModel(r,s),n=this.getFolderConfigurationModelForResource(r.resource,s),d=r.resource?this._memoryConfigurationByResource.get(r.resource)||this._memoryConfiguration:this._memoryConfiguration,w=r.overrideIdentifier?this._defaultConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this._defaultConfiguration.freeze().getValue(t),E=r.overrideIdentifier?this.userConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.userConfiguration.freeze().getValue(t),h=r.overrideIdentifier?this.localUserConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.localUserConfiguration.freeze().getValue(t),b=r.overrideIdentifier?this.remoteUserConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this.remoteUserConfiguration.freeze().getValue(t),A=s?r.overrideIdentifier?this._workspaceConfiguration.freeze().override(r.overrideIdentifier).getValue(t):this._workspaceConfiguration.freeze().getValue(t):void 0,L=n?r.overrideIdentifier?n.freeze().override(r.overrideIdentifier).getValue(t):n.freeze().getValue(t):void 0,M=r.overrideIdentifier?d.override(r.overrideIdentifier).getValue(t):d.getValue(t),z=o.getValue(t),V=R.distinct(R.flatten(o.overrides.map(W=>W.identifiers))).filter(W=>o.getOverrideValue(t,W)!==void 0);return{defaultValue:w,userValue:E,userLocalValue:h,userRemoteValue:b,workspaceValue:A,workspaceFolderValue:L,memoryValue:M,value:z,default:w!==void 0?{value:this._defaultConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this._defaultConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,user:E!==void 0?{value:this.userConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.userConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,userLocal:h!==void 0?{value:this.localUserConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.localUserConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,userRemote:b!==void 0?{value:this.remoteUserConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this.remoteUserConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,workspace:A!==void 0?{value:this._workspaceConfiguration.freeze().getValue(t),override:r.overrideIdentifier?this._workspaceConfiguration.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,workspaceFolder:L!==void 0?{value:n==null?void 0:n.freeze().getValue(t),override:r.overrideIdentifier?n==null?void 0:n.freeze().getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,memory:M!==void 0?{value:d.getValue(t),override:r.overrideIdentifier?d.getOverrideValue(t,r.overrideIdentifier):void 0}:void 0,overrideIdentifiers:V.length?V:void 0}}keys(t){const r=this.getFolderConfigurationModelForResource(void 0,t);return{default:this._defaultConfiguration.freeze().keys,user:this.userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:r?r.freeze().keys:[]}}updateDefaultConfiguration(t){this._defaultConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateLocalUserConfiguration(t){this._localUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateRemoteUserConfiguration(t){this._remoteUserConfiguration=t,this._userConfiguration=null,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateWorkspaceConfiguration(t){this._workspaceConfiguration=t,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()}updateFolderConfiguration(t,r){this._folderConfigurations.set(t,r),this._foldersConsolidatedConfigurations.delete(t)}deleteFolderConfiguration(t){this.folderConfigurations.delete(t),this._foldersConsolidatedConfigurations.delete(t)}compareAndUpdateDefaultConfiguration(t,r){const s=r.filter(o=>y.OVERRIDE_PROPERTY_PATTERN.test(o)).map(o=>{const n=y.overrideIdentifierFromKey(o),d=this._defaultConfiguration.getKeysForOverrideIdentifier(n),w=t.getKeysForOverrideIdentifier(n),E=[...w.filter(h=>d.indexOf(h)===-1),...d.filter(h=>w.indexOf(h)===-1),...d.filter(h=>!C.equals(this._defaultConfiguration.override(n).getValue(h),t.override(n).getValue(h)))];return[n,E]});return this.updateDefaultConfiguration(t),{keys:r,overrides:s}}compareAndUpdateLocalUserConfiguration(t){const{added:r,updated:s,removed:o,overrides:n}=i.compare(this.localUserConfiguration,t),d=[...r,...s,...o];return d.length&&this.updateLocalUserConfiguration(t),{keys:d,overrides:n}}compareAndUpdateRemoteUserConfiguration(t){const{added:r,updated:s,removed:o,overrides:n}=i.compare(this.remoteUserConfiguration,t);let d=[...r,...s,...o];return d.length&&this.updateRemoteUserConfiguration(t),{keys:d,overrides:n}}compareAndUpdateWorkspaceConfiguration(t){const{added:r,updated:s,removed:o,overrides:n}=i.compare(this.workspaceConfiguration,t);let d=[...r,...s,...o];return d.length&&this.updateWorkspaceConfiguration(t),{keys:d,overrides:n}}compareAndUpdateFolderConfiguration(t,r){const s=this.folderConfigurations.get(t),{added:o,updated:n,removed:d,overrides:w}=i.compare(s,r);let E=[...o,...n,...d];return(E.length||!s)&&this.updateFolderConfiguration(t,r),{keys:E,overrides:w}}compareAndDeleteFolderConfiguration(t){const r=this.folderConfigurations.get(t);if(!r)throw new Error("Unknown folder");this.deleteFolderConfiguration(t);const{added:s,updated:o,removed:n,overrides:d}=i.compare(r,void 0);return{keys:[...s,...o,...n],overrides:d}}get defaults(){return this._defaultConfiguration}get userConfiguration(){return this._userConfiguration||(this._userConfiguration=this._remoteUserConfiguration.isEmpty()?this._localUserConfiguration:this._localUserConfiguration.merge(this._remoteUserConfiguration),this._freeze&&this._userConfiguration.freeze()),this._userConfiguration}get localUserConfiguration(){return this._localUserConfiguration}get remoteUserConfiguration(){return this._remoteUserConfiguration}get workspaceConfiguration(){return this._workspaceConfiguration}get folderConfigurations(){return this._folderConfigurations}getConsolidateConfigurationModel(t,r){let s=this.getConsolidatedConfigurationModelForResource(t,r);return t.overrideIdentifier?s.override(t.overrideIdentifier):s}getConsolidatedConfigurationModelForResource({resource:t},r){let s=this.getWorkspaceConsolidatedConfiguration();if(r&&t){const o=r.getFolder(t);o&&(s=this.getFolderConsolidatedConfiguration(o.uri)||s);const n=this._memoryConfigurationByResource.get(t);n&&(s=s.merge(n))}return s}getWorkspaceConsolidatedConfiguration(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this.userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration}getFolderConsolidatedConfiguration(t){let r=this._foldersConsolidatedConfigurations.get(t);if(!r){const s=this.getWorkspaceConsolidatedConfiguration(),o=this._folderConfigurations.get(t);o?(r=s.merge(o),this._freeze&&(r=r.freeze()),this._foldersConsolidatedConfigurations.set(t,r)):r=s}return r}getFolderConfigurationModelForResource(t,r){if(r&&t){const s=r.getFolder(t);if(s)return this._folderConfigurations.get(s.uri)}}toData(){return{defaults:{contents:this._defaultConfiguration.contents,overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:[...this._folderConfigurations.keys()].reduce((t,r)=>{const{contents:s,overrides:o,keys:n}=this._folderConfigurations.get(r);return t.push([r,{contents:s,overrides:o,keys:n}]),t},[])}}allKeys(){const t=new Set;return this._defaultConfiguration.freeze().keys.forEach(r=>t.add(r)),this.userConfiguration.freeze().keys.forEach(r=>t.add(r)),this._workspaceConfiguration.freeze().keys.forEach(r=>t.add(r)),this._folderConfigurations.forEach(r=>r.freeze().keys.forEach(s=>t.add(s))),[...t.values()]}getAllKeysForOverrideIdentifier(t){const r=new Set;return this._defaultConfiguration.getKeysForOverrideIdentifier(t).forEach(s=>r.add(s)),this.userConfiguration.getKeysForOverrideIdentifier(t).forEach(s=>r.add(s)),this._workspaceConfiguration.getKeysForOverrideIdentifier(t).forEach(s=>r.add(s)),this._folderConfigurations.forEach(s=>s.getKeysForOverrideIdentifier(t).forEach(o=>r.add(o))),[...r.values()]}static parse(t){const r=this.parseConfigurationModel(t.defaults),s=this.parseConfigurationModel(t.user),o=this.parseConfigurationModel(t.workspace),n=t.folders.reduce((d,w)=>(d.set(I.URI.revive(w[0]),this.parseConfigurationModel(w[1])),d),new D.ResourceMap);return new _(r,s,new f,o,n,new f,new D.ResourceMap,!1)}static parseConfigurationModel(t){return new f(t.contents,t.keys,t.overrides).freeze()}}e.Configuration=_;function g(...c){if(c.length===0)return{keys:[],overrides:[]};if(c.length===1)return c[0];const t=new Set,r=new Map;for(const o of c)o.keys.forEach(n=>t.add(n)),o.overrides.forEach(([n,d])=>{const w=D.getOrSet(r,n,new Set);d.forEach(E=>w.add(E))});const s=[];return r.forEach((o,n)=>s.push([n,[...o.values()]])),{keys:[...t.values()],overrides:s}}e.mergeChanges=g;class a{constructor(t,r,s,o){this.change=t,this.previous=r,this.currentConfiguraiton=s,this.currentWorkspace=o,this._previousConfiguration=void 0;const n=new Set;t.keys.forEach(w=>n.add(w)),t.overrides.forEach(([,w])=>w.forEach(E=>n.add(E))),this.affectedKeys=[...n.values()];const d=new f;this.affectedKeys.forEach(w=>d.setValue(w,{})),this.affectedKeysTree=d.contents}get previousConfiguration(){return!this._previousConfiguration&&this.previous&&(this._previousConfiguration=_.parse(this.previous.data)),this._previousConfiguration}affectsConfiguration(t,r){var s;if(this.doesAffectedKeysTreeContains(this.affectedKeysTree,t)){if(r){const o=this.previousConfiguration?this.previousConfiguration.getValue(t,r,(s=this.previous)===null||s===void 0?void 0:s.workspace):void 0,n=this.currentConfiguraiton.getValue(t,r,this.currentWorkspace);return!C.equals(o,n)}return!0}return!1}doesAffectedKeysTreeContains(t,r){let s=i.toValuesTree({[r]:!0},()=>{}),o;for(;typeof s=="object"&&(o=Object.keys(s)[0]);){if(t=t[o],!t)return!1;s=s[o]}return!0}}e.ConfigurationChangeEvent=a;class u extends a{constructor(t,r,s,o){super({keys:t.allKeys(),overrides:[]},void 0,t,r);this.source=s,this.sourceConfig=o}}e.AllKeysConfigurationChangeEvent=u}),define(ge[111],pe([0,1,4]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RemoteAuthorityResolverError=e.RemoteAuthorityResolverErrorCode=e.IRemoteAuthorityResolverService=void 0,e.IRemoteAuthorityResolverService=v.createDecorator("remoteAuthorityResolverService");var D;(function(P){P.Unknown="Unknown",P.NotAvailable="NotAvailable",P.TemporarilyNotAvailable="TemporarilyNotAvailable",P.NoResolverFound="NoResolverFound"})(D=e.RemoteAuthorityResolverErrorCode||(e.RemoteAuthorityResolverErrorCode={}));class R extends Error{constructor(C,I=D.Unknown,y){super(C);this._message=C,this._code=I,this._detail=y,this.isHandled=I===D.NotAvailable&&y===!0,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,R.prototype)}static isTemporarilyNotAvailable(C){return C instanceof R&&C._code===D.TemporarilyNotAvailable}static isNoResolverFound(C){return C instanceof R&&C._code===D.NoResolverFound}static isHandled(C){return C instanceof R&&C.isHandled}}e.RemoteAuthorityResolverError=R}),define(ge[112],pe([0,1,13]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getRemoteName=e.getRemoteAuthority=void 0;function D(P){return P.scheme===v.Schemas.vscodeRemote?P.authority:void 0}e.getRemoteAuthority=D;function R(P){if(!!P){const C=P.indexOf("+");return C<0?P:P.substr(0,C)}}e.getRemoteName=R}),define(ge[186],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SignService=void 0;class v{vsda(){return new Promise((R,P)=>Q(["vsda"],R,P))}async sign(R){try{const P=await this.vsda(),C=new P.signer;if(C)return C.sign(R)}catch(P){}return R}}e.SignService=v}),define(ge[187],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TerminalDataBufferer=void 0;class v{constructor(R){this._callback=R,this._terminalBufferMap=new Map}dispose(){for(const R of this._terminalBufferMap.values())R.dispose()}startBuffering(R,P,C=5){let I;return I=P(y=>{const i=typeof y=="string"?y:y.data;let T=this._terminalBufferMap.get(R);if(T){T.data.push(i);return}const k=setTimeout(()=>this._flushBuffer(R),C);T={data:[i],timeoutId:k,dispose:()=>{clearTimeout(k),this._flushBuffer(R),I.dispose()}},this._terminalBufferMap.set(R,T)}),I}stopBuffering(R){const P=this._terminalBufferMap.get(R);P&&P.dispose()}_flushBuffer(R){const P=this._terminalBufferMap.get(R);P&&(this._terminalBufferMap.delete(R),this._callback(R,P.data.join("")))}}e.TerminalDataBufferer=v}),define(ge[113],pe([0,1,39,7,24,16,23,9]),function(Q,e,v,D,R,P,C,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.findExecutable=e.getWindowsBuildNumber=void 0;function y(){const T=/(\d+)\.(\d+)\.(\d+)/g.exec(v.release());let k=0;return T&&T.length===4&&(k=parseInt(T[3])),k}e.getWindowsBuildNumber=y;async function i(T,k,p,f=process.env){if(D.isAbsolute(T))return await R.exists(T)?T:void 0;if(k===void 0&&(k=process.cwd()),D.dirname(T)!=="."){const _=D.join(k,T);return await R.exists(_)?_:void 0}const m=C.getCaseInsensitive(f,"PATH");if(p===void 0&&P.isString(m)&&(p=m.split(D.delimiter)),p===void 0||p.length===0){const _=D.join(k,T);return await R.exists(_)?_:void 0}for(let _ of p){let g;if(D.isAbsolute(_)?g=D.join(_,T):g=D.join(k,_,T),await R.exists(g))return g;if(I.isWindows){let a=g+".com";if(await R.exists(a)||(a=g+".exe",await R.exists(a)))return a}}const S=D.join(k,T);return await R.exists(S)?S:void 0}e.findExecutable=i});var Ve=this&&this.__decorate||function(Q,e,v,D){var R=arguments.length,P=R<3?e:D===null?D=Object.getOwnPropertyDescriptor(e,v):D,C;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")P=Reflect.decorate(Q,e,v,D);else for(var I=Q.length-1;I>=0;I--)(C=Q[I])&&(P=(R<3?C(P):R>3?C(e,v,P):C(e,v))||P);return R>3&&P&&Object.defineProperty(e,v,P),P},$e=this&&this.__param||function(Q,e){return function(v,D){e(v,D,Q)}};define(ge[188],pe([0,1,7,9,29,39,3,5,35,11,113,2,153]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TerminalProcess=void 0;const f=50,l=5;let m=class extends I.Disposable{constructor(g,a,u,c,t,r,s,o){var n;super();this._shellLaunchConfig=g,this._executableEnv=r,this._logService=o,this.id=0,this.shouldPersist=!1,this._currentTitle="",this._isDisposed=!1,this._titleInterval=null,this._writeQueue=[],this._isPtyPaused=!1,this._unacknowledgedCharCount=0,this._onProcessData=this._register(new C.Emitter),this._onProcessExit=this._register(new C.Emitter),this._onProcessReady=this._register(new C.Emitter),this._onProcessTitleChanged=this._register(new C.Emitter);let d;D.isWindows?d=v.basename(this._shellLaunchConfig.executable||""):d="xterm-256color",this._initialCwd=a;const w=s&&process.platform==="win32"&&T.getWindowsBuildNumber()>=18309;this._ptyOptions={name:d,cwd:a,env:t,cols:u,rows:c,useConpty:w,conptyInheritCursor:w&&!!g.initialText},D.isWindows&&w&&u===0&&c===0&&((n=this._shellLaunchConfig.executable)===null||n===void 0?void 0:n.endsWith("Git\\bin\\bash.exe"))&&(this._delayedResizer=new S,this._register(this._delayedResizer.onTrigger(E=>{var h;(h=this._delayedResizer)===null||h===void 0||h.dispose(),this._delayedResizer=void 0,E.cols&&E.rows&&this.resize(E.cols,E.rows)})))}get exitMessage(){return this._exitMessage}get currentTitle(){return this._currentTitle}get onProcessData(){return this._onProcessData.event}get onProcessExit(){return this._onProcessExit.event}get onProcessReady(){return this._onProcessReady.event}get onProcessTitleChanged(){return this._onProcessTitleChanged.event}async start(){const a=(await Promise.all([this._validateCwd(),this._validateExecutable()])).find(u=>u!==void 0);if(a)return a;try{await this.setupPtyProcess(this._shellLaunchConfig,this._ptyOptions);return}catch(u){return this._logService.trace("IPty#spawn native exception",u),{message:`A native exception occurred during launch (${u.message})`}}}async _validateCwd(){try{if(!(await R.promises.stat(this._initialCwd)).isDirectory())return{message:p.localize(0,null,this._initialCwd.toString())}}catch(g){if((g==null?void 0:g.code)==="ENOENT")return{message:p.localize(1,null,this._initialCwd.toString())}}}async _validateExecutable(){const g=this._shellLaunchConfig;if(!g.executable)throw new Error("IShellLaunchConfig.executable not set");try{const a=await R.promises.stat(g.executable);if(!a.isFile()&&!a.isSymbolicLink())return{message:p.localize(2,null,g.executable)}}catch(a){if((a==null?void 0:a.code)==="ENOENT"){let u=g.cwd instanceof k.URI?g.cwd.path:g.cwd;const c=g.env&&g.env.PATH?g.env.PATH.split(v.delimiter):void 0;if(!await T.findExecutable(g.executable,u,c,this._executableEnv))return{message:p.localize(3,null,g.executable)}}}}async setupPtyProcess(g,a){const u=g.args||[];this._logService.trace("IPty#spawn",g.executable,u,a);const c=(await new Promise((t,r)=>{Q(["node-pty"],t,r)})).spawn(g.executable,u,a);this._ptyProcess=c,this._processStartupComplete=new Promise(t=>{this.onProcessReady(()=>t())}),c.onData(t=>{this._shellLaunchConfig.flowControl&&(this._unacknowledgedCharCount+=t.length,!this._isPtyPaused&&this._unacknowledgedCharCount>1e5&&(this._logService.trace(`Flow control: Pause (${this._unacknowledgedCharCount} > ${1e5})`),this._isPtyPaused=!0,c.pause())),this._onProcessData.fire(t),this._closeTimeout&&(clearTimeout(this._closeTimeout),this._queueProcessExit())}),c.onExit(t=>{this._exitCode=t.exitCode,this._queueProcessExit()}),this._setupTitlePolling(c),this._sendProcessId(c.pid)}dispose(){this._isDisposed=!0,this._titleInterval&&clearInterval(this._titleInterval),this._titleInterval=null,this._onProcessData.dispose(),this._onProcessExit.dispose(),this._onProcessReady.dispose(),this._onProcessTitleChanged.dispose(),super.dispose()}_setupTitlePolling(g){setTimeout(()=>this._sendProcessTitle(g),0),D.isWindows||(this._titleInterval=setInterval(()=>{this._currentTitle!==g.process&&this._sendProcessTitle(g)},200))}_queueProcessExit(){this._closeTimeout&&clearTimeout(this._closeTimeout),this._closeTimeout=setTimeout(()=>this._kill(),250)}async _kill(){if(await this._processStartupComplete,!this._isDisposed){try{this._ptyProcess&&(this._logService.trace("IPty#kill"),this._ptyProcess.kill())}catch(g){}this._onProcessExit.fire(this._exitCode||0),this.dispose()}}_sendProcessId(g){this._onProcessReady.fire({pid:g,cwd:this._initialCwd})}_sendProcessTitle(g){this._isDisposed||(this._currentTitle=g.process,this._onProcessTitleChanged.fire(this._currentTitle))}shutdown(g){g?this._kill():this._queueProcessExit()}input(g){if(!(this._isDisposed||!this._ptyProcess)){for(let a=0;a<=Math.floor(g.length/f);a++)this._writeQueue.push(g.substr(a*f,f));this._startWrite()}}_startWrite(){if(!(this._writeTimeout!==void 0||this._writeQueue.length===0)){if(this._doWrite(),this._writeQueue.length===0){this._writeTimeout=void 0;return}this._writeTimeout=setTimeout(()=>{this._writeTimeout=void 0,this._startWrite()},l)}}_doWrite(){const g=this._writeQueue.shift();this._logService.trace("IPty#write",`${g.length} characters`),this._ptyProcess.write(g)}resize(g,a){if(!this._isDisposed&&!(typeof g!="number"||typeof a!="number"||isNaN(g)||isNaN(a))&&this._ptyProcess){if(g=Math.max(g,1),a=Math.max(a,1),this._delayedResizer){this._delayedResizer.cols=g,this._delayedResizer.rows=a;return}this._logService.trace("IPty#resize",g,a);try{this._ptyProcess.resize(g,a)}catch(u){if(this._logService.trace("IPty#resize exception "+u.message),this._exitCode!==void 0&&u.message!=="ioctl(2) failed, EBADF")throw u}}}acknowledgeDataEvent(g){var a;!this._shellLaunchConfig.flowControl||(this._unacknowledgedCharCount=Math.max(this._unacknowledgedCharCount-g,0),this._logService.trace(`Flow control: Ack ${g} chars (unacknowledged: ${this._unacknowledgedCharCount})`),this._isPtyPaused&&this._unacknowledgedCharCount<5e3&&(this._logService.trace(`Flow control: Resume (${this._unacknowledgedCharCount} < ${5e3})`),(a=this._ptyProcess)===null||a===void 0||a.resume(),this._isPtyPaused=!1))}clearUnacknowledgedChars(){var g;!this._shellLaunchConfig.flowControl||(this._unacknowledgedCharCount=0,this._logService.trace("Flow control: Cleared all unacknowledged chars, forcing resume"),this._isPtyPaused&&((g=this._ptyProcess)===null||g===void 0||g.resume(),this._isPtyPaused=!1))}getInitialCwd(){return Promise.resolve(this._initialCwd)}getCwd(){if(D.isMacintosh){const g=P.release().split(".");if(g.length>0&&parseInt(g[0])<20)return new Promise(a=>{if(!this._ptyProcess){a(this._initialCwd);return}this._logService.trace("IPty#pid"),y.exec("lsof -OPln -p "+this._ptyProcess.pid+" | grep cwd",(u,c,t)=>{!u&&c!==""?a(c.substring(c.indexOf("/"),c.length-1)):(this._logService.error("lsof did not run successfully, it may not be on the $PATH?",u,c,t),a(this._initialCwd))})})}return D.isLinux?new Promise(g=>{if(!this._ptyProcess){g(this._initialCwd);return}this._logService.trace("IPty#pid"),R.readlink("/proc/"+this._ptyProcess.pid+"/cwd",(a,u)=>{a&&g(this._initialCwd),g(u)})}):new Promise(g=>{g(this._initialCwd)})}getLatency(){return Promise.resolve(0)}};m=Ve([$e(7,i.ILogService)],m),e.TerminalProcess=m;class S extends I.Disposable{constructor(){super();this._onTrigger=this._register(new C.Emitter),this._timeout=setTimeout(()=>{this._onTrigger.fire({rows:this.rows,cols:this.cols})},1e3),this._register({dispose:()=>{clearTimeout(this._timeout)}})}get onTrigger(){return this._onTrigger.event}dispose(){super.dispose(),clearTimeout(this._timeout)}}}),define(ge[189],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ColorScheme=void 0;var v;(function(D){D.DARK="dark",D.LIGHT="light",D.HIGH_CONTRAST="hc"})(v=e.ColorScheme||(e.ColorScheme={}))}),define(ge[190],pe([0,1,4,5,41,3,189,47]),function(Q,e,v,D,R,P,C,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Themable=e.registerThemingParticipant=e.Extensions=e.getThemeTypeSelector=e.FolderThemeIcon=e.FileThemeIcon=e.ThemeIcon=e.themeColorFromId=e.ThemeColor=e.IThemeService=void 0,e.IThemeService=v.createDecorator("themeService");var y;(function(S){function _(g){return g&&typeof g=="object"&&typeof g.id=="string"}S.isThemeColor=_})(y=e.ThemeColor||(e.ThemeColor={}));function i(S){return{id:S}}e.themeColorFromId=i;var T;(function(S){function _(t){return t&&typeof t=="object"&&typeof t.id=="string"&&(typeof t.color=="undefined"||y.isThemeColor(t.color))}S.isThemeIcon=_;const g=new RegExp(`^\\$\\((${I.CSSIcon.iconNameExpression}(?:${I.CSSIcon.iconModifierExpression})?)\\)$`);function a(t){const r=g.exec(t);if(!!r){let[,s]=r;return{id:s}}}S.fromString=a;function u(t,r){let s=t.id;const o=s.lastIndexOf("~");return o!==-1&&(s=s.substring(0,o)),r&&(s=`${s}~${r}`),{id:s}}S.modify=u;function c(t,r){var s,o;return t.id===r.id&&((s=t.color)===null||s===void 0?void 0:s.id)===((o=r.color)===null||o===void 0?void 0:o.id)}S.isEqual=c,S.asClassNameArray=I.CSSIcon.asClassNameArray,S.asClassName=I.CSSIcon.asClassName,S.asCSSSelector=I.CSSIcon.asCSSSelector})(T=e.ThemeIcon||(e.ThemeIcon={})),e.FileThemeIcon=I.Codicon.file,e.FolderThemeIcon=I.Codicon.folder;function k(S){switch(S){case C.ColorScheme.DARK:return"vs-dark";case C.ColorScheme.HIGH_CONTRAST:return"hc-black";default:return"vs"}}e.getThemeTypeSelector=k,e.Extensions={ThemingContribution:"base.contributions.theming"};class p{constructor(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new P.Emitter}onColorThemeChange(_){return this.themingParticipants.push(_),this.onThemingParticipantAddedEmitter.fire(_),D.toDisposable(()=>{const g=this.themingParticipants.indexOf(_);this.themingParticipants.splice(g,1)})}get onThemingParticipantAdded(){return this.onThemingParticipantAddedEmitter.event}getThemingParticipants(){return this.themingParticipants}}let f=new p;R.Registry.add(e.Extensions.ThemingContribution,f);function l(S){return f.onColorThemeChange(S)}e.registerThemingParticipant=l;class m extends D.Disposable{constructor(_){super();this.themeService=_,this.theme=_.getColorTheme(),this._register(this.themeService.onDidColorThemeChange(g=>this.onThemeChange(g)))}onThemeChange(_){this.theme=_,this.updateStyles()}updateStyles(){}getColor(_,g){let a=this.theme.getColor(_);return a&&g&&(a=g(a,this.theme)),a?a.toString():null}}e.Themable=m}),define(ge[191],pe([0,1,41,190,3,154,110,19,47]),function(Q,e,v,D,R,P,C,I,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.syncing=e.gotoNextLocation=e.gotoPreviousLocation=e.widgetClose=e.iconsSchemaId=e.getIconRegistry=e.registerIcon=e.Extensions=void 0,e.Extensions={IconContribution:"base.contributions.icons"};class i{constructor(){this._onDidChange=new R.Emitter,this.onDidChange=this._onDidChange.event,this.iconSchema={definitions:{icons:{type:"object",properties:{fontId:{type:"string",description:P.localize(0,null)},fontCharacter:{type:"string",description:P.localize(1,null)}},additionalProperties:!1,defaultSnippets:[{body:{fontCharacter:"\\\\e030"}}]}},type:"object",properties:{}},this.iconReferenceSchema={type:"string",pattern:`^${y.CSSIcon.iconNameExpression}$`,enum:[],enumDescriptions:[]},this.iconsById={},this.iconFontsById={}}registerIcon(_,g,a,u){const c=this.iconsById[_];if(c){if(a&&!c.description){c.description=a,this.iconSchema.properties[_].markdownDescription=`${a} $(${_})`;const s=this.iconReferenceSchema.enum.indexOf(_);s!==-1&&(this.iconReferenceSchema.enumDescriptions[s]=a),this._onDidChange.fire()}return c}let t={id:_,description:a,defaults:g,deprecationMessage:u};this.iconsById[_]=t;let r={$ref:"#/definitions/icons"};return u&&(r.deprecationMessage=u),a&&(r.markdownDescription=`${a}: $(${_})`),this.iconSchema.properties[_]=r,this.iconReferenceSchema.enum.push(_),this.iconReferenceSchema.enumDescriptions.push(a||""),this._onDidChange.fire(),{id:_}}deregisterIcon(_){delete this.iconsById[_],delete this.iconSchema.properties[_];const g=this.iconReferenceSchema.enum.indexOf(_);g!==-1&&(this.iconReferenceSchema.enum.splice(g,1),this.iconReferenceSchema.enumDescriptions.splice(g,1)),this._onDidChange.fire()}getIcons(){return Object.keys(this.iconsById).map(_=>this.iconsById[_])}getIcon(_){return this.iconsById[_]}getIconSchema(){return this.iconSchema}getIconReferenceSchema(){return this.iconReferenceSchema}registerIconFont(_,g){const a=this.iconFontsById[_];if(a)return a;let u={id:_,definition:g};return this.iconFontsById[_]=u,this._onDidChange.fire(),u}deregisterIconFont(_){delete this.iconFontsById[_]}getIconFonts(){return Object.keys(this.iconFontsById).map(_=>this.iconFontsById[_])}getIconFont(_){return this.iconFontsById[_]}toString(){const _=(c,t)=>c.id.localeCompare(t.id),g=c=>{for(;D.ThemeIcon.isThemeIcon(c.defaults);)c=this.iconsById[c.defaults.id];return`codicon codicon-${c?c.id:""}`};let a=[];a.push("| preview     | identifier                        | default codicon ID                | description"),a.push("| ----------- | --------------------------------- | --------------------------------- | --------------------------------- |");const u=Object.keys(this.iconsById).map(c=>this.iconsById[c]);for(const c of u.filter(t=>!!t.description).sort(_))a.push(`|<i class="${g(c)}"></i>|${c.id}|${D.ThemeIcon.isThemeIcon(c.defaults)?c.defaults.id:c.id}|${c.description||""}|`);a.push("| preview     | identifier                        "),a.push("| ----------- | --------------------------------- |");for(const c of u.filter(t=>!D.ThemeIcon.isThemeIcon(t.defaults)).sort(_))a.push(`|<i class="${g(c)}"></i>|${c.id}|`);return a.join(`
`)}}const T=new i;v.Registry.add(e.Extensions.IconContribution,T);function k(S,_,g,a){return T.registerIcon(S,_,g,a)}e.registerIcon=k;function p(){return T}e.getIconRegistry=p;function f(){for(const S of y.iconRegistry.all)T.registerIcon(S.id,S.definition,S.description);y.iconRegistry.onDidRegister(S=>T.registerIcon(S.id,S.definition,S.description))}f(),e.iconsSchemaId="vscode://schemas/icons";let l=v.Registry.as(C.Extensions.JSONContribution);l.registerSchema(e.iconsSchemaId,T.getIconSchema());const m=new I.RunOnceScheduler(()=>l.notifySchemaChanged(e.iconsSchemaId),200);T.onDidChange(()=>{m.isScheduled()||m.schedule()}),e.widgetClose=k("widget-close",y.Codicon.close,P.localize(2,null)),e.gotoPreviousLocation=k("goto-previous-location",y.Codicon.arrowUp,P.localize(3,null)),e.gotoNextLocation=k("goto-next-location",y.Codicon.arrowDown,P.localize(4,null)),e.syncing=D.ThemeIcon.modify(y.Codicon.sync,"spin")}),define(ge[61],pe([0,1,2,25,4,22]),function(Q,e,v,D,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toWorkspaceFolder=e.WorkspaceFolder=e.Workspace=e.isWorkspaceFolder=e.isWorkspace=e.WorkbenchState=e.IWorkspaceContextService=void 0,e.IWorkspaceContextService=R.createDecorator("contextService");var C;(function(p){p[p.EMPTY=1]="EMPTY",p[p.FOLDER=2]="FOLDER",p[p.WORKSPACE=3]="WORKSPACE"})(C=e.WorkbenchState||(e.WorkbenchState={}));function I(p){const f=p;return!!(f&&typeof f=="object"&&typeof f.id=="string"&&Array.isArray(f.folders))}e.isWorkspace=I;function y(p){const f=p;return!!(f&&typeof f=="object"&&v.URI.isUri(f.uri)&&typeof f.name=="string"&&typeof f.toResource=="function")}e.isWorkspaceFolder=y;class i{constructor(f,l,m,S){this._id=f,this._configuration=m,this._ignorePathCasing=S,this._foldersMap=P.TernarySearchTree.forUris(this._ignorePathCasing),this.folders=l}update(f){this._id=f.id,this._configuration=f.configuration,this._ignorePathCasing=f._ignorePathCasing,this.folders=f.folders}get folders(){return this._folders}set folders(f){this._folders=f,this.updateFoldersMap()}get id(){return this._id}get configuration(){return this._configuration}set configuration(f){this._configuration=f}getFolder(f){return f&&this._foldersMap.findSubstr(f.with({scheme:f.scheme,authority:f.authority,path:f.path}))||null}updateFoldersMap(){this._foldersMap=P.TernarySearchTree.forUris(this._ignorePathCasing);for(const f of this.folders)this._foldersMap.set(f.uri,f)}toJSON(){return{id:this.id,folders:this.folders,configuration:this.configuration}}}e.Workspace=i;class T{constructor(f,l){this.raw=l,this.uri=f.uri,this.index=f.index,this.name=f.name}toResource(f){return D.joinPath(this.uri,f)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.WorkspaceFolder=T;function k(p){return new T({uri:p,index:0,name:D.basenameOrAuthority(p)},{uri:p.toString()})}e.toWorkspaceFolder=k}),define(ge[114],pe([0,1,4,155,61,2,9,7,25,129,57,13,77,31,112]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.toStoreData=e.restoreRecentlyOpened=e.useSlashForPath=e.rewriteWorkspaceFileForNewLocation=e.toWorkspaceFolders=e.getStoredWorkspaceFolder=e.isRawUriWorkspaceFolder=e.isRawFileWorkspaceFolder=e.isStoredWorkspaceFolder=e.isUntitledWorkspace=e.reviveIdentifier=e.isWorkspaceIdentifier=e.toWorkspaceIdentifier=e.isSingleFolderWorkspaceIdentifier=e.isRecentFile=e.isRecentFolder=e.isRecentWorkspace=e.IWorkspacesService=e.hasWorkspaceFileExtension=e.UNTITLED_WORKSPACE_NAME=e.WORKSPACE_FILTER=e.WORKSPACE_EXTENSION=void 0,e.WORKSPACE_EXTENSION="code-workspace";const m=`.${e.WORKSPACE_EXTENSION}`;e.WORKSPACE_FILTER=[{name:D.localize(0,null),extensions:[e.WORKSPACE_EXTENSION]}],e.UNTITLED_WORKSPACE_NAME="workspace.json";function S(z){return(typeof z=="string"?I.extname(z):y.extname(z))===m}e.hasWorkspaceFileExtension=S,e.IWorkspacesService=v.createDecorator("workspacesService");function _(z){return z.hasOwnProperty("workspace")}e.isRecentWorkspace=_;function g(z){return z.hasOwnProperty("folderUri")}e.isRecentFolder=g;function a(z){return z.hasOwnProperty("fileUri")}e.isRecentFile=a;function u(z){const V=z;return typeof(V==null?void 0:V.id)=="string"&&P.URI.isUri(V.uri)}e.isSingleFolderWorkspaceIdentifier=u;function c(z){if(z.configuration)return{id:z.id,configPath:z.configuration};if(z.folders.length===1)return{id:z.id,uri:z.folders[0].uri}}e.toWorkspaceIdentifier=c;function t(z){const V=z;return typeof(V==null?void 0:V.id)=="string"&&P.URI.isUri(V.configPath)}e.isWorkspaceIdentifier=t;function r(z){const V=z;if(V==null?void 0:V.uri)return{id:V.id,uri:P.URI.revive(V.uri)};const W=z;if(W==null?void 0:W.configPath)return{id:W.id,configPath:P.URI.revive(W.configPath)};if(z==null?void 0:z.id)return{id:z.id}}e.reviveIdentifier=r;function s(z,V){return y.extUriBiasedIgnorePathCase.isEqualOrParent(z,V.untitledWorkspacesHome)}e.isUntitledWorkspace=s;function o(z){return n(z)||d(z)}e.isStoredWorkspaceFolder=o;function n(z){const V=z;return typeof(V==null?void 0:V.path)=="string"&&(!V.name||typeof V.name=="string")}e.isRawFileWorkspaceFolder=n;function d(z){const V=z;return typeof(V==null?void 0:V.uri)=="string"&&(!V.name||typeof V.name=="string")}e.isRawUriWorkspaceFolder=d;function w(z,V,W,K,x=!C.isWindows,N){if(z.scheme!==K.scheme)return{name:W,uri:z.toString(!0)};let U=V?void 0:N.relativePath(K,z);if(U!==void 0)U.length===0?U=".":C.isWindows&&z.scheme===k.Schemas.file&&!x&&(U=U.replace(/\//g,"\\"));else if(z.scheme===k.Schemas.file)U=z.fsPath,C.isWindows&&(U=p.normalizeDriveLetter(U),x&&(U=f.toSlashes(U)));else{if(!N.isEqualAuthority(z.authority,K.authority))return{name:W,uri:z.toString(!0)};U=z.path}return{name:W,path:U}}e.getStoredWorkspaceFolder=w;function E(z,V,W){let K=[],x=new Set;const N=W.dirname(V);for(let U of z){let F=null;if(n(U))U.path&&(F=W.resolvePath(N,U.path));else if(d(U))try{F=P.URI.parse(U.uri),F.path[0]!=="/"&&(F=F.with({path:"/"+F.path}))}catch(O){console.warn(O)}if(F){let O=W.getComparisonKey(F);if(!x.has(O)){x.add(O);const $=U.name||W.basenameOrAuthority(F);K.push(new R.WorkspaceFolder({uri:F,name:$,index:K.length},U))}}}return K}e.toWorkspaceFolders=E;function h(z,V,W,K,x){let N=b(V,z);const U=x.dirname(V),F=x.dirname(K),O=[],$=A(N.folders);for(const fe of N.folders){const Te=n(fe)?x.resolvePath(U,fe.path):P.URI.parse(fe.uri);let Se;W?Se=!1:Se=!n(fe)||I.isAbsolute(fe.path),O.push(w(Te,Se,fe.name,F,$,x))}const q={insertSpaces:!1,tabSize:4,eol:C.isLinux||C.isMacintosh?`
`:`\r
`},Z=i.setProperty(z,["folders"],O,q);let ae=i.applyEdits(z,Z);return N.remoteAuthority===l.getRemoteAuthority(K)&&(ae=i.applyEdits(ae,i.removeProperty(ae,["remoteAuthority"],q))),ae}e.rewriteWorkspaceFileForNewLocation=h;function b(z,V){let W=T.parse(V);if(W&&Array.isArray(W.folders))W.folders=W.folders.filter(K=>o(K));else throw new Error(`${z} looks like an invalid workspace file.`);return W}function A(z){return C.isWindows?z.some(V=>n(V)&&V.path.indexOf("/")>=0):!0}e.useSlashForPath=A;function L(z,V){const W={workspaces:[],files:[]};if(z){const K=function(N,U){for(let F=0;F<N.length;F++)try{U(N[F],F)}catch(O){V.warn(`Error restoring recent entry ${JSON.stringify(N[F])}: ${O.toString()}. Skip entry.`)}},x=z;Array.isArray(x.workspaces3)&&K(x.workspaces3,(N,U)=>{const F=Array.isArray(x.workspaceLabels)&&x.workspaceLabels[U]||void 0;typeof N=="object"&&typeof N.id=="string"&&typeof N.configURIPath=="string"?W.workspaces.push({label:F,workspace:{id:N.id,configPath:P.URI.parse(N.configURIPath)}}):typeof N=="string"&&W.workspaces.push({label:F,folderUri:P.URI.parse(N)})}),Array.isArray(x.files2)&&K(x.files2,(N,U)=>{const F=Array.isArray(x.fileLabels)&&x.fileLabels[U]||void 0;typeof N=="string"&&W.files.push({label:F,fileUri:P.URI.parse(N)})})}return W}e.restoreRecentlyOpened=L;function M(z){const V={workspaces3:[],files2:[]};let W=!1;const K=[];for(const N of z.workspaces)g(N)?V.workspaces3.push(N.folderUri.toString()):V.workspaces3.push({id:N.workspace.id,configURIPath:N.workspace.configPath.toString()}),K.push(N.label||null),W=W||!!N.label;W&&(V.workspaceLabels=K),W=!1;const x=[];for(const N of z.files)V.files2.push(N.fileUri.toString()),x.push(N.label||null),W=W||!!N.label;return W&&(V.fileLabels=x),V}e.toStoreData=M}),define(ge[115],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Cache=void 0;class v{constructor(R){this.id=R,this._data=new Map,this._idPool=1}add(R){const P=this._idPool++;return this._data.set(P,R),this.logDebugInfo(),P}get(R,P){return this._data.has(R)?this._data.get(R)[P]:void 0}delete(R){this._data.delete(R),this.logDebugInfo()}logDebugInfo(){!v.enableDebugLogging||console.log(`${this.id} cache size \u2014 ${this._data.size}`)}}e.Cache=v,v.enableDebugLogging=!1}),define(ge[192],pe([0,1,2,3]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorTabs=void 0;class R{constructor(){this._onDidChangeTabs=new D.Emitter,this.onDidChangeTabs=this._onDidChangeTabs.event,this._tabs=[]}get tabs(){return this._tabs}$acceptEditorTabs(C){this._tabs=C.map(I=>({name:I.name,group:I.group,resource:v.URI.revive(I.resource)})),this._onDidChangeTabs.fire()}}e.ExtHostEditorTabs=R}),define(ge[62],pe([0,1,13,4]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostFileSystemInfo=e.ExtHostFileSystemInfo=void 0;class R{constructor(){this._systemSchemes=new Set(Object.keys(v.Schemas)),this._providerInfo=new Map}$acceptProviderInfos(C,I){I===null?this._providerInfo.delete(C):this._providerInfo.set(C,I)}isFreeScheme(C){return!this._providerInfo.has(C)&&!this._systemSchemes.has(C)}getCapabilities(C){return this._providerInfo.get(C)}}e.ExtHostFileSystemInfo=R,e.IExtHostFileSystemInfo=D.createDecorator("IExtHostFileSystemInfo")}),define(ge[27],pe([0,1,4]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostInitDataService=void 0,e.IExtHostInitDataService=v.createDecorator("IExtHostInitDataService")}),define(ge[193],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionGlobalMemento=e.ExtensionMemento=void 0;class v{constructor(P,C,I){this._id=P,this._shared=C,this._storage=I,this._init=this._storage.getValue(this._shared,this._id,Object.create(null)).then(y=>(this._value=y,this)),this._storageListener=this._storage.onDidChangeStorage(y=>{y.shared===this._shared&&y.key===this._id&&(this._value=y.value)})}get whenReady(){return this._init}get(P,C){let I=this._value[P];return typeof I=="undefined"&&(I=C),I}update(P,C){return this._value[P]=C,this._storage.setValue(this._shared,this._id,this._value)}dispose(){this._storageListener.dispose()}}e.ExtensionMemento=v;class D extends v{constructor(P,C){super(P.identifier.value,!0,C);this._extension=P}setKeysForSync(P){this._storage.registerExtensionStorageKeysToSync({id:this._id,version:this._extension.version},P)}}e.ExtensionGlobalMemento=D}),define(ge[14],pe([0,1,4]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostRpcService=e.IExtHostRpcService=void 0,e.IExtHostRpcService=v.createDecorator("IExtHostRpcService");class D{constructor(P){this.getProxy=P.getProxy.bind(P),this.set=P.set.bind(P),this.assertRegistered=P.assertRegistered.bind(P),this.drain=P.drain.bind(P)}}e.ExtHostRpcService=D});var nt=this&&this.__classPrivateFieldSet||function(Q,e,v){if(!e.has(Q))throw new TypeError("attempted to set private field on non-instance");return e.set(Q,v),v},ze=this&&this.__classPrivateFieldGet||function(Q,e){if(!e.has(Q))throw new TypeError("attempted to get private field on non-instance");return e.get(Q)};define(ge[194],pe([0,1,30,3]),function(Q,e,v,D){"use strict";var R;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionSecrets=void 0;class P{constructor(I,y){R.set(this,void 0),this._onDidChange=new D.Emitter,this.onDidChange=this._onDidChange.event,this._id=v.ExtensionIdentifier.toKey(I.identifier),nt(this,R,y),ze(this,R).onDidChangePassword(i=>{i.extensionId===this._id&&this._onDidChange.fire({key:i.key})})}get(I){return ze(this,R).get(this._id,I)}store(I,y){return ze(this,R).store(this._id,I,y)}delete(I){return ze(this,R).delete(this._id,I)}}e.ExtensionSecrets=P,R=new WeakMap}),define(ge[51],pe([0,1,4,3,14]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.IExtHostTunnelService=e.TunnelDto=void 0;var P;(function(I){function y(T){return{remoteAddress:T.remoteAddress,localAddress:T.localAddress,public:!!T.public}}I.fromApiTunnel=y;function i(T){return{remoteAddress:{host:T.tunnelRemoteHost,port:T.tunnelRemotePort},localAddress:T.localAddress,public:T.public}}I.fromServiceTunnel=i})(P=e.TunnelDto||(e.TunnelDto={})),e.IExtHostTunnelService=v.createDecorator("IExtHostTunnelService");let C=class{constructor(y){this.onDidChangeTunnels=new D.Emitter().event}async $applyCandidateFilter(y){return y}async openTunnel(y,i){}async getTunnels(){return[]}async setTunnelExtensionFunctions(y){return{dispose:()=>{}}}async $forwardPort(y,i){}async $closeTunnel(y){}async $onDidTunnelsChange(){}async $registerCandidateFinder(){}};C=Ve([$e(0,R.IExtHostRpcService)],C),e.ExtHostTunnelService=C}),define(ge[63],pe([0,1,4]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.URITransformerService=e.IURITransformerService=void 0,e.IURITransformerService=v.createDecorator("IURITransformerService");class D{constructor(P){P?(this.transformIncoming=P.transformIncoming.bind(P),this.transformOutgoing=P.transformOutgoing.bind(P),this.transformOutgoingURI=P.transformOutgoingURI.bind(P),this.transformOutgoingScheme=P.transformOutgoingScheme.bind(P)):(this.transformIncoming=C=>C,this.transformOutgoing=C=>C,this.transformOutgoingURI=C=>C,this.transformOutgoingScheme=C=>C)}}e.URITransformerService=D}),define(ge[85],pe([0,1,2]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.asWebviewUri=void 0;function D(P,C,I){const y=P.webviewResourceRoot.replace("{{resource}}",I.scheme+R(I)).replace("{{uuid}}",C);return v.URI.parse(y)}e.asWebviewUri=D;function R(P){return P.toString().replace(/^\S+?:/,"")}}),define(ge[195],pe([0,1,3,5,85,28]),function(Q,e,v,D,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditorInsets=void 0;class C{constructor(y,i,T){this._proxy=y,this._editors=i,this._initData=T,this._handlePool=0,this._disposables=new D.DisposableStore,this._insets=new Map,this._disposables.add(i.onDidChangeVisibleTextEditors(()=>{const k=i.getVisibleTextEditors();for(const p of this._insets.values())k.indexOf(p.editor)<0&&p.inset.dispose()}))}dispose(){this._insets.forEach(y=>y.inset.dispose()),this._disposables.dispose()}createWebviewEditorInset(y,i,T,k,p){let f;for(const u of this._editors.getVisibleTextEditors(!0))if(u.value===y){f=u;break}if(!f)throw new Error("not a visible editor");const l=this,m=this._handlePool++,S=new v.Emitter,_=new v.Emitter,g=new class{constructor(){this._uuid=P.generateUuid(),this._html="",this._options=Object.create(null)}asWebviewUri(u){return R.asWebviewUri(l._initData,this._uuid,u)}get cspSource(){return l._initData.webviewCspSource}set options(u){this._options=u,l._proxy.$setOptions(m,u)}get options(){return this._options}set html(u){this._html=u,l._proxy.$setHtml(m,u)}get html(){return this._html}get onDidReceiveMessage(){return S.event}postMessage(u){return l._proxy.$postMessage(m,u)}},a=new class{constructor(){this.editor=y,this.line=i,this.height=T,this.webview=g,this.onDidDispose=_.event}dispose(){l._insets.has(m)&&(l._insets.delete(m),l._proxy.$disposeEditorInset(m),_.fire(),_.dispose(),S.dispose())}};return this._proxy.$createEditorInset(m,f.id,f.value.document.uri,i+1,T,k||{},p.identifier,p.extensionLocation),this._insets.set(m,{editor:y,inset:a,onDidReceiveMessage:S}),a}$onDidDispose(y){const i=this._insets.get(y);i&&i.inset.dispose()}$onDidReceiveMessage(y,i){const T=this._insets.get(y);T&&T.onDidReceiveMessage.fire(i)}}e.ExtHostEditorInsets=C}),define(ge[196],pe([0,1,3,60,166,4,5,22,41,12,55,23,47,191]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ResolvableTreeItem=e.TreeItemCollapsibleState=e.ViewVisibilityState=e.IViewDescriptorService=e.getVisbileViewContextKey=e.FocusedViewContext=e.IViewsService=e.ViewContentGroups=e.getEnabledViewContainerContextKey=e.ViewContainerLocationToString=e.ViewContainerLocation=e.Extensions=e.defaultViewIcon=void 0,e.defaultViewIcon=f.registerIcon("default-view-icon",p.Codicon.window,R.localize(0,null));var l;(function(n){n.ViewContainersRegistry="workbench.registry.view.containers",n.ViewsRegistry="workbench.registry.view"})(l=e.Extensions||(e.Extensions={}));var m;(function(n){n[n.Sidebar=0]="Sidebar",n[n.Panel=1]="Panel"})(m=e.ViewContainerLocation||(e.ViewContainerLocation={}));function S(n){switch(n){case 0:return"sidebar";case 1:return"panel"}}e.ViewContainerLocationToString=S;function _(n){return`viewContainer.${n}.enabled`}e.getEnabledViewContainerContextKey=_;class g extends C.Disposable{constructor(){super(...arguments);this._onDidRegister=this._register(new v.Emitter),this.onDidRegister=this._onDidRegister.event,this._onDidDeregister=this._register(new v.Emitter),this.onDidDeregister=this._onDidDeregister.event,this.viewContainers=new Map,this.defaultViewContainers=[]}get all(){return i.flatten([...this.viewContainers.values()])}registerViewContainer(d,w,E){var h;const b=this.get(d.id);if(b)return b;const A=d;return A.openCommandActionDescriptor=(E==null?void 0:E.donotRegisterOpenCommand)?void 0:(h=A.openCommandActionDescriptor)!==null&&h!==void 0?h:{id:A.id},I.getOrSet(this.viewContainers,w,[]).push(A),(E==null?void 0:E.isDefault)&&this.defaultViewContainers.push(A),this._onDidRegister.fire({viewContainer:A,viewContainerLocation:w}),A}deregisterViewContainer(d){for(const w of this.viewContainers.keys()){const E=this.viewContainers.get(w),h=E==null?void 0:E.indexOf(d);if(h!==-1){E==null||E.splice(h,1),E.length===0&&this.viewContainers.delete(w),this._onDidDeregister.fire({viewContainer:d,viewContainerLocation:w});return}}}get(d){return this.all.filter(w=>w.id===d)[0]}getViewContainers(d){return[...this.viewContainers.get(d)||[]]}getViewContainerLocation(d){return[...this.viewContainers.keys()].filter(w=>this.getViewContainers(w).filter(E=>(E==null?void 0:E.id)===d.id).length>0)[0]}getDefaultViewContainer(d){return this.defaultViewContainers.find(w=>this.getViewContainerLocation(w)===d)}}y.Registry.add(l.ViewContainersRegistry,new g);var a;(function(n){n.Open="2_open",n.Debug="4_debug",n.SCM="5_scm",n.More="9_more"})(a=e.ViewContentGroups||(e.ViewContentGroups={}));function u(n,d){var w,E,h,b;const A=(w=n.group)!==null&&w!==void 0?w:a.More,L=(E=d.group)!==null&&E!==void 0?E:a.More;return A!==L?A.localeCompare(L):((h=n.order)!==null&&h!==void 0?h:5)-((b=d.order)!==null&&b!==void 0?b:5)}class c extends C.Disposable{constructor(){super(...arguments);this._onViewsRegistered=this._register(new v.Emitter),this.onViewsRegistered=this._onViewsRegistered.event,this._onViewsDeregistered=this._register(new v.Emitter),this.onViewsDeregistered=this._onViewsDeregistered.event,this._onDidChangeContainer=this._register(new v.Emitter),this.onDidChangeContainer=this._onDidChangeContainer.event,this._onDidChangeViewWelcomeContent=this._register(new v.Emitter),this.onDidChangeViewWelcomeContent=this._onDidChangeViewWelcomeContent.event,this._viewContainers=[],this._views=new Map,this._viewWelcomeContents=new T.SetMap}registerViews(d,w){this.registerViews2([{views:d,viewContainer:w}])}registerViews2(d){d.forEach(({views:w,viewContainer:E})=>this.addViews(w,E)),this._onViewsRegistered.fire(d)}deregisterViews(d,w){const E=this.removeViews(d,w);E.length&&this._onViewsDeregistered.fire({views:E,viewContainer:w})}moveViews(d,w){for(const E of this._views.keys())if(E!==w){const h=this.removeViews(d,E);h.length&&(this.addViews(h,w),this._onDidChangeContainer.fire({views:h,from:E,to:w}))}}getViews(d){return this._views.get(d)||[]}getView(d){for(const w of this._viewContainers){const E=(this._views.get(w)||[]).filter(h=>h.id===d)[0];if(E)return E}return null}getViewContainer(d){for(const w of this._viewContainers)if((this._views.get(w)||[]).filter(h=>h.id===d)[0])return w;return null}registerViewWelcomeContent(d,w){return this._viewWelcomeContents.add(d,w),this._onDidChangeViewWelcomeContent.fire(d),C.toDisposable(()=>{this._viewWelcomeContents.delete(d,w),this._onDidChangeViewWelcomeContent.fire(d)})}getViewWelcomeContent(d){const w=[];return this._viewWelcomeContents.forEach(d,E=>w.push(E)),i.mergeSort(w,u),w}addViews(d,w){let E=this._views.get(w);E||(E=[],this._views.set(w,E),this._viewContainers.push(w));for(const h of d){if(this.getView(h.id)!==null)throw new Error(R.localize(1,null,h.id));E.push(h)}}removeViews(d,w){const E=this._views.get(w);if(!E)return[];const h=[],b=[];for(const A of E)d.includes(A)?h.push(A):b.push(A);return h.length&&(b.length?this._views.set(w,b):(this._views.delete(w),this._viewContainers.splice(this._viewContainers.indexOf(w),1))),h}}y.Registry.add(l.ViewsRegistry,new c),e.IViewsService=P.createDecorator("viewsService"),e.FocusedViewContext=new D.RawContextKey("focusedView","",R.localize(2,null));function t(n){return`view.${n}.visible`}e.getVisbileViewContextKey=t,e.IViewDescriptorService=P.createDecorator("viewDescriptorService");var r;(function(n){n[n.Default=0]="Default",n[n.Expand=1]="Expand"})(r=e.ViewVisibilityState||(e.ViewVisibilityState={}));var s;(function(n){n[n.None=0]="None",n[n.Collapsed=1]="Collapsed",n[n.Expanded=2]="Expanded"})(s=e.TreeItemCollapsibleState||(e.TreeItemCollapsibleState={}));class o{constructor(d,w){this.resolved=!1,this._hasResolve=!1,k.mixin(this,d),this._hasResolve=!!w,this.resolve=async E=>{var h,b;if(w&&!this.resolved){const A=await w(E);A&&(this.tooltip=(h=this.tooltip)!==null&&h!==void 0?h:A.tooltip,this.command=(b=this.command)!==null&&b!==void 0?b:A.command)}E.isCancellationRequested||(this.resolved=!0)}}get hasResolve(){return this._hasResolve}resetResolve(){this.resolved=!1}asTreeItem(){return{handle:this.handle,parentHandle:this.parentHandle,collapsibleState:this.collapsibleState,label:this.label,description:this.description,icon:this.icon,iconDark:this.iconDark,themeIcon:this.themeIcon,resourceUri:this.resourceUri,tooltip:this.tooltip,contextValue:this.contextValue,command:this.command,children:this.children,accessibilityInformation:this.accessibilityInformation}}}e.ResolvableTreeItem=o}),define(ge[197],pe([0,1,2,177,114,11,178,196]),function(Q,e,v,D,R,P,C,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MoveViewsAPICommand=e.OpenIssueReporter=e.RemoveFromRecentlyOpenedAPICommand=e.NewWindowAPICommand=void 0;function y(m){return(S,..._)=>m(S.get(D.ICommandService),..._)}class i{static execute(S,_){const g={forceReuseWindow:_&&_.reuseWindow,remoteAuthority:_&&_.remoteAuthority};return S.executeCommand("_files.newWindow",g)}}e.NewWindowAPICommand=i,i.ID="vscode.newWindow",D.CommandsRegistry.registerCommand({id:i.ID,handler:y(i.execute),description:{description:"Opens an new window",args:[]}}),D.CommandsRegistry.registerCommand("_workbench.removeFromRecentlyOpened",function(m,S){return m.get(R.IWorkspacesService).removeRecentlyOpened([S])});class T{static execute(S,_){return typeof _=="string"?_=_.match(/^[^:/?#]+:\/\//)?v.URI.parse(_):v.URI.file(_):_=v.URI.revive(_),S.executeCommand("_workbench.removeFromRecentlyOpened",_)}}e.RemoveFromRecentlyOpenedAPICommand=T,T.ID="vscode.removeFromRecentlyOpened",D.CommandsRegistry.registerCommand(T.ID,y(T.execute));class k{static execute(S,_){const g=typeof _=="string"?{extensionId:_}:_;return S.executeCommand("workbench.action.openIssueReporter",g)}}e.OpenIssueReporter=k,k.ID="vscode.openIssueReporter",D.CommandsRegistry.registerCommand("_workbench.addToRecentlyOpened",async function(m,S){const _=m.get(R.IWorkspacesService);let g;const a=S.uri,u=S.label;return S.type==="workspace"?g={workspace:await _.getWorkspaceIdentifier(a),label:u}:S.type==="folder"?g={folderUri:a,label:u}:g={fileUri:a,label:u},_.addRecentlyOpened([g])}),D.CommandsRegistry.registerCommand("_workbench.getRecentlyOpened",async function(m){return m.get(R.IWorkspacesService).getRecentlyOpened()}),D.CommandsRegistry.registerCommand("_extensionTests.setLogLevel",function(m,S){const _=m.get(P.ILogService),g=m.get(C.IEnvironmentService);g.isExtensionDevelopment&&!!g.extensionTestsLocationURI&&_.setLevel(S)}),D.CommandsRegistry.registerCommand("_extensionTests.getLogLevel",function(m){return m.get(P.ILogService).getLevel()}),D.CommandsRegistry.registerCommand("_workbench.action.moveViews",async function(m,S){const _=m.get(I.IViewDescriptorService),g=_.getViewContainerById(S.destinationId);if(!!g){for(const a of S.viewIds){const u=_.getViewDescriptorById(a);(u==null?void 0:u.canMoveView)&&_.moveViewsToContainer([u],g,I.ViewVisibilityState.Default)}await m.get(I.IViewsService).openViewContainer(g.id,!0)}});class p{static execute(S,_){return!Array.isArray(_==null?void 0:_.viewIds)||typeof(_==null?void 0:_.destinationId)!="string"?Promise.reject("Invalid arguments"):S.executeCommand("_workbench.action.moveViews",_)}}e.MoveViewsAPICommand=p,p.ID="vscode.moveViews",D.CommandsRegistry.registerCommand({id:p.ID,handler:y(p.execute),description:{description:"Move Views",args:[]}});class f{static execute(S,_){return S.executeCommand("_workbench.open",_)}}f.ID="vscode.open",D.CommandsRegistry.registerCommand(f.ID,y(f.execute));class l{static execute(S,_,g,a,u){return S.executeCommand("_workbench.diff",[_,g,a])}}l.ID="vscode.diff",D.CommandsRegistry.registerCommand(l.ID,y(l.execute))}),define(ge[116],pe([0,1,3,19,167]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractDebugAdapter=void 0;class P{constructor(){this.pendingRequests=new Map,this.queue=[],this._onError=new v.Emitter,this._onExit=new v.Emitter,this.sequence=1}get onError(){return this._onError.event}get onExit(){return this._onExit.event}onMessage(I){this.messageCallback&&this._onError.fire(new Error("attempt to set more than one 'Message' callback")),this.messageCallback=I}onEvent(I){this.eventCallback&&this._onError.fire(new Error("attempt to set more than one 'Event' callback")),this.eventCallback=I}onRequest(I){this.requestCallback&&this._onError.fire(new Error("attempt to set more than one 'Request' callback")),this.requestCallback=I}sendResponse(I){I.seq>0?this._onError.fire(new Error(`attempt to send more than one response for command ${I.command}`)):this.internalSend("response",I)}sendRequest(I,y,i,T){const k={command:I};if(y&&Object.keys(y).length>0&&(k.arguments=y),this.internalSend("request",k),typeof T=="number"){const p=setTimeout(()=>{clearTimeout(p);const f=this.pendingRequests.get(k.seq);if(f){this.pendingRequests.delete(k.seq);const l={type:"response",seq:0,request_seq:k.seq,success:!1,command:I,message:R.localize(0,null,T,I)};f(l)}},T)}return i&&this.pendingRequests.set(k.seq,i),k.seq}acceptMessage(I){this.messageCallback?this.messageCallback(I):(this.queue.push(I),this.queue.length===1&&this.processQueue())}needsTaskBoundaryBetween(I,y){return I.type!=="event"||y.type!=="event"}async processQueue(){let I;for(;this.queue.length;){if((!I||this.needsTaskBoundaryBetween(this.queue[0],I))&&await D.timeout(0),I=this.queue.shift(),!I)return;switch(I.type){case"event":this.eventCallback&&this.eventCallback(I);break;case"request":this.requestCallback&&this.requestCallback(I);break;case"response":const y=I,i=this.pendingRequests.get(y.request_seq);i&&(this.pendingRequests.delete(y.request_seq),i(y));break}}}internalSend(I,y){y.type=I,y.seq=this.sequence++,this.sendMessage(y)}async cancelPendingRequests(){if(this.pendingRequests.size===0)return Promise.resolve();const I=new Map;this.pendingRequests.forEach((y,i)=>I.set(i,y)),await D.timeout(500),I.forEach((y,i)=>{y({type:"response",seq:0,request_seq:i,success:!1,command:"canceled",message:"canceled"}),this.pendingRequests.delete(i)})}getPendingRequestIds(){return Array.from(this.pendingRequests.keys())}dispose(){this.queue=[]}}e.AbstractDebugAdapter=P}),define(ge[198],pe([0,1,10,2,7,23,13]),function(Q,e,v,D,R,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getVisibleAndSorted=e.convertToVSCPaths=e.convertToDAPaths=e.isUri=e.getExactExpressionStartAndEnd=e.isDebuggerMainContribution=e.getExtensionHostDebugSession=e.isSessionAttach=e.filterExceptionsFromTelemetry=e.formatPII=void 0;const I=/{([^}]+)}/g;function y(r,s,o){return r.replace(I,function(n,d){return s&&d.length>0&&d[0]!=="_"?n:o&&o.hasOwnProperty(d)?o[d]:n})}e.formatPII=y;function i(r){const s={};for(const o of Object.keys(r))o.startsWith("!")||(s[o]=r[o]);return s}e.filterExceptionsFromTelemetry=i;function T(r){return r.configuration.request==="attach"&&!k(r)}e.isSessionAttach=T;function k(r){let s=r.configuration.type;if(!!s)return s==="vslsShare"&&(s=r.configuration.adapterProxy.configuration.type),v.equalsIgnoreCase(s,"extensionhost")||v.equalsIgnoreCase(s,"pwa-extensionhost")?r:r.parentSession?k(r.parentSession):void 0}e.getExtensionHostDebugSession=k;function p(r){return r.type&&(r.label||r.program||r.runtime)}e.isDebuggerMainContribution=p;function f(r,s,o){let n,d=0,w=/([^()\[\]{}<>\s+\-/%~#^;=|,`!]|\->)+/g,E=null;for(;E=w.exec(r);){let h=E.index+1,b=h+E[0].length;if(h<=s&&b>=o){n=E[0],d=h;break}}if(n){let h=/\w+/g,b=null;for(;(b=h.exec(n))&&!(b.index+1+d+b[0].length>=o););b&&(n=n.substring(0,h.lastIndex))}return n?{start:d,end:d+n.length-1}:{start:0,end:0}}e.getExactExpressionStartAndEnd=f;const l=/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/;function m(r){return!!(r&&r.match(l))}e.isUri=m;function S(r){if(typeof r.path=="string"&&!(typeof r.sourceReference=="number"&&r.sourceReference>0)){if(m(r.path))return D.URI.parse(r.path);if(R.isAbsolute(r.path))return D.URI.file(r.path)}return r.path}function _(r){if(typeof r.path=="object"){const s=D.URI.revive(r.path);if(s)return s.scheme===C.Schemas.file?s.fsPath:s.toString()}return r.path}function g(r,s){const o=s?S:_,n=P.deepClone(r);return u(n,(d,w)=>{d&&w&&(w.path=o(w))}),n}e.convertToDAPaths=g;function a(r,s){const o=s?S:_,n=P.deepClone(r);return u(n,(d,w)=>{!d&&w&&(w.path=o(w))}),n}e.convertToVSCPaths=a;function u(r,s){switch(r.type){case"event":const o=r;switch(o.event){case"output":s(!1,o.body.source);break;case"loadedSource":s(!1,o.body.source);break;case"breakpoint":s(!1,o.body.breakpoint.source);break;default:break}break;case"request":const n=r;switch(n.command){case"setBreakpoints":s(!0,n.arguments.source);break;case"breakpointLocations":s(!0,n.arguments.source);break;case"source":s(!0,n.arguments.source);break;case"gotoTargets":s(!0,n.arguments.source);break;case"launchVSCode":n.arguments.args.forEach(w=>s(!1,w));break;default:break}break;case"response":const d=r;if(d.success&&d.body)switch(d.command){case"stackTrace":d.body.stackFrames.forEach(w=>s(!1,w.source));break;case"loadedSources":d.body.sources.forEach(w=>s(!1,w));break;case"scopes":d.body.scopes.forEach(w=>s(!1,w.source));break;case"setFunctionBreakpoints":d.body.breakpoints.forEach(w=>s(!1,w.source));break;case"setBreakpoints":d.body.breakpoints.forEach(w=>s(!1,w.source));break;default:break}break}}function c(r){return r.filter(s=>{var o;return!((o=s.presentation)===null||o===void 0?void 0:o.hidden)}).sort((s,o)=>s.presentation?o.presentation?s.presentation.group?o.presentation.group?s.presentation.group!==o.presentation.group?s.presentation.group.localeCompare(o.presentation.group):t(s.presentation.order,o.presentation.order):-1:o.presentation.group?1:t(s.presentation.order,o.presentation.order):-1:o.presentation?1:0)}e.getVisibleAndSorted=c;function t(r,s){return typeof r!="number"?typeof s!="number"?0:1:typeof s!="number"?-1:r-s}}),define(ge[199],pe([0,1,24,35,168,117,7,10,23,9,179,116]),function(Q,e,v,D,R,P,C,I,y,i,T,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExecutableDebugAdapter=e.NamedPipeDebugAdapter=e.SocketDebugAdapter=e.NetworkDebugAdapter=e.StreamDebugAdapter=void 0;class p extends k.AbstractDebugAdapter{constructor(){super();this.rawData=Buffer.allocUnsafe(0),this.contentLength=-1}connect(g,a){this.outputStream=a,this.rawData=Buffer.allocUnsafe(0),this.contentLength=-1,g.on("data",u=>this.handleData(u))}sendMessage(g){if(this.outputStream){const a=JSON.stringify(g);this.outputStream.write(`Content-Length: ${Buffer.byteLength(a,"utf8")}${p.TWO_CRLF}${a}`,"utf8")}}handleData(g){for(this.rawData=Buffer.concat([this.rawData,g]);;){if(this.contentLength>=0){if(this.rawData.length>=this.contentLength){const a=this.rawData.toString("utf8",0,this.contentLength);if(this.rawData=this.rawData.slice(this.contentLength),this.contentLength=-1,a.length>0)try{this.acceptMessage(JSON.parse(a))}catch(u){this._onError.fire(new Error((u.message||u)+`
`+a))}continue}}else{const a=this.rawData.indexOf(p.TWO_CRLF);if(a!==-1){const c=this.rawData.toString("utf8",0,a).split(p.HEADER_LINESEPARATOR);for(const t of c){const r=t.split(p.HEADER_FIELDSEPARATOR);r[0]==="Content-Length"&&(this.contentLength=Number(r[1]))}this.rawData=this.rawData.slice(a+p.TWO_CRLF.length);continue}}break}}}e.StreamDebugAdapter=p,p.TWO_CRLF=`\r
\r
`,p.HEADER_LINESEPARATOR=/\r?\n/,p.HEADER_FIELDSEPARATOR=/: */;class f extends p{startSession(){return new Promise((g,a)=>{let u=!1;this.socket=this.createConnection(()=>{this.connect(this.socket,this.socket),g(),u=!0}),this.socket.on("close",()=>{u?this._onError.fire(new Error("connection closed")):a(new Error("connection closed"))}),this.socket.on("error",c=>{u?this._onError.fire(c):a(c)})})}async stopSession(){await this.cancelPendingRequests(),this.socket&&(this.socket.end(),this.socket=void 0)}}e.NetworkDebugAdapter=f;class l extends f{constructor(g){super();this.adapterServer=g}createConnection(g){return P.createConnection(this.adapterServer.port,this.adapterServer.host||"127.0.0.1",g)}}e.SocketDebugAdapter=l;class m extends f{constructor(g){super();this.adapterServer=g}createConnection(g){return P.createConnection(this.adapterServer.path,g)}}e.NamedPipeDebugAdapter=m;class S extends p{constructor(g,a,u){super();this.adapterExecutable=g,this.debugType=a,this.outputService=u}async startSession(){const g=this.adapterExecutable.command,a=this.adapterExecutable.args,u=this.adapterExecutable.options||{};try{if(g)if(C.isAbsolute(g)){if(!await v.exists(g))throw new Error(R.localize(0,null,g))}else g.indexOf("/")<0&&g.indexOf("\\")<0;else throw new Error(R.localize(1,null,this.debugType));let c=process.env;if(u.env&&Object.keys(u.env).length>0&&(c=y.mixin(y.deepClone(process.env),u.env)),g==="node")if(Array.isArray(a)&&a.length>0){const r=!!process.env.ELECTRON_RUN_AS_NODE||!!process.versions.electron,s={env:c,execArgv:r?["-e","delete process.env.ELECTRON_RUN_AS_NODE;require(process.argv[1])"]:[],silent:!0};u.cwd&&(s.cwd=u.cwd);const o=D.fork(a[0],a.slice(1),s);if(!o.pid)throw new Error(R.localize(2,null,a[0]));this.serverProcess=o}else throw new Error(R.localize(3,null));else{const r={env:c};u.cwd&&(r.cwd=u.cwd),this.serverProcess=D.spawn(g,a,r)}this.serverProcess.on("error",r=>{this._onError.fire(r)}),this.serverProcess.on("exit",(r,s)=>{this._onExit.fire(r)}),this.serverProcess.stdout.on("close",()=>{this._onError.fire(new Error("read error"))}),this.serverProcess.stdout.on("error",r=>{this._onError.fire(r)}),this.serverProcess.stdin.on("error",r=>{this._onError.fire(r)});const t=this.outputService;if(t){const r=s=>s.toString().replace(/\r?\n$/mg,"");this.serverProcess.stderr.on("data",s=>{const o=t.getChannel(T.ExtensionsChannelId);o&&o.append(r(s))})}else this.serverProcess.stderr.resume();this.connect(this.serverProcess.stdout,this.serverProcess.stdin)}catch(c){this._onError.fire(c)}}async stopSession(){return this.serverProcess?(await this.cancelPendingRequests(),i.isWindows?new Promise((g,a)=>{const u=D.exec(`taskkill /F /T /PID ${this.serverProcess.pid}`,function(c,t,r){if(c)return a(c)});u.on("exit",g),u.on("error",a)}):(this.serverProcess.kill("SIGTERM"),Promise.resolve(void 0))):Promise.resolve(void 0)}static extract(g,a){if(!!g){const u=Object.create(null);g.runtime&&(g.runtime.indexOf("./")===0?u.runtime=C.join(a,g.runtime):u.runtime=g.runtime),g.runtimeArgs&&(u.runtimeArgs=g.runtimeArgs),g.program&&(C.isAbsolute(g.program)?u.program=g.program:u.program=C.join(a,g.program)),g.args&&(u.args=g.args);const c=g;return c.win&&(u.win=S.extract(c.win,a)),c.winx86&&(u.winx86=S.extract(c.winx86,a)),c.windows&&(u.windows=S.extract(c.windows,a)),c.osx&&(u.osx=S.extract(c.osx,a)),c.linux&&(u.linux=S.extract(c.linux,a)),u}}static platformAdapterExecutable(g,a){let u=Object.create(null);a=a.toLowerCase();for(const n of g)if(n.contributes){const d=n.contributes.debuggers;d&&d.length>0&&d.filter(w=>typeof w.type=="string"&&I.equalsIgnoreCase(w.type,a)).forEach(w=>{const E=S.extract(w,n.extensionLocation.fsPath);u=y.mixin(u,E,n.isBuiltin)})}let c;i.isWindows&&!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432")?c=u.winx86||u.win||u.windows:i.isWindows?c=u.win||u.windows:i.isMacintosh?c=u.osx:i.isLinux&&(c=u.linux),c=c||u;let t=c.program||u.program;const r=c.args||u.args;let s=c.runtime||u.runtime;const o=c.runtimeArgs||u.runtimeArgs;if(s)return{type:"executable",command:s,args:(o||[]).concat(typeof t=="string"?[t]:[]).concat(r||[])};if(t)return{type:"executable",command:t,args:r||[]}}}e.ExecutableDebugAdapter=S}),define(ge[200],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DEFAULT_TERMINAL_OSX=void 0,e.DEFAULT_TERMINAL_OSX="Terminal.app"}),define(ge[201],pe([0,1,35,7,79,169,24,9,84,4,200,13]),function(Q,e,v,D,R,P,C,I,y,i,T,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LinuxExternalTerminalService=e.MacExternalTerminalService=e.WindowsExternalTerminalService=void 0;const p=P.localize(0,null);let f=class xt{constructor(a){this._configurationService=a}openTerminal(a){if(this._configurationService){const u=this._configurationService.getValue();this.spawnTerminal(v,u,R.getWindowsShell(),a)}}runInTerminal(a,u,c,t,r){const s=r.windowsExec||xt.getDefaultTerminalWindows();return new Promise((o,n)=>{const d=`"${u} - ${p}"`,w=`""${c.join('" "')}" & pause"`,E=["/c","start",d,"/wait",s,"/c",w],h=Object.assign({},process.env,t);Object.keys(h).filter(L=>h[L]===null).forEach(L=>delete h[L]);const b={cwd:u,env:h,windowsVerbatimArguments:!0};v.spawn(xt.CMD,E,b).on("error",L=>{n(S(L))}),o(void 0)})}spawnTerminal(a,u,c,t){const s=u.terminal.external.windowsExec||xt.getDefaultTerminalWindows();t&&t[1]===":"&&(t=t[0].toUpperCase()+t.substr(1));const o=D.basename(s).toLowerCase();if(o==="cmder"||o==="cmder.exe")return a.spawn(s,t?[t]:void 0),Promise.resolve(void 0);const n=["/c","start","/wait"];return s.indexOf(" ")>=0&&n.push('""'),n.push(s),(o==="wt"||o==="wt.exe")&&n.push("-d ."),new Promise((d,w)=>{const E=t?{cwd:t}:void 0,h=a.spawn(c,n,E);h.on("error",w),h.on("exit",()=>d())})}static getDefaultTerminalWindows(){if(!xt._DEFAULT_TERMINAL_WINDOWS){const a=!!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432");xt._DEFAULT_TERMINAL_WINDOWS=`${process.env.windir?process.env.windir:"C:\\Windows"}\\${a?"Sysnative":"System32"}\\cmd.exe`}return xt._DEFAULT_TERMINAL_WINDOWS}};f.CMD="cmd.exe",f=Ve([$e(0,i.optional(y.IConfigurationService))],f),e.WindowsExternalTerminalService=f;let l=class In{constructor(a){this._configurationService=a}openTerminal(a){if(this._configurationService){const u=this._configurationService.getValue();this.spawnTerminal(v,u,a)}}runInTerminal(a,u,c,t,r){const s=r.osxExec||T.DEFAULT_TERMINAL_OSX;return new Promise((o,n)=>{if(s===T.DEFAULT_TERMINAL_OSX||s==="iTerm.app"){const d=s===T.DEFAULT_TERMINAL_OSX?"TerminalHelper":"iTermHelper",E=[k.FileAccess.asFileUri(`vs/workbench/contrib/externalTerminal/node/${d}.scpt`,Q).fsPath,"-t",a||p,"-w",u];for(let A of c)E.push("-a"),E.push(A);if(t)for(let A in t){const L=t[A];L===null?(E.push("-u"),E.push(A)):(E.push("-e"),E.push(`${A}=${L}`))}let h="";const b=v.spawn(In.OSASCRIPT,E);b.on("error",A=>{n(S(A))}),b.stderr.on("data",A=>{h+=A.toString()}),b.on("exit",A=>{if(A===0)o(void 0);else if(h){const L=h.split(`
`,1);n(new Error(L[0]))}else n(new Error(P.localize(1,null,d,A)))})}else n(new Error(P.localize(2,null,s)))})}spawnTerminal(a,u,c){const r=u.terminal.external.osxExec||T.DEFAULT_TERMINAL_OSX;return new Promise((s,o)=>{const n=["-a",r];c&&n.push(c);const d=a.spawn("/usr/bin/open",n);d.on("error",o),d.on("exit",()=>s())})}};l.OSASCRIPT="/usr/bin/osascript",l=Ve([$e(0,i.optional(y.IConfigurationService))],l),e.MacExternalTerminalService=l;let m=class Wt{constructor(a){this._configurationService=a}openTerminal(a){if(this._configurationService){const u=this._configurationService.getValue();this.spawnTerminal(v,u,a)}}runInTerminal(a,u,c,t,r){const s=r.linuxExec?Promise.resolve(r.linuxExec):Wt.getDefaultTerminalLinuxReady();return new Promise((o,n)=>{let d=[];s.then(w=>{w.indexOf("gnome-terminal")>=0?d.push("-x"):d.push("-e"),d.push("bash"),d.push("-c");const E=`${_(c)}; echo; read -p "${Wt.WAIT_MESSAGE}" -n1;`;d.push(`''${E}''`);const h=Object.assign({},process.env,t);Object.keys(h).filter(M=>h[M]===null).forEach(M=>delete h[M]);const b={cwd:u,env:h};let A="";const L=v.spawn(w,d,b);L.on("error",M=>{n(S(M))}),L.stderr.on("data",M=>{A+=M.toString()}),L.on("exit",M=>{if(M===0)o(void 0);else if(A){const z=A.split(`
`,1);n(new Error(z[0]))}else n(new Error(P.localize(4,null,w,M)))})})})}spawnTerminal(a,u,c){const t=u.terminal.external,r=t.linuxExec?Promise.resolve(t.linuxExec):Wt.getDefaultTerminalLinuxReady();return new Promise((s,o)=>{r.then(n=>{const d=c?{cwd:c}:void 0,w=a.spawn(n,[],d);w.on("error",o),w.on("exit",()=>s())})})}static async getDefaultTerminalLinuxReady(){return Wt._DEFAULT_TERMINAL_LINUX_READY||(Wt._DEFAULT_TERMINAL_LINUX_READY=new Promise(async a=>{I.isLinux?await C.exists("/etc/debian_version")?a("x-terminal-emulator"):process.env.DESKTOP_SESSION==="gnome"||process.env.DESKTOP_SESSION==="gnome-classic"?a("gnome-terminal"):process.env.DESKTOP_SESSION==="kde-plasma"?a("konsole"):process.env.COLORTERM?a(process.env.COLORTERM):process.env.TERM?a(process.env.TERM):a("xterm"):a("xterm")})),Wt._DEFAULT_TERMINAL_LINUX_READY}};m.WAIT_MESSAGE=P.localize(3,null),m=Ve([$e(0,i.optional(y.IConfigurationService))],m),e.LinuxExternalTerminalService=m;function S(g){return"errno"in g&&g.errno==="ENOENT"&&"path"in g&&typeof g.path=="string"?new Error(P.localize(5,null,g.path)):g}function _(g){let a="";for(let u of g)u.indexOf(" ")>=0?a+='"'+u+'"':a+=u,a+=" ";return a}}),define(ge[202],pe([0,1,35,9,201,31]),function(Q,e,v,D,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.prepareCommand=e.hasChildProcesses=e.runInExternalTerminal=void 0;let C;function I(p,f){if(!C)if(D.isWindows)C=new R.WindowsExternalTerminalService(void 0);else if(D.isMacintosh)C=new R.MacExternalTerminalService(void 0);else if(D.isLinux)C=new R.LinuxExternalTerminalService(void 0);else throw new Error("external terminals not supported on this platform");const l=f.getConfiguration("terminal");return C.runInTerminal(p.title,p.cwd,p.args,p.env||{},l.external||{})}e.runInExternalTerminal=I;function y(p,f){return new Promise((l,m)=>{let S="";const _=v.spawn(p,f);_.pid&&_.stdout.on("data",g=>{S+=g.toString()}),_.on("error",g=>{m(g)}),_.on("close",g=>{l(S)})})}function i(p){return p?D.isWindows?y("wmic",["process","get","ParentProcessId"]).then(f=>f.split(`\r
`).some(m=>parseInt(m)===p),f=>!0):y("/usr/bin/pgrep",["-lP",String(p)]).then(f=>{const l=f.trim();return!(l.length===0||l.indexOf(" tmux")>=0)},f=>!0):Promise.resolve(!0)}e.hasChildProcesses=i;var T;(function(p){p[p.cmd=0]="cmd",p[p.powershell=1]="powershell",p[p.bash=2]="bash"})(T||(T={}));function k(p,f,l,m){p=p.trim().toLowerCase();let S;p.indexOf("powershell")>=0||p.indexOf("pwsh")>=0?S=1:p.indexOf("cmd.exe")>=0?S=0:p.indexOf("bash")>=0?S=2:D.isWindows?S=0:S=2;let _,g=" ";switch(S){case 1:if(_=u=>(u=u.replace(/\'/g,"''"),u.length>0&&u.charAt(u.length-1)==="\\"?`'${u}\\'`:`'${u}'`),l){const u=P.getDriveLetter(l);u&&(g+=`${u}:; `),g+=`cd ${_(l)}; `}if(m)for(let u in m){const c=m[u];c===null?g+=`Remove-Item env:${u}; `:g+=`\${env:${u}}='${c}'; `}if(f.length>0){const u=_(f.shift());g+=u[0]==="'"?`& ${u} `:`${u} `;for(let c of f)g+=`${_(c)} `}break;case 0:if(_=u=>(u=u.replace(/\"/g,'""'),u.indexOf(" ")>=0||u.indexOf('"')>=0||u.length===0?`"${u}"`:u),l){const u=P.getDriveLetter(l);u&&(g+=`${u}: && `),g+=`cd ${_(l)} && `}if(m){g+='cmd /C "';for(let u in m){let c=m[u];c===null?g+=`set "${u}=" && `:(c=c.replace(/[\^\&\|\<\>]/g,t=>`^${t}`),g+=`set "${u}=${c}" && `)}}for(let u of f)g+=`${_(u)} `;m&&(g+='"');break;case 2:_=u=>(u=u.replace(/(["'\\\$])/g,"\\$1"),u.indexOf(" ")>=0||u.indexOf(";")>=0||u.length===0?`"${u}"`:u);const a=u=>/[^\w@%\/+=,.:^-]/.test(u)?`'${u.replace(/'/g,"'\\''")}'`:u;if(l&&(g+=`cd ${_(l)} ; `),m){g+="/usr/bin/env";for(let u in m){const c=m[u];c===null?g+=` -u ${a(u)}`:g+=` ${a(`${u}=${c}`)}`}g+=" "}for(let u of f)g+=`${_(u)} `;break}return g}e.prepareCommand=k}),define(ge[52],pe([0,1,34,13,7,9,60]),function(Q,e,v,D,R,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.cellRangesToIndexes=e.cellIndexesToRanges=e.CellStatusbarAlignment=e.NotebookTextDiffEditorPreview=e.ShowCellStatusBarKey=e.CellToolbarLocKey=e.DisplayOrderKey=e.CellSequence=e.notebookDocumentFilterMatch=e.isDocumentExcludePattern=e.NotebookEditorPriority=e.NOTEBOOK_EDITOR_CURSOR_BEGIN_END=e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=e.diff=e.sortMimeTypes=e.mimeTypeSupportedByCore=e.mimeTypeIsAlwaysSecure=e.CellUri=e.getCellUndoRedoComparisonKey=e.CellEditType=e.SelectionStateType=e.NotebookCellsChangeType=e.NotebookCellRunState=e.notebookDocumentMetadataDefaults=e.NotebookRunState=e.RENDERER_NOT_AVAILABLE=e.BUILTIN_RENDERER_ID=e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=e.NOTEBOOK_DISPLAY_ORDER=e.CellKind=void 0;var I;(function(E){E[E.Markdown=1]="Markdown",E[E.Code=2]="Code"})(I=e.CellKind||(e.CellKind={})),e.NOTEBOOK_DISPLAY_ORDER=["application/json","application/javascript","text/html","image/svg+xml","text/markdown","image/png","image/jpeg","text/plain"],e.ACCESSIBLE_NOTEBOOK_DISPLAY_ORDER=["text/markdown","application/json","text/plain","text/html","image/svg+xml","image/png","image/jpeg"],e.BUILTIN_RENDERER_ID="_builtin",e.RENDERER_NOT_AVAILABLE="_notAvailable";var y;(function(E){E[E.Running=1]="Running",E[E.Idle=2]="Idle"})(y=e.NotebookRunState||(e.NotebookRunState={})),e.notebookDocumentMetadataDefaults={editable:!0,runnable:!0,cellEditable:!0,cellRunnable:!0,cellHasExecutionOrder:!0,displayOrder:e.NOTEBOOK_DISPLAY_ORDER,custom:{},runState:y.Idle,trusted:!0};var i;(function(E){E[E.Running=1]="Running",E[E.Idle=2]="Idle",E[E.Success=3]="Success",E[E.Error=4]="Error"})(i=e.NotebookCellRunState||(e.NotebookCellRunState={}));var T;(function(E){E[E.ModelChange=1]="ModelChange",E[E.Move=2]="Move",E[E.CellClearOutput=3]="CellClearOutput",E[E.CellsClearOutput=4]="CellsClearOutput",E[E.ChangeLanguage=5]="ChangeLanguage",E[E.Initialize=6]="Initialize",E[E.ChangeCellMetadata=7]="ChangeCellMetadata",E[E.Output=8]="Output",E[E.OutputItem=9]="OutputItem",E[E.ChangeCellContent=10]="ChangeCellContent",E[E.ChangeDocumentMetadata=11]="ChangeDocumentMetadata",E[E.Unknown=12]="Unknown"})(T=e.NotebookCellsChangeType||(e.NotebookCellsChangeType={}));var k;(function(E){E[E.Handle=0]="Handle",E[E.Index=1]="Index"})(k=e.SelectionStateType||(e.SelectionStateType={}));var p;(function(E){E[E.Replace=1]="Replace",E[E.Output=2]="Output",E[E.Metadata=3]="Metadata",E[E.CellLanguage=4]="CellLanguage",E[E.DocumentMetadata=5]="DocumentMetadata",E[E.OutputsSplice=6]="OutputsSplice",E[E.Move=7]="Move",E[E.Unknown=8]="Unknown",E[E.CellContent=9]="CellContent",E[E.OutputItems=10]="OutputItems"})(p=e.CellEditType||(e.CellEditType={}));function f(E){const h=l.parse(E);return h?h.notebook.toString():E.toString()}e.getCellUndoRedoComparisonKey=f;var l;(function(E){E.scheme=D.Schemas.vscodeNotebookCell;const h=/^ch(\d{7,})/;function b(z,V){return z.with({scheme:E.scheme,fragment:`ch${V.toString().padStart(7,"0")}${z.scheme!==D.Schemas.file?z.scheme:""}`})}E.generate=b;function A(z){if(z.scheme===E.scheme){const V=h.exec(z.fragment);if(!!V)return{handle:Number(V[1]),notebook:z.with({scheme:z.fragment.substr(V[0].length)||D.Schemas.file,fragment:null})}}}E.parse=A;function L(z,V){return z.with({scheme:D.Schemas.vscodeNotebookCellMetadata,fragment:`ch${V.toString().padStart(7,"0")}${z.scheme!==D.Schemas.file?z.scheme:""}`})}E.generateCellMetadataUri=L;function M(z){if(z.scheme===D.Schemas.vscodeNotebookCellMetadata){const V=h.exec(z.fragment);if(!!V)return{handle:Number(V[1]),notebook:z.with({scheme:z.fragment.substr(V[0].length)||D.Schemas.file,fragment:null})}}}E.parseCellMetadataUri=M})(l=e.CellUri||(e.CellUri={}));const m=new Map([["application/json",{alwaysSecure:!0,supportedByCore:!0}],["text/markdown",{alwaysSecure:!0,supportedByCore:!0}],["image/png",{alwaysSecure:!0,supportedByCore:!0}],["text/plain",{alwaysSecure:!0,supportedByCore:!0}],["application/javascript",{supportedByCore:!0}],["text/html",{supportedByCore:!0}],["image/svg+xml",{supportedByCore:!0}],["image/jpeg",{supportedByCore:!0}],["text/x-javascript",{supportedByCore:!0}],["application/x.notebook.error-traceback",{alwaysSecure:!0,supportedByCore:!0}]]);function S(E){var h,b;return(b=(h=m.get(E))===null||h===void 0?void 0:h.alwaysSecure)!==null&&b!==void 0?b:!1}e.mimeTypeIsAlwaysSecure=S;function _(E){var h,b;return(b=(h=m.get(E))===null||h===void 0?void 0:h.supportedByCore)!==null&&b!==void 0?b:!1}e.mimeTypeSupportedByCore=_;function g(E,h){return P.isWindows&&(E=E.replace(/\//g,"\\"),h=h.replace(/\//g,"\\")),v.match(E,h)}function a(E,h,b,A){let L=0;for(let M=0;M<h.length;M++){if(g(h[M],E))return L;L++}for(let M=0;M<b.length;M++){if(g(b[M],E))return L;L++}for(let M=0;M<A.length;M++){if(g(A[M],E))return L;L++}return L}function u(E,h,b,A){return E.sort((M,z)=>a(M,h,b,A)-a(z,h,b,A))}e.sortMimeTypes=u;function c(E,h,b,A=(L,M)=>L===M){const L=[];function M(W,K,x){if(!(K===0&&x.length===0)){const N=L[L.length-1];N&&N.start+N.deleteCount===W?(N.deleteCount+=K,N.toInsert.push(...x)):L.push({start:W,deleteCount:K,toInsert:x})}}let z=0,V=0;for(;;){if(z===E.length){M(z,0,h.slice(V));break}if(V===h.length){M(z,E.length-z,[]);break}const W=E[z],K=h[V];if(A(W,K)){z+=1,V+=1;continue}b(K)?(M(z,1,[]),z+=1):(M(z,0,[K]),V+=1)}return L}e.diff=c,e.NOTEBOOK_EDITOR_CURSOR_BOUNDARY=new C.RawContextKey("notebookEditorCursorAtBoundary","none"),e.NOTEBOOK_EDITOR_CURSOR_BEGIN_END=new C.RawContextKey("notebookEditorCursorAtEditorBeginEnd",!1);var t;(function(E){E.default="default",E.option="option"})(t=e.NotebookEditorPriority||(e.NotebookEditorPriority={}));function r(E){const h=E;return!!((typeof h.include=="string"||v.isRelativePattern(h.include))&&(typeof h.exclude=="string"||v.isRelativePattern(h.exclude)))}e.isDocumentExcludePattern=r;function s(E,h,b){if(Array.isArray(E.viewType)&&E.viewType.indexOf(h)>=0||E.viewType===h)return!0;if(E.filenamePattern){let A=r(E.filenamePattern)?E.filenamePattern.include:E.filenamePattern,L=r(E.filenamePattern)?E.filenamePattern.exclude:void 0;if(v.match(A,R.basename(b.fsPath).toLowerCase()))return!(L&&v.match(L,R.basename(b.fsPath).toLowerCase()))}return!1}e.notebookDocumentFilterMatch=s;class o{constructor(h){this.textModel=h}getElements(){const h=new Int32Array(this.textModel.cells.length);for(let b=0;b<this.textModel.cells.length;b++)h[b]=this.textModel.cells[b].getHashValue();return h}}e.CellSequence=o,e.DisplayOrderKey="notebook.displayOrder",e.CellToolbarLocKey="notebook.cellToolbarLocation",e.ShowCellStatusBarKey="notebook.showCellStatusBar",e.NotebookTextDiffEditorPreview="notebook.diff.enablePreview";var n;(function(E){E[E.LEFT=0]="LEFT",E[E.RIGHT=1]="RIGHT"})(n=e.CellStatusbarAlignment||(e.CellStatusbarAlignment={}));function d(E){const h=E.shift();return h===void 0?[]:E.reduce(function(b,A){return A<=b[0][1]?b[0][1]=A+1:b.unshift([A,A+1]),b},[[h,h+1]]).reverse().map(b=>({start:b[0],end:b[1]}))}e.cellIndexesToRanges=d;function w(E){return E.reduce((b,A)=>{for(let L=A.start;L<A.end;L++)b.push(L);return b},[])}e.cellRangesToIndexes=w});var nt=this&&this.__classPrivateFieldSet||function(Q,e,v){if(!e.has(Q))throw new TypeError("attempted to set private field on non-instance");return e.set(Q,v),v},ze=this&&this.__classPrivateFieldGet||function(Q,e){if(!e.has(Q))throw new TypeError("attempted to get private field on non-instance");return e.get(Q)};define(ge[8],pe([0,1,12,15,96,22,16,2,28,50,111,52]),function(Q,e,v,D,R,P,C,I,y,i,T,k){"use strict";var p,f,l,m,S,_,g,a,u,c,t,r,s,o,n,d;Object.defineProperty(e,"__esModule",{value:!0}),e.WorkspaceTrustState=e.ExternalUriOpenerPriority=e.TestMessageSeverity=e.TestRunState=e.LinkedEditingRanges=e.StandardTokenType=e.ExtensionRuntime=e.ExtensionMode=e.TimelineItem=e.NotebookEditorRevealType=e.NotebookCellStatusBarAlignment=e.NotebookRunState=e.NotebookCellRunState=e.NotebookCellKind=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookDocumentMetadata=e.NotebookCellMetadata=e.NotebookCellRange=e.ColorThemeKind=e.ColorTheme=e.FileDecoration=e.ExtensionKind=e.QuickInputButtons=e.DebugConfigurationProviderTriggerKind=e.DebugConsoleMode=e.SemanticTokensEdits=e.SemanticTokensEdit=e.SemanticTokens=e.SemanticTokensBuilder=e.SemanticTokensLegend=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.FoldingRange=e.FileSystemError=e.FileChangeType=e.InlineValueContext=e.InlineValueEvaluatableExpression=e.InlineValueVariableLookup=e.InlineValueText=e.EvaluatableExpression=e.DebugAdapterInlineImplementation=e.DebugAdapterNamedPipeServer=e.DebugAdapterServer=e.DebugAdapterExecutable=e.DataBreakpoint=e.FunctionBreakpoint=e.SourceBreakpoint=e.Breakpoint=e.RelativePattern=e.ConfigurationTarget=e.ThemeColor=e.ThemeIcon=e.TreeItemCollapsibleState=e.TreeItem=e.ProgressLocation=e.Task=e.CustomExecution=e.TaskScope=e.ShellQuoting=e.ShellExecution=e.ProcessExecution=e.TaskGroup=e.TaskPanelKind=e.TaskRevealKind=e.SourceControlInputBoxValidationType=e.ColorFormat=e.ColorPresentation=e.ColorInformation=e.Color=e.DocumentLink=e.DecorationRangeBehavior=e.TextEditorSelectionChangeKind=e.TextEditorRevealType=e.TextDocumentSaveReason=e.TextEditorLineNumbersStyle=e.StatusBarAlignment=e.ViewColumn=e.CompletionList=e.CompletionItem=e.CompletionItemTag=e.CompletionItemKind=e.CompletionTriggerKind=e.InlineHint=e.InlineHintKind=e.SignatureHelpTriggerKind=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.MarkdownString=e.CodeLens=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.SelectionRange=e.CodeActionKind=e.CodeAction=e.CodeActionTrigger=e.DocumentSymbol=e.SymbolInformation=e.SymbolTag=e.SymbolKind=e.DocumentHighlight=e.DocumentHighlightKind=e.Hover=e.Diagnostic=e.DiagnosticRelatedInformation=e.Location=e.DiagnosticSeverity=e.DiagnosticTag=e.SnippetString=e.WorkspaceEdit=e.FileEditType=e.TextEdit=e.EnvironmentVariableMutatorType=e.EndOfLine=e.RemoteAuthorityResolverError=e.ResolvedAuthority=e.Selection=e.Range=e.Position=e.Disposable=void 0;function w(j){function B(){return Reflect.construct(j,arguments,this.constructor)}return Object.defineProperty(B,"name",Object.getOwnPropertyDescriptor(j,"name")),Object.setPrototypeOf(B,j),Object.setPrototypeOf(B.prototype,j.prototype),B}let E=l=class{constructor(B){p.set(this,void 0),nt(this,p,B)}static from(...B){let ce=B;return new l(function(){if(ce){for(const Ie of ce)Ie&&typeof Ie.dispose=="function"&&Ie.dispose();ce=void 0}})}dispose(){typeof ze(this,p)=="function"&&(ze(this,p).call(this),nt(this,p,void 0))}};p=new WeakMap,E=l=Ve([w],E),e.Disposable=E;let h=m=class{constructor(B,ce){if(B<0)throw D.illegalArgument("line must be non-negative");if(ce<0)throw D.illegalArgument("character must be non-negative");this._line=B,this._character=ce}static Min(...B){if(B.length===0)throw new TypeError;let ce=B[0];for(let Ie=1;Ie<B.length;Ie++){const Ge=B[Ie];Ge.isBefore(ce)&&(ce=Ge)}return ce}static Max(...B){if(B.length===0)throw new TypeError;let ce=B[0];for(let Ie=1;Ie<B.length;Ie++){const Ge=B[Ie];Ge.isAfter(ce)&&(ce=Ge)}return ce}static isPosition(B){if(!B)return!1;if(B instanceof m)return!0;let{line:ce,character:Ie}=B;return typeof ce=="number"&&typeof Ie=="number"}get line(){return this._line}get character(){return this._character}isBefore(B){return this._line<B._line?!0:B._line<this._line?!1:this._character<B._character}isBeforeOrEqual(B){return this._line<B._line?!0:B._line<this._line?!1:this._character<=B._character}isAfter(B){return!this.isBeforeOrEqual(B)}isAfterOrEqual(B){return!this.isBefore(B)}isEqual(B){return this._line===B._line&&this._character===B._character}compareTo(B){return this._line<B._line?-1:this._line>B.line?1:this._character<B._character?-1:this._character>B._character?1:0}translate(B,ce=0){if(B===null||ce===null)throw D.illegalArgument();let Ie;return typeof B=="undefined"?Ie=0:typeof B=="number"?Ie=B:(Ie=typeof B.lineDelta=="number"?B.lineDelta:0,ce=typeof B.characterDelta=="number"?B.characterDelta:0),Ie===0&&ce===0?this:new m(this.line+Ie,this.character+ce)}with(B,ce=this.character){if(B===null||ce===null)throw D.illegalArgument();let Ie;return typeof B=="undefined"?Ie=this.line:typeof B=="number"?Ie=B:(Ie=typeof B.line=="number"?B.line:this.line,ce=typeof B.character=="number"?B.character:this.character),Ie===this.line&&ce===this.character?this:new m(Ie,ce)}toJSON(){return{line:this.line,character:this.character}}};h=m=Ve([w],h),e.Position=h;let b=S=class{constructor(B,ce,Ie,Ge){let et,te;if(typeof B=="number"&&typeof ce=="number"&&typeof Ie=="number"&&typeof Ge=="number"?(et=new h(B,ce),te=new h(Ie,Ge)):B instanceof h&&ce instanceof h&&(et=B,te=ce),!et||!te)throw new Error("Invalid arguments");et.isBefore(te)?(this._start=et,this._end=te):(this._start=te,this._end=et)}static isRange(B){return B instanceof S?!0:B?h.isPosition(B.start)&&h.isPosition(B.end):!1}get start(){return this._start}get end(){return this._end}contains(B){return B instanceof S?this.contains(B._start)&&this.contains(B._end):B instanceof h?!(B.isBefore(this._start)||this._end.isBefore(B)):!1}isEqual(B){return this._start.isEqual(B._start)&&this._end.isEqual(B._end)}intersection(B){const ce=h.Max(B.start,this._start),Ie=h.Min(B.end,this._end);if(!ce.isAfter(Ie))return new S(ce,Ie)}union(B){if(this.contains(B))return this;if(B.contains(this))return B;const ce=h.Min(B.start,this._start),Ie=h.Max(B.end,this.end);return new S(ce,Ie)}get isEmpty(){return this._start.isEqual(this._end)}get isSingleLine(){return this._start.line===this._end.line}with(B,ce=this.end){if(B===null||ce===null)throw D.illegalArgument();let Ie;return B?h.isPosition(B)?Ie=B:(Ie=B.start||this.start,ce=B.end||this.end):Ie=this.start,Ie.isEqual(this._start)&&ce.isEqual(this.end)?this:new S(Ie,ce)}toJSON(){return[this.start,this.end]}};b=S=Ve([w],b),e.Range=b;let A=_=class extends b{constructor(B,ce,Ie,Ge){let et,te;if(typeof B=="number"&&typeof ce=="number"&&typeof Ie=="number"&&typeof Ge=="number"?(et=new h(B,ce),te=new h(Ie,Ge)):B instanceof h&&ce instanceof h&&(et=B,te=ce),!et||!te)throw new Error("Invalid arguments");super(et,te);this._anchor=et,this._active=te}static isSelection(B){return B instanceof _?!0:B?b.isRange(B)&&h.isPosition(B.anchor)&&h.isPosition(B.active)&&typeof B.isReversed=="boolean":!1}get anchor(){return this._anchor}get active(){return this._active}get isReversed(){return this._anchor===this._end}toJSON(){return{start:this.start,end:this.end,active:this.active,anchor:this.anchor}}};A=_=Ve([w],A),e.Selection=A;class L{constructor(B,ce,Ie){if(typeof B!="string"||B.length===0)throw D.illegalArgument("host");if(typeof ce!="number"||ce===0||Math.round(ce)!==ce)throw D.illegalArgument("port");if(typeof Ie!="undefined"&&(typeof Ie!="string"||Ie.length===0||!/^[0-9A-Za-z\-]+$/.test(Ie)))throw D.illegalArgument("connectionToken");this.host=B,this.port=Math.round(ce),this.connectionToken=Ie}}e.ResolvedAuthority=L;class M extends Error{constructor(B,ce=T.RemoteAuthorityResolverErrorCode.Unknown,Ie){super(B);this._message=B,this._code=ce,this._detail=Ie,typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,M.prototype)}static NotAvailable(B,ce){return new M(B,T.RemoteAuthorityResolverErrorCode.NotAvailable,ce)}static TemporarilyNotAvailable(B){return new M(B,T.RemoteAuthorityResolverErrorCode.TemporarilyNotAvailable)}}e.RemoteAuthorityResolverError=M;var z;(function(j){j[j.LF=1]="LF",j[j.CRLF=2]="CRLF"})(z=e.EndOfLine||(e.EndOfLine={}));var V;(function(j){j[j.Replace=1]="Replace",j[j.Append=2]="Append",j[j.Prepend=3]="Prepend"})(V=e.EnvironmentVariableMutatorType||(e.EnvironmentVariableMutatorType={}));let W=g=class{constructor(B,ce){this._range=B,this._newText=ce}static isTextEdit(B){return B instanceof g?!0:B?b.isRange(B)&&typeof B.newText=="string":!1}static replace(B,ce){return new g(B,ce)}static insert(B,ce){return g.replace(new b(B,B),ce)}static delete(B){return g.replace(B,"")}static setEndOfLine(B){const ce=new g(new b(new h(0,0),new h(0,0)),"");return ce.newEol=B,ce}get range(){return this._range}set range(B){if(B&&!b.isRange(B))throw D.illegalArgument("range");this._range=B}get newText(){return this._newText||""}set newText(B){if(B&&typeof B!="string")throw D.illegalArgument("newText");this._newText=B}get newEol(){return this._newEol}set newEol(B){if(B&&typeof B!="number")throw D.illegalArgument("newEol");this._newEol=B}toJSON(){return{range:this.range,newText:this.newText,newEol:this._newEol}}};W=g=Ve([w],W),e.TextEdit=W;var K;(function(j){j[j.File=1]="File",j[j.Text=2]="Text",j[j.Cell=3]="Cell",j[j.CellOutput=4]="CellOutput",j[j.CellReplace=5]="CellReplace",j[j.CellOutputItem=6]="CellOutputItem"})(K=e.FileEditType||(e.FileEditType={}));let x=class{constructor(){this._edits=[]}_allEntries(){return this._edits}renameFile(B,ce,Ie,Ge){this._edits.push({_type:1,from:B,to:ce,options:Ie,metadata:Ge})}createFile(B,ce,Ie){this._edits.push({_type:1,from:void 0,to:B,options:ce,metadata:Ie})}deleteFile(B,ce,Ie){this._edits.push({_type:1,from:B,to:void 0,options:ce,metadata:Ie})}replaceNotebookMetadata(B,ce,Ie){this._edits.push({_type:3,metadata:Ie,uri:B,edit:{editType:5,metadata:Object.assign(Object.assign({},k.notebookDocumentMetadataDefaults),ce)},notebookMetadata:ce})}replaceNotebookCells(B,ce,Ie,Ge,et){(ce!==Ie||Ge.length>0)&&this._edits.push({_type:5,uri:B,index:ce,count:Ie-ce,cells:Ge,metadata:et})}replaceNotebookCellOutput(B,ce,Ie,Ge){this._editNotebookCellOutput(B,ce,!1,Ie,Ge)}appendNotebookCellOutput(B,ce,Ie,Ge){this._editNotebookCellOutput(B,ce,!0,Ie,Ge)}replaceNotebookCellOutputItems(B,ce,Ie,Ge,et){this._editNotebookCellOutputItems(B,ce,Ie,!1,Ge,et)}appendNotebookCellOutputItems(B,ce,Ie,Ge,et){this._editNotebookCellOutputItems(B,ce,Ie,!0,Ge,et)}_editNotebookCellOutputItems(B,ce,Ie,Ge,et,te){this._edits.push({_type:6,metadata:te,uri:B,index:ce,outputId:Ie,append:Ge,newOutputItems:et})}_editNotebookCellOutput(B,ce,Ie,Ge,et){this._edits.push({_type:4,metadata:et,uri:B,index:ce,append:Ie,newOutputs:Ge,newMetadata:void 0})}replaceNotebookCellMetadata(B,ce,Ie,Ge){this._edits.push({_type:3,metadata:Ge,uri:B,edit:{editType:3,index:ce,metadata:Ie}})}replace(B,ce,Ie,Ge){this._edits.push({_type:2,uri:B,edit:new W(ce,Ie),metadata:Ge})}insert(B,ce,Ie,Ge){this.replace(B,new b(ce,ce),Ie,Ge)}delete(B,ce,Ie){this.replace(B,ce,"",Ie)}has(B){return this._edits.some(ce=>ce._type===2&&ce.uri.toString()===B.toString())}set(B,ce){if(ce)for(const Ie of ce)Ie&&this._edits.push({_type:2,uri:B,edit:Ie});else{for(let Ie=0;Ie<this._edits.length;Ie++){const Ge=this._edits[Ie];Ge._type===2&&Ge.uri.toString()===B.toString()&&(this._edits[Ie]=void 0)}v.coalesceInPlace(this._edits)}}get(B){const ce=[];for(let Ie of this._edits)Ie._type===2&&Ie.uri.toString()===B.toString()&&ce.push(Ie.edit);return ce}entries(){const B=new P.ResourceMap;for(let ce of this._edits)if(ce._type===2){let Ie=B.get(ce.uri);Ie||(Ie=[ce.uri,[]],B.set(ce.uri,Ie)),Ie[1].push(ce.edit)}return[...B.values()]}get size(){return this.entries().length}toJSON(){return this.entries()}};x=Ve([w],x),e.WorkspaceEdit=x;let N=a=class{constructor(B){this._tabstop=1,this.value=B||""}static isSnippetString(B){return B instanceof a?!0:B?typeof B.value=="string":!1}static _escape(B){return B.replace(/\$|}|\\/g,"\\$&")}appendText(B){return this.value+=a._escape(B),this}appendTabstop(B=this._tabstop++){return this.value+="$",this.value+=B,this}appendPlaceholder(B,ce=this._tabstop++){if(typeof B=="function"){const Ie=new a;Ie._tabstop=this._tabstop,B(Ie),this._tabstop=Ie._tabstop,B=Ie.value}else B=a._escape(B);return this.value+="${",this.value+=ce,this.value+=":",this.value+=B,this.value+="}",this}appendChoice(B,ce=this._tabstop++){const Ie=B.map(Ge=>Ge.replace(/\$|}|\\|,/g,"\\$&")).join(",");return this.value+="${",this.value+=ce,this.value+="|",this.value+=Ie,this.value+="|}",this}appendVariable(B,ce){if(typeof ce=="function"){const Ie=new a;Ie._tabstop=this._tabstop,ce(Ie),this._tabstop=Ie._tabstop,ce=Ie.value}else typeof ce=="string"&&(ce=ce.replace(/\$|}/g,"\\$&"));return this.value+="${",this.value+=B,ce&&(this.value+=":",this.value+=ce),this.value+="}",this}};N=a=Ve([w],N),e.SnippetString=N;var U;(function(j){j[j.Unnecessary=1]="Unnecessary",j[j.Deprecated=2]="Deprecated"})(U=e.DiagnosticTag||(e.DiagnosticTag={}));var F;(function(j){j[j.Hint=3]="Hint",j[j.Information=2]="Information",j[j.Warning=1]="Warning",j[j.Error=0]="Error"})(F=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));let O=u=class{constructor(B,ce){if(this.uri=B,ce)if(ce instanceof b)this.range=ce;else if(ce instanceof h)this.range=new b(ce,ce);else throw new Error("Illegal argument")}static isLocation(B){return B instanceof u?!0:B?b.isRange(B.range)&&I.URI.isUri(B.uri):!1}toJSON(){return{uri:this.uri,range:this.range}}};O=u=Ve([w],O),e.Location=O;let $=class{constructor(B,ce){this.location=B,this.message=ce}static is(B){return B?typeof B.message=="string"&&B.location&&b.isRange(B.location.range)&&I.URI.isUri(B.location.uri):!1}static isEqual(B,ce){return B===ce?!0:!B||!ce?!1:B.message===ce.message&&B.location.range.isEqual(ce.location.range)&&B.location.uri.toString()===ce.location.uri.toString()}};$=Ve([w],$),e.DiagnosticRelatedInformation=$;let q=class{constructor(B,ce,Ie=F.Error){if(!b.isRange(B))throw new TypeError("range must be set");if(!ce)throw new TypeError("message must be set");this.range=B,this.message=ce,this.severity=Ie}toJSON(){return{severity:F[this.severity],message:this.message,range:this.range,source:this.source,code:this.code}}static isEqual(B,ce){return B===ce?!0:!B||!ce?!1:B.message===ce.message&&B.severity===ce.severity&&B.code===ce.code&&B.severity===ce.severity&&B.source===ce.source&&B.range.isEqual(ce.range)&&v.equals(B.tags,ce.tags)&&v.equals(B.relatedInformation,ce.relatedInformation,$.isEqual)}};q=Ve([w],q),e.Diagnostic=q;let Z=class{constructor(B,ce){if(!B)throw new Error("Illegal argument, contents must be defined");Array.isArray(B)?this.contents=B:R.isMarkdownString(B)?this.contents=[B]:this.contents=[B],this.range=ce}};Z=Ve([w],Z),e.Hover=Z;var ae;(function(j){j[j.Text=0]="Text",j[j.Read=1]="Read",j[j.Write=2]="Write"})(ae=e.DocumentHighlightKind||(e.DocumentHighlightKind={}));let fe=class{constructor(B,ce=ae.Text){this.range=B,this.kind=ce}toJSON(){return{range:this.range,kind:ae[this.kind]}}};fe=Ve([w],fe),e.DocumentHighlight=fe;var Te;(function(j){j[j.File=0]="File",j[j.Module=1]="Module",j[j.Namespace=2]="Namespace",j[j.Package=3]="Package",j[j.Class=4]="Class",j[j.Method=5]="Method",j[j.Property=6]="Property",j[j.Field=7]="Field",j[j.Constructor=8]="Constructor",j[j.Enum=9]="Enum",j[j.Interface=10]="Interface",j[j.Function=11]="Function",j[j.Variable=12]="Variable",j[j.Constant=13]="Constant",j[j.String=14]="String",j[j.Number=15]="Number",j[j.Boolean=16]="Boolean",j[j.Array=17]="Array",j[j.Object=18]="Object",j[j.Key=19]="Key",j[j.Null=20]="Null",j[j.EnumMember=21]="EnumMember",j[j.Struct=22]="Struct",j[j.Event=23]="Event",j[j.Operator=24]="Operator",j[j.TypeParameter=25]="TypeParameter"})(Te=e.SymbolKind||(e.SymbolKind={}));var Se;(function(j){j[j.Deprecated=1]="Deprecated"})(Se=e.SymbolTag||(e.SymbolTag={}));let Le=c=class{constructor(B,ce,Ie,Ge,et){this.name=B,this.kind=ce,this.containerName=et,typeof Ie=="string"&&(this.containerName=Ie),Ge instanceof O?this.location=Ge:Ie instanceof b&&(this.location=new O(Ge,Ie)),c.validate(this)}static validate(B){if(!B.name)throw new Error("name must not be falsy")}toJSON(){return{name:this.name,kind:Te[this.kind],location:this.location,containerName:this.containerName}}};Le=c=Ve([w],Le),e.SymbolInformation=Le;let H=t=class{constructor(B,ce,Ie,Ge,et){this.name=B,this.detail=ce,this.kind=Ie,this.range=Ge,this.selectionRange=et,this.children=[],t.validate(this)}static validate(B){if(!B.name)throw new Error("name must not be falsy");if(!B.range.contains(B.selectionRange))throw new Error("selectionRange must be contained in fullRange");B.children&&B.children.forEach(t.validate)}};H=t=Ve([w],H),e.DocumentSymbol=H;var Y;(function(j){j[j.Automatic=1]="Automatic",j[j.Manual=2]="Manual"})(Y=e.CodeActionTrigger||(e.CodeActionTrigger={}));let ie=class{constructor(B,ce){this.title=B,this.kind=ce}};ie=Ve([w],ie),e.CodeAction=ie;let oe=r=class{constructor(B){this.value=B}append(B){return new r(this.value?this.value+r.sep+B:B)}intersects(B){return this.contains(B)||B.contains(this)}contains(B){return this.value===B.value||B.value.startsWith(this.value+r.sep)}};oe.sep=".",oe=r=Ve([w],oe),e.CodeActionKind=oe,oe.Empty=new oe(""),oe.QuickFix=oe.Empty.append("quickfix"),oe.Refactor=oe.Empty.append("refactor"),oe.RefactorExtract=oe.Refactor.append("extract"),oe.RefactorInline=oe.Refactor.append("inline"),oe.RefactorRewrite=oe.Refactor.append("rewrite"),oe.Source=oe.Empty.append("source"),oe.SourceOrganizeImports=oe.Source.append("organizeImports"),oe.SourceFixAll=oe.Source.append("fixAll");let ve=class{constructor(B,ce){if(this.range=B,this.parent=ce,ce&&!ce.range.contains(this.range))throw new Error("Invalid argument: parent must contain this range")}};ve=Ve([w],ve),e.SelectionRange=ve;class ke{constructor(B,ce,Ie,Ge,et,te){this.kind=B,this.name=ce,this.detail=Ie,this.uri=Ge,this.range=et,this.selectionRange=te}}e.CallHierarchyItem=ke;class Me{constructor(B,ce){this.fromRanges=ce,this.from=B}}e.CallHierarchyIncomingCall=Me;class _e{constructor(B,ce){this.fromRanges=ce,this.to=B}}e.CallHierarchyOutgoingCall=_e;let Pe=class{constructor(B,ce){this.range=B,this.command=ce}get isResolved(){return!!this.command}};Pe=Ve([w],Pe),e.CodeLens=Pe;let Re=s=class{constructor(B,ce=!1){f.set(this,void 0),nt(this,f,new R.MarkdownString(B,{supportThemeIcons:ce}))}static isMarkdownString(B){return B instanceof s?!0:B&&B.appendCodeblock&&B.appendMarkdown&&B.appendText&&B.value!==void 0}get value(){return ze(this,f).value}set value(B){ze(this,f).value=B}get isTrusted(){return ze(this,f).isTrusted}set isTrusted(B){ze(this,f).isTrusted=B}get supportThemeIcons(){return ze(this,f).supportThemeIcons}appendText(B){return ze(this,f).appendText(B),this}appendMarkdown(B){return ze(this,f).appendMarkdown(B),this}appendCodeblock(B,ce){return ze(this,f).appendCodeblock(ce!=null?ce:"",B),this}};f=new WeakMap,Re=s=Ve([w],Re),e.MarkdownString=Re;let Ue=class{constructor(B,ce){this.label=B,this.documentation=ce}};Ue=Ve([w],Ue),e.ParameterInformation=Ue;let Ee=class{constructor(B,ce){this.label=B,this.documentation=ce,this.parameters=[]}};Ee=Ve([w],Ee),e.SignatureInformation=Ee;let Ke=class{constructor(){this.activeSignature=0,this.activeParameter=0,this.signatures=[]}};Ke=Ve([w],Ke),e.SignatureHelp=Ke;var X;(function(j){j[j.Invoke=1]="Invoke",j[j.TriggerCharacter=2]="TriggerCharacter",j[j.ContentChange=3]="ContentChange"})(X=e.SignatureHelpTriggerKind||(e.SignatureHelpTriggerKind={}));var ne;(function(j){j[j.Other=0]="Other",j[j.Type=1]="Type",j[j.Parameter=2]="Parameter"})(ne=e.InlineHintKind||(e.InlineHintKind={}));let we=class{constructor(B,ce,Ie){this.text=B,this.range=ce,this.kind=Ie}};we=Ve([w],we),e.InlineHint=we;var Ne;(function(j){j[j.Invoke=0]="Invoke",j[j.TriggerCharacter=1]="TriggerCharacter",j[j.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(Ne=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var Be;(function(j){j[j.Text=0]="Text",j[j.Method=1]="Method",j[j.Function=2]="Function",j[j.Constructor=3]="Constructor",j[j.Field=4]="Field",j[j.Variable=5]="Variable",j[j.Class=6]="Class",j[j.Interface=7]="Interface",j[j.Module=8]="Module",j[j.Property=9]="Property",j[j.Unit=10]="Unit",j[j.Value=11]="Value",j[j.Enum=12]="Enum",j[j.Keyword=13]="Keyword",j[j.Snippet=14]="Snippet",j[j.Color=15]="Color",j[j.File=16]="File",j[j.Reference=17]="Reference",j[j.Folder=18]="Folder",j[j.EnumMember=19]="EnumMember",j[j.Constant=20]="Constant",j[j.Struct=21]="Struct",j[j.Event=22]="Event",j[j.Operator=23]="Operator",j[j.TypeParameter=24]="TypeParameter",j[j.User=25]="User",j[j.Issue=26]="Issue"})(Be=e.CompletionItemKind||(e.CompletionItemKind={}));var We;(function(j){j[j.Deprecated=1]="Deprecated"})(We=e.CompletionItemTag||(e.CompletionItemTag={}));let Je=class{constructor(B,ce){this.label=B,this.kind=ce}toJSON(){return{label:this.label,label2:this.label2,kind:this.kind&&Be[this.kind],detail:this.detail,documentation:this.documentation,sortText:this.sortText,filterText:this.filterText,preselect:this.preselect,insertText:this.insertText,textEdit:this.textEdit}}};Je=Ve([w],Je),e.CompletionItem=Je;let G=class{constructor(B=[],ce=!1){this.items=B,this.isIncomplete=ce}};G=Ve([w],G),e.CompletionList=G;var se;(function(j){j[j.Active=-1]="Active",j[j.Beside=-2]="Beside",j[j.One=1]="One",j[j.Two=2]="Two",j[j.Three=3]="Three",j[j.Four=4]="Four",j[j.Five=5]="Five",j[j.Six=6]="Six",j[j.Seven=7]="Seven",j[j.Eight=8]="Eight",j[j.Nine=9]="Nine"})(se=e.ViewColumn||(e.ViewColumn={}));var he;(function(j){j[j.Left=1]="Left",j[j.Right=2]="Right"})(he=e.StatusBarAlignment||(e.StatusBarAlignment={}));var J;(function(j){j[j.Off=0]="Off",j[j.On=1]="On",j[j.Relative=2]="Relative"})(J=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var re;(function(j){j[j.Manual=1]="Manual",j[j.AfterDelay=2]="AfterDelay",j[j.FocusOut=3]="FocusOut"})(re=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var de;(function(j){j[j.Default=0]="Default",j[j.InCenter=1]="InCenter",j[j.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",j[j.AtTop=3]="AtTop"})(de=e.TextEditorRevealType||(e.TextEditorRevealType={}));var me;(function(j){j[j.Keyboard=1]="Keyboard",j[j.Mouse=2]="Mouse",j[j.Command=3]="Command"})(me=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));var ye;(function(j){j[j.OpenOpen=0]="OpenOpen",j[j.ClosedClosed=1]="ClosedClosed",j[j.OpenClosed=2]="OpenClosed",j[j.ClosedOpen=3]="ClosedOpen"})(ye=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={})),function(j){function B(ce){switch(ce){case"keyboard":return j.Keyboard;case"mouse":return j.Mouse;case"api":return j.Command}}j.fromValue=B}(me=e.TextEditorSelectionChangeKind||(e.TextEditorSelectionChangeKind={}));let je=class{constructor(B,ce){if(ce&&!I.URI.isUri(ce))throw D.illegalArgument("target");if(!b.isRange(B)||B.isEmpty)throw D.illegalArgument("range");this.range=B,this.target=ce}};je=Ve([w],je),e.DocumentLink=je;let He=class{constructor(B,ce,Ie,Ge){this.red=B,this.green=ce,this.blue=Ie,this.alpha=Ge}};He=Ve([w],He),e.Color=He;let qe=class{constructor(B,ce){if(ce&&!(ce instanceof He))throw D.illegalArgument("color");if(!b.isRange(B)||B.isEmpty)throw D.illegalArgument("range");this.range=B,this.color=ce}};qe=Ve([w],qe),e.ColorInformation=qe;let Qe=class{constructor(B){if(!B||typeof B!="string")throw D.illegalArgument("label");this.label=B}};Qe=Ve([w],Qe),e.ColorPresentation=Qe;var Ze;(function(j){j[j.RGB=0]="RGB",j[j.HEX=1]="HEX",j[j.HSL=2]="HSL"})(Ze=e.ColorFormat||(e.ColorFormat={}));var be;(function(j){j[j.Error=0]="Error",j[j.Warning=1]="Warning",j[j.Information=2]="Information"})(be=e.SourceControlInputBoxValidationType||(e.SourceControlInputBoxValidationType={}));var De;(function(j){j[j.Always=1]="Always",j[j.Silent=2]="Silent",j[j.Never=3]="Never"})(De=e.TaskRevealKind||(e.TaskRevealKind={}));var ue;(function(j){j[j.Shared=1]="Shared",j[j.Dedicated=2]="Dedicated",j[j.New=3]="New"})(ue=e.TaskPanelKind||(e.TaskPanelKind={}));let ee=o=class{constructor(B,ce){if(typeof B!="string"||typeof ce!="string")throw D.illegalArgument("name");this._id=B}static from(B){switch(B){case"clean":return o.Clean;case"build":return o.Build;case"rebuild":return o.Rebuild;case"test":return o.Test;default:return}}get id(){return this._id}};ee.Clean=new o("clean","Clean"),ee.Build=new o("build","Build"),ee.Rebuild=new o("rebuild","Rebuild"),ee.Test=new o("test","Test"),ee=o=Ve([w],ee),e.TaskGroup=ee;function Fe(j){let B="";for(let ce=0;ce<j.length;ce++)B+=j[ce].replace(/,/g,",,")+",";return B}let xe=class{constructor(B,ce,Ie){if(typeof B!="string")throw D.illegalArgument("process");this._args=[],this._process=B,ce!==void 0&&(Array.isArray(ce)?(this._args=ce,this._options=Ie):this._options=ce)}get process(){return this._process}set process(B){if(typeof B!="string")throw D.illegalArgument("process");this._process=B}get args(){return this._args}set args(B){Array.isArray(B)||(B=[]),this._args=B}get options(){return this._options}set options(B){this._options=B}computeId(){const B=[];if(B.push("process"),this._process!==void 0&&B.push(this._process),this._args&&this._args.length>0)for(let ce of this._args)B.push(ce);return Fe(B)}};xe=Ve([w],xe),e.ProcessExecution=xe;let Ye=class{constructor(B,ce,Ie){if(this._args=[],Array.isArray(ce)){if(!B)throw D.illegalArgument("command can't be undefined or null");if(typeof B!="string"&&typeof B.value!="string")throw D.illegalArgument("command");this._command=B,this._args=ce,this._options=Ie}else{if(typeof B!="string")throw D.illegalArgument("commandLine");this._commandLine=B,this._options=ce}}get commandLine(){return this._commandLine}set commandLine(B){if(typeof B!="string")throw D.illegalArgument("commandLine");this._commandLine=B}get command(){return this._command?this._command:""}set command(B){if(typeof B!="string"&&typeof B.value!="string")throw D.illegalArgument("command");this._command=B}get args(){return this._args}set args(B){this._args=B||[]}get options(){return this._options}set options(B){this._options=B}computeId(){const B=[];if(B.push("shell"),this._commandLine!==void 0&&B.push(this._commandLine),this._command!==void 0&&B.push(typeof this._command=="string"?this._command:this._command.value),this._args&&this._args.length>0)for(let ce of this._args)B.push(typeof ce=="string"?ce:ce.value);return Fe(B)}};Ye=Ve([w],Ye),e.ShellExecution=Ye;var Ae;(function(j){j[j.Escape=1]="Escape",j[j.Strong=2]="Strong",j[j.Weak=3]="Weak"})(Ae=e.ShellQuoting||(e.ShellQuoting={}));var st;(function(j){j[j.Global=1]="Global",j[j.Workspace=2]="Workspace"})(st=e.TaskScope||(e.TaskScope={}));class rt{constructor(B){this._callback=B}computeId(){return"customExecution"+y.generateUuid()}set callback(B){this._callback=B}get callback(){return this._callback}}e.CustomExecution=rt;let Xe=n=class{constructor(B,ce,Ie,Ge,et,te){this.__deprecated=!1,this._definition=this.definition=B;let le;typeof ce=="string"?(this._name=this.name=ce,this._source=this.source=Ie,this.execution=Ge,le=et,this.__deprecated=!0):ce===st.Global||ce===st.Workspace?(this.target=ce,this._name=this.name=Ie,this._source=this.source=Ge,this.execution=et,le=te):(this.target=ce,this._name=this.name=Ie,this._source=this.source=Ge,this.execution=et,le=te),typeof le=="string"?(this._problemMatchers=[le],this._hasDefinedMatchers=!0):Array.isArray(le)?(this._problemMatchers=le,this._hasDefinedMatchers=!0):(this._problemMatchers=[],this._hasDefinedMatchers=!1),this._isBackground=!1,this._presentationOptions=Object.create(null),this._runOptions=Object.create(null)}get _id(){return this.__id}set _id(B){this.__id=B}get _deprecated(){return this.__deprecated}clear(){this.__id!==void 0&&(this.__id=void 0,this._scope=void 0,this.computeDefinitionBasedOnExecution())}computeDefinitionBasedOnExecution(){this._execution instanceof xe?this._definition={type:n.ProcessType,id:this._execution.computeId()}:this._execution instanceof Ye?this._definition={type:n.ShellType,id:this._execution.computeId()}:this._execution instanceof rt?this._definition={type:n.ExtensionCallbackType,id:this._execution.computeId()}:this._definition={type:n.EmptyType,id:y.generateUuid()}}get definition(){return this._definition}set definition(B){if(B==null)throw D.illegalArgument("Kind can't be undefined or null");this.clear(),this._definition=B}get scope(){return this._scope}set target(B){this.clear(),this._scope=B}get name(){return this._name}set name(B){if(typeof B!="string")throw D.illegalArgument("name");this.clear(),this._name=B}get execution(){return this._execution}set execution(B){B===null&&(B=void 0),this.clear(),this._execution=B;const ce=this._definition.type;(n.EmptyType===ce||n.ProcessType===ce||n.ShellType===ce||n.ExtensionCallbackType===ce)&&this.computeDefinitionBasedOnExecution()}get problemMatchers(){return this._problemMatchers}set problemMatchers(B){if(Array.isArray(B))this.clear(),this._problemMatchers=B,this._hasDefinedMatchers=!0;else{this.clear(),this._problemMatchers=[],this._hasDefinedMatchers=!1;return}}get hasDefinedMatchers(){return this._hasDefinedMatchers}get isBackground(){return this._isBackground}set isBackground(B){B!==!0&&B!==!1&&(B=!1),this.clear(),this._isBackground=B}get source(){return this._source}set source(B){if(typeof B!="string"||B.length===0)throw D.illegalArgument("source must be a string of length > 0");this.clear(),this._source=B}get group(){return this._group}set group(B){B===null&&(B=void 0),this.clear(),this._group=B}get detail(){return this._detail}set detail(B){B===null&&(B=void 0),this._detail=B}get presentationOptions(){return this._presentationOptions}set presentationOptions(B){B==null&&(B=Object.create(null)),this.clear(),this._presentationOptions=B}get runOptions(){return this._runOptions}set runOptions(B){B==null&&(B=Object.create(null)),this.clear(),this._runOptions=B}};Xe.ExtensionCallbackType="customExecution",Xe.ProcessType="process",Xe.ShellType="shell",Xe.EmptyType="$empty",Xe=n=Ve([w],Xe),e.Task=Xe;var ct;(function(j){j[j.SourceControl=1]="SourceControl",j[j.Window=10]="Window",j[j.Notification=15]="Notification"})(ct=e.ProgressLocation||(e.ProgressLocation={}));let dt=class{constructor(B,ce=ht.None){this.collapsibleState=ce,I.URI.isUri(B)?this.resourceUri=B:this.label=B}};dt=Ve([w],dt),e.TreeItem=dt;var ht;(function(j){j[j.None=0]="None",j[j.Collapsed=1]="Collapsed",j[j.Expanded=2]="Expanded"})(ht=e.TreeItemCollapsibleState||(e.TreeItemCollapsibleState={}));let _t=class{constructor(B,ce){this.id=B,this.color=ce}};_t=Ve([w],_t),e.ThemeIcon=_t,_t.File=new _t("file"),_t.Folder=new _t("folder");let Dt=class{constructor(B){this.id=B}};Dt=Ve([w],Dt),e.ThemeColor=Dt;var yt;(function(j){j[j.Global=1]="Global",j[j.Workspace=2]="Workspace",j[j.WorkspaceFolder=3]="WorkspaceFolder"})(yt=e.ConfigurationTarget||(e.ConfigurationTarget={}));let gt=class{constructor(B,ce){if(typeof B!="string"&&(!B||!I.URI.isUri(B)&&!I.URI.isUri(B.uri)))throw D.illegalArgument("base");if(typeof ce!="string")throw D.illegalArgument("pattern");typeof B=="string"?(this.baseFolder=I.URI.file(B),this.base=B):I.URI.isUri(B)?(this.baseFolder=B,this.base=B.fsPath):(this.baseFolder=B.uri,this.base=B.uri.fsPath),this.pattern=ce}};gt=Ve([w],gt),e.RelativePattern=gt;let mt=class{constructor(B,ce,Ie,Ge){this.enabled=typeof B=="boolean"?B:!0,typeof ce=="string"&&(this.condition=ce),typeof Ie=="string"&&(this.hitCondition=Ie),typeof Ge=="string"&&(this.logMessage=Ge)}get id(){return this._id||(this._id=y.generateUuid()),this._id}};mt=Ve([w],mt),e.Breakpoint=mt;let ut=class extends mt{constructor(B,ce,Ie,Ge,et){super(ce,Ie,Ge,et);if(B===null)throw D.illegalArgument("location");this.location=B}};ut=Ve([w],ut),e.SourceBreakpoint=ut;let wt=class extends mt{constructor(B,ce,Ie,Ge,et){super(ce,Ie,Ge,et);this.functionName=B}};wt=Ve([w],wt),e.FunctionBreakpoint=wt;let vt=class extends mt{constructor(B,ce,Ie,Ge,et,te,le){super(Ge,et,te,le);if(!ce)throw D.illegalArgument("dataId");this.label=B,this.dataId=ce,this.canPersist=Ie}};vt=Ve([w],vt),e.DataBreakpoint=vt;let Rt=class{constructor(B,ce,Ie){this.command=B,this.args=ce||[],this.options=Ie}};Rt=Ve([w],Rt),e.DebugAdapterExecutable=Rt;let Pt=class{constructor(B,ce){this.port=B,this.host=ce}};Pt=Ve([w],Pt),e.DebugAdapterServer=Pt;let It=class{constructor(B){this.path=B}};It=Ve([w],It),e.DebugAdapterNamedPipeServer=It;let Et=class{constructor(B){this.implementation=B}};Et=Ve([w],Et),e.DebugAdapterInlineImplementation=Et;let zt=class{constructor(B,ce){this.range=B,this.expression=ce}};zt=Ve([w],zt),e.EvaluatableExpression=zt;let Vt=class{constructor(B,ce){this.range=B,this.text=ce}};Vt=Ve([w],Vt),e.InlineValueText=Vt;let at=class{constructor(B,ce,Ie=!0){this.range=B,this.variableName=ce,this.caseSensitiveLookup=Ie}};at=Ve([w],at),e.InlineValueVariableLookup=at;let St=class{constructor(B,ce){this.range=B,this.expression=ce}};St=Ve([w],St),e.InlineValueEvaluatableExpression=St;let $t=class{constructor(B){this.stoppedLocation=B}};$t=Ve([w],$t),e.InlineValueContext=$t;var dn;(function(j){j[j.Changed=1]="Changed",j[j.Created=2]="Created",j[j.Deleted=3]="Deleted"})(dn=e.FileChangeType||(e.FileChangeType={}));let Lt=d=class extends Error{constructor(B,ce=i.FileSystemProviderErrorCode.Unknown,Ie){var Ge;super(I.URI.isUri(B)?B.toString(!0):B);this.code=(Ge=Ie==null?void 0:Ie.name)!==null&&Ge!==void 0?Ge:"Unknown",i.markAsFileSystemProviderError(this,ce),typeof Object.setPrototypeOf=="function"&&Object.setPrototypeOf(this,d.prototype),typeof Error.captureStackTrace=="function"&&typeof Ie=="function"&&Error.captureStackTrace(this,Ie)}static FileExists(B){return new d(B,i.FileSystemProviderErrorCode.FileExists,d.FileExists)}static FileNotFound(B){return new d(B,i.FileSystemProviderErrorCode.FileNotFound,d.FileNotFound)}static FileNotADirectory(B){return new d(B,i.FileSystemProviderErrorCode.FileNotADirectory,d.FileNotADirectory)}static FileIsADirectory(B){return new d(B,i.FileSystemProviderErrorCode.FileIsADirectory,d.FileIsADirectory)}static NoPermissions(B){return new d(B,i.FileSystemProviderErrorCode.NoPermissions,d.NoPermissions)}static Unavailable(B){return new d(B,i.FileSystemProviderErrorCode.Unavailable,d.Unavailable)}};Lt=d=Ve([w],Lt),e.FileSystemError=Lt;let ot=class{constructor(B,ce,Ie){this.start=B,this.end=ce,this.kind=Ie}};ot=Ve([w],ot),e.FoldingRange=ot;var hn;(function(j){j[j.Comment=1]="Comment",j[j.Imports=2]="Imports",j[j.Region=3]="Region"})(hn=e.FoldingRangeKind||(e.FoldingRangeKind={}));var Tt;(function(j){j[j.Collapsed=0]="Collapsed",j[j.Expanded=1]="Expanded"})(Tt=e.CommentThreadCollapsibleState||(e.CommentThreadCollapsibleState={}));var Nt;(function(j){j[j.Editing=0]="Editing",j[j.Preview=1]="Preview"})(Nt=e.CommentMode||(e.CommentMode={}));class en{constructor(B,ce=[]){this.tokenTypes=B,this.tokenModifiers=ce}}e.SemanticTokensLegend=en;function fn(j){return typeof j=="undefined"||C.isStringArray(j)}class Ht{constructor(B){if(this._prevLine=0,this._prevChar=0,this._dataIsSortedAndDeltaEncoded=!0,this._data=[],this._dataLen=0,this._tokenTypeStrToInt=new Map,this._tokenModifierStrToInt=new Map,this._hasLegend=!1,B){this._hasLegend=!0;for(let ce=0,Ie=B.tokenTypes.length;ce<Ie;ce++)this._tokenTypeStrToInt.set(B.tokenTypes[ce],ce);for(let ce=0,Ie=B.tokenModifiers.length;ce<Ie;ce++)this._tokenModifierStrToInt.set(B.tokenModifiers[ce],ce)}}push(B,ce,Ie,Ge,et){if(typeof B=="number"&&typeof ce=="number"&&typeof Ie=="number"&&typeof Ge=="number"&&(typeof et=="number"||typeof et=="undefined"))return typeof et=="undefined"&&(et=0),this._pushEncoded(B,ce,Ie,Ge,et);if(b.isRange(B)&&typeof ce=="string"&&fn(Ie))return this._push(B,ce,Ie);throw D.illegalArgument()}_push(B,ce,Ie){if(!this._hasLegend)throw new Error("Legend must be provided in constructor");if(B.start.line!==B.end.line)throw new Error("`range` cannot span multiple lines");if(!this._tokenTypeStrToInt.has(ce))throw new Error("`tokenType` is not in the provided legend");const Ge=B.start.line,et=B.start.character,te=B.end.character-B.start.character,le=this._tokenTypeStrToInt.get(ce);let Ce=0;if(Ie)for(const tt of Ie){if(!this._tokenModifierStrToInt.has(tt))throw new Error("`tokenModifier` is not in the provided legend");const it=this._tokenModifierStrToInt.get(tt);Ce|=1<<it>>>0}this._pushEncoded(Ge,et,te,le,Ce)}_pushEncoded(B,ce,Ie,Ge,et){if(this._dataIsSortedAndDeltaEncoded&&(B<this._prevLine||B===this._prevLine&&ce<this._prevChar)){this._dataIsSortedAndDeltaEncoded=!1;const Ce=this._data.length/5|0;let tt=0,it=0;for(let lt=0;lt<Ce;lt++){let bt=this._data[5*lt],Ct=this._data[5*lt+1];bt===0?(bt=tt,Ct+=it):bt+=tt,this._data[5*lt]=bt,this._data[5*lt+1]=Ct,tt=bt,it=Ct}}let te=B,le=ce;this._dataIsSortedAndDeltaEncoded&&this._dataLen>0&&(te-=this._prevLine,te===0&&(le-=this._prevChar)),this._data[this._dataLen++]=te,this._data[this._dataLen++]=le,this._data[this._dataLen++]=Ie,this._data[this._dataLen++]=Ge,this._data[this._dataLen++]=et,this._prevLine=B,this._prevChar=ce}static _sortAndDeltaEncode(B){let ce=[];const Ie=B.length/5|0;for(let le=0;le<Ie;le++)ce[le]=le;ce.sort((le,Ce)=>{const tt=B[5*le],it=B[5*Ce];if(tt===it){const lt=B[5*le+1],bt=B[5*Ce+1];return lt-bt}return tt-it});const Ge=new Uint32Array(B.length);let et=0,te=0;for(let le=0;le<Ie;le++){const Ce=5*ce[le],tt=B[Ce+0],it=B[Ce+1],lt=B[Ce+2],bt=B[Ce+3],Ct=B[Ce+4],kn=tt-et,Ln=kn===0?it-te:it,Jt=5*le;Ge[Jt+0]=kn,Ge[Jt+1]=Ln,Ge[Jt+2]=lt,Ge[Jt+3]=bt,Ge[Jt+4]=Ct,et=tt,te=it}return Ge}build(B){return this._dataIsSortedAndDeltaEncoded?new jt(new Uint32Array(this._data),B):new jt(Ht._sortAndDeltaEncode(this._data),B)}}e.SemanticTokensBuilder=Ht;class jt{constructor(B,ce){this.resultId=ce,this.data=B}}e.SemanticTokens=jt;class tn{constructor(B,ce,Ie){this.start=B,this.deleteCount=ce,this.data=Ie}}e.SemanticTokensEdit=tn;class Ft{constructor(B,ce){this.resultId=ce,this.edits=B}}e.SemanticTokensEdits=Ft;var mn;(function(j){j[j.Separate=0]="Separate",j[j.MergeWithParent=1]="MergeWithParent"})(mn=e.DebugConsoleMode||(e.DebugConsoleMode={}));var qt;(function(j){j[j.Initial=1]="Initial",j[j.Dynamic=2]="Dynamic"})(qt=e.DebugConfigurationProviderTriggerKind||(e.DebugConfigurationProviderTriggerKind={}));let Ot=class{constructor(){}};Ot.Back={iconPath:new _t("arrow-left")},Ot=Ve([w],Ot),e.QuickInputButtons=Ot;var gn;(function(j){j[j.UI=1]="UI",j[j.Workspace=2]="Workspace"})(gn=e.ExtensionKind||(e.ExtensionKind={}));class pn{constructor(B,ce,Ie){this.badge=B,this.tooltip=ce,this.color=Ie}static validate(B){if(B.badge&&B.badge.length!==1&&B.badge.length!==2)throw new Error("The 'badge'-property must be undefined or a short character");if(!B.color&&!B.badge&&!B.tooltip)throw new Error("The decoration is empty")}}e.FileDecoration=pn;let kt=class{constructor(B){this.kind=B}};kt=Ve([w],kt),e.ColorTheme=kt;var vn;(function(j){j[j.Light=1]="Light",j[j.Dark=2]="Dark",j[j.HighContrast=3]="HighContrast"})(vn=e.ColorThemeKind||(e.ColorThemeKind={}));class _n{constructor(B,ce){this._start=B,this._end=ce}get start(){return this._start}get end(){return this._end}}e.NotebookCellRange=_n;class Gt{constructor(B,ce,Ie,Ge,et,te,le,Ce,tt,it,lt,bt){this.editable=B,this.breakpointMargin=ce,this.runnable=Ie,this.hasExecutionOrder=Ge,this.executionOrder=et,this.runState=te,this.runStartTime=le,this.statusMessage=Ce,this.lastRunDuration=tt,this.inputCollapsed=it,this.outputCollapsed=lt,this.custom=bt}with(B){let{editable:ce,breakpointMargin:Ie,runnable:Ge,hasExecutionOrder:et,executionOrder:te,runState:le,runStartTime:Ce,statusMessage:tt,lastRunDuration:it,inputCollapsed:lt,outputCollapsed:bt,custom:Ct}=B;return ce===void 0?ce=this.editable:ce===null&&(ce=void 0),Ie===void 0?Ie=this.breakpointMargin:Ie===null&&(Ie=void 0),Ge===void 0?Ge=this.runnable:Ge===null&&(Ge=void 0),et===void 0?et=this.hasExecutionOrder:et===null&&(et=void 0),te===void 0?te=this.executionOrder:te===null&&(te=void 0),le===void 0?le=this.runState:le===null&&(le=void 0),Ce===void 0?Ce=this.runStartTime:Ce===null&&(Ce=void 0),tt===void 0?tt=this.statusMessage:tt===null&&(tt=void 0),it===void 0?it=this.lastRunDuration:it===null&&(it=void 0),lt===void 0?lt=this.inputCollapsed:lt===null&&(lt=void 0),bt===void 0?bt=this.outputCollapsed:bt===null&&(bt=void 0),Ct===void 0?Ct=this.custom:Ct===null&&(Ct=void 0),ce===this.editable&&Ie===this.breakpointMargin&&Ge===this.runnable&&et===this.hasExecutionOrder&&te===this.executionOrder&&le===this.runState&&Ce===this.runStartTime&&tt===this.statusMessage&&it===this.lastRunDuration&&lt===this.inputCollapsed&&bt===this.outputCollapsed&&Ct===this.custom?this:new Gt(ce,Ie,Ge,et,te,le,Ce,tt,it,lt,bt,Ct)}}e.NotebookCellMetadata=Gt;class Kt{constructor(B=!0,ce=!0,Ie=!0,Ge=!0,et=!0,te=k.NOTEBOOK_DISPLAY_ORDER,le={},Ce=Oe.Idle,tt=!0){this.editable=B,this.runnable=ce,this.cellEditable=Ie,this.cellRunnable=Ge,this.cellHasExecutionOrder=et,this.displayOrder=te,this.custom=le,this.runState=Ce,this.trusted=tt}with(B){let{editable:ce,runnable:Ie,cellEditable:Ge,cellRunnable:et,cellHasExecutionOrder:te,displayOrder:le,custom:Ce,runState:tt,trusted:it}=B;return ce===void 0?ce=this.editable:ce===null&&(ce=void 0),Ie===void 0?Ie=this.runnable:Ie===null&&(Ie=void 0),Ge===void 0?Ge=this.cellEditable:Ge===null&&(Ge=void 0),et===void 0?et=this.cellRunnable:et===null&&(et=void 0),te===void 0?te=this.cellHasExecutionOrder:te===null&&(te=void 0),le===void 0?le=this.displayOrder:le===null&&(le=void 0),Ce===void 0?Ce=this.custom:Ce===null&&(Ce=void 0),tt===void 0?tt=this.runState:tt===null&&(tt=void 0),it===void 0?it=this.trusted:it===null&&(it=void 0),ce===this.editable&&Ie===this.runnable&&Ge===this.cellEditable&&et===this.cellRunnable&&te===this.cellHasExecutionOrder&&le===this.displayOrder&&Ce===this.custom&&tt===this.runState&&it===this.trusted?this:new Kt(ce,Ie,Ge,et,te,le,Ce,tt,it)}}e.NotebookDocumentMetadata=Kt;class Ut{constructor(B,ce,Ie){this.mime=B,this.value=ce,this.metadata=Ie}static isNotebookCellOutputItem(B){return B instanceof Ut}}e.NotebookCellOutputItem=Ut;class nn{constructor(B,ce,Ie){this.outputs=B,typeof ce=="string"?(this.id=ce,this.metadata=Ie):(this.id=y.generateUuid(),this.metadata=ce!=null?ce:Ie)}}e.NotebookCellOutput=nn;var rn;(function(j){j[j.Markdown=1]="Markdown",j[j.Code=2]="Code"})(rn=e.NotebookCellKind||(e.NotebookCellKind={}));var Xt;(function(j){j[j.Running=1]="Running",j[j.Idle=2]="Idle",j[j.Success=3]="Success",j[j.Error=4]="Error"})(Xt=e.NotebookCellRunState||(e.NotebookCellRunState={}));var Oe;(function(j){j[j.Running=1]="Running",j[j.Idle=2]="Idle"})(Oe=e.NotebookRunState||(e.NotebookRunState={}));var Qt;(function(j){j[j.Left=1]="Left",j[j.Right=2]="Right"})(Qt=e.NotebookCellStatusBarAlignment||(e.NotebookCellStatusBarAlignment={}));var Yt;(function(j){j[j.Default=0]="Default",j[j.InCenter=1]="InCenter",j[j.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",j[j.AtTop=3]="AtTop"})(Yt=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));let ft=class{constructor(B,ce){this.label=B,this.timestamp=ce}};ft=Ve([w],ft),e.TimelineItem=ft;var wn;(function(j){j[j.Production=1]="Production",j[j.Development=2]="Development",j[j.Test=3]="Test"})(wn=e.ExtensionMode||(e.ExtensionMode={}));var bn;(function(j){j[j.Node=1]="Node",j[j.Webworker=2]="Webworker"})(bn=e.ExtensionRuntime||(e.ExtensionRuntime={}));var sn;(function(j){j[j.Other=0]="Other",j[j.Comment=1]="Comment",j[j.String=2]="String",j[j.RegEx=4]="RegEx"})(sn=e.StandardTokenType||(e.StandardTokenType={}));class on{constructor(B,ce){this.ranges=B,this.wordPattern=ce}}e.LinkedEditingRanges=on;var En;(function(j){j[j.Unset=0]="Unset",j[j.Queued=1]="Queued",j[j.Running=2]="Running",j[j.Passed=3]="Passed",j[j.Failed=4]="Failed",j[j.Skipped=5]="Skipped",j[j.Errored=6]="Errored"})(En=e.TestRunState||(e.TestRunState={}));var Sn;(function(j){j[j.Error=0]="Error",j[j.Warning=1]="Warning",j[j.Information=2]="Information",j[j.Hint=3]="Hint"})(Sn=e.TestMessageSeverity||(e.TestMessageSeverity={}));var yn;(function(j){j[j.None=0]="None",j[j.Option=1]="Option",j[j.Default=2]="Default",j[j.Preferred=3]="Preferred"})(yn=e.ExternalUriOpenerPriority||(e.ExternalUriOpenerPriority={}));var Dn;(function(j){j[j.Untrusted=0]="Untrusted",j[j.Trusted=1]="Trusted",j[j.Unknown=2]="Unknown"})(Dn=e.WorkspaceTrustState||(e.WorkspaceTrustState={}))}),define(ge[118],pe([0,1,54,13,10,141,104,8,12]),function(Q,e,v,D,R,P,C,I,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentLine=e.ExtHostDocumentData=e.getWordDefinitionFor=e.setWordDefinitionFor=void 0;const i=new Map;function T(l,m){m?i.set(l,m):i.delete(l)}e.setWordDefinitionFor=T;function k(l){return i.get(l)}e.getWordDefinitionFor=k;class p extends P.MirrorTextModel{constructor(m,S,_,g,a,u,c,t){super(S,_,g,a);this._proxy=m,this._languageId=u,this._isDirty=c,this._notebook=t,this._isDisposed=!1}dispose(){v.ok(!this._isDisposed),this._isDisposed=!0,this._isDirty=!1}equalLines(m){return y.equals(this._lines,m)}get document(){if(!this._document){const m=this;this._document={get uri(){return m._uri},get fileName(){return m._uri.fsPath},get isUntitled(){return m._uri.scheme===D.Schemas.untitled},get languageId(){return m._languageId},get version(){return m._versionId},get isClosed(){return m._isDisposed},get isDirty(){return m._isDirty},get notebook(){return m._notebook},save(){return m._save()},getText(S){return S?m._getTextInRange(S):m.getText()},get eol(){return m._eol===`
`?I.EndOfLine.LF:I.EndOfLine.CRLF},get lineCount(){return m._lines.length},lineAt(S){return m._lineAt(S)},offsetAt(S){return m._offsetAt(S)},positionAt(S){return m._positionAt(S)},validateRange(S){return m._validateRange(S)},validatePosition(S){return m._validatePosition(S)},getWordRangeAtPosition(S,_){return m._getWordRangeAtPosition(S,_)}}}return Object.freeze(this._document)}_acceptLanguageId(m){v.ok(!this._isDisposed),this._languageId=m}_acceptIsDirty(m){v.ok(!this._isDisposed),this._isDirty=m}_save(){return this._isDisposed?Promise.reject(new Error("Document has been closed")):this._proxy.$trySaveDocument(this._uri)}_getTextInRange(m){const S=this._validateRange(m);if(S.isEmpty)return"";if(S.isSingleLine)return this._lines[S.start.line].substring(S.start.character,S.end.character);const _=this._eol,g=S.start.line,a=S.end.line,u=[];u.push(this._lines[g].substring(S.start.character));for(let c=g+1;c<a;c++)u.push(this._lines[c]);return u.push(this._lines[a].substring(0,S.end.character)),u.join(_)}_lineAt(m){let S;if(m instanceof I.Position?S=m.line:typeof m=="number"&&(S=m),typeof S!="number"||S<0||S>=this._lines.length||Math.floor(S)!==S)throw new Error("Illegal value for `line`");return new f(S,this._lines[S],S===this._lines.length-1)}_offsetAt(m){return m=this._validatePosition(m),this._ensureLineStarts(),this._lineStarts.getAccumulatedValue(m.line-1)+m.character}_positionAt(m){m=Math.floor(m),m=Math.max(0,m),this._ensureLineStarts();const S=this._lineStarts.getIndexOf(m),_=this._lines[S.index].length;return new I.Position(S.index,Math.min(S.remainder,_))}_validateRange(m){if(!(m instanceof I.Range))throw new Error("Invalid argument");const S=this._validatePosition(m.start),_=this._validatePosition(m.end);return S===m.start&&_===m.end?m:new I.Range(S.line,S.character,_.line,_.character)}_validatePosition(m){if(!(m instanceof I.Position))throw new Error("Invalid argument");if(this._lines.length===0)return m.with(0,0);let{line:S,character:_}=m,g=!1;if(S<0)S=0,_=0,g=!0;else if(S>=this._lines.length)S=this._lines.length-1,_=this._lines[S].length,g=!0;else{const a=this._lines[S].length;_<0?(_=0,g=!0):_>a&&(_=a,g=!0)}return g?new I.Position(S,_):m}_getWordRangeAtPosition(m,S){const _=this._validatePosition(m);if(!S)S=k(this._languageId);else if(R.regExpLeadsToEndlessLoop(S))throw new Error(`[getWordRangeAtPosition]: ignoring custom regexp '${S.source}' because it matches the empty string.`);const g=C.getWordAtText(_.character+1,C.ensureValidWordDefinition(S),this._lines[_.line],0);if(g)return new I.Range(_.line,g.startColumn-1,_.line,g.endColumn-1)}}e.ExtHostDocumentData=p;class f{constructor(m,S,_){this._line=m,this._text=S,this._isLastLine=_}get lineNumber(){return this._line}get text(){return this._text}get range(){return new I.Range(this._line,0,this._line,this._text.length)}get rangeIncludingLineBreak(){return this._isLastLine?this.range:new I.Range(this._line,0,this._line+1,0)}get firstNonWhitespaceCharacterIndex(){return/^(\s*)/.exec(this._text)[1].length}get isEmptyOrWhitespace(){return this.firstNonWhitespaceCharacterIndex===this._text.length}}e.ExtHostDocumentLine=f}),define(ge[203],pe([0,1,8,3,106,5,78,22,2,28]),function(Q,e,v,D,R,P,C,I,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookConcatDocument=void 0;class T{constructor(p,f,l,m){this._notebook=l,this._selector=m,this._disposables=new P.DisposableStore,this._isClosed=!1,this._versionId=0,this._onDidChange=new D.Emitter,this.onDidChange=this._onDidChange.event,this.uri=y.URI.from({scheme:"vscode-concat-doc",path:i.generateUuid()}),this._init(),this._disposables.add(f.onDidChangeDocument(_=>{const g=this._cellUris.get(_.document.uri);g!==void 0&&(this._cellLengths.changeValue(g,this._cells[g].document.getText().length+1),this._cellLines.changeValue(g,this._cells[g].document.lineCount),this._versionId+=1,this._onDidChange.fire(void 0))}));const S=_=>{_===this._notebook&&(this._init(),this._versionId+=1,this._onDidChange.fire(void 0))};this._disposables.add(p.onDidChangeCellLanguage(_=>S(_.document))),this._disposables.add(p.onDidChangeNotebookCells(_=>S(_.document)))}dispose(){this._disposables.dispose(),this._isClosed=!0}get isClosed(){return this._isClosed}_init(){this._cells=[],this._cellUris=new I.ResourceMap;const p=[],f=[];for(const l of this._notebook.cells)l.cellKind===v.NotebookCellKind.Code&&(!this._selector||C.score(this._selector,l.uri,l.language,!0))&&(this._cellUris.set(l.uri,this._cells.length),this._cells.push(l),p.push(l.document.getText().length+1),f.push(l.document.lineCount));this._cellLengths=new R.PrefixSumComputer(new Uint32Array(p)),this._cellLines=new R.PrefixSumComputer(new Uint32Array(f))}get version(){return this._versionId}getText(p){var f,l;if(!p){let a="";for(const u of this._cells)a+=u.document.getText()+`
`;return a=a.slice(0,-1),a}if(p.isEmpty)return"";const m=this.locationAt(p.start),S=this.locationAt(p.end),_=this._cells[(f=this._cellUris.get(m.uri))!==null&&f!==void 0?f:-1],g=this._cells[(l=this._cellUris.get(S.uri))!==null&&l!==void 0?l:-1];if(!_||!g)return"";if(_===g)return _.document.getText(new v.Range(m.range.start,S.range.end));{const a=_.document.getText(new v.Range(m.range.start,new v.Position(_.document.lineCount,0))),u=g.document.getText(new v.Range(new v.Position(0,0),S.range.end));return a+`
`+u}}offsetAt(p){const f=this._cellLines.getIndexOf(p.line),l=this._cellLengths.getAccumulatedValue(f.index-1),m=this._cells[f.index].document.offsetAt(p.with(f.remainder));return l+m}positionAt(p){if(typeof p=="number"){const l=this._cellLengths.getIndexOf(p),m=this._cellLines.getAccumulatedValue(l.index-1);return this._cells[l.index].document.positionAt(l.remainder).translate(m)}const f=this._cellUris.get(p.uri);if(f!==void 0){const l=this._cellLines.getAccumulatedValue(f-1);return new v.Position(l+p.range.start.line,p.range.start.character)}return new v.Position(0,0)}locationAt(p){v.Range.isRange(p)||(p=new v.Range(p,p));const f=this._cellLines.getIndexOf(p.start.line);let l=f;p.isEmpty||(l=this._cellLines.getIndexOf(p.end.line));const m=new v.Position(f.remainder,p.start.character),S=new v.Position(l.remainder,p.end.character),_=new v.Range(m,S),g=this._cells[f.index];return new v.Location(g.uri,g.document.validateRange(_))}contains(p){return this._cellUris.has(p)}validateRange(p){const f=this.validatePosition(p.start),l=this.validatePosition(p.end);return p.with(f,l)}validatePosition(p){const f=this._cellLines.getIndexOf(p.line),l=new v.Position(f.remainder,p.character),m=this._cells[f.index].document.validatePosition(l),S=this._cellLines.getAccumulatedValue(f.index-1);return new v.Position(S+m.line,m.character)}}e.ExtHostNotebookConcatDocument=T}),define(ge[204],pe([0,1,8,14,3]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTheming=void 0;let P=class{constructor(I){this._actual=new v.ColorTheme(v.ColorThemeKind.Dark),this._onDidChangeActiveColorTheme=new R.Emitter}get activeColorTheme(){return this._actual}$onColorThemeChange(I){let y=I==="light"?v.ColorThemeKind.Light:I==="dark"?v.ColorThemeKind.Dark:v.ColorThemeKind.HighContrast;this._actual=new v.ColorTheme(y),this._onDidChangeActiveColorTheme.fire(this._actual)}get onDidChangeActiveColorTheme(){return this._onDidChangeActiveColorTheme.event}};P=Ve([$e(0,D.IExtHostRpcService)],P),e.ExtHostTheming=P}),define(ge[205],pe([0,1,4,60]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.USER_TASKS_GROUP_KEY=e.ITaskService=e.ProcessExecutionSupportedContext=e.ShellExecutionSupportedContext=e.CustomExecutionSupportedContext=void 0,e.CustomExecutionSupportedContext=new D.RawContextKey("customExecutionSupported",!0),e.ShellExecutionSupportedContext=new D.RawContextKey("shellExecutionSupported",!1),e.ProcessExecutionSupportedContext=new D.RawContextKey("processExecutionSupported",!1),e.ITaskService=v.createDecorator("taskService"),e.USER_TASKS_GROUP_KEY="settings"}),define(ge[206],pe([0,1,4]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EnvironmentVariableMutatorType=e.IEnvironmentVariableService=void 0,e.IEnvironmentVariableService=v.createDecorator("environmentVariableService");var D;(function(R){R[R.Replace=1]="Replace",R[R.Append=2]="Append",R[R.Prepend=3]="Prepend"})(D=e.EnvironmentVariableMutatorType||(e.EnvironmentVariableMutatorType={}))}),define(ge[207],pe([0,1,9,206]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.MergedEnvironmentVariableCollection=void 0;class R{constructor(y){this.map=new Map,y.forEach((i,T)=>{const k=i.map.entries();let p=k.next();for(;!p.done;){const f=p.value[0];let l=this.map.get(f);if(l||(l=[],this.map.set(f,l)),l.length>0&&l[0].type===D.EnvironmentVariableMutatorType.Replace){p=k.next();continue}const m=p.value[1];l.unshift({extensionIdentifier:T,value:m.value,type:m.type}),p=k.next()}})}applyToProcessEnvironment(y,i){let T;v.isWindows&&(T={},Object.keys(y).forEach(k=>T[k.toLowerCase()]=k)),this.map.forEach((k,p)=>{const f=v.isWindows&&T[p.toLowerCase()]||p;k.forEach(l=>{const m=i?i(l.value):l.value;switch(l.type){case D.EnvironmentVariableMutatorType.Append:y[f]=(y[f]||"")+m;break;case D.EnvironmentVariableMutatorType.Prepend:y[f]=m+(y[f]||"");break;case D.EnvironmentVariableMutatorType.Replace:y[f]=m;break}})})}diff(y){const i=new Map,T=new Map,k=new Map;if(y.map.forEach((p,f)=>{const l=this.map.get(f),m=P(p,l);m&&i.set(f,m)}),this.map.forEach((p,f)=>{const l=y.map.get(f),m=P(p,l);m&&k.set(f,m)}),this.map.forEach((p,f)=>{const l=y.map.get(f),m=C(p,l);m&&T.set(f,m)}),!(i.size===0&&T.size===0&&k.size===0))return{added:i,changed:T,removed:k}}}e.MergedEnvironmentVariableCollection=R;function P(I,y){if(!y)return I;const i=new Set;y.forEach(k=>i.add(k.extensionIdentifier));const T=[];return I.forEach(k=>{i.has(k.extensionIdentifier)||T.push(k)}),T.length===0?void 0:T}function C(I,y){if(!!y){const i=new Map;y.forEach(k=>i.set(k.extensionIdentifier,k));const T=[];return I.forEach(k=>{const p=i.get(k.extensionIdentifier);p&&(k.type!==p.type||k.value!==p.value)&&T.push(p)}),T.length===0?void 0:T}}}),define(ge[208],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.deserializeEnvironmentVariableCollection=e.serializeEnvironmentVariableCollection=void 0;function v(R){return[...R.entries()]}e.serializeEnvironmentVariableCollection=v;function D(R){return new Map(R)}e.deserializeEnvironmentVariableCollection=D}),define(ge[209],pe([0,1,171,60]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.terminalContributionsDescriptor=e.DEFAULT_COMMANDS_TO_SKIP_SHELL=e.TERMINAL_COMMAND_ID=e.TitleEventSource=e.LinuxDistro=e.ProcessState=e.DEFAULT_LOCAL_ECHO_EXCLUDE=e.SUGGESTIONS_FONT_WEIGHT=e.DEFAULT_BOLD_FONT_WEIGHT=e.DEFAULT_FONT_WEIGHT=e.MAXIMUM_FONT_WEIGHT=e.MINIMUM_FONT_WEIGHT=e.DEFAULT_LINE_HEIGHT=e.MINIMUM_LETTER_SPACING=e.DEFAULT_LETTER_SPACING=e.TERMINAL_ACTION_CATEGORY=e.TERMINAL_CONFIG_SECTION=e.TerminalCursorStyle=e.TERMINAL_CREATION_COMMANDS=e.NEVER_MEASURE_RENDER_TIME_STORAGE_KEY=e.IS_WORKSPACE_SHELL_ALLOWED_STORAGE_KEY=e.KEYBINDING_CONTEXT_TERMINAL_PROCESS_SUPPORTED=e.KEYBINDING_CONTEXT_TERMINAL_FIND_INPUT_NOT_FOCUSED=e.KEYBINDING_CONTEXT_TERMINAL_FIND_FOCUSED=e.KEYBINDING_CONTEXT_TERMINAL_FIND_INPUT_FOCUSED=e.KEYBINDING_CONTEXT_TERMINAL_FIND_NOT_VISIBLE=e.KEYBINDING_CONTEXT_TERMINAL_FIND_VISIBLE=e.KEYBINDING_CONTEXT_TERMINAL_TEXT_NOT_SELECTED=e.KEYBINDING_CONTEXT_TERMINAL_TEXT_SELECTED=e.KEYBINDING_CONTEXT_TERMINAL_A11Y_TREE_FOCUS=e.KEYBINDING_CONTEXT_TERMINAL_NOT_FOCUSED=e.KEYBINDING_CONTEXT_TERMINAL_ALT_BUFFER_ACTIVE=e.KEYBINDING_CONTEXT_TERMINAL_SHELL_TYPE=e.KEYBINDING_CONTEXT_TERMINAL_SHELL_TYPE_KEY=e.KEYBINDING_CONTEXT_TERMINAL_FOCUS=e.KEYBINDING_CONTEXT_TERMINAL_IS_OPEN=e.TERMINAL_VIEW_ID=void 0,e.TERMINAL_VIEW_ID="terminal",e.KEYBINDING_CONTEXT_TERMINAL_IS_OPEN=new D.RawContextKey("terminalIsOpen",!1,!0),e.KEYBINDING_CONTEXT_TERMINAL_FOCUS=new D.RawContextKey("terminalFocus",!1,v.localize(0,null)),e.KEYBINDING_CONTEXT_TERMINAL_SHELL_TYPE_KEY="terminalShellType",e.KEYBINDING_CONTEXT_TERMINAL_SHELL_TYPE=new D.RawContextKey(e.KEYBINDING_CONTEXT_TERMINAL_SHELL_TYPE_KEY,void 0,{type:"string",description:v.localize(1,null)}),e.KEYBINDING_CONTEXT_TERMINAL_ALT_BUFFER_ACTIVE=new D.RawContextKey("terminalAltBufferActive",!1,!0),e.KEYBINDING_CONTEXT_TERMINAL_NOT_FOCUSED=e.KEYBINDING_CONTEXT_TERMINAL_FOCUS.toNegated(),e.KEYBINDING_CONTEXT_TERMINAL_A11Y_TREE_FOCUS=new D.RawContextKey("terminalA11yTreeFocus",!1,!0),e.KEYBINDING_CONTEXT_TERMINAL_TEXT_SELECTED=new D.RawContextKey("terminalTextSelected",!1,v.localize(2,null)),e.KEYBINDING_CONTEXT_TERMINAL_TEXT_NOT_SELECTED=e.KEYBINDING_CONTEXT_TERMINAL_TEXT_SELECTED.toNegated(),e.KEYBINDING_CONTEXT_TERMINAL_FIND_VISIBLE=new D.RawContextKey("terminalFindVisible",!1,!0),e.KEYBINDING_CONTEXT_TERMINAL_FIND_NOT_VISIBLE=e.KEYBINDING_CONTEXT_TERMINAL_FIND_VISIBLE.toNegated(),e.KEYBINDING_CONTEXT_TERMINAL_FIND_INPUT_FOCUSED=new D.RawContextKey("terminalFindInputFocused",!1,!0),e.KEYBINDING_CONTEXT_TERMINAL_FIND_FOCUSED=new D.RawContextKey("terminalFindFocused",!1,!0),e.KEYBINDING_CONTEXT_TERMINAL_FIND_INPUT_NOT_FOCUSED=e.KEYBINDING_CONTEXT_TERMINAL_FIND_INPUT_FOCUSED.toNegated(),e.KEYBINDING_CONTEXT_TERMINAL_PROCESS_SUPPORTED=new D.RawContextKey("terminalProcessSupported",!1,v.localize(3,null)),e.IS_WORKSPACE_SHELL_ALLOWED_STORAGE_KEY="terminal.integrated.isWorkspaceShellAllowed",e.NEVER_MEASURE_RENDER_TIME_STORAGE_KEY="terminal.integrated.neverMeasureRenderTime",e.TERMINAL_CREATION_COMMANDS=["workbench.action.terminal.toggleTerminal","workbench.action.terminal.new","workbench.action.togglePanel","workbench.action.terminal.focus"],e.TerminalCursorStyle={BLOCK:"block",LINE:"line",UNDERLINE:"underline"},e.TERMINAL_CONFIG_SECTION="terminal.integrated",e.TERMINAL_ACTION_CATEGORY=v.localize(4,null),e.DEFAULT_LETTER_SPACING=0,e.MINIMUM_LETTER_SPACING=-5,e.DEFAULT_LINE_HEIGHT=1,e.MINIMUM_FONT_WEIGHT=1,e.MAXIMUM_FONT_WEIGHT=1e3,e.DEFAULT_FONT_WEIGHT="normal",e.DEFAULT_BOLD_FONT_WEIGHT="bold",e.SUGGESTIONS_FONT_WEIGHT=["normal","bold","100","200","300","400","500","600","700","800","900"],e.DEFAULT_LOCAL_ECHO_EXCLUDE=["vim","vi","nano","tmux"];var R;(function(y){y[y.UNINITIALIZED=0]="UNINITIALIZED",y[y.LAUNCHING=1]="LAUNCHING",y[y.RUNNING=2]="RUNNING",y[y.KILLED_DURING_LAUNCH=3]="KILLED_DURING_LAUNCH",y[y.KILLED_BY_USER=4]="KILLED_BY_USER",y[y.KILLED_BY_PROCESS=5]="KILLED_BY_PROCESS"})(R=e.ProcessState||(e.ProcessState={}));var P;(function(y){y[y.Fedora=0]="Fedora",y[y.Ubuntu=1]="Ubuntu",y[y.Unknown=2]="Unknown"})(P=e.LinuxDistro||(e.LinuxDistro={}));var C;(function(y){y[y.Api=0]="Api",y[y.Process=1]="Process",y[y.Sequence=2]="Sequence"})(C=e.TitleEventSource||(e.TitleEventSource={}));var I;(function(y){y.FIND_NEXT="workbench.action.terminal.findNext",y.FIND_PREVIOUS="workbench.action.terminal.findPrevious",y.TOGGLE="workbench.action.terminal.toggleTerminal",y.KILL="workbench.action.terminal.kill",y.QUICK_KILL="workbench.action.terminal.quickKill",y.CONFIGURE_TERMINAL_SETTINGS="workbench.action.terminal.openSettings",y.COPY_SELECTION="workbench.action.terminal.copySelection",y.SELECT_ALL="workbench.action.terminal.selectAll",y.DELETE_WORD_LEFT="workbench.action.terminal.deleteWordLeft",y.DELETE_WORD_RIGHT="workbench.action.terminal.deleteWordRight",y.DELETE_TO_LINE_START="workbench.action.terminal.deleteToLineStart",y.MOVE_TO_LINE_START="workbench.action.terminal.moveToLineStart",y.MOVE_TO_LINE_END="workbench.action.terminal.moveToLineEnd",y.NEW="workbench.action.terminal.new",y.NEW_WITH_CWD="workbench.action.terminal.newWithCwd",y.NEW_LOCAL="workbench.action.terminal.newLocal",y.NEW_IN_ACTIVE_WORKSPACE="workbench.action.terminal.newInActiveWorkspace",y.SPLIT="workbench.action.terminal.split",y.SPLIT_IN_ACTIVE_WORKSPACE="workbench.action.terminal.splitInActiveWorkspace",y.RELAUNCH="workbench.action.terminal.relaunch",y.FOCUS_PREVIOUS_PANE="workbench.action.terminal.focusPreviousPane",y.FOCUS_NEXT_PANE="workbench.action.terminal.focusNextPane",y.RESIZE_PANE_LEFT="workbench.action.terminal.resizePaneLeft",y.RESIZE_PANE_RIGHT="workbench.action.terminal.resizePaneRight",y.RESIZE_PANE_UP="workbench.action.terminal.resizePaneUp",y.RESIZE_PANE_DOWN="workbench.action.terminal.resizePaneDown",y.FOCUS="workbench.action.terminal.focus",y.FOCUS_NEXT="workbench.action.terminal.focusNext",y.FOCUS_PREVIOUS="workbench.action.terminal.focusPrevious",y.PASTE="workbench.action.terminal.paste",y.SELECT_DEFAULT_SHELL="workbench.action.terminal.selectDefaultShell",y.RUN_SELECTED_TEXT="workbench.action.terminal.runSelectedText",y.RUN_ACTIVE_FILE="workbench.action.terminal.runActiveFile",y.SWITCH_TERMINAL="workbench.action.terminal.switchTerminal",y.SCROLL_DOWN_LINE="workbench.action.terminal.scrollDown",y.SCROLL_DOWN_PAGE="workbench.action.terminal.scrollDownPage",y.SCROLL_TO_BOTTOM="workbench.action.terminal.scrollToBottom",y.SCROLL_UP_LINE="workbench.action.terminal.scrollUp",y.SCROLL_UP_PAGE="workbench.action.terminal.scrollUpPage",y.SCROLL_TO_TOP="workbench.action.terminal.scrollToTop",y.CLEAR="workbench.action.terminal.clear",y.CLEAR_SELECTION="workbench.action.terminal.clearSelection",y.MANAGE_WORKSPACE_SHELL_PERMISSIONS="workbench.action.terminal.manageWorkspaceShellPermissions",y.RENAME="workbench.action.terminal.rename",y.RENAME_WITH_ARG="workbench.action.terminal.renameWithArg",y.FIND_FOCUS="workbench.action.terminal.focusFind",y.FIND_HIDE="workbench.action.terminal.hideFind",y.QUICK_OPEN_TERM="workbench.action.quickOpenTerm",y.SCROLL_TO_PREVIOUS_COMMAND="workbench.action.terminal.scrollToPreviousCommand",y.SCROLL_TO_NEXT_COMMAND="workbench.action.terminal.scrollToNextCommand",y.SELECT_TO_PREVIOUS_COMMAND="workbench.action.terminal.selectToPreviousCommand",y.SELECT_TO_NEXT_COMMAND="workbench.action.terminal.selectToNextCommand",y.SELECT_TO_PREVIOUS_LINE="workbench.action.terminal.selectToPreviousLine",y.SELECT_TO_NEXT_LINE="workbench.action.terminal.selectToNextLine",y.TOGGLE_ESCAPE_SEQUENCE_LOGGING="toggleEscapeSequenceLogging",y.SEND_SEQUENCE="workbench.action.terminal.sendSequence",y.TOGGLE_FIND_REGEX="workbench.action.terminal.toggleFindRegex",y.TOGGLE_FIND_WHOLE_WORD="workbench.action.terminal.toggleFindWholeWord",y.TOGGLE_FIND_CASE_SENSITIVE="workbench.action.terminal.toggleFindCaseSensitive",y.NAVIGATION_MODE_EXIT="workbench.action.terminal.navigationModeExit",y.NAVIGATION_MODE_FOCUS_NEXT="workbench.action.terminal.navigationModeFocusNext",y.NAVIGATION_MODE_FOCUS_PREVIOUS="workbench.action.terminal.navigationModeFocusPrevious",y.SHOW_ENVIRONMENT_INFORMATION="workbench.action.terminal.showEnvironmentInformation",y.SEARCH_WORKSPACE="workbench.action.terminal.searchWorkspace",y.ATTACH_TO_REMOTE_TERMINAL="workbench.action.terminal.attachToSession"})(I=e.TERMINAL_COMMAND_ID||(e.TERMINAL_COMMAND_ID={})),e.DEFAULT_COMMANDS_TO_SKIP_SHELL=["workbench.action.terminal.clearSelection","workbench.action.terminal.clear","workbench.action.terminal.copySelection","workbench.action.terminal.deleteToLineStart","workbench.action.terminal.deleteWordLeft","workbench.action.terminal.deleteWordRight","workbench.action.terminal.focusFind","workbench.action.terminal.hideFind","workbench.action.terminal.findNext","workbench.action.terminal.findPrevious","workbench.action.terminal.toggleFindRegex","workbench.action.terminal.toggleFindWholeWord","workbench.action.terminal.toggleFindCaseSensitive","workbench.action.terminal.focusNextPane","workbench.action.terminal.focusNext","workbench.action.terminal.focusPreviousPane","workbench.action.terminal.focusPrevious","workbench.action.terminal.focus","workbench.action.terminal.kill","workbench.action.terminal.moveToLineEnd","workbench.action.terminal.moveToLineStart","workbench.action.terminal.newInActiveWorkspace","workbench.action.terminal.new","workbench.action.terminal.paste","workbench.action.terminal.resizePaneDown","workbench.action.terminal.resizePaneLeft","workbench.action.terminal.resizePaneRight","workbench.action.terminal.resizePaneUp","workbench.action.terminal.runActiveFile","workbench.action.terminal.runSelectedText","workbench.action.terminal.scrollDown","workbench.action.terminal.scrollDownPage","workbench.action.terminal.scrollToBottom","workbench.action.terminal.scrollToNextCommand","workbench.action.terminal.scrollToPreviousCommand","workbench.action.terminal.scrollToTop","workbench.action.terminal.scrollUp","workbench.action.terminal.scrollUpPage","workbench.action.terminal.sendSequence","workbench.action.terminal.selectAll","workbench.action.terminal.selectToNextCommand","workbench.action.terminal.selectToNextLine","workbench.action.terminal.selectToPreviousCommand","workbench.action.terminal.selectToPreviousLine","workbench.action.terminal.splitInActiveWorkspace","workbench.action.terminal.split","workbench.action.terminal.toggleTerminal","workbench.action.terminal.navigationModeExit","workbench.action.terminal.navigationModeFocusNext","workbench.action.terminal.navigationModeFocusPrevious","editor.action.toggleTabFocusMode","workbench.action.quickOpen","workbench.action.quickOpenPreviousEditor","workbench.action.showCommands","workbench.action.tasks.build","workbench.action.tasks.restartTask","workbench.action.tasks.runTask","workbench.action.tasks.reRunTask","workbench.action.tasks.showLog","workbench.action.tasks.showTasks","workbench.action.tasks.terminate","workbench.action.tasks.test","workbench.action.toggleFullScreen","workbench.action.terminal.focusAtIndex1","workbench.action.terminal.focusAtIndex2","workbench.action.terminal.focusAtIndex3","workbench.action.terminal.focusAtIndex4","workbench.action.terminal.focusAtIndex5","workbench.action.terminal.focusAtIndex6","workbench.action.terminal.focusAtIndex7","workbench.action.terminal.focusAtIndex8","workbench.action.terminal.focusAtIndex9","workbench.action.focusSecondEditorGroup","workbench.action.focusThirdEditorGroup","workbench.action.focusFourthEditorGroup","workbench.action.focusFifthEditorGroup","workbench.action.focusSixthEditorGroup","workbench.action.focusSeventhEditorGroup","workbench.action.focusEighthEditorGroup","workbench.action.focusNextPart","workbench.action.focusPreviousPart","workbench.action.nextPanelView","workbench.action.previousPanelView","workbench.action.nextSideBarView","workbench.action.previousSideBarView","workbench.action.debug.start","workbench.action.debug.stop","workbench.action.debug.run","workbench.action.debug.restart","workbench.action.debug.continue","workbench.action.debug.pause","workbench.action.debug.stepInto","workbench.action.debug.stepOut","workbench.action.debug.stepOver","workbench.action.nextEditor","workbench.action.previousEditor","workbench.action.nextEditorInGroup","workbench.action.previousEditorInGroup","workbench.action.openNextRecentlyUsedEditor","workbench.action.openPreviousRecentlyUsedEditor","workbench.action.openNextRecentlyUsedEditorInGroup","workbench.action.openPreviousRecentlyUsedEditorInGroup","workbench.action.quickOpenPreviousRecentlyUsedEditor","workbench.action.quickOpenLeastRecentlyUsedEditor","workbench.action.quickOpenPreviousRecentlyUsedEditorInGroup","workbench.action.quickOpenLeastRecentlyUsedEditorInGroup","workbench.action.focusActiveEditorGroup","workbench.action.focusFirstEditorGroup","workbench.action.focusLastEditorGroup","workbench.action.firstEditorInGroup","workbench.action.lastEditorInGroup","workbench.action.navigateUp","workbench.action.navigateDown","workbench.action.navigateRight","workbench.action.navigateLeft","workbench.action.togglePanel","workbench.action.quickOpenView","workbench.action.toggleMaximizedPanel"],e.terminalContributionsDescriptor={extensionPoint:"terminal",defaultExtensionKind:"workspace",jsonSchema:{description:v.localize(5,null),type:"object",properties:{types:{type:"array",description:v.localize(6,null),items:{type:"object",required:["command","title"],properties:{command:{description:v.localize(7,null),type:"string"},title:{description:v.localize(8,null),type:"string"}}}}}}}}),define(ge[210],pe([0,1,7,9,131]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createTerminalEnvironment=e.getDefaultShellArgs=e.getDefaultShell=e.createVariableResolver=e.escapeNonWindowsPath=e.getCwd=e.getLangEnvVariable=e.shouldSetLangEnvVariable=e.addTerminalEnvironmentKeys=e.mergeEnvironments=void 0;function P(c,t){if(!!t)if(D.isWindows)for(const r in t){let s=r;for(const n in c)if(r.toLowerCase()===n.toLowerCase()){s=n;break}const o=t[r];C(c,s,o)}else Object.keys(t).forEach(r=>{const s=t[r];C(c,r,s)})}e.mergeEnvironments=P;function C(c,t,r){typeof r=="string"?c[t]=r:delete c[t]}function I(c,t,r,s){c.TERM_PROGRAM="vscode",t&&(c.TERM_PROGRAM_VERSION=t),T(c,s)&&(c.LANG=k(r)),c.COLORTERM="truecolor"}e.addTerminalEnvironmentKeys=I;function y(c,t){if(!!t)for(const r of Object.keys(t)){const s=t[r];s&&(c[r]=s)}}function i(c,t){return Object.keys(t).forEach(r=>{const s=t[r];if(typeof s=="string")try{t[r]=c(s)}catch(o){t[r]=s}}),t}function T(c,t){if(t==="on")return!0;if(t==="auto"){const r=c.LANG;return!r||r.search(/\.UTF\-8$/)===-1&&r.search(/\.utf8$/)===-1&&r.search(/\.euc.+/)===-1}return!1}e.shouldSetLangEnvVariable=T;function k(c){const t=c?c.split("-"):[],r=t.length;if(r===0)return"en_US.UTF-8";if(r===1){const s={af:"ZA",am:"ET",be:"BY",bg:"BG",ca:"ES",cs:"CZ",da:"DK",de:"DE",el:"GR",en:"US",es:"ES",et:"EE",eu:"ES",fi:"FI",fr:"FR",he:"IL",hr:"HR",hu:"HU",hy:"AM",is:"IS",it:"IT",ja:"JP",kk:"KZ",ko:"KR",lt:"LT",nl:"NL",no:"NO",pl:"PL",pt:"BR",ro:"RO",ru:"RU",sk:"SK",sl:"SI",sr:"YU",sv:"SE",tr:"TR",uk:"UA",zh:"CN"};t[0]in s&&t.push(s[t[0]])}else t[1]=t[1].toUpperCase();return t.join("_")+".UTF-8"}e.getLangEnvVariable=k;function p(c,t,r,s,o,n){if(c.cwd){const w=typeof c.cwd=="object"?c.cwd.fsPath:c.cwd,E=f(w,r);return l(E||w)}let d;return!c.ignoreConfigurationCwd&&o&&(r&&(o=f(o,r,n)),o&&(v.isAbsolute(o)?d=o:s&&(d=v.join(s.fsPath,o)))),d||(d=s?s.fsPath:t||""),l(d)}e.getCwd=p;function f(c,t,r){if(t)try{return t(c)}catch(s){r==null||r.error("Could not resolve terminal cwd",s);return}return c}function l(c){return D.platform===3&&c&&c[1]===":"?c[0].toUpperCase()+c.substr(1):c}function m(c){let t=c;t.indexOf("\\")!==0&&(t=t.replace(/\\/g,"\\\\")),t.indexOf(" ")!==-1&&(t=t.replace(/ /g,"\\ "));const r=/[\`\$\|\&\>\~\#\!\^\*\;\<\"\']/g;return t=t.replace(r,""),`'${t}'`}e.escapeNonWindowsPath=m;function S(c,t){if(!!t)return r=>t.resolve(c,r)}e.createVariableResolver=S;function _(c,t,r,s,o,n,d,w,E=D.platform){let h=null;w&&(h=a(c,t,"automationShell",E)),h||(h=a(c,t,"shell",E));let b=h||r;if(E===3&&!s&&o){const A=v.join(o,"Sysnative").replace(/\//g,"\\").toLowerCase();b&&b.toLowerCase().indexOf(A)===0&&(b=v.join(o,"System32",b.substr(A.length+1)))}if(b&&E===3&&(b=b.replace(/\//g,"\\")),n)try{b=n(b)}catch(A){d.error("Could not resolve shell",A)}return b}e.getDefaultShell=_;function g(c,t,r,s,o,n=D.platform){if(r&&a(c,t,"automationShell",n))return[];const d=n===3?"windows":n===1?"osx":"linux",w=c(`terminal.integrated.shellArgs.${d}`);let E=(t?w.value:w.userValue)||w.defaultValue;if(!E)return[];if(typeof E=="string"&&n===3)return s?s(E):E;if(s){const h=[];for(const b of E)try{h.push(s(b))}catch(A){o.error(`Could not resolve terminal.integrated.shellArgs.${d}`,A),h.push(b)}E=h}return E}e.getDefaultShellArgs=g;function a(c,t,r,s=D.platform){const n=c(`terminal.integrated.${r}.${s===3?"windows":s===1?"osx":"linux"}`);return(t?n.value:n.userValue)||n.defaultValue}function u(c,t,r,s,o,n,d){let w={};if(c.strictEnv)y(w,c.env);else{y(w,d);const E=Object.assign({},s?t.value:t.userValue);r&&(E&&i(r,E),c.env&&i(r,c.env)),R.sanitizeProcessEnvironment(w,"VSCODE_IPC_HOOK_CLI"),P(w,E),P(w,c.env),I(w,o,D.locale,n)}return w}e.createTerminalEnvironment=u});var Zt=this&&this.__asyncValues||function(Q){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var e=Q[Symbol.asyncIterator],v;return e?e.call(Q):(Q=typeof __values=="function"?__values(Q):Q[Symbol.iterator](),v={},D("next"),D("throw"),D("return"),v[Symbol.asyncIterator]=function(){return this},v);function D(P){v[P]=Q[P]&&function(C){return new Promise(function(I,y){C=Q[P](C),R(I,y,C.done,C.value)})}}function R(P,C,I,y){Promise.resolve(y).then(function(i){P({value:i,done:I})},C)}};define(ge[211],pe([0,1,29,9,24,12,7,99,113,209]),function(Q,e,v,D,R,P,C,I,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.detectAvailableShells=e.linuxDistro=void 0;let T=i.LinuxDistro.Unknown;if(D.isLinux){const m="/etc/os-release";R.SymlinkSupport.existsFile(m).then(async S=>{if(!!S){const g=(await v.promises.readFile(m)).toString();/NAME="?Fedora"?/.test(g)?T=i.LinuxDistro.Fedora:/NAME="?Ubuntu"?/.test(g)&&(T=i.LinuxDistro.Ubuntu)}})}e.linuxDistro=T;function k(){return D.isWindows?p():f()}e.detectAvailableShells=k;async function p(){var m,S;const _=process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432"),g=`${process.env.windir}\\${_?"Sysnative":"System32"}`;let a=!1;y.getWindowsBuildNumber()>=16299&&(a=!0);const u={"Command Prompt":[`${g}\\cmd.exe`],"WSL Bash":[`${g}\\${a?"wsl.exe":"bash.exe"}`],"Git Bash":[`${process.env.ProgramW6432}\\Git\\bin\\bash.exe`,`${process.env.ProgramW6432}\\Git\\usr\\bin\\bash.exe`,`${process.env.ProgramFiles}\\Git\\bin\\bash.exe`,`${process.env.ProgramFiles}\\Git\\usr\\bin\\bash.exe`,`${process.env.LocalAppData}\\Programs\\Git\\bin\\bash.exe`]};try{for(var c=Zt(I.enumeratePowerShellInstallations()),t;t=await c.next(),!t.done;){const o=t.value;u[o.displayName]=[o.exePath]}}catch(o){m={error:o}}finally{try{t&&!t.done&&(S=c.return)&&await S.call(c)}finally{if(m)throw m.error}}const r=[];Object.keys(u).forEach(o=>r.push(l(o,u[o])));const s=await Promise.all(r);return P.coalesce(s)}async function f(){return(await v.promises.readFile("/etc/shells","utf8")).split(`
`).filter(_=>_.trim().indexOf("#")!==0&&_.trim().length>0).map(_=>({label:C.basename(_),path:_}))}async function l(m,S){if(S.length===0)return Promise.resolve(void 0);const _=S.shift();if(_==="")return l(m,S);try{const g=await v.promises.stat(C.normalize(_));if(g.isFile()||g.isSymbolicLink())return{label:m,path:_}}catch(g){try{const a=await v.promises.lstat(C.normalize(_));if(a.isFile()||a.isSymbolicLink())return{label:m,path:_}}catch(a){}}return l(m,S)}}),define(ge[212],pe([0,1,29,7,9]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getMainProcessParentEnv=void 0;let P;async function C(I=process.env){if(P)return P;if(R.isLinux){const y=process.ppid,i=D.basename(process.argv[0]);let T=0,k=y,p=i;do T=k,(await v.promises.readFile(`/proc/${T}/status`,"utf8")).split(`
`).forEach(_=>{_.indexOf("Name:")===0&&(p=_.replace(/^Name:\s+/,"")),_.indexOf("PPid:")===0&&(k=parseInt(_.replace(/^PPid:\s+/,"")))});while(p===i);const f=await v.promises.readFile(`/proc/${T}/environ`,"utf8"),l={};f.split("\0").forEach(m=>{const S=m.indexOf("=");l[m.substr(0,S)]=m.substr(S+1)}),P=l}return R.isMacintosh&&(P={},["SHELL","SSH_AUTH_SOCK","Apple_PubSub_Socket_Render","XPC_FLAGS","XPC_SERVICE_NAME","HOME","LOGNAME","TMPDIR"].forEach(i=>{I[i]&&(P[i]=I[i])})),R.isWindows&&(P=I),P}e.getMainProcessParentEnv=C}),define(ge[213],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractIncrementalTestCollection=e.IncrementalChangeCollector=e.getTestSubscriptionKey=e.TestDiffOpType=void 0;var v;(function(C){C[C.Add=0]="Add",C[C.Update=1]="Update",C[C.Remove=2]="Remove",C[C.DeltaDiscoverComplete=3]="DeltaDiscoverComplete",C[C.DeltaRootsComplete=4]="DeltaRootsComplete"})(v=e.TestDiffOpType||(e.TestDiffOpType={}));const D=(C,I)=>`${C}:${I.toString()}`;e.getTestSubscriptionKey=D;class R{add(I){}update(I){}remove(I,y){}complete(){}}e.IncrementalChangeCollector=R;class P{constructor(){this.items=new Map,this.roots=new Set}apply(I){const y=this.createChangeCollector();for(const i of I)switch(i[0]){case 0:{const T=i[1];if(T.parent){if(this.items.has(T.parent)){const k=this.items.get(T.parent);k.children.add(T.item.extId);const p=this.createItem(T,k);this.items.set(T.item.extId,p),y.add(p)}}else{this.roots.add(T.item.extId);const k=this.createItem(T);this.items.set(T.item.extId,k),y.add(k)}break}case 1:{const T=i[1],k=this.items.get(T.item.extId);k&&(Object.assign(k.item,T.item),y.update(k));break}case 2:{const T=this.items.get(i[1]);if(!T)break;T.parent?this.items.get(T.parent).children.delete(T.item.extId):this.roots.delete(T.item.extId);const k=[[i[1]]];for(;k.length;)for(const p of k.pop()){const f=this.items.get(p);f&&(k.push(f.children),this.items.delete(p),y.remove(f,f!==T))}break}case 3:this.updateBusyProviders(i[1]);break;case 4:this.updatePendingRoots(i[1]);break}y.complete()}updateBusyProviders(I){}updatePendingRoots(I){}createChangeCollector(){return new R}}e.AbstractIncrementalTestCollection=P}),define(ge[214],pe([0,1,7,38,16,23,9,77,172]),function(Q,e,v,D,R,P,C,I,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractVariableResolverService=void 0;class i{constructor(k,p,f){if(this._contributedVariables=new Map,this._context=k,this._labelService=p,f)if(C.isWindows){const l=Object.create(null);this._envVariables=l,Object.keys(f).forEach(m=>{l[m.toLowerCase()]=f[m]})}else this._envVariables=f}resolve(k,p){return this.recursiveResolve(k?k.uri:void 0,p)}resolveAnyBase(k,p,f,l){const m=P.deepClone(p);return C.isWindows&&m.windows?Object.keys(m.windows).forEach(S=>m[S]=m.windows[S]):C.isMacintosh&&m.osx?Object.keys(m.osx).forEach(S=>m[S]=m.osx[S]):C.isLinux&&m.linux&&Object.keys(m.linux).forEach(S=>m[S]=m.linux[S]),delete m.windows,delete m.osx,delete m.linux,this.recursiveResolve(k?k.uri:void 0,m,f,l)}resolveAny(k,p,f){return this.resolveAnyBase(k,p,f)}resolveAnyMap(k,p,f){const l=new Map;return{newConfig:this.resolveAnyBase(k,p,f,l),resolvedVariables:l}}resolveWithInteractionReplace(k,p,f,l){throw new Error("resolveWithInteractionReplace not implemented.")}resolveWithInteraction(k,p,f,l){throw new Error("resolveWithInteraction not implemented.")}contributeVariable(k,p){if(this._contributedVariables.has(k))throw new Error("Variable "+k+" is contributed twice.");this._contributedVariables.set(k,p)}recursiveResolve(k,p,f,l){if(R.isString(p))return this.resolveString(k,p,f,l);if(R.isArray(p))return p.map(m=>this.recursiveResolve(k,m,f,l));if(R.isObject(p)){let m=Object.create(null);return Object.keys(p).forEach(S=>{const _=this.resolveString(k,S,f,l);m[_]=this.recursiveResolve(k,p[S],f,l)}),m}return p}resolveString(k,p,f,l){return p.replace(i.VARIABLE_REGEXP,(S,_)=>{if(_.includes(i.VARIABLE_LHS))return S;let g=this.evaluateSingleVariable(S,_,k,f);return l&&l.set(_,g),g})}fsPath(k){return this._labelService?this._labelService.getUriLabel(k,{noPrefix:!0}):k.fsPath}evaluateSingleVariable(k,p,f,l){let m;const S=p.split(":");S.length>1&&(p=S[0],m=S[1]);const _=()=>{const u=this._context.getFilePath();if(u)return u;throw new Error(y.localize(0,null,k))},g=()=>{const u=_();if(this._context.getWorkspaceFolderPathForFile){const c=this._context.getWorkspaceFolderPathForFile();if(c)return c}throw new Error(y.localize(1,null,k,v.basename(u)))},a=()=>{if(m){const u=this._context.getFolderUri(m);if(u)return u;throw new Error(y.localize(2,null,k,m))}if(f)return f;throw this._context.getWorkspaceFolderCount()>1?new Error(y.localize(3,null,k)):new Error(y.localize(4,null,k))};switch(p){case"env":if(m){if(this._envVariables){const u=this._envVariables[C.isWindows?m.toLowerCase():m];if(R.isString(u))return u}return""}throw new Error(y.localize(5,null,k));case"config":if(m){const u=this._context.getConfigurationValue(f,m);if(R.isUndefinedOrNull(u))throw new Error(y.localize(6,null,k,m));if(R.isObject(u))throw new Error(y.localize(7,null,k,m));return u}throw new Error(y.localize(8,null,k));case"command":return this.resolveFromMap(k,m,l,"command");case"input":return this.resolveFromMap(k,m,l,"input");default:switch(p){case"workspaceRoot":case"workspaceFolder":return I.normalizeDriveLetter(this.fsPath(a()));case"cwd":return f||m?I.normalizeDriveLetter(this.fsPath(a())):D.cwd();case"workspaceRootFolderName":case"workspaceFolderBasename":return v.basename(this.fsPath(a()));case"lineNumber":const u=this._context.getLineNumber();if(u)return u;throw new Error(y.localize(9,null,k));case"selectedText":const c=this._context.getSelectedText();if(c)return c;throw new Error(y.localize(10,null,k));case"file":return _();case"fileWorkspaceFolder":return g();case"relativeFile":return f||m?v.relative(this.fsPath(a()),_()):_();case"relativeFileDirname":const t=v.dirname(_());if(f||m){const n=v.relative(this.fsPath(a()),t);return n.length===0?".":n}return t;case"fileDirname":return v.dirname(_());case"fileExtname":return v.extname(_());case"fileBasename":return v.basename(_());case"fileBasenameNoExtension":const r=v.basename(_());return r.slice(0,r.length-v.extname(r).length);case"fileDirnameBasename":return v.basename(v.dirname(_()));case"execPath":const s=this._context.getExecPath();return s||k;case"execInstallFolder":const o=this._context.getAppRoot();return o||k;case"pathSeparator":return v.sep;default:try{const n=m?`${p}:${m}`:p;return this.resolveFromMap(k,n,l,void 0)}catch(n){return k}}}}resolveFromMap(k,p,f,l){if(p&&f){const m=l===void 0?f[p]:f[l+":"+p];if(typeof m=="string")return m;throw new Error(y.localize(11,null,k))}return k}}e.AbstractVariableResolverService=i,i.VARIABLE_LHS="${",i.VARIABLE_REGEXP=/\$\{(.*?)\}/g}),define(ge[215],pe([0,1,4]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.preferredSideBySideGroupDirection=e.OpenEditorContext=e.GroupChangeKind=e.GroupsOrder=e.MergeGroupMode=e.GroupsArrangement=e.GroupLocation=e.GroupOrientation=e.GroupDirection=e.IEditorGroupsService=void 0,e.IEditorGroupsService=v.createDecorator("editorGroupsService");var D;(function(p){p[p.UP=0]="UP",p[p.DOWN=1]="DOWN",p[p.LEFT=2]="LEFT",p[p.RIGHT=3]="RIGHT"})(D=e.GroupDirection||(e.GroupDirection={}));var R;(function(p){p[p.HORIZONTAL=0]="HORIZONTAL",p[p.VERTICAL=1]="VERTICAL"})(R=e.GroupOrientation||(e.GroupOrientation={}));var P;(function(p){p[p.FIRST=0]="FIRST",p[p.LAST=1]="LAST",p[p.NEXT=2]="NEXT",p[p.PREVIOUS=3]="PREVIOUS"})(P=e.GroupLocation||(e.GroupLocation={}));var C;(function(p){p[p.MINIMIZE_OTHERS=0]="MINIMIZE_OTHERS",p[p.EVEN=1]="EVEN",p[p.TOGGLE=2]="TOGGLE"})(C=e.GroupsArrangement||(e.GroupsArrangement={}));var I;(function(p){p[p.COPY_EDITORS=0]="COPY_EDITORS",p[p.MOVE_EDITORS=1]="MOVE_EDITORS"})(I=e.MergeGroupMode||(e.MergeGroupMode={}));var y;(function(p){p[p.CREATION_TIME=0]="CREATION_TIME",p[p.MOST_RECENTLY_ACTIVE=1]="MOST_RECENTLY_ACTIVE",p[p.GRID_APPEARANCE=2]="GRID_APPEARANCE"})(y=e.GroupsOrder||(e.GroupsOrder={}));var i;(function(p){p[p.GROUP_ACTIVE=0]="GROUP_ACTIVE",p[p.GROUP_INDEX=1]="GROUP_INDEX",p[p.EDITOR_OPEN=2]="EDITOR_OPEN",p[p.EDITOR_CLOSE=3]="EDITOR_CLOSE",p[p.EDITOR_MOVE=4]="EDITOR_MOVE",p[p.EDITOR_ACTIVE=5]="EDITOR_ACTIVE",p[p.EDITOR_LABEL=6]="EDITOR_LABEL",p[p.EDITOR_PIN=7]="EDITOR_PIN",p[p.EDITOR_STICKY=8]="EDITOR_STICKY",p[p.EDITOR_DIRTY=9]="EDITOR_DIRTY"})(i=e.GroupChangeKind||(e.GroupChangeKind={}));var T;(function(p){p[p.NEW_EDITOR=1]="NEW_EDITOR",p[p.MOVE_EDITOR=2]="MOVE_EDITOR",p[p.COPY_EDITOR=3]="COPY_EDITOR"})(T=e.OpenEditorContext||(e.OpenEditorContext={}));function k(p){return p.getValue("workbench.editor.openSideBySideDirection")==="down"?1:3}e.preferredSideBySideGroupDirection=k}),define(ge[216],pe([0,1,4]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SIDE_GROUP=e.ACTIVE_GROUP=e.IEditorService=void 0,e.IEditorService=v.createDecorator("editorService"),e.ACTIVE_GROUP=-1,e.SIDE_GROUP=-2}),define(ge[20],pe([0,1,81,8,173,2,44,96,109,216,16,285,59,23,12,52]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TestResults=e.TestItem=e.TestState=e.NotebookDecorationRenderOptions=e.NotebookExclusiveDocumentPattern=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookCellData=e.NotebookCellKind=e.NotebookDocumentMetadata=e.NotebookCellMetadata=e.NotebookCellRange=e.LanguageSelector=e.GlobPattern=e.TextEditorOpenOptions=e.FoldingRangeKind=e.FoldingRange=e.ProgressLocation=e.EndOfLine=e.TextEditorLineNumbersStyle=e.TextDocumentSaveReason=e.SelectionRange=e.Color=e.ColorPresentation=e.DocumentLink=e.InlineHintKind=e.InlineHint=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.CompletionItem=e.CompletionItemKind=e.CompletionItemTag=e.CompletionContext=e.CompletionTriggerKind=e.DocumentHighlight=e.InlineValueContext=e.InlineValue=e.EvaluatableExpression=e.Hover=e.DefinitionLink=e.location=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.DocumentSymbol=e.WorkspaceSymbol=e.SymbolTag=e.SymbolKind=e.WorkspaceEdit=e.TextEdit=e.DecorationRenderOptions=e.DecorationRangeBehavior=e.ThemableDecorationRenderOptions=e.ThemableDecorationAttachmentRenderOptions=e.pathOrURIToURI=e.fromRangeOrRangeWithMessage=e.MarkdownString=e.isDecorationOptionsArr=e.ViewColumn=e.DiagnosticSeverity=e.DiagnosticRelatedInformation=e.Diagnostic=e.DiagnosticTag=e.Position=e.TokenType=e.Range=e.Selection=void 0;var S;(function(be){function De(ee){const{selectionStartLineNumber:Fe,selectionStartColumn:xe,positionLineNumber:Ye,positionColumn:Ae}=ee,st=new D.Position(Fe-1,xe-1),rt=new D.Position(Ye-1,Ae-1);return new D.Selection(st,rt)}be.to=De;function ue(ee){const{anchor:Fe,active:xe}=ee;return{selectionStartLineNumber:Fe.line+1,selectionStartColumn:Fe.character+1,positionLineNumber:xe.line+1,positionColumn:xe.character+1}}be.from=ue})(S=e.Selection||(e.Selection={}));var _;(function(be){function De(ee){if(!!ee){const{start:Fe,end:xe}=ee;return{startLineNumber:Fe.line+1,startColumn:Fe.character+1,endLineNumber:xe.line+1,endColumn:xe.character+1}}}be.from=De;function ue(ee){if(!!ee){const{startLineNumber:Fe,startColumn:xe,endLineNumber:Ye,endColumn:Ae}=ee;return new D.Range(Fe-1,xe-1,Ye-1,Ae-1)}}be.to=ue})(_=e.Range||(e.Range={}));var g;(function(be){function De(ue){switch(ue){case 1:return D.StandardTokenType.Comment;case 0:return D.StandardTokenType.Other;case 4:return D.StandardTokenType.RegEx;case 2:return D.StandardTokenType.String}}be.to=De})(g=e.TokenType||(e.TokenType={}));var a;(function(be){function De(ee){return new D.Position(ee.lineNumber-1,ee.column-1)}be.to=De;function ue(ee){return{lineNumber:ee.line+1,column:ee.character+1}}be.from=ue})(a=e.Position||(e.Position={}));var u;(function(be){function De(ee){switch(ee){case D.DiagnosticTag.Unnecessary:return 1;case D.DiagnosticTag.Deprecated:return 2}}be.from=De;function ue(ee){switch(ee){case 1:return D.DiagnosticTag.Unnecessary;case 2:return D.DiagnosticTag.Deprecated;default:return}}be.to=ue})(u=e.DiagnosticTag||(e.DiagnosticTag={}));var c;(function(be){function De(ee){let Fe;return ee.code&&(T.isString(ee.code)||T.isNumber(ee.code)?Fe=String(ee.code):Fe={value:String(ee.code.value),target:ee.code.target}),Object.assign(Object.assign({},_.from(ee.range)),{message:ee.message,source:ee.source,code:Fe,severity:r.from(ee.severity),relatedInformation:ee.relatedInformation&&ee.relatedInformation.map(t.from),tags:Array.isArray(ee.tags)?l.coalesce(ee.tags.map(u.from)):void 0})}be.from=De;function ue(ee){var Fe;const xe=new D.Diagnostic(_.to(ee),ee.message,r.to(ee.severity));return xe.source=ee.source,xe.code=T.isString(ee.code)?ee.code:(Fe=ee.code)===null||Fe===void 0?void 0:Fe.value,xe.relatedInformation=ee.relatedInformation&&ee.relatedInformation.map(t.to),xe.tags=ee.tags&&l.coalesce(ee.tags.map(u.to)),xe}be.to=ue})(c=e.Diagnostic||(e.Diagnostic={}));var t;(function(be){function De(ee){return Object.assign(Object.assign({},_.from(ee.location.range)),{message:ee.message,resource:ee.location.uri})}be.from=De;function ue(ee){return new D.DiagnosticRelatedInformation(new D.Location(ee.resource,_.to(ee)),ee.message)}be.to=ue})(t=e.DiagnosticRelatedInformation||(e.DiagnosticRelatedInformation={}));var r;(function(be){function De(ee){switch(ee){case D.DiagnosticSeverity.Error:return y.MarkerSeverity.Error;case D.DiagnosticSeverity.Warning:return y.MarkerSeverity.Warning;case D.DiagnosticSeverity.Information:return y.MarkerSeverity.Info;case D.DiagnosticSeverity.Hint:return y.MarkerSeverity.Hint}return y.MarkerSeverity.Error}be.from=De;function ue(ee){switch(ee){case y.MarkerSeverity.Info:return D.DiagnosticSeverity.Information;case y.MarkerSeverity.Warning:return D.DiagnosticSeverity.Warning;case y.MarkerSeverity.Error:return D.DiagnosticSeverity.Error;case y.MarkerSeverity.Hint:return D.DiagnosticSeverity.Hint;default:return D.DiagnosticSeverity.Error}}be.to=ue})(r=e.DiagnosticSeverity||(e.DiagnosticSeverity={}));var s;(function(be){function De(ee){return typeof ee=="number"&&ee>=D.ViewColumn.One?ee-1:ee===D.ViewColumn.Beside?i.SIDE_GROUP:i.ACTIVE_GROUP}be.from=De;function ue(ee){if(typeof ee=="number"&&ee>=0)return ee+1;throw new Error("invalid 'EditorGroupColumn'")}be.to=ue})(s=e.ViewColumn||(e.ViewColumn={}));function o(be){return typeof be.range!="undefined"}function n(be){return be.length===0?!0:!!o(be[0])}e.isDecorationOptionsArr=n;var d;(function(be){function De(Ae){return Ae.map(be.from)}be.fromMany=De;function ue(Ae){return Ae&&typeof Ae=="object"&&typeof Ae.language=="string"&&typeof Ae.value=="string"}function ee(Ae){let st;if(ue(Ae)){const{language:dt,value:ht}=Ae;st={value:"```"+dt+`
`+ht+"\n```\n"}}else D.MarkdownString.isMarkdownString(Ae)?st={value:Ae.value,isTrusted:Ae.isTrusted,supportThemeIcons:Ae.supportThemeIcons}:typeof Ae=="string"?st={value:Ae}:st={value:""};const rt=Object.create(null);st.uris=rt;const Xe=dt=>{try{let ht=P.URI.parse(dt,!0);ht=ht.with({query:Fe(ht.query,rt)}),rt[dt]=ht}catch(ht){}return""},ct=new k.Renderer;return ct.link=Xe,ct.image=dt=>Xe(I.parseHrefAndDimensions(dt).href),k(st.value,{renderer:ct}),st}be.from=ee;function Fe(Ae,st){if(!Ae)return Ae;let rt;try{rt=p.parse(Ae)}catch(ct){}if(!rt)return Ae;let Xe=!1;return rt=f.cloneAndChange(rt,ct=>{if(P.URI.isUri(ct)){const dt=`__uri_${Math.random().toString(16).slice(2,8)}`;return st[dt]=ct,Xe=!0,dt}else return}),Xe?JSON.stringify(rt):Ae}function xe(Ae){const st=new D.MarkdownString(Ae.value,Ae.supportThemeIcons);return st.isTrusted=Ae.isTrusted,st}be.to=xe;function Ye(Ae){if(!!Ae)return typeof Ae=="string"?Ae:be.from(Ae)}be.fromStrict=Ye})(d=e.MarkdownString||(e.MarkdownString={}));function w(be){return n(be)?be.map(De=>({range:_.from(De.range),hoverMessage:Array.isArray(De.hoverMessage)?d.fromMany(De.hoverMessage):De.hoverMessage?d.from(De.hoverMessage):void 0,renderOptions:De.renderOptions})):be.map(De=>({range:_.from(De)}))}e.fromRangeOrRangeWithMessage=w;function E(be){return typeof be=="undefined"?be:typeof be=="string"?P.URI.file(be):be}e.pathOrURIToURI=E;var h;(function(be){function De(ue){return typeof ue=="undefined"?ue:{contentText:ue.contentText,contentIconPath:ue.contentIconPath?E(ue.contentIconPath):void 0,border:ue.border,borderColor:ue.borderColor,fontStyle:ue.fontStyle,fontWeight:ue.fontWeight,textDecoration:ue.textDecoration,color:ue.color,backgroundColor:ue.backgroundColor,margin:ue.margin,width:ue.width,height:ue.height}}be.from=De})(h=e.ThemableDecorationAttachmentRenderOptions||(e.ThemableDecorationAttachmentRenderOptions={}));var b;(function(be){function De(ue){return typeof ue=="undefined"?ue:{backgroundColor:ue.backgroundColor,outline:ue.outline,outlineColor:ue.outlineColor,outlineStyle:ue.outlineStyle,outlineWidth:ue.outlineWidth,border:ue.border,borderColor:ue.borderColor,borderRadius:ue.borderRadius,borderSpacing:ue.borderSpacing,borderStyle:ue.borderStyle,borderWidth:ue.borderWidth,fontStyle:ue.fontStyle,fontWeight:ue.fontWeight,textDecoration:ue.textDecoration,cursor:ue.cursor,color:ue.color,opacity:ue.opacity,letterSpacing:ue.letterSpacing,gutterIconPath:ue.gutterIconPath?E(ue.gutterIconPath):void 0,gutterIconSize:ue.gutterIconSize,overviewRulerColor:ue.overviewRulerColor,before:ue.before?h.from(ue.before):void 0,after:ue.after?h.from(ue.after):void 0}}be.from=De})(b=e.ThemableDecorationRenderOptions||(e.ThemableDecorationRenderOptions={}));var A;(function(be){function De(ue){if(typeof ue=="undefined")return ue;switch(ue){case D.DecorationRangeBehavior.OpenOpen:return 0;case D.DecorationRangeBehavior.ClosedClosed:return 1;case D.DecorationRangeBehavior.OpenClosed:return 2;case D.DecorationRangeBehavior.ClosedOpen:return 3}}be.from=De})(A=e.DecorationRangeBehavior||(e.DecorationRangeBehavior={}));var L;(function(be){function De(ue){return{isWholeLine:ue.isWholeLine,rangeBehavior:ue.rangeBehavior?A.from(ue.rangeBehavior):void 0,overviewRulerLane:ue.overviewRulerLane,light:ue.light?b.from(ue.light):void 0,dark:ue.dark?b.from(ue.dark):void 0,backgroundColor:ue.backgroundColor,outline:ue.outline,outlineColor:ue.outlineColor,outlineStyle:ue.outlineStyle,outlineWidth:ue.outlineWidth,border:ue.border,borderColor:ue.borderColor,borderRadius:ue.borderRadius,borderSpacing:ue.borderSpacing,borderStyle:ue.borderStyle,borderWidth:ue.borderWidth,fontStyle:ue.fontStyle,fontWeight:ue.fontWeight,textDecoration:ue.textDecoration,cursor:ue.cursor,color:ue.color,opacity:ue.opacity,letterSpacing:ue.letterSpacing,gutterIconPath:ue.gutterIconPath?E(ue.gutterIconPath):void 0,gutterIconSize:ue.gutterIconSize,overviewRulerColor:ue.overviewRulerColor,before:ue.before?h.from(ue.before):void 0,after:ue.after?h.from(ue.after):void 0}}be.from=De})(L=e.DecorationRenderOptions||(e.DecorationRenderOptions={}));var M;(function(be){function De(ee){return{text:ee.newText,eol:ee.newEol&&ne.from(ee.newEol),range:_.from(ee.range)}}be.from=De;function ue(ee){const Fe=new D.TextEdit(_.to(ee.range),ee.text);return Fe.newEol=typeof ee.eol=="undefined"?void 0:ne.to(ee.eol),Fe}be.to=ue})(M=e.TextEdit||(e.TextEdit={}));var z;(function(be){function De(ee,Fe,xe){var Ye,Ae,st;const rt={edits:[]};if(ee instanceof D.WorkspaceEdit)for(let Xe of ee._allEntries())if(Xe._type===1)rt.edits.push({_type:1,oldUri:Xe.from,newUri:Xe.to,options:Xe.options,metadata:Xe.metadata});else if(Xe._type===2){const ct=Fe==null?void 0:Fe.getDocument(Xe.uri);rt.edits.push({_type:2,resource:Xe.uri,edit:M.from(Xe.edit),modelVersionId:ct==null?void 0:ct.version,metadata:Xe.metadata})}else Xe._type===3?rt.edits.push({_type:3,metadata:Xe.metadata,resource:Xe.uri,edit:Xe.edit,notebookMetadata:Xe.notebookMetadata,notebookVersionId:(Ye=xe==null?void 0:xe.lookupNotebookDocument(Xe.uri))===null||Ye===void 0?void 0:Ye.notebookDocument.version}):Xe._type===4?(Xe.newOutputs&&rt.edits.push({_type:3,metadata:Xe.metadata,resource:Xe.uri,edit:{editType:2,index:Xe.index,append:Xe.append,outputs:Xe.newOutputs.map(ye.from)}}),Xe.newMetadata&&rt.edits.push({_type:3,metadata:Xe.metadata,resource:Xe.uri,edit:{editType:3,index:Xe.index,metadata:Xe.newMetadata}})):Xe._type===5?rt.edits.push({_type:3,metadata:Xe.metadata,resource:Xe.uri,notebookVersionId:(Ae=xe==null?void 0:xe.lookupNotebookDocument(Xe.uri))===null||Ae===void 0?void 0:Ae.notebookDocument.version,edit:{editType:1,index:Xe.index,count:Xe.count,cells:Xe.cells.map(de.from)}}):Xe._type===6&&rt.edits.push({_type:3,metadata:Xe.metadata,resource:Xe.uri,edit:{editType:10,index:Xe.index,outputId:Xe.outputId,items:((st=Xe.newOutputItems)===null||st===void 0?void 0:st.map(me.from))||[],append:Xe.append}});return rt}be.from=De;function ue(ee){const Fe=new D.WorkspaceEdit;for(const xe of ee.edits)xe.edit?Fe.replace(P.URI.revive(xe.resource),_.to(xe.edit.range),xe.edit.text):Fe.renameFile(P.URI.revive(xe.oldUri),P.URI.revive(xe.newUri),xe.options);return Fe}be.to=ue})(z=e.WorkspaceEdit||(e.WorkspaceEdit={}));var V;(function(be){const De=Object.create(null);De[D.SymbolKind.File]=0,De[D.SymbolKind.Module]=1,De[D.SymbolKind.Namespace]=2,De[D.SymbolKind.Package]=3,De[D.SymbolKind.Class]=4,De[D.SymbolKind.Method]=5,De[D.SymbolKind.Property]=6,De[D.SymbolKind.Field]=7,De[D.SymbolKind.Constructor]=8,De[D.SymbolKind.Enum]=9,De[D.SymbolKind.Interface]=10,De[D.SymbolKind.Function]=11,De[D.SymbolKind.Variable]=12,De[D.SymbolKind.Constant]=13,De[D.SymbolKind.String]=14,De[D.SymbolKind.Number]=15,De[D.SymbolKind.Boolean]=16,De[D.SymbolKind.Array]=17,De[D.SymbolKind.Object]=18,De[D.SymbolKind.Key]=19,De[D.SymbolKind.Null]=20,De[D.SymbolKind.EnumMember]=21,De[D.SymbolKind.Struct]=22,De[D.SymbolKind.Event]=23,De[D.SymbolKind.Operator]=24,De[D.SymbolKind.TypeParameter]=25;function ue(Fe){return typeof De[Fe]=="number"?De[Fe]:6}be.from=ue;function ee(Fe){for(const xe in De)if(De[xe]===Fe)return Number(xe);return D.SymbolKind.Property}be.to=ee})(V=e.SymbolKind||(e.SymbolKind={}));var W;(function(be){function De(ee){switch(ee){case D.SymbolTag.Deprecated:return 1}}be.from=De;function ue(ee){switch(ee){case 1:return D.SymbolTag.Deprecated}}be.to=ue})(W=e.SymbolTag||(e.SymbolTag={}));var K;(function(be){function De(ee){return{name:ee.name,kind:V.from(ee.kind),tags:ee.tags&&ee.tags.map(W.from),containerName:ee.containerName,location:O.from(ee.location)}}be.from=De;function ue(ee){const Fe=new D.SymbolInformation(ee.name,V.to(ee.kind),ee.containerName,O.to(ee.location));return Fe.tags=ee.tags&&ee.tags.map(W.to),Fe}be.to=ue})(K=e.WorkspaceSymbol||(e.WorkspaceSymbol={}));var x;(function(be){function De(ee){var Fe,xe;const Ye={name:ee.name||"!!MISSING: name!!",detail:ee.detail,range:_.from(ee.range),selectionRange:_.from(ee.selectionRange),kind:V.from(ee.kind),tags:(xe=(Fe=ee.tags)===null||Fe===void 0?void 0:Fe.map(W.from))!==null&&xe!==void 0?xe:[]};return ee.children&&(Ye.children=ee.children.map(De)),Ye}be.from=De;function ue(ee){const Fe=new D.DocumentSymbol(ee.name,ee.detail,V.to(ee.kind),_.to(ee.range),_.to(ee.selectionRange));return l.isNonEmptyArray(ee.tags)&&(Fe.tags=ee.tags.map(W.to)),ee.children&&(Fe.children=ee.children.map(ue)),Fe}be.to=ue})(x=e.DocumentSymbol||(e.DocumentSymbol={}));var N;(function(be){function De(ue){const ee=new D.CallHierarchyItem(V.to(ue.kind),ue.name,ue.detail||"",P.URI.revive(ue.uri),_.to(ue.range),_.to(ue.selectionRange));return ee._sessionId=ue._sessionId,ee._itemId=ue._itemId,ee}be.to=De})(N=e.CallHierarchyItem||(e.CallHierarchyItem={}));var U;(function(be){function De(ue){return new D.CallHierarchyIncomingCall(N.to(ue.from),ue.fromRanges.map(ee=>_.to(ee)))}be.to=De})(U=e.CallHierarchyIncomingCall||(e.CallHierarchyIncomingCall={}));var F;(function(be){function De(ue){return new D.CallHierarchyOutgoingCall(N.to(ue.to),ue.fromRanges.map(ee=>_.to(ee)))}be.to=De})(F=e.CallHierarchyOutgoingCall||(e.CallHierarchyOutgoingCall={}));var O;(function(be){function De(ee){return{range:ee.range&&_.from(ee.range),uri:ee.uri}}be.from=De;function ue(ee){return new D.Location(ee.uri,_.to(ee.range))}be.to=ue})(O=e.location||(e.location={}));var $;(function(be){function De(ee){const Fe=ee,xe=ee;return{originSelectionRange:Fe.originSelectionRange?_.from(Fe.originSelectionRange):void 0,uri:Fe.targetUri?Fe.targetUri:xe.uri,range:_.from(Fe.targetRange?Fe.targetRange:xe.range),targetSelectionRange:Fe.targetSelectionRange?_.from(Fe.targetSelectionRange):void 0}}be.from=De;function ue(ee){return{targetUri:ee.uri,targetRange:_.to(ee.range),targetSelectionRange:ee.targetSelectionRange?_.to(ee.targetSelectionRange):void 0,originSelectionRange:ee.originSelectionRange?_.to(ee.originSelectionRange):void 0}}be.to=ue})($=e.DefinitionLink||(e.DefinitionLink={}));var q;(function(be){function De(ee){return{range:_.from(ee.range),contents:d.fromMany(ee.contents)}}be.from=De;function ue(ee){return new D.Hover(ee.contents.map(d.to),_.to(ee.range))}be.to=ue})(q=e.Hover||(e.Hover={}));var Z;(function(be){function De(ee){return{range:_.from(ee.range),expression:ee.expression}}be.from=De;function ue(ee){return new D.EvaluatableExpression(_.to(ee.range),ee.expression)}be.to=ue})(Z=e.EvaluatableExpression||(e.EvaluatableExpression={}));var ae;(function(be){function De(ee){if(ee instanceof D.InlineValueText)return{type:"text",range:_.from(ee.range),text:ee.text};if(ee instanceof D.InlineValueVariableLookup)return{type:"variable",range:_.from(ee.range),variableName:ee.variableName,caseSensitiveLookup:ee.caseSensitiveLookup};if(ee instanceof D.InlineValueEvaluatableExpression)return{type:"expression",range:_.from(ee.range),expression:ee.expression};throw new Error("Unknown 'InlineValue' type")}be.from=De;function ue(ee){switch(ee.type){case"text":return{range:_.to(ee.range),text:ee.text};case"variable":return{range:_.to(ee.range),variableName:ee.variableName,caseSensitiveLookup:ee.caseSensitiveLookup};case"expression":return{range:_.to(ee.range),expression:ee.expression}}}be.to=ue})(ae=e.InlineValue||(e.InlineValue={}));var fe;(function(be){function De(ee){return{stoppedLocation:_.from(ee.stoppedLocation)}}be.from=De;function ue(ee){return new D.InlineValueContext(_.to(ee.stoppedLocation))}be.to=ue})(fe=e.InlineValueContext||(e.InlineValueContext={}));var Te;(function(be){function De(ee){return{range:_.from(ee.range),kind:ee.kind}}be.from=De;function ue(ee){return new D.DocumentHighlight(_.to(ee.range),ee.kind)}be.to=ue})(Te=e.DocumentHighlight||(e.DocumentHighlight={}));var Se;(function(be){function De(ue){switch(ue){case 1:return D.CompletionTriggerKind.TriggerCharacter;case 2:return D.CompletionTriggerKind.TriggerForIncompleteCompletions;case 0:default:return D.CompletionTriggerKind.Invoke}}be.to=De})(Se=e.CompletionTriggerKind||(e.CompletionTriggerKind={}));var Le;(function(be){function De(ue){return{triggerKind:Se.to(ue.triggerKind),triggerCharacter:ue.triggerCharacter}}be.to=De})(Le=e.CompletionContext||(e.CompletionContext={}));var H;(function(be){function De(ee){switch(ee){case D.CompletionItemTag.Deprecated:return 1}}be.from=De;function ue(ee){switch(ee){case 1:return D.CompletionItemTag.Deprecated}}be.to=ue})(H=e.CompletionItemTag||(e.CompletionItemTag={}));var Y;(function(be){const De=new Map([[D.CompletionItemKind.Method,0],[D.CompletionItemKind.Function,1],[D.CompletionItemKind.Constructor,2],[D.CompletionItemKind.Field,3],[D.CompletionItemKind.Variable,4],[D.CompletionItemKind.Class,5],[D.CompletionItemKind.Interface,7],[D.CompletionItemKind.Struct,6],[D.CompletionItemKind.Module,8],[D.CompletionItemKind.Property,9],[D.CompletionItemKind.Unit,12],[D.CompletionItemKind.Value,13],[D.CompletionItemKind.Constant,14],[D.CompletionItemKind.Enum,15],[D.CompletionItemKind.EnumMember,16],[D.CompletionItemKind.Keyword,17],[D.CompletionItemKind.Snippet,27],[D.CompletionItemKind.Text,18],[D.CompletionItemKind.Color,19],[D.CompletionItemKind.File,20],[D.CompletionItemKind.Reference,21],[D.CompletionItemKind.Folder,23],[D.CompletionItemKind.Event,10],[D.CompletionItemKind.Operator,11],[D.CompletionItemKind.TypeParameter,24],[D.CompletionItemKind.Issue,26],[D.CompletionItemKind.User,25]]);function ue(xe){var Ye;return(Ye=De.get(xe))!==null&&Ye!==void 0?Ye:9}be.from=ue;const ee=new Map([[0,D.CompletionItemKind.Method],[1,D.CompletionItemKind.Function],[2,D.CompletionItemKind.Constructor],[3,D.CompletionItemKind.Field],[4,D.CompletionItemKind.Variable],[5,D.CompletionItemKind.Class],[7,D.CompletionItemKind.Interface],[6,D.CompletionItemKind.Struct],[8,D.CompletionItemKind.Module],[9,D.CompletionItemKind.Property],[12,D.CompletionItemKind.Unit],[13,D.CompletionItemKind.Value],[14,D.CompletionItemKind.Constant],[15,D.CompletionItemKind.Enum],[16,D.CompletionItemKind.EnumMember],[17,D.CompletionItemKind.Keyword],[27,D.CompletionItemKind.Snippet],[18,D.CompletionItemKind.Text],[19,D.CompletionItemKind.Color],[20,D.CompletionItemKind.File],[21,D.CompletionItemKind.Reference],[23,D.CompletionItemKind.Folder],[10,D.CompletionItemKind.Event],[11,D.CompletionItemKind.Operator],[24,D.CompletionItemKind.TypeParameter],[25,D.CompletionItemKind.User],[26,D.CompletionItemKind.Issue]]);function Fe(xe){var Ye;return(Ye=ee.get(xe))!==null&&Ye!==void 0?Ye:D.CompletionItemKind.Property}be.to=Fe})(Y=e.CompletionItemKind||(e.CompletionItemKind={}));var ie;(function(be){function De(ue,ee){var Fe;const xe=new D.CompletionItem(typeof ue.label=="string"?ue.label:ue.label.name);return typeof ue.label!="string"&&(xe.label2=ue.label),xe.insertText=ue.insertText,xe.kind=Y.to(ue.kind),xe.tags=(Fe=ue.tags)===null||Fe===void 0?void 0:Fe.map(H.to),xe.detail=ue.detail,xe.documentation=I.isMarkdownString(ue.documentation)?d.to(ue.documentation):ue.documentation,xe.sortText=ue.sortText,xe.filterText=ue.filterText,xe.preselect=ue.preselect,xe.commitCharacters=ue.commitCharacters,C.Range.isIRange(ue.range)?xe.range=_.to(ue.range):typeof ue.range=="object"&&(xe.range={inserting:_.to(ue.range.insert),replacing:_.to(ue.range.replace)}),xe.keepWhitespace=typeof ue.insertTextRules=="undefined"?!1:Boolean(ue.insertTextRules&1),typeof ue.insertTextRules!="undefined"&&ue.insertTextRules&4?xe.insertText=new D.SnippetString(ue.insertText):(xe.insertText=ue.insertText,xe.textEdit=xe.range instanceof D.Range?new D.TextEdit(xe.range,xe.insertText):void 0),ue.additionalTextEdits&&ue.additionalTextEdits.length>0&&(xe.additionalTextEdits=ue.additionalTextEdits.map(Ye=>M.to(Ye))),xe.command=ee&&ue.command?ee.fromInternal(ue.command):void 0,xe}be.to=De})(ie=e.CompletionItem||(e.CompletionItem={}));var oe;(function(be){function De(ee){return{label:ee.label,documentation:ee.documentation?d.fromStrict(ee.documentation):void 0}}be.from=De;function ue(ee){return{label:ee.label,documentation:I.isMarkdownString(ee.documentation)?d.to(ee.documentation):ee.documentation}}be.to=ue})(oe=e.ParameterInformation||(e.ParameterInformation={}));var ve;(function(be){function De(ee){return{label:ee.label,documentation:ee.documentation?d.fromStrict(ee.documentation):void 0,parameters:Array.isArray(ee.parameters)?ee.parameters.map(oe.from):[],activeParameter:ee.activeParameter}}be.from=De;function ue(ee){return{label:ee.label,documentation:I.isMarkdownString(ee.documentation)?d.to(ee.documentation):ee.documentation,parameters:Array.isArray(ee.parameters)?ee.parameters.map(oe.to):[],activeParameter:ee.activeParameter}}be.to=ue})(ve=e.SignatureInformation||(e.SignatureInformation={}));var ke;(function(be){function De(ee){return{activeSignature:ee.activeSignature,activeParameter:ee.activeParameter,signatures:Array.isArray(ee.signatures)?ee.signatures.map(ve.from):[]}}be.from=De;function ue(ee){return{activeSignature:ee.activeSignature,activeParameter:ee.activeParameter,signatures:Array.isArray(ee.signatures)?ee.signatures.map(ve.to):[]}}be.to=ue})(ke=e.SignatureHelp||(e.SignatureHelp={}));var Me;(function(be){function De(ee){var Fe;return{text:ee.text,range:_.from(ee.range),kind:_e.from((Fe=ee.kind)!==null&&Fe!==void 0?Fe:D.InlineHintKind.Other),description:ee.description&&d.fromStrict(ee.description),whitespaceBefore:ee.whitespaceBefore,whitespaceAfter:ee.whitespaceAfter}}be.from=De;function ue(ee){const Fe=new D.InlineHint(ee.text,_.to(ee.range),_e.to(ee.kind));return Fe.whitespaceAfter=ee.whitespaceAfter,Fe.whitespaceBefore=ee.whitespaceBefore,Fe.description=I.isMarkdownString(ee.description)?d.to(ee.description):ee.description,Fe}be.to=ue})(Me=e.InlineHint||(e.InlineHint={}));var _e;(function(be){function De(ee){return ee}be.from=De;function ue(ee){return ee}be.to=ue})(_e=e.InlineHintKind||(e.InlineHintKind={}));var Pe;(function(be){function De(ee){return{range:_.from(ee.range),url:ee.target,tooltip:ee.tooltip}}be.from=De;function ue(ee){let Fe;if(ee.url)try{Fe=typeof ee.url=="string"?P.URI.parse(ee.url,!0):P.URI.revive(ee.url)}catch(xe){}return new D.DocumentLink(_.to(ee.range),Fe)}be.to=ue})(Pe=e.DocumentLink||(e.DocumentLink={}));var Re;(function(be){function De(ee){const Fe=new D.ColorPresentation(ee.label);return ee.textEdit&&(Fe.textEdit=M.to(ee.textEdit)),ee.additionalTextEdits&&(Fe.additionalTextEdits=ee.additionalTextEdits.map(xe=>M.to(xe))),Fe}be.to=De;function ue(ee){return{label:ee.label,textEdit:ee.textEdit?M.from(ee.textEdit):void 0,additionalTextEdits:ee.additionalTextEdits?ee.additionalTextEdits.map(Fe=>M.from(Fe)):void 0}}be.from=ue})(Re=e.ColorPresentation||(e.ColorPresentation={}));var Ue;(function(be){function De(ee){return new D.Color(ee[0],ee[1],ee[2],ee[3])}be.to=De;function ue(ee){return[ee.red,ee.green,ee.blue,ee.alpha]}be.from=ue})(Ue=e.Color||(e.Color={}));var Ee;(function(be){function De(ee){return{range:_.from(ee.range)}}be.from=De;function ue(ee){return new D.SelectionRange(_.to(ee.range))}be.to=ue})(Ee=e.SelectionRange||(e.SelectionRange={}));var Ke;(function(be){function De(ue){switch(ue){case 2:return D.TextDocumentSaveReason.AfterDelay;case 1:return D.TextDocumentSaveReason.Manual;case 3:case 4:return D.TextDocumentSaveReason.FocusOut}}be.to=De})(Ke=e.TextDocumentSaveReason||(e.TextDocumentSaveReason={}));var X;(function(be){function De(ee){switch(ee){case D.TextEditorLineNumbersStyle.Off:return 0;case D.TextEditorLineNumbersStyle.Relative:return 2;case D.TextEditorLineNumbersStyle.On:default:return 1}}be.from=De;function ue(ee){switch(ee){case 0:return D.TextEditorLineNumbersStyle.Off;case 2:return D.TextEditorLineNumbersStyle.Relative;case 1:default:return D.TextEditorLineNumbersStyle.On}}be.to=ue})(X=e.TextEditorLineNumbersStyle||(e.TextEditorLineNumbersStyle={}));var ne;(function(be){function De(ee){if(ee===D.EndOfLine.CRLF)return 1;if(ee===D.EndOfLine.LF)return 0}be.from=De;function ue(ee){if(ee===1)return D.EndOfLine.CRLF;if(ee===0)return D.EndOfLine.LF}be.to=ue})(ne=e.EndOfLine||(e.EndOfLine={}));var we;(function(be){function De(ue){if(typeof ue=="object")return ue.viewId;switch(ue){case D.ProgressLocation.SourceControl:return 3;case D.ProgressLocation.Window:return 10;case D.ProgressLocation.Notification:return 15}throw new Error("Unknown 'ProgressLocation'")}be.from=De})(we=e.ProgressLocation||(e.ProgressLocation={}));var Ne;(function(be){function De(ue){const ee={start:ue.start+1,end:ue.end+1};return ue.kind&&(ee.kind=Be.from(ue.kind)),ee}be.from=De})(Ne=e.FoldingRange||(e.FoldingRange={}));var Be;(function(be){function De(ue){if(ue)switch(ue){case D.FoldingRangeKind.Comment:return v.FoldingRangeKind.Comment;case D.FoldingRangeKind.Imports:return v.FoldingRangeKind.Imports;case D.FoldingRangeKind.Region:return v.FoldingRangeKind.Region}}be.from=De})(Be=e.FoldingRangeKind||(e.FoldingRangeKind={}));var We;(function(be){function De(ue){if(ue)return{pinned:typeof ue.preview=="boolean"?!ue.preview:void 0,inactive:ue.background,preserveFocus:ue.preserveFocus,selection:typeof ue.selection=="object"?_.from(ue.selection):void 0,override:typeof ue.override=="boolean"?R.EditorOverride.DISABLED:void 0}}be.from=De})(We=e.TextEditorOpenOptions||(e.TextEditorOpenOptions={}));var Je;(function(be){function De(ee){return ee instanceof D.RelativePattern||typeof ee=="string"?ee:ue(ee)?new D.RelativePattern(ee.base,ee.pattern):ee}be.from=De;function ue(ee){const Fe=ee;return Fe&&typeof Fe.base=="string"&&typeof Fe.pattern=="string"}})(Je=e.GlobPattern||(e.GlobPattern={}));var G;(function(be){function De(ue){if(ue){if(Array.isArray(ue))return ue.map(De);if(typeof ue=="string")return ue;{const ee=ue;return{language:ee.language,scheme:ee.scheme,pattern:typeof ee.pattern=="undefined"?void 0:Je.from(ee.pattern),exclusive:ee.exclusive}}}else return}be.from=De})(G=e.LanguageSelector||(e.LanguageSelector={}));var se;(function(be){function De(ee){return{start:ee.start,end:ee.end}}be.from=De;function ue(ee){return new D.NotebookCellRange(ee.start,ee.end)}be.to=ue})(se=e.NotebookCellRange||(e.NotebookCellRange={}));var he;(function(be){function De(ue){return new D.NotebookCellMetadata(ue.editable,ue.breakpointMargin,ue.runnable,ue.hasExecutionOrder,ue.executionOrder,ue.runState,ue.runStartTime,ue.statusMessage,ue.lastRunDuration,ue.inputCollapsed,ue.outputCollapsed,ue.custom)}be.to=De})(he=e.NotebookCellMetadata||(e.NotebookCellMetadata={}));var J;(function(be){function De(ee){return ee}be.from=De;function ue(ee){return new D.NotebookDocumentMetadata(ee.editable,ee.runnable,ee.cellEditable,ee.cellRunnable,ee.cellHasExecutionOrder,ee.displayOrder,ee.custom,ee.runState,ee.trusted)}be.to=ue})(J=e.NotebookDocumentMetadata||(e.NotebookDocumentMetadata={}));var re;(function(be){function De(ee){switch(ee){case D.NotebookCellKind.Markdown:return m.CellKind.Markdown;case D.NotebookCellKind.Code:default:return m.CellKind.Code}}be.from=De;function ue(ee){switch(ee){case m.CellKind.Markdown:return D.NotebookCellKind.Markdown;case m.CellKind.Code:default:return D.NotebookCellKind.Code}}be.to=ue})(re=e.NotebookCellKind||(e.NotebookCellKind={}));var de;(function(be){function De(ue){return{cellKind:re.from(ue.cellKind),language:ue.language,source:ue.source,metadata:ue.metadata,outputs:ue.outputs.map(ee=>({outputId:ee.id,metadata:ee.metadata,outputs:(ee.outputs||[]).map(Fe=>({mime:Fe.mime,value:Fe.value,metadata:Fe.metadata}))}))}}be.from=De})(de=e.NotebookCellData||(e.NotebookCellData={}));var me;(function(be){function De(ee){return{mime:ee.mime,value:ee.value,metadata:ee.metadata}}be.from=De;function ue(ee){return new D.NotebookCellOutputItem(ee.mime,ee.value,ee.metadata)}be.to=ue})(me=e.NotebookCellOutputItem||(e.NotebookCellOutputItem={}));var ye;(function(be){function De(ee){return{outputId:ee.id,outputs:ee.outputs.map(me.from),metadata:ee.metadata}}be.from=De;function ue(ee){const Fe=ee.outputs.map(me.to);return new D.NotebookCellOutput(Fe,ee.outputId,ee.metadata)}be.to=ue})(ye=e.NotebookCellOutput||(e.NotebookCellOutput={}));var je;(function(be){function De(xe){if(xe!=null){if(xe instanceof D.RelativePattern||typeof xe=="string")return xe;if(Fe(xe))return new D.RelativePattern(xe.base,xe.pattern);if(ee(xe))return{include:Je.from(xe.include)||void 0,exclude:Je.from(xe.exclude)||void 0}}}be.from=De;function ue(xe){return typeof xe=="string"?xe:Fe(xe)?{base:xe.base,pattern:xe.pattern}:{include:xe.include,exclude:xe.exclude}}be.to=ue;function ee(xe){const Ye=xe,Ae=Je.from(Ye.include);if(!(Ae&&Ae instanceof D.RelativePattern||typeof Ae=="string"))return!1;const st=Je.from(Ye.exclude);return!!(st&&st instanceof D.RelativePattern||typeof st=="string")}function Fe(xe){const Ye=xe;return Ye&&typeof Ye.base=="string"&&typeof Ye.pattern=="string"}})(je=e.NotebookExclusiveDocumentPattern||(e.NotebookExclusiveDocumentPattern={}));var He;(function(be){function De(ue){return{backgroundColor:ue.backgroundColor,borderColor:ue.borderColor,top:ue.top?h.from(ue.top):void 0}}be.from=De})(He=e.NotebookDecorationRenderOptions||(e.NotebookDecorationRenderOptions={}));var qe;(function(be){function De(ee){var Fe,xe;return{state:ee.state,duration:ee.duration,messages:(xe=(Fe=ee.messages)===null||Fe===void 0?void 0:Fe.map(Ye=>({message:d.fromStrict(Ye.message)||"",severity:Ye.severity,expectedOutput:Ye.expectedOutput,actualOutput:Ye.actualOutput,location:Ye.location?O.from(Ye.location):void 0})))!==null&&xe!==void 0?xe:[]}}be.from=De;function ue(ee){return{state:ee.state,messages:ee.messages.map(Fe=>({message:typeof Fe.message=="string"?Fe.message:d.to(Fe.message),severity:Fe.severity,expectedOutput:Fe.expectedOutput,actualOutput:Fe.actualOutput,location:Fe.location&&O.to({range:Fe.location.range,uri:P.URI.revive(Fe.location.uri)})})),duration:ee.duration}}be.to=ue})(qe=e.TestState||(e.TestState={}));var Qe;(function(be){function De(ee){var Fe,xe;return{extId:ee.id,label:ee.label,location:ee.location?O.from(ee.location):void 0,debuggable:(Fe=ee.debuggable)!==null&&Fe!==void 0?Fe:!1,description:ee.description,runnable:(xe=ee.runnable)!==null&&xe!==void 0?xe:!0}}be.from=De;function ue(ee){return{id:ee.extId,label:ee.label,location:ee.location&&O.to({range:ee.location.range,uri:P.URI.revive(ee.location.uri)}),debuggable:ee.debuggable,description:ee.description,runnable:ee.runnable}}be.toShallow=ue})(Qe=e.TestItem||(e.TestItem={}));var Ze;(function(be){function De(Fe,xe){var Ye,Ae,st;const rt={completedAt:xe.completedAt,id:Fe,items:[]},Xe=[[null,xe.results]];for(;Xe.length;){const[ct,dt]=Xe.pop();for(const ht of dt){const _t={children:(Ae=(Ye=ht.children)===null||Ye===void 0?void 0:Ye.map(Dt=>Dt.id))!==null&&Ae!==void 0?Ae:[],computedState:ht.result.state,item:Qe.from(ht),state:qe.from(ht.result),retired:void 0,parent:(st=ct==null?void 0:ct.item.extId)!==null&&st!==void 0?st:null,providerId:"",direct:!ct};rt.items.push(_t),ht.children&&Xe.push([_t,ht.children])}}return rt}be.from=De;const ue=(Fe,xe)=>Object.assign(Object.assign({},Qe.toShallow(Fe.item)),{result:qe.to(Fe.state),children:Fe.children.map(Ye=>xe.get(Ye)).filter(T.isDefined).map(Ye=>ue(Ye,xe))});function ee(Fe){const xe=[],Ye=new Map;for(const Ae of Fe.items)Ye.set(Ae.item.extId,Ae),Ae.direct&&xe.push(Ae);return{completedAt:Fe.completedAt,results:xe.map(Ae=>ue(Ae,Ye))}}be.to=ee})(Ze=e.TestResults||(e.TestResults={}))}),define(ge[217],pe([0,1,2,15,8,20,58]),function(Q,e,v,D,R,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentSaveParticipant=void 0;class I{constructor(i,T,k,p={timeout:1500,errors:3}){this._logService=i,this._documents=T,this._mainThreadBulkEdits=k,this._thresholds=p,this._callbacks=new C.LinkedList,this._badListeners=new WeakMap}dispose(){this._callbacks.clear()}getOnWillSaveTextDocumentEvent(i){return(T,k,p)=>{const l={dispose:this._callbacks.push([T,k,i])};return Array.isArray(p)&&p.push(l),l}}async $participateInSave(i,T){const k=v.URI.revive(i);let p=!1;const f=setTimeout(()=>p=!0,this._thresholds.timeout),l=[];try{for(let m of[...this._callbacks]){if(p)break;const S=this._documents.getDocument(k),_=await this._deliverEventAsyncAndBlameBadListeners(m,{document:S,reason:P.TextDocumentSaveReason.to(T)});l.push(_)}}finally{clearTimeout(f)}return l}_deliverEventAsyncAndBlameBadListeners([i,T,k],p){const f=this._badListeners.get(i);return typeof f=="number"&&f>this._thresholds.errors?Promise.resolve(!1):this._deliverEventAsync(k,i,T,p).then(()=>!0,l=>{if(this._logService.error(`onWillSaveTextDocument-listener from extension '${k.identifier.value}' threw ERROR`),this._logService.error(l),!(l instanceof Error)||l.message!=="concurrent_edits"){const m=this._badListeners.get(i);this._badListeners.set(i,m?m+1:1),typeof m=="number"&&m>this._thresholds.errors&&this._logService.info(`onWillSaveTextDocument-listener from extension '${k.identifier.value}' will now be IGNORED because of timeouts and/or errors`)}return!1})}_deliverEventAsync(i,T,k,p){const f=[],l=Date.now(),{document:m,reason:S}=p,{version:_}=m,g=Object.freeze({document:m,reason:S,waitUntil(a){if(Object.isFrozen(f))throw D.illegalState("waitUntil can not be called async");f.push(Promise.resolve(a))}});try{T.apply(k,[g])}catch(a){return Promise.reject(a)}return Object.freeze(f),new Promise((a,u)=>{const c=setTimeout(()=>u(new Error("timeout")),this._thresholds.timeout);return Promise.all(f).then(t=>{this._logService.debug(`onWillSaveTextDocument-listener from extension '${i.identifier.value}' finished after ${Date.now()-l}ms`),clearTimeout(c),a(t)}).catch(t=>{clearTimeout(c),u(t)})}).then(a=>{const u={edits:[]};for(const c of a)if(Array.isArray(c)&&c.every(t=>t instanceof R.TextEdit))for(const{newText:t,newEol:r,range:s}of c)u.edits.push({_type:2,resource:m.uri,edit:{range:s&&P.Range.from(s),text:t,eol:r&&P.EndOfLine.from(r)}});if(u.edits.length!==0)return _===m.version?this._mainThreadBulkEdits.$tryApplyWorkspaceEdit(u):Promise.reject(new Error("concurrent_edits"))})}}e.ExtHostDocumentSaveParticipant=I}),define(ge[218],pe([0,1,3,19,34,2,20,8]),function(Q,e,v,D,R,P,C,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystemEventService=void 0;class y{constructor(k,p,f,l,m){this._onDidCreate=new v.Emitter,this._onDidChange=new v.Emitter,this._onDidDelete=new v.Emitter,this._config=0,f&&(this._config+=1),l&&(this._config+=2),m&&(this._config+=4);const S=R.parse(p),_=k(g=>{if(!f)for(let a of g.created){const u=P.URI.revive(a);S(u.fsPath)&&this._onDidCreate.fire(u)}if(!l)for(let a of g.changed){const u=P.URI.revive(a);S(u.fsPath)&&this._onDidChange.fire(u)}if(!m)for(let a of g.deleted){const u=P.URI.revive(a);S(u.fsPath)&&this._onDidDelete.fire(u)}});this._disposable=I.Disposable.from(this._onDidCreate,this._onDidChange,this._onDidDelete,_)}get ignoreCreateEvents(){return Boolean(this._config&1)}get ignoreChangeEvents(){return Boolean(this._config&2)}get ignoreDeleteEvents(){return Boolean(this._config&4)}dispose(){this._disposable.dispose()}get onDidCreate(){return this._onDidCreate.event}get onDidChange(){return this._onDidChange.event}get onDidDelete(){return this._onDidDelete.event}}class i{constructor(k,p,f){this._logService=p,this._extHostDocumentsAndEditors=f,this._onFileSystemEvent=new v.Emitter,this._onDidRenameFile=new v.Emitter,this._onDidCreateFile=new v.Emitter,this._onDidDeleteFile=new v.Emitter,this._onWillRenameFile=new D.AsyncEmitter,this._onWillCreateFile=new D.AsyncEmitter,this._onWillDeleteFile=new D.AsyncEmitter,this.onDidRenameFile=this._onDidRenameFile.event,this.onDidCreateFile=this._onDidCreateFile.event,this.onDidDeleteFile=this._onDidDeleteFile.event}createFileSystemWatcher(k,p,f,l){return new y(this._onFileSystemEvent.event,k,p,f,l)}$onFileEvent(k){this._onFileSystemEvent.fire(k)}$onDidRunFileOperation(k,p){switch(k){case 2:this._onDidRenameFile.fire(Object.freeze({files:p.map(f=>({oldUri:P.URI.revive(f.source),newUri:P.URI.revive(f.target)}))}));break;case 1:this._onDidDeleteFile.fire(Object.freeze({files:p.map(f=>P.URI.revive(f.target))}));break;case 0:this._onDidCreateFile.fire(Object.freeze({files:p.map(f=>P.URI.revive(f.target))}));break;default:}}getOnWillRenameFileEvent(k){return this._createWillExecuteEvent(k,this._onWillRenameFile)}getOnWillCreateFileEvent(k){return this._createWillExecuteEvent(k,this._onWillCreateFile)}getOnWillDeleteFileEvent(k){return this._createWillExecuteEvent(k,this._onWillDeleteFile)}_createWillExecuteEvent(k,p){return(f,l,m)=>{const S=function(g){f.call(l,g)};return S.extension=k,p.event(S,void 0,m)}}async $onWillRunFileOperation(k,p,f,l){switch(k){case 2:return await this._fireWillEvent(this._onWillRenameFile,{files:p.map(m=>({oldUri:P.URI.revive(m.source),newUri:P.URI.revive(m.target)}))},f,l);case 1:return await this._fireWillEvent(this._onWillDeleteFile,{files:p.map(m=>P.URI.revive(m.target))},f,l);case 0:return await this._fireWillEvent(this._onWillCreateFile,{files:p.map(m=>P.URI.revive(m.target))},f,l)}}async _fireWillEvent(k,p,f,l){const m=new Set,S=[];if(await k.fireAsync(p,l,async(g,a)=>{var u;const c=Date.now(),t=await Promise.resolve(g);t instanceof I.WorkspaceEdit&&(S.push(t),m.add((u=a.extension.displayName)!==null&&u!==void 0?u:a.extension.identifier.value)),Date.now()-c>f&&this._logService.warn("SLOW file-participant",a.extension.identifier)}),!l.isCancellationRequested&&S.length!==0){const _={edits:[]};for(let g of S){let{edits:a}=C.WorkspaceEdit.from(g,this._extHostDocumentsAndEditors);_.edits=_.edits.concat(a)}return{edit:_,extensionNames:Array.from(m)}}}}e.ExtHostFileSystemEventService=i}),define(ge[219],pe([0,1,3,5,13,2,20,52]),function(Q,e,v,D,R,P,C,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookDocument=e.ExtHostCell=void 0;class y{constructor(p,f,l,m){this.start=p,this.deletedCount=f,this.deletedItems=l,this.items=m}static asApiEvent(p){return Object.freeze({start:p.start,deletedCount:p.deletedCount,deletedItems:p.deletedItems,items:p.items.map(f=>f.cell)})}}class i{constructor(p,f,l){var m;this._notebook=p,this._extHostDocument=f,this._cellData=l,this._onDidDispose=new v.Emitter,this.onDidDispose=this._onDidDispose.event,this.handle=l.handle,this.uri=P.URI.revive(l.uri),this.cellKind=l.cellKind,this._outputs=l.outputs.map(C.NotebookCellOutput.to),this._metadata=C.NotebookCellMetadata.to((m=l.metadata)!==null&&m!==void 0?m:{})}static asModelAddData(p,f){return{EOL:f.eol,lines:f.source,modeId:f.language,uri:f.uri,isDirty:!1,versionId:1,notebook:p}}dispose(){this._onDidDispose.fire(),this._onDidDispose.dispose()}get cell(){if(!this._cell){const p=this,f=this._extHostDocument.getDocument(this.uri);if(!f)throw new Error(`MISSING extHostDocument for notebook cell: ${this.uri}`);this._cell=Object.freeze({get index(){return p._notebook.getCellIndex(p)},notebook:p._notebook.notebookDocument,uri:p.uri,cellKind:C.NotebookCellKind.to(this._cellData.cellKind),document:f.document,get language(){return f.document.languageId},get outputs(){return p._outputs.slice(0)},set outputs(l){throw new Error("Use WorkspaceEdit to update cell outputs.")},get metadata(){return p._metadata},set metadata(l){throw new Error("Use WorkspaceEdit to update cell metadata.")}})}return this._cell}setOutputs(p){this._outputs=p.map(C.NotebookCellOutput.to)}setOutputItems(p,f,l){const m=l.map(C.NotebookCellOutputItem.to),S=this._outputs.find(_=>_.id===p);S&&(f||(S.outputs.length=0),S.outputs.push(...m))}setMetadata(p){this._metadata=C.NotebookCellMetadata.to(p)}}e.ExtHostCell=i;class T extends D.Disposable{constructor(p,f,l,m,S,_,g){super();this._proxy=p,this._documentsAndEditors=f,this._emitter=l,this._viewType=m,this._contentOptions=S,this._metadata=_,this.uri=g,this.handle=T._handlePool++,this._cells=[],this._cellDisposableMapping=new Map,this._versionId=0,this._isDirty=!1,this._disposed=!1}dispose(){this._disposed=!0,super.dispose(),D.dispose(this._cellDisposableMapping.values())}get notebookDocument(){if(!this._notebook){const p=this;this._notebook=Object.freeze({get uri(){return p.uri},get version(){return p._versionId},get fileName(){return p.uri.fsPath},get viewType(){return p._viewType},get isDirty(){return p._isDirty},get isUntitled(){return p.uri.scheme===R.Schemas.untitled},get cells(){return p._cells.map(f=>f.cell)},get metadata(){return p._metadata},set metadata(f){throw new Error("Use WorkspaceEdit to update metadata.")},get contentOptions(){return p._contentOptions},save(){return p._save()}})}return this._notebook}updateBackup(p){var f;(f=this._backup)===null||f===void 0||f.delete(),this._backup=p}disposeBackup(){var p;(p=this._backup)===null||p===void 0||p.delete(),this._backup=void 0}acceptDocumentPropertiesChanged(p){const f=Object.assign(Object.assign({},I.notebookDocumentMetadataDefaults),p.metadata);this._metadata=this._metadata.with(f),this._emitter.emitDocumentMetadataChange({document:this.notebookDocument})}acceptModelChanged(p,f){this._versionId=p.versionId,this._isDirty=f,p.rawEvents.forEach(l=>{l.kind===I.NotebookCellsChangeType.Initialize&&this._spliceNotebookCells(l.changes,!0),l.kind===I.NotebookCellsChangeType.ModelChange?this._spliceNotebookCells(l.changes,!1):l.kind===I.NotebookCellsChangeType.Move?this._moveCell(l.index,l.newIdx):l.kind===I.NotebookCellsChangeType.Output?this._setCellOutputs(l.index,l.outputs):l.kind===I.NotebookCellsChangeType.OutputItem?this._setCellOutputItems(l.index,l.outputId,l.append,l.outputItems):l.kind===I.NotebookCellsChangeType.ChangeLanguage?this._changeCellLanguage(l.index,l.language):l.kind===I.NotebookCellsChangeType.ChangeCellMetadata&&this._changeCellMetadata(l.index,l.metadata)})}async _save(){return this._disposed?Promise.reject(new Error("Document has been closed")):this._proxy.$trySaveDocument(this.uri)}_spliceNotebookCells(p,f){if(!this._disposed){const l=[],m=[],S=[];p.reverse().forEach(_=>{var g;const u=_[2].map(r=>{const s=new i(this,this._documentsAndEditors,r);if(f||m.push(i.asModelAddData(this.notebookDocument,r)),!this._cellDisposableMapping.has(s.handle)){const o=new D.DisposableStore;o.add(s),this._cellDisposableMapping.set(s.handle,o)}return s});for(let r=_[0];r<_[0]+_[1];r++)(g=this._cellDisposableMapping.get(this._cells[r].handle))===null||g===void 0||g.dispose(),this._cellDisposableMapping.delete(this._cells[r].handle);const c=new y(_[0],_[1],[],u),t=this._cells.splice(_[0],_[1],...u);for(let r of t)S.push(r.uri),c.deletedItems.push(r.cell);l.push(c)}),this._documentsAndEditors.acceptDocumentsAndEditorsDelta({addedDocuments:m,removedDocuments:S}),f||this._emitter.emitModelChange({document:this.notebookDocument,changes:l.map(y.asApiEvent)})}}_moveCell(p,f){const l=this._cells.splice(p,1);this._cells.splice(f,0,...l);const m=[{start:p,deletedCount:1,deletedItems:l.map(S=>S.cell),items:[]},{start:f,deletedCount:0,deletedItems:[],items:l.map(S=>S.cell)}];this._emitter.emitModelChange({document:this.notebookDocument,changes:m})}_setCellOutputs(p,f){const l=this._cells[p];l.setOutputs(f),this._emitter.emitCellOutputsChange({document:this.notebookDocument,cells:[l.cell]})}_setCellOutputItems(p,f,l,m){const S=this._cells[p];S.setOutputItems(f,l,m),this._emitter.emitCellOutputsChange({document:this.notebookDocument,cells:[S.cell]})}_changeCellLanguage(p,f){const l=this._cells[p],m={document:this.notebookDocument,cell:l.cell,language:f};this._emitter.emitCellLanguageChange(m)}_changeCellMetadata(p,f){const l=this._cells[p];l.setMetadata(f||{});const m={document:this.notebookDocument,cell:l.cell};this._emitter.emitCellMetadataChange(m)}getCellFromIndex(p){return this._cells[p]}getCell(p){return this._cells.find(f=>f.handle===p)}getCellIndex(p){return this._cells.indexOf(p)}}e.ExtHostNotebookDocument=T,T._handlePool=0}),define(ge[220],pe([0,1,15,3,8,20,52]),function(Q,e,v,D,R,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostNotebookEditor=void 0;class I{constructor(T){this._finalized=!1,this._collectedEdits=[],this._documentVersionId=T}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,cellEdits:this._collectedEdits}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replaceMetadata(T){this._throwIfFinalized(),this._collectedEdits.push({editType:5,metadata:Object.assign(Object.assign({},C.notebookDocumentMetadataDefaults),T)})}replaceCellMetadata(T,k){this._throwIfFinalized(),this._collectedEdits.push({editType:3,index:T,metadata:k})}replaceCellOutput(T,k){this._throwIfFinalized(),this._collectedEdits.push({editType:2,index:T,outputs:k.map(p=>P.NotebookCellOutput.from(p))})}replaceCells(T,k,p){this._throwIfFinalized(),!(T===k&&p.length===0)&&this._collectedEdits.push({editType:1,index:T,count:k-T,cells:p.map(P.NotebookCellData.from)})}}class y{constructor(T,k,p,f){this.id=T,this._viewType=k,this._proxy=p,this.notebookData=f,this._selections=[],this._visibleRanges=[],this._active=!1,this._visible=!1,this._onDidDispose=new D.Emitter,this.onDidDispose=this._onDidDispose.event,this._hasDecorationsForKey=Object.create(null)}dispose(){this._onDidDispose.fire(),this._onDidDispose.dispose()}get editor(){if(!this._editor){const T=this;this._editor={get document(){return T.notebookData.notebookDocument},get selection(){return T._selection},get selections(){return T._selections},get visibleRanges(){return T._visibleRanges},revealRange(k,p){T._proxy.$tryRevealRange(T.id,P.NotebookCellRange.from(k),p!=null?p:R.NotebookEditorRevealType.Default)},get viewColumn(){return T._viewColumn},get onDidDispose(){return T.onDidDispose},edit(k){const p=new I(this.document.version);return k(p),T._applyEdit(p.finalize())},get kernel(){return T._kernel},setDecorations(k,p){return T.setDecorations(k,p)}}}return this._editor}_acceptKernel(T){this._kernel=T}get visible(){return this._visible}set visible(T){throw v.readonly("visible")}_acceptVisibility(T){this._visible=T}_acceptVisibleRanges(T){this._visibleRanges=T}_acceptSelections(T){var k;const p=T[0];this._selection=p?(k=this.notebookData.getCellFromIndex(p.start))===null||k===void 0?void 0:k.cell:void 0,this._selections=T.map(f=>new R.NotebookCellRange(f.start,f.end))}get active(){return this._active}set active(T){throw v.readonly("active")}_acceptActive(T){this._active=T}_applyEdit(T){if(T.cellEdits.length===0)return Promise.resolve(!0);const k=[];let p=-1;for(let f=0;f<T.cellEdits.length;f++){if(p<0){k.push(T.cellEdits[f]),p++;continue}const m=k[p];if(m.editType===1&&T.cellEdits[f].editType===1){const S=T.cellEdits[f];if(S.editType!==5&&m.index===S.index){m.cells.push(...T.cellEdits[f].cells),m.count+=T.cellEdits[f].count;continue}}k.push(T.cellEdits[f]),p++}return this._proxy.$tryApplyEdits(this._viewType,this.notebookData.uri,T.documentVersionId,k)}setDecorations(T,k){const p=k.start===k.end;if(!(p&&!this._hasDecorationsForKey[T.key]))return p?delete this._hasDecorationsForKey[T.key]:this._hasDecorationsForKey[T.key]=!0,this._proxy.$trySetDecorations(this.id,P.NotebookCellRange.from(k),T.key)}}e.ExtHostNotebookEditor=y}),define(ge[221],pe([0,1,20,184,160,21,56]),function(Q,e,v,D,R,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostProgress=void 0;class I{constructor(k){this._handles=0,this._mapHandleToCancellationSource=new Map,this._proxy=k}withProgress(k,p,f){const l=this._handles++,{title:m,location:S,cancellable:_}=p,g=R.localize(0,null,k.displayName||k.name);return this._proxy.$startProgress(l,{location:v.ProgressLocation.from(S),title:m,source:g,cancellable:_},k),this._withProgress(l,f,!!_)}_withProgress(k,p,f){let l;f&&(l=new P.CancellationTokenSource,this._mapHandleToCancellationSource.set(k,l));const m=_=>{this._proxy.$progressEnd(_),this._mapHandleToCancellationSource.delete(_),l&&l.dispose()};let S;try{S=p(new i(this._proxy,k),f&&l?l.token:P.CancellationToken.None)}catch(_){throw m(k),_}return S.then(_=>m(k),_=>m(k)),S}$acceptProgressCanceled(k){const p=this._mapHandleToCancellationSource.get(k);p&&(p.cancel(),this._mapHandleToCancellationSource.delete(k))}}e.ExtHostProgress=I;function y(T,k){return T.message=k.message,typeof k.increment=="number"&&(typeof T.increment=="number"?T.increment+=k.increment:T.increment=k.increment),T}class i extends D.Progress{constructor(k,p){super(f=>this.throttledReport(f));this._proxy=k,this._handle=p}throttledReport(k){this._proxy.$progressReport(this._handle,k)}}Ve([C.throttle(100,(T,k)=>y(T,k),()=>Object.create(null))],i.prototype,"throttledReport",null)}),define(ge[119],pe([0,1,54,15,71,20,8]),function(Q,e,v,D,R,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTextEditor=e.ExtHostTextEditorOptions=e.TextEditorEdit=e.TextEditorDecorationType=void 0;class I{constructor(p,f){const l=I._Keys.nextId();p.$registerTextEditorDecorationType(l,P.DecorationRenderOptions.from(f)),this.value=Object.freeze({key:l,dispose(){p.$removeTextEditorDecorationType(l)}})}}e.TextEditorDecorationType=I,I._Keys=new R.IdGenerator("TextEditorDecorationType");class y{constructor(p,f){this._collectedEdits=[],this._setEndOfLine=void 0,this._finalized=!1,this._document=p,this._documentVersionId=p.version,this._undoStopBefore=f.undoStopBefore,this._undoStopAfter=f.undoStopAfter}finalize(){return this._finalized=!0,{documentVersionId:this._documentVersionId,edits:this._collectedEdits,setEndOfLine:this._setEndOfLine,undoStopBefore:this._undoStopBefore,undoStopAfter:this._undoStopAfter}}_throwIfFinalized(){if(this._finalized)throw new Error("Edit is only valid while callback runs")}replace(p,f){this._throwIfFinalized();let l=null;if(p instanceof C.Position)l=new C.Range(p,p);else if(p instanceof C.Range)l=p;else throw new Error("Unrecognized location");this._pushEdit(l,f,!1)}insert(p,f){this._throwIfFinalized(),this._pushEdit(new C.Range(p,p),f,!0)}delete(p){this._throwIfFinalized();let f=null;if(p instanceof C.Range)f=p;else throw new Error("Unrecognized location");this._pushEdit(f,null,!0)}_pushEdit(p,f,l){const m=this._document.validateRange(p);this._collectedEdits.push({range:m,text:f,forceMoveMarkers:l})}setEndOfLine(p){if(this._throwIfFinalized(),p!==C.EndOfLine.LF&&p!==C.EndOfLine.CRLF)throw D.illegalArgument("endOfLine");this._setEndOfLine=p}}e.TextEditorEdit=y;class i{constructor(p,f,l,m){this._proxy=p,this._id=f,this._accept(l),this._logService=m;const S=this;this.value={get tabSize(){return S._tabSize},set tabSize(_){S._setTabSize(_)},get insertSpaces(){return S._insertSpaces},set insertSpaces(_){S._setInsertSpaces(_)},get cursorStyle(){return S._cursorStyle},set cursorStyle(_){S._setCursorStyle(_)},get lineNumbers(){return S._lineNumbers},set lineNumbers(_){S._setLineNumbers(_)}}}_accept(p){this._tabSize=p.tabSize,this._insertSpaces=p.insertSpaces,this._cursorStyle=p.cursorStyle,this._lineNumbers=P.TextEditorLineNumbersStyle.to(p.lineNumbers)}_validateTabSize(p){if(p==="auto")return"auto";if(typeof p=="number"){const f=Math.floor(p);return f>0?f:null}if(typeof p=="string"){const f=parseInt(p,10);return isNaN(f)?null:f>0?f:null}return null}_setTabSize(p){const f=this._validateTabSize(p);if(f!==null){if(typeof f=="number"){if(this._tabSize===f)return;this._tabSize=f}this._warnOnError(this._proxy.$trySetOptions(this._id,{tabSize:f}))}}_validateInsertSpaces(p){return p==="auto"?"auto":p==="false"?!1:Boolean(p)}_setInsertSpaces(p){const f=this._validateInsertSpaces(p);if(typeof f=="boolean"){if(this._insertSpaces===f)return;this._insertSpaces=f}this._warnOnError(this._proxy.$trySetOptions(this._id,{insertSpaces:f}))}_setCursorStyle(p){this._cursorStyle!==p&&(this._cursorStyle=p,this._warnOnError(this._proxy.$trySetOptions(this._id,{cursorStyle:p})))}_setLineNumbers(p){this._lineNumbers!==p&&(this._lineNumbers=p,this._warnOnError(this._proxy.$trySetOptions(this._id,{lineNumbers:P.TextEditorLineNumbersStyle.from(p)})))}assign(p){const f={};let l=!1;if(typeof p.tabSize!="undefined"){const m=this._validateTabSize(p.tabSize);m==="auto"?(l=!0,f.tabSize=m):typeof m=="number"&&this._tabSize!==m&&(this._tabSize=m,l=!0,f.tabSize=m)}if(typeof p.insertSpaces!="undefined"){const m=this._validateInsertSpaces(p.insertSpaces);m==="auto"?(l=!0,f.insertSpaces=m):this._insertSpaces!==m&&(this._insertSpaces=m,l=!0,f.insertSpaces=m)}typeof p.cursorStyle!="undefined"&&this._cursorStyle!==p.cursorStyle&&(this._cursorStyle=p.cursorStyle,l=!0,f.cursorStyle=p.cursorStyle),typeof p.lineNumbers!="undefined"&&this._lineNumbers!==p.lineNumbers&&(this._lineNumbers=p.lineNumbers,l=!0,f.lineNumbers=P.TextEditorLineNumbersStyle.from(p.lineNumbers)),l&&this._warnOnError(this._proxy.$trySetOptions(this._id,f))}_warnOnError(p){p.catch(f=>this._logService.warn(f))}}e.ExtHostTextEditorOptions=i;class T{constructor(p,f,l,m,S,_,g,a){this.id=p,this._proxy=f,this._logService=l,this._disposed=!1,this._hasDecorationsForKey=new Set,this._selections=S,this._options=new i(this._proxy,this.id,_,l),this._visibleRanges=g,this._viewColumn=a;const u=this;this.value=Object.freeze({get document(){return m.getValue()},set document(c){throw D.readonly("document")},get selection(){return u._selections&&u._selections[0]},set selection(c){if(!(c instanceof C.Selection))throw D.illegalArgument("selection");u._selections=[c],u._trySetSelection()},get selections(){return u._selections},set selections(c){if(!Array.isArray(c)||c.some(t=>!(t instanceof C.Selection)))throw D.illegalArgument("selections");u._selections=c,u._trySetSelection()},get visibleRanges(){return u._visibleRanges},set visibleRanges(c){throw D.readonly("visibleRanges")},get options(){return u._options.value},set options(c){u._disposed||u._options.assign(c)},get viewColumn(){return u._viewColumn},set viewColumn(c){throw D.readonly("viewColumn")},edit(c,t={undoStopBefore:!0,undoStopAfter:!0}){if(u._disposed)return Promise.reject(new Error("TextEditor#edit not possible on closed editors"));const r=new y(m.getValue(),t);return c(r),u._applyEdit(r)},insertSnippet(c,t,r={undoStopBefore:!0,undoStopAfter:!0}){if(u._disposed)return Promise.reject(new Error("TextEditor#insertSnippet not possible on closed editors"));let s;if(!t||Array.isArray(t)&&t.length===0)s=u._selections.map(o=>P.Range.from(o));else if(t instanceof C.Position){const{lineNumber:o,column:n}=P.Position.from(t);s=[{startLineNumber:o,startColumn:n,endLineNumber:o,endColumn:n}]}else if(t instanceof C.Range)s=[P.Range.from(t)];else{s=[];for(const o of t)if(o instanceof C.Range)s.push(P.Range.from(o));else{const{lineNumber:n,column:d}=P.Position.from(o);s.push({startLineNumber:n,startColumn:d,endLineNumber:n,endColumn:d})}}return f.$tryInsertSnippet(p,c.value,s,r)},setDecorations(c,t){const r=t.length===0;r&&!u._hasDecorationsForKey.has(c.key)||(r?u._hasDecorationsForKey.delete(c.key):u._hasDecorationsForKey.add(c.key),u._runOnProxy(()=>{if(P.isDecorationOptionsArr(t))return f.$trySetDecorations(p,c.key,P.fromRangeOrRangeWithMessage(t));{const s=new Array(4*t.length);for(let o=0,n=t.length;o<n;o++){const d=t[o];s[4*o]=d.start.line+1,s[4*o+1]=d.start.character+1,s[4*o+2]=d.end.line+1,s[4*o+3]=d.end.character+1}return f.$trySetDecorationsFast(p,c.key,s)}}))},revealRange(c,t){u._runOnProxy(()=>f.$tryRevealRange(p,P.Range.from(c),t||C.TextEditorRevealType.Default))},show(c){f.$tryShowEditor(p,P.ViewColumn.from(c))},hide(){f.$tryHideEditor(p)}})}dispose(){v.ok(!this._disposed),this._disposed=!0}_acceptOptions(p){v.ok(!this._disposed),this._options._accept(p)}_acceptVisibleRanges(p){v.ok(!this._disposed),this._visibleRanges=p}_acceptViewColumn(p){v.ok(!this._disposed),this._viewColumn=p}_acceptSelections(p){v.ok(!this._disposed),this._selections=p}async _trySetSelection(){const p=this._selections.map(P.Selection.from);return await this._runOnProxy(()=>this._proxy.$trySetSelections(this.id,p)),this.value}_applyEdit(p){const f=p.finalize();if(f.edits.length===0&&!f.setEndOfLine)return Promise.resolve(!0);const l=f.edits.map(S=>S.range);l.sort((S,_)=>S.end.line===_.end.line?S.end.character===_.end.character?S.start.line===_.start.line?S.start.character-_.start.character:S.start.line-_.start.line:S.end.character-_.end.character:S.end.line-_.end.line);for(let S=0,_=l.length-1;S<_;S++){const g=l[S].end;if(l[S+1].start.isBefore(g))return Promise.reject(new Error("Overlapping ranges are not allowed!"))}const m=f.edits.map(S=>({range:P.Range.from(S.range),text:S.text,forceMoveMarkers:S.forceMoveMarkers}));return this._proxy.$tryApplyEdits(this.id,f.documentVersionId,m,{setEndOfLine:typeof f.setEndOfLine=="number"?P.EndOfLine.from(f.setEndOfLine):void 0,undoStopBefore:f.undoStopBefore,undoStopAfter:f.undoStopAfter})}_runOnProxy(p){return this._disposed?(this._logService.warn("TextEditor is closed/disposed"),Promise.resolve(void 0)):p().then(()=>this,f=>(f instanceof Error&&f.name==="DISPOSED"||this._logService.warn(f),null))}}e.ExtHostTextEditor=T}),define(ge[222],pe([0,1,163,25,2,3,5,19,8,16,12,20,21]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTreeViews=void 0;function f(S,_){if(i.isString(S))return{label:S};if(S&&typeof S=="object"&&typeof S.label=="string"){let g;return Array.isArray(S.highlights)&&(g=S.highlights.filter(a=>a.length===2&&typeof a[0]=="number"&&typeof a[1]=="number"),g=g.length?g:void 0),{label:S.label,highlights:g}}}class l{constructor(_,g,a){this._proxy=_,this.commands=g,this.logService=a,this.treeViews=new Map;function u(c){return c&&c.$treeViewId&&c.$treeItemHandle}g.registerArgumentProcessor({processArgument:c=>u(c)?this.convertArgument(c):Array.isArray(c)&&c.length>0?c.map(t=>u(t)?this.convertArgument(t):t):c})}registerTreeDataProvider(_,g,a){const u=this.createTreeView(_,{treeDataProvider:g},a);return{dispose:()=>u.dispose()}}createTreeView(_,g,a){if(!g||!g.treeDataProvider)throw new Error("Options with treeDataProvider is mandatory");const u=this._proxy.$registerTreeViewDataProvider(_,{showCollapseAll:!!g.showCollapseAll,canSelectMany:!!g.canSelectMany}),c=this.createExtHostTreeView(_,g,a);return{get onDidCollapseElement(){return c.onDidCollapseElement},get onDidExpandElement(){return c.onDidExpandElement},get selection(){return c.selectedElements},get onDidChangeSelection(){return c.onDidChangeSelection},get visible(){return c.visible},get onDidChangeVisibility(){return c.onDidChangeVisibility},get message(){return c.message},set message(t){c.message=t},get title(){return c.title},set title(t){c.title=t},get description(){return c.description},set description(t){c.description=t},reveal:(t,r)=>c.reveal(t,r),dispose:async()=>{await u,this.treeViews.delete(_),c.dispose()}}}$getChildren(_,g){const a=this.treeViews.get(_);return a?a.getChildren(g):Promise.reject(new Error(v.localize(0,null,_)))}async $hasResolve(_){const g=this.treeViews.get(_);if(!g)throw new Error(v.localize(1,null,_));return g.hasResolve}$resolve(_,g,a){const u=this.treeViews.get(_);if(!u)throw new Error(v.localize(2,null,_));return u.resolveTreeItem(g,a)}$setExpanded(_,g,a){const u=this.treeViews.get(_);if(!u)throw new Error(v.localize(3,null,_));u.setExpanded(g,a)}$setSelection(_,g){const a=this.treeViews.get(_);if(!a)throw new Error(v.localize(4,null,_));a.setSelection(g)}$setVisible(_,g){const a=this.treeViews.get(_);if(!a)throw new Error(v.localize(5,null,_));a.setVisible(g)}createExtHostTreeView(_,g,a){const u=new m(_,g,this._proxy,this.commands.converter,this.logService,a);return this.treeViews.set(_,u),u}convertArgument(_){const g=this.treeViews.get(_.$treeViewId);return g?g.getExtensionElement(_.$treeItemHandle):null}}e.ExtHostTreeViews=l;class m extends C.Disposable{constructor(_,g,a,u,c,t){super();if(this.viewId=_,this.proxy=a,this.commands=u,this.logService=c,this.extension=t,this.roots=null,this.elements=new Map,this.nodes=new Map,this._visible=!1,this._selectedHandles=[],this._onDidExpandElement=this._register(new P.Emitter),this.onDidExpandElement=this._onDidExpandElement.event,this._onDidCollapseElement=this._register(new P.Emitter),this.onDidCollapseElement=this._onDidCollapseElement.event,this._onDidChangeSelection=this._register(new P.Emitter),this.onDidChangeSelection=this._onDidChangeSelection.event,this._onDidChangeVisibility=this._register(new P.Emitter),this.onDidChangeVisibility=this._onDidChangeVisibility.event,this._onDidChangeData=this._register(new P.Emitter),this.refreshPromise=Promise.resolve(),this.refreshQueue=Promise.resolve(),this._message="",this._title="",this._refreshCancellationSource=new p.CancellationTokenSource,t.contributes&&t.contributes.views)for(const o in t.contributes.views)for(const n of t.contributes.views[o])n.id===_&&(this._title=n.name);this.dataProvider=g.treeDataProvider,this.dataProvider.onDidChangeTreeData&&this._register(this.dataProvider.onDidChangeTreeData(o=>this._onDidChangeData.fire({message:!1,element:o})));let r,s;this._register(P.Event.debounce(this._onDidChangeData.event,(o,n)=>(o||(o={message:!1,elements:[]}),n.element!==!1&&(r||(r=new Promise(d=>s=d),this.refreshPromise=this.refreshPromise.then(()=>r)),o.elements.push(n.element)),n.message&&(o.message=!0),o),200,!0)(({message:o,elements:n})=>{n.length&&(this.refreshQueue=this.refreshQueue.then(()=>{const d=s;return r=null,this.refresh(n).then(()=>d())})),o&&this.proxy.$setMessage(this.viewId,this._message)}))}get visible(){return this._visible}get selectedElements(){return this._selectedHandles.map(_=>this.getExtensionElement(_)).filter(_=>!i.isUndefinedOrNull(_))}getChildren(_){const g=_?this.getExtensionElement(_):void 0;if(_&&!g)return this.logService.error(`No tree item with id '${_}' found.`),Promise.resolve([]);const a=this.getChildrenNodes(_);return(a?Promise.resolve(a):this.fetchChildrenNodes(g)).then(u=>u.map(c=>c.item))}getExtensionElement(_){return this.elements.get(_)}reveal(_,g){g=g||{select:!0,focus:!1};const a=i.isUndefinedOrNull(g.select)?!0:g.select,u=i.isUndefinedOrNull(g.focus)?!1:g.focus,c=i.isUndefinedOrNull(g.expand)?!1:g.expand;return typeof this.dataProvider.getParent!="function"?Promise.reject(new Error("Required registered TreeDataProvider to implement 'getParent' method to access 'reveal' method")):_?this.refreshPromise.then(()=>this.resolveUnknownParentChain(_)).then(t=>this.resolveTreeNode(_,t[t.length-1]).then(r=>this.proxy.$reveal(this.viewId,{item:r.item,parentChain:t.map(s=>s.item)},{select:a,focus:u,expand:c})),t=>this.logService.error(t)):this.proxy.$reveal(this.viewId,void 0,{select:a,focus:u,expand:c})}get message(){return this._message}set message(_){this._message=_,this._onDidChangeData.fire({message:!0,element:!1})}get title(){return this._title}set title(_){this._title=_,this.proxy.$setTitle(this.viewId,_,this._description)}get description(){return this._description}set description(_){this._description=_,this.proxy.$setTitle(this.viewId,this._title,_)}setExpanded(_,g){const a=this.getExtensionElement(_);a&&(g?this._onDidExpandElement.fire(Object.freeze({element:a})):this._onDidCollapseElement.fire(Object.freeze({element:a})))}setSelection(_){T.equals(this._selectedHandles,_)||(this._selectedHandles=_,this._onDidChangeSelection.fire(Object.freeze({selection:this.selectedElements})))}setVisible(_){_!==this._visible&&(this._visible=_,this._onDidChangeVisibility.fire(Object.freeze({visible:this._visible})))}get hasResolve(){return!!this.dataProvider.resolveTreeItem}async resolveTreeItem(_,g){var a;if(!!this.dataProvider.resolveTreeItem){const u=this.elements.get(_);if(u){const c=this.nodes.get(u);if(c){const t=(a=await this.dataProvider.resolveTreeItem(c.extensionItem,u,g))!==null&&a!==void 0?a:c.extensionItem;return c.item.tooltip=this.getTooltip(t.tooltip),c.item.command=this.getCommand(c.disposableStore,t.command),c.item}}}}resolveUnknownParentChain(_){return this.resolveParent(_).then(g=>g?this.resolveUnknownParentChain(g).then(a=>this.resolveTreeNode(g,a[a.length-1]).then(u=>(a.push(u),a))):Promise.resolve([]))}resolveParent(_){const g=this.nodes.get(_);return g?Promise.resolve(g.parent?this.elements.get(g.parent.item.handle):void 0):I.asPromise(()=>this.dataProvider.getParent(_))}resolveTreeNode(_,g){const a=this.nodes.get(_);return a?Promise.resolve(a):I.asPromise(()=>this.dataProvider.getTreeItem(_)).then(u=>this.createHandle(_,u,g,!0)).then(u=>this.getChildren(g?g.item.handle:void 0).then(()=>{const c=this.getExtensionElement(u);if(c){const t=this.nodes.get(c);if(t)return Promise.resolve(t)}throw new Error(`Cannot resolve tree item for element ${u}`)}))}getChildrenNodes(_){if(_){let g;if(typeof _=="string"){const a=this.getExtensionElement(_);g=a?this.nodes.get(a):void 0}else g=_;return g&&g.children||null}return this.roots}async fetchChildrenNodes(_){this.clearChildren(_);const g=new p.CancellationTokenSource(this._refreshCancellationSource.token);try{const a=_?this.nodes.get(_):void 0,u=await this.dataProvider.getChildren(_);if(g.token.isCancellationRequested)return[];const c=await Promise.all(T.coalesce(u||[]).map(async t=>{const r=await this.dataProvider.getTreeItem(t);return r&&!g.token.isCancellationRequested?this.createAndRegisterTreeNode(t,r,a):null}));return g.token.isCancellationRequested?[]:T.coalesce(c)}finally{g.dispose()}}refresh(_){if(_.some(a=>!a))return this._refreshCancellationSource.dispose(!0),this._refreshCancellationSource=new p.CancellationTokenSource,this.clearAll(),this.proxy.$refresh(this.viewId);{const a=this.getHandlesToRefresh(_);if(a.length)return this.refreshHandles(a)}return Promise.resolve(void 0)}getHandlesToRefresh(_){const g=new Set;for(const u of _){const c=this.nodes.get(u);if(c&&!g.has(c.item.handle)){let t=c;for(;t&&t.parent&&!g.has(t.parent.item.handle);){const r=this.elements.get(t.parent.item.handle);t=r?this.nodes.get(r):void 0}t&&!t.parent&&g.add(c.item.handle)}}const a=[];return g.forEach(u=>{const c=this.elements.get(u);if(c){const t=this.nodes.get(c);t&&(!t.parent||!g.has(t.parent.item.handle))&&a.push(u)}}),a}refreshHandles(_){const g={};return Promise.all(_.map(a=>this.refreshNode(a).then(u=>{u&&(g[a]=u.item)}))).then(()=>Object.keys(g).length?this.proxy.$refresh(this.viewId,g):void 0)}refreshNode(_){const g=this.getExtensionElement(_);if(g){const a=this.nodes.get(g);if(a)return this.clearChildren(g),I.asPromise(()=>this.dataProvider.getTreeItem(g)).then(u=>{if(u){const c=this.createTreeNode(g,u,a.parent);return this.updateNodeCache(g,c,a,a.parent),a.dispose(),c}return null})}return Promise.resolve(null)}createAndRegisterTreeNode(_,g,a){const u=this.createTreeNode(_,g,a);if(g.id&&this.elements.has(u.item.handle))throw new Error(v.localize(6,null,g.id));return this.addNodeToCache(_,u),this.addNodeToParentCache(u,a),u}getTooltip(_){return y.MarkdownString.isMarkdownString(_)?k.MarkdownString.from(_):_}getCommand(_,g){return g?this.commands.toInternal(g,_):void 0}createTreeNode(_,g,a){const u=new C.DisposableStore,c=this.createHandle(_,g,a),t=this.getLightIconPath(g);return{item:{handle:c,parentHandle:a?a.item.handle:void 0,label:f(g.label,this.extension),description:g.description,resourceUri:g.resourceUri,tooltip:this.getTooltip(g.tooltip),command:this.getCommand(u,g.command),contextValue:g.contextValue,icon:t,iconDark:this.getDarkIconPath(g)||t,themeIcon:this.getThemeIcon(g),collapsibleState:i.isUndefinedOrNull(g.collapsibleState)?y.TreeItemCollapsibleState.None:g.collapsibleState,accessibilityInformation:g.accessibilityInformation},extensionItem:g,parent:a,children:void 0,disposableStore:u,dispose(){u.dispose()}}}getThemeIcon(_){return _.iconPath instanceof y.ThemeIcon?_.iconPath:void 0}createHandle(_,{id:g,label:a,resourceUri:u},c,t){if(g)return`${m.ID_HANDLE_PREFIX}/${g}`;const r=f(a,this.extension),s=c?c.item.handle:m.LABEL_HANDLE_PREFIX;let o=r?r.label:u?D.basename(u):"";o=o.indexOf("/")!==-1?o.replace("/","//"):o;const n=this.nodes.has(_)?this.nodes.get(_).item.handle:void 0,d=this.getChildrenNodes(c)||[];let w,E=0;do{if(w=`${s}/${E}:${o}`,t||!this.elements.has(w)||n===w)break;E++}while(E<=d.length);return w}getLightIconPath(_){if(_.iconPath&&!(_.iconPath instanceof y.ThemeIcon))return typeof _.iconPath=="string"||R.URI.isUri(_.iconPath)?this.getIconPath(_.iconPath):this.getIconPath(_.iconPath.light)}getDarkIconPath(_){if(_.iconPath&&!(_.iconPath instanceof y.ThemeIcon)&&_.iconPath.dark)return this.getIconPath(_.iconPath.dark)}getIconPath(_){return R.URI.isUri(_)?_:R.URI.file(_)}addNodeToCache(_,g){this.elements.set(g.item.handle,_),this.nodes.set(_,g)}updateNodeCache(_,g,a,u){this.elements.delete(g.item.handle),this.nodes.delete(_),g.item.handle!==a.item.handle&&this.elements.delete(a.item.handle),this.addNodeToCache(_,g);const c=this.getChildrenNodes(u)||[],t=c.filter(r=>r.item.handle===a.item.handle)[0];t&&c.splice(c.indexOf(t),1,g)}addNodeToParentCache(_,g){g?(g.children||(g.children=[]),g.children.push(_)):(this.roots||(this.roots=[]),this.roots.push(_))}clearChildren(_){if(_){const g=this.nodes.get(_);if(g){if(g.children)for(const a of g.children){const u=this.elements.get(a.item.handle);u&&this.clear(u)}g.children=void 0}}else this.clearAll()}clear(_){const g=this.nodes.get(_);if(g){if(g.children)for(const a of g.children){const u=this.elements.get(a.item.handle);u&&this.clear(u)}this.nodes.delete(_),this.elements.delete(g.item.handle),g.dispose()}}clearAll(){this.roots=null,this.elements.clear(),this.nodes.forEach(_=>_.dispose()),this.nodes.clear()}dispose(){this._refreshCancellationSource.dispose(),this.clearAll()}}m.LABEL_HANDLE_PREFIX="0",m.ID_HANDLE_PREFIX="1"}),define(ge[223],pe([0,1,12,19,56,20]),function(Q,e,v,D,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SingleUseTestCollection=e.TestTree=e.TestPosition=e.OwnedTestCollection=void 0;class C{constructor(){this.testIdsToInternal=new Set}getTestById(l){return v.mapFind(this.testIdsToInternal,m=>{const S=m.get(l);return S&&[m,S]})}createForHierarchy(l=()=>{}){return new i(this.createIdMap(),l)}createIdMap(){const l=new y;return this.testIdsToInternal.add(l),{object:l,dispose:()=>this.testIdsToInternal.delete(l)}}}e.OwnedTestCollection=C;var I;(function(f){f[f.Disconnected=0]="Disconnected",f[f.IsChild=1]="IsChild",f[f.IsParent=2]="IsParent",f[f.IsSame=3]="IsSame"})(I=e.TestPosition||(e.TestPosition={}));class y{constructor(){this.map=new Map,this._roots=new Set,this.roots=this._roots}get size(){return this.map.size}add(l){if(this.map.has(l.item.extId))throw new Error(`Attempted to insert a duplicate test item ID ${l.item.extId}`);this.map.set(l.item.extId,l),l.parent||this._roots.add(l)}has(l){return this.map.has(l)}delete(l){const m=this.map.get(l);return m?(this.map.delete(l),this._roots.delete(m),!0):!1}get(l){return this.map.get(l)}comparePositions(l,m){const S=typeof l=="string"?this.map.get(l):l,_=typeof m=="string"?this.map.get(m):m;if(!S||!_)return 0;if(S===_)return 3;for(let g=this.map.get(_.parent);g;g=this.map.get(g.parent))if(g===S)return 1;for(let g=this.map.get(S.parent);g;g=this.map.get(g.parent))if(g===_)return 2;return 0}[Symbol.iterator](){return this.map.values()}}e.TestTree=y;class i{constructor(l,m){this.testIdToInternal=l,this.publishDiff=m,this.testItemToInternal=new Map,this.diff=[],this.disposed=!1,this.debounceSendDiff=new D.RunOnceScheduler(()=>this.throttleSendDiff(),2)}addRoot(l,m){this.addItem(l,m,null),this.debounceSendDiff.schedule()}getTestByReference(l){return this.testItemToInternal.get(l)}onItemChange(l,m){const S=this.testItemToInternal.get(l);if(!S){this.disposed||console.warn("Received a TestProvider.onDidChangeTest for a test that wasn't seen before as a child.");return}this.addItem(l,m,S.parent),this.debounceSendDiff.schedule()}collectDiff(){const l=this.diff;return this.diff=[],l}pushDiff(l){this.diff.push(l),this.debounceSendDiff.schedule()}dispose(){this.testIdToInternal.dispose(),this.diff=[],this.disposed=!0}addItem(l,m,S){let _=this.testItemToInternal.get(l);if(_)_.previousEquals(l)||(_.item=P.TestItem.from(l),_.previousEquals=p(l),this.diff.push([1,{parent:S,providerId:m,item:_.item}]));else{if(this.testIdToInternal.object.has(l.id))throw new Error(`Attempted to insert a duplicate test item ID ${l.id}`);_={actual:l,parent:S,item:P.TestItem.from(l),providerId:m,previousChildren:new Set,previousEquals:p(l)},this.testIdToInternal.object.add(_),this.testItemToInternal.set(l,_),this.diff.push([0,{parent:S,providerId:m,item:_.item}])}if(l.children){const g=_.previousChildren,a=new Set;for(const u of l.children){const c=this.testIdToInternal.object.get(u.id);c&&c.actual!==u&&this.removeItembyId(u.id);const t=this.addItem(u,m,_.item.extId);g.delete(t.item.extId),a.add(t.item.extId)}for(const u of g)this.removeItembyId(u);_.previousChildren=a}return _}removeItembyId(l){this.diff.push([2,l]);const m=[this.testIdToInternal.object.get(l)];for(;m.length;){const S=m.pop();if(!!S){this.testIdToInternal.object.delete(S.item.extId),this.testItemToInternal.delete(S.actual);for(const _ of S.previousChildren)m.push(this.testIdToInternal.object.get(_))}}}throttleSendDiff(){this.flushDiff()}flushDiff(){const l=this.collectDiff();l.length&&this.publishDiff(l)}}Ve([R.throttle(200)],i.prototype,"throttleSendDiff",null),e.SingleUseTestCollection=i;const k=Object.keys({id:null,label:null,location:null,debuggable:null,description:null,runnable:null}),p=f=>{const l=[];for(const m of k)l.push(f[m]);return m=>{for(let S=0;S<k.length;S++)if(l[S]!==m[k[S]])return!1;return!0}}}),define(ge[224],pe([0,1,30,3,7]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionDescriptionRegistry=e.DeltaExtensionsResult=void 0;class P{constructor(T){this.removedDueToLooping=T}}e.DeltaExtensionsResult=P;class C{constructor(T){this._onDidChange=new D.Emitter,this.onDidChange=this._onDidChange.event,this._extensionDescriptions=T,this._initialize()}_initialize(){this._extensionDescriptions.sort(y),this._extensionsMap=new Map,this._extensionsArr=[],this._activationMap=new Map;for(const T of this._extensionDescriptions){if(this._extensionsMap.has(v.ExtensionIdentifier.toKey(T.identifier))){console.error("Extension `"+T.identifier.value+"` is already registered");continue}if(this._extensionsMap.set(v.ExtensionIdentifier.toKey(T.identifier),T),this._extensionsArr.push(T),Array.isArray(T.activationEvents))for(let k of T.activationEvents)k==="onUri"&&(k=`onUri:${v.ExtensionIdentifier.toKey(T.identifier)}`),this._activationMap.has(k)||this._activationMap.set(k,[]),this._activationMap.get(k).push(T)}}keepOnly(T){const k=new Set;T.forEach(p=>k.add(v.ExtensionIdentifier.toKey(p))),this._extensionDescriptions=this._extensionDescriptions.filter(p=>k.has(v.ExtensionIdentifier.toKey(p.identifier))),this._initialize(),this._onDidChange.fire(void 0)}deltaExtensions(T,k){T.length>0&&(this._extensionDescriptions=this._extensionDescriptions.concat(T));const p=C._findLoopingExtensions(this._extensionDescriptions);if(k=k.concat(p.map(f=>f.identifier)),k.length>0){const f=new Set;k.forEach(l=>f.add(v.ExtensionIdentifier.toKey(l))),this._extensionDescriptions=this._extensionDescriptions.filter(l=>!f.has(v.ExtensionIdentifier.toKey(l.identifier)))}return this._initialize(),this._onDidChange.fire(void 0),new P(p)}static _findLoopingExtensions(T){const k=new class{constructor(){this._arcs=new Map,this._nodesSet=new Set,this._nodesArr=[]}addNode(S){this._nodesSet.has(S)||(this._nodesSet.add(S),this._nodesArr.push(S))}addArc(S,_){this.addNode(S),this.addNode(_),this._arcs.has(S)?this._arcs.get(S).push(_):this._arcs.set(S,[_])}getArcs(S){return this._arcs.has(S)?this._arcs.get(S):[]}hasOnlyGoodArcs(S,_){const g=k.getArcs(S);for(let a=0;a<g.length;a++)if(!_.has(g[a]))return!1;return!0}getNodes(){return this._nodesArr}};let p=new Map;for(let S of T){const _=v.ExtensionIdentifier.toKey(S.identifier);if(p.set(_,S),S.extensionDependencies)for(let g of S.extensionDependencies){const a=v.ExtensionIdentifier.toKey(g);k.addArc(_,a)}}let f=new Set;k.getNodes().filter(S=>k.getArcs(S).length===0).forEach(S=>f.add(S));let l=k.getNodes().filter(S=>!f.has(S)),m;do{m=!1;for(let S=0;S<l.length;S++){const _=l[S];k.hasOnlyGoodArcs(_,f)&&(l.splice(S,1),S--,f.add(_),m=!0)}}while(m);return l.map(S=>p.get(S))}containsActivationEvent(T){return this._activationMap.has(T)}containsExtension(T){return this._extensionsMap.has(v.ExtensionIdentifier.toKey(T))}getExtensionDescriptionsForActivationEvent(T){const k=this._activationMap.get(T);return k?k.slice(0):[]}getAllExtensionDescriptions(){return this._extensionsArr.slice(0)}getExtensionDescription(T){const k=this._extensionsMap.get(v.ExtensionIdentifier.toKey(T));return k||void 0}}e.ExtensionDescriptionRegistry=C;var I;(function(i){i[i.Builtin=0]="Builtin",i[i.User=1]="User",i[i.Dev=2]="Dev"})(I||(I={}));function y(i,T){const k=i.isBuiltin?0:i.isUnderDevelopment?2:1,p=T.isBuiltin?0:T.isUnderDevelopment?2:1;if(k!==p)return k-p;const f=R.posix.basename(i.extensionLocation.path),l=R.posix.basename(T.extensionLocation.path);return f<l?-1:f>l?1:0}}),define(ge[225],pe([0,1,26]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.isMessageOfType=e.createMessageOfType=e.MessageType=e.ExtensionHostExitCode=void 0;var D;(function(I){I[I.VersionMismatch=55]="VersionMismatch",I[I.StartTimeout60s=56]="StartTimeout60s",I[I.UnexpectedError=81]="UnexpectedError"})(D=e.ExtensionHostExitCode||(e.ExtensionHostExitCode={}));var R;(function(I){I[I.Initialized=0]="Initialized",I[I.Ready=1]="Ready",I[I.Terminate=2]="Terminate"})(R=e.MessageType||(e.MessageType={}));function P(I){const y=v.VSBuffer.alloc(1);switch(I){case 0:y.writeUInt8(1,0);break;case 1:y.writeUInt8(2,0);break;case 2:y.writeUInt8(3,0);break}return y}e.createMessageOfType=P;function C(I,y){if(I.byteLength!==1)return!1;switch(I.readUInt8(0)){case 1:return y===0;case 2:return y===1;case 3:return y===2;default:return!1}}e.isMessageOfType=C}),define(ge[42],pe([0,1,3,2,4,30,180]),function(Q,e,v,D,R,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullExtensionService=e.toExtensionDescription=e.toExtension=e.throwRequiresWorkspaceTrustError=e.checkRequiresWorkspaceTrust=e.throwProposedApiError=e.checkProposedApiEnabled=e.ActivationKind=e.ExtensionHostLogFileName=e.ExtensionPointContribution=e.ActivationTimes=e.ExtensionHostKind=e.MissingDependencyError=e.IExtensionService=e.webWorkerExtHostConfig=e.nullExtensionDescription=void 0,e.nullExtensionDescription=Object.freeze({identifier:new P.ExtensionIdentifier("nullExtensionDescription"),name:"Null Extension Description",version:"0.0.0",publisher:"vscode",enableProposedApi:!1,engines:{vscode:""},extensionLocation:D.URI.parse("void:location"),isBuiltin:!1}),e.webWorkerExtHostConfig="extensions.webWorker",e.IExtensionService=R.createDecorator("extensionService");class I{constructor(u){this.dependency=u}}e.MissingDependencyError=I;var y;(function(a){a[a.LocalProcess=0]="LocalProcess",a[a.LocalWebWorker=1]="LocalWebWorker",a[a.Remote=2]="Remote"})(y=e.ExtensionHostKind||(e.ExtensionHostKind={}));class i{constructor(u,c,t,r){this.codeLoadingTime=u,this.activateCallTime=c,this.activateResolvedTime=t,this.activationReason=r}}e.ActivationTimes=i;class T{constructor(u,c){this.description=u,this.value=c}}e.ExtensionPointContribution=T,e.ExtensionHostLogFileName="exthost";var k;(function(a){a[a.Normal=0]="Normal",a[a.Immediate=1]="Immediate"})(k=e.ActivationKind||(e.ActivationKind={}));function p(a){a.enableProposedApi||f(a)}e.checkProposedApiEnabled=p;function f(a){throw new Error(`[${a.identifier.value}]: Proposed API is only available when running out of dev or with the following command line switch: --enable-proposed-api ${a.identifier.value}`)}e.throwProposedApiError=f;function l(a){a.requiresWorkspaceTrust||m(a)}e.checkRequiresWorkspaceTrust=l;function m(a){throw new Error(`[${a.identifier.value}]: This API is only available when the "requiresWorkspaceTrust" is set to "onStart" or "onDemand" in the extension's package.json.`)}e.throwRequiresWorkspaceTrustError=m;function S(a){return{type:a.isBuiltin?0:1,isBuiltin:a.isBuiltin||a.isUserBuiltin,identifier:{id:C.getGalleryExtensionId(a.publisher,a.name),uuid:a.uuid},manifest:a,location:a.extensionLocation}}e.toExtension=S;function _(a){return Object.assign(Object.assign({identifier:new P.ExtensionIdentifier(a.identifier.id),isBuiltin:a.type===0,isUserBuiltin:a.type===1&&a.isBuiltin,isUnderDevelopment:!1,extensionLocation:a.location},a.manifest),{uuid:a.identifier.uuid})}e.toExtensionDescription=_;class g{constructor(){this.onDidRegisterExtensions=v.Event.None,this.onDidChangeExtensionsStatus=v.Event.None,this.onDidChangeExtensions=v.Event.None,this.onWillActivateByEvent=v.Event.None,this.onDidChangeResponsiveChange=v.Event.None}activateByEvent(u){return Promise.resolve(void 0)}whenInstalledExtensionsRegistered(){return Promise.resolve(!0)}getExtensions(){return Promise.resolve([])}getExtension(){return Promise.resolve(void 0)}readExtensionPointContributions(u){return Promise.resolve(Object.create(null))}getExtensionsStatus(){return Object.create(null)}getInspectPort(u){return Promise.resolve(0)}restartExtensionHost(){}async setRemoteEnvironment(u){}canAddExtension(){return!1}canRemoveExtension(){return!1}_logOrShowMessage(u,c){}_activateById(u,c){return Promise.resolve()}_onWillActivateExtension(u){}_onDidActivateExtension(u,c,t,r,s){}_onExtensionRuntimeError(u,c){}_onExtensionHostExit(u){}}e.NullExtensionService=g}),define(ge[226],pe([0,1,158,30,42,11]),function(Q,e,v,D,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionsActivator=e.FailedExtension=e.HostExtension=e.EmptyExtension=e.ActivatedExtension=e.ExtensionActivationTimesBuilder=e.ExtensionActivationTimes=void 0;const C=Promise.resolve(void 0);class I{constructor(m,S,_,g){this.startup=m,this.codeLoadingTime=S,this.activateCallTime=_,this.activateResolvedTime=g}}e.ExtensionActivationTimes=I,I.NONE=new I(!1,-1,-1,-1);class y{constructor(m){this._startup=m,this._codeLoadingStart=-1,this._codeLoadingStop=-1,this._activateCallStart=-1,this._activateCallStop=-1,this._activateResolveStart=-1,this._activateResolveStop=-1}_delta(m,S){return m===-1||S===-1?-1:S-m}build(){return new I(this._startup,this._delta(this._codeLoadingStart,this._codeLoadingStop),this._delta(this._activateCallStart,this._activateCallStop),this._delta(this._activateResolveStart,this._activateResolveStop))}codeLoadingStart(){this._codeLoadingStart=Date.now()}codeLoadingStop(){this._codeLoadingStop=Date.now()}activateCallStart(){this._activateCallStart=Date.now()}activateCallStop(){this._activateCallStop=Date.now()}activateResolveStart(){this._activateResolveStart=Date.now()}activateResolveStop(){this._activateResolveStop=Date.now()}}e.ExtensionActivationTimesBuilder=y;class i{constructor(m,S,_,g,a,u){this.activationFailed=m,this.activationFailedError=S,this.activationTimes=_,this.module=g,this.exports=a,this.subscriptions=u}}e.ActivatedExtension=i;class T extends i{constructor(m){super(!1,null,m,{activate:void 0,deactivate:void 0},void 0,[])}}e.EmptyExtension=T;class k extends i{constructor(){super(!1,null,I.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.HostExtension=k;class p extends i{constructor(m){super(!0,m,I.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.FailedExtension=p;let f=class{constructor(m,S,_,g,a){this._logService=a,this._registry=m,this._resolvedExtensionsSet=new Set,S.forEach(u=>this._resolvedExtensionsSet.add(D.ExtensionIdentifier.toKey(u))),this._hostExtensionsMap=new Map,_.forEach(u=>this._hostExtensionsMap.set(D.ExtensionIdentifier.toKey(u),u)),this._host=g,this._activatingExtensions=new Map,this._activatedExtensions=new Map,this._alreadyActivatedEvents=Object.create(null)}isActivated(m){const S=D.ExtensionIdentifier.toKey(m);return this._activatedExtensions.has(S)}getActivatedExtension(m){const S=D.ExtensionIdentifier.toKey(m),_=this._activatedExtensions.get(S);if(!_)throw new Error("Extension `"+m.value+"` is not known or not activated");return _}activateByEvent(m,S){if(this._alreadyActivatedEvents[m])return C;const _=this._registry.getExtensionDescriptionsForActivationEvent(m);return this._activateExtensions(_.map(g=>({id:g.identifier,reason:{startup:S,extensionId:g.identifier,activationEvent:m}}))).then(()=>{this._alreadyActivatedEvents[m]=!0})}activateById(m,S){const _=this._registry.getExtensionDescription(m);if(!_)throw new Error("Extension `"+m+"` is not known");return this._activateExtensions([{id:_.identifier,reason:S}])}_handleActivateRequest(m,S,_){if(this._hostExtensionsMap.has(D.ExtensionIdentifier.toKey(m.id))){S[D.ExtensionIdentifier.toKey(m.id)]=m;return}const g=this._registry.getExtensionDescription(m.id);if(!g){this._host.onExtensionActivationError(m.id,new R.MissingDependencyError(m.id.value));const c=new Error(`Unknown dependency '${m.id.value}'`);this._activatedExtensions.set(D.ExtensionIdentifier.toKey(m.id),new p(c));return}const a=typeof g.extensionDependencies=="undefined"?[]:g.extensionDependencies;let u=!0;for(let c=0,t=a.length;c<t;c++){const r=a[c];if(!this._resolvedExtensionsSet.has(D.ExtensionIdentifier.toKey(r))){const s=this._activatedExtensions.get(D.ExtensionIdentifier.toKey(r));if(!(s&&!s.activationFailed)){if(s&&s.activationFailed){this._host.onExtensionActivationError(g.identifier,v.localize(0,null,g.displayName||g.identifier.value,r));const d=new Error(`Dependency ${r} failed to activate`);d.detail=s.activationFailedError,this._activatedExtensions.set(D.ExtensionIdentifier.toKey(g.identifier),new p(d));return}if(this._hostExtensionsMap.has(D.ExtensionIdentifier.toKey(r))){u=!1,S[D.ExtensionIdentifier.toKey(r)]={id:this._hostExtensionsMap.get(D.ExtensionIdentifier.toKey(r)),reason:m.reason};continue}const o=this._registry.getExtensionDescription(r);if(o){u=!1,S[D.ExtensionIdentifier.toKey(r)]={id:o.identifier,reason:m.reason};continue}this._host.onExtensionActivationError(g.identifier,new R.MissingDependencyError(r));const n=new Error(`Unknown dependency '${r}'`);this._activatedExtensions.set(D.ExtensionIdentifier.toKey(g.identifier),new p(n));return}}}u?S[D.ExtensionIdentifier.toKey(g.identifier)]=m:_.push(m)}_activateExtensions(m){if(m.length===0||(m=m.filter(a=>!this._activatedExtensions.has(D.ExtensionIdentifier.toKey(a.id))),m.length===0))return Promise.resolve(void 0);const S=Object.create(null),_=[];for(let a=0,u=m.length;a<u;a++)this._handleActivateRequest(m[a],S,_);for(let a=0,u=_.length;a<u;a++){const c=D.ExtensionIdentifier.toKey(_[a].id);S[c]&&delete S[c]}const g=Object.keys(S).map(a=>S[a]);return _.length===0?Promise.all(g.map(a=>this._activateExtension(a.id,a.reason))).then(a=>{}):this._activateExtensions(g).then(a=>this._activateExtensions(_))}_activateExtension(m,S){const _=D.ExtensionIdentifier.toKey(m);if(this._activatedExtensions.has(_))return Promise.resolve(void 0);const g=this._activatingExtensions.get(_);if(g)return g;const a=this._host.actualActivateExtension(m,S).then(void 0,u=>(this._host.onExtensionActivationError(m,v.localize(1,null,m.value,u.message)),this._logService.error(`Activating extension ${m.value} failed due to an error:`),this._logService.error(u),new p(u))).then(u=>{this._activatedExtensions.set(_,u),this._activatingExtensions.delete(_)});return this._activatingExtensions.set(_,a),a}};f=Ve([$e(4,P.ILogService)],f),e.ExtensionsActivator=f}),define(ge[227],pe([0,1,11,42,27,13,108]),function(Q,e,v,D,R,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLogService=void 0;let I=class extends v.LogService{constructor(i){if(i.logFile.scheme!==P.Schemas.file)throw new Error("Only file-logging supported");super(new C.SpdLogLogger(D.ExtensionHostLogFileName,i.logFile.fsPath,!0,i.logLevel))}$setLevel(i){this.setLevel(i)}};I=Ve([$e(0,R.IExtHostInitDataService)],I),e.ExtHostLogService=I}),define(ge[228],pe([0,1,15]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.LazyPromise=void 0;class D{constructor(){this._actual=null,this._actualOk=null,this._actualErr=null,this._hasValue=!1,this._value=null,this._hasErr=!1,this._err=null}get[Symbol.toStringTag](){return this.toString()}_ensureActual(){return this._actual||(this._actual=new Promise((P,C)=>{this._actualOk=P,this._actualErr=C,this._hasValue&&this._actualOk(this._value),this._hasErr&&this._actualErr(this._err)})),this._actual}resolveOk(P){this._hasValue||this._hasErr||(this._hasValue=!0,this._value=P,this._actual&&this._actualOk(P))}resolveErr(P){this._hasValue||this._hasErr||(this._hasErr=!0,this._err=P,this._actual?this._actualErr(P):v.onUnexpectedError(P))}then(P,C){return this._ensureActual().then(P,C)}catch(P){return this._ensureActual().then(void 0,P)}finally(P){return this._ensureActual().finally(P)}}e.LazyPromise=D}),define(ge[120],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.getStringIdentifierForProxy=e.createExtHostContextProxyIdentifier=e.createMainContextProxyIdentifier=e.ProxyIdentifier=void 0;class v{constructor(y,i){this.isMain=y,this.sid=i,this.nid=++v.count}}e.ProxyIdentifier=v,v.count=0;const D=[];function R(I){const y=new v(!0,I);return D[y.nid]=y,y}e.createMainContextProxyIdentifier=R;function P(I){const y=new v(!1,I);return D[y.nid]=y,y}e.createExtHostContextProxyIdentifier=P;function C(I){return D[I].sid}e.getStringIdentifierForProxy=C}),define(ge[6],pe([0,1,2,120,59]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostContext=e.MainContext=e.ExtHostTestingResource=e.reviveWorkspaceEditDto=e.WorkspaceEditType=e.ISuggestResultDtoField=e.ISuggestDataDtoField=e.IdObject=e.ObjectIdentifier=e.CandidatePortSource=e.NotebookEditorRevealType=e.CellOutputKind=e.CellKind=e.WebviewEditorCapabilities=e.TextEditorRevealType=e.UIKind=void 0;var P;(function(a){a[a.Desktop=1]="Desktop",a[a.Web=2]="Web"})(P=e.UIKind||(e.UIKind={}));var C;(function(a){a[a.Default=0]="Default",a[a.InCenter=1]="InCenter",a[a.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",a[a.AtTop=3]="AtTop"})(C=e.TextEditorRevealType||(e.TextEditorRevealType={}));var I;(function(a){a[a.Editable=0]="Editable",a[a.SupportsHotExit=1]="SupportsHotExit"})(I=e.WebviewEditorCapabilities||(e.WebviewEditorCapabilities={}));var y;(function(a){a[a.Markdown=1]="Markdown",a[a.Code=2]="Code"})(y=e.CellKind||(e.CellKind={}));var i;(function(a){a[a.Text=1]="Text",a[a.Error=2]="Error",a[a.Rich=3]="Rich"})(i=e.CellOutputKind||(e.CellOutputKind={}));var T;(function(a){a[a.Default=0]="Default",a[a.InCenter=1]="InCenter",a[a.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",a[a.AtTop=3]="AtTop"})(T=e.NotebookEditorRevealType||(e.NotebookEditorRevealType={}));var k;(function(a){a[a.None=0]="None",a[a.Process=1]="Process",a[a.Output=2]="Output"})(k=e.CandidatePortSource||(e.CandidatePortSource={}));var p;(function(a){a.name="$ident";function u(t,r){return Object.defineProperty(t,a.name,{value:r,enumerable:!0}),t}a.mixin=u;function c(t){return t[a.name]}a.of=c})(p=e.ObjectIdentifier||(e.ObjectIdentifier={}));class f{static mixin(u){return u._id=f._n++,u}}e.IdObject=f,f._n=0;var l;(function(a){a.label="a",a.kind="b",a.detail="c",a.documentation="d",a.sortText="e",a.filterText="f",a.preselect="g",a.insertText="h",a.insertTextRules="i",a.range="j",a.commitCharacters="k",a.additionalTextEdits="l",a.command="m",a.kindModifier="n",a.label2="o"})(l=e.ISuggestDataDtoField||(e.ISuggestDataDtoField={}));var m;(function(a){a.defaultRanges="a",a.completions="b",a.isIncomplete="c",a.duration="d"})(m=e.ISuggestResultDtoField||(e.ISuggestResultDtoField={}));var S;(function(a){a[a.File=1]="File",a[a.Text=2]="Text",a[a.Cell=3]="Cell"})(S=e.WorkspaceEditType||(e.WorkspaceEditType={}));function _(a){if(a&&a.edits)for(const u of a.edits)typeof u.resource=="object"?u.resource=v.URI.revive(u.resource):(u.newUri=v.URI.revive(u.newUri),u.oldUri=v.URI.revive(u.oldUri)),u.metadata&&u.metadata.iconPath&&(u.metadata=R.revive(u.metadata));return a}e.reviveWorkspaceEditDto=_;var g;(function(a){a[a.Workspace=0]="Workspace",a[a.TextDocument=1]="TextDocument"})(g=e.ExtHostTestingResource||(e.ExtHostTestingResource={})),e.MainContext={MainThreadAuthentication:D.createMainContextProxyIdentifier("MainThreadAuthentication"),MainThreadBulkEdits:D.createMainContextProxyIdentifier("MainThreadBulkEdits"),MainThreadClipboard:D.createMainContextProxyIdentifier("MainThreadClipboard"),MainThreadCommands:D.createMainContextProxyIdentifier("MainThreadCommands"),MainThreadComments:D.createMainContextProxyIdentifier("MainThreadComments"),MainThreadConfiguration:D.createMainContextProxyIdentifier("MainThreadConfiguration"),MainThreadConsole:D.createMainContextProxyIdentifier("MainThreadConsole"),MainThreadDebugService:D.createMainContextProxyIdentifier("MainThreadDebugService"),MainThreadDecorations:D.createMainContextProxyIdentifier("MainThreadDecorations"),MainThreadDiagnostics:D.createMainContextProxyIdentifier("MainThreadDiagnostics"),MainThreadDialogs:D.createMainContextProxyIdentifier("MainThreadDiaglogs"),MainThreadDocuments:D.createMainContextProxyIdentifier("MainThreadDocuments"),MainThreadDocumentContentProviders:D.createMainContextProxyIdentifier("MainThreadDocumentContentProviders"),MainThreadTextEditors:D.createMainContextProxyIdentifier("MainThreadTextEditors"),MainThreadEditorInsets:D.createMainContextProxyIdentifier("MainThreadEditorInsets"),MainThreadEditorTabs:D.createMainContextProxyIdentifier("MainThreadEditorTabs"),MainThreadErrors:D.createMainContextProxyIdentifier("MainThreadErrors"),MainThreadTreeViews:D.createMainContextProxyIdentifier("MainThreadTreeViews"),MainThreadDownloadService:D.createMainContextProxyIdentifier("MainThreadDownloadService"),MainThreadKeytar:D.createMainContextProxyIdentifier("MainThreadKeytar"),MainThreadLanguageFeatures:D.createMainContextProxyIdentifier("MainThreadLanguageFeatures"),MainThreadLanguages:D.createMainContextProxyIdentifier("MainThreadLanguages"),MainThreadLog:D.createMainContextProxyIdentifier("MainThread"),MainThreadMessageService:D.createMainContextProxyIdentifier("MainThreadMessageService"),MainThreadOutputService:D.createMainContextProxyIdentifier("MainThreadOutputService"),MainThreadProgress:D.createMainContextProxyIdentifier("MainThreadProgress"),MainThreadQuickOpen:D.createMainContextProxyIdentifier("MainThreadQuickOpen"),MainThreadStatusBar:D.createMainContextProxyIdentifier("MainThreadStatusBar"),MainThreadSecretState:D.createMainContextProxyIdentifier("MainThreadSecretState"),MainThreadStorage:D.createMainContextProxyIdentifier("MainThreadStorage"),MainThreadTelemetry:D.createMainContextProxyIdentifier("MainThreadTelemetry"),MainThreadTerminalService:D.createMainContextProxyIdentifier("MainThreadTerminalService"),MainThreadWebviews:D.createMainContextProxyIdentifier("MainThreadWebviews"),MainThreadWebviewPanels:D.createMainContextProxyIdentifier("MainThreadWebviewPanels"),MainThreadWebviewViews:D.createMainContextProxyIdentifier("MainThreadWebviewViews"),MainThreadCustomEditors:D.createMainContextProxyIdentifier("MainThreadCustomEditors"),MainThreadUrls:D.createMainContextProxyIdentifier("MainThreadUrls"),MainThreadUriOpeners:D.createMainContextProxyIdentifier("MainThreadUriOpeners"),MainThreadWorkspace:D.createMainContextProxyIdentifier("MainThreadWorkspace"),MainThreadFileSystem:D.createMainContextProxyIdentifier("MainThreadFileSystem"),MainThreadExtensionService:D.createMainContextProxyIdentifier("MainThreadExtensionService"),MainThreadSCM:D.createMainContextProxyIdentifier("MainThreadSCM"),MainThreadSearch:D.createMainContextProxyIdentifier("MainThreadSearch"),MainThreadTask:D.createMainContextProxyIdentifier("MainThreadTask"),MainThreadWindow:D.createMainContextProxyIdentifier("MainThreadWindow"),MainThreadLabelService:D.createMainContextProxyIdentifier("MainThreadLabelService"),MainThreadNotebook:D.createMainContextProxyIdentifier("MainThreadNotebook"),MainThreadTheming:D.createMainContextProxyIdentifier("MainThreadTheming"),MainThreadTunnelService:D.createMainContextProxyIdentifier("MainThreadTunnelService"),MainThreadTimeline:D.createMainContextProxyIdentifier("MainThreadTimeline"),MainThreadTesting:D.createMainContextProxyIdentifier("MainThreadTesting")},e.ExtHostContext={ExtHostCommands:D.createExtHostContextProxyIdentifier("ExtHostCommands"),ExtHostConfiguration:D.createExtHostContextProxyIdentifier("ExtHostConfiguration"),ExtHostDiagnostics:D.createExtHostContextProxyIdentifier("ExtHostDiagnostics"),ExtHostDebugService:D.createExtHostContextProxyIdentifier("ExtHostDebugService"),ExtHostDecorations:D.createExtHostContextProxyIdentifier("ExtHostDecorations"),ExtHostDocumentsAndEditors:D.createExtHostContextProxyIdentifier("ExtHostDocumentsAndEditors"),ExtHostDocuments:D.createExtHostContextProxyIdentifier("ExtHostDocuments"),ExtHostDocumentContentProviders:D.createExtHostContextProxyIdentifier("ExtHostDocumentContentProviders"),ExtHostDocumentSaveParticipant:D.createExtHostContextProxyIdentifier("ExtHostDocumentSaveParticipant"),ExtHostEditors:D.createExtHostContextProxyIdentifier("ExtHostEditors"),ExtHostTreeViews:D.createExtHostContextProxyIdentifier("ExtHostTreeViews"),ExtHostFileSystem:D.createExtHostContextProxyIdentifier("ExtHostFileSystem"),ExtHostFileSystemInfo:D.createExtHostContextProxyIdentifier("ExtHostFileSystemInfo"),ExtHostFileSystemEventService:D.createExtHostContextProxyIdentifier("ExtHostFileSystemEventService"),ExtHostLanguageFeatures:D.createExtHostContextProxyIdentifier("ExtHostLanguageFeatures"),ExtHostQuickOpen:D.createExtHostContextProxyIdentifier("ExtHostQuickOpen"),ExtHostExtensionService:D.createExtHostContextProxyIdentifier("ExtHostExtensionService"),ExtHostLogService:D.createExtHostContextProxyIdentifier("ExtHostLogService"),ExtHostTerminalService:D.createExtHostContextProxyIdentifier("ExtHostTerminalService"),ExtHostSCM:D.createExtHostContextProxyIdentifier("ExtHostSCM"),ExtHostSearch:D.createExtHostContextProxyIdentifier("ExtHostSearch"),ExtHostTask:D.createExtHostContextProxyIdentifier("ExtHostTask"),ExtHostWorkspace:D.createExtHostContextProxyIdentifier("ExtHostWorkspace"),ExtHostWindow:D.createExtHostContextProxyIdentifier("ExtHostWindow"),ExtHostWebviews:D.createExtHostContextProxyIdentifier("ExtHostWebviews"),ExtHostWebviewPanels:D.createExtHostContextProxyIdentifier("ExtHostWebviewPanels"),ExtHostCustomEditors:D.createExtHostContextProxyIdentifier("ExtHostCustomEditors"),ExtHostWebviewViews:D.createExtHostContextProxyIdentifier("ExtHostWebviewViews"),ExtHostEditorInsets:D.createExtHostContextProxyIdentifier("ExtHostEditorInsets"),ExtHostEditorTabs:D.createExtHostContextProxyIdentifier("ExtHostEditorTabs"),ExtHostProgress:D.createMainContextProxyIdentifier("ExtHostProgress"),ExtHostComments:D.createMainContextProxyIdentifier("ExtHostComments"),ExtHostSecretState:D.createMainContextProxyIdentifier("ExtHostSecretState"),ExtHostStorage:D.createMainContextProxyIdentifier("ExtHostStorage"),ExtHostUrls:D.createExtHostContextProxyIdentifier("ExtHostUrls"),ExtHostUriOpeners:D.createExtHostContextProxyIdentifier("ExtHostUriOpeners"),ExtHostOutputService:D.createMainContextProxyIdentifier("ExtHostOutputService"),ExtHosLabelService:D.createMainContextProxyIdentifier("ExtHostLabelService"),ExtHostNotebook:D.createMainContextProxyIdentifier("ExtHostNotebook"),ExtHostTheming:D.createMainContextProxyIdentifier("ExtHostTheming"),ExtHostTunnelService:D.createMainContextProxyIdentifier("ExtHostTunnelService"),ExtHostAuthentication:D.createMainContextProxyIdentifier("ExtHostAuthentication"),ExtHostTimeline:D.createMainContextProxyIdentifier("ExtHostTimeline"),ExtHostTesting:D.createMainContextProxyIdentifier("ExtHostTesting")}}),define(ge[86],pe([0,1,6,3,4]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostSecretState=e.ExtHostSecretState=void 0;class P{constructor(I){this._onDidChangePassword=new D.Emitter,this.onDidChangePassword=this._onDidChangePassword.event,this._proxy=I.getProxy(v.MainContext.MainThreadSecretState)}async $onDidChangePassword(I){this._onDidChangePassword.fire(I)}get(I,y){return this._proxy.$getPassword(I,y)}store(I,y,i){return this._proxy.$setPassword(I,y,i)}delete(I,y){return this._proxy.$deletePassword(I,y)}}e.ExtHostSecretState=P,e.IExtHostSecretState=R.createDecorator("IExtHostSecretState")}),define(ge[64],pe([0,1,4,11,6,14]),function(Q,e,v,D,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NullApiDeprecationService=e.ExtHostApiDeprecationService=e.IExtHostApiDeprecationService=void 0,e.IExtHostApiDeprecationService=v.createDecorator("IExtHostApiDeprecationService");let C=class{constructor(y,i){this._extHostLogService=i,this._reportedUsages=new Set,this._telemetryShape=y.getProxy(R.MainContext.MainThreadTelemetry)}report(y,i,T){const k=this.getUsageKey(y,i);this._reportedUsages.has(k)||(this._reportedUsages.add(k),i.isUnderDevelopment&&this._extHostLogService.warn(`[Deprecation Warning] '${y}' is deprecated. ${T}`),this._telemetryShape.$publicLog2("extHostDeprecatedApiUsage",{extensionId:i.identifier.value,apiId:y}))}getUsageKey(y,i){return`${y}-${i.identifier.value}`}};C=Ve([$e(0,P.IExtHostRpcService),$e(1,D.ILogService)],C),e.ExtHostApiDeprecationService=C,e.NullApiDeprecationService=Object.freeze(new class{report(I,y,i){}})}),define(ge[229],pe([0,1,3,6,8,30]),function(Q,e,v,D,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostAuthentication=void 0;class C{constructor(y){this._authenticationProviders=new Map,this._providers=[],this._onDidChangeAuthenticationProviders=new v.Emitter,this.onDidChangeAuthenticationProviders=this._onDidChangeAuthenticationProviders.event,this._onDidChangeSessions=new v.Emitter,this.onDidChangeSessions=this._onDidChangeSessions.event,this._inFlightRequests=new Map,this._proxy=y.getProxy(D.MainContext.MainThreadAuthentication)}$setProviders(y){return this._providers=y,Promise.resolve()}get providers(){return Object.freeze(this._providers.slice())}async getSession(y,i,T,k={}){const p=P.ExtensionIdentifier.toKey(y.identifier),f=this._inFlightRequests.get(p)||[],l=T.sort().join(" ");let m=f.find(S=>S.scopes===l);if(m)return m.result;{const S=this._getSession(y,p,i,T,k);m={scopes:l,result:S},f.push(m),this._inFlightRequests.set(p,f);try{await S}finally{const _=f.findIndex(g=>g.scopes===l);_>-1&&(f.splice(_),this._inFlightRequests.set(p,f))}return S}}async _getSession(y,i,T,k,p={}){await this._proxy.$ensureProvider(T);const f=y.displayName||y.name;return this._proxy.$getSession(T,k,i,f,p)}async removeSession(y,i){const T=this._authenticationProviders.get(y);return T?T.provider.removeSession(i):this._proxy.$removeSession(y,i)}registerAuthenticationProvider(y,i,T,k){var p;if(this._authenticationProviders.get(y))throw new Error(`An authentication provider with id '${y}' is already registered.`);this._authenticationProviders.set(y,{label:i,provider:T,options:k!=null?k:{supportsMultipleAccounts:!1}}),this._providers.find(l=>l.id===y)||this._providers.push({id:y,label:i});const f=T.onDidChangeSessions(l=>{var m,S,_;this._proxy.$sendDidChangeSessions(y,{added:(m=l.added)!==null&&m!==void 0?m:[],changed:(S=l.changed)!==null&&S!==void 0?S:[],removed:(_=l.changed)!==null&&_!==void 0?_:[]})});return this._proxy.$registerAuthenticationProvider(y,i,(p=k==null?void 0:k.supportsMultipleAccounts)!==null&&p!==void 0?p:!1),new R.Disposable(()=>{f.dispose(),this._authenticationProviders.delete(y);const l=this._providers.findIndex(m=>m.id===y);l>-1&&this._providers.splice(l),this._proxy.$unregisterAuthenticationProvider(y)})}$createSession(y,i){const T=this._authenticationProviders.get(y);if(T)return Promise.resolve(T.provider.createSession(i));throw new Error(`Unable to find authentication provider with handle: ${y}`)}$removeSession(y,i){const T=this._authenticationProviders.get(y);if(T)return Promise.resolve(T.provider.removeSession(i));throw new Error(`Unable to find authentication provider with handle: ${y}`)}$getSessions(y,i){const T=this._authenticationProviders.get(y);if(T)return Promise.resolve(T.provider.getSessions(i));throw new Error(`Unable to find authentication provider with handle: ${y}`)}$onDidChangeAuthenticationSessions(y,i){return this._onDidChangeSessions.fire({provider:{id:y,label:i}}),Promise.resolve()}$onDidChangeAuthenticationProviders(y,i){return y.forEach(T=>{this._providers.some(k=>k.id===T.id)||this._providers.push(T)}),i.forEach(T=>{const k=this._providers.findIndex(p=>p.id===T.id);k>-1&&this._providers.splice(k)}),this._onDidChangeAuthenticationProviders.fire({added:y,removed:i}),Promise.resolve()}}e.ExtHostAuthentication=C}),define(ge[230],pe([0,1,6,14,20]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostBulkEdits=void 0;let P=class{constructor(I,y,i){this._extHostDocumentsAndEditors=y,this._extHostNotebooks=i,this._proxy=I.getProxy(v.MainContext.MainThreadBulkEdits)}applyWorkspaceEdit(I){const y=R.WorkspaceEdit.from(I,this._extHostDocumentsAndEditors,this._extHostNotebooks);return this._proxy.$tryApplyWorkspaceEdit(y)}};P=Ve([$e(0,D.IExtHostRpcService)],P),e.ExtHostBulkEdits=P}),define(ge[231],pe([0,1,6]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostClipboard=void 0;class D{constructor(P){const C=P.getProxy(v.MainContext.MainThreadClipboard);this.value=Object.freeze({readText(){return C.$readText()},writeText(I){return C.$writeText(I)}})}}e.ExtHostClipboard=D}),define(ge[53],pe([0,1,16,8,20,23,6,12,11,59,44,48,2,5,4,14]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ApiCommand=e.ApiCommandResult=e.ApiCommandArgument=e.CommandsConverter=e.IExtHostCommands=e.ExtHostCommands=void 0;let S=class{constructor(t,r){this._commands=new Map,this._apiCommands=new Map,this._proxy=t.getProxy(C.MainContext.MainThreadCommands),this._logService=r,this.converter=new _(this,s=>{const o=this._apiCommands.get(s);return(o==null?void 0:o.result)===a.Void?o:void 0},r),this._argumentProcessors=[{processArgument(s){return i.revive(s)}},{processArgument(s){return P.cloneAndChange(s,function(o){if(T.Range.isIRange(o))return R.Range.to(o);if(k.Position.isIPosition(o))return R.Position.to(o);if(T.Range.isIRange(o.range)&&p.URI.isUri(o.uri))return R.location.to(o);if(!Array.isArray(o))return o})}}]}registerArgumentProcessor(t){this._argumentProcessors.push(t)}registerApiCommand(t){const r=this.registerCommand(!1,t.id,async(...s)=>{const o=t.args.map((d,w)=>{if(!d.validate(s[w]))throw new Error(`Invalid argument '${d.name}' when running '${t.id}', received: ${s[w]}`);return d.convert(s[w])}),n=await this.executeCommand(t.internalId,...o);return t.result.convert(n,s,this.converter)},void 0,{description:t.description,args:t.args,returns:t.result.description});return this._apiCommands.set(t.id,t),new D.Disposable(()=>{r.dispose(),this._apiCommands.delete(t.id)})}registerCommand(t,r,s,o,n){if(this._logService.trace("ExtHostCommands#registerCommand",r),!r.trim().length)throw new Error("invalid id");if(this._commands.has(r))throw new Error(`command '${r}' already exists`);return this._commands.set(r,{callback:s,thisArg:o,description:n}),t&&this._proxy.$registerCommand(r),new D.Disposable(()=>{this._commands.delete(r)&&t&&this._proxy.$unregisterCommand(r)})}executeCommand(t,...r){return this._logService.trace("ExtHostCommands#executeCommand",t),this._doExecuteCommand(t,r,!0)}async _doExecuteCommand(t,r,s){if(this._commands.has(t))return this._executeContributedCommand(t,r);{const o=P.cloneAndChange(r,function(n){if(n instanceof D.Position)return R.Position.from(n);if(n instanceof D.Range)return R.Range.from(n);if(n instanceof D.Location)return R.location.from(n);if(!Array.isArray(n))return n});try{const n=await this._proxy.$executeCommand(t,o,s);return i.revive(n)}catch(n){if(n instanceof Error&&n.message==="$executeCommand:retry")return this._doExecuteCommand(t,r,!1);throw n}}}async _executeContributedCommand(t,r){const s=this._commands.get(t);if(!s)throw new Error("Unknown command");let{callback:o,thisArg:n,description:d}=s;if(d)for(let w=0;w<d.args.length;w++)try{v.validateConstraint(r[w],d.args[w].constraint)}catch(E){throw new Error(`Running the contributed command: '${t}' failed. Illegal argument '${d.args[w].name}' - ${d.args[w].description}`)}try{return await o.apply(n,r)}catch(w){if(t===this.converter.delegatingCommandId){const E=this.converter.getActualCommand(...r);E&&(t=E.command)}throw this._logService.error(w,t),new Error(`Running the contributed command: '${t}' failed.`)}}$executeContributedCommand(t,...r){return this._logService.trace("ExtHostCommands#$executeContributedCommand",t),this._commands.has(t)?(r=r.map(s=>this._argumentProcessors.reduce((o,n)=>n.processArgument(o),s)),this._executeContributedCommand(t,r)):Promise.reject(new Error(`Contributed command '${t}' does not exist.`))}getCommands(t=!1){return this._logService.trace("ExtHostCommands#getCommands",t),this._proxy.$getCommands().then(r=>(t&&(r=r.filter(s=>s[0]!=="_")),r))}$getContributedCommandHandlerDescriptions(){const t=Object.create(null);for(let[r,s]of this._commands){let{description:o}=s;o&&(t[r]=o)}return Promise.resolve(t)}};S=Ve([$e(0,m.IExtHostRpcService),$e(1,y.ILogService)],S),e.ExtHostCommands=S,e.IExtHostCommands=l.createDecorator("IExtHostCommands");class _{constructor(t,r,s){this._commands=t,this._lookupApiCommand=r,this._logService=s,this.delegatingCommandId=`_vscode_delegate_cmd_${Date.now().toString(36)}`,this._cache=new Map,this._cachIdPool=0,this._commands.registerCommand(!0,this.delegatingCommandId,this._executeConvertedCommand,this)}toInternal(t,r){if(!!t){const s={$ident:void 0,id:t.command,title:t.title,tooltip:t.tooltip};if(!t.command)return s;const o=this._lookupApiCommand(t.command);if(o)s.id=o.internalId,s.arguments=o.args.map((n,d)=>n.convert(t.arguments&&t.arguments[d]));else if(I.isNonEmptyArray(t.arguments)){const n=++this._cachIdPool;this._cache.set(n,t),r.add(f.toDisposable(()=>{this._cache.delete(n),this._logService.trace("CommandsConverter#DISPOSE",n)})),s.$ident=n,s.id=this.delegatingCommandId,s.arguments=[n],this._logService.trace("CommandsConverter#CREATE",t.command,n)}return s}}fromInternal(t){const r=C.ObjectIdentifier.of(t);return typeof r=="number"?this._cache.get(r):{command:t.id,title:t.title,arguments:t.arguments}}getActualCommand(...t){return this._cache.get(t[0])}_executeConvertedCommand(...t){const r=this.getActualCommand(...t);return this._logService.trace("CommandsConverter#EXECUTE",t[0],r?r.command:"MISSING"),r?this._commands.executeCommand(r.command,...r.arguments||[]):Promise.reject("actual command NOT FOUND")}}e.CommandsConverter=_;class g{constructor(t,r,s,o){this.name=t,this.description=r,this.validate=s,this.convert=o}optional(){return new g(this.name,`(optional) ${this.description}`,t=>t==null||this.validate(t),t=>t===void 0?void 0:t===null?null:this.convert(t))}with(t,r){return new g(t!=null?t:this.name,r!=null?r:this.description,this.validate,this.convert)}}e.ApiCommandArgument=g,g.Uri=new g("uri","Uri of a text document",c=>p.URI.isUri(c),c=>c),g.Position=new g("position","A position in a text document",c=>D.Position.isPosition(c),R.Position.from),g.Range=new g("range","A range in a text document",c=>D.Range.isRange(c),R.Range.from),g.Selection=new g("selection","A selection in a text document",c=>D.Selection.isSelection(c),R.Selection.from),g.Number=new g("number","",c=>typeof c=="number",c=>c),g.String=new g("string","",c=>typeof c=="string",c=>c),g.CallHierarchyItem=new g("item","A call hierarchy item",c=>c instanceof D.CallHierarchyItem,R.CallHierarchyItem.to);class a{constructor(t,r){this.description=t,this.convert=r}}e.ApiCommandResult=a,a.Void=new a("no result",c=>c);class u{constructor(t,r,s,o,n){this.id=t,this.internalId=r,this.description=s,this.args=o,this.result=n}}e.ApiCommand=u}),define(ge[232],pe([0,1,5,20,8,81,53,197,12,105]),function(Q,e,v,D,R,P,C,I,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostApiCommands=void 0;const T=[new C.ApiCommand("vscode.executeDocumentHighlights","_executeDocumentHighlights","Execute document highlight provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of SymbolInformation and DocumentSymbol instances.",p(D.DocumentHighlight.to))),new C.ApiCommand("vscode.executeDocumentSymbolProvider","_executeDocumentSymbolProvider","Execute document symbol provider.",[C.ApiCommandArgument.Uri],new C.ApiCommandResult("A promise that resolves to an array of DocumentHighlight-instances.",(l,m)=>{if(!y.isFalsyOrEmpty(l)){class S extends R.SymbolInformation{static to(g){const a=new S(g.name,D.SymbolKind.to(g.kind),g.containerName||"",new R.Location(m[0],D.Range.to(g.range)));return a.detail=g.detail,a.range=a.location.range,a.selectionRange=D.Range.to(g.selectionRange),a.children=g.children?g.children.map(S.to):[],a}}return l.map(S.to)}})),new C.ApiCommand("vscode.executeFormatDocumentProvider","_executeFormatDocumentProvider","Execute document format provider.",[C.ApiCommandArgument.Uri,new C.ApiCommandArgument("options","Formatting options",l=>!0,l=>l)],new C.ApiCommandResult("A promise that resolves to an array of TextEdits.",p(D.TextEdit.to))),new C.ApiCommand("vscode.executeFormatRangeProvider","_executeFormatRangeProvider","Execute range format provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Range,new C.ApiCommandArgument("options","Formatting options",l=>!0,l=>l)],new C.ApiCommandResult("A promise that resolves to an array of TextEdits.",p(D.TextEdit.to))),new C.ApiCommand("vscode.executeFormatOnTypeProvider","_executeFormatOnTypeProvider","Execute format on type provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position,new C.ApiCommandArgument("ch","Trigger character",l=>typeof l=="string",l=>l),new C.ApiCommandArgument("options","Formatting options",l=>!0,l=>l)],new C.ApiCommandResult("A promise that resolves to an array of TextEdits.",p(D.TextEdit.to))),new C.ApiCommand("vscode.executeDefinitionProvider","_executeDefinitionProvider","Execute all definition providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",f)),new C.ApiCommand("vscode.executeTypeDefinitionProvider","_executeTypeDefinitionProvider","Execute all type definition providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",f)),new C.ApiCommand("vscode.executeDeclarationProvider","_executeDeclarationProvider","Execute all declaration providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",f)),new C.ApiCommand("vscode.executeImplementationProvider","_executeImplementationProvider","Execute all implementation providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Location or LocationLink instances.",f)),new C.ApiCommand("vscode.executeReferenceProvider","_executeReferenceProvider","Execute all reference providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Location-instances.",p(D.location.to))),new C.ApiCommand("vscode.executeHoverProvider","_executeHoverProvider","Execute all hover providers.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A promise that resolves to an array of Hover-instances.",p(D.Hover.to))),new C.ApiCommand("vscode.executeSelectionRangeProvider","_executeSelectionRangeProvider","Execute selection range provider.",[C.ApiCommandArgument.Uri,new C.ApiCommandArgument("position","A position in a text document",l=>Array.isArray(l)&&l.every(m=>R.Position.isPosition(m)),l=>l.map(D.Position.from))],new C.ApiCommandResult("A promise that resolves to an array of ranges.",l=>l.map(m=>{let S;for(const _ of m.reverse())S=new R.SelectionRange(D.Range.to(_),S);return S}))),new C.ApiCommand("vscode.executeWorkspaceSymbolProvider","_executeWorkspaceSymbolProvider","Execute all workspace symbol providers.",[C.ApiCommandArgument.String.with("query","Search string")],new C.ApiCommandResult("A promise that resolves to an array of SymbolInformation-instances.",l=>{const m=[];if(Array.isArray(l))for(let S of l)m.push(...S[1].map(D.WorkspaceSymbol.to));return m})),new C.ApiCommand("vscode.prepareCallHierarchy","_executePrepareCallHierarchy","Prepare call hierarchy at a position inside a document",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position],new C.ApiCommandResult("A CallHierarchyItem or undefined",l=>l.map(D.CallHierarchyItem.to))),new C.ApiCommand("vscode.provideIncomingCalls","_executeProvideIncomingCalls","Compute incoming calls for an item",[C.ApiCommandArgument.CallHierarchyItem],new C.ApiCommandResult("A CallHierarchyItem or undefined",l=>l.map(D.CallHierarchyIncomingCall.to))),new C.ApiCommand("vscode.provideOutgoingCalls","_executeProvideOutgoingCalls","Compute outgoing calls for an item",[C.ApiCommandArgument.CallHierarchyItem],new C.ApiCommandResult("A CallHierarchyItem or undefined",l=>l.map(D.CallHierarchyOutgoingCall.to))),new C.ApiCommand("vscode.executeDocumentRenameProvider","_executeDocumentRenameProvider","Execute rename provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position,C.ApiCommandArgument.String.with("newName","The new symbol name")],new C.ApiCommandResult("A promise that resolves to a WorkspaceEdit.",l=>{if(!!l){if(l.rejectReason)throw new Error(l.rejectReason);return D.WorkspaceEdit.to(l)}})),new C.ApiCommand("vscode.executeLinkProvider","_executeLinkProvider","Execute document link provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Number.with("linkResolveCount","Number of links that should be resolved, only when links are unresolved.").optional()],new C.ApiCommandResult("A promise that resolves to an array of DocumentLink-instances.",l=>l.map(D.DocumentLink.to))),new C.ApiCommand("vscode.provideDocumentSemanticTokensLegend","_provideDocumentSemanticTokensLegend","Provide semantic tokens legend for a document",[C.ApiCommandArgument.Uri],new C.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",l=>{if(!!l)return new R.SemanticTokensLegend(l.tokenTypes,l.tokenModifiers)})),new C.ApiCommand("vscode.provideDocumentSemanticTokens","_provideDocumentSemanticTokens","Provide semantic tokens for a document",[C.ApiCommandArgument.Uri],new C.ApiCommandResult("A promise that resolves to SemanticTokens.",l=>{if(!!l){const m=i.decodeSemanticTokensDto(l);if(m.type==="full")return new R.SemanticTokens(m.data,void 0)}})),new C.ApiCommand("vscode.provideDocumentRangeSemanticTokensLegend","_provideDocumentRangeSemanticTokensLegend","Provide semantic tokens legend for a document range",[C.ApiCommandArgument.Uri],new C.ApiCommandResult("A promise that resolves to SemanticTokensLegend.",l=>{if(!!l)return new R.SemanticTokensLegend(l.tokenTypes,l.tokenModifiers)})),new C.ApiCommand("vscode.provideDocumentRangeSemanticTokens","_provideDocumentRangeSemanticTokens","Provide semantic tokens for a document range",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Range],new C.ApiCommandResult("A promise that resolves to SemanticTokens.",l=>{if(!!l){const m=i.decodeSemanticTokensDto(l);if(m.type==="full")return new R.SemanticTokens(m.data,void 0)}})),new C.ApiCommand("vscode.executeCompletionItemProvider","_executeCompletionItemProvider","Execute completion item provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position,C.ApiCommandArgument.String.with("triggerCharacter","Trigger completion when the user types the character, like `,` or `(`").optional(),C.ApiCommandArgument.Number.with("itemResolveCount","Number of completions to resolve (too large numbers slow down completions)").optional()],new C.ApiCommandResult("A promise that resolves to a CompletionList-instance.",(l,m,S)=>{if(!l)return new R.CompletionList([]);const _=l.suggestions.map(g=>D.CompletionItem.to(g,S));return new R.CompletionList(_,l.incomplete)})),new C.ApiCommand("vscode.executeSignatureHelpProvider","_executeSignatureHelpProvider","Execute signature help provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Position,C.ApiCommandArgument.String.with("triggerCharacter","Trigger signature help when the user types the character, like `,` or `(`").optional()],new C.ApiCommandResult("A promise that resolves to SignatureHelp.",l=>{if(l)return D.SignatureHelp.to(l)})),new C.ApiCommand("vscode.executeCodeLensProvider","_executeCodeLensProvider","Execute code lens provider.",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Number.with("itemResolveCount","Number of lenses that should be resolved and returned. Will only return resolved lenses, will impact performance)").optional()],new C.ApiCommandResult("A promise that resolves to an array of CodeLens-instances.",(l,m,S)=>p(_=>new R.CodeLens(D.Range.to(_.range),_.command&&S.fromInternal(_.command)))(l))),new C.ApiCommand("vscode.executeCodeActionProvider","_executeCodeActionProvider","Execute code action provider.",[C.ApiCommandArgument.Uri,new C.ApiCommandArgument("rangeOrSelection","Range in a text document. Some refactoring provider requires Selection object.",l=>R.Range.isRange(l),l=>R.Selection.isSelection(l)?D.Selection.from(l):D.Range.from(l)),C.ApiCommandArgument.String.with("kind","Code action kind to return code actions for").optional(),C.ApiCommandArgument.Number.with("itemResolveCount","Number of code actions to resolve (too large numbers slow down code actions)").optional()],new C.ApiCommandResult("A promise that resolves to an array of Command-instances.",(l,m,S)=>p(_=>{if(_._isSynthetic){if(!_.command)throw new Error("Synthetic code actions must have a command");return S.fromInternal(_.command)}else{const g=new R.CodeAction(_.title,_.kind?new R.CodeActionKind(_.kind):void 0);return _.edit&&(g.edit=D.WorkspaceEdit.to(_.edit)),_.command&&(g.command=S.fromInternal(_.command)),g.isPreferred=_.isPreferred,g}})(l))),new C.ApiCommand("vscode.executeDocumentColorProvider","_executeDocumentColorProvider","Execute document color provider.",[C.ApiCommandArgument.Uri],new C.ApiCommandResult("A promise that resolves to an array of ColorInformation objects.",l=>l?l.map(m=>new R.ColorInformation(D.Range.to(m.range),D.Color.to(m.color))):[])),new C.ApiCommand("vscode.executeColorPresentationProvider","_executeColorPresentationProvider","Execute color presentation provider.",[new C.ApiCommandArgument("color","The color to show and insert",l=>l instanceof R.Color,D.Color.from),new C.ApiCommandArgument("context","Context object with uri and range",l=>!0,l=>({uri:l.uri,range:D.Range.from(l.range)}))],new C.ApiCommandResult("A promise that resolves to an array of ColorPresentation objects.",l=>l?l.map(D.ColorPresentation.to):[])),new C.ApiCommand("vscode.executeInlineHintProvider","_executeInlineHintProvider","Execute inline hints provider",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Range],new C.ApiCommandResult("A promise that resolves to an array of InlineHint objects",l=>l.map(D.InlineHint.to))),new C.ApiCommand("vscode.resolveNotebookContentProviders","_resolveNotebookContentProvider","Resolve Notebook Content Providers",[],new C.ApiCommandResult("A promise that resolves to an array of NotebookContentProvider static info objects.",p(l=>({viewType:l.viewType,displayName:l.displayName,options:{transientOutputs:l.options.transientOutputs,transientMetadata:l.options.transientMetadata},filenamePattern:l.filenamePattern.map(m=>D.NotebookExclusiveDocumentPattern.to(m))})))),new C.ApiCommand("vscode.executeInlineValueProvider","_executeInlineValueProvider","Execute inline value provider",[C.ApiCommandArgument.Uri,C.ApiCommandArgument.Range],new C.ApiCommandResult("A promise that resolves to an array of InlineValue objects",l=>l.map(D.InlineValue.to))),new C.ApiCommand("vscode.open","_workbench.open","Opens the provided resource in the editor. Can be a text or binary file, or an http(s) URL. If you need more control over the options for opening a text file, use vscode.window.showTextDocument instead.",[C.ApiCommandArgument.Uri,new C.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",l=>l===void 0||typeof l=="number"||typeof l=="object",l=>l&&(typeof l=="number"?[l,void 0]:[D.ViewColumn.from(l.viewColumn),D.TextEditorOpenOptions.from(l)])).optional(),C.ApiCommandArgument.String.with("label","").optional()],C.ApiCommandResult.Void),new C.ApiCommand("vscode.openWith","_workbench.openWith","Opens the provided resource with a specific editor.",[C.ApiCommandArgument.Uri.with("resource","Resource to open"),C.ApiCommandArgument.String.with("viewId","Custom editor view id or 'default' to use VS Code's default editor"),new C.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",l=>l===void 0||typeof l=="number"||typeof l=="object",l=>l&&(typeof l=="number"?[l,void 0]:[D.ViewColumn.from(l.viewColumn),D.TextEditorOpenOptions.from(l)])).optional()],C.ApiCommandResult.Void),new C.ApiCommand("vscode.diff","_workbench.diff","Opens the provided resources in the diff editor to compare their contents.",[C.ApiCommandArgument.Uri.with("left","Left-hand side resource of the diff editor"),C.ApiCommandArgument.Uri.with("right","Right-hand side resource of the diff editor"),C.ApiCommandArgument.String.with("title","Human readable title for the diff editor").optional(),new C.ApiCommandArgument("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",l=>l===void 0||typeof l=="object",l=>l&&[D.ViewColumn.from(l.viewColumn),D.TextEditorOpenOptions.from(l)]).optional()],C.ApiCommandResult.Void)];class k{constructor(m){this._disposables=new v.DisposableStore,this._commands=m}static register(m){return T.forEach(m.registerApiCommand,m),new k(m).registerCommands()}registerCommands(){const m=S=>(..._)=>S(this._commands,..._);this._register(I.RemoveFromRecentlyOpenedAPICommand.ID,m(I.RemoveFromRecentlyOpenedAPICommand.execute),{description:"Removes an entry with the given path from the recently opened list.",args:[{name:"path",description:"Path to remove from recently opened.",constraint:S=>typeof S=="string"}]}),this._register(I.OpenIssueReporter.ID,m(I.OpenIssueReporter.execute),{description:"Opens the issue reporter with the provided extension id as the selected source",args:[{name:"extensionId",description:"extensionId to report an issue on",constraint:S=>typeof S=="string"||typeof S=="object"&&typeof S.extensionId=="string"}]})}_register(m,S,_){const g=this._commands.registerCommand(!1,m,S,this,_);this._disposables.add(g)}}e.ExtHostApiCommands=k;function p(l){return m=>{if(Array.isArray(m))return m.map(l)}}function f(l){if(!!Array.isArray(l)){const m=[];for(const S of l)P.isLocationLink(S)?m.push(D.DefinitionLink.to(S)):m.push(D.location.to(S));return m}}}),define(ge[233],pe([0,1,19,56,3,5,2,81,30,20,8,6]),function(Q,e,v,D,R,P,C,I,y,i,T,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCommentThread=e.ExtHostComments=void 0;class p{constructor(u,c,t){this._documents=t,this._commentControllers=new Map,this._commentControllersByExtension=new Map,this._proxy=u.getProxy(k.MainContext.MainThreadComments),c.registerArgumentProcessor({processArgument:r=>{if(r&&r.$mid===6){const s=this._commentControllers.get(r.handle);return s||r}else if(r&&r.$mid===7){const s=this._commentControllers.get(r.commentControlHandle);if(!s)return r;const o=s.getCommentThread(r.commentThreadHandle);return o||r}else if(r&&r.$mid===8){const s=this._commentControllers.get(r.thread.commentControlHandle);if(!s)return r;const o=s.getCommentThread(r.thread.commentThreadHandle);return o?{thread:o,text:r.text}:r}else if(r&&r.$mid===9){const s=this._commentControllers.get(r.thread.commentControlHandle);if(!s)return r;const o=s.getCommentThread(r.thread.commentThreadHandle);if(!o)return r;let n=r.commentUniqueId,d=o.getCommentByUniqueId(n);return d||r}else if(r&&r.$mid===10){const s=this._commentControllers.get(r.thread.commentControlHandle);if(!s)return r;const o=s.getCommentThread(r.thread.commentThreadHandle);if(!o)return r;let n=r.text,d=r.commentUniqueId,w=o.getCommentByUniqueId(d);return w?(w.body=n,w):r}return r}})}createCommentController(u,c,t){const r=p.handlePool++,s=new l(u,r,this._proxy,c,t);this._commentControllers.set(s.handle,s);const o=this._commentControllersByExtension.get(y.ExtensionIdentifier.toKey(u.identifier))||[];return o.push(s),this._commentControllersByExtension.set(y.ExtensionIdentifier.toKey(u.identifier),o),s}$createCommentThreadTemplate(u,c,t){const r=this._commentControllers.get(u);!r||r.$createCommentThreadTemplate(c,t)}async $updateCommentThreadTemplate(u,c,t){const r=this._commentControllers.get(u);!r||r.$updateCommentThreadTemplate(c,t)}$deleteCommentThread(u,c){const t=this._commentControllers.get(u);t&&t.$deleteCommentThread(c)}$provideCommentingRanges(u,c,t){const r=this._commentControllers.get(u);if(!r||!r.commentingRangeProvider)return Promise.resolve(void 0);const s=this._documents.getDocument(C.URI.revive(c));return v.asPromise(()=>r.commentingRangeProvider.provideCommentingRanges(s,t)).then(o=>o?o.map(n=>i.Range.from(n)):void 0)}$toggleReaction(u,c,t,r,s){const o=this._commentControllers.get(u);return!o||!o.reactionHandler?Promise.resolve(void 0):v.asPromise(()=>{const n=o.getCommentThread(c);if(n){const d=n.getCommentByUniqueId(r.uniqueIdInThread);if(o!==void 0&&d&&o.reactionHandler)return o.reactionHandler(d,_(s))}return Promise.resolve(void 0)})}dispose(){}}e.ExtHostComments=p,p.handlePool=0;class f{constructor(u,c,t,r,s,o,n){this._proxy=u,this._commentController=c,this._id=t,this._uri=r,this._range=s,this._comments=o,this.handle=f._handlePool++,this.commentHandle=0,this.modifications=Object.create(null),this._onDidUpdateCommentThread=new R.Emitter,this.onDidUpdateCommentThread=this._onDidUpdateCommentThread.event,this._canReply=!0,this._commentsMap=new Map,this._acceptInputDisposables=new P.MutableDisposable,this._acceptInputDisposables.value=new P.DisposableStore,this._id===void 0&&(this._id=`${c.id}.${this.handle}`),this._proxy.$createCommentThread(this._commentController.handle,this.handle,this._id,this._uri,i.Range.from(this._range),n),this._localDisposables=[],this._isDiposed=!1,this._localDisposables.push(this.onDidUpdateCommentThread(()=>{this.eventuallyUpdateCommentThread()})),this.comments=o}set threadId(u){this._id=u}get threadId(){return this._id}get id(){return this._id}get resource(){return this._uri}get uri(){return this._uri}set range(u){u.isEqual(this._range)||(this._range=u,this.modifications.range=u,this._onDidUpdateCommentThread.fire())}get range(){return this._range}set canReply(u){this._canReply!==u&&(this._canReply=u,this.modifications.canReply=u,this._onDidUpdateCommentThread.fire())}get canReply(){return this._canReply}get label(){return this._label}set label(u){this._label=u,this.modifications.label=u,this._onDidUpdateCommentThread.fire()}get contextValue(){return this._contextValue}set contextValue(u){this._contextValue=u,this.modifications.contextValue=u,this._onDidUpdateCommentThread.fire()}get comments(){return this._comments}set comments(u){this._comments=u,this.modifications.comments=u,this._onDidUpdateCommentThread.fire()}get collapsibleState(){return this._collapseState}set collapsibleState(u){this._collapseState=u,this.modifications.collapsibleState=u,this._onDidUpdateCommentThread.fire()}get isDisposed(){return this._isDiposed}eventuallyUpdateCommentThread(){if(!this._isDiposed){this._acceptInputDisposables.value||(this._acceptInputDisposables.value=new P.DisposableStore);const u=t=>Object.prototype.hasOwnProperty.call(this.modifications,t),c={};u("range")&&(c.range=i.Range.from(this._range)),u("label")&&(c.label=this.label),u("contextValue")&&(c.contextValue=this.contextValue),u("comments")&&(c.comments=this._comments.map(t=>m(this,this._commentController,t,this._commentsMap))),u("collapsibleState")&&(c.collapseState=g(this._collapseState)),u("canReply")&&(c.canReply=this.canReply),this.modifications={},this._proxy.$updateCommentThread(this._commentController.handle,this.handle,this._id,this._uri,c)}}getCommentByUniqueId(u){for(let c of this._commentsMap){let t=c[0],r=c[1];if(u===r)return t}}dispose(){this._isDiposed=!0,this._acceptInputDisposables.dispose(),this._localDisposables.forEach(u=>u.dispose()),this._proxy.$deleteCommentThread(this._commentController.handle,this.handle)}}f._handlePool=0,Ve([D.debounce(100)],f.prototype,"eventuallyUpdateCommentThread",null),e.ExtHostCommentThread=f;class l{constructor(u,c,t,r,s){this._extension=u,this._handle=c,this._proxy=t,this._id=r,this._label=s,this._threads=new Map,this._proxy.$registerCommentController(this.handle,r,s)}get id(){return this._id}get label(){return this._label}get handle(){return this._handle}get reactionHandler(){return this._reactionHandler}set reactionHandler(u){this._reactionHandler=u,this._proxy.$updateCommentControllerFeatures(this.handle,{reactionHandler:!!u})}get options(){return this._options}set options(u){this._options=u,this._proxy.$updateCommentControllerFeatures(this.handle,{options:this._options})}createCommentThread(u,c,t,r){if(typeof u=="string"){const s=new f(this._proxy,this,u,c,t,r,this._extension.identifier);return this._threads.set(s.handle,s),s}else{const s=new f(this._proxy,this,void 0,u,c,t,this._extension.identifier);return this._threads.set(s.handle,s),s}}$createCommentThreadTemplate(u,c){const t=new f(this._proxy,this,void 0,C.URI.revive(u),i.Range.to(c),[],this._extension.identifier);return t.collapsibleState=I.CommentThreadCollapsibleState.Expanded,this._threads.set(t.handle,t),t}$updateCommentThreadTemplate(u,c){let t=this._threads.get(u);t&&(t.range=i.Range.to(c))}$deleteCommentThread(u){let c=this._threads.get(u);c&&c.dispose(),this._threads.delete(u)}getCommentThread(u){return this._threads.get(u)}dispose(){this._threads.forEach(u=>{u.dispose()}),this._proxy.$unregisterCommentController(this.handle)}}function m(a,u,c,t){let r=t.get(c);r||(r=++a.commentHandle,t.set(c,r));const s=c.author&&c.author.iconPath?c.author.iconPath.toString():void 0;return{mode:c.mode,contextValue:c.contextValue,uniqueIdInThread:r,body:i.MarkdownString.from(c.body),userName:c.author.name,userIconPath:s,label:c.label,commentReactions:c.reactions?c.reactions.map(o=>S(o)):void 0}}function S(a){return{label:a.label,iconPath:a.iconPath?i.pathOrURIToURI(a.iconPath):void 0,count:a.count,hasReacted:a.authorHasReacted}}function _(a){return{label:a.label||"",count:a.count||0,iconPath:a.iconPath?C.URI.revive(a.iconPath):"",authorHasReacted:a.hasReacted||!1}}function g(a){if(a!==void 0)switch(a){case T.CommentThreadCollapsibleState.Expanded:return I.CommentThreadCollapsibleState.Expanded;case T.CommentThreadCollapsibleState.Collapsed:return I.CommentThreadCollapsibleState.Collapsed}return I.CommentThreadCollapsibleState.Collapsed}}),define(ge[121],pe([0,1,2,6,8,4,14,11,12,10,7]),function(Q,e,v,D,R,P,C,I,y,i,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDecorations=e.ExtHostDecorations=void 0;let k=class an{constructor(f,l){this._logService=l,this._provider=new Map,this._proxy=f.getProxy(D.MainContext.MainThreadDecorations)}registerFileDecorationProvider(f,l){const m=an._handlePool++;this._provider.set(m,{provider:f,extensionId:l}),this._proxy.$registerDecorationProvider(m,l.value);const S=f.onDidChangeFileDecorations&&f.onDidChangeFileDecorations(_=>{if(!_){this._proxy.$onDidChange(m,null);return}let g=y.asArray(_);if(g.length<=an._maxEventSize){this._proxy.$onDidChange(m,g);return}this._logService.warn("[Decorations] CAPPING events from decorations provider",l.value,g.length);const a=g.map(t=>({uri:t,rank:i.count(t.path,"/")})),u=y.groupBy(a,(t,r)=>t.rank-r.rank||i.compare(t.uri.path,r.uri.path));let c=[];e:for(let t of u){let r;for(let s of t){let o=T.dirname(s.uri.path);if(r!==o&&(r=o,c.push(s.uri)>=an._maxEventSize))break e}}this._proxy.$onDidChange(m,c)});return new R.Disposable(()=>{S==null||S.dispose(),this._proxy.$unregisterDecorationProvider(m),this._provider.delete(m)})}async $provideDecorations(f,l,m){if(!this._provider.has(f))return Object.create(null);const S=Object.create(null),{provider:_,extensionId:g}=this._provider.get(f);return await Promise.all(l.map(async a=>{try{const{uri:u,id:c}=a,t=await Promise.resolve(_.provideFileDecoration(v.URI.revive(u),m));if(!t)return;try{R.FileDecoration.validate(t),S[c]=[t.propagate,t.tooltip,t.badge,t.color]}catch(r){this._logService.warn(`INVALID decoration from extension '${g.value}': ${r}`)}}catch(u){this._logService.error(u)}})),S}};k._handlePool=0,k._maxEventSize=250,k=Ve([$e(0,C.IExtHostRpcService),$e(1,I.ILogService)],k),e.ExtHostDecorations=k,e.IExtHostDecorations=P.createDecorator("IExtHostDecorations")}),define(ge[234],pe([0,1,157,109,2,6,8,20,12,3,11,22]),function(Q,e,v,D,R,P,C,I,y,i,T,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDiagnostics=e.DiagnosticCollection=void 0;class p{constructor(m,S,_,g,a){this._name=m,this._owner=S,this._maxDiagnosticsPerFile=_,this._proxy=g,this._onDidChangeDiagnostics=a,this._isDisposed=!1,this._data=new k.ResourceMap}dispose(){this._isDisposed||(this._onDidChangeDiagnostics.fire([...this._data.keys()]),this._proxy&&this._proxy.$clear(this._owner),this._data=void 0,this._isDisposed=!0)}get name(){return this._checkDisposed(),this._name}set(m,S){if(!m){this.clear();return}this._checkDisposed();let _=[];if(R.URI.isUri(m)){if(!S){this.delete(m);return}this._data.set(m,S.slice()),_=[m]}else if(Array.isArray(m)){_=[];let a;m=y.mergeSort([...m],p._compareIndexedTuplesByUri);for(const u of m){const[c,t]=u;if((!a||c.toString()!==a.toString())&&(a&&this._data.get(a).length===0&&this._data.delete(a),a=c,_.push(c),this._data.set(c,[])),t){const r=this._data.get(c);r&&r.push(...t)}else{const r=this._data.get(c);r&&(r.length=0)}}}if(this._onDidChangeDiagnostics.fire(_),!!this._proxy){const g=[];for(let a of _){let u=[];const c=this._data.get(a);if(c)if(c.length>this._maxDiagnosticsPerFile){u=[];const t=[C.DiagnosticSeverity.Error,C.DiagnosticSeverity.Warning,C.DiagnosticSeverity.Information,C.DiagnosticSeverity.Hint];e:for(let r=0;r<4;r++)for(let s of c)if(s.severity===t[r]&&u.push(I.Diagnostic.from(s))===this._maxDiagnosticsPerFile)break e;u.push({severity:D.MarkerSeverity.Info,message:v.localize(0,null,c.length-this._maxDiagnosticsPerFile),startLineNumber:u[u.length-1].startLineNumber,startColumn:u[u.length-1].startColumn,endLineNumber:u[u.length-1].endLineNumber,endColumn:u[u.length-1].endColumn})}else u=c.map(t=>I.Diagnostic.from(t));g.push([a,u])}this._proxy.$changeMany(this._owner,g)}}delete(m){this._checkDisposed(),this._onDidChangeDiagnostics.fire([m]),this._data.delete(m),this._proxy&&this._proxy.$changeMany(this._owner,[[m,void 0]])}clear(){this._checkDisposed(),this._onDidChangeDiagnostics.fire([...this._data.keys()]),this._data.clear(),this._proxy&&this._proxy.$clear(this._owner)}forEach(m,S){this._checkDisposed();for(let _ of this._data.keys())m.apply(S,[_,this.get(_),this])}get(m){this._checkDisposed();const S=this._data.get(m);return Array.isArray(S)?Object.freeze(S.slice(0)):[]}has(m){return this._checkDisposed(),Array.isArray(this._data.get(m))}_checkDisposed(){if(this._isDisposed)throw new Error("illegal state - object is disposed")}static _compareIndexedTuplesByUri(m,S){return m[0].toString()<S[0].toString()?-1:m[0].toString()>S[0].toString()?1:0}}e.DiagnosticCollection=p;let f=class Bt{constructor(m,S){this._logService=S,this._collections=new Map,this._onDidChangeDiagnostics=new i.Emitter,this.onDidChangeDiagnostics=i.Event.map(i.Event.debounce(this._onDidChangeDiagnostics.event,Bt._debouncer,50),Bt._mapper),this._proxy=m.getProxy(P.MainContext.MainThreadDiagnostics)}static _debouncer(m,S){return m?m.concat(S):S}static _mapper(m){const S=[],_=new Set;for(const g of m)typeof g=="string"?_.has(g)||(_.add(g),S.push(R.URI.parse(g))):_.has(g.toString())||(_.add(g.toString()),S.push(g));return Object.freeze(S),{uris:S}}createDiagnosticCollection(m,S){const{_collections:_,_proxy:g,_onDidChangeDiagnostics:a,_logService:u}=this,c=new class{$changeMany(s,o){g.$changeMany(s,o),u.trace("[DiagnosticCollection] change many (extension, owner, uris)",m.value,s,o.length===0?"CLEARING":o)}$clear(s){g.$clear(s),u.trace("[DiagnosticCollection] remove all (extension, owner)",m.value,s)}dispose(){g.dispose()}};let t;if(!S)S="_generated_diagnostic_collection_name_#"+Bt._idPool++,t=S;else if(!_.has(S))t=S;else{this._logService.warn(`DiagnosticCollection with name '${S}' does already exist.`);do t=S+Bt._idPool++;while(_.has(t))}return new class extends p{constructor(){super(S,t,Bt._maxDiagnosticsPerFile,c,a);_.set(t,this)}dispose(){super.dispose(),_.delete(t)}}}getDiagnostics(m){if(m)return this._getDiagnostics(m);{const S=new Map,_=[];for(const g of this._collections.values())g.forEach((a,u)=>{let c=S.get(a.toString());typeof c=="undefined"&&(c=_.length,S.set(a.toString(),c),_.push([a,[]])),_[c][1]=_[c][1].concat(...u)});return _}}_getDiagnostics(m){let S=[];for(let _ of this._collections.values())_.has(m)&&(S=S.concat(_.get(m)));return S}$acceptMarkersChange(m){if(!this._mirrorCollection){const S="_generated_mirror",_=new p(S,S,Bt._maxDiagnosticsPerFile,void 0,this._onDidChangeDiagnostics);this._collections.set(S,_),this._mirrorCollection=_}for(const[S,_]of m)this._mirrorCollection.set(R.URI.revive(S),_.map(I.Diagnostic.to))}};f._idPool=0,f._maxDiagnosticsPerFile=1e3,f=Ve([$e(1,T.ILogService)],f),e.ExtHostDiagnostics=f}),define(ge[235],pe([0,1,2,6]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDialogs=void 0;class R{constructor(C){this._proxy=C.getProxy(D.MainContext.MainThreadDialogs)}showOpenDialog(C){return this._proxy.$showOpenDialog(C).then(I=>I?I.map(y=>v.URI.revive(y)):void 0)}showSaveDialog(C){return this._proxy.$showSaveDialog(C).then(I=>I?v.URI.revive(I):void 0)}}e.ExtHostDialogs=R}),define(ge[236],pe([0,1,15,2,8,6,13,21,10]),function(Q,e,v,D,R,P,C,I,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocumentContentProvider=void 0;class i{constructor(k,p,f){this._documentsAndEditors=p,this._logService=f,this._documentContentProviders=new Map,this._proxy=k.getProxy(P.MainContext.MainThreadDocumentContentProviders)}registerTextDocumentContentProvider(k,p){if(Object.keys(C.Schemas).indexOf(k)>=0)throw new Error(`scheme '${k}' already registered`);const f=i._handlePool++;this._documentContentProviders.set(f,p),this._proxy.$registerTextContentProvider(f,k);let l;return typeof p.onDidChange=="function"&&(l=p.onDidChange(m=>{if(m.scheme!==k){this._logService.warn(`Provider for scheme '${k}' is firing event for schema '${m.scheme}' which will be IGNORED`);return}this._documentsAndEditors.getDocument(m)&&this.$provideTextDocumentContent(f,m).then(S=>{if(!(!S&&typeof S!="string")){const _=this._documentsAndEditors.getDocument(m);if(!!_){const g=y.splitLines(S);if(!_.equalLines(g))return this._proxy.$onVirtualDocumentChange(m,S)}}},v.onUnexpectedError)})),new R.Disposable(()=>{this._documentContentProviders.delete(f)&&this._proxy.$unregisterTextContentProvider(f),l&&(l.dispose(),l=void 0)})}$provideTextDocumentContent(k,p){const f=this._documentContentProviders.get(k);return f?Promise.resolve(f.provideTextDocumentContent(D.URI.revive(p),I.CancellationToken.None)):Promise.reject(new Error(`unsupported uri-scheme: ${p.scheme}`))}}e.ExtHostDocumentContentProvider=i,i._handlePool=0}),define(ge[237],pe([0,1,3,5,2,6,118,20,16,23]),function(Q,e,v,D,R,P,C,I,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDocuments=void 0;class T{constructor(p,f){this._onDidAddDocument=new v.Emitter,this._onDidRemoveDocument=new v.Emitter,this._onDidChangeDocument=new v.Emitter,this._onDidSaveDocument=new v.Emitter,this.onDidAddDocument=this._onDidAddDocument.event,this.onDidRemoveDocument=this._onDidRemoveDocument.event,this.onDidChangeDocument=this._onDidChangeDocument.event,this.onDidSaveDocument=this._onDidSaveDocument.event,this._toDispose=new D.DisposableStore,this._documentLoader=new Map,this._proxy=p.getProxy(P.MainContext.MainThreadDocuments),this._documentsAndEditors=f,this._documentsAndEditors.onDidRemoveDocuments(l=>{for(const m of l)this._onDidRemoveDocument.fire(m.document)},void 0,this._toDispose),this._documentsAndEditors.onDidAddDocuments(l=>{for(const m of l)this._onDidAddDocument.fire(m.document)},void 0,this._toDispose)}dispose(){this._toDispose.dispose()}getAllDocumentData(){return[...this._documentsAndEditors.allDocuments()]}getDocumentData(p){if(!!p){const f=this._documentsAndEditors.getDocument(p);if(f)return f}}getDocument(p){const f=this.getDocumentData(p);if(!(f==null?void 0:f.document))throw new Error(`Unable to retrieve document from URI '${p}'`);return f.document}ensureDocumentData(p){const f=this._documentsAndEditors.getDocument(p);if(f)return Promise.resolve(f);let l=this._documentLoader.get(p.toString());return l||(l=this._proxy.$tryOpenDocument(p).then(m=>{this._documentLoader.delete(p.toString());const S=R.URI.revive(m);return y.assertIsDefined(this._documentsAndEditors.getDocument(S))},m=>(this._documentLoader.delete(p.toString()),Promise.reject(m))),this._documentLoader.set(p.toString(),l)),l}createDocumentData(p){return this._proxy.$tryCreateDocument(p).then(f=>R.URI.revive(f))}$acceptModelModeChanged(p,f,l){const m=R.URI.revive(p),S=this._documentsAndEditors.getDocument(m);if(!S)throw new Error("unknown document");this._onDidRemoveDocument.fire(S.document),S._acceptLanguageId(l),this._onDidAddDocument.fire(S.document)}$acceptModelSaved(p){const f=R.URI.revive(p),l=this._documentsAndEditors.getDocument(f);if(!l)throw new Error("unknown document");this.$acceptDirtyStateChanged(p,!1),this._onDidSaveDocument.fire(l.document)}$acceptDirtyStateChanged(p,f){const l=R.URI.revive(p),m=this._documentsAndEditors.getDocument(l);if(!m)throw new Error("unknown document");m._acceptIsDirty(f),this._onDidChangeDocument.fire({document:m.document,contentChanges:[]})}$acceptModelChanged(p,f,l){const m=R.URI.revive(p),S=this._documentsAndEditors.getDocument(m);if(!S)throw new Error("unknown document");S._acceptIsDirty(l),S.onEvents(f),this._onDidChangeDocument.fire(i.deepFreeze({document:S.document,contentChanges:f.changes.map(_=>({range:I.Range.to(_.range),rangeOffset:_.rangeOffset,rangeLength:_.rangeLength,text:_.text}))}))}setWordDefinitionFor(p,f){C.setWordDefinitionFor(p,f)}}e.ExtHostDocuments=T}),define(ge[40],pe([0,1,54,3,5,2,4,6,118,14,119,20,11,22,13,72,130]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostDocumentsAndEditors=e.ExtHostDocumentsAndEditors=void 0;class _{constructor(u){this.value=u,this._count=0}ref(){this._count++}unref(){return--this._count==0}}let g=class{constructor(u,c){this._extHostRpc=u,this._logService=c,this._activeEditorId=null,this._editors=new Map,this._documents=new f.ResourceMap,this._onDidAddDocuments=new D.Emitter,this._onDidRemoveDocuments=new D.Emitter,this._onDidChangeVisibleTextEditors=new D.Emitter,this._onDidChangeActiveTextEditor=new D.Emitter,this.onDidAddDocuments=this._onDidAddDocuments.event,this.onDidRemoveDocuments=this._onDidRemoveDocuments.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event}$acceptDocumentsAndEditorsDelta(u){this.acceptDocumentsAndEditorsDelta(u)}acceptDocumentsAndEditorsDelta(u){const c=[],t=[],r=[];if(u.removedDocuments)for(const s of u.removedDocuments){const o=P.URI.revive(s),n=this._documents.get(o);(n==null?void 0:n.unref())&&(this._documents.delete(o),c.push(n.value))}if(u.addedDocuments)for(const s of u.addedDocuments){const o=P.URI.revive(s.uri);let n=this._documents.get(o);if(n&&o.scheme!==l.Schemas.vscodeNotebookCell)throw new Error(`document '${o} already exists!'`);n||(n=new _(new y.ExtHostDocumentData(this._extHostRpc.getProxy(I.MainContext.MainThreadDocuments),o,s.lines,s.EOL,s.versionId,s.modeId,s.isDirty,s.notebook)),this._documents.set(o,n),t.push(n.value)),n.ref()}if(u.removedEditors)for(const s of u.removedEditors){const o=this._editors.get(s);this._editors.delete(s),o&&r.push(o)}if(u.addedEditors)for(const s of u.addedEditors){const o=P.URI.revive(s.documentUri);v.ok(this._documents.has(o),`document '${o}' does not exist`),v.ok(!this._editors.has(s.id),`editor '${s.id}' already exists!`);const n=this._documents.get(o).value,d=new T.ExtHostTextEditor(s.id,this._extHostRpc.getProxy(I.MainContext.MainThreadTextEditors),this._logService,new S.Lazy(()=>n.document),s.selections.map(k.Selection.to),s.options,s.visibleRanges.map(w=>k.Range.to(w)),typeof s.editorPosition=="number"?k.ViewColumn.to(s.editorPosition):void 0);this._editors.set(s.id,d)}u.newActiveEditor!==void 0&&(v.ok(u.newActiveEditor===null||this._editors.has(u.newActiveEditor),`active editor '${u.newActiveEditor}' does not exist`),this._activeEditorId=u.newActiveEditor),R.dispose(c),R.dispose(r),u.removedDocuments&&this._onDidRemoveDocuments.fire(c),u.addedDocuments&&this._onDidAddDocuments.fire(t),(u.removedEditors||u.addedEditors)&&this._onDidChangeVisibleTextEditors.fire(this.allEditors().map(s=>s.value)),u.newActiveEditor!==void 0&&this._onDidChangeActiveTextEditor.fire(this.activeEditor())}getDocument(u){var c;return(c=this._documents.get(u))===null||c===void 0?void 0:c.value}allDocuments(){return m.Iterable.map(this._documents.values(),u=>u.value)}getEditor(u){return this._editors.get(u)}activeEditor(u){if(!!this._activeEditorId){const c=this._editors.get(this._activeEditorId);return u?c:c==null?void 0:c.value}}allEditors(){return[...this._editors.values()]}};g=Ve([$e(0,i.IExtHostRpcService),$e(1,p.ILogService)],g),e.ExtHostDocumentsAndEditors=g,e.IExtHostDocumentsAndEditors=C.createDecorator("IExtHostDocumentsAndEditors")}),define(ge[238],pe([0,1,2,6,5,8,20,139,10,26]),function(Q,e,v,D,R,P,C,I,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostFileSystem=void 0;class T{constructor(){this._schemes=[]}add(f){this._stateMachine=void 0,this._schemes.push(f)}delete(f){const l=this._schemes.indexOf(f);l>=0&&(this._schemes.splice(l,1),this._stateMachine=void 0)}_initStateMachine(){if(!this._stateMachine){const f=this._schemes.sort(),l=[];let m,S,_=14,g=14;for(const a of f){let u=m?y.commonPrefixLength(m,a):0;for(u===0?S=1:S=g;u<a.length;u++)u+1===a.length?(_=g,g=9):g+=1,l.push([S,a.toUpperCase().charCodeAt(u),g]),l.push([S,a.toLowerCase().charCodeAt(u),g]),S=g;m=a,g=_}l.push([9,58,10]),l.push([10,47,12]),this._stateMachine=new I.StateMachine(l)}}provideDocumentLinks(f){this._initStateMachine();const l=[],m=I.LinkComputer.computeLinks({getLineContent(S){return f.lineAt(S-1).text},getLineCount(){return f.lineCount}},this._stateMachine);for(const S of m){const _=C.DocumentLink.to(S);_.target&&l.push(_)}return l}}class k{constructor(f,l){this._extHostLanguageFeatures=l,this._linkProvider=new T,this._fsProvider=new Map,this._registeredSchemes=new Set,this._watches=new Map,this._handlePool=0,this._proxy=f.getProxy(D.MainContext.MainThreadFileSystem)}dispose(){var f;(f=this._linkProviderRegistration)===null||f===void 0||f.dispose()}_registerLinkProviderIfNotYetRegistered(){this._linkProviderRegistration||(this._linkProviderRegistration=this._extHostLanguageFeatures.registerDocumentLinkProvider(void 0,"*",this._linkProvider))}registerFileSystemProvider(f,l,m,S={}){if(this._registeredSchemes.has(l))throw new Error(`a provider for the scheme '${l}' is already registered`);this._registerLinkProviderIfNotYetRegistered();const _=this._handlePool++;this._linkProvider.add(l),this._registeredSchemes.add(l),this._fsProvider.set(_,m);let g=2;S.isCaseSensitive&&(g+=1024),S.isReadonly&&(g+=2048),typeof m.copy=="function"&&(g+=8),typeof m.open=="function"&&typeof m.close=="function"&&typeof m.read=="function"&&typeof m.write=="function"&&(g+=4),this._proxy.$registerFileSystemProvider(_,l,g).catch(u=>{console.error(`FAILED to register filesystem provider of ${f.value}-extension for the scheme ${l}`),console.error(u)});const a=m.onDidChangeFile(u=>{const c=[];for(const t of u){let{uri:r,type:s}=t;if(r.scheme===l){let o;switch(s){case P.FileChangeType.Changed:o=0;break;case P.FileChangeType.Created:o=1;break;case P.FileChangeType.Deleted:o=2;break;default:throw new Error("Unknown FileChangeType")}c.push({resource:r,type:o})}}this._proxy.$onFileSystemChange(_,c)});return R.toDisposable(()=>{a.dispose(),this._linkProvider.delete(l),this._registeredSchemes.delete(l),this._fsProvider.delete(_),this._proxy.$unregisterProvider(_)})}static _asIStat(f){const{type:l,ctime:m,mtime:S,size:_}=f;return{type:l,ctime:m,mtime:S,size:_}}$stat(f,l){return Promise.resolve(this._getFsProvider(f).stat(v.URI.revive(l))).then(k._asIStat)}$readdir(f,l){return Promise.resolve(this._getFsProvider(f).readDirectory(v.URI.revive(l)))}$readFile(f,l){return Promise.resolve(this._getFsProvider(f).readFile(v.URI.revive(l))).then(m=>i.VSBuffer.wrap(m))}$writeFile(f,l,m,S){return Promise.resolve(this._getFsProvider(f).writeFile(v.URI.revive(l),m.buffer,S))}$delete(f,l,m){return Promise.resolve(this._getFsProvider(f).delete(v.URI.revive(l),m))}$rename(f,l,m,S){return Promise.resolve(this._getFsProvider(f).rename(v.URI.revive(l),v.URI.revive(m),S))}$copy(f,l,m,S){const _=this._getFsProvider(f);if(!_.copy)throw new Error('FileSystemProvider does not implement "copy"');return Promise.resolve(_.copy(v.URI.revive(l),v.URI.revive(m),S))}$mkdir(f,l){return Promise.resolve(this._getFsProvider(f).createDirectory(v.URI.revive(l)))}$watch(f,l,m,S){const _=this._getFsProvider(f).watch(v.URI.revive(m),S);this._watches.set(l,_)}$unwatch(f,l){const m=this._watches.get(l);m&&(m.dispose(),this._watches.delete(l))}$open(f,l,m){const S=this._getFsProvider(f);if(!S.open)throw new Error('FileSystemProvider does not implement "open"');return Promise.resolve(S.open(v.URI.revive(l),m))}$close(f,l){const m=this._getFsProvider(f);if(!m.close)throw new Error('FileSystemProvider does not implement "close"');return Promise.resolve(m.close(l))}$read(f,l,m,S){const _=this._getFsProvider(f);if(!_.read)throw new Error('FileSystemProvider does not implement "read"');const g=i.VSBuffer.alloc(S);return Promise.resolve(_.read(l,m,g.buffer,0,S)).then(a=>g.slice(0,a))}$write(f,l,m,S){const _=this._getFsProvider(f);if(!_.write)throw new Error('FileSystemProvider does not implement "write"');return Promise.resolve(_.write(l,m,S.buffer,0,S.byteLength))}_getFsProvider(f){const l=this._fsProvider.get(f);if(!l){const m=new Error;throw m.name="ENOPRO",m.message="no provider",m}return l}}e.ExtHostFileSystem=k}),define(ge[87],pe([0,1,6,50,8,26,4,14,62]),function(Q,e,v,D,R,P,C,I,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConsumerFileSystem=e.ExtHostConsumerFileSystem=void 0;let i=class At{constructor(k,p){const f=k.getProxy(v.MainContext.MainThreadFileSystem);this.value=Object.freeze({stat(l){return f.$stat(l).catch(At._handleError)},readDirectory(l){return f.$readdir(l).catch(At._handleError)},createDirectory(l){return f.$mkdir(l).catch(At._handleError)},async readFile(l){return f.$readFile(l).then(m=>m.buffer).catch(At._handleError)},writeFile(l,m){return f.$writeFile(l,P.VSBuffer.wrap(m)).catch(At._handleError)},delete(l,m){return f.$delete(l,Object.assign({recursive:!1,useTrash:!1},m)).catch(At._handleError)},rename(l,m,S){return f.$rename(l,m,Object.assign({overwrite:!1},S)).catch(At._handleError)},copy(l,m,S){return f.$copy(l,m,Object.assign({overwrite:!1},S)).catch(At._handleError)},isWritableFileSystem(l){const m=p.getCapabilities(l);if(typeof m=="number")return!(m&2048)}})}static _handleError(k){if(!(k instanceof Error))throw new R.FileSystemError(String(k));if(k.name==="ENOPRO")throw R.FileSystemError.Unavailable(k.message);switch(k.name){case D.FileSystemProviderErrorCode.FileExists:throw R.FileSystemError.FileExists(k.message);case D.FileSystemProviderErrorCode.FileNotFound:throw R.FileSystemError.FileNotFound(k.message);case D.FileSystemProviderErrorCode.FileNotADirectory:throw R.FileSystemError.FileNotADirectory(k.message);case D.FileSystemProviderErrorCode.FileIsADirectory:throw R.FileSystemError.FileIsADirectory(k.message);case D.FileSystemProviderErrorCode.NoPermissions:throw R.FileSystemError.NoPermissions(k.message);case D.FileSystemProviderErrorCode.Unavailable:throw R.FileSystemError.Unavailable(k.message);default:throw new R.FileSystemError(k.message,k.name)}}};i=Ve([$e(0,I.IExtHostRpcService),$e(1,y.IExtHostFileSystemInfo)],i),e.ExtHostConsumerFileSystem=i,e.IExtHostConsumerFileSystem=C.createDecorator("IExtHostConsumerFileSystem")}),define(ge[239],pe([0,1,5,6]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLabelService=void 0;class R{constructor(C){this._handlePool=0,this._proxy=C.getProxy(D.MainContext.MainThreadLabelService)}$registerResourceLabelFormatter(C){const I=this._handlePool++;return this._proxy.$registerResourceLabelFormatter(I,C),v.toDisposable(()=>{this._proxy.$unregisterResourceLabelFormatter(I)})}}e.ExtHostLabelService=R}),define(ge[240],pe([0,1,2,23,20,8,19,6,10,44,12,16,136,5,105,71,115,46,15]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m,S,_,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguageFeatures=e.DocumentRangeSemanticTokensAdapter=e.DocumentSemanticTokensAdapter=void 0;class a{constructor(H,Y){this._documents=H,this._provider=Y}provideDocumentSymbols(H,Y){const ie=this._documents.getDocument(H);return C.asPromise(()=>this._provider.provideDocumentSymbols(ie,Y)).then(oe=>{if(!T.isFalsyOrEmpty(oe))return oe[0]instanceof P.DocumentSymbol?oe.map(R.DocumentSymbol.from):a._asDocumentSymbolTree(oe)})}static _asDocumentSymbolTree(H){var Y;H=H.slice(0).sort((ve,ke)=>{let Me=ve.location.range.start.compareTo(ke.location.range.start);return Me===0&&(Me=ke.location.range.end.compareTo(ve.location.range.end)),Me});const ie=[],oe=[];for(const ve of H){const ke={name:ve.name||"!!MISSING: name!!",kind:R.SymbolKind.from(ve.kind),tags:((Y=ve.tags)===null||Y===void 0?void 0:Y.map(R.SymbolTag.from))||[],detail:"",containerName:ve.containerName,range:R.Range.from(ve.location.range),selectionRange:R.Range.from(ve.location.range),children:[]};for(;;){if(oe.length===0){oe.push(ke),ie.push(ke);break}const Me=oe[oe.length-1];if(i.Range.containsRange(Me.range,ke.range)&&!i.Range.equalsRange(Me.range,ke.range)){Me.children&&Me.children.push(ke),oe.push(ke);break}oe.pop()}}return ie}}class u{constructor(H,Y,ie){this._documents=H,this._commands=Y,this._provider=ie,this._cache=new S.Cache("CodeLens"),this._disposables=new Map}async provideCodeLenses(H,Y){const ie=this._documents.getDocument(H),oe=await this._provider.provideCodeLenses(ie,Y);if(!(!oe||Y.isCancellationRequested)){const ve=this._cache.add(oe),ke=new f.DisposableStore;this._disposables.set(ve,ke);const Me={cacheId:ve,lenses:[]};for(let _e=0;_e<oe.length;_e++)Me.lenses.push({cacheId:[ve,_e],range:R.Range.from(oe[_e].range),command:this._commands.toInternal(oe[_e].command,ke)});return Me}}async resolveCodeLens(H,Y){var ie;const oe=H.cacheId&&this._cache.get(...H.cacheId);if(!!oe){let ve;if(typeof this._provider.resolveCodeLens!="function"||oe.isResolved?ve=oe:ve=await this._provider.resolveCodeLens(oe,Y),ve||(ve=oe),!Y.isCancellationRequested){const ke=H.cacheId&&this._disposables.get(H.cacheId[0]);if(!!ke)return H.command=this._commands.toInternal((ie=ve.command)!==null&&ie!==void 0?ie:u._badCmd,ke),H}}}releaseCodeLenses(H){var Y;(Y=this._disposables.get(H))===null||Y===void 0||Y.dispose(),this._disposables.delete(H),this._cache.delete(H)}}u._badCmd={command:"missing",title:"!!MISSING: command!!"};function c(Le){return Array.isArray(Le)?Le.map(R.DefinitionLink.from):Le?[R.DefinitionLink.from(Le)]:[]}class t{constructor(H,Y){this._documents=H,this._provider=Y}provideDefinition(H,Y,ie){const oe=this._documents.getDocument(H),ve=R.Position.to(Y);return C.asPromise(()=>this._provider.provideDefinition(oe,ve,ie)).then(c)}}class r{constructor(H,Y){this._documents=H,this._provider=Y}provideDeclaration(H,Y,ie){const oe=this._documents.getDocument(H),ve=R.Position.to(Y);return C.asPromise(()=>this._provider.provideDeclaration(oe,ve,ie)).then(c)}}class s{constructor(H,Y){this._documents=H,this._provider=Y}provideImplementation(H,Y,ie){const oe=this._documents.getDocument(H),ve=R.Position.to(Y);return C.asPromise(()=>this._provider.provideImplementation(oe,ve,ie)).then(c)}}class o{constructor(H,Y){this._documents=H,this._provider=Y}provideTypeDefinition(H,Y,ie){const oe=this._documents.getDocument(H),ve=R.Position.to(Y);return C.asPromise(()=>this._provider.provideTypeDefinition(oe,ve,ie)).then(c)}}class n{constructor(H,Y){this._documents=H,this._provider=Y}provideHover(H,Y,ie){const oe=this._documents.getDocument(H),ve=R.Position.to(Y);return C.asPromise(()=>this._provider.provideHover(oe,ve,ie)).then(ke=>{if(!(!ke||T.isFalsyOrEmpty(ke.contents)))return ke.range||(ke.range=oe.getWordRangeAtPosition(ve)),ke.range||(ke.range=new P.Range(ve,ve)),R.Hover.from(ke)})}}class d{constructor(H,Y){this._documents=H,this._provider=Y}provideEvaluatableExpression(H,Y,ie){const oe=this._documents.getDocument(H),ve=R.Position.to(Y);return C.asPromise(()=>this._provider.provideEvaluatableExpression(oe,ve,ie)).then(ke=>{if(ke)return R.EvaluatableExpression.from(ke)})}}class w{constructor(H,Y){this._documents=H,this._provider=Y}provideInlineValues(H,Y,ie,oe){const ve=this._documents.getDocument(H);return C.asPromise(()=>this._provider.provideInlineValues(ve,R.Range.to(Y),R.InlineValueContext.to(ie),oe)).then(ke=>{if(Array.isArray(ke))return ke.map(Me=>R.InlineValue.from(Me))})}}class E{constructor(H,Y){this._documents=H,this._provider=Y}provideDocumentHighlights(H,Y,ie){const oe=this._documents.getDocument(H),ve=R.Position.to(Y);return C.asPromise(()=>this._provider.provideDocumentHighlights(oe,ve,ie)).then(ke=>{if(Array.isArray(ke))return ke.map(R.DocumentHighlight.from)})}}class h{constructor(H,Y){this._documents=H,this._provider=Y}provideLinkedEditingRanges(H,Y,ie){const oe=this._documents.getDocument(H),ve=R.Position.to(Y);return C.asPromise(()=>this._provider.provideLinkedEditingRanges(oe,ve,ie)).then(ke=>{if(ke&&Array.isArray(ke.ranges))return{ranges:T.coalesce(ke.ranges.map(R.Range.from)),wordPattern:ke.wordPattern}})}}class b{constructor(H,Y){this._documents=H,this._provider=Y}provideReferences(H,Y,ie,oe){const ve=this._documents.getDocument(H),ke=R.Position.to(Y);return C.asPromise(()=>this._provider.provideReferences(ve,ke,ie,oe)).then(Me=>{if(Array.isArray(Me))return Me.map(R.location.from)})}}class A{constructor(H,Y,ie,oe,ve,ke,Me){this._documents=H,this._commands=Y,this._diagnostics=ie,this._provider=oe,this._logService=ve,this._extension=ke,this._apiDeprecation=Me,this._cache=new S.Cache("CodeAction"),this._disposables=new Map}provideCodeActions(H,Y,ie,oe){const ve=this._documents.getDocument(H),ke=p.Selection.isISelection(Y)?R.Selection.to(Y):R.Range.to(Y),Me=[];for(const Pe of this._diagnostics.getDiagnostics(H))if(ke.intersection(Pe.range)&&Me.push(Pe)>A._maxCodeActionsPerFile)break;const _e={diagnostics:Me,only:ie.only?new P.CodeActionKind(ie.only):void 0};return C.asPromise(()=>this._provider.provideCodeActions(ve,ke,_e,oe)).then(Pe=>{var Re;if(!(!T.isNonEmptyArray(Pe)||oe.isCancellationRequested)){const Ue=this._cache.add(Pe),Ee=new f.DisposableStore;this._disposables.set(Ue,Ee);const Ke=[];for(let X=0;X<Pe.length;X++){const ne=Pe[X];!ne||(A._isCommand(ne)?(this._apiDeprecation.report("CodeActionProvider.provideCodeActions - return commands",this._extension,"Return 'CodeAction' instances instead."),Ke.push({_isSynthetic:!0,title:ne.title,command:this._commands.toInternal(ne,Ee)})):(_e.only&&(ne.kind?_e.only.contains(ne.kind)||this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${_e.only.value} 'requested but returned code action is of kind '${ne.kind.value}'. Code action will be dropped. Please check 'CodeActionContext.only' to only return requested code actions.`):this._logService.warn(`${this._extension.identifier.value} - Code actions of kind '${_e.only.value} 'requested but returned code action does not have a 'kind'. Code action will be dropped. Please set 'CodeAction.kind'.`)),Ke.push({cacheId:[Ue,X],title:ne.title,command:ne.command&&this._commands.toInternal(ne.command,Ee),diagnostics:ne.diagnostics&&ne.diagnostics.map(R.Diagnostic.from),edit:ne.edit&&R.WorkspaceEdit.from(ne.edit),kind:ne.kind&&ne.kind.value,isPreferred:ne.isPreferred,disabled:(Re=ne.disabled)===null||Re===void 0?void 0:Re.reason})))}return{cacheId:Ue,actions:Ke}}})}async resolveCodeAction(H,Y){var ie;const[oe,ve]=H,ke=this._cache.get(oe,ve);if(!(!ke||A._isCommand(ke))&&!!this._provider.resolveCodeAction){const Me=(ie=await this._provider.resolveCodeAction(ke,Y))!==null&&ie!==void 0?ie:ke;return(Me==null?void 0:Me.edit)?R.WorkspaceEdit.from(Me.edit):void 0}}releaseCodeActions(H){var Y;(Y=this._disposables.get(H))===null||Y===void 0||Y.dispose(),this._disposables.delete(H),this._cache.delete(H)}static _isCommand(H){return typeof H.command=="string"&&typeof H.title=="string"}}A._maxCodeActionsPerFile=1e3;class L{constructor(H,Y){this._documents=H,this._provider=Y}provideDocumentFormattingEdits(H,Y,ie){const oe=this._documents.getDocument(H);return C.asPromise(()=>this._provider.provideDocumentFormattingEdits(oe,Y,ie)).then(ve=>{if(Array.isArray(ve))return ve.map(R.TextEdit.from)})}}class M{constructor(H,Y){this._documents=H,this._provider=Y}provideDocumentRangeFormattingEdits(H,Y,ie,oe){const ve=this._documents.getDocument(H),ke=R.Range.to(Y);return C.asPromise(()=>this._provider.provideDocumentRangeFormattingEdits(ve,ke,ie,oe)).then(Me=>{if(Array.isArray(Me))return Me.map(R.TextEdit.from)})}}class z{constructor(H,Y){this._documents=H,this._provider=Y,this.autoFormatTriggerCharacters=[]}provideOnTypeFormattingEdits(H,Y,ie,oe,ve){const ke=this._documents.getDocument(H),Me=R.Position.to(Y);return C.asPromise(()=>this._provider.provideOnTypeFormattingEdits(ke,Me,ie,oe,ve)).then(_e=>{if(Array.isArray(_e))return _e.map(R.TextEdit.from)})}}class V{constructor(H,Y){this._provider=H,this._logService=Y,this._symbolCache=new Map,this._resultCache=new Map}provideWorkspaceSymbols(H,Y){const ie=I.IdObject.mixin({symbols:[]});return C.asPromise(()=>this._provider.provideWorkspaceSymbols(H,Y)).then(oe=>{if(T.isNonEmptyArray(oe)){for(const ve of oe)if(!!ve){if(!ve.name){this._logService.warn("INVALID SymbolInformation, lacks name",ve);continue}const ke=I.IdObject.mixin(R.WorkspaceSymbol.from(ve));this._symbolCache.set(ke._id,ve),ie.symbols.push(ke)}}}).then(()=>(ie.symbols.length>0&&this._resultCache.set(ie._id,[ie.symbols[0]._id,ie.symbols[ie.symbols.length-1]._id]),ie))}async resolveWorkspaceSymbol(H,Y){if(typeof this._provider.resolveWorkspaceSymbol!="function")return H;const ie=this._symbolCache.get(H._id);if(ie){const oe=await C.asPromise(()=>this._provider.resolveWorkspaceSymbol(ie,Y));return oe&&D.mixin(H,R.WorkspaceSymbol.from(oe),!0)}}releaseWorkspaceSymbols(H){const Y=this._resultCache.get(H);if(Y){for(let[ie,oe]=Y;ie<=oe;ie++)this._symbolCache.delete(ie);this._resultCache.delete(H)}}}class W{constructor(H,Y,ie){this._documents=H,this._provider=Y,this._logService=ie}static supportsResolving(H){return typeof H.prepareRename=="function"}provideRenameEdits(H,Y,ie,oe){const ve=this._documents.getDocument(H),ke=R.Position.to(Y);return C.asPromise(()=>this._provider.provideRenameEdits(ve,ke,ie,oe)).then(Me=>{if(!!Me)return R.WorkspaceEdit.from(Me)},Me=>{const _e=W._asMessage(Me);return _e?{rejectReason:_e,edits:void 0}:Promise.reject(Me)})}resolveRenameLocation(H,Y,ie){if(typeof this._provider.prepareRename!="function")return Promise.resolve(void 0);const oe=this._documents.getDocument(H),ve=R.Position.to(Y);return C.asPromise(()=>this._provider.prepareRename(oe,ve,ie)).then(ke=>{let Me,_e;if(P.Range.isRange(ke)?(Me=ke,_e=oe.getText(ke)):k.isObject(ke)&&(Me=ke.range,_e=ke.placeholder),!!Me){if(Me.start.line>ve.line||Me.end.line<ve.line){this._logService.warn("INVALID rename location: position line must be within range start/end lines");return}return{range:R.Range.from(Me),text:_e}}},ke=>{const Me=W._asMessage(ke);return Me?{rejectReason:Me,range:void 0,text:void 0}:Promise.reject(ke)})}static _asMessage(H){return typeof H=="string"?H:H instanceof Error&&typeof H.message=="string"?H.message:void 0}}class K{constructor(H,Y){this.resultId=H,this.tokens=Y}}class x{constructor(H,Y){this._documents=H,this._provider=Y,this._nextResultId=1,this._previousResults=new Map}provideDocumentSemanticTokens(H,Y,ie){const oe=this._documents.getDocument(H),ve=Y!==0?this._previousResults.get(Y):null;return C.asPromise(()=>ve&&typeof ve.resultId=="string"&&typeof this._provider.provideDocumentSemanticTokensEdits=="function"?this._provider.provideDocumentSemanticTokensEdits(oe,ve.resultId,ie):this._provider.provideDocumentSemanticTokens(oe,ie)).then(ke=>(ve&&this._previousResults.delete(Y),ke?(ke=x._fixProvidedSemanticTokens(ke),this._send(x._convertToEdits(ve,ke),ke)):null))}async releaseDocumentSemanticColoring(H){this._previousResults.delete(H)}static _fixProvidedSemanticTokens(H){return x._isSemanticTokens(H)?x._isCorrectSemanticTokens(H)?H:new P.SemanticTokens(new Uint32Array(H.data),H.resultId):x._isSemanticTokensEdits(H)?x._isCorrectSemanticTokensEdits(H)?H:new P.SemanticTokensEdits(H.edits.map(Y=>new P.SemanticTokensEdit(Y.start,Y.deleteCount,Y.data?new Uint32Array(Y.data):Y.data)),H.resultId):H}static _isSemanticTokens(H){return H&&!!H.data}static _isCorrectSemanticTokens(H){return H.data instanceof Uint32Array}static _isSemanticTokensEdits(H){return H&&Array.isArray(H.edits)}static _isCorrectSemanticTokensEdits(H){for(const Y of H.edits)if(!(Y.data instanceof Uint32Array))return!1;return!0}static _convertToEdits(H,Y){if(!x._isSemanticTokens(Y)||!H||!H.tokens)return Y;const ie=H.tokens,oe=ie.length,ve=Y.data,ke=ve.length;let Me=0;const _e=Math.min(oe,ke);for(;Me<_e&&ie[Me]===ve[Me];)Me++;if(Me===oe&&Me===ke)return new P.SemanticTokensEdits([],Y.resultId);let Pe=0;const Re=_e-Me;for(;Pe<Re&&ie[oe-Pe-1]===ve[ke-Pe-1];)Pe++;return new P.SemanticTokensEdits([{start:Me,deleteCount:oe-Me-Pe,data:ve.subarray(Me,ke-Pe)}],Y.resultId)}_send(H,Y){if(x._isSemanticTokens(H)){const ie=this._nextResultId++;return this._previousResults.set(ie,new K(H.resultId,H.data)),l.encodeSemanticTokensDto({id:ie,type:"full",data:H.data})}if(x._isSemanticTokensEdits(H)){const ie=this._nextResultId++;return x._isSemanticTokens(Y)?this._previousResults.set(ie,new K(Y.resultId,Y.data)):this._previousResults.set(ie,new K(H.resultId)),l.encodeSemanticTokensDto({id:ie,type:"delta",deltas:(H.edits||[]).map(oe=>({start:oe.start,deleteCount:oe.deleteCount,data:oe.data}))})}return null}}e.DocumentSemanticTokensAdapter=x;class N{constructor(H,Y){this._documents=H,this._provider=Y}provideDocumentRangeSemanticTokens(H,Y,ie){const oe=this._documents.getDocument(H);return C.asPromise(()=>this._provider.provideDocumentRangeSemanticTokens(oe,R.Range.to(Y),ie)).then(ve=>ve?this._send(ve):null)}_send(H){return l.encodeSemanticTokensDto({id:0,type:"full",data:H.data})}}e.DocumentRangeSemanticTokensAdapter=N;class U{constructor(H,Y,ie,oe,ve){this._documents=H,this._commands=Y,this._provider=ie,this._apiDeprecation=oe,this._extension=ve,this._cache=new S.Cache("CompletionItem"),this._disposables=new Map}static supportsResolving(H){return typeof H.resolveCompletionItem=="function"}async provideCompletionItems(H,Y,ie,oe){const ve=this._documents.getDocument(H),ke=R.Position.to(Y),Me=ve.getWordRangeAtPosition(ke)||new P.Range(ke,ke),_e=Me.with({end:ke}),Pe=new _.StopWatch(!0),Re=await C.asPromise(()=>this._provider.provideCompletionItems(ve,ke,oe,R.CompletionContext.to(ie)));if(!!Re&&!oe.isCancellationRequested){const Ue=Array.isArray(Re)?new P.CompletionList(Re):Re,Ee=U.supportsResolving(this._provider)?this._cache.add(Ue.items):this._cache.add([]),Ke=new f.DisposableStore;this._disposables.set(Ee,Ke);const X=[],ne={x:Ee,b:X,a:{replace:R.Range.from(Me),insert:R.Range.from(_e)},c:Ue.isIncomplete||void 0,d:Pe.elapsed()};for(let we=0;we<Ue.items.length;we++){const Ne=Ue.items[we],Be=this._convertCompletionItem(Ne,[Ee,we],_e,Me);X.push(Be)}return ne}}async resolveCompletionItem(H,Y){if(typeof this._provider.resolveCompletionItem=="function"){const ie=this._cache.get(...H);if(!!ie){const oe=await C.asPromise(()=>this._provider.resolveCompletionItem(ie,Y));if(!!oe)return this._convertCompletionItem(oe,H)}}}releaseCompletionItems(H){var Y;(Y=this._disposables.get(H))===null||Y===void 0||Y.dispose(),this._disposables.delete(H),this._cache.delete(H)}_convertCompletionItem(H,Y,ie,oe){var ve;const ke=this._disposables.get(Y[0]);if(!ke)throw Error("DisposableStore is missing...");const Me={x:Y,a:(ve=H.label)!==null&&ve!==void 0?ve:"",o:H.label2,b:H.kind!==void 0?R.CompletionItemKind.from(H.kind):void 0,n:H.tags&&H.tags.map(R.CompletionItemTag.from),c:H.detail,d:typeof H.documentation=="undefined"?void 0:R.MarkdownString.fromStrict(H.documentation),e:H.sortText!==H.label?H.sortText:void 0,f:H.filterText!==H.label?H.filterText:void 0,g:H.preselect||void 0,i:H.keepWhitespace?1:0,k:H.commitCharacters,l:H.additionalTextEdits&&H.additionalTextEdits.map(R.TextEdit.from),m:this._commands.toInternal(H.command,ke)};H.textEdit?(this._apiDeprecation.report("CompletionItem.textEdit",this._extension,"Use 'CompletionItem.insertText' and 'CompletionItem.range' instead."),Me.h=H.textEdit.newText):typeof H.insertText=="string"?Me.h=H.insertText:H.insertText instanceof P.SnippetString&&(Me.h=H.insertText.value,Me.i|=4);let _e;return H.textEdit?_e=H.textEdit.range:H.range&&(_e=H.range),P.Range.isRange(_e)?Me.j=R.Range.from(_e):_e&&(!(ie==null?void 0:ie.isEqual(_e.inserting))||!(oe==null?void 0:oe.isEqual(_e.replacing)))&&(Me.j={insert:R.Range.from(_e.inserting),replace:R.Range.from(_e.replacing)}),Me}}class F{constructor(H,Y){this._documents=H,this._provider=Y,this._cache=new S.Cache("SignatureHelp")}provideSignatureHelp(H,Y,ie,oe){const ve=this._documents.getDocument(H),ke=R.Position.to(Y),Me=this.reviveContext(ie);return C.asPromise(()=>this._provider.provideSignatureHelp(ve,ke,oe,Me)).then(_e=>{if(_e){const Pe=this._cache.add([_e]);return Object.assign(Object.assign({},R.SignatureHelp.from(_e)),{id:Pe})}})}reviveContext(H){let Y;if(H.activeSignatureHelp){const ie=R.SignatureHelp.to(H.activeSignatureHelp),oe=this._cache.get(H.activeSignatureHelp.id,0);oe?(Y=oe,Y.activeSignature=ie.activeSignature,Y.activeParameter=ie.activeParameter):Y=ie}return Object.assign(Object.assign({},H),{activeSignatureHelp:Y})}releaseSignatureHelp(H){this._cache.delete(H)}}class O{constructor(H,Y){this._documents=H,this._provider=Y}provideInlineHints(H,Y,ie){const oe=this._documents.getDocument(H);return C.asPromise(()=>this._provider.provideInlineHints(oe,R.Range.to(Y),ie)).then(ve=>ve?{hints:ve.map(R.InlineHint.from)}:void 0)}}class ${constructor(H,Y){this._documents=H,this._provider=Y,this._cache=new S.Cache("DocumentLink")}provideLinks(H,Y){const ie=this._documents.getDocument(H);return C.asPromise(()=>this._provider.provideDocumentLinks(ie,Y)).then(oe=>{if(!(!Array.isArray(oe)||oe.length===0)&&!Y.isCancellationRequested){if(typeof this._provider.resolveDocumentLink!="function")return{links:oe.map(R.DocumentLink.from)};{const ve=this._cache.add(oe),ke={links:[],id:ve};for(let Me=0;Me<oe.length;Me++){const _e=R.DocumentLink.from(oe[Me]);_e.cacheId=[ve,Me],ke.links.push(_e)}return ke}}})}resolveLink(H,Y){if(typeof this._provider.resolveDocumentLink!="function")return Promise.resolve(void 0);const ie=this._cache.get(...H);return ie?C.asPromise(()=>this._provider.resolveDocumentLink(ie,Y)).then(oe=>oe&&R.DocumentLink.from(oe)||void 0):Promise.resolve(void 0)}releaseLinks(H){this._cache.delete(H)}}class q{constructor(H,Y){this._documents=H,this._provider=Y}provideColors(H,Y){const ie=this._documents.getDocument(H);return C.asPromise(()=>this._provider.provideDocumentColors(ie,Y)).then(oe=>Array.isArray(oe)?oe.map(ke=>({color:R.Color.from(ke.color),range:R.Range.from(ke.range)})):[])}provideColorPresentations(H,Y,ie){const oe=this._documents.getDocument(H),ve=R.Range.to(Y.range),ke=R.Color.to(Y.color);return C.asPromise(()=>this._provider.provideColorPresentations(ke,{document:oe,range:ve},ie)).then(Me=>{if(!!Array.isArray(Me))return Me.map(R.ColorPresentation.from)})}}class Z{constructor(H,Y){this._documents=H,this._provider=Y}provideFoldingRanges(H,Y,ie){const oe=this._documents.getDocument(H);return C.asPromise(()=>this._provider.provideFoldingRanges(oe,Y,ie)).then(ve=>{if(!!Array.isArray(ve))return ve.map(R.FoldingRange.from)})}}class ae{constructor(H,Y,ie){this._documents=H,this._provider=Y,this._logService=ie}provideSelectionRanges(H,Y,ie){const oe=this._documents.getDocument(H),ve=Y.map(R.Position.to);return C.asPromise(()=>this._provider.provideSelectionRanges(oe,ve,ie)).then(ke=>{if(!T.isNonEmptyArray(ke))return[];if(ke.length!==ve.length)return this._logService.warn("BAD selection ranges, provider must return ranges for each position"),[];const Me=[];for(let _e=0;_e<ve.length;_e++){const Pe=[];Me.push(Pe);let Re=ve[_e],Ue=ke[_e];for(;;){if(!Ue.range.contains(Re))throw new Error("INVALID selection range, must contain the previous range");if(Pe.push(R.SelectionRange.from(Ue)),!Ue.parent)break;Re=Ue.range,Ue=Ue.parent}}return Me})}}class fe{constructor(H,Y){this._documents=H,this._provider=Y,this._idPool=new m.IdGenerator(""),this._cache=new Map}async prepareSession(H,Y,ie){const oe=this._documents.getDocument(H),ve=R.Position.to(Y),ke=await this._provider.prepareCallHierarchy(oe,ve,ie);if(!!ke){const Me=this._idPool.nextId();return this._cache.set(Me,new Map),Array.isArray(ke)?ke.map(_e=>this._cacheAndConvertItem(Me,_e)):[this._cacheAndConvertItem(Me,ke)]}}async provideCallsTo(H,Y,ie){const oe=this._itemFromCache(H,Y);if(!oe)throw new Error("missing call hierarchy item");const ve=await this._provider.provideCallHierarchyIncomingCalls(oe,ie);if(!!ve)return ve.map(ke=>({from:this._cacheAndConvertItem(H,ke.from),fromRanges:ke.fromRanges.map(Me=>R.Range.from(Me))}))}async provideCallsFrom(H,Y,ie){const oe=this._itemFromCache(H,Y);if(!oe)throw new Error("missing call hierarchy item");const ve=await this._provider.provideCallHierarchyOutgoingCalls(oe,ie);if(!!ve)return ve.map(ke=>({to:this._cacheAndConvertItem(H,ke.to),fromRanges:ke.fromRanges.map(Me=>R.Range.from(Me))}))}releaseSession(H){this._cache.delete(H)}_cacheAndConvertItem(H,Y){var ie;const oe=this._cache.get(H),ve={_sessionId:H,_itemId:oe.size.toString(36),name:Y.name,detail:Y.detail,kind:R.SymbolKind.from(Y.kind),uri:Y.uri,range:R.Range.from(Y.range),selectionRange:R.Range.from(Y.selectionRange),tags:(ie=Y.tags)===null||ie===void 0?void 0:ie.map(R.SymbolTag.from)};return oe.set(ve._itemId,Y),ve}_itemFromCache(H,Y){const ie=this._cache.get(H);return ie==null?void 0:ie.get(Y)}}class Te{constructor(H,Y){this.adapter=H,this.extension=Y}}class Se{constructor(H,Y,ie,oe,ve,ke,Me){this._adapter=new Map,this._uriTransformer=Y,this._proxy=H.getProxy(I.MainContext.MainThreadLanguageFeatures),this._documents=ie,this._commands=oe,this._diagnostics=ve,this._logService=ke,this._apiDeprecation=Me}_transformDocumentSelector(H){return T.coalesce(T.asArray(H).map(Y=>this._doTransformDocumentSelector(Y)))}_doTransformDocumentSelector(H){if(typeof H=="string")return{$serialized:!0,language:H};if(H)return{$serialized:!0,language:H.language,scheme:this._transformScheme(H.scheme),pattern:typeof H.pattern=="undefined"?void 0:R.GlobPattern.from(H.pattern),exclusive:H.exclusive}}_transformScheme(H){return this._uriTransformer&&typeof H=="string"?this._uriTransformer.transformOutgoingScheme(H):H}_createDisposable(H){return new P.Disposable(()=>{this._adapter.delete(H),this._proxy.$unregister(H)})}_nextHandle(){return Se._handlePool++}_withAdapter(H,Y,ie,oe,ve=!1){const ke=this._adapter.get(H);if(!ke)return Promise.resolve(oe);if(ke.adapter instanceof Y){let Me;ke.extension&&(Me=Date.now(),this._logService.trace(`[${ke.extension.identifier.value}] INVOKE provider '${Y.name}'`));const _e=ie(ke.adapter,ke.extension),Pe=ke.extension;return Pe&&Promise.resolve(_e).then(()=>this._logService.trace(`[${Pe.identifier.value}] provider DONE after ${Date.now()-Me}ms`),Re=>{ve&&Re instanceof g.CancellationError||(this._logService.error(`[${Pe.identifier.value}] provider FAILED`),this._logService.error(Re))}),_e}return Promise.reject(new Error("no adapter found"))}_addNewAdapter(H,Y){const ie=this._nextHandle();return this._adapter.set(ie,new Te(H,Y)),ie}static _extLabel(H){return H.displayName||H.name}registerDocumentSymbolProvider(H,Y,ie,oe){const ve=this._addNewAdapter(new a(this._documents,ie),H),ke=oe&&oe.label||Se._extLabel(H);return this._proxy.$registerDocumentSymbolProvider(ve,this._transformDocumentSelector(Y),ke),this._createDisposable(ve)}$provideDocumentSymbols(H,Y,ie){return this._withAdapter(H,a,oe=>oe.provideDocumentSymbols(v.URI.revive(Y),ie),void 0)}registerCodeLensProvider(H,Y,ie){const oe=this._nextHandle(),ve=typeof ie.onDidChangeCodeLenses=="function"?this._nextHandle():void 0;this._adapter.set(oe,new Te(new u(this._documents,this._commands.converter,ie),H)),this._proxy.$registerCodeLensSupport(oe,this._transformDocumentSelector(Y),ve);let ke=this._createDisposable(oe);if(ve!==void 0){const Me=ie.onDidChangeCodeLenses(_e=>this._proxy.$emitCodeLensEvent(ve));ke=P.Disposable.from(ke,Me)}return ke}$provideCodeLenses(H,Y,ie){return this._withAdapter(H,u,oe=>oe.provideCodeLenses(v.URI.revive(Y),ie),void 0)}$resolveCodeLens(H,Y,ie){return this._withAdapter(H,u,oe=>oe.resolveCodeLens(Y,ie),void 0)}$releaseCodeLenses(H,Y){this._withAdapter(H,u,ie=>Promise.resolve(ie.releaseCodeLenses(Y)),void 0)}registerDefinitionProvider(H,Y,ie){const oe=this._addNewAdapter(new t(this._documents,ie),H);return this._proxy.$registerDefinitionSupport(oe,this._transformDocumentSelector(Y)),this._createDisposable(oe)}$provideDefinition(H,Y,ie,oe){return this._withAdapter(H,t,ve=>ve.provideDefinition(v.URI.revive(Y),ie,oe),[])}registerDeclarationProvider(H,Y,ie){const oe=this._addNewAdapter(new r(this._documents,ie),H);return this._proxy.$registerDeclarationSupport(oe,this._transformDocumentSelector(Y)),this._createDisposable(oe)}$provideDeclaration(H,Y,ie,oe){return this._withAdapter(H,r,ve=>ve.provideDeclaration(v.URI.revive(Y),ie,oe),[])}registerImplementationProvider(H,Y,ie){const oe=this._addNewAdapter(new s(this._documents,ie),H);return this._proxy.$registerImplementationSupport(oe,this._transformDocumentSelector(Y)),this._createDisposable(oe)}$provideImplementation(H,Y,ie,oe){return this._withAdapter(H,s,ve=>ve.provideImplementation(v.URI.revive(Y),ie,oe),[])}registerTypeDefinitionProvider(H,Y,ie){const oe=this._addNewAdapter(new o(this._documents,ie),H);return this._proxy.$registerTypeDefinitionSupport(oe,this._transformDocumentSelector(Y)),this._createDisposable(oe)}$provideTypeDefinition(H,Y,ie,oe){return this._withAdapter(H,o,ve=>ve.provideTypeDefinition(v.URI.revive(Y),ie,oe),[])}registerHoverProvider(H,Y,ie,oe){const ve=this._addNewAdapter(new n(this._documents,ie),H);return this._proxy.$registerHoverProvider(ve,this._transformDocumentSelector(Y)),this._createDisposable(ve)}$provideHover(H,Y,ie,oe){return this._withAdapter(H,n,ve=>ve.provideHover(v.URI.revive(Y),ie,oe),void 0)}registerEvaluatableExpressionProvider(H,Y,ie,oe){const ve=this._addNewAdapter(new d(this._documents,ie),H);return this._proxy.$registerEvaluatableExpressionProvider(ve,this._transformDocumentSelector(Y)),this._createDisposable(ve)}$provideEvaluatableExpression(H,Y,ie,oe){return this._withAdapter(H,d,ve=>ve.provideEvaluatableExpression(v.URI.revive(Y),ie,oe),void 0)}registerInlineValuesProvider(H,Y,ie,oe){const ve=typeof ie.onDidChangeInlineValues=="function"?this._nextHandle():void 0,ke=this._addNewAdapter(new w(this._documents,ie),H);this._proxy.$registerInlineValuesProvider(ke,this._transformDocumentSelector(Y),ve);let Me=this._createDisposable(ke);if(ve!==void 0){const _e=ie.onDidChangeInlineValues(Pe=>this._proxy.$emitInlineValuesEvent(ve));Me=P.Disposable.from(Me,_e)}return Me}$provideInlineValues(H,Y,ie,oe,ve){return this._withAdapter(H,w,ke=>ke.provideInlineValues(v.URI.revive(Y),ie,oe,ve),void 0)}registerDocumentHighlightProvider(H,Y,ie){const oe=this._addNewAdapter(new E(this._documents,ie),H);return this._proxy.$registerDocumentHighlightProvider(oe,this._transformDocumentSelector(Y)),this._createDisposable(oe)}$provideDocumentHighlights(H,Y,ie,oe){return this._withAdapter(H,E,ve=>ve.provideDocumentHighlights(v.URI.revive(Y),ie,oe),void 0)}registerLinkedEditingRangeProvider(H,Y,ie){const oe=this._addNewAdapter(new h(this._documents,ie),H);return this._proxy.$registerLinkedEditingRangeProvider(oe,this._transformDocumentSelector(Y)),this._createDisposable(oe)}$provideLinkedEditingRanges(H,Y,ie,oe){return this._withAdapter(H,h,async ve=>{const ke=await ve.provideLinkedEditingRanges(v.URI.revive(Y),ie,oe);if(ke)return{ranges:ke.ranges,wordPattern:ke.wordPattern?Se._serializeRegExp(ke.wordPattern):void 0}},void 0)}registerReferenceProvider(H,Y,ie){const oe=this._addNewAdapter(new b(this._documents,ie),H);return this._proxy.$registerReferenceSupport(oe,this._transformDocumentSelector(Y)),this._createDisposable(oe)}$provideReferences(H,Y,ie,oe,ve){return this._withAdapter(H,b,ke=>ke.provideReferences(v.URI.revive(Y),ie,oe,ve),void 0)}registerCodeActionProvider(H,Y,ie,oe){var ve,ke;const Me=new f.DisposableStore,_e=this._addNewAdapter(new A(this._documents,this._commands.converter,this._diagnostics,ie,this._logService,H,this._apiDeprecation),H);return this._proxy.$registerQuickFixSupport(_e,this._transformDocumentSelector(Y),{providedKinds:(ve=oe==null?void 0:oe.providedCodeActionKinds)===null||ve===void 0?void 0:ve.map(Pe=>Pe.value),documentation:(ke=oe==null?void 0:oe.documentation)===null||ke===void 0?void 0:ke.map(Pe=>({kind:Pe.kind.value,command:this._commands.converter.toInternal(Pe.command,Me)}))},Se._extLabel(H),Boolean(ie.resolveCodeAction)),Me.add(this._createDisposable(_e)),Me}$provideCodeActions(H,Y,ie,oe,ve){return this._withAdapter(H,A,ke=>ke.provideCodeActions(v.URI.revive(Y),ie,oe,ve),void 0)}$resolveCodeAction(H,Y,ie){return this._withAdapter(H,A,oe=>oe.resolveCodeAction(Y,ie),void 0)}$releaseCodeActions(H,Y){this._withAdapter(H,A,ie=>Promise.resolve(ie.releaseCodeActions(Y)),void 0)}registerDocumentFormattingEditProvider(H,Y,ie){const oe=this._addNewAdapter(new L(this._documents,ie),H);return this._proxy.$registerDocumentFormattingSupport(oe,this._transformDocumentSelector(Y),H.identifier,H.displayName||H.name),this._createDisposable(oe)}$provideDocumentFormattingEdits(H,Y,ie,oe){return this._withAdapter(H,L,ve=>ve.provideDocumentFormattingEdits(v.URI.revive(Y),ie,oe),void 0)}registerDocumentRangeFormattingEditProvider(H,Y,ie){const oe=this._addNewAdapter(new M(this._documents,ie),H);return this._proxy.$registerRangeFormattingSupport(oe,this._transformDocumentSelector(Y),H.identifier,H.displayName||H.name),this._createDisposable(oe)}$provideDocumentRangeFormattingEdits(H,Y,ie,oe,ve){return this._withAdapter(H,M,ke=>ke.provideDocumentRangeFormattingEdits(v.URI.revive(Y),ie,oe,ve),void 0)}registerOnTypeFormattingEditProvider(H,Y,ie,oe){const ve=this._addNewAdapter(new z(this._documents,ie),H);return this._proxy.$registerOnTypeFormattingSupport(ve,this._transformDocumentSelector(Y),oe,H.identifier),this._createDisposable(ve)}$provideOnTypeFormattingEdits(H,Y,ie,oe,ve,ke){return this._withAdapter(H,z,Me=>Me.provideOnTypeFormattingEdits(v.URI.revive(Y),ie,oe,ve,ke),void 0)}registerWorkspaceSymbolProvider(H,Y){const ie=this._addNewAdapter(new V(Y,this._logService),H);return this._proxy.$registerNavigateTypeSupport(ie),this._createDisposable(ie)}$provideWorkspaceSymbols(H,Y,ie){return this._withAdapter(H,V,oe=>oe.provideWorkspaceSymbols(Y,ie),{symbols:[]})}$resolveWorkspaceSymbol(H,Y,ie){return this._withAdapter(H,V,oe=>oe.resolveWorkspaceSymbol(Y,ie),void 0)}$releaseWorkspaceSymbols(H,Y){this._withAdapter(H,V,ie=>ie.releaseWorkspaceSymbols(Y),void 0)}registerRenameProvider(H,Y,ie){const oe=this._addNewAdapter(new W(this._documents,ie,this._logService),H);return this._proxy.$registerRenameSupport(oe,this._transformDocumentSelector(Y),W.supportsResolving(ie)),this._createDisposable(oe)}$provideRenameEdits(H,Y,ie,oe,ve){return this._withAdapter(H,W,ke=>ke.provideRenameEdits(v.URI.revive(Y),ie,oe,ve),void 0)}$resolveRenameLocation(H,Y,ie,oe){return this._withAdapter(H,W,ve=>ve.resolveRenameLocation(v.URI.revive(Y),ie,oe),void 0)}registerDocumentSemanticTokensProvider(H,Y,ie,oe){const ve=this._nextHandle(),ke=typeof ie.onDidChangeSemanticTokens=="function"?this._nextHandle():void 0;this._adapter.set(ve,new Te(new x(this._documents,ie),H)),this._proxy.$registerDocumentSemanticTokensProvider(ve,this._transformDocumentSelector(Y),oe,ke);let Me=this._createDisposable(ve);if(ke){const _e=ie.onDidChangeSemanticTokens(Pe=>this._proxy.$emitDocumentSemanticTokensEvent(ke));Me=P.Disposable.from(Me,_e)}return Me}$provideDocumentSemanticTokens(H,Y,ie,oe){return this._withAdapter(H,x,ve=>ve.provideDocumentSemanticTokens(v.URI.revive(Y),ie,oe),null,!0)}$releaseDocumentSemanticTokens(H,Y){this._withAdapter(H,x,ie=>ie.releaseDocumentSemanticColoring(Y),void 0)}registerDocumentRangeSemanticTokensProvider(H,Y,ie,oe){const ve=this._addNewAdapter(new N(this._documents,ie),H);return this._proxy.$registerDocumentRangeSemanticTokensProvider(ve,this._transformDocumentSelector(Y),oe),this._createDisposable(ve)}$provideDocumentRangeSemanticTokens(H,Y,ie,oe){return this._withAdapter(H,N,ve=>ve.provideDocumentRangeSemanticTokens(v.URI.revive(Y),ie,oe),null,!0)}registerCompletionItemProvider(H,Y,ie,oe){const ve=this._addNewAdapter(new U(this._documents,this._commands.converter,ie,this._apiDeprecation,H),H);return this._proxy.$registerSuggestSupport(ve,this._transformDocumentSelector(Y),oe,U.supportsResolving(ie),`${H.identifier.value}(${oe.join("")})`),this._createDisposable(ve)}$provideCompletionItems(H,Y,ie,oe,ve){return this._withAdapter(H,U,ke=>ke.provideCompletionItems(v.URI.revive(Y),ie,oe,ve),void 0)}$resolveCompletionItem(H,Y,ie){return this._withAdapter(H,U,oe=>oe.resolveCompletionItem(Y,ie),void 0)}$releaseCompletionItems(H,Y){this._withAdapter(H,U,ie=>ie.releaseCompletionItems(Y),void 0)}registerSignatureHelpProvider(H,Y,ie,oe){const ve=Array.isArray(oe)?{triggerCharacters:oe,retriggerCharacters:[]}:oe,ke=this._addNewAdapter(new F(this._documents,ie),H);return this._proxy.$registerSignatureHelpProvider(ke,this._transformDocumentSelector(Y),ve),this._createDisposable(ke)}$provideSignatureHelp(H,Y,ie,oe,ve){return this._withAdapter(H,F,ke=>ke.provideSignatureHelp(v.URI.revive(Y),ie,oe,ve),void 0)}$releaseSignatureHelp(H,Y){this._withAdapter(H,F,ie=>ie.releaseSignatureHelp(Y),void 0)}registerInlineHintsProvider(H,Y,ie){const oe=typeof ie.onDidChangeInlineHints=="function"?this._nextHandle():void 0,ve=this._addNewAdapter(new O(this._documents,ie),H);this._proxy.$registerInlineHintsProvider(ve,this._transformDocumentSelector(Y),oe);let ke=this._createDisposable(ve);if(oe!==void 0){const Me=ie.onDidChangeInlineHints(_e=>this._proxy.$emitInlineHintsEvent(oe));ke=P.Disposable.from(ke,Me)}return ke}$provideInlineHints(H,Y,ie,oe){return this._withAdapter(H,O,ve=>ve.provideInlineHints(v.URI.revive(Y),ie,oe),void 0)}registerDocumentLinkProvider(H,Y,ie){const oe=this._addNewAdapter(new $(this._documents,ie),H);return this._proxy.$registerDocumentLinkProvider(oe,this._transformDocumentSelector(Y),typeof ie.resolveDocumentLink=="function"),this._createDisposable(oe)}$provideDocumentLinks(H,Y,ie){return this._withAdapter(H,$,oe=>oe.provideLinks(v.URI.revive(Y),ie),void 0)}$resolveDocumentLink(H,Y,ie){return this._withAdapter(H,$,oe=>oe.resolveLink(Y,ie),void 0)}$releaseDocumentLinks(H,Y){this._withAdapter(H,$,ie=>ie.releaseLinks(Y),void 0)}registerColorProvider(H,Y,ie){const oe=this._addNewAdapter(new q(this._documents,ie),H);return this._proxy.$registerDocumentColorProvider(oe,this._transformDocumentSelector(Y)),this._createDisposable(oe)}$provideDocumentColors(H,Y,ie){return this._withAdapter(H,q,oe=>oe.provideColors(v.URI.revive(Y),ie),[])}$provideColorPresentations(H,Y,ie,oe){return this._withAdapter(H,q,ve=>ve.provideColorPresentations(v.URI.revive(Y),ie,oe),void 0)}registerFoldingRangeProvider(H,Y,ie){const oe=this._nextHandle(),ve=typeof ie.onDidChangeFoldingRanges=="function"?this._nextHandle():void 0;this._adapter.set(oe,new Te(new Z(this._documents,ie),H)),this._proxy.$registerFoldingRangeProvider(oe,this._transformDocumentSelector(Y),ve);let ke=this._createDisposable(oe);if(ve!==void 0){const Me=ie.onDidChangeFoldingRanges(()=>this._proxy.$emitFoldingRangeEvent(ve));ke=P.Disposable.from(ke,Me)}return ke}$provideFoldingRanges(H,Y,ie,oe){return this._withAdapter(H,Z,ve=>ve.provideFoldingRanges(v.URI.revive(Y),ie,oe),void 0)}registerSelectionRangeProvider(H,Y,ie){const oe=this._addNewAdapter(new ae(this._documents,ie,this._logService),H);return this._proxy.$registerSelectionRangeProvider(oe,this._transformDocumentSelector(Y)),this._createDisposable(oe)}$provideSelectionRanges(H,Y,ie,oe){return this._withAdapter(H,ae,ve=>ve.provideSelectionRanges(v.URI.revive(Y),ie,oe),[])}registerCallHierarchyProvider(H,Y,ie){const oe=this._addNewAdapter(new fe(this._documents,ie),H);return this._proxy.$registerCallHierarchyProvider(oe,this._transformDocumentSelector(Y)),this._createDisposable(oe)}$prepareCallHierarchy(H,Y,ie,oe){return this._withAdapter(H,fe,ve=>Promise.resolve(ve.prepareSession(v.URI.revive(Y),ie,oe)),void 0)}$provideCallHierarchyIncomingCalls(H,Y,ie,oe){return this._withAdapter(H,fe,ve=>ve.provideCallsTo(Y,ie,oe),void 0)}$provideCallHierarchyOutgoingCalls(H,Y,ie,oe){return this._withAdapter(H,fe,ve=>ve.provideCallsFrom(Y,ie,oe),void 0)}$releaseCallHierarchy(H,Y){this._withAdapter(H,fe,ie=>Promise.resolve(ie.releaseSession(Y)),void 0)}static _serializeRegExp(H){return{pattern:H.source,flags:y.regExpFlags(H)}}static _serializeIndentationRule(H){return{decreaseIndentPattern:Se._serializeRegExp(H.decreaseIndentPattern),increaseIndentPattern:Se._serializeRegExp(H.increaseIndentPattern),indentNextLinePattern:H.indentNextLinePattern?Se._serializeRegExp(H.indentNextLinePattern):void 0,unIndentedLinePattern:H.unIndentedLinePattern?Se._serializeRegExp(H.unIndentedLinePattern):void 0}}static _serializeOnEnterRule(H){return{beforeText:Se._serializeRegExp(H.beforeText),afterText:H.afterText?Se._serializeRegExp(H.afterText):void 0,previousLineText:H.previousLineText?Se._serializeRegExp(H.previousLineText):void 0,action:H.action}}static _serializeOnEnterRules(H){return H.map(Se._serializeOnEnterRule)}setLanguageConfiguration(H,Y,ie){let{wordPattern:oe}=ie;if(oe&&y.regExpLeadsToEndlessLoop(oe))throw new Error(`Invalid language configuration: wordPattern '${oe}' is not allowed to match the empty string.`);oe?this._documents.setWordDefinitionFor(Y,oe):this._documents.setWordDefinitionFor(Y,void 0),ie.__electricCharacterSupport&&this._apiDeprecation.report("LanguageConfiguration.__electricCharacterSupport",H,"Do not use."),ie.__characterPairSupport&&this._apiDeprecation.report("LanguageConfiguration.__characterPairSupport",H,"Do not use.");const ve=this._nextHandle(),ke={comments:ie.comments,brackets:ie.brackets,wordPattern:ie.wordPattern?Se._serializeRegExp(ie.wordPattern):void 0,indentationRules:ie.indentationRules?Se._serializeIndentationRule(ie.indentationRules):void 0,onEnterRules:ie.onEnterRules?Se._serializeOnEnterRules(ie.onEnterRules):void 0,__electricCharacterSupport:ie.__electricCharacterSupport,__characterPairSupport:ie.__characterPairSupport};return this._proxy.$setLanguageConfiguration(ve,Y,ke),this._createDisposable(ve)}$setWordDefinitions(H){for(const Y of H)this._documents.setWordDefinitionFor(Y.languageId,new RegExp(Y.regexSource,Y.regexFlags))}}e.ExtHostLanguageFeatures=Se,Se._handlePool=0}),define(ge[241],pe([0,1,6,20,8]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostLanguages=void 0;class P{constructor(I,y){this._proxy=I.getProxy(v.MainContext.MainThreadLanguages),this._documents=y}getLanguages(){return this._proxy.$getLanguages()}async changeLanguage(I,y){await this._proxy.$changeLanguage(I,y);const i=this._documents.getDocumentData(I);if(!i)throw new Error(`document '${I.toString}' NOT found`);return i.document}async tokenAtPosition(I,y){var i;const T=I.version,k=D.Position.from(y),p=await this._proxy.$tokensAtPosition(I.uri,k),f={type:R.StandardTokenType.Other,range:(i=I.getWordRangeAtPosition(y))!==null&&i!==void 0?i:new R.Range(y.line,y.character,y.line,y.character)};if(!p)return f;const l={range:D.Range.to(p.range),type:D.TokenType.to(p.type)};return!l.range.contains(y)||T!==I.version?f:l}}e.ExtHostLanguages=P}),define(ge[242],pe([0,1,6,11,42]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostMessageService=void 0;function P(I){return I&&I.title}let C=class{constructor(y,i){this._logService=i,this._proxy=y.getProxy(v.MainContext.MainThreadMessageService)}showMessage(y,i,T,k,p){const f={extension:y};let l;typeof k=="string"||P(k)?l=[k,...p]:(f.modal=k&&k.modal,f.useCustom=k&&k.useCustom,l=p),f.useCustom&&R.checkProposedApiEnabled(y);const m=[];for(let S=0;S<l.length;S++){const _=l[S];if(typeof _=="string")m.push({title:_,handle:S,isCloseAffordance:!1});else if(typeof _=="object"){let{title:g,isCloseAffordance:a}=_;m.push({title:g,isCloseAffordance:!!a,handle:S})}else this._logService.warn("Invalid message item:",_)}return this._proxy.$showMessage(i,T,f,m).then(S=>{if(typeof S=="number")return l[S]})}};C=Ve([$e(1,D.ILogService)],C),e.ExtHostMessageService=C}),define(ge[243],pe([0,1,21,3,5,2,28,6,20,8,85,52,22,219,220,71,16,74]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m,S,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NotebookCellStatusBarItemInternal=e.ExtHostNotebookController=e.NotebookEditorDecorationType=e.ExtHostNotebookKernelProviderAdapter=void 0;class g extends R.Disposable{constructor(n,d,w,E,h){super();this._editorId=n,this.uri=d,this._proxy=w,this._webviewInitData=E,this.document=h,this._onDidReceiveDocumentMessage=new D.Emitter,this._rendererIdToEmitters=new Map,this.contentProviderComm={editorId:this._editorId,onDidReceiveMessage:this._onDidReceiveDocumentMessage.event,postMessage:b=>this._proxy.$postMessage(this._editorId,void 0,b),asWebviewUri:b=>this._asWebviewUri(b)}}onDidReceiveMessage(n,d){var w;this._onDidReceiveDocumentMessage.fire(d),n!==void 0&&((w=this._rendererIdToEmitters.get(n))===null||w===void 0||w.fire(d))}getRendererComm(n){const d=new D.Emitter;return this._rendererIdToEmitters.set(n,d),{editorId:this._editorId,onDidReceiveMessage:d.event,postMessage:w=>this._proxy.$postMessage(this._editorId,n,w),asWebviewUri:w=>this._asWebviewUri(w)}}_asWebviewUri(n){return T.asWebviewUri(this._webviewInitData,this._editorId,n)}}class a extends R.Disposable{constructor(n,d,w,E){super();this._proxy=n,this._handle=d,this._extension=w,this._provider=E,this._kernelToFriendlyId=new p.ResourceMap,this._friendlyIdToKernel=new p.ResourceMap,this._provider.onDidChangeKernels&&this._register(this._provider.onDidChangeKernels(h=>{const b=h==null?void 0:h.uri;this._proxy.$onNotebookKernelChange(this._handle,b)}))}async provideKernels(n,d){const w=await this._provider.provideKernels(n.notebookDocument,d)||[],E=new Map;let h=0;const b=new Set,A=this._kernelToFriendlyId.get(n.uri),L=w.map(z=>{let V=A==null?void 0:A.get(z);return V===void 0&&(z.id&&b.has(z.id)?V=`${this._extension.identifier.value}_${z.id}_${h++}`:V=`${this._extension.identifier.value}_${z.id||C.generateUuid()}`),E.set(z,V),{id:z.id,friendlyId:V,label:z.label,extension:this._extension.identifier,extensionLocation:this._extension.extensionLocation,providerHandle:this._handle,description:z.description,detail:z.detail,isPreferred:z.isPreferred,preloads:z.preloads,supportedLanguages:z.supportedLanguages}});this._kernelToFriendlyId.set(n.uri,E);const M=new Map;return E.forEach((z,V)=>{M.set(z,V)}),this._friendlyIdToKernel.set(n.uri,M),L}getKernelByFriendlyId(n,d){var w;return(w=this._friendlyIdToKernel.get(n))===null||w===void 0?void 0:w.get(d)}async resolveNotebook(n,d,w,E){var h;const b=(h=this._friendlyIdToKernel.get(d.uri))===null||h===void 0?void 0:h.get(n);if(b&&this._provider.resolveKernel)return this._provider.resolveKernel(b,d.notebookDocument,w,E)}async executeNotebook(n,d,w){var E;const h=(E=this._friendlyIdToKernel.get(d.uri))===null||E===void 0?void 0:E.get(n);if(!!h)return u(w?b=>h.executeCell(d.notebookDocument,w.cell,b):b=>h.executeAllCells(d.notebookDocument,b))}async cancelNotebook(n,d,w){var E;const h=(E=this._friendlyIdToKernel.get(d.uri))===null||E===void 0?void 0:E.get(n);if(!!h)return w?h.cancelCellExecution(d.notebookDocument,w.cell):h.cancelAllCellsExecution(d.notebookDocument)}}e.ExtHostNotebookKernelProviderAdapter=a;async function u(o){const n=new v.CancellationTokenSource;try{await o(n.token)}finally{n.dispose()}}class c{constructor(n,d){const w=c._Keys.nextId();n.$registerNotebookEditorDecorationType(w,y.NotebookDecorationRenderOptions.from(d)),this.value={key:w,dispose(){n.$removeNotebookEditorDecorationType(w)}}}}e.NotebookEditorDecorationType=c,c._Keys=new m.IdGenerator("NotebookEditorDecorationType");class t{constructor(n,d,w,E,h,b){this._documentsAndEditors=w,this._webviewInitData=E,this.logService=h,this._extensionStoragePaths=b,this._notebookContentProviders=new Map,this._notebookKernelProviders=new Map,this._documents=new p.ResourceMap,this._editors=new Map,this._webviewComm=new Map,this._onDidChangeNotebookEditorSelection=new D.Emitter,this.onDidChangeNotebookEditorSelection=this._onDidChangeNotebookEditorSelection.event,this._onDidChangeNotebookEditorVisibleRanges=new D.Emitter,this.onDidChangeNotebookEditorVisibleRanges=this._onDidChangeNotebookEditorVisibleRanges.event,this._onDidChangeNotebookDocumentMetadata=new D.Emitter,this.onDidChangeNotebookDocumentMetadata=this._onDidChangeNotebookDocumentMetadata.event,this._onDidChangeNotebookCells=new D.Emitter,this.onDidChangeNotebookCells=this._onDidChangeNotebookCells.event,this._onDidChangeCellOutputs=new D.Emitter,this.onDidChangeCellOutputs=this._onDidChangeCellOutputs.event,this._onDidChangeCellLanguage=new D.Emitter,this.onDidChangeCellLanguage=this._onDidChangeCellLanguage.event,this._onDidChangeCellMetadata=new D.Emitter,this.onDidChangeCellMetadata=this._onDidChangeCellMetadata.event,this._onDidChangeActiveNotebookEditor=new D.Emitter,this.onDidChangeActiveNotebookEditor=this._onDidChangeActiveNotebookEditor.event,this._visibleNotebookEditors=[],this._onDidOpenNotebookDocument=new D.Emitter,this.onDidOpenNotebookDocument=this._onDidOpenNotebookDocument.event,this._onDidCloseNotebookDocument=new D.Emitter,this.onDidCloseNotebookDocument=this._onDidCloseNotebookDocument.event,this._onDidSaveNotebookDocument=new D.Emitter,this.onDidSaveNotebookDocument=this._onDidSaveNotebookDocument.event,this._onDidChangeActiveNotebookKernel=new D.Emitter,this.onDidChangeActiveNotebookKernel=this._onDidChangeActiveNotebookKernel.event,this._onDidChangeVisibleNotebookEditors=new D.Emitter,this.onDidChangeVisibleNotebookEditors=this._onDidChangeVisibleNotebookEditors.event,this._backupIdPool=0,this._proxy=n.getProxy(I.MainContext.MainThreadNotebook),this._commandsConverter=d.converter,d.registerArgumentProcessor({processArgument:A=>{var L;if(A&&A.$mid===12){const M=(L=A.notebookEditor)===null||L===void 0?void 0:L.notebookUri,z=A.cell.handle,V=this._documents.get(M),W=V==null?void 0:V.getCell(z);if(W)return W.cell}return A}})}get activeNotebookEditor(){var n;return(n=this._activeNotebookEditor)===null||n===void 0?void 0:n.editor}get visibleNotebookEditors(){return this._visibleNotebookEditors.map(n=>n.editor)}get notebookDocuments(){return[...this._documents.values()]}lookupNotebookDocument(n){return this._documents.get(n)}_getNotebookDocument(n){const d=this._documents.get(n);if(!d)throw new Error(`NO notebook document for '${n}'`);return d}_getProviderData(n){const d=this._notebookContentProviders.get(n);if(!d)throw new Error(`NO provider for '${n}'`);return d}registerNotebookContentProvider(n,d,w,E){var h,b,A;if(this._notebookContentProviders.has(d))throw new Error(`Notebook provider for '${d}' already registered`);this._notebookContentProviders.set(d,{extension:n,provider:w});let L;w.onDidChangeNotebookContentOptions&&(L=w.onDidChangeNotebookContentOptions(()=>{this._proxy.$updateNotebookProviderOptions(d,w.options)}));const M=(h=E==null?void 0:E.viewOptions)===null||h===void 0?void 0:h.filenamePattern.map(z=>y.NotebookExclusiveDocumentPattern.from(z)).filter(z=>z!==void 0);return((b=E==null?void 0:E.viewOptions)===null||b===void 0?void 0:b.filenamePattern)&&!M&&console.warn(`Notebook content provider view options file name pattern is invalid ${(A=E==null?void 0:E.viewOptions)===null||A===void 0?void 0:A.filenamePattern}`),this._proxy.$registerNotebookProvider({id:n.identifier,location:n.extensionLocation,description:n.description},d,{transientOutputs:(E==null?void 0:E.transientOutputs)||!1,transientMetadata:(E==null?void 0:E.transientMetadata)||{},viewOptions:(E==null?void 0:E.viewOptions)&&M?{displayName:E.viewOptions.displayName,filenamePattern:M,exclusive:E.viewOptions.exclusive||!1}:void 0}),new i.Disposable(()=>{L==null||L.dispose(),this._notebookContentProviders.delete(d),this._proxy.$unregisterNotebookProvider(d)})}registerNotebookKernelProvider(n,d,w){const E=t._notebookKernelProviderHandlePool++,h=new a(this._proxy,E,n,w);return this._notebookKernelProviders.set(E,h),this._proxy.$registerNotebookKernelProvider({id:n.identifier,location:n.extensionLocation,description:n.description},E,{viewType:d.viewType,filenamePattern:d.filenamePattern?y.NotebookExclusiveDocumentPattern.from(d.filenamePattern):void 0}),new i.Disposable(()=>{h.dispose(),this._notebookKernelProviders.delete(E),this._proxy.$unregisterNotebookKernelProvider(E)})}createNotebookEditorDecorationType(n){return new c(this._proxy,n).value}async openNotebookDocument(n,d){const w=this._documents.get(P.URI.revive(n));if(w)return w.notebookDocument;await this._proxy.$tryOpenDocument(n,d);const E=this._documents.get(P.URI.revive(n));return S.assertIsDefined(E==null?void 0:E.notebookDocument)}_withAdapter(n,d,w){const E=this._documents.get(P.URI.revive(d));if(!E)return[];const h=this._notebookKernelProviders.get(n);return h?w(h,E):[]}async showNotebookDocument(n,d){var w;let E;typeof d=="object"?E={position:y.ViewColumn.from(d.viewColumn),preserveFocus:d.preserveFocus,selection:d.selection&&y.NotebookCellRange.from(d.selection),pinned:typeof d.preview=="boolean"?!d.preview:void 0}:E={preserveFocus:!1};const h=await this._proxy.$tryShowNotebookDocument(n.uri,n.viewType,E),b=h&&((w=this._editors.get(h))===null||w===void 0?void 0:w.editor);if(b)return b.editor;throw h?new Error(`Could NOT open editor for "${n.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${n.toString()}".`)}async $provideNotebookKernels(n,d,w){return this._withAdapter(n,d,(E,h)=>E.provideKernels(h,w))}async $resolveNotebookKernel(n,d,w,E,h){await this._withAdapter(n,w,async(b,A)=>{const L=this._webviewComm.get(d);L&&await b.resolveNotebook(E,A,L.contentProviderComm,h)})}async $resolveNotebookEditor(n,d,w){const E=this._notebookContentProviders.get(n),h=P.URI.revive(d),b=this._documents.get(h);if(!(!b||!E)){let A=this._webviewComm.get(w);A||(A=new g(w,h,this._proxy,this._webviewInitData,b),this._webviewComm.set(w,A)),!!E.provider.resolveNotebook&&await E.provider.resolveNotebook(b.notebookDocument,A.contentProviderComm)}}async $executeNotebookKernelFromProvider(n,d,w,E){await this._withAdapter(n,d,async(h,b)=>{const A=E!==void 0?b.getCell(E):void 0;return h.executeNotebook(w,b,A)})}async $cancelNotebookKernelFromProvider(n,d,w,E){await this._withAdapter(n,d,async(h,b)=>{const A=E!==void 0?b.getCell(E):void 0;return h.cancelNotebook(w,b,A)})}async $openNotebook(n,d,w){const{provider:E}=this._getProviderData(n),h=await E.openNotebook(P.URI.revive(d),{backupId:w});return{metadata:Object.assign(Object.assign({},k.notebookDocumentMetadataDefaults),h.metadata),cells:h.cells.map(y.NotebookCellData.from)}}async $saveNotebook(n,d,w){const E=this._getNotebookDocument(P.URI.revive(d)),{provider:h}=this._getProviderData(n);return await h.saveNotebook(E.notebookDocument,w),!0}async $saveNotebookAs(n,d,w,E){const h=this._getNotebookDocument(P.URI.revive(d)),{provider:b}=this._getProviderData(n);return await b.saveNotebookAs(P.URI.revive(w),h.notebookDocument,E),!0}async $backupNotebook(n,d,w){var E;const h=this._getNotebookDocument(P.URI.revive(d)),b=this._getProviderData(n),A=(E=this._extensionStoragePaths.workspaceValue(b.extension))!==null&&E!==void 0?E:this._extensionStoragePaths.globalValue(b.extension),L=String(_.hash([h.uri.toString(),this._backupIdPool++])),M=P.URI.joinPath(A,L),z=await b.provider.backupNotebook(h.notebookDocument,{destination:M},w);return h.updateBackup(z),z.id}$acceptNotebookActiveKernelChange(n){n.providerHandle!==void 0&&this._withAdapter(n.providerHandle,n.uri,async(d,w)=>{const E=n.kernelFriendlyId?d.getKernelByFriendlyId(P.URI.revive(n.uri),n.kernelFriendlyId):void 0;this._editors.forEach(h=>{h.editor.notebookData===w&&h.editor._acceptKernel(E)}),this._onDidChangeActiveNotebookKernel.fire({document:w.notebookDocument,kernel:E})})}$onDidReceiveMessage(n,d,w){var E;(E=this._webviewComm.get(n))===null||E===void 0||E.onDidReceiveMessage(d,w)}$acceptModelChanged(n,d,w){this._getNotebookDocument(P.URI.revive(n)).acceptModelChanged(d,w)}$acceptDirtyStateChanged(n,d){const w=this._getNotebookDocument(P.URI.revive(n));w.acceptModelChanged({rawEvents:[],versionId:w.notebookDocument.version},d)}$acceptModelSaved(n){const d=this._getNotebookDocument(P.URI.revive(n));this._onDidSaveNotebookDocument.fire(d.notebookDocument)}$acceptEditorPropertiesChanged(n,d){this.logService.debug("ExtHostNotebook#$acceptEditorPropertiesChanged",n,d);let w;this._editors.forEach(E=>{E.editor.id===n&&(w=E)}),!!w&&(d.visibleRanges&&(w.editor._acceptVisibleRanges(d.visibleRanges.ranges.map(y.NotebookCellRange.to)),this._onDidChangeNotebookEditorVisibleRanges.fire({notebookEditor:w.editor.editor,visibleRanges:w.editor.editor.visibleRanges})),d.selections&&(w.editor._acceptSelections(d.selections.selections),this._onDidChangeNotebookEditorSelection.fire({notebookEditor:w.editor.editor,selection:w.editor.editor.selection})))}$acceptDocumentPropertiesChanged(n,d){this.logService.debug("ExtHostNotebook#$acceptDocumentPropertiesChanged",n.path,d),this._getNotebookDocument(P.URI.revive(n)).acceptDocumentPropertiesChanged(d)}_createExtHostEditor(n,d,w,E){var h;const b=n.uri;let A=this._webviewComm.get(d);A||(A=new g(d,b,this._proxy,this._webviewInitData,n),this._webviewComm.set(d,A));const L=new l.ExtHostNotebookEditor(d,n.notebookDocument.viewType,this._proxy,n);L._acceptSelections(w),L._acceptVisibleRanges(E),(h=this._editors.get(d))===null||h===void 0||h.editor.dispose(),this._editors.set(d,{editor:L})}$acceptDocumentAndEditorsDelta(n){var d,w,E,h,b;let A=!1;if(n.removedDocuments)for(const M of n.removedDocuments){const z=P.URI.revive(M),V=this._documents.get(z);V&&(V.dispose(),this._documents.delete(z),this._documentsAndEditors.$acceptDocumentsAndEditorsDelta({removedDocuments:V.notebookDocument.cells.map(W=>W.uri)}),this._onDidCloseNotebookDocument.fire(V.notebookDocument));for(const W of this._editors.values())W.editor.notebookData.uri.toString()===z.toString()&&(W.editor.dispose(),this._editors.delete(W.editor.id),A=!0)}if(n.addedDocuments){const M=[];for(const z of n.addedDocuments){const V=P.URI.revive(z.uri),W=z.viewType;if(this._documents.has(V))throw new Error(`adding EXISTING notebook ${V}`);const K=this,x=new f.ExtHostNotebookDocument(this._proxy,this._documentsAndEditors,{emitModelChange(N){K._onDidChangeNotebookCells.fire(N)},emitCellOutputsChange(N){K._onDidChangeCellOutputs.fire(N)},emitCellLanguageChange(N){K._onDidChangeCellLanguage.fire(N)},emitCellMetadataChange(N){K._onDidChangeCellMetadata.fire(N)},emitDocumentMetadataChange(N){K._onDidChangeNotebookDocumentMetadata.fire(N)}},W,z.contentOptions,z.metadata?y.NotebookDocumentMetadata.to(z.metadata):new i.NotebookDocumentMetadata,V);x.acceptModelChanged({versionId:z.versionId,rawEvents:[{kind:k.NotebookCellsChangeType.Initialize,changes:[[0,0,z.cells]]}]},!1),M.push(...z.cells.map(N=>f.ExtHostCell.asModelAddData(x.notebookDocument,N))),(d=this._documents.get(V))===null||d===void 0||d.dispose(),this._documents.set(V,x),this._documentsAndEditors.$acceptDocumentsAndEditorsDelta({addedDocuments:M}),this._onDidOpenNotebookDocument.fire(x.notebookDocument)}}if(n.addedEditors)for(const M of n.addedEditors){if(this._editors.has(M.id))return;const z=P.URI.revive(M.documentUri),V=this._documents.get(z);V&&(this._createExtHostEditor(V,M.id,M.selections,M.visibleRanges.map(y.NotebookCellRange.to)),A=!0)}const L=[];if(n.removedEditors)for(const M of n.removedEditors){const z=this._editors.get(M);z&&(A=!0,this._editors.delete(M),((w=this._activeNotebookEditor)===null||w===void 0?void 0:w.id)===z.editor.id&&(this._activeNotebookEditor=void 0),L.push(z))}if(A&&L.forEach(M=>{M.editor.dispose()}),n.visibleEditors){this._visibleNotebookEditors=n.visibleEditors.map(z=>this._editors.get(z).editor).filter(z=>!!z);const M=new Set;this._visibleNotebookEditors.forEach(z=>M.add(z.id));for(const z of this._editors.values()){const V=M.has(z.editor.id);z.editor._acceptVisibility(V)}this._visibleNotebookEditors=[...this._editors.values()].map(z=>z.editor).filter(z=>z.visible),this._onDidChangeVisibleNotebookEditors.fire(this.visibleNotebookEditors)}if(n.newActiveEditor!==void 0){if(n.newActiveEditor){this._activeNotebookEditor=(E=this._editors.get(n.newActiveEditor))===null||E===void 0?void 0:E.editor,(h=this._activeNotebookEditor)===null||h===void 0||h._acceptActive(!0);for(const M of this._editors.values())M.editor!==this._activeNotebookEditor&&M.editor._acceptActive(!1)}else{this._activeNotebookEditor=void 0;for(const M of this._editors.values())M.editor._acceptActive(!1)}this._onDidChangeActiveNotebookEditor.fire((b=this._activeNotebookEditor)===null||b===void 0?void 0:b.editor)}}createNotebookCellStatusBarItemInternal(n,d,w){const E=new r(this._proxy,this._commandsConverter,n,d,w),h=k.CellUri.parse(n.uri);if(h){const b=this._documents.get(h.notebook);if(b){const A=b.getCell(h.handle);A&&D.Event.once(A.onDidDispose)(()=>E.dispose())}}return E}}e.ExtHostNotebookController=t,t._notebookKernelProviderHandlePool=0;class r extends R.Disposable{constructor(n,d,w,E,h){super();this._proxy=n,this._commands=d,this._cell=w,this._priority=h,this._id=r.NEXT_ID++,this._isDisposed=!1,this._text="",this._visible=!1,this._internalCommandRegistration=this._register(new R.DisposableStore),this._alignment=E!=null?E:i.NotebookCellStatusBarAlignment.Left}get apiItem(){return this._apiItem||(this._apiItem=s(this)),this._apiItem}get cell(){return this._cell}get alignment(){return this._alignment}set alignment(n){this._alignment=n,this.update()}get priority(){return this._priority}set priority(n){this._priority=n,this.update()}get text(){return this._text}set text(n){this._text=n,this.update()}get tooltip(){return this._tooltip}set tooltip(n){this._tooltip=n,this.update()}get command(){var n;return(n=this._command)===null||n===void 0?void 0:n.fromApi}set command(n){var d;((d=this._command)===null||d===void 0?void 0:d.fromApi)!==n&&(this._internalCommandRegistration.clear(),typeof n=="string"?this._command={fromApi:n,internal:this._commands.toInternal({title:"",command:n},this._internalCommandRegistration)}:n?this._command={fromApi:n,internal:this._commands.toInternal(n,this._internalCommandRegistration)}:this._command=void 0,this.update())}get accessibilityInformation(){return this._accessibilityInformation}set accessibilityInformation(n){this._accessibilityInformation=n,this.update()}show(){this._visible=!0,this.update()}hide(){this._visible=!1,this.update()}dispose(){this.hide(),this._isDisposed=!0,this._internalCommandRegistration.dispose()}update(){var n;if(!this._isDisposed){const d={alignment:this.alignment===i.NotebookCellStatusBarAlignment.Left?0:1,cellResource:this.cell.uri,command:(n=this._command)===null||n===void 0?void 0:n.internal,text:this.text,tooltip:this.tooltip,accessibilityInformation:this.accessibilityInformation,priority:this.priority,visible:this._visible};this._proxy.$setStatusBarEntry(this._id,d)}}}e.NotebookCellStatusBarItemInternal=r,r.NEXT_ID=0;function s(o){return Object.freeze({cell:o.cell,get alignment(){return o.alignment},set alignment(n){o.alignment=n},get priority(){return o.priority},set priority(n){o.priority=n},get text(){return o.text},set text(n){o.text=n},get tooltip(){return o.tooltip},set tooltip(n){o.tooltip=n},get command(){return o.command},set command(n){o.command=n},get accessibilityInformation(){return o.accessibilityInformation},set accessibilityInformation(n){o.accessibilityInformation=n},show(){o.show()},hide(){o.hide()},dispose(){o.dispose()}})}}),define(ge[65],pe([0,1,6,3,5,26,4,14]),function(Q,e,v,D,R,P,C,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostOutputService=e.ExtHostOutputService=e.LazyOutputChannel=e.ExtHostPushOutputChannel=e.AbstractExtHostOutputChannel=void 0;class y extends R.Disposable{constructor(l,m,S,_){super();this._onDidAppend=this._register(new D.Emitter),this.onDidAppend=this._onDidAppend.event,this._name=l,this._proxy=_,this._id=_.$register(this.name,m,S),this._disposed=!1,this._offset=0}get name(){return this._name}append(l){this.validate(),this._offset+=l?P.VSBuffer.fromString(l).byteLength:0}update(){this._id.then(l=>this._proxy.$update(l))}appendLine(l){this.validate(),this.append(l+`
`)}clear(){this.validate();const l=this._offset;this._id.then(m=>this._proxy.$clear(m,l))}show(l,m){this.validate(),this._id.then(S=>this._proxy.$reveal(S,!!(typeof l=="boolean"?l:m)))}hide(){this.validate(),this._id.then(l=>this._proxy.$close(l))}validate(){if(this._disposed)throw new Error("Channel has been closed")}dispose(){super.dispose(),this._disposed||this._id.then(l=>this._proxy.$dispose(l)).then(()=>this._disposed=!0)}}e.AbstractExtHostOutputChannel=y;class i extends y{constructor(l,m){super(l,!1,void 0,m)}append(l){super.append(l),this._id.then(m=>this._proxy.$append(m,l)),this._onDidAppend.fire()}}e.ExtHostPushOutputChannel=i;class T extends y{constructor(l,m,S){super(l,!0,m,S)}append(l){throw new Error("Not supported")}}class k{constructor(l,m){this.name=l,this._channel=m}append(l){this._channel.then(m=>m.append(l))}appendLine(l){this._channel.then(m=>m.appendLine(l))}clear(){this._channel.then(l=>l.clear())}show(l,m){this._channel.then(S=>S.show(l,m))}hide(){this._channel.then(l=>l.hide())}dispose(){this._channel.then(l=>l.dispose())}}e.LazyOutputChannel=k;let p=class{constructor(l){this._proxy=l.getProxy(v.MainContext.MainThreadOutputService)}$setVisibleChannel(l){}createOutputChannel(l){if(l=l.trim(),!l)throw new Error("illegal argument `name`. must not be falsy");return new i(l,this._proxy)}createOutputChannelFromLogFile(l,m){if(l=l.trim(),!l)throw new Error("illegal argument `name`. must not be falsy");if(!m)throw new Error("illegal argument `file`. must not be falsy");return new T(l,m,this._proxy)}};p=Ve([$e(0,I.IExtHostRpcService)],p),e.ExtHostOutputService=p,e.IExtHostOutputService=C.createDecorator("IExtHostOutputService")}),define(ge[244],pe([0,1,19,21,3,5,6,2,8,15,12]),function(Q,e,v,D,R,P,C,I,y,i,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createExtHostQuickOpen=void 0;function k(p,f,l){const m=p.getProxy(C.MainContext.MainThreadQuickOpen);class S{constructor(s,o){this._sessions=new Map,this._instances=0,this._workspace=s,this._commands=o}showQuickPick(s,o,n,d=D.CancellationToken.None){this._onDidSelectItem=void 0;const w=Promise.resolve(s),E=++this._instances,h=m.$show(E,{placeHolder:n&&n.placeHolder,matchOnDescription:n&&n.matchOnDescription,matchOnDetail:n&&n.matchOnDetail,ignoreFocusLost:n&&n.ignoreFocusOut,canPickMany:n&&n.canPickMany},d),b={},A=h.then(()=>b);return Promise.race([A,w]).then(L=>{if(L!==b)return w.then(M=>{const z=[];for(let V=0;V<M.length;V++){const W=M[V];let K,x,N,U,F;typeof W=="string"?K=W:(K=W.label,x=W.description,N=W.detail,U=W.picked,F=W.alwaysShow),z.push({label:K,description:x,handle:V,detail:N,picked:U,alwaysShow:F})}return n&&typeof n.onDidSelectItem=="function"&&(this._onDidSelectItem=V=>{n.onDidSelectItem(M[V])}),m.$setItems(E,z),h.then(V=>{if(typeof V=="number")return M[V];if(Array.isArray(V))return V.map(W=>M[W])})})}).then(void 0,L=>{if(!i.isPromiseCanceledError(L))return m.$setError(E,L),Promise.reject(L)})}$onItemSelected(s){this._onDidSelectItem&&this._onDidSelectItem(s)}showInput(s,o=D.CancellationToken.None){return this._validateInput=s?s.validateInput:void 0,m.$input(s,typeof this._validateInput=="function",o).then(void 0,n=>{if(!i.isPromiseCanceledError(n))return Promise.reject(n)})}$validateInput(s){return this._validateInput?v.asPromise(()=>this._validateInput(s)):Promise.resolve(void 0)}async showWorkspaceFolderPick(s,o=D.CancellationToken.None){const n=await this._commands.executeCommand("_workbench.pickWorkspaceFolder",[s]);if(!!n){const d=await this._workspace.getWorkspaceFolders2();if(!!d)return d.find(w=>w.uri.toString()===n.uri.toString())}}createQuickPick(s,o){const n=new c(s,o,()=>this._sessions.delete(n._id));return this._sessions.set(n._id,n),n}createInputBox(s){const o=new t(s,()=>this._sessions.delete(o._id));return this._sessions.set(o._id,o),o}$onDidChangeValue(s,o){const n=this._sessions.get(s);n&&n._fireDidChangeValue(o)}$onDidAccept(s){const o=this._sessions.get(s);o&&o._fireDidAccept()}$onDidChangeActive(s,o){const n=this._sessions.get(s);n instanceof c&&n._fireDidChangeActive(o)}$onDidChangeSelection(s,o){const n=this._sessions.get(s);n instanceof c&&n._fireDidChangeSelection(o)}$onDidTriggerButton(s,o){const n=this._sessions.get(s);n&&n._fireDidTriggerButton(o)}$onDidHide(s){const o=this._sessions.get(s);o&&o._fireDidHide()}}class _{constructor(s,o){this._extensionId=s,this._onDidDispose=o,this._id=c._nextId++,this._visible=!1,this._expectingHide=!1,this._enabled=!0,this._busy=!1,this._ignoreFocusOut=!0,this._value="",this._buttons=[],this._handlesToButtons=new Map,this._onDidAcceptEmitter=new R.Emitter,this._onDidChangeValueEmitter=new R.Emitter,this._onDidTriggerButtonEmitter=new R.Emitter,this._onDidHideEmitter=new R.Emitter,this._pendingUpdate={id:this._id},this._disposed=!1,this._disposables=[this._onDidTriggerButtonEmitter,this._onDidHideEmitter,this._onDidAcceptEmitter,this._onDidChangeValueEmitter],this.onDidChangeValue=this._onDidChangeValueEmitter.event,this.onDidAccept=this._onDidAcceptEmitter.event,this.onDidTriggerButton=this._onDidTriggerButtonEmitter.event,this.onDidHide=this._onDidHideEmitter.event}get title(){return this._title}set title(s){this._title=s,this.update({title:s})}get step(){return this._steps}set step(s){this._steps=s,this.update({step:s})}get totalSteps(){return this._totalSteps}set totalSteps(s){this._totalSteps=s,this.update({totalSteps:s})}get enabled(){return this._enabled}set enabled(s){this._enabled=s,this.update({enabled:s})}get busy(){return this._busy}set busy(s){this._busy=s,this.update({busy:s})}get ignoreFocusOut(){return this._ignoreFocusOut}set ignoreFocusOut(s){this._ignoreFocusOut=s,this.update({ignoreFocusOut:s})}get value(){return this._value}set value(s){this._value=s,this.update({value:s})}get placeholder(){return this._placeholder}set placeholder(s){this._placeholder=s,this.update({placeholder:s})}get buttons(){return this._buttons}set buttons(s){this._buttons=s.slice(),this._handlesToButtons.clear(),s.forEach((o,n)=>{const d=o===y.QuickInputButtons.Back?-1:n;this._handlesToButtons.set(d,o)}),this.update({buttons:s.map((o,n)=>({iconPath:g(o.iconPath),tooltip:o.tooltip,handle:o===y.QuickInputButtons.Back?-1:n}))})}show(){this._visible=!0,this._expectingHide=!0,this.update({visible:!0})}hide(){this._visible=!1,this.update({visible:!1})}_fireDidAccept(){this._onDidAcceptEmitter.fire()}_fireDidChangeValue(s){this._value=s,this._onDidChangeValueEmitter.fire(s)}_fireDidTriggerButton(s){const o=this._handlesToButtons.get(s);o&&this._onDidTriggerButtonEmitter.fire(o)}_fireDidHide(){this._expectingHide&&(this._expectingHide=!1,this._onDidHideEmitter.fire())}dispose(){this._disposed||(this._disposed=!0,this._fireDidHide(),this._disposables=P.dispose(this._disposables),this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this._onDidDispose(),m.$dispose(this._id))}update(s){if(!this._disposed){for(const o of Object.keys(s)){const n=s[o];this._pendingUpdate[o]=n===void 0?null:n}"visible"in this._pendingUpdate?(this._updateTimeout&&(clearTimeout(this._updateTimeout),this._updateTimeout=void 0),this.dispatchUpdate()):this._visible&&!this._updateTimeout&&(this._updateTimeout=setTimeout(()=>{this._updateTimeout=void 0,this.dispatchUpdate()},0))}}dispatchUpdate(){m.$createOrUpdate(this._pendingUpdate),this._pendingUpdate={id:this._id}}}_._nextId=1;function g(r){if(r instanceof y.ThemeIcon)return{id:r.id};const s=u(r),o=a(r);return{dark:typeof s=="string"?I.URI.file(s):s,light:typeof o=="string"?I.URI.file(o):o}}function a(r){return typeof r=="object"&&"light"in r?r.light:r}function u(r){return typeof r=="object"&&"dark"in r?r.dark:r}class c extends _{constructor(s,o,n){super(s,n);this._items=[],this._handlesToItems=new Map,this._itemsToHandles=new Map,this._canSelectMany=!1,this._matchOnDescription=!0,this._matchOnDetail=!0,this._sortByLabel=!0,this._activeItems=[],this._onDidChangeActiveEmitter=new R.Emitter,this._selectedItems=[],this._onDidChangeSelectionEmitter=new R.Emitter,this.onDidChangeActive=this._onDidChangeActiveEmitter.event,this.onDidChangeSelection=this._onDidChangeSelectionEmitter.event,this._disposables.push(this._onDidChangeActiveEmitter,this._onDidChangeSelectionEmitter),this.update({type:"quickPick"})}get items(){return this._items}set items(s){this._items=s.slice(),this._handlesToItems.clear(),this._itemsToHandles.clear(),s.forEach((o,n)=>{this._handlesToItems.set(n,o),this._itemsToHandles.set(o,n)}),this.update({items:s.map((o,n)=>({label:o.label,description:o.description,handle:n,detail:o.detail,picked:o.picked,alwaysShow:o.alwaysShow}))})}get canSelectMany(){return this._canSelectMany}set canSelectMany(s){this._canSelectMany=s,this.update({canSelectMany:s})}get matchOnDescription(){return this._matchOnDescription}set matchOnDescription(s){this._matchOnDescription=s,this.update({matchOnDescription:s})}get matchOnDetail(){return this._matchOnDetail}set matchOnDetail(s){this._matchOnDetail=s,this.update({matchOnDetail:s})}get sortByLabel(){return this._sortByLabel}set sortByLabel(s){this._sortByLabel=s,this.update({sortByLabel:s})}get activeItems(){return this._activeItems}set activeItems(s){this._activeItems=s.filter(o=>this._itemsToHandles.has(o)),this.update({activeItems:this._activeItems.map(o=>this._itemsToHandles.get(o))})}get selectedItems(){return this._selectedItems}set selectedItems(s){this._selectedItems=s.filter(o=>this._itemsToHandles.has(o)),this.update({selectedItems:this._selectedItems.map(o=>this._itemsToHandles.get(o))})}_fireDidChangeActive(s){const o=T.coalesce(s.map(n=>this._handlesToItems.get(n)));this._activeItems=o,this._onDidChangeActiveEmitter.fire(o)}_fireDidChangeSelection(s){const o=T.coalesce(s.map(n=>this._handlesToItems.get(n)));this._selectedItems=o,this._onDidChangeSelectionEmitter.fire(o)}}class t extends _{constructor(s,o){super(s,o);this._password=!1,this.update({type:"inputBox"})}get password(){return this._password}set password(s){this._password=s,this.update({password:s})}get prompt(){return this._prompt}set prompt(s){this._prompt=s,this.update({prompt:s})}get validationMessage(){return this._validationMessage}set validationMessage(s){this._validationMessage=s,this.update({validationMessage:s})}}return new S(f,l)}e.createExtHostQuickOpen=k}),define(ge[245],pe([0,1,2,3,56,5,19,6,12,91,11,30,42]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostSCM=e.ExtHostSCMInputBox=void 0;function f(o){if(o)return typeof o.iconPath=="string"?v.URI.file(o.iconPath):o.iconPath}function l(o,n){if(!o.iconPath&&!n.iconPath)return 0;if(o.iconPath){if(!n.iconPath)return 1}else return-1;const d=typeof o.iconPath=="string"?o.iconPath:o.iconPath.fsPath,w=typeof n.iconPath=="string"?n.iconPath:n.iconPath.fsPath;return i.comparePaths(d,w)}function m(o,n){let d=0;if(o.strikeThrough!==n.strikeThrough)return o.strikeThrough?1:-1;if(o.faded!==n.faded)return o.faded?1:-1;if(o.tooltip!==n.tooltip)return(o.tooltip||"").localeCompare(n.tooltip||"");if(d=l(o,n),d!==0)return d;if(o.light&&n.light)d=l(o.light,n.light);else{if(o.light)return 1;if(n.light)return-1}if(d!==0)return d;if(o.dark&&n.dark)d=l(o.dark,n.dark);else{if(o.dark)return 1;if(n.dark)return-1}return d}function S(o,n){if(o.command!==n.command)return o.command<n.command?-1:1;if(o.title!==n.title)return o.title<n.title?-1:1;if(o.tooltip!==n.tooltip){if(o.tooltip!==void 0&&n.tooltip!==void 0)return o.tooltip<n.tooltip?-1:1;if(o.tooltip!==void 0)return 1;if(n.tooltip!==void 0)return-1}if(o.arguments===n.arguments)return 0;if(o.arguments)if(n.arguments){if(o.arguments.length!==n.arguments.length)return o.arguments.length-n.arguments.length}else return 1;else return-1;for(let d=0;d<o.arguments.length;d++){const w=o.arguments[d],E=n.arguments[d];if(w!==E)return w<E?-1:1}return 0}function _(o,n){let d=i.comparePaths(o.resourceUri.fsPath,n.resourceUri.fsPath,!0);if(d!==0)return d;if(o.command&&n.command)d=S(o.command,n.command);else{if(o.command)return 1;if(n.command)return-1}if(d!==0)return d;if(o.decorations&&n.decorations)d=m(o.decorations,n.decorations);else{if(o.decorations)return 1;if(n.decorations)return-1}return d}function g(o,n){for(let d=0;d<o.length;d++)if(o[d]!==n[d])return!1;return!0}function a(o,n){return o.command===n.command&&o.title===n.title&&o.tooltip===n.tooltip&&(o.arguments&&n.arguments?g(o.arguments,n.arguments):o.arguments===n.arguments)}function u(o,n){return y.equals(o,n,a)}class c{constructor(n,d,w){this._extension=n,this._proxy=d,this._sourceControlHandle=w,this._value="",this._onDidChange=new D.Emitter,this._placeholder="",this._visible=!0}get value(){return this._value}set value(n){this._proxy.$setInputBoxValue(this._sourceControlHandle,n),this.updateValue(n)}get onDidChange(){return this._onDidChange.event}get placeholder(){return this._placeholder}set placeholder(n){this._proxy.$setInputBoxPlaceholder(this._sourceControlHandle,n),this._placeholder=n}get validateInput(){return p.checkProposedApiEnabled(this._extension),this._validateInput}set validateInput(n){if(p.checkProposedApiEnabled(this._extension),n&&typeof n!="function")throw new Error(`[${this._extension.identifier.value}]: Invalid SCM input box validation function`);this._validateInput=n,this._proxy.$setValidationProviderIsEnabled(this._sourceControlHandle,!!n)}get visible(){return this._visible}set visible(n){n=!!n,this._visible!==n&&(this._visible=n,this._proxy.$setInputBoxVisibility(this._sourceControlHandle,n))}$onInputBoxValueChange(n){this.updateValue(n)}updateValue(n){this._value=n,this._onDidChange.fire(n)}}e.ExtHostSCMInputBox=c;class t{constructor(n,d,w,E,h){this._proxy=n,this._commands=d,this._sourceControlHandle=w,this._id=E,this._label=h,this._resourceHandlePool=0,this._resourceStates=[],this._resourceStatesMap=new Map,this._resourceStatesCommandsMap=new Map,this._resourceStatesDisposablesMap=new Map,this._onDidUpdateResourceStates=new D.Emitter,this.onDidUpdateResourceStates=this._onDidUpdateResourceStates.event,this._disposed=!1,this._onDidDispose=new D.Emitter,this.onDidDispose=this._onDidDispose.event,this._handlesSnapshot=[],this._resourceSnapshot=[],this._hideWhenEmpty=void 0,this.handle=t._handlePool++}get disposed(){return this._disposed}get id(){return this._id}get label(){return this._label}set label(n){this._label=n,this._proxy.$updateGroupLabel(this._sourceControlHandle,this.handle,n)}get hideWhenEmpty(){return this._hideWhenEmpty}set hideWhenEmpty(n){this._hideWhenEmpty=n,this._proxy.$updateGroup(this._sourceControlHandle,this.handle,this.features)}get features(){return{hideWhenEmpty:this.hideWhenEmpty}}get resourceStates(){return[...this._resourceStates]}set resourceStates(n){this._resourceStates=[...n],this._onDidUpdateResourceStates.fire()}getResourceState(n){return this._resourceStatesMap.get(n)}$executeResourceCommand(n,d){const w=this._resourceStatesCommandsMap.get(n);return w?C.asPromise(()=>this._commands.executeCommand(w.command,...w.arguments||[],d)):Promise.resolve(void 0)}_takeResourceStateSnapshot(){var n;const d=[...this._resourceStates].sort(_),E=y.sortedDiff(this._resourceSnapshot,d,_).map(A=>{const L=A.toInsert.map(M=>{const z=this._resourceHandlePool++;this._resourceStatesMap.set(z,M);const V=M.resourceUri,W=f(M.decorations),K=M.decorations&&f(M.decorations.light)||W,x=M.decorations&&f(M.decorations.dark)||W,N=[];let U;if(M.command)if(M.command.command==="vscode.open"||M.command.command==="vscode.diff"){const ae=new P.DisposableStore;U=this._commands.converter.toInternal(M.command,ae),this._resourceStatesDisposablesMap.set(z,ae)}else this._resourceStatesCommandsMap.set(z,M.command);K&&N.push(K),x&&x.toString()!==(K==null?void 0:K.toString())&&N.push(x);const F=M.decorations&&M.decorations.tooltip||"",O=M.decorations&&!!M.decorations.strikeThrough,$=M.decorations&&!!M.decorations.faded,q=M.contextValue||"";return{rawResource:[z,V,N,F,O,$,q,U],handle:z}});return{start:A.start,deleteCount:A.deleteCount,toInsert:L}}),h=E.map(({start:A,deleteCount:L,toInsert:M})=>[A,L,M.map(z=>z.rawResource)]),b=E.reverse();for(const{start:A,deleteCount:L,toInsert:M}of b){const z=M.map(W=>W.handle),V=this._handlesSnapshot.splice(A,L,...z);for(const W of V)this._resourceStatesMap.delete(W),this._resourceStatesCommandsMap.delete(W),(n=this._resourceStatesDisposablesMap.get(W))===null||n===void 0||n.dispose(),this._resourceStatesDisposablesMap.delete(W)}return this._resourceSnapshot=d,h}dispose(){this._disposed=!0,this._onDidDispose.fire()}}t._handlePool=0;class r{constructor(n,d,w,E,h,b){this._proxy=d,this._commands=w,this._id=E,this._label=h,this._rootUri=b,this._groups=new Map,this._count=void 0,this._quickDiffProvider=void 0,this._commitTemplate=void 0,this._acceptInputDisposables=new P.MutableDisposable,this._acceptInputCommand=void 0,this._statusBarDisposables=new P.MutableDisposable,this._statusBarCommands=void 0,this._selected=!1,this._onDidChangeSelection=new D.Emitter,this.onDidChangeSelection=this._onDidChangeSelection.event,this.handle=r._handlePool++,this.createdResourceGroups=new Map,this.updatedResourceGroups=new Set,this._inputBox=new c(n,this._proxy,this.handle),this._proxy.$registerSourceControl(this.handle,E,h,b)}get id(){return this._id}get label(){return this._label}get rootUri(){return this._rootUri}get inputBox(){return this._inputBox}get count(){return this._count}set count(n){this._count!==n&&(this._count=n,this._proxy.$updateSourceControl(this.handle,{count:n}))}get quickDiffProvider(){return this._quickDiffProvider}set quickDiffProvider(n){this._quickDiffProvider=n,this._proxy.$updateSourceControl(this.handle,{hasQuickDiffProvider:!!n})}get commitTemplate(){return this._commitTemplate}set commitTemplate(n){n!==this._commitTemplate&&(this._commitTemplate=n,this._proxy.$updateSourceControl(this.handle,{commitTemplate:n}))}get acceptInputCommand(){return this._acceptInputCommand}set acceptInputCommand(n){this._acceptInputDisposables.value=new P.DisposableStore,this._acceptInputCommand=n;const d=this._commands.converter.toInternal(n,this._acceptInputDisposables.value);this._proxy.$updateSourceControl(this.handle,{acceptInputCommand:d})}get statusBarCommands(){return this._statusBarCommands}set statusBarCommands(n){if(!(this._statusBarCommands&&n&&u(this._statusBarCommands,n))){this._statusBarDisposables.value=new P.DisposableStore,this._statusBarCommands=n;const d=(n||[]).map(w=>this._commands.converter.toInternal(w,this._statusBarDisposables.value));this._proxy.$updateSourceControl(this.handle,{statusBarCommands:d})}}get selected(){return this._selected}createResourceGroup(n,d){const w=new t(this._proxy,this._commands,this.handle,n,d),E=D.Event.once(w.onDidDispose)(()=>this.createdResourceGroups.delete(w));return this.createdResourceGroups.set(w,E),this.eventuallyAddResourceGroups(),w}eventuallyAddResourceGroups(){const n=[],d=[];for(const[w,E]of this.createdResourceGroups){E.dispose();const h=w.onDidUpdateResourceStates(()=>{this.updatedResourceGroups.add(w),this.eventuallyUpdateResourceStates()});D.Event.once(w.onDidDispose)(()=>{this.updatedResourceGroups.delete(w),h.dispose(),this._groups.delete(w.handle),this._proxy.$unregisterGroup(this.handle,w.handle)}),n.push([w.handle,w.id,w.label,w.features]);const b=w._takeResourceStateSnapshot();b.length>0&&d.push([w.handle,b]),this._groups.set(w.handle,w)}this._proxy.$registerGroups(this.handle,n,d),this.createdResourceGroups.clear()}eventuallyUpdateResourceStates(){const n=[];this.updatedResourceGroups.forEach(d=>{const w=d._takeResourceStateSnapshot();w.length!==0&&n.push([d.handle,w])}),n.length>0&&this._proxy.$spliceResourceStates(this.handle,n),this.updatedResourceGroups.clear()}getResourceGroup(n){return this._groups.get(n)}setSelectionState(n){this._selected=n,this._onDidChangeSelection.fire(n)}dispose(){this._acceptInputDisposables.dispose(),this._statusBarDisposables.dispose(),this._groups.forEach(n=>n.dispose()),this._proxy.$unregisterSourceControl(this.handle)}}r._handlePool=0,Ve([R.debounce(100)],r.prototype,"eventuallyAddResourceGroups",null),Ve([R.debounce(100)],r.prototype,"eventuallyUpdateResourceStates",null);let s=class Pn{constructor(n,d,w){this._commands=d,this.logService=w,this._sourceControls=new Map,this._sourceControlsByExtension=new Map,this._onDidChangeActiveProvider=new D.Emitter,this._proxy=n.getProxy(I.MainContext.MainThreadSCM),this._telemetry=n.getProxy(I.MainContext.MainThreadTelemetry),d.registerArgumentProcessor({processArgument:E=>{if(E&&E.$mid===3){const h=this._sourceControls.get(E.sourceControlHandle);if(!h)return E;const b=h.getResourceGroup(E.groupHandle);return b?b.getResourceState(E.handle):E}else if(E&&E.$mid===4){const h=this._sourceControls.get(E.sourceControlHandle);return h?h.getResourceGroup(E.groupHandle):E}else if(E&&E.$mid===5){const h=this._sourceControls.get(E.handle);return h||E}return E}})}get onDidChangeActiveProvider(){return this._onDidChangeActiveProvider.event}createSourceControl(n,d,w,E){this.logService.trace("ExtHostSCM#createSourceControl",n.identifier.value,d,w,E),this._telemetry.$publicLog2("api/scm/createSourceControl",{extensionId:n.identifier.value});const h=Pn._handlePool++,b=new r(n,this._proxy,this._commands,d,w,E);this._sourceControls.set(h,b);const A=this._sourceControlsByExtension.get(k.ExtensionIdentifier.toKey(n.identifier))||[];return A.push(b),this._sourceControlsByExtension.set(k.ExtensionIdentifier.toKey(n.identifier),A),b}getLastInputBox(n){this.logService.trace("ExtHostSCM#getLastInputBox",n.identifier.value);const d=this._sourceControlsByExtension.get(k.ExtensionIdentifier.toKey(n.identifier)),w=d&&d[d.length-1];return w&&w.inputBox}$provideOriginalResource(n,d,w){const E=v.URI.revive(d);this.logService.trace("ExtHostSCM#$provideOriginalResource",n,E.toString());const h=this._sourceControls.get(n);return!h||!h.quickDiffProvider||!h.quickDiffProvider.provideOriginalResource?Promise.resolve(null):C.asPromise(()=>h.quickDiffProvider.provideOriginalResource(E,w)).then(b=>b||null)}$onInputBoxValueChange(n,d){this.logService.trace("ExtHostSCM#$onInputBoxValueChange",n);const w=this._sourceControls.get(n);return w&&w.inputBox.$onInputBoxValueChange(d),Promise.resolve(void 0)}$executeResourceCommand(n,d,w,E){this.logService.trace("ExtHostSCM#$executeResourceCommand",n,d,w);const h=this._sourceControls.get(n);if(!h)return Promise.resolve(void 0);const b=h.getResourceGroup(d);return b?b.$executeResourceCommand(w,E):Promise.resolve(void 0)}$validateInput(n,d,w){this.logService.trace("ExtHostSCM#$validateInput",n);const E=this._sourceControls.get(n);return!E||!E.inputBox.validateInput?Promise.resolve(void 0):C.asPromise(()=>E.inputBox.validateInput(d,w)).then(h=>h?Promise.resolve([h.message,h.type]):Promise.resolve(void 0))}$setSelectedSourceControl(n){var d,w;return this.logService.trace("ExtHostSCM#$setSelectedSourceControl",n),n!==void 0&&((d=this._sourceControls.get(n))===null||d===void 0||d.setSelectionState(!0)),this._selectedSourceControlHandle!==void 0&&((w=this._sourceControls.get(this._selectedSourceControlHandle))===null||w===void 0||w.setSelectionState(!1)),this._selectedSourceControlHandle=n,Promise.resolve(void 0)}};s._handlePool=0,s=Ve([$e(2,T.ILogService)],s),e.ExtHostSCM=s});var nt=this&&this.__classPrivateFieldSet||function(Q,e,v){if(!e.has(Q))throw new TypeError("attempted to set private field on non-instance");return e.set(Q,v),v},ze=this&&this.__classPrivateFieldGet||function(Q,e){if(!e.has(Q))throw new TypeError("attempted to get private field on non-instance");return e.get(Q)};define(ge[246],pe([0,1,8,6,161,5]),function(Q,e,v,D,R,P){"use strict";var C,I;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostStatusBar=e.ExtHostStatusBarEntry=void 0;class y{constructor(p,f,l,m,S=v.StatusBarAlignment.Left,_,g){C.set(this,void 0),I.set(this,void 0),this._disposed=!1,this._visible=!1,this._text="",this._internalCommandRegistration=new P.DisposableStore,nt(this,C,p),nt(this,I,f),this._id=y.ID_GEN++,this._statusId=l,this._statusName=m,this._alignment=S,this._priority=_,this._accessibilityInformation=g}get id(){return this._id}get alignment(){return this._alignment}get priority(){return this._priority}get text(){return this._text}get tooltip(){return this._tooltip}get color(){return this._color}get backgroundColor(){return this._backgroundColor}get command(){var p;return(p=this._command)===null||p===void 0?void 0:p.fromApi}get accessibilityInformation(){return this._accessibilityInformation}set text(p){this._text=p,this.update()}set tooltip(p){this._tooltip=p,this.update()}set color(p){this._color=p,this.update()}set backgroundColor(p){p&&!y.ALLOWED_BACKGROUND_COLORS.has(p.id)&&(p=void 0),this._backgroundColor=p,this.update()}set command(p){var f;((f=this._command)===null||f===void 0?void 0:f.fromApi)!==p&&(this._internalCommandRegistration.clear(),typeof p=="string"?this._command={fromApi:p,internal:ze(this,I).toInternal({title:"",command:p},this._internalCommandRegistration)}:p?this._command={fromApi:p,internal:ze(this,I).toInternal(p,this._internalCommandRegistration)}:this._command=void 0,this.update())}set accessibilityInformation(p){this._accessibilityInformation=p,this.update()}show(){this._visible=!0,this.update()}hide(){clearTimeout(this._timeoutHandle),this._visible=!1,ze(this,C).$dispose(this.id)}update(){this._disposed||!this._visible||(clearTimeout(this._timeoutHandle),this._timeoutHandle=setTimeout(()=>{var p;this._timeoutHandle=void 0;let f=this._color;this._backgroundColor&&(f=y.ALLOWED_BACKGROUND_COLORS.get(this._backgroundColor.id)),ze(this,C).$setEntry(this.id,this._statusId,this._statusName,this._text,this._tooltip,(p=this._command)===null||p===void 0?void 0:p.internal,f,this._backgroundColor,this._alignment===v.StatusBarAlignment.Left?0:1,this._priority,this._accessibilityInformation)},0))}dispose(){this.hide(),this._disposed=!0}}e.ExtHostStatusBarEntry=y,C=new WeakMap,I=new WeakMap,y.ID_GEN=0,y.ALLOWED_BACKGROUND_COLORS=new Map([["statusBarItem.errorBackground",new v.ThemeColor("statusBarItem.errorForeground")]]);class i{constructor(p){this._messages=[],this._item=p.createStatusBarEntry("status.extensionMessage",R.localize(0,null),v.StatusBarAlignment.Left,Number.MIN_VALUE)}dispose(){this._messages.length=0,this._item.dispose()}setMessage(p){const f={message:p};return this._messages.unshift(f),this._update(),new v.Disposable(()=>{const l=this._messages.indexOf(f);l>=0&&(this._messages.splice(l,1),this._update())})}_update(){this._messages.length>0?(this._item.text=this._messages[0].message,this._item.show()):this._item.hide()}}class T{constructor(p,f){this._proxy=p.getProxy(D.MainContext.MainThreadStatusBar),this._commands=f,this._statusMessage=new i(this)}createStatusBarEntry(p,f,l,m,S){return new y(this._proxy,this._commands,p,f,l,m,S)}setStatusBarMessage(p,f){const l=this._statusMessage.setMessage(p);let m;return typeof f=="number"?m=setTimeout(()=>l.dispose(),f):typeof f!="undefined"&&f.then(()=>l.dispose(),()=>l.dispose()),new v.Disposable(()=>{l.dispose(),clearTimeout(m)})}}e.ExtHostStatusBar=T}),define(ge[88],pe([0,1,6,3,4]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostStorage=e.ExtHostStorage=void 0;class P{constructor(I){this._onDidChangeStorage=new D.Emitter,this.onDidChangeStorage=this._onDidChangeStorage.event,this._proxy=I.getProxy(v.MainContext.MainThreadStorage)}registerExtensionStorageKeysToSync(I,y){this._proxy.$registerExtensionStorageKeysToSync(I,y)}getValue(I,y,i){return this._proxy.$getValue(I,y).then(T=>T||i)}setValue(I,y,i){return this._proxy.$setValue(I,y,i)}$acceptValue(I,y,i){this._onDidChangeStorage.fire({shared:I,key:y,value:i})}}e.ExtHostStorage=P,e.IExtHostStorage=R.createDecorator("IExtHostStorage")}),define(ge[89],pe([0,1,4,27,11,87,2]),function(Q,e,v,D,R,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionStoragePaths=e.IExtensionStoragePaths=void 0,e.IExtensionStoragePaths=v.createDecorator("IExtensionStoragePaths");let I=class{constructor(i,T,k){var p;this._logService=T,this._extHostFileSystem=k,this._workspace=(p=i.workspace)!==null&&p!==void 0?p:void 0,this._environment=i.environment,this.whenReady=this._getOrCreateWorkspaceStoragePath().then(f=>this._value=f)}async _getOrCreateWorkspaceStoragePath(){var i;if(!this._workspace)return Promise.resolve(void 0);const T=this._workspace.id,k=C.URI.joinPath(this._environment.workspaceStorageHome,T);try{return await this._extHostFileSystem.value.stat(k),this._logService.trace("[ExtHostStorage] storage dir already exists",k),k}catch(p){}try{return this._logService.trace("[ExtHostStorage] creating dir and metadata-file",k),await this._extHostFileSystem.value.createDirectory(k),await this._extHostFileSystem.value.writeFile(C.URI.joinPath(k,"meta.json"),new TextEncoder().encode(JSON.stringify({id:this._workspace.id,configuration:(i=C.URI.revive(this._workspace.configuration))===null||i===void 0?void 0:i.toString(),name:this._workspace.name},void 0,2))),k}catch(p){this._logService.error("[ExtHostStorage]",p);return}}workspaceValue(i){if(this._value)return C.URI.joinPath(this._value,i.identifier.value)}globalValue(i){return C.URI.joinPath(this._environment.globalStorageHome,i.identifier.value.toLowerCase())}};I=Ve([$e(0,D.IExtHostInitDataService),$e(1,R.ILogService),$e(2,P.IExtHostConsumerFileSystem)],I),e.ExtensionStoragePaths=I}),define(ge[36],pe([0,1,3,6,4,2,14,5,8,162,15,208,21,28,187]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostTerminalService=e.EnvironmentVariableCollection=e.BaseExtHostTerminalService=e.ExtHostPseudoterminal=e.ExtHostTerminal=e.IExtHostTerminalService=void 0,e.IExtHostTerminalService=R.createDecorator("IExtHostTerminalService");class m{constructor(t,r,s,o){this._proxy=t,this._id=r,this._creationOptions=s,this._name=o,this._disposed=!1,this.isOpen=!1,this._creationOptions=Object.freeze(this._creationOptions),this._pidPromise=new Promise(d=>this._pidPromiseComplete=d);const n=this;this.value={get name(){return n._name||""},get processId(){return n._pidPromise},get creationOptions(){return n._creationOptions},get exitStatus(){return n._exitStatus},sendText(d,w=!0){n._checkDisposed(),n._proxy.$sendText(n._id,d,w)},show(d){n._checkDisposed(),n._proxy.$show(n._id,d)},hide(){n._checkDisposed(),n._proxy.$hide(n._id)},dispose(){n._disposed||(n._disposed=!0,n._proxy.$dispose(n._id))},get dimensions(){if(!(n._cols===void 0||n._rows===void 0))return{columns:n._cols,rows:n._rows}}}}async create(t,r,s,o,n,d,w,E){if(typeof this._id!="string")throw new Error("Terminal has already been created");await this._proxy.$createTerminal(this._id,{name:this._name,shellPath:t,shellArgs:r,cwd:s,env:o,waitOnExit:n,strictEnv:d,hideFromUser:w,isFeatureTerminal:E})}async createExtensionTerminal(){if(typeof this._id!="string")throw new Error("Terminal has already been created");if(await this._proxy.$createTerminal(this._id,{name:this._name,isExtensionTerminal:!0}),typeof this._id=="string")throw new Error("Terminal creation failed");return this._id}_checkDisposed(){if(this._disposed)throw new Error("Terminal has already been disposed")}set name(t){this._name=t}setExitCode(t){this._exitStatus=Object.freeze({code:t})}setDimensions(t,r){return t===this._cols&&r===this._rows||t===0||r===0?!1:(this._cols=t,this._rows=r,!0)}_setProcessId(t){this._pidPromiseComplete?(this._pidPromiseComplete(t),this._pidPromiseComplete=void 0):this._pidPromise.then(r=>{r!==t&&(this._pidPromise=Promise.resolve(t))})}}e.ExtHostTerminal=m;class S{constructor(t){this._pty=t,this.id=0,this.shouldPersist=!1,this._onProcessData=new v.Emitter,this.onProcessData=this._onProcessData.event,this._onProcessExit=new v.Emitter,this.onProcessExit=this._onProcessExit.event,this._onProcessReady=new v.Emitter,this._onProcessTitleChanged=new v.Emitter,this.onProcessTitleChanged=this._onProcessTitleChanged.event,this._onProcessOverrideDimensions=new v.Emitter}get onProcessReady(){return this._onProcessReady.event}get onProcessOverrideDimensions(){return this._onProcessOverrideDimensions.event}async start(){}shutdown(){this._pty.close()}input(t){this._pty.handleInput&&this._pty.handleInput(t)}resize(t,r){this._pty.setDimensions&&this._pty.setDimensions({columns:t,rows:r})}acknowledgeDataEvent(t){}getInitialCwd(){return Promise.resolve("")}getCwd(){return Promise.resolve("")}getLatency(){return Promise.resolve(0)}startSendingEvents(t){this._pty.onDidWrite(r=>this._onProcessData.fire(r)),this._pty.onDidClose&&this._pty.onDidClose((r=void 0)=>{this._onProcessExit.fire(r===void 0?void 0:r)}),this._pty.onDidOverrideDimensions&&this._pty.onDidOverrideDimensions(r=>this._onProcessOverrideDimensions.fire(r&&{cols:r.columns,rows:r.rows})),this._pty.open(t||void 0),this._pty.setDimensions&&t&&this._pty.setDimensions(t),this._onProcessReady.fire({pid:-1,cwd:""})}}e.ExtHostPseudoterminal=S;let _=1,g=class extends I.Disposable{constructor(t,r){super();this._terminals=[],this._terminalProcesses=new Map,this._terminalProcessDisposables={},this._extensionTerminalAwaitingStart={},this._getTerminalPromises={},this._environmentVariableCollections=new Map,this._linkProviders=new Set,this._terminalLinkCache=new Map,this._terminalLinkCancellationSource=new Map,this._onDidCloseTerminal=new v.Emitter,this._onDidOpenTerminal=new v.Emitter,this._onDidChangeActiveTerminal=new v.Emitter,this._onDidChangeTerminalDimensions=new v.Emitter,this._proxy=r.getProxy(D.MainContext.MainThreadTerminalService),this._bufferer=new l.TerminalDataBufferer(this._proxy.$sendProcessData),this._onDidWriteTerminalData=new v.Emitter({onFirstListenerAdd:()=>this._proxy.$startSendingDataEvents(),onLastListenerRemove:()=>this._proxy.$stopSendingDataEvents()}),this._proxy.$registerProcessSupport(t),this._register({dispose:()=>{for(const[s,o]of this._terminalProcesses)o.shutdown(!0)}})}get activeTerminal(){var t;return(t=this._activeTerminal)===null||t===void 0?void 0:t.value}get terminals(){return this._terminals.map(t=>t.value)}get onDidCloseTerminal(){return this._onDidCloseTerminal&&this._onDidCloseTerminal.event}get onDidOpenTerminal(){return this._onDidOpenTerminal&&this._onDidOpenTerminal.event}get onDidChangeActiveTerminal(){return this._onDidChangeActiveTerminal&&this._onDidChangeActiveTerminal.event}get onDidChangeTerminalDimensions(){return this._onDidChangeTerminalDimensions&&this._onDidChangeTerminalDimensions.event}get onDidWriteTerminalData(){return this._onDidWriteTerminalData&&this._onDidWriteTerminalData.event}createExtensionTerminal(t){const r=new m(this._proxy,f.generateUuid(),t,t.name),s=new S(t.pty);return r.createExtensionTerminal().then(o=>{const n=this._setupExtHostProcessListeners(o,s);this._terminalProcessDisposables[o]=n}),this._terminals.push(r),r.value}attachPtyToTerminal(t,r){if(!this._getTerminalById(t))throw new Error(`Cannot resolve terminal with id ${t} for virtual process`);const o=new S(r),n=this._setupExtHostProcessListeners(t,o);this._terminalProcessDisposables[t]=n}async $acceptActiveTerminalChanged(t){const r=this._activeTerminal;if(t===null){this._activeTerminal=void 0,r!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal);return}const s=this._getTerminalById(t);s&&(this._activeTerminal=s,r!==this._activeTerminal&&this._onDidChangeActiveTerminal.fire(this._activeTerminal.value))}async $acceptTerminalProcessData(t,r){const s=this._getTerminalById(t);s&&this._onDidWriteTerminalData.fire({terminal:s.value,data:r})}async $acceptTerminalDimensions(t,r,s){const o=this._getTerminalById(t);o&&o.setDimensions(r,s)&&this._onDidChangeTerminalDimensions.fire({terminal:o.value,dimensions:o.value.dimensions})}async $acceptTerminalMaximumDimensions(t,r,s){var o;(o=this._terminalProcesses.get(t))===null||o===void 0||o.resize(r,s)}async $acceptTerminalTitleChange(t,r){const s=this._getTerminalById(t);s&&(s.name=r)}async $acceptTerminalClosed(t,r){const s=this._getTerminalObjectIndexById(this._terminals,t);if(s!==null){const o=this._terminals.splice(s,1)[0];o.setExitCode(r),this._onDidCloseTerminal.fire(o.value)}}$acceptTerminalOpened(t,r,s,o){if(r){const w=this._getTerminalObjectIndexById(this._terminals,r);if(w!==null){this._terminals[w]._id=t,this._onDidOpenTerminal.fire(this.terminals[w]),this._terminals[w].isOpen=!0;return}}const n={name:o.name,shellPath:o.executable,shellArgs:o.args,cwd:typeof o.cwd=="string"?o.cwd:P.URI.revive(o.cwd),env:o.env,hideFromUser:o.hideFromUser},d=new m(this._proxy,t,n,s);this._terminals.push(d),this._onDidOpenTerminal.fire(d.value),d.isOpen=!0}async $acceptTerminalProcessId(t,r){const s=this._getTerminalById(t);s&&s._setProcessId(r)}async $startExtensionTerminal(t,r){const s=this._getTerminalById(t);if(!s)return{message:i.localize(0,null,t)};s.isOpen||await new Promise(n=>{const d=this.onDidOpenTerminal(async w=>{w===s.value&&(d.dispose(),n())})});const o=this._terminalProcesses.get(t);o?o.startSendingEvents(r):this._extensionTerminalAwaitingStart[t]={initialDimensions:r}}_setupExtHostProcessListeners(t,r){const s=new I.DisposableStore;s.add(r.onProcessReady(n=>this._proxy.$sendProcessReady(t,n.pid,n.cwd))),s.add(r.onProcessTitleChanged(n=>this._proxy.$sendProcessTitle(t,n))),this._bufferer.startBuffering(t,r.onProcessData),s.add(r.onProcessExit(n=>this._onProcessExit(t,n))),r.onProcessOverrideDimensions&&s.add(r.onProcessOverrideDimensions(n=>this._proxy.$sendOverrideDimensions(t,n))),this._terminalProcesses.set(t,r);const o=this._extensionTerminalAwaitingStart[t];return o&&r instanceof S&&(r.startSendingEvents(o.initialDimensions),delete this._extensionTerminalAwaitingStart[t]),s}$acceptProcessAckDataEvent(t,r){var s;(s=this._terminalProcesses.get(t))===null||s===void 0||s.acknowledgeDataEvent(r)}$acceptProcessInput(t,r){var s;(s=this._terminalProcesses.get(t))===null||s===void 0||s.input(r)}$acceptProcessResize(t,r,s){var o;try{(o=this._terminalProcesses.get(t))===null||o===void 0||o.resize(r,s)}catch(n){if(n.code!=="EPIPE"&&n.code!=="ERR_IPC_CHANNEL_CLOSED")throw n}}$acceptProcessShutdown(t,r){var s;(s=this._terminalProcesses.get(t))===null||s===void 0||s.shutdown(r)}$acceptProcessRequestInitialCwd(t){var r;(r=this._terminalProcesses.get(t))===null||r===void 0||r.getInitialCwd().then(s=>this._proxy.$sendProcessInitialCwd(t,s))}$acceptProcessRequestCwd(t){var r;(r=this._terminalProcesses.get(t))===null||r===void 0||r.getCwd().then(s=>this._proxy.$sendProcessCwd(t,s))}$acceptProcessRequestLatency(t){return t}registerLinkProvider(t){return this._linkProviders.add(t),this._linkProviders.size===1&&this._proxy.$startLinkProvider(),new y.Disposable(()=>{this._linkProviders.delete(t),this._linkProviders.size===0&&this._proxy.$stopLinkProvider()})}async $provideLinks(t,r){const s=this._getTerminalById(t);if(!s)return[];this._terminalLinkCache.delete(t);const o=this._terminalLinkCancellationSource.get(t);o&&o.dispose(!0);const n=new p.CancellationTokenSource;this._terminalLinkCancellationSource.set(t,n);const d=[],w={terminal:s.value,line:r},E=[];for(const A of this._linkProviders)E.push(new Promise(async L=>{n.token.onCancellationRequested(()=>L({provider:A,links:[]}));const M=await A.provideTerminalLinks(w,n.token)||[];n.token.isCancellationRequested||L({provider:A,links:M})}));const h=await Promise.all(E);if(n.token.isCancellationRequested)return[];const b=new Map;for(const A of h)A&&A.links.length>0&&d.push(...A.links.map(L=>{const M={id:_++,startIndex:L.startIndex,length:L.length,label:L.tooltip};return b.set(M.id,{provider:A.provider,link:L}),M}));return this._terminalLinkCache.set(t,b),d}$activateLink(t,r){var s;const o=(s=this._terminalLinkCache.get(t))===null||s===void 0?void 0:s.get(r);!o||o.provider.handleTerminalLink(o.link)}_onProcessExit(t,r){this._bufferer.stopBuffering(t),this._terminalProcesses.delete(t),delete this._extensionTerminalAwaitingStart[t];const s=this._terminalProcessDisposables[t];s&&(s.dispose(),delete this._terminalProcessDisposables[t]),this._proxy.$sendProcessExit(t,r)}_getTerminalById(t){return this._getTerminalObjectById(this._terminals,t)}_getTerminalObjectById(t,r){const s=this._getTerminalObjectIndexById(t,r);return s!==null?t[s]:null}_getTerminalObjectIndexById(t,r){let s=null;return t.some((o,n)=>o._id===r?(s=n,!0):!1),s}getEnvironmentVariableCollection(t){let r=this._environmentVariableCollections.get(t.identifier.value);return r||(r=new a,this._setEnvironmentVariableCollection(t.identifier.value,r)),r}_syncEnvironmentVariableCollection(t,r){const s=k.serializeEnvironmentVariableCollection(r.map);this._proxy.$setEnvironmentVariableCollection(t,r.persistent,s.length===0?void 0:s)}$initEnvironmentVariableCollections(t){t.forEach(r=>{const s=r[0],o=new a(r[1]);this._setEnvironmentVariableCollection(s,o)})}_setEnvironmentVariableCollection(t,r){this._environmentVariableCollections.set(t,r),r.onDidChangeCollection(()=>{this._syncEnvironmentVariableCollection(t,r)})}};g=Ve([$e(1,C.IExtHostRpcService)],g),e.BaseExtHostTerminalService=g;class a{constructor(t){this.map=new Map,this._persistent=!0,this._onDidChangeCollection=new v.Emitter,this.map=new Map(t)}get persistent(){return this._persistent}set persistent(t){this._persistent=t,this._onDidChangeCollection.fire()}get onDidChangeCollection(){return this._onDidChangeCollection&&this._onDidChangeCollection.event}get size(){return this.map.size}replace(t,r){this._setIfDiffers(t,{value:r,type:y.EnvironmentVariableMutatorType.Replace})}append(t,r){this._setIfDiffers(t,{value:r,type:y.EnvironmentVariableMutatorType.Append})}prepend(t,r){this._setIfDiffers(t,{value:r,type:y.EnvironmentVariableMutatorType.Prepend})}_setIfDiffers(t,r){const s=this.map.get(t);(!s||s.value!==r.value||s.type!==r.type)&&(this.map.set(t,r),this._onDidChangeCollection.fire())}get(t){return this.map.get(t)}forEach(t,r){this.map.forEach((s,o)=>t.call(r,o,s,this))}delete(t){this.map.delete(t),this._onDidChangeCollection.fire()}clear(){this.map.clear(),this._onDidChangeCollection.fire()}}e.EnvironmentVariableCollection=a;let u=class extends g{constructor(t){super(!1,t)}createTerminal(t,r,s){throw new T.NotSupportedError}createTerminalFromOptions(t){throw new T.NotSupportedError}getDefaultShell(t,r){return""}getDefaultShellArgs(t,r){throw new T.NotSupportedError}$spawnExtHostProcess(t,r,s,o,n,d){throw new T.NotSupportedError}$getAvailableShells(){throw new T.NotSupportedError}async $getDefaultShellAndArgs(t){throw new T.NotSupportedError}$acceptWorkspacePermissionsChanged(t){}};u=Ve([$e(0,C.IExtHostRpcService)],u),e.WorkerExtHostTerminalService=u}),define(ge[247],pe([0,1,3,12,6,119,20,8]),function(Q,e,v,D,R,P,C,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostEditors=void 0;class y{constructor(T,k){this._extHostDocumentsAndEditors=k,this._onDidChangeTextEditorSelection=new v.Emitter,this._onDidChangeTextEditorOptions=new v.Emitter,this._onDidChangeTextEditorVisibleRanges=new v.Emitter,this._onDidChangeTextEditorViewColumn=new v.Emitter,this._onDidChangeActiveTextEditor=new v.Emitter,this._onDidChangeVisibleTextEditors=new v.Emitter,this.onDidChangeTextEditorSelection=this._onDidChangeTextEditorSelection.event,this.onDidChangeTextEditorOptions=this._onDidChangeTextEditorOptions.event,this.onDidChangeTextEditorVisibleRanges=this._onDidChangeTextEditorVisibleRanges.event,this.onDidChangeTextEditorViewColumn=this._onDidChangeTextEditorViewColumn.event,this.onDidChangeActiveTextEditor=this._onDidChangeActiveTextEditor.event,this.onDidChangeVisibleTextEditors=this._onDidChangeVisibleTextEditors.event,this._proxy=T.getProxy(R.MainContext.MainThreadTextEditors),this._extHostDocumentsAndEditors.onDidChangeVisibleTextEditors(p=>this._onDidChangeVisibleTextEditors.fire(p)),this._extHostDocumentsAndEditors.onDidChangeActiveTextEditor(p=>this._onDidChangeActiveTextEditor.fire(p))}getActiveTextEditor(){return this._extHostDocumentsAndEditors.activeEditor()}getVisibleTextEditors(T){const k=this._extHostDocumentsAndEditors.allEditors();return T?k:k.map(p=>p.value)}async showTextDocument(T,k,p){let f;typeof k=="number"?f={position:C.ViewColumn.from(k),preserveFocus:p}:typeof k=="object"?f={position:C.ViewColumn.from(k.viewColumn),preserveFocus:k.preserveFocus,selection:typeof k.selection=="object"?C.Range.from(k.selection):void 0,pinned:typeof k.preview=="boolean"?!k.preview:void 0}:f={preserveFocus:!1};const l=await this._proxy.$tryShowTextDocument(T.uri,f),m=l&&this._extHostDocumentsAndEditors.getEditor(l);if(m)return m.value;throw l?new Error(`Could NOT open editor for "${T.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${T.uri.toString()}".`)}createTextEditorDecorationType(T){return new P.TextEditorDecorationType(this._proxy,T).value}$acceptEditorPropertiesChanged(T,k){const p=this._extHostDocumentsAndEditors.getEditor(T);if(!p)throw new Error("unknown text editor");if(k.options&&p._acceptOptions(k.options),k.selections){const f=k.selections.selections.map(C.Selection.to);p._acceptSelections(f)}if(k.visibleRanges){const f=D.coalesce(k.visibleRanges.map(C.Range.to));p._acceptVisibleRanges(f)}if(k.options&&this._onDidChangeTextEditorOptions.fire({textEditor:p.value,options:Object.assign(Object.assign({},k.options),{lineNumbers:C.TextEditorLineNumbersStyle.to(k.options.lineNumbers)})}),k.selections){const f=I.TextEditorSelectionChangeKind.fromValue(k.selections.source),l=k.selections.selections.map(C.Selection.to);this._onDidChangeTextEditorSelection.fire({textEditor:p.value,selections:l,kind:f})}if(k.visibleRanges){const f=D.coalesce(k.visibleRanges.map(C.Range.to));this._onDidChangeTextEditorVisibleRanges.fire({textEditor:p.value,visibleRanges:f})}}$acceptEditorPositionData(T){for(const k in T){const p=this._extHostDocumentsAndEditors.getEditor(k);if(!p)throw new Error("Unknown text editor");const f=C.ViewColumn.to(T[k]);p.value.viewColumn!==f&&(p._acceptViewColumn(f),this._onDidChangeTextEditorViewColumn.fire({textEditor:p.value,viewColumn:f}))}}getDiffInformation(T){return Promise.resolve(this._proxy.$getDiffInformation(T))}}e.ExtHostEditors=y});var un=this&&this.__rest||function(Q,e){var v={};for(var D in Q)Object.prototype.hasOwnProperty.call(Q,D)&&e.indexOf(D)<0&&(v[D]=Q[D]);if(Q!=null&&typeof Object.getOwnPropertySymbols=="function")for(var R=0,D=Object.getOwnPropertySymbols(Q);R<D.length;R++)e.indexOf(D[R])<0&&Object.prototype.propertyIsEnumerable.call(Q,D[R])&&(v[D[R]]=Q[D[R]]);return v};define(ge[248],pe([0,1,2,4,6,5,8]),function(Q,e,v,D,R,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTimeline=e.IExtHostTimeline=void 0,e.IExtHostTimeline=D.createDecorator("IExtHostTimeline");class I{constructor(T,k){this._providers=new Map,this._itemsBySourceAndUriMap=new Map,this._proxy=T.getProxy(R.MainContext.MainThreadTimeline),k.registerArgumentProcessor({processArgument:p=>{var f,l;if(p&&p.$mid===11){const m=p.uri===void 0?void 0:v.URI.revive(p.uri);return(l=(f=this._itemsBySourceAndUriMap.get(p.source))===null||f===void 0?void 0:f.get(y(m)))===null||l===void 0?void 0:l.get(p.handle)}return p}})}async $getTimeline(T,k,p,f,l){const m=this._providers.get(T);return m==null?void 0:m.provideTimeline(v.URI.revive(k),p,f,l)}registerTimelineProvider(T,k,p,f){const l=new P.DisposableStore,m=this.convertTimelineItem(k.id,f,l).bind(this);let S;k.onDidChange&&(S=k.onDidChange(g=>this._proxy.$emitTimelineChangeEvent(Object.assign(Object.assign({uri:void 0,reset:!0},g),{id:k.id})),this));const _=this._itemsBySourceAndUriMap;return this.registerTimelineProviderCore(Object.assign(Object.assign({},k),{scheme:T,onDidChange:void 0,async provideTimeline(g,a,u,c){var t;(c==null?void 0:c.resetCache)&&(l.clear(),(t=_.get(k.id))===null||t===void 0||t.clear());const r=await k.provideTimeline(g,a,u);if(r!=null){const s=m(g,c);return Object.assign(Object.assign({},r),{source:k.id,items:r.items.map(s)})}},dispose(){var g;for(const a of _.values())(g=a.get(k.id))===null||g===void 0||g.clear();S==null||S.dispose(),l.dispose()}}))}convertTimelineItem(T,k,p){return(f,l)=>{let m;if(l==null?void 0:l.cacheResults){let S=this._itemsBySourceAndUriMap.get(T);S===void 0&&(S=new Map,this._itemsBySourceAndUriMap.set(T,S));const _=y(f);m=S.get(_),m===void 0&&(m=new Map,S.set(_,m))}return S=>{var _,g;const{iconPath:a}=S,u=un(S,["iconPath"]),c=`${T}|${(_=S.id)!==null&&_!==void 0?_:S.timestamp}`;m==null||m.set(c,S);let t,r,s;return S.iconPath&&(a instanceof C.ThemeIcon?s={id:a.id}:v.URI.isUri(a)?(t=a,r=a):{light:t,dark:r}=a),Object.assign(Object.assign({},u),{id:(g=u.id)!==null&&g!==void 0?g:void 0,handle:c,source:T,command:S.command?k.toInternal(S.command,p):void 0,icon:t,iconDark:r,themeIcon:s,accessibilityInformation:S.accessibilityInformation})}}}registerTimelineProviderCore(T){if(this._providers.get(T.id))throw new Error(`Timeline Provider ${T.id} already exists.`);return this._proxy.$registerTimelineProvider({id:T.id,label:T.label,scheme:T.scheme}),this._providers.set(T.id,T),P.toDisposable(()=>{var p;for(const f of this._itemsBySourceAndUriMap.values())(p=f.get(T.id))===null||p===void 0||p.clear();this._providers.delete(T.id),this._proxy.$unregisterTimelineProvider(T.id),T.dispose()})}}e.ExtHostTimeline=I;function y(i){return i==null?void 0:i.toString()}}),define(ge[249],pe([0,1,5,13,2,6]),function(Q,e,v,D,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUriOpeners=void 0;class C{constructor(y){this._openers=new Map,this._proxy=y.getProxy(P.MainContext.MainThreadUriOpeners)}registerExternalUriOpener(y,i,T,k){if(this._openers.has(i))throw new Error(`Opener with id '${i}' already registered`);const p=k.schemes.find(f=>!C.supportedSchemes.has(f));if(p)throw new Error(`Scheme '${p}' is not supported. Only http and https are currently supported.`);return this._openers.set(i,T),this._proxy.$registerUriOpener(i,k.schemes,y,k.label),v.toDisposable(()=>{this._openers.delete(i),this._proxy.$unregisterUriOpener(i)})}async $canOpenUri(y,i,T){const k=this._openers.get(y);if(!k)throw new Error(`Unknown opener with id: ${y}`);const p=R.URI.revive(i);return k.canOpenExternalUri(p,T)}async $openUri(y,i,T){const k=this._openers.get(y);if(!k)throw new Error(`Unknown opener id: '${y}'`);return k.openExternalUri(R.URI.revive(i.resolvedUri),{sourceUri:R.URI.revive(i.sourceUri)},T)}}e.ExtHostUriOpeners=C,C.supportedSchemes=new Set([D.Schemas.http,D.Schemas.https])}),define(ge[250],pe([0,1,6,2,5,15,30]),function(Q,e,v,D,R,P,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostUrls=void 0;class I{constructor(i){this.handles=new Set,this.handlers=new Map,this._proxy=i.getProxy(v.MainContext.MainThreadUrls)}registerUriHandler(i,T){if(this.handles.has(C.ExtensionIdentifier.toKey(i)))throw new Error(`Protocol handler already registered for extension ${i}`);const k=I.HandlePool++;return this.handles.add(C.ExtensionIdentifier.toKey(i)),this.handlers.set(k,T),this._proxy.$registerUriHandler(k,i),R.toDisposable(()=>{this.handles.delete(C.ExtensionIdentifier.toKey(i)),this.handlers.delete(k),this._proxy.$unregisterUriHandler(k)})}$handleExternalUri(i,T){const k=this.handlers.get(i);if(!k)return Promise.resolve(void 0);try{k.handleUri(D.URI.revive(T))}catch(p){P.onUnexpectedError(p)}return Promise.resolve(void 0)}async createAppUri(i){return D.URI.revive(await this._proxy.$createAppUri(i))}}e.ExtHostUrls=I,I.HandlePool=0});var nt=this&&this.__classPrivateFieldSet||function(Q,e,v){if(!e.has(Q))throw new TypeError("attempted to set private field on non-instance");return e.set(Q,v),v},ze=this&&this.__classPrivateFieldGet||function(Q,e){if(!e.has(Q))throw new TypeError("attempted to get private field on non-instance");return e.get(Q)};define(ge[66],pe([0,1,3,2,85,6]),function(Q,e,v,D,R,P){"use strict";var C,I,y,i,T,k,p,f,l,m,S;Object.defineProperty(e,"__esModule",{value:!0}),e.convertWebviewOptions=e.toExtensionData=e.ExtHostWebviews=e.ExtHostWebview=void 0;class _{constructor(s,o,n,d,w,E,h){C.set(this,void 0),I.set(this,void 0),y.set(this,void 0),i.set(this,void 0),T.set(this,void 0),k.set(this,void 0),p.set(this,""),f.set(this,void 0),l.set(this,!1),m.set(this,!1),this._onMessageEmitter=new v.Emitter,this.onDidReceiveMessage=this._onMessageEmitter.event,S.set(this,new v.Emitter),this._onDidDispose=ze(this,S).event,nt(this,C,s),nt(this,I,o),nt(this,f,n),nt(this,i,d),nt(this,T,w),nt(this,k,E),nt(this,y,h)}dispose(){nt(this,l,!0),ze(this,S).fire(),ze(this,S).dispose(),this._onMessageEmitter.dispose()}asWebviewUri(s){return nt(this,m,!0),R.asWebviewUri(ze(this,i),ze(this,C),s)}get cspSource(){return ze(this,i).webviewCspSource.replace("{{uuid}}",ze(this,C))}get html(){return this.assertNotDisposed(),ze(this,p)}set html(s){this.assertNotDisposed(),ze(this,p)!==s&&(nt(this,p,s),!ze(this,m)&&/(["'])vscode-resource:([^\s'"]+?)(["'])/i.test(s)&&(nt(this,m,!0),ze(this,y).report("Webview vscode-resource: uris",ze(this,k),"Please migrate to use the 'webview.asWebviewUri' api instead: https://aka.ms/vscode-webview-use-aswebviewuri")),ze(this,I).$setHtml(ze(this,C),s))}get options(){return this.assertNotDisposed(),ze(this,f)}set options(s){this.assertNotDisposed(),ze(this,I).$setOptions(ze(this,C),u(ze(this,k),ze(this,T),s)),nt(this,f,s)}async postMessage(s){return ze(this,l)?!1:ze(this,I).$postMessage(ze(this,C),s)}assertNotDisposed(){if(ze(this,l))throw new Error("Webview is disposed")}}e.ExtHostWebview=_,C=new WeakMap,I=new WeakMap,y=new WeakMap,i=new WeakMap,T=new WeakMap,k=new WeakMap,p=new WeakMap,f=new WeakMap,l=new WeakMap,m=new WeakMap,S=new WeakMap;class g{constructor(s,o,n,d,w){this.initData=o,this.workspace=n,this._logService=d,this._deprecationService=w,this._webviews=new Map,this._webviewProxy=s.getProxy(P.MainContext.MainThreadWebviews)}$onMessage(s,o){const n=this.getWebview(s);n&&n._onMessageEmitter.fire(o)}$onMissingCsp(s,o){this._logService.warn(`${o} created a webview without a content security policy: https://aka.ms/vscode-webview-missing-csp`)}createNewWebview(s,o,n){const d=new _(s,this._webviewProxy,c(o),this.initData,this.workspace,n,this._deprecationService);return this._webviews.set(s,d),d._onDidDispose(()=>{this._webviews.delete(s)}),d}deleteWebview(s){this._webviews.delete(s)}getWebview(s){return this._webviews.get(s)}}e.ExtHostWebviews=g;function a(r){return{id:r.identifier,location:r.extensionLocation}}e.toExtensionData=a;function u(r,s,o){return Object.assign(Object.assign({},o),{localResourceRoots:o.localResourceRoots||t(r,s)})}e.convertWebviewOptions=u;function c(r){var s;return Object.assign(Object.assign({},r),{localResourceRoots:(s=r.localResourceRoots)===null||s===void 0?void 0:s.map(o=>D.URI.from(o))})}function t(r,s){return[...((s==null?void 0:s.getWorkspaceFolders())||[]).map(o=>o.uri),r.extensionLocation]}}),define(ge[251],pe([0,1,21,74,5,13,25,2,20,66,115,6,8]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostCustomEditors=void 0;class f{constructor(t,r){this.document=t,this._storagePath=r,this._backupCounter=1,this._edits=new T.Cache("custom documents")}addEdit(t){return this._edits.add([t])}async undo(t,r){await this.getEdit(t).undo(),r||this.disposeBackup()}async redo(t,r){await this.getEdit(t).redo(),r||this.disposeBackup()}disposeEdits(t){for(const r of t)this._edits.delete(r)}getNewBackupUri(){if(!this._storagePath)throw new Error("Backup requires a valid storage path");const t=u(this.document.uri)+this._backupCounter++;return C.joinPath(this._storagePath,t)}updateBackup(t){var r;(r=this._backup)===null||r===void 0||r.delete(),this._backup=t}disposeBackup(){var t;(t=this._backup)===null||t===void 0||t.delete(),this._backup=void 0}getEdit(t){const r=this._edits.get(t,0);if(!r)throw new Error("No edit found");return r}}class l{constructor(){this._documents=new Map}get(t,r){return this._documents.get(this.key(t,r))}add(t,r,s){const o=this.key(t,r.uri);if(this._documents.has(o))throw new Error(`Document already exists for viewType:${t} resource:${r.uri}`);const n=new f(r,s);return this._documents.set(o,n),n}delete(t,r){const s=this.key(t,r.uri);this._documents.delete(s)}key(t,r){return`${t}@@@${r}`}}var m;(function(c){c[c.Text=0]="Text",c[c.Custom=1]="Custom"})(m||(m={}));class S{constructor(){this._providers=new Map}addTextProvider(t,r,s){return this.add(0,t,r,s)}addCustomProvider(t,r,s){return this.add(1,t,r,s)}get(t){return this._providers.get(t)}add(t,r,s,o){if(this._providers.has(r))throw new Error(`Provider for viewType:${r} already registered`);return this._providers.set(r,{type:t,extension:s,provider:o}),new p.Disposable(()=>this._providers.delete(r))}}class _{constructor(t,r,s,o,n){this._extHostDocuments=r,this._extensionStoragePaths=s,this._extHostWebview=o,this._extHostWebviewPanels=n,this._editorProviders=new S,this._documents=new l,this._proxy=t.getProxy(k.MainContext.MainThreadCustomEditors)}registerCustomEditorProvider(t,r,s,o){const n=new R.DisposableStore;return g(s)?(n.add(this._editorProviders.addTextProvider(r,t,s)),this._proxy.$registerTextEditorProvider(i.toExtensionData(t),r,o.webviewOptions||{},{supportsMove:!!s.moveCustomTextEditor})):(n.add(this._editorProviders.addCustomProvider(r,t,s)),this.supportEditing(s)&&n.add(s.onDidChangeCustomDocument(d=>{const w=this.getCustomDocumentEntry(r,d.document.uri);if(a(d)){const E=w.addEdit(d);this._proxy.$onDidEdit(d.document.uri,r,E,d.label)}else this._proxy.$onContentChange(d.document.uri,r)})),this._proxy.$registerCustomEditorProvider(i.toExtensionData(t),r,o.webviewOptions||{},!!o.supportsMultipleEditorsPerDocument)),p.Disposable.from(n,new p.Disposable(()=>{this._proxy.$unregisterEditorProvider(r)}))}async $createCustomDocument(t,r,s,o){var n;const d=this._editorProviders.get(r);if(!d)throw new Error(`No provider found for '${r}'`);if(d.type!==1)throw new Error(`Invalid provide type for '${r}'`);const w=I.URI.revive(t),E=await d.provider.openCustomDocument(w,{backupId:s},o);let h;return this.supportEditing(d.provider)&&this._extensionStoragePaths&&(h=(n=this._extensionStoragePaths.workspaceValue(d.extension))!==null&&n!==void 0?n:this._extensionStoragePaths.globalValue(d.extension)),this._documents.add(r,E,h),{editable:this.supportEditing(d.provider)}}async $disposeCustomDocument(t,r){const s=this._editorProviders.get(r);if(!s)throw new Error(`No provider found for '${r}'`);if(s.type!==1)throw new Error(`Invalid provider type for '${r}'`);const o=I.URI.revive(t),{document:n}=this.getCustomDocumentEntry(r,o);this._documents.delete(r,n),n.dispose()}async $resolveWebviewEditor(t,r,s,o,n,d,w){const E=this._editorProviders.get(s);if(!E)throw new Error(`No provider found for '${s}'`);const h=y.ViewColumn.to(n),b=this._extHostWebview.createNewWebview(r,d,E.extension),A=this._extHostWebviewPanels.createNewWebviewPanel(r,s,o,h,d,b),L=I.URI.revive(t);switch(E.type){case 1:{const{document:M}=this.getCustomDocumentEntry(s,L);return E.provider.resolveCustomEditor(M,A,w)}case 0:{const M=this._extHostDocuments.getDocument(L);return E.provider.resolveCustomTextEditor(M,A,w)}default:throw new Error("Unknown webview provider type")}}$disposeEdits(t,r,s){this.getCustomDocumentEntry(r,t).disposeEdits(s)}async $onMoveCustomEditor(t,r,s){const o=this._editorProviders.get(s);if(!o)throw new Error(`No provider found for '${s}'`);if(!o.provider.moveCustomTextEditor)throw new Error(`Provider does not implement move '${s}'`);const n=this._extHostWebviewPanels.getWebviewPanel(t);if(!n)throw new Error("No webview found");const d=I.URI.revive(r),w=this._extHostDocuments.getDocument(d);await o.provider.moveCustomTextEditor(w,n,v.CancellationToken.None)}async $undo(t,r,s,o){return this.getCustomDocumentEntry(r,t).undo(s,o)}async $redo(t,r,s,o){return this.getCustomDocumentEntry(r,t).redo(s,o)}async $revert(t,r,s){const o=this.getCustomDocumentEntry(r,t);await this.getCustomEditorProvider(r).revertCustomDocument(o.document,s),o.disposeBackup()}async $onSave(t,r,s){const o=this.getCustomDocumentEntry(r,t);await this.getCustomEditorProvider(r).saveCustomDocument(o.document,s),o.disposeBackup()}async $onSaveAs(t,r,s,o){const n=this.getCustomDocumentEntry(r,t);return this.getCustomEditorProvider(r).saveCustomDocumentAs(n.document,I.URI.revive(s),o)}async $backup(t,r,s){const o=this.getCustomDocumentEntry(r,t),d=await this.getCustomEditorProvider(r).backupCustomDocument(o.document,{destination:o.getNewBackupUri()},s);return o.updateBackup(d),d.id}getCustomDocumentEntry(t,r){const s=this._documents.get(t,I.URI.revive(r));if(!s)throw new Error("No custom document found");return s}getCustomEditorProvider(t){const r=this._editorProviders.get(t),s=r==null?void 0:r.provider;if(!s||!this.supportEditing(s))throw new Error("Custom document is not editable");return s}supportEditing(t){return!!t.onDidChangeCustomDocument}}e.ExtHostCustomEditors=_;function g(c){return typeof c.resolveCustomTextEditor=="function"}function a(c){return typeof c.undo=="function"&&typeof c.redo=="function"}function u(c){const t=c.scheme===P.Schemas.file||c.scheme===P.Schemas.untitled?c.fsPath:c.toString();return D.hash(t)+""}});var nt=this&&this.__classPrivateFieldSet||function(Q,e,v){if(!e.has(Q))throw new TypeError("attempted to set private field on non-instance");return e.set(Q,v),v},ze=this&&this.__classPrivateFieldGet||function(Q,e){if(!e.has(Q))throw new TypeError("attempted to get private field on non-instance");return e.get(Q)};define(ge[252],pe([0,1,3,5,2,28,20,66,6,8]),function(Q,e,v,D,R,P,C,I,y,i){"use strict";var T,k,p,f,l,m,S,_,g,a,u,c,t;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewPanels=void 0;class r extends D.Disposable{constructor(n,d,w,E,h,b,A){super();T.set(this,void 0),k.set(this,void 0),p.set(this,void 0),f.set(this,void 0),l.set(this,void 0),m.set(this,void 0),S.set(this,void 0),_.set(this,void 0),g.set(this,!0),a.set(this,!0),u.set(this,!1),c.set(this,this._register(new v.Emitter)),this.onDidDispose=ze(this,c).event,t.set(this,this._register(new v.Emitter)),this.onDidChangeViewState=ze(this,t).event,nt(this,T,n),nt(this,k,d),nt(this,p,w),nt(this,l,b),nt(this,_,h),nt(this,m,E),nt(this,f,A)}dispose(){ze(this,u)||(nt(this,u,!0),ze(this,c).fire(),ze(this,k).$disposeWebview(ze(this,T)),ze(this,f).dispose(),super.dispose())}get webview(){return this.assertNotDisposed(),ze(this,f)}get viewType(){return this.assertNotDisposed(),ze(this,p)}get title(){return this.assertNotDisposed(),ze(this,m)}set title(n){this.assertNotDisposed(),ze(this,m)!==n&&(nt(this,m,n),ze(this,k).$setTitle(ze(this,T),n))}get iconPath(){return this.assertNotDisposed(),ze(this,S)}set iconPath(n){this.assertNotDisposed(),ze(this,S)!==n&&(nt(this,S,n),ze(this,k).$setIconPath(ze(this,T),R.URI.isUri(n)?{light:n,dark:n}:n))}get options(){return ze(this,l)}get viewColumn(){if(this.assertNotDisposed(),!(typeof ze(this,_)=="number"&&ze(this,_)<0))return ze(this,_)}get active(){return this.assertNotDisposed(),ze(this,a)}get visible(){return this.assertNotDisposed(),ze(this,g)}_updateViewState(n){ze(this,u)||(this.active!==n.active||this.visible!==n.visible||this.viewColumn!==n.viewColumn)&&(nt(this,a,n.active),nt(this,g,n.visible),nt(this,_,n.viewColumn),ze(this,t).fire({webviewPanel:this}))}reveal(n,d){this.assertNotDisposed(),ze(this,k).$reveal(ze(this,T),{viewColumn:n?C.ViewColumn.from(n):void 0,preserveFocus:!!d})}assertNotDisposed(){if(ze(this,u))throw new Error("Webview is disposed")}}T=new WeakMap,k=new WeakMap,p=new WeakMap,f=new WeakMap,l=new WeakMap,m=new WeakMap,S=new WeakMap,_=new WeakMap,g=new WeakMap,a=new WeakMap,u=new WeakMap,c=new WeakMap,t=new WeakMap;class s{constructor(n,d,w){this.webviews=d,this.workspace=w,this._webviewPanels=new Map,this._serializers=new Map,this._proxy=n.getProxy(y.MainContext.MainThreadWebviewPanels)}static newHandle(){return P.generateUuid()}createWebviewPanel(n,d,w,E,h={}){const b=typeof E=="object"?E.viewColumn:E,A={viewColumn:C.ViewColumn.from(b),preserveFocus:typeof E=="object"&&!!E.preserveFocus},L=s.newHandle();this._proxy.$createWebviewPanel(I.toExtensionData(n),L,d,w,A,I.convertWebviewOptions(n,this.workspace,h));const M=this.webviews.createNewWebview(L,h,n);return this.createNewWebviewPanel(L,d,w,b,h,M)}$onDidChangeWebviewPanelViewStates(n){const d=Object.keys(n);d.sort((w,E)=>{const h=n[w],b=n[E];return h.active?1:b.active?-1:+h.visible-+b.visible});for(const w of d){const E=this.getWebviewPanel(w);if(!!E){const h=n[w];E._updateViewState({active:h.active,visible:h.visible,viewColumn:C.ViewColumn.to(h.position)})}}}async $onDidDisposeWebviewPanel(n){const d=this.getWebviewPanel(n);d==null||d.dispose(),this._webviewPanels.delete(n),this.webviews.deleteWebview(n)}registerWebviewPanelSerializer(n,d,w){if(this._serializers.has(d))throw new Error(`Serializer for '${d}' already registered`);return this._serializers.set(d,{serializer:w,extension:n}),this._proxy.$registerSerializer(d),new i.Disposable(()=>{this._serializers.delete(d),this._proxy.$unregisterSerializer(d)})}async $deserializeWebviewPanel(n,d,w,E,h,b){const A=this._serializers.get(d);if(!A)throw new Error(`No serializer found for '${d}'`);const{serializer:L,extension:M}=A,z=this.webviews.createNewWebview(n,b,M),V=this.createNewWebviewPanel(n,d,w,h,b,z);await L.deserializeWebviewPanel(V,E)}createNewWebviewPanel(n,d,w,E,h,b){const A=new r(n,this._proxy,d,w,E,h,b);return this._webviewPanels.set(n,A),A}getWebviewPanel(n){return this._webviewPanels.get(n)}}e.ExtHostWebviewPanels=s});var nt=this&&this.__classPrivateFieldSet||function(Q,e,v){if(!e.has(Q))throw new TypeError("attempted to set private field on non-instance");return e.set(Q,v),v},ze=this&&this.__classPrivateFieldGet||function(Q,e){if(!e.has(Q))throw new TypeError("attempted to get private field on non-instance");return e.get(Q)};define(ge[253],pe([0,1,3,5,66,6,8]),function(Q,e,v,D,R,P,C){"use strict";var I,y,i,T,k,p,f,l,m,S;Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostWebviewViews=void 0;class _ extends D.Disposable{constructor(u,c,t,r,s,o){super();I.set(this,void 0),y.set(this,void 0),i.set(this,void 0),T.set(this,void 0),k.set(this,!1),p.set(this,void 0),f.set(this,void 0),l.set(this,void 0),m.set(this,this._register(new v.Emitter)),this.onDidChangeVisibility=ze(this,m).event,S.set(this,this._register(new v.Emitter)),this.onDidDispose=ze(this,S).event,nt(this,i,t),nt(this,f,r),nt(this,I,u),nt(this,y,c),nt(this,T,s),nt(this,p,o)}dispose(){ze(this,k)||(nt(this,k,!0),ze(this,S).fire(),ze(this,T).dispose(),super.dispose())}get title(){return this.assertNotDisposed(),ze(this,f)}set title(u){this.assertNotDisposed(),ze(this,f)!==u&&(nt(this,f,u),ze(this,y).$setWebviewViewTitle(ze(this,I),u))}get description(){return this.assertNotDisposed(),ze(this,l)}set description(u){this.assertNotDisposed(),ze(this,l)!==u&&(nt(this,l,u),ze(this,y).$setWebviewViewDescription(ze(this,I),u))}get visible(){return ze(this,p)}get webview(){return ze(this,T)}get viewType(){return ze(this,i)}_setVisible(u){u===ze(this,p)||ze(this,k)||(nt(this,p,u),ze(this,m).fire())}show(u){this.assertNotDisposed(),ze(this,y).$show(ze(this,I),!!u)}assertNotDisposed(){if(ze(this,k))throw new Error("Webview is disposed")}}I=new WeakMap,y=new WeakMap,i=new WeakMap,T=new WeakMap,k=new WeakMap,p=new WeakMap,f=new WeakMap,l=new WeakMap,m=new WeakMap,S=new WeakMap;class g{constructor(u,c){this._extHostWebview=c,this._viewProviders=new Map,this._webviewViews=new Map,this._proxy=u.getProxy(P.MainContext.MainThreadWebviewViews)}registerWebviewViewProvider(u,c,t,r){if(this._viewProviders.has(c))throw new Error(`View provider for '${c}' already registered`);return this._viewProviders.set(c,{provider:t,extension:u}),this._proxy.$registerWebviewViewProvider(R.toExtensionData(u),c,r),new C.Disposable(()=>{this._viewProviders.delete(c),this._proxy.$unregisterWebviewViewProvider(c)})}async $resolveWebviewView(u,c,t,r,s){const o=this._viewProviders.get(c);if(!o)throw new Error(`No view provider found for '${c}'`);const{provider:n,extension:d}=o,w=this._extHostWebview.createNewWebview(u,{},d),E=new _(u,this._proxy,c,t,w,!0);this._webviewViews.set(u,E),await n.resolveWebviewView(E,{state:r},s)}async $onDidChangeWebviewViewVisibility(u,c){this.getWebviewView(u)._setVisible(c)}async $disposeWebviewView(u){const c=this.getWebviewView(u);this._webviewViews.delete(u),c.dispose(),this._extHostWebview.deleteWebview(u)}getWebviewView(u){const c=this._webviewViews.get(u);if(!c)throw new Error("No webview found");return c}}e.ExtHostWebviewViews=g}),define(ge[122],pe([0,1,3,6,2,13,10,4,14]),function(Q,e,v,D,R,P,C,I,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWindow=e.ExtHostWindow=void 0;let i=class Tn{constructor(k){this._onDidChangeWindowState=new v.Emitter,this.onDidChangeWindowState=this._onDidChangeWindowState.event,this._state=Tn.InitialState,this._proxy=k.getProxy(D.MainContext.MainThreadWindow),this._proxy.$getWindowVisibility().then(p=>this.$onDidChangeWindowFocus(p))}get state(){return this._state}$onDidChangeWindowFocus(k){k!==this._state.focused&&(this._state=Object.assign(Object.assign({},this._state),{focused:k}),this._onDidChangeWindowState.fire(this._state))}openUri(k,p){let f;if(typeof k=="string"){f=k;try{k=R.URI.parse(k)}catch(l){return Promise.reject(`Invalid uri - '${k}'`)}}return C.isFalsyOrWhitespace(k.scheme)?Promise.reject("Invalid scheme - cannot be empty"):k.scheme===P.Schemas.command?Promise.reject(`Invalid scheme '${k.scheme}'`):this._proxy.$openUri(k,f,p)}async asExternalUri(k,p){if(C.isFalsyOrWhitespace(k.scheme))return Promise.reject("Invalid scheme - cannot be empty");if(!new Set([P.Schemas.http,P.Schemas.https]).has(k.scheme))return Promise.reject(`Invalid scheme '${k.scheme}'`);const f=await this._proxy.$asExternalUri(k,p);return R.URI.from(f)}};i.InitialState={focused:!0},i=Ve([$e(0,y.IExtHostRpcService)],i),e.ExtHostWindow=i,e.IExtHostWindow=I.createDecorator("IExtHostWindow")}),define(ge[254],pe([0,1,7,39,28,53,5,6,2,14]),function(Q,e,v,D,R,P,C,I,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDownloadService=void 0;let T=class extends C.Disposable{constructor(p,f){super();const l=p.getProxy(I.MainContext.MainThreadDownloadService);f.registerCommand(!1,"_workbench.downloadResource",async m=>{const S=y.URI.file(v.join(D.tmpdir(),R.generateUuid()));return await l.$download(m,S),S})}};T=Ve([$e(0,i.IExtHostRpcService),$e(1,P.IExtHostCommands)],T),e.ExtHostDownloadService=T}),define(ge[255],pe([0,1,2,7,143,24,29,65,27,14,5,11,108,50]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostOutputService2=e.ExtHostOutputChannelBackedByFile=void 0;class l{constructor(g,a){this.file=a,this.appender=p.createRotatingLogger(g,a,30*f.ByteSize.MB,1),this.appender.clearFormatters()}append(g){this.appender.critical(g)}flush(){this.appender.flush()}}class m extends I.AbstractExtHostOutputChannel{constructor(g,a,u){super(g,!1,v.URI.file(a.file),u);this._appender=a}append(g){super.append(g),this._appender.append(g),this._onDidAppend.fire()}update(){this._appender.flush(),super.update()}show(g,a){this._appender.flush(),super.show(g,a)}clear(){this._appender.flush(),super.clear()}}e.ExtHostOutputChannelBackedByFile=m;let S=class extends I.ExtHostOutputService{constructor(g,a,u){super(g);this.logService=a,this._namePool=1,this._channels=new Map,this._visibleChannelDisposable=new T.MutableDisposable,this._logsLocation=u.logsLocation}$setVisibleChannel(g){if(g){const a=this._channels.get(g);a&&(this._visibleChannelDisposable.value=a.onDidAppend(()=>a.update()))}}createOutputChannel(g){if(g=g.trim(),!g)throw new Error("illegal argument `name`. must not be falsy");const a=this._doCreateOutChannel(g);return a.then(u=>u._id.then(c=>this._channels.set(c,u))),new I.LazyOutputChannel(g,a)}async _doCreateOutChannel(g){try{const a=D.join(this._logsLocation.fsPath,`output_logging_${R.toLocalISOString(new Date).replace(/-|:|\.\d+Z$/g,"")}`);await P.SymlinkSupport.existsDirectory(a)||await C.promises.mkdir(a,{recursive:!0});const c=`${this._namePool++}-${g.replace(/[\\/:\*\?"<>\|]/g,"")}`,t=v.URI.file(D.join(a,`${c}.log`)),r=new l(c,t.fsPath);return new m(g,r,this._proxy)}catch(a){return this.logService.error(a),new I.ExtHostPushOutputChannel(g,this._proxy)}}};S=Ve([$e(0,i.IExtHostRpcService),$e(1,k.ILogService),$e(2,y.IExtHostInitDataService)],S),e.ExtHostOutputService2=S}),define(ge[256],pe([0,1,6,14,5,27,2,35,25,29,24,9,51,3,73,11]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTunnelService=e.findPorts=e.loadConnectionTable=e.parseIpAddress=e.loadListeningPorts=e.getSockets=void 0;class S{constructor(o,n,d){this.remoteAddress=o,this.localAddress=n,this._dispose=d,this._onDispose=new f.Emitter,this.onDidDispose=this._onDispose.event}dispose(){return this._onDispose.fire(),this._dispose()}}function _(s){const o=s.trim().split(`
`),n=[];return o.forEach(d=>{const w=/\/proc\/(\d+)\/fd\/\d+ -> socket:\[(\d+)\]/.exec(d);w&&w.length>=3&&n.push({pid:parseInt(w[1],10),socket:parseInt(w[2],10)})}),n}e.getSockets=_;function g(...s){const o=[].concat(...s.map(u));return[...new Map(o.filter(n=>n.st==="0A").map(n=>{const d=n.local_address.split(":");return{socket:parseInt(n.inode,10),ip:a(d[0]),port:parseInt(d[1],16)}}).map(n=>[n.ip+":"+n.port,n])).values()]}e.loadListeningPorts=g;function a(s){let o="";if(s.length===8)for(let n=s.length-2;n>=0;n-=2)o+=parseInt(s.substr(n,2),16),n!==0&&(o+=".");else for(let n=s.length-4;n>=0;n-=4)o+=parseInt(s.substr(n,4),16).toString(16),n!==0&&(o+=":");return o}e.parseIpAddress=a;function u(s){const o=s.trim().split(`
`),n=o.shift().trim().split(/\s+/).filter(w=>w!=="rx_queue"&&w!=="tm->when");return o.map(w=>w.trim().split(/\s+/).reduce((E,h,b)=>(E[n[b]||b]=h,E),{}))}e.loadConnectionTable=u;function c(s){return!!s.match(/.*\.vscode-server-[a-zA-Z]+\/bin.*/)||s.indexOf("out/vs/server/main.js")!==-1||s.indexOf("_productName=VSCode")!==-1}async function t(s,o,n,d){const w=g(s,o),h=_(n).reduce((L,M)=>(L[M.socket]=M,L),{}),b=d.reduce((L,M)=>(L[M.pid]=M,L),{}),A=[];return w.filter(L=>h[L.socket]).forEach(({socket:L,ip:M,port:z})=>{const V=b[h[L].pid].cmd;c(V)||A.push({host:M,port:z,detail:b[h[L].pid].cmd,pid:h[L].pid})}),A}e.findPorts=t;let r=class extends R.Disposable{constructor(o,n,d){super();this.logService=d,this._showCandidatePort=()=>Promise.resolve(!0),this._extensionTunnels=new Map,this._onDidChangeTunnels=new f.Emitter,this.onDidChangeTunnels=this._onDidChangeTunnels.event,this._candidateFindingEnabled=!1,this._proxy=o.getProxy(v.MainContext.MainThreadTunnelService),k.isLinux&&n.remote.isRemote&&n.remote.authority&&this._proxy.$setRemoteTunnelService(process.pid)}async openTunnel(o,n){const d=await this._proxy.$openTunnel(n,o.displayName);if(d){const w=new S(d.remoteAddress,d.localAddress,()=>this._proxy.$closeTunnel(d.remoteAddress));return this._register(w),w}}async getTunnels(){return this._proxy.$getTunnels()}calculateDelay(o){return Math.max(o*20,2e3)}async $registerCandidateFinder(o){if(!(o&&this._candidateFindingEnabled)){this._candidateFindingEnabled=o;let n=new l.MovingAverage,d;for(;this._candidateFindingEnabled;){const w=new Date().getTime(),E=await this.findCandidatePorts(),h=new Date().getTime()-w;n.update(h),(!d||JSON.stringify(d)!==JSON.stringify(E))&&(d=E,await this._proxy.$onFoundNewCandidates(d)),await new Promise(b=>setTimeout(()=>b(),this.calculateDelay(n.value)))}}}async setTunnelExtensionFunctions(o){var n;return o?(o.candidatePortSource!==void 0&&await this._proxy.$setCandidatePortSource(o.candidatePortSource),o.showCandidatePort&&(this._showCandidatePort=o.showCandidatePort,await this._proxy.$setCandidateFilter()),o.tunnelFactory&&(this._forwardPortProvider=o.tunnelFactory,await this._proxy.$setTunnelProvider((n=o.tunnelFeatures)!==null&&n!==void 0?n:{elevation:!1,public:!1}))):this._forwardPortProvider=void 0,R.toDisposable(()=>{this._forwardPortProvider=void 0})}async $closeTunnel(o,n){if(this._extensionTunnels.has(o.host)){const d=this._extensionTunnels.get(o.host);d.has(o.port)&&(n&&d.get(o.port).disposeListener.dispose(),await d.get(o.port).tunnel.dispose(),d.delete(o.port))}}async $onDidTunnelsChange(){this._onDidChangeTunnels.fire()}async $forwardPort(o,n){if(this._forwardPortProvider)try{this.logService.trace("$forwardPort: Getting tunnel from provider.");const d=this._forwardPortProvider(o,n);if(this.logService.trace("$forwardPort: Got tunnel promise from provider."),d!==void 0){const w=await d;this.logService.trace("$forwardPort: Successfully awaited tunnel from provider."),this._extensionTunnels.has(o.remoteAddress.host)||this._extensionTunnels.set(o.remoteAddress.host,new Map);const E=this._register(w.onDidDispose(()=>this._proxy.$closeTunnel(w.remoteAddress)));return this._extensionTunnels.get(o.remoteAddress.host).set(o.remoteAddress.port,{tunnel:w,disposeListener:E}),p.TunnelDto.fromApiTunnel(w)}else this.logService.trace("$forwardPort: Tunnel is undefined")}catch(d){this.logService.trace("$forwardPort: tunnel provider error")}}async $applyCandidateFilter(o){const n=await Promise.all(o.map(d=>this._showCandidatePort(d.host,d.port,d.detail)));return o.filter((d,w)=>n[w])}async findCandidatePorts(){let o="",n="";try{o=await i.promises.readFile("/proc/net/tcp","utf8"),n=await i.promises.readFile("/proc/net/tcp6","utf8")}catch(h){}const d=await new Promise(h=>{I.exec("ls -l /proc/[0-9]*/fd/[0-9]* | grep socket:",(b,A,L)=>{h(A)})}),w=await T.readdir("/proc"),E=[];for(let h of w)try{const b=Number(h),A=y.joinPath(C.URI.file("/proc"),h);if((await i.promises.stat(A.fsPath)).isDirectory()&&!isNaN(b)){const M=await i.promises.readlink(y.joinPath(A,"cwd").fsPath),z=await i.promises.readFile(y.joinPath(A,"cmdline").fsPath,"utf8");E.push({pid:b,cwd:M,cmd:z})}}catch(b){}return t(o,n,d,E)}};r=Ve([$e(0,D.IExtHostRpcService),$e(1,P.IExtHostInitDataService),$e(2,m.ILogService)],r),e.ExtHostTunnelService=r}),define(ge[257],pe([0,1,19,21,15,3,5,97,228,120,26]),function(Q,e,v,D,R,P,C,I,y,i,T){"use strict";var k;Object.defineProperty(e,"__esModule",{value:!0}),e.RPCProtocol=e.ResponsiveState=e.RequestInitiator=void 0;function p(o,n){try{return JSON.stringify(o,n)}catch(d){return"null"}}function f(o,n){return JSON.stringify(o,n)}function l(o){return o?(n,d)=>d&&d.$mid===1?o.transformOutgoing(d):d:null}var m;(function(o){o[o.LocalSide=0]="LocalSide",o[o.OtherSide=1]="OtherSide"})(m=e.RequestInitiator||(e.RequestInitiator={}));var S;(function(o){o[o.Responsive=0]="Responsive",o[o.Unresponsive=1]="Unresponsive"})(S=e.ResponsiveState||(e.ResponsiveState={}));const _=()=>{},g=Symbol.for("rpcProtocol"),a=Symbol.for("rpcProxy");class u extends C.Disposable{constructor(n,d=null,w=null){super();this[k]=!0,this._onDidChangeResponsiveState=this._register(new P.Emitter),this.onDidChangeResponsiveState=this._onDidChangeResponsiveState.event,this._protocol=n,this._logger=d,this._uriTransformer=w,this._uriReplacer=l(this._uriTransformer),this._isDisposed=!1,this._locals=[],this._proxies=[];for(let E=0,h=i.ProxyIdentifier.count;E<h;E++)this._locals[E]=null,this._proxies[E]=null;this._lastMessageId=0,this._cancelInvokedHandlers=Object.create(null),this._pendingRPCReplies={},this._responsiveState=0,this._unacknowledgedCount=0,this._unresponsiveTime=0,this._asyncCheckUresponsive=this._register(new v.RunOnceScheduler(()=>this._checkUnresponsive(),1e3)),this._protocol.onMessage(E=>this._receiveOneMessage(E))}dispose(){this._isDisposed=!0,Object.keys(this._pendingRPCReplies).forEach(n=>{this._pendingRPCReplies[n].resolveErr(R.canceled())})}drain(){return typeof this._protocol.drain=="function"?this._protocol.drain():Promise.resolve()}_onWillSendRequest(n){this._unacknowledgedCount===0&&(this._unresponsiveTime=Date.now()+u.UNRESPONSIVE_TIME),this._unacknowledgedCount++,this._asyncCheckUresponsive.isScheduled()||this._asyncCheckUresponsive.schedule()}_onDidReceiveAcknowledge(n){this._unresponsiveTime=Date.now()+u.UNRESPONSIVE_TIME,this._unacknowledgedCount--,this._unacknowledgedCount===0&&this._asyncCheckUresponsive.cancel(),this._setResponsiveState(0)}_checkUnresponsive(){this._unacknowledgedCount!==0&&(Date.now()>this._unresponsiveTime?this._setResponsiveState(1):this._asyncCheckUresponsive.schedule())}_setResponsiveState(n){this._responsiveState!==n&&(this._responsiveState=n,this._onDidChangeResponsiveState.fire(this._responsiveState))}get responsiveState(){return this._responsiveState}transformIncomingURIs(n){return this._uriTransformer?I.transformIncomingURIs(n,this._uriTransformer):n}getProxy(n){const{nid:d,sid:w}=n;return this._proxies[d]||(this._proxies[d]=this._createProxy(d,w)),this._proxies[d]}_createProxy(n,d){let w={get:(E,h)=>(typeof h=="string"&&!E[h]&&h.charCodeAt(0)===36&&(E[h]=(...b)=>this._remoteCall(n,h,b)),h===a?d:E[h])};return new Proxy(Object.create(null),w)}set(n,d){return this._locals[n.nid]=d,d}assertRegistered(n){for(let d=0,w=n.length;d<w;d++){const E=n[d];if(!this._locals[E.nid])throw new Error(`Missing actor ${E.sid} (isMain: ${E.isMain})`)}}_receiveOneMessage(n){if(!this._isDisposed){const d=n.byteLength,w=c.read(n,0),E=w.readUInt8(),h=w.readUInt32();switch(E){case 1:case 2:{let{rpcId:b,method:A,args:L}=t.deserializeRequestJSONArgs(w);this._uriTransformer&&(L=I.transformIncomingURIs(L,this._uriTransformer)),this._receiveRequest(d,h,b,A,L,E===2);break}case 3:case 4:{let{rpcId:b,method:A,args:L}=t.deserializeRequestMixedArgs(w);this._uriTransformer&&(L=I.transformIncomingURIs(L,this._uriTransformer)),this._receiveRequest(d,h,b,A,L,E===4);break}case 5:{this._logger&&this._logger.logIncoming(d,h,0,"ack"),this._onDidReceiveAcknowledge(h);break}case 6:{this._receiveCancel(d,h);break}case 7:{this._receiveReply(d,h,void 0);break}case 9:{let b=t.deserializeReplyOKJSON(w);this._uriTransformer&&(b=I.transformIncomingURIs(b,this._uriTransformer)),this._receiveReply(d,h,b);break}case 8:{let b=t.deserializeReplyOKVSBuffer(w);this._receiveReply(d,h,b);break}case 10:{let b=t.deserializeReplyErrError(w);this._uriTransformer&&(b=I.transformIncomingURIs(b,this._uriTransformer)),this._receiveReplyErr(d,h,b);break}case 11:{this._receiveReplyErr(d,h,void 0);break}default:console.error("received unexpected message"),console.error(n)}}}_receiveRequest(n,d,w,E,h,b){this._logger&&this._logger.logIncoming(n,d,1,`receiveRequest ${i.getStringIdentifierForProxy(w)}.${E}(`,h);const A=String(d);let L,M;if(b){const V=new D.CancellationTokenSource;h.push(V.token),L=this._invokeHandler(w,E,h),M=()=>V.cancel()}else L=this._invokeHandler(w,E,h),M=_;this._cancelInvokedHandlers[A]=M;const z=t.serializeAcknowledged(d);this._logger&&this._logger.logOutgoing(z.byteLength,d,1,"ack"),this._protocol.send(z),L.then(V=>{delete this._cancelInvokedHandlers[A];const W=t.serializeReplyOK(d,V,this._uriReplacer);this._logger&&this._logger.logOutgoing(W.byteLength,d,1,"reply:",V),this._protocol.send(W)},V=>{delete this._cancelInvokedHandlers[A];const W=t.serializeReplyErr(d,V);this._logger&&this._logger.logOutgoing(W.byteLength,d,1,"replyErr:",V),this._protocol.send(W)})}_receiveCancel(n,d){this._logger&&this._logger.logIncoming(n,d,1,"receiveCancel");const w=String(d);this._cancelInvokedHandlers[w]&&this._cancelInvokedHandlers[w]()}_receiveReply(n,d,w){this._logger&&this._logger.logIncoming(n,d,0,"receiveReply:",w);const E=String(d);if(!!this._pendingRPCReplies.hasOwnProperty(E)){const h=this._pendingRPCReplies[E];delete this._pendingRPCReplies[E],h.resolveOk(w)}}_receiveReplyErr(n,d,w){this._logger&&this._logger.logIncoming(n,d,0,"receiveReplyErr:",w);const E=String(d);if(!!this._pendingRPCReplies.hasOwnProperty(E)){const h=this._pendingRPCReplies[E];delete this._pendingRPCReplies[E];let b;w&&(w.$isError?(b=new Error,b.name=w.name,b.message=w.message,b.stack=w.stack):b=w),h.resolveErr(b)}}_invokeHandler(n,d,w){try{return Promise.resolve(this._doInvokeHandler(n,d,w))}catch(E){return Promise.reject(E)}}_doInvokeHandler(n,d,w){const E=this._locals[n];if(!E)throw new Error("Unknown actor "+i.getStringIdentifierForProxy(n));let h=E[d];if(typeof h!="function")throw new Error("Unknown method "+d+" on actor "+i.getStringIdentifierForProxy(n));return h.apply(E,w)}_remoteCall(n,d,w){if(this._isDisposed)return Promise.reject(R.canceled());let E=null;if(w.length>0&&D.CancellationToken.isCancellationToken(w[w.length-1])&&(E=w.pop()),E&&E.isCancellationRequested)return Promise.reject(R.canceled());const h=t.serializeRequestArguments(w,this._uriReplacer),b=++this._lastMessageId,A=String(b),L=new y.LazyPromise;E&&E.onCancellationRequested(()=>{const z=t.serializeCancel(b);this._logger&&this._logger.logOutgoing(z.byteLength,b,0,"cancel"),this._protocol.send(t.serializeCancel(b))}),this._pendingRPCReplies[A]=L,this._onWillSendRequest(b);const M=t.serializeRequest(b,n,d,h,!!E);return this._logger&&this._logger.logOutgoing(M.byteLength,b,0,`request: ${i.getStringIdentifierForProxy(n)}.${d}(`,w),this._protocol.send(M),L}}e.RPCProtocol=u,k=g,u.UNRESPONSIVE_TIME=3*1e3;class c{constructor(n,d){this._buff=n,this._offset=d}static alloc(n,d,w){let E=new c(T.VSBuffer.alloc(w+1+4),0);return E.writeUInt8(n),E.writeUInt32(d),E}static read(n,d){return new c(n,d)}get buffer(){return this._buff}static sizeUInt8(){return 1}writeUInt8(n){this._buff.writeUInt8(n,this._offset),this._offset+=1}readUInt8(){const n=this._buff.readUInt8(this._offset);return this._offset+=1,n}writeUInt32(n){this._buff.writeUInt32BE(n,this._offset),this._offset+=4}readUInt32(){const n=this._buff.readUInt32BE(this._offset);return this._offset+=4,n}static sizeShortString(n){return 1+n.byteLength}writeShortString(n){this._buff.writeUInt8(n.byteLength,this._offset),this._offset+=1,this._buff.set(n,this._offset),this._offset+=n.byteLength}readShortString(){const n=this._buff.readUInt8(this._offset);this._offset+=1;const w=this._buff.slice(this._offset,this._offset+n).toString();return this._offset+=n,w}static sizeLongString(n){return 4+n.byteLength}writeLongString(n){this._buff.writeUInt32BE(n.byteLength,this._offset),this._offset+=4,this._buff.set(n,this._offset),this._offset+=n.byteLength}readLongString(){const n=this._buff.readUInt32BE(this._offset);this._offset+=4;const w=this._buff.slice(this._offset,this._offset+n).toString();return this._offset+=n,w}writeBuffer(n){this._buff.writeUInt32BE(n.byteLength,this._offset),this._offset+=4,this._buff.set(n,this._offset),this._offset+=n.byteLength}static sizeVSBuffer(n){return 4+n.byteLength}writeVSBuffer(n){this._buff.writeUInt32BE(n.byteLength,this._offset),this._offset+=4,this._buff.set(n,this._offset),this._offset+=n.byteLength}readVSBuffer(){const n=this._buff.readUInt32BE(this._offset);this._offset+=4;const d=this._buff.slice(this._offset,this._offset+n);return this._offset+=n,d}static sizeMixedArray(n,d){let w=0;w+=1;for(let E=0,h=n.length;E<h;E++){const b=n[E],A=d[E];switch(w+=1,A){case 1:w+=this.sizeLongString(b);break;case 2:w+=this.sizeVSBuffer(b);break;case 3:break}}return w}writeMixedArray(n,d){this._buff.writeUInt8(n.length,this._offset),this._offset+=1;for(let w=0,E=n.length;w<E;w++){const h=n[w];switch(d[w]){case 1:this.writeUInt8(1),this.writeLongString(h);break;case 2:this.writeUInt8(2),this.writeVSBuffer(h);break;case 3:this.writeUInt8(3);break}}}readMixedArray(){const n=this._buff.readUInt8(this._offset);this._offset+=1;let d=new Array(n);for(let w=0;w<n;w++)switch(this.readUInt8()){case 1:d[w]=this.readLongString();break;case 2:d[w]=this.readVSBuffer();break;case 3:d[w]=void 0;break}return d}}class t{static _arrayContainsBufferOrUndefined(n){for(let d=0,w=n.length;d<w;d++)if(n[d]instanceof T.VSBuffer||typeof n[d]=="undefined")return!0;return!1}static serializeRequestArguments(n,d){if(this._arrayContainsBufferOrUndefined(n)){let w=[],E=[];for(let h=0,b=n.length;h<b;h++){const A=n[h];A instanceof T.VSBuffer?(w[h]=A,E[h]=2):typeof A=="undefined"?(w[h]=T.VSBuffer.alloc(0),E[h]=3):(w[h]=T.VSBuffer.fromString(f(A,d)),E[h]=1)}return{type:"mixed",args:w,argsType:E}}return{type:"simple",args:f(n,d)}}static serializeRequest(n,d,w,E,h){return E.type==="mixed"?this._requestMixedArgs(n,d,w,E.args,E.argsType,h):this._requestJSONArgs(n,d,w,E.args,h)}static _requestJSONArgs(n,d,w,E,h){const b=T.VSBuffer.fromString(w),A=T.VSBuffer.fromString(E);let L=0;L+=c.sizeUInt8(),L+=c.sizeShortString(b),L+=c.sizeLongString(A);let M=c.alloc(h?2:1,n,L);return M.writeUInt8(d),M.writeShortString(b),M.writeLongString(A),M.buffer}static deserializeRequestJSONArgs(n){const d=n.readUInt8(),w=n.readShortString(),E=n.readLongString();return{rpcId:d,method:w,args:JSON.parse(E)}}static _requestMixedArgs(n,d,w,E,h,b){const A=T.VSBuffer.fromString(w);let L=0;L+=c.sizeUInt8(),L+=c.sizeShortString(A),L+=c.sizeMixedArray(E,h);let M=c.alloc(b?4:3,n,L);return M.writeUInt8(d),M.writeShortString(A),M.writeMixedArray(E,h),M.buffer}static deserializeRequestMixedArgs(n){const d=n.readUInt8(),w=n.readShortString(),E=n.readMixedArray(),h=new Array(E.length);for(let b=0,A=E.length;b<A;b++){const L=E[b];typeof L=="string"?h[b]=JSON.parse(L):h[b]=L}return{rpcId:d,method:w,args:h}}static serializeAcknowledged(n){return c.alloc(5,n,0).buffer}static serializeCancel(n){return c.alloc(6,n,0).buffer}static serializeReplyOK(n,d,w){return typeof d=="undefined"?this._serializeReplyOKEmpty(n):d instanceof T.VSBuffer?this._serializeReplyOKVSBuffer(n,d):this._serializeReplyOKJSON(n,p(d,w))}static _serializeReplyOKEmpty(n){return c.alloc(7,n,0).buffer}static _serializeReplyOKVSBuffer(n,d){let w=0;w+=c.sizeVSBuffer(d);let E=c.alloc(8,n,w);return E.writeVSBuffer(d),E.buffer}static deserializeReplyOKVSBuffer(n){return n.readVSBuffer()}static _serializeReplyOKJSON(n,d){const w=T.VSBuffer.fromString(d);let E=0;E+=c.sizeLongString(w);let h=c.alloc(9,n,E);return h.writeLongString(w),h.buffer}static deserializeReplyOKJSON(n){const d=n.readLongString();return JSON.parse(d)}static serializeReplyErr(n,d){return d?this._serializeReplyErrEror(n,d):this._serializeReplyErrEmpty(n)}static _serializeReplyErrEror(n,d){const w=T.VSBuffer.fromString(p(R.transformErrorForSerialization(d),null));let E=0;E+=c.sizeLongString(w);let h=c.alloc(10,n,E);return h.writeLongString(w),h.buffer}static deserializeReplyErrError(n){const d=n.readLongString();return JSON.parse(d)}static _serializeReplyErrEmpty(n){return c.alloc(11,n,0).buffer}}var r;(function(o){o[o.RequestJSONArgs=1]="RequestJSONArgs",o[o.RequestJSONArgsWithCancellation=2]="RequestJSONArgsWithCancellation",o[o.RequestMixedArgs=3]="RequestMixedArgs",o[o.RequestMixedArgsWithCancellation=4]="RequestMixedArgsWithCancellation",o[o.Acknowledged=5]="Acknowledged",o[o.Cancel=6]="Cancel",o[o.ReplyOKEmpty=7]="ReplyOKEmpty",o[o.ReplyOKVSBuffer=8]="ReplyOKVSBuffer",o[o.ReplyOKJSON=9]="ReplyOKJSON",o[o.ReplyErrError=10]="ReplyErrError",o[o.ReplyErrEmpty=11]="ReplyErrEmpty"})(r||(r={}));var s;(function(o){o[o.String=1]="String",o[o.VSBuffer=2]="VSBuffer",o[o.Undefined=3]="Undefined"})(s||(s={}))}),define(ge[258],pe([0,1,4]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IRemoteAgentService=e.RemoteExtensionLogFileName=void 0,e.RemoteExtensionLogFileName="remoteagent",e.IRemoteAgentService=v.createDecorator("remoteAgentService")}),define(ge[259],pe([0,1,13,7,9,2,4,258]),function(Q,e,v,D,R,P,C,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.AbstractPathService=e.IPathService=void 0,e.IPathService=C.createDecorator("pathService");let y=class{constructor(T,k){this.localUserHome=T,this.remoteAgentService=k,this.resolveOS=(async()=>{const p=await this.remoteAgentService.getEnvironment();return(p==null?void 0:p.os)||R.OS})(),this.resolveUserHome=(async()=>{const p=await this.remoteAgentService.getEnvironment();return this.maybeUnresolvedUserHome=(p==null?void 0:p.userHome)||T})()}async userHome(T){return(T==null?void 0:T.preferLocal)?this.localUserHome:this.resolveUserHome}get resolvedUserHome(){return this.maybeUnresolvedUserHome}get path(){return this.resolveOS.then(T=>T===1?D.win32:D.posix)}async fileURI(T){let k="";if(await this.resolveOS===1&&(T=T.replace(/\\/g,"/")),T[0]==="/"&&T[1]==="/"){const f=T.indexOf("/",2);f===-1?(k=T.substring(2),T="/"):(k=T.substring(2,f),T=T.substring(f)||"/")}return P.URI.from({scheme:v.Schemas.file,authority:k,path:T,query:"",fragment:""})}};y=Ve([$e(1,I.IRemoteAgentService)],y),e.AbstractPathService=y}),define(ge[32],pe([0,1,12,34,23,31,10,4,7,15]),function(Q,e,v,D,R,P,C,I,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.QueryGlobTester=e.resolvePatternsForProvider=e.SerializableFileMatch=e.isFilePatternMatch=e.isSerializedFileMatch=e.isSerializedSearchSuccess=e.isSerializedSearchComplete=e.serializeSearchError=e.deserializeSearchError=e.SearchError=e.SearchErrorCode=e.pathIncludedInQuery=e.getExcludes=e.SearchSortOrder=e.OneLineRange=e.SearchRange=e.TextSearchMatch=e.FileMatch=e.SearchCompletionExitCode=e.isProgressMessage=e.isFileMatch=e.resultIsMatch=e.QueryType=e.SearchProviderType=e.ISearchService=e.SEARCH_EXCLUDE_CONFIG=e.VIEW_ID=e.PANEL_ID=e.VIEWLET_ID=void 0,e.VIEWLET_ID="workbench.view.search",e.PANEL_ID="workbench.panel.search",e.VIEW_ID="workbench.view.search",e.SEARCH_EXCLUDE_CONFIG="search.exclude";const T="\u27EA ",k=" characters skipped \u27EB",p=(T.length+k.length+5)*2;e.ISearchService=I.createDecorator("searchService");var f;(function(x){x[x.file=0]="file",x[x.text=1]="text"})(f=e.SearchProviderType||(e.SearchProviderType={}));var l;(function(x){x[x.File=1]="File",x[x.Text=2]="Text"})(l=e.QueryType||(e.QueryType={}));function m(x){return!!x.preview}e.resultIsMatch=m;function S(x){return!!x.resource}e.isFileMatch=S;function _(x){return!!x.message}e.isProgressMessage=_;var g;(function(x){x[x.Normal=0]="Normal",x[x.NewSearchStarted=1]="NewSearchStarted"})(g=e.SearchCompletionExitCode||(e.SearchCompletionExitCode={}));class a{constructor(N){this.resource=N,this.results=[]}}e.FileMatch=a;class u{constructor(N,U,F){this.ranges=U;const O=Array.isArray(U)?U:[U];if(F&&F.matchLines===1&&c(O)){N=C.getNLines(N,F.matchLines);let $="",q=0,Z=0;const ae=Math.floor(F.charsPerLine/5),fe=[];for(const Te of O){const Se=Math.max(Te.startColumn-ae,0),Le=Te.startColumn+F.charsPerLine;if(Se>Z+ae+p){const H=T+(Se-Z)+k;$+=H+N.slice(Se,Le),q+=Se-(Z+H.length)}else $+=N.slice(Z,Le);fe.push(new r(0,Te.startColumn-q,Te.endColumn-q)),Z=Le}this.preview={text:$,matches:Array.isArray(this.ranges)?fe:fe[0]}}else{const $=Array.isArray(U)?U[0].startLineNumber:U.startLineNumber;this.preview={text:N,matches:v.mapArrayOrNot(U,q=>new t(q.startLineNumber-$,q.startColumn,q.endLineNumber-$,q.endColumn))}}}}e.TextSearchMatch=u;function c(x){const N=x[0].startLineNumber;for(const U of x)if(U.startLineNumber!==N||U.endLineNumber!==N)return!1;return!0}class t{constructor(N,U,F,O){this.startLineNumber=N,this.startColumn=U,this.endLineNumber=F,this.endColumn=O}}e.SearchRange=t;class r extends t{constructor(N,U,F){super(N,U,N,F)}}e.OneLineRange=r;var s;(function(x){x.Default="default",x.FileNames="fileNames",x.Type="type",x.Modified="modified",x.CountDescending="countDescending",x.CountAscending="countAscending"})(s=e.SearchSortOrder||(e.SearchSortOrder={}));function o(x,N=!0){const U=x&&x.files&&x.files.exclude,F=N&&x&&x.search&&x.search.exclude;if(!(!U&&!F)){if(!U||!F)return U||F;let O=Object.create(null);return O=R.mixin(O,R.deepClone(U)),O=R.mixin(O,R.deepClone(F),!0),O}}e.getExcludes=o;function n(x,N){return x.excludePattern&&D.match(x.excludePattern,N)?!1:x.includePattern||x.usingSearchPaths?x.includePattern&&D.match(x.includePattern,N)?!0:x.usingSearchPaths?!!x.folderQueries&&x.folderQueries.some(U=>{const F=U.folder.fsPath;if(P.isEqualOrParent(N,F)){const O=y.relative(F,N);return!U.includePattern||!!D.match(U.includePattern,O)}else return!1}):!1:!0}e.pathIncludedInQuery=n;var d;(function(x){x[x.unknownEncoding=1]="unknownEncoding",x[x.regexParseError=2]="regexParseError",x[x.globParseError=3]="globParseError",x[x.invalidLiteral=4]="invalidLiteral",x[x.rgProcessError=5]="rgProcessError",x[x.other=6]="other",x[x.canceled=7]="canceled"})(d=e.SearchErrorCode||(e.SearchErrorCode={}));class w extends Error{constructor(N,U){super(N);this.code=U}}e.SearchError=w;function E(x){const N=x.message;if(i.isPromiseCanceledError(x))return new w(N,d.canceled);try{const U=JSON.parse(N);return new w(U.message,U.code)}catch(U){return new w(N,d.other)}}e.deserializeSearchError=E;function h(x){const N={message:x.message,code:x.code};return new Error(JSON.stringify(N))}e.serializeSearchError=h;function b(x){return x.type==="error"?!0:x.type==="success"}e.isSerializedSearchComplete=b;function A(x){return x.type==="success"}e.isSerializedSearchSuccess=A;function L(x){return!!x.path}e.isSerializedFileMatch=L;function M(x,N){const U=x.searchPath?x.searchPath:x.relativePath;return C.fuzzyContains(U,N)}e.isFilePatternMatch=M;class z{constructor(N){this.path=N,this.results=[]}addMatch(N){this.results.push(N)}serialize(){return{path:this.path,results:this.results,numMatches:this.results.length}}}e.SerializableFileMatch=z;function V(x,N){const U=Object.assign(Object.assign({},x||{}),N||{});return Object.keys(U).filter(F=>{const O=U[F];return typeof O=="boolean"&&O})}e.resolvePatternsForProvider=V;class W{constructor(N,U){this._parsedIncludeExpression=null,this._excludeExpression=Object.assign(Object.assign({},N.excludePattern||{}),U.excludePattern||{}),this._parsedExcludeExpression=D.parse(this._excludeExpression);let F=N.includePattern;U.includePattern&&(F?F=Object.assign(Object.assign({},F),U.includePattern):F=U.includePattern),F&&(this._parsedIncludeExpression=D.parse(F))}includedInQuerySync(N,U,F){return!(this._parsedExcludeExpression&&this._parsedExcludeExpression(N,U,F)||this._parsedIncludeExpression&&!this._parsedIncludeExpression(N,U,F))}includedInQuery(N,U,F){return Promise.resolve(this._parsedExcludeExpression(N,U,F)).then($=>!!$).then($=>$?!1:this._parsedIncludeExpression?Promise.resolve(this._parsedIncludeExpression(N,U,F)).then(q=>!!q):Promise.resolve(!0)).then($=>$)}hasSiblingExcludeClauses(){return K(this._excludeExpression)}}e.QueryGlobTester=W;function K(x){for(const N in x)if(typeof x[N]!="boolean")return!0;return!1}}),define(ge[33],pe([0,1,12,19,21,3,22,13,73,25,10,16,2,164,4,11,182,61,62,27,14,8,32,6]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m,S,_,g,a,u,c,t,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostWorkspace=e.ExtHostWorkspace=void 0;function s(A,L,M){return new i.ExtUri(z=>w(z,M)).isEqual(A,L)}function o(A,L,M){return s(A.uri,L.uri,M)?0:T.compare(A.uri.toString(),L.uri.toString())}function n(A,L,M){return A.index!==L.index?A.index<L.index?-1:1:s(A.uri,L.uri,M)?T.compare(A.name,L.name):T.compare(A.uri.toString(),L.uri.toString())}function d(A,L,M,z){const V=A.slice(0).sort((K,x)=>M(K,x,z)),W=L.slice(0).sort((K,x)=>M(K,x,z));return v.delta(V,W,(K,x)=>M(K,x,z))}function w(A,L){const M=L.getCapabilities(A.scheme);return!(M&&M&1024)}class E extends _.Workspace{constructor(L,M,z,V,W,K){super(L,z.map(x=>new _.WorkspaceFolder(x)),V,K);this._name=M,this._isUntitled=W,this._workspaceFolders=[],this._structure=C.TernarySearchTree.forUris(K),z.forEach(x=>{this._workspaceFolders.push(x),this._structure.set(x.uri,x)})}static toExtHostWorkspace(L,M,z,V){if(!L)return{workspace:null,added:[],removed:[]};const{id:W,name:K,folders:x,configuration:N,isUntitled:U}=L,F=[],O=M;M?x.forEach((ae,fe)=>{const Te=p.URI.revive(ae.uri),Se=E._findFolder(z||M,Te,V);Se?(Se.name=ae.name,Se.index=ae.index,F.push(Se)):F.push({uri:Te,name:ae.name,index:fe})}):F.push(...x.map(({uri:ae,name:fe,index:Te})=>({uri:p.URI.revive(ae),name:fe,index:Te}))),F.sort((ae,fe)=>ae.index<fe.index?-1:1);const $=new E(W,K,F,N?p.URI.revive(N):null,!!U,ae=>w(ae,V)),{added:q,removed:Z}=d(O?O.workspaceFolders:[],$.workspaceFolders,o,V);return{workspace:$,added:q,removed:Z}}static _findFolder(L,M,z){for(let V=0;V<L.folders.length;V++){const W=L.workspaceFolders[V];if(s(W.uri,M,z))return W}}get name(){return this._name}get isUntitled(){return this._isUntitled}get workspaceFolders(){return this._workspaceFolders.slice(0)}getWorkspaceFolder(L,M){return M&&this._structure.get(L)&&(L=i.dirname(L)),this._structure.findSubstr(L)}resolveWorkspaceFolder(L){return this._structure.get(L)}}let h=class{constructor(L,M,z,V){this._onDidChangeWorkspace=new P.Emitter,this.onDidChangeWorkspace=this._onDidChangeWorkspace.event,this._onDidChangeWorkspaceTrustState=new P.Emitter,this.onDidChangeWorkspaceTrustState=this._onDidChangeWorkspaceTrustState.event,this._activeSearchCallbacks=[],this._workspaceTrustState=c.WorkspaceTrustState.Unknown,this._logService=V,this._extHostFileSystemInfo=z,this._requestIdProvider=new y.Counter,this._barrier=new D.Barrier,this._proxy=L.getProxy(r.MainContext.MainThreadWorkspace),this._messageService=L.getProxy(r.MainContext.MainThreadMessageService);const W=M.workspace;this._confirmedWorkspace=W?new E(W.id,W.name,[],W.configuration?p.URI.revive(W.configuration):null,!!W.isUntitled,K=>w(K,z)):void 0}$initializeWorkspace(L,M){this._workspaceTrustState=M,this.$acceptWorkspaceData(L),this._barrier.open()}waitForInitializeCall(){return this._barrier.wait()}get workspace(){return this._actualWorkspace}get name(){return this._actualWorkspace?this._actualWorkspace.name:void 0}get workspaceFile(){if(this._actualWorkspace&&this._actualWorkspace.configuration)return this._actualWorkspace.isUntitled?p.URI.from({scheme:I.Schemas.untitled,path:i.basename(i.dirname(this._actualWorkspace.configuration))}):this._actualWorkspace.configuration}get _actualWorkspace(){return this._unconfirmedWorkspace||this._confirmedWorkspace}getWorkspaceFolders(){if(!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}async getWorkspaceFolders2(){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.workspaceFolders.slice(0)}updateWorkspaceFolders(L,M,z,...V){const W=[];if(Array.isArray(V)&&V.forEach(F=>{p.URI.isUri(F.uri)&&!W.some(O=>s(O.uri,F.uri,this._extHostFileSystemInfo))&&W.push({uri:F.uri,name:F.name||i.basenameOrAuthority(F.uri)})}),this._unconfirmedWorkspace||[M,z].some(F=>typeof F!="number"||F<0)||z===0&&W.length===0)return!1;const K=this._actualWorkspace?this._actualWorkspace.workspaceFolders:[];if(M+z>K.length)return!1;const x=K.slice(0);x.splice(M,z,...W.map(F=>({uri:F.uri,name:F.name||i.basenameOrAuthority(F.uri),index:void 0})));for(let F=0;F<x.length;F++){const O=x[F];if(x.some(($,q)=>q!==F&&s(O.uri,$.uri,this._extHostFileSystemInfo)))return!1}x.forEach((F,O)=>F.index=O);const{added:N,removed:U}=d(K,x,n,this._extHostFileSystemInfo);if(N.length===0&&U.length===0)return!1;if(this._proxy){const F=L.displayName||L.name;this._proxy.$updateWorkspaceFolders(F,M,z,W).then(void 0,O=>{this._unconfirmedWorkspace=void 0,this._messageService.$showMessage(S.Severity.Error,f.localize(0,null,F,O.toString()),{extension:L},[])})}return this.trySetWorkspaceFolders(x),!0}getWorkspaceFolder(L,M){if(!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(L,M)}async getWorkspaceFolder2(L,M){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.getWorkspaceFolder(L,M)}async resolveWorkspaceFolder(L){if(await this._barrier.wait(),!!this._actualWorkspace)return this._actualWorkspace.resolveWorkspaceFolder(L)}getPath(){if(!!this._actualWorkspace){const{folders:L}=this._actualWorkspace;if(L.length!==0)return L[0].uri.fsPath}}getRelativePath(L,M){let z,V="";if(typeof L=="string"?(z=p.URI.file(L),V=L):typeof L!="undefined"&&(z=L,V=L.fsPath),!z)return V;const W=this.getWorkspaceFolder(z,!0);if(!W)return V;typeof M=="undefined"&&this._actualWorkspace&&(M=this._actualWorkspace.folders.length>1);let K=i.relativePath(W.uri,z);return M&&W.name&&(K=`${W.name}/${K}`),K}trySetWorkspaceFolders(L){this._actualWorkspace&&(this._unconfirmedWorkspace=E.toExtHostWorkspace({id:this._actualWorkspace.id,name:this._actualWorkspace.name,configuration:this._actualWorkspace.configuration,folders:L,isUntitled:this._actualWorkspace.isUntitled},this._actualWorkspace,void 0,this._extHostFileSystemInfo).workspace||void 0)}$acceptWorkspaceData(L){const{workspace:M,added:z,removed:V}=E.toExtHostWorkspace(L,this._confirmedWorkspace,this._unconfirmedWorkspace,this._extHostFileSystemInfo);this._confirmedWorkspace=M||void 0,this._unconfirmedWorkspace=void 0,this._onDidChangeWorkspace.fire(Object.freeze({added:z,removed:V}))}findFiles(L,M,z,V,W=R.CancellationToken.None){this._logService.trace(`extHostWorkspace#findFiles: fileSearch, extension: ${V.value}, entryPoint: findFiles`);let K;if(M===null?K=!1:M&&(typeof M=="string"?K=M:K=M.pattern),W&&W.isCancellationRequested)return Promise.resolve([]);const{includePattern:x,folder:N}=b(L);return this._proxy.$startFileSearch(k.withUndefinedAsNull(x),k.withUndefinedAsNull(N),k.withUndefinedAsNull(K),k.withUndefinedAsNull(z),W).then(U=>Array.isArray(U)?U.map(F=>p.URI.revive(F)):[])}async findTextInFiles(L,M,z,V,W=R.CancellationToken.None){this._logService.trace(`extHostWorkspace#findTextInFiles: textSearch, extension: ${V.value}, entryPoint: findTextInFiles`);const K=this._requestIdProvider.getNext(),x=typeof M.previewOptions=="undefined"?{matchLines:100,charsPerLine:1e4}:M.previewOptions,{includePattern:N,folder:U}=b(M.include),F=typeof M.exclude=="string"?M.exclude:M.exclude?M.exclude.pattern:void 0,O={ignoreSymlinks:typeof M.followSymlinks=="boolean"?!M.followSymlinks:void 0,disregardIgnoreFiles:typeof M.useIgnoreFiles=="boolean"?!M.useIgnoreFiles:void 0,disregardGlobalIgnoreFiles:typeof M.useGlobalIgnoreFiles=="boolean"?!M.useGlobalIgnoreFiles:void 0,disregardExcludeSettings:typeof M.useDefaultExcludes=="boolean"?!M.useDefaultExcludes:!0,fileEncoding:M.encoding,maxResults:M.maxResults,previewOptions:x,afterContext:M.afterContext,beforeContext:M.beforeContext,includePattern:N,excludePattern:F},$=!1;if(this._activeSearchCallbacks[K]=q=>{if(!$){const Z=p.URI.revive(q.resource);q.results.forEach(ae=>{t.resultIsMatch(ae)?z({uri:Z,preview:{text:ae.preview.text,matches:v.mapArrayOrNot(ae.preview.matches,fe=>new c.Range(fe.startLineNumber,fe.startColumn,fe.endLineNumber,fe.endColumn))},ranges:v.mapArrayOrNot(ae.ranges,fe=>new c.Range(fe.startLineNumber,fe.startColumn,fe.endLineNumber,fe.endColumn))}):z({uri:Z,text:ae.text,lineNumber:ae.lineNumber})})}},W.isCancellationRequested)return{};try{const q=await this._proxy.$startTextSearch(L,k.withUndefinedAsNull(U),O,K,W);return delete this._activeSearchCallbacks[K],q||{}}catch(q){throw delete this._activeSearchCallbacks[K],q}}$handleTextSearchResult(L,M){this._activeSearchCallbacks[M]&&this._activeSearchCallbacks[M](L)}saveAll(L){return this._proxy.$saveAll(L)}resolveProxy(L){return this._proxy.$resolveProxy(L)}get trustState(){return this._workspaceTrustState}requireWorkspaceTrust(L){return this._proxy.$requireWorkspaceTrust(L)}$onDidChangeWorkspaceTrustState(L){this._workspaceTrustState=L.currentTrustState,this._onDidChangeWorkspaceTrustState.fire(Object.freeze(L))}};h=Ve([$e(0,u.IExtHostRpcService),$e(1,a.IExtHostInitDataService),$e(2,g.IExtHostFileSystemInfo),$e(3,m.ILogService)],h),e.ExtHostWorkspace=h,e.IExtHostWorkspace=l.createDecorator("IExtHostWorkspace");function b(A){let L,M;return A&&(typeof A=="string"?L=A:(L=A.pattern,M=A.baseFolder||p.URI.file(A.base))),{includePattern:L,folder:M}}}),define(ge[37],pe([0,1,23,3,33,6,8,185,83,16,19,4,14,11,2]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostConfiguration=e.ExtHostConfigProvider=e.ExtHostConfiguration=void 0;function m(r,s){if(s){const o=s.split(".");let n=r;for(let d=0;n&&d<o.length;d++)n=n[o[d]];return n}}function S(r){return r instanceof l.URI}function _(r){return r&&r.uri instanceof l.URI&&r.languageId&&typeof r.languageId=="string"}function g(r){return r&&!r.uri&&r.languageId&&typeof r.languageId=="string"}function a(r){return r&&r.uri instanceof l.URI&&(!r.name||typeof r.name=="string")&&(!r.index||typeof r.index=="number")}function u(r){if(S(r))return{resource:r};if(_(r))return{resource:r.uri,overrideIdentifier:r.languageId};if(g(r))return{overrideIdentifier:r.languageId};if(a(r))return{resource:r.uri};if(r===null)return{resource:null}}let c=class{constructor(s,o,n){this._proxy=s.getProxy(P.MainContext.MainThreadConfiguration),this._extHostWorkspace=o,this._logService=n,this._barrier=new T.Barrier,this._actual=null}getConfigProvider(){return this._barrier.wait().then(s=>this._actual)}$initializeConfiguration(s){this._actual=new t(this._proxy,this._extHostWorkspace,s,this._logService),this._barrier.open()}$acceptConfigurationChanged(s,o){this.getConfigProvider().then(n=>n.$acceptConfigurationChanged(s,o))}};c=Ve([$e(0,p.IExtHostRpcService),$e(1,R.IExtHostWorkspace),$e(2,f.ILogService)],c),e.ExtHostConfiguration=c;class t{constructor(s,o,n,d){this._onDidChangeConfiguration=new D.Emitter,this._proxy=s,this._logService=d,this._extHostWorkspace=o,this._configuration=I.Configuration.parse(n),this._configurationScopes=this._toMap(n.configurationScopes)}get onDidChangeConfiguration(){return this._onDidChangeConfiguration&&this._onDidChangeConfiguration.event}$acceptConfigurationChanged(s,o){const n={data:this._configuration.toData(),workspace:this._extHostWorkspace.workspace};this._configuration=I.Configuration.parse(s),this._configurationScopes=this._toMap(s.configurationScopes),this._onDidChangeConfiguration.fire(this._toConfigurationChangeEvent(o,n))}getConfiguration(s,o,n){const d=u(o)||{},w=this._toReadonlyValue(s?m(this._configuration.getValue(void 0,d,this._extHostWorkspace.workspace),s):this._configuration.getValue(void 0,d,this._extHostWorkspace.workspace));s&&this._validateConfigurationAccess(s,d,n==null?void 0:n.identifier);function E(b){if(b==null)return null;if(typeof b=="boolean")return b?1:4;switch(b){case C.ConfigurationTarget.Global:return 1;case C.ConfigurationTarget.Workspace:return 4;case C.ConfigurationTarget.WorkspaceFolder:return 5}}const h={has(b){return typeof m(w,b)!="undefined"},get:(b,A)=>{this._validateConfigurationAccess(s?`${s}.${b}`:b,d,n==null?void 0:n.identifier);let L=m(w,b);if(typeof L=="undefined")L=A;else{let M;const z=(V,W)=>{let K;const x=()=>{M=M||v.deepClone(w),K=K||m(M,W)};return i.isObject(V)?new Proxy(V,{get:(N,U)=>{if(typeof U=="string"&&U.toLowerCase()==="tojson")return x(),()=>K;if(M)return K=K||m(M,W),K[U];const F=N[U];return typeof U=="string"?z(F,`${W}.${U}`):F},set:(N,U,F)=>(x(),K&&(K[U]=F),!0),deleteProperty:(N,U)=>(x(),K&&delete K[U],!0),defineProperty:(N,U,F)=>(x(),K&&Object.defineProperty(K,U,F),!0)}):V};L=z(L,b)}return L},update:(b,A,L,M)=>{b=s?`${s}.${b}`:b;const z=E(L);return A!==void 0?this._proxy.$updateConfigurationOption(z,b,A,d,M):this._proxy.$removeConfigurationOption(z,b,d,M)},inspect:b=>{var A,L,M,z,V,W,K,x;b=s?`${s}.${b}`:b;const N=v.deepClone(this._configuration.inspect(b,d,this._extHostWorkspace.workspace));if(N)return{key:b,defaultValue:(A=N.default)===null||A===void 0?void 0:A.value,globalValue:(L=N.user)===null||L===void 0?void 0:L.value,workspaceValue:(M=N.workspace)===null||M===void 0?void 0:M.value,workspaceFolderValue:(z=N.workspaceFolder)===null||z===void 0?void 0:z.value,defaultLanguageValue:(V=N.default)===null||V===void 0?void 0:V.override,globalLanguageValue:(W=N.user)===null||W===void 0?void 0:W.override,workspaceLanguageValue:(K=N.workspace)===null||K===void 0?void 0:K.override,workspaceFolderLanguageValue:(x=N.workspaceFolder)===null||x===void 0?void 0:x.override,languageIds:N.overrideIdentifiers}}};return typeof w=="object"&&v.mixin(h,w,!1),Object.freeze(h)}_toReadonlyValue(s){const o=n=>i.isObject(n)?new Proxy(n,{get:(d,w)=>o(d[w]),set:(d,w,E)=>{throw new Error(`TypeError: Cannot assign to read only property '${String(w)}' of object`)},deleteProperty:(d,w)=>{throw new Error(`TypeError: Cannot delete read only property '${String(w)}' of object`)},defineProperty:(d,w)=>{throw new Error(`TypeError: Cannot define property '${String(w)}' for a readonly object`)},setPrototypeOf:d=>{throw new Error("TypeError: Cannot set prototype for a readonly object")},isExtensible:()=>!1,preventExtensions:()=>!0}):n;return o(s)}_validateConfigurationAccess(s,o,n){const d=y.OVERRIDE_PROPERTY_PATTERN.test(s)?4:this._configurationScopes.get(s),w=n?`[${n.value}] `:"";if(d===4){typeof(o==null?void 0:o.resource)=="undefined"&&this._logService.warn(`${w}Accessing a resource scoped configuration without providing a resource is not expected. To get the effective value for '${s}', provide the URI of a resource or 'null' for any resource.`);return}if(d===3){(o==null?void 0:o.resource)&&this._logService.warn(`${w}Accessing a window scoped configuration for a resource is not expected. To associate '${s}' to a resource, define its scope to 'resource' in configuration contributions in 'package.json'.`);return}}_toConfigurationChangeEvent(s,o){const n=new I.ConfigurationChangeEvent(s,o,this._configuration,this._extHostWorkspace.workspace);return Object.freeze({affectsConfiguration:(d,w)=>n.affectsConfiguration(d,u(w))})}_toMap(s){return s.reduce((o,n)=>(o.set(n[0],n[1]),o),new Map)}}e.ExtHostConfigProvider=t,e.IExtHostConfiguration=k.createDecorator("IExtHostConfiguration")});var nt=this&&this.__classPrivateFieldSet||function(Q,e,v){if(!e.has(Q))throw new TypeError("attempted to set private field on non-instance");return e.set(Q,v),v},ze=this&&this.__classPrivateFieldGet||function(Q,e){if(!e.has(Q))throw new TypeError("attempted to get private field on non-instance");return e.get(Q)};define(ge[67],pe([0,1,2,19,3,6,8,33,40,37,21,36,14,27,4,13,9,11,64,205,15]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m,S,_,g,a,u){"use strict";var c;Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostTask=e.WorkerExtHostTask=e.ExtHostTaskBase=e.TaskExecutionDTO=e.TaskFilterDTO=e.TaskDTO=e.TaskHandleDTO=e.CustomExecutionDTO=e.ShellExecutionDTO=e.ShellExecutionOptionsDTO=e.ProcessExecutionDTO=e.ProcessExecutionOptionsDTO=e.TaskPresentationOptionsDTO=e.TaskDefinitionDTO=void 0;var t;(function(V){function W(x){if(x!=null)return x}V.from=W;function K(x){if(x!=null)return x}V.to=K})(t=e.TaskDefinitionDTO||(e.TaskDefinitionDTO={}));var r;(function(V){function W(x){if(x!=null)return x}V.from=W;function K(x){if(x!=null)return x}V.to=K})(r=e.TaskPresentationOptionsDTO||(e.TaskPresentationOptionsDTO={}));var s;(function(V){function W(x){if(x!=null)return x}V.from=W;function K(x){if(x!=null)return x}V.to=K})(s=e.ProcessExecutionOptionsDTO||(e.ProcessExecutionOptionsDTO={}));var o;(function(V){function W(N){if(N){const U=N;return U&&!!U.process}else return!1}V.is=W;function K(N){if(N!=null){const U={process:N.process,args:N.args};return N.options&&(U.options=s.from(N.options)),U}}V.from=K;function x(N){if(N!=null)return new C.ProcessExecution(N.process,N.args,N.options)}V.to=x})(o=e.ProcessExecutionDTO||(e.ProcessExecutionDTO={}));var n;(function(V){function W(x){if(x!=null)return x}V.from=W;function K(x){if(x!=null)return x}V.to=K})(n=e.ShellExecutionOptionsDTO||(e.ShellExecutionOptionsDTO={}));var d;(function(V){function W(N){if(N){const U=N;return U&&(!!U.commandLine||!!U.command)}else return!1}V.is=W;function K(N){if(N!=null){const U={};return N.commandLine!==void 0?U.commandLine=N.commandLine:(U.command=N.command,U.args=N.args),N.options&&(U.options=n.from(N.options)),U}}V.from=K;function x(N){if(!(N==null||N.command===void 0&&N.commandLine===void 0))return N.commandLine?new C.ShellExecution(N.commandLine,N.options):new C.ShellExecution(N.command,N.args?N.args:[],N.options)}V.to=x})(d=e.ShellExecutionDTO||(e.ShellExecutionDTO={}));var w;(function(V){function W(N){if(N){let U=N;return U&&U.customExecution==="customExecution"}else return!1}V.is=W;function K(N){return{customExecution:"customExecution"}}V.from=K;function x(N,U){return U.get(N)}V.to=x})(w=e.CustomExecutionDTO||(e.CustomExecutionDTO={}));var E;(function(V){function W(K,x){let N;return K.scope!==void 0&&typeof K.scope!="number"?N=K.scope.uri:K.scope!==void 0&&typeof K.scope=="number"&&(K.scope===C.TaskScope.Workspace&&x&&x.workspaceFile?N=x.workspaceFile:N=a.USER_TASKS_GROUP_KEY),{id:K._id,workspaceFolder:N}}V.from=W})(E=e.TaskHandleDTO||(e.TaskHandleDTO={}));var h;(function(V){function W(N,U){if(N==null)return[];const F=[];for(let O of N){const $=K(O,U);$&&F.push($)}return F}V.fromMany=W;function K(N,U){if(N!=null){let F;N.execution instanceof C.ProcessExecution?F=o.from(N.execution):N.execution instanceof C.ShellExecution?F=d.from(N.execution):N.execution&&N.execution instanceof C.CustomExecution&&(F=w.from(N.execution));const O=t.from(N.definition);let $;if(N.scope?typeof N.scope=="number"?$=N.scope:$=N.scope.uri:$=C.TaskScope.Workspace,!(!O||!$)){const q=N.group?N.group.id:void 0;return{_id:N._id,definition:O,name:N.name,source:{extensionId:U.identifier.value,label:N.source,scope:$},execution:F,isBackground:N.isBackground,group:q,presentationOptions:r.from(N.presentationOptions),problemMatchers:N.problemMatchers,hasDefinedMatchers:N.hasDefinedMatchers,runOptions:N.runOptions?N.runOptions:{reevaluateOnRerun:!0},detail:N.detail}}}}V.from=K;async function x(N,U,F){if(N!=null){let O;o.is(N.execution)?O=o.to(N.execution):d.is(N.execution)?O=d.to(N.execution):w.is(N.execution)&&(O=w.to(N._id,F));const $=t.to(N.definition);let q;if(N.source&&(N.source.scope!==void 0?typeof N.source.scope=="number"?q=N.source.scope:q=await U.resolveWorkspaceFolder(v.URI.revive(N.source.scope)):q=C.TaskScope.Workspace),!(!$||!q)){const Z=new C.Task($,q,N.name,N.source.label,O,N.problemMatchers);return N.isBackground!==void 0&&(Z.isBackground=N.isBackground),N.group!==void 0&&(Z.group=C.TaskGroup.from(N.group)),N.presentationOptions&&(Z.presentationOptions=r.to(N.presentationOptions)),N._id&&(Z._id=N._id),N.detail&&(Z.detail=N.detail),Z}}}V.to=x})(h=e.TaskDTO||(e.TaskDTO={}));var b;(function(V){function W(x){return x}V.from=W;function K(x){if(!!x)return Object.assign(Object.create(null),x)}V.to=K})(b=e.TaskFilterDTO||(e.TaskFilterDTO={}));class A{constructor(W,K,x){this._id=K,this._task=x,c.set(this,void 0),nt(this,c,W)}get task(){return this._task}terminate(){ze(this,c).terminateTask(this)}fireDidStartProcess(W){}fireDidEndProcess(W){}}c=new WeakMap;var L;(function(V){function W(K){return{id:K._id,task:void 0}}V.from=W})(L=e.TaskExecutionDTO||(e.TaskExecutionDTO={}));let M=class{constructor(W,K,x,N,U,F,O,$){this._onDidExecuteTask=new R.Emitter,this._onDidTerminateTask=new R.Emitter,this._onDidTaskProcessStarted=new R.Emitter,this._onDidTaskProcessEnded=new R.Emitter,this._proxy=W.getProxy(P.MainContext.MainThreadTask),this._workspaceProvider=x,this._editorService=N,this._configurationService=U,this._terminalService=F,this._handleCounter=0,this._handlers=new Map,this._taskExecutions=new Map,this._taskExecutionPromises=new Map,this._providedCustomExecutions2=new Map,this._notProvidedCustomExecutions=new Set,this._activeCustomExecutions2=new Map,this._logService=O,this._deprecationService=$,this._proxy.$registerSupportedExecutions(!0)}registerTaskProvider(W,K,x){if(!x)return new C.Disposable(()=>{});const N=this.nextHandle();return this._handlers.set(N,{type:K,provider:x,extension:W}),this._proxy.$registerTaskProvider(N,K),new C.Disposable(()=>{this._handlers.delete(N),this._proxy.$unregisterTaskProvider(N)})}registerTaskSystem(W,K){this._proxy.$registerTaskSystem(W,K)}fetchTasks(W){return this._proxy.$fetchTasks(b.from(W)).then(async K=>{const x=[];for(let N of K){const U=await h.to(N,this._workspaceProvider,this._providedCustomExecutions2);U&&x.push(U)}return x})}get taskExecutions(){const W=[];return this._taskExecutions.forEach(K=>W.push(K)),W}terminateTask(W){if(!(W instanceof A))throw new Error("No valid task execution provided");return this._proxy.$terminateTask(W._id)}get onDidStartTask(){return this._onDidExecuteTask.event}async $onDidStartTask(W,K,x){const N=this._providedCustomExecutions2.get(W.id);if(N){if(this._activeCustomExecutions2.get(W.id)!==void 0)throw new Error("We should not be trying to start the same custom task executions twice.");this._activeCustomExecutions2.set(W.id,N),this._terminalService.attachPtyToTerminal(K,await N.callback(x))}this._lastStartedTask=W.id,this._onDidExecuteTask.fire({execution:await this.getTaskExecution(W)})}get onDidEndTask(){return this._onDidTerminateTask.event}async $OnDidEndTask(W){const K=await this.getTaskExecution(W);this._taskExecutionPromises.delete(W.id),this._taskExecutions.delete(W.id),this.customExecutionComplete(W),this._onDidTerminateTask.fire({execution:K})}get onDidStartTaskProcess(){return this._onDidTaskProcessStarted.event}async $onDidStartTaskProcess(W){const K=await this.getTaskExecution(W.id);this._onDidTaskProcessStarted.fire({execution:K,processId:W.processId})}get onDidEndTaskProcess(){return this._onDidTaskProcessEnded.event}async $onDidEndTaskProcess(W){const K=await this.getTaskExecution(W.id);this._onDidTaskProcessEnded.fire({execution:K,exitCode:W.exitCode})}$provideTasks(W,K){const x=this._handlers.get(W);if(!x)return Promise.reject(new Error("no handler found"));const N=[],U=D.asPromise(()=>x.provider.provideTasks(T.CancellationToken.None)).then(F=>this.provideTasksInternal(K,N,x,F));return new Promise(F=>{U.then(O=>{Promise.all(N).then(()=>{F(O)})})})}async $resolveTask(W,K){const x=this._handlers.get(W);if(!x)return Promise.reject(new Error("no handler found"));if(K.definition.type!==x.type)throw new Error(`Unexpected: Task of type [${K.definition.type}] cannot be resolved by provider of type [${x.type}].`);const N=await h.to(K,this._workspaceProvider,this._providedCustomExecutions2);if(!N)throw new Error("Unexpected: Task cannot be resolved.");const U=await x.provider.resolveTask(N,T.CancellationToken.None);if(!!U){this.checkDeprecation(U,x);const F=h.from(U,x.extension);if(!F)throw new Error("Unexpected: Task cannot be resolved.");if(U.definition!==N.definition)throw new Error("Unexpected: The resolved task definition must be the same object as the original task definition. The task definition cannot be changed.");return w.is(F.execution)&&await this.addCustomExecution(F,U,!0),await this.resolveTaskInternal(F)}}nextHandle(){return this._handleCounter++}async addCustomExecution(W,K,x){const N=await this._proxy.$createTaskId(W);!x&&!this._providedCustomExecutions2.has(N)&&this._notProvidedCustomExecutions.add(N),this._providedCustomExecutions2.set(N,K.execution)}async getTaskExecution(W,K){if(typeof W=="string"){const U=this._taskExecutionPromises.get(W);if(!U)throw new Error("Unexpected: The specified task is missing an execution");return U}let x=this._taskExecutionPromises.get(W.id);if(x)return x;const N=new Promise(async(U,F)=>{const O=K||await h.to(W.task,this._workspaceProvider,this._providedCustomExecutions2);O?U(new A(this,W.id,O)):F("Unexpected: Task does not exist.")});return this._taskExecutionPromises.set(W.id,N),N.then(U=>(this._taskExecutions.set(W.id,U),U),U=>Promise.reject(U))}checkDeprecation(W,K){W._deprecated&&this._deprecationService.report("Task.constructor",K.extension,"Use the Task constructor that takes a `scope` instead.")}customExecutionComplete(W){this._activeCustomExecutions2.get(W.id)&&this._activeCustomExecutions2.delete(W.id),this._notProvidedCustomExecutions.has(W.id)&&this._lastStartedTask!==W.id&&(this._providedCustomExecutions2.delete(W.id),this._notProvidedCustomExecutions.delete(W.id));let x=this._notProvidedCustomExecutions.values(),N=x.next();for(;!N.done;)!this._activeCustomExecutions2.has(N.value)&&this._lastStartedTask!==N.value&&(this._providedCustomExecutions2.delete(N.value),this._notProvidedCustomExecutions.delete(N.value)),N=x.next()}};M=Ve([$e(0,p.IExtHostRpcService),$e(1,f.IExtHostInitDataService),$e(2,I.IExtHostWorkspace),$e(3,y.IExtHostDocumentsAndEditors),$e(4,i.IExtHostConfiguration),$e(5,k.IExtHostTerminalService),$e(6,_.ILogService),$e(7,g.IExtHostApiDeprecationService)],M),e.ExtHostTaskBase=M;let z=class extends M{constructor(W,K,x,N,U,F,O,$){super(W,K,x,N,U,F,O,$);this.registerTaskSystem(m.Schemas.vscodeRemote,{scheme:m.Schemas.vscodeRemote,authority:"",platform:S.PlatformToString(0)})}async executeTask(W,K){if(!K.execution)throw new Error("Tasks to execute must include an execution");const x=h.from(K,W);if(x===void 0)throw new Error("Task is not valid");if(w.is(x.execution))await this.addCustomExecution(x,K,!1);else throw new u.NotSupportedError;const N=await this.getTaskExecution(await this._proxy.$getTaskExecution(x),K);return this._proxy.$executeTask(x).catch(U=>{throw new Error(U)}),N}provideTasksInternal(W,K,x,N){const U=[];if(N)for(let F of N){this.checkDeprecation(F,x),(!F.definition||!W[F.definition.type])&&this._logService.warn(`The task [${F.source}, ${F.name}] uses an undefined task type. The task will be ignored in the future.`);const O=h.from(F,x.extension);O&&w.is(O.execution)?(U.push(O),K.push(this.addCustomExecution(O,F,!0))):this._logService.warn("Only custom execution tasks supported.")}return{tasks:U,extension:x.extension}}async resolveTaskInternal(W){if(w.is(W.execution))return W;this._logService.warn("Only custom execution tasks supported.")}async $resolveVariables(W,K){return{process:void 0,variables:Object.create(null)}}$getDefaultShellAndArgs(){throw new Error("Not implemented")}async $jsonTasksSupported(){return!1}async $findExecutable(W,K,x){}};z=Ve([$e(0,p.IExtHostRpcService),$e(1,f.IExtHostInitDataService),$e(2,I.IExtHostWorkspace),$e(3,y.IExtHostDocumentsAndEditors),$e(4,i.IExtHostConfiguration),$e(5,k.IExtHostTerminalService),$e(6,_.ILogService),$e(7,g.IExtHostApiDeprecationService)],z),e.WorkerExtHostTask=z,e.IExtHostTask=l.createDecorator("IExtHostTask")});var nt=this&&this.__classPrivateFieldSet||function(Q,e,v){if(!e.has(Q))throw new TypeError("attempted to set private field on non-instance");return e.set(Q,v),v},ze=this&&this.__classPrivateFieldGet||function(Q,e){if(!e.has(Q))throw new TypeError("attempted to get private field on non-instance");return e.get(Q)},un=this&&this.__rest||function(Q,e){var v={};for(var D in Q)Object.prototype.hasOwnProperty.call(Q,D)&&e.indexOf(D)<0&&(v[D]=Q[D]);if(Q!=null&&typeof Object.getOwnPropertySymbols=="function")for(var R=0,D=Object.getOwnPropertySymbols(Q);R<D.length;R++)e.indexOf(D[R])<0&&Object.prototype.propertyIsEnumerable.call(Q,D[R])&&(v[D[R]]=Q[D[R]]);return v};define(ge[260],pe([0,1,12,19,21,3,70,5,23,16,2,28,6,40,14,20,8,33,223,213]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m,S,_,g,a){"use strict";var u,c;Object.defineProperty(e,"__esModule",{value:!0}),e.MirroredTestCollection=e.TestItemFilteredWrapper=e.ExtHostTesting=void 0;const t=(b,A)=>`${b}:${A.toString()}`;let r=class{constructor(A,L,M){this.documents=L,this.workspace=M,this.resultsChangedEmitter=new P.Emitter,this.providers=new Map,this.ownedTests=new g.OwnedTestCollection,this.testSubscriptions=new Map,this.onResultsChanged=this.resultsChangedEmitter.event,this.results=[],this.proxy=A.getProxy(p.MainContext.MainThreadTesting),this.workspaceObservers=new E(this.proxy),this.textDocumentObservers=new h(this.proxy,L)}registerTestProvider(A){const L=k.generateUuid();this.providers.set(L,A),this.proxy.$registerTestProvider(L);const M=[...this.testSubscriptions.keys()];return setTimeout(()=>{var z;for(const V of M)(z=this.testSubscriptions.get(V))===null||z===void 0||z.subscribeFn(L,A)},0),new S.Disposable(()=>{this.providers.delete(L),this.proxy.$unregisterTestProvider(L)})}createTextDocumentTestObserver(A){return this.textDocumentObservers.checkout(A.uri)}createWorkspaceTestObserver(A){return this.workspaceObservers.checkout(A.uri)}async runTests(A,L=R.CancellationToken.None){const M=z=>z.map(this.getInternalTestForReference,this).filter(i.isDefined).map(V=>({providerId:V.providerId,testId:V.item.extId}));await this.proxy.$runTests({exclude:A.exclude?M(A.exclude).map(z=>z.testId):void 0,tests:M(A.tests),debug:A.debug},L)}publishExtensionProvidedResults(A,L){this.proxy.$publishExtensionProvidedResults(m.TestResults.from(k.generateUuid(),A),L)}$publishTestResults(A){this.results=Object.freeze(A.map(L=>y.deepFreeze(m.TestResults.to(L))).concat(this.results).sort((L,M)=>M.completedAt-L.completedAt).slice(0,32)),this.resultsChangedEmitter.fire()}async $subscribeToTests(A,L){const M=T.URI.revive(L),z=t(A,M);if(!this.testSubscriptions.has(z)){let V;if(A===1){let N=this.documents.getDocument(M);if(!N){const U=new I.DisposableStore;N=await new Promise(F=>{U.add(D.disposableTimeout(()=>F(void 0),5e3)),U.add(this.documents.onDidAddDocuments(O=>{const $=O.find(q=>q.document.uri.toString()===M.toString());$&&F($)}))}).finally(()=>U.dispose())}if(N){const U=await this.workspace.getWorkspaceFolder2(M,!1);V=F=>F.createDocumentTestHierarchy?F.createDocumentTestHierarchy(N.document):this.createDefaultDocumentTestHierarchy(F,N.document,U)}}else{const N=await this.workspace.getWorkspaceFolder2(M,!1);N&&(V=U=>{var F;return(F=U.createWorkspaceTestHierarchy)===null||F===void 0?void 0:F.call(U,N)})}if(!!V){const W=(N,U)=>{var F;try{const O=V(U);if(!O)return;x.pushDiff([3,1]),K.add(O),x.addRoot(O.root,N),Promise.resolve(O.discoveredInitialTests).then(()=>x.pushDiff([3,-1])),O.onDidChangeTest($=>x.onItemChange($,N)),(F=O.onDidInvalidateTest)===null||F===void 0||F.call(O,$=>{const q=x.getTestByReference($);q?this.proxy.$retireTest(q.item.extId):console.warn("Received a TestProvider.onDidInvalidateTest for a test that does not currently exist.")})}catch(O){console.error(O)}},K=new I.DisposableStore,x=K.add(this.ownedTests.createForHierarchy(N=>this.proxy.$publishDiff(A,L,N)));for(const[N,U]of this.providers)W(N,U);x.pushDiff([4,-1]),this.testSubscriptions.set(z,{store:K,collection:x,subscribeFn:W})}}}$unsubscribeFromTests(A,L){var M;const z=T.URI.revive(L),V=t(A,z);(M=this.testSubscriptions.get(V))===null||M===void 0||M.store.dispose(),this.testSubscriptions.delete(V)}$acceptDiff(A,L,M){A===1?this.textDocumentObservers.acceptDiff(T.URI.revive(L),M):this.workspaceObservers.acceptDiff(T.URI.revive(L),M)}async $runTestsForProvider(A,L){const M=this.providers.get(A.providerId);if(!(!M||!M.runTests)){const z=A.ids.map(W=>{var K;return(K=this.ownedTests.getTestById(W))===null||K===void 0?void 0:K[1]}).filter(i.isDefined),V=A.excludeExtIds.map(W=>this.ownedTests.getTestById(W)).filter(i.isDefined).filter(([W,K])=>z.some(x=>W.comparePositions(x,K)===1));if(!!z.length)try{await M.runTests({setState:(W,K)=>{for(const[x,N]of V){const U=x.comparePositions(N,W.id);if(U===1||U===3)return}this.flushCollectionDiffs(),this.proxy.$updateTestStateInRun(A.runId,W.id,m.TestState.from(K))},tests:z.map(W=>s.unwrap(W.actual)),exclude:V.map(([,W])=>s.unwrap(W.actual)),debug:A.debug},L);for(const{collection:W}of this.testSubscriptions.values())W.flushDiff();return}catch(W){throw console.error(W),W}}}$lookupTest(A){const L=this.ownedTests.getTestById(A.testId);if(!L)return Promise.resolve(void 0);const M=L[1],{actual:z,previousChildren:V,previousEquals:W}=M,K=un(M,["actual","previousChildren","previousEquals"]);return Promise.resolve(K)}flushCollectionDiffs(){for(const{collection:A}of this.testSubscriptions.values())A.flushDiff()}getInternalTestForReference(A){var L,M;return(M=(L=this.workspaceObservers.getMirroredTestDataByReference(A))!==null&&L!==void 0?L:v.mapFind(this.testSubscriptions.values(),z=>z.collection.getTestByReference(A)))!==null&&M!==void 0?M:this.textDocumentObservers.getMirroredTestDataByReference(A)}createDefaultDocumentTestHierarchy(A,L,M){var z,V;if(!!M){const W=(z=A.createWorkspaceTestHierarchy)===null||z===void 0?void 0:z.call(A,M);if(!!W){const K=new P.Emitter;(V=W.onDidInvalidateTest)===null||V===void 0||V.call(W,N=>{const U=s.getWrapperForTestItem(N,L);U.hasNodeMatchingFilter&&K.fire(U)});const x=new P.Emitter;return W.onDidChangeTest(N=>{const U=s.getWrapperForTestItem(N,L);if(U.hasNodeMatchingFilter){if(U.reset(),U.hasNodeMatchingFilter){x.fire(U);return}x.fire(U.visibleParent);return}const O=U.visibleParent;U.reset(),!!U.hasNodeMatchingFilter&&(O.reset(),x.fire(O))}),{root:s.getWrapperForTestItem(W.root,L),dispose:()=>{x.dispose(),s.removeFilter(L)},discoveredInitialTests:W.discoveredInitialTests,onDidInvalidateTest:K.event,onDidChangeTest:x.event}}}}};r=Ve([$e(0,l.IExtHostRpcService),$e(1,f.IExtHostDocumentsAndEditors),$e(2,_.IExtHostWorkspace)],r),e.ExtHostTesting=r;class s{constructor(A,L,M){this.actual=A,this.filterDocument=L,this.parent=M,this.getWrappedChildren()}static removeFilter(A){this.wrapperMap.delete(A)}static getWrapperForTestItem(A,L,M){let z=this.wrapperMap.get(L);if(z==null?void 0:z.has(A))return z.get(A);z||(z=new WeakMap,this.wrapperMap.set(L,z));const V=new s(A,L,M);return z.set(A,V),V}static unwrap(A){return A instanceof s?A.actual:A}get id(){return this.actual.id}get label(){return this.actual.label}get debuggable(){return this.actual.debuggable}get description(){return this.actual.description}get location(){return this.actual.location}get runnable(){return this.actual.runnable}get children(){return this.getWrappedChildren().filter(A=>A.hasNodeMatchingFilter)}get visibleParent(){return this.hasNodeMatchingFilter?this:this.parent.visibleParent}get hasNodeMatchingFilter(){var A;return this.matchesFilter===void 0&&(this.matchesFilter=!this.parent||((A=this.actual.location)===null||A===void 0?void 0:A.uri.toString())===this.filterDocument.uri.toString()||this.getWrappedChildren().some(L=>L.hasNodeMatchingFilter)),this.matchesFilter}reset(){var A;this!==this.visibleParent&&((A=this.parent)===null||A===void 0||A.reset()),this.matchesFilter=void 0}getWrappedChildren(){var A;return((A=this.actual.children)===null||A===void 0?void 0:A.map(L=>s.getWrapperForTestItem(L,this.filterDocument,this)))||[]}}e.TestItemFilteredWrapper=s,s.wrapperMap=new WeakMap;class o extends a.IncrementalChangeCollector{constructor(A,L){super();this.collection=A,this.emitter=L,this.added=new Set,this.updated=new Set,this.removed=new Set,this.alreadyRemoved=new Set}get isEmpty(){return this.added.size===0&&this.removed.size===0&&this.updated.size===0}add(A){this.added.add(A)}update(A){Object.assign(A.revived,m.TestItem.toShallow(A.item)),this.added.has(A)||this.updated.add(A)}remove(A){if(this.added.has(A)){this.added.delete(A);return}if(this.updated.delete(A),A.parent&&this.alreadyRemoved.has(A.parent)){this.alreadyRemoved.add(A.item.extId);return}this.removed.add(A)}getChangeEvent(){const{collection:A,added:L,updated:M,removed:z}=this;return{get added(){return[...L].map(A.getPublicTestItem,A)},get updated(){return[...M].map(A.getPublicTestItem,A)},get removed(){return[...z].map(A.getPublicTestItem,A)},get commonChangeAncestor(){let V;const W=U=>{if(!!U){const F=new Array(U.depth+1);for(let O=U.depth;O>=0;O--){if(!U)return;F[U.depth]=U,U=U.parent?A.getMirroredTestDataById(U.parent):void 0}return F}},K=U=>{if(!(V&&V.length===0)){const F=W(U);if(!!F){if(!V){V=F;return}for(let O=V.length-1;O>=0;O--)V[O]!==F[O]&&V.pop()}}},x=U=>{if(!(V&&V.length===0))if(U.parent===null)V=[];else{const F=A.getMirroredTestDataById(U.parent);F&&K(F)}};for(const U of L)x(U);for(const U of M)K(U);for(const U of z)x(U);const N=V&&V[V.length-1];return N?A.getPublicTestItem(N):null}}}complete(){this.isEmpty||this.emitter.fire(this.getChangeEvent())}}class n extends a.AbstractIncrementalTestCollection{constructor(){super(...arguments);this.changeEmitter=new P.Emitter,this.onDidChangeTests=this.changeEmitter.event}get rootTestItems(){return this.getAllAsTestItem([...this.roots])}getAllAsTestItem(A){let L=[];for(const M of A){const z=this.items.get(M);z&&L.push(this.getPublicTestItem(z))}return L}getMirroredTestDataById(A){return this.items.get(A)}getMirroredTestDataByReference(A){return this.items.get(A.id)}createItem(A,L){return Object.assign(Object.assign({},A),{revived:m.TestItem.toShallow(A.item),depth:L?L.depth+1:0,children:new Set})}createChangeCollector(){return new o(this,this.changeEmitter)}getPublicTestItem(A){return A.wrapped||(A.wrapped=new d(A,this)),A.wrapped}}e.MirroredTestCollection=n;class d{constructor(A,L){u.set(this,void 0),c.set(this,void 0),nt(this,u,A),nt(this,c,L)}get id(){return ze(this,u).revived.id}get label(){return ze(this,u).revived.label}get description(){return ze(this,u).revived.description}get location(){return ze(this,u).revived.location}get runnable(){var A;return(A=ze(this,u).revived.runnable)!==null&&A!==void 0?A:!0}get debuggable(){var A;return(A=ze(this,u).revived.debuggable)!==null&&A!==void 0?A:!1}get children(){return ze(this,c).getAllAsTestItem(ze(this,u).children)}toJSON(){return{id:this.id,label:this.label,description:this.description,location:this.location,runnable:this.runnable,debuggable:this.debuggable,children:this.children.map(L=>L.toJSON()),providerId:ze(this,u).providerId,testId:this.id}}}u=new WeakMap,c=new WeakMap;class w{constructor(){this.resources=new Map}checkout(A){var L,M;const z=A.toString(),V=(L=this.resources.get(z))!==null&&L!==void 0?L:this.createObserverData(A);return(M=V.pendingDeletion)===null||M===void 0||M.dispose(),V.observers++,{onDidChangeTest:V.tests.onDidChangeTests,onDidDiscoverInitialTests:new P.Emitter().event,get tests(){return V.tests.rootTestItems},dispose:C.once(()=>{--V.observers||(V.pendingDeletion=this.eventuallyDispose(A))})}}getMirroredTestDataByReference(A){for(const{tests:L}of this.resources.values()){const M=L.getMirroredTestDataByReference(A);if(M)return M}}eventuallyDispose(A){return D.disposableTimeout(()=>this.unlisten(A),10*1e3)}createObserverData(A){const L=new n,M=this.listen(A,V=>L.apply(V)),z={observers:0,tests:L,listener:M};return this.resources.set(A.toString(),z),z}unlisten(A){var L;const M=A.toString(),z=this.resources.get(M);z&&(z.observers=-1,(L=z.pendingDeletion)===null||L===void 0||L.dispose(),z.listener.dispose(),this.resources.delete(M))}}class E extends w{constructor(A){super();this.proxy=A,this.diffListeners=new Map}acceptDiff(A,L){var M;(M=this.diffListeners.get(A.toString()))===null||M===void 0||M(L)}listen(A,L){this.proxy.$subscribeToDiffs(0,A);const M=A.toString();return this.diffListeners.set(M,L),new S.Disposable(()=>{this.proxy.$unsubscribeFromDiffs(0,A),this.diffListeners.delete(M)})}}class h extends w{constructor(A,L){super();this.proxy=A,this.documents=L,this.diffListeners=new Map}acceptDiff(A,L){var M;(M=this.diffListeners.get(A.toString()))===null||M===void 0||M(L)}listen(A,L){if(!this.documents.getDocument(A))return new S.Disposable(()=>{});const z=A.toString();return this.diffListeners.set(z,L),this.proxy.$subscribeToDiffs(1,A),new S.Disposable(()=>{this.proxy.$unsubscribeFromDiffs(1,A),this.diffListeners.delete(z)})}}}),define(ge[261],pe([0,1,12,55,34,77,22,13,7,25,10,16,2,137,170,84,61,215,259,32]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m,S,_,g,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.resolveResourcesForSearchIncludes=e.QueryBuilder=void 0;let u=class{constructor(E,h,b,A){this.configurationService=E,this.workspaceContextService=h,this.editorGroupsService=b,this.pathService=A}text(E,h,b={}){E=this.getContentPattern(E,b);const A=this.configurationService.getValue(),L=h&&h.some(z=>!this.configurationService.getValue({resource:z}).search.useRipgrep),M=this.commonQuery(h==null?void 0:h.map(S.toWorkspaceFolder),b);return Object.assign(Object.assign({},M),{type:2,contentPattern:E,previewOptions:b.previewOptions,maxFileSize:b.maxFileSize,usePCRE2:A.search.usePCRE2||L||!1,beforeContext:b.beforeContext,afterContext:b.afterContext,userDisabledExcludesAndIgnoreFiles:b.disregardExcludeSettings&&b.disregardIgnoreFiles})}getContentPattern(E,h){const b=this.configurationService.getValue();E.isRegExp&&(E.pattern=E.pattern.replace(/\r?\n/g,"\\n"));const A=Object.assign(Object.assign({},E),{wordSeparators:b.editor.wordSeparators});return this.isCaseSensitive(E,h)&&(A.isCaseSensitive=!0),this.isMultiline(E)&&(A.isMultiline=!0),A}file(E,h={}){const b=this.commonQuery(E,h);return Object.assign(Object.assign({},b),{type:1,filePattern:h.filePattern?h.filePattern.trim():h.filePattern,exists:h.exists,sortByScore:h.sortByScore,cacheKey:h.cacheKey})}handleIncludeExclude(E,h){return E?(E=Array.isArray(E)?E.map(o):o(E),h?this.parseSearchPaths(E):{pattern:t(...Array.isArray(E)?E:[E])}):{}}commonQuery(E=[],h={}){const b=this.handleIncludeExclude(h.includePattern,h.expandPatterns),A=this.handleIncludeExclude(h.excludePattern,h.expandPatterns),L=E.length>1,M=(b.searchPaths&&b.searchPaths.length?b.searchPaths.map(W=>this.getFolderQueryForSearchPath(W,h,A)):E.map(W=>this.getFolderQueryForRoot(W,h,A,L))).filter(W=>!!W),z={_reason:h._reason,folderQueries:M,usingSearchPaths:!!(b.searchPaths&&b.searchPaths.length),extraFileResources:h.extraFileResources,excludePattern:A.pattern,includePattern:b.pattern,onlyOpenEditors:h.onlyOpenEditors,maxResults:h.maxResults};if(h.onlyOpenEditors){const K=v.coalesce(v.flatten(this.editorGroupsService.groups.map(N=>N.editors.map(U=>U.resource)))).filter(N=>a.pathIncludedInQuery(z,N.fsPath)),x=this.commonQueryFromFileList(K);return Object.assign(Object.assign({},z),x)}const V=h.extraFileResources&&h.extraFileResources.filter(W=>a.pathIncludedInQuery(z,W.fsPath));return z.extraFileResources=V&&V.length?V:void 0,z}commonQueryFromFileList(E){const h=[],b=new C.ResourceMap,A={};let L=!1;return E.forEach(M=>{var z,V;if(M.scheme!==I.Schemas.walkThrough){const W=i.isAbsolutePath(M),K=M.scheme===I.Schemas.userData;if(W&&!K){const x=(V=(z=this.workspaceContextService.getWorkspaceFolder(M))===null||z===void 0?void 0:z.uri)!==null&&V!==void 0?V:M.with({path:y.dirname(M.fsPath)});let N=b.get(x);N||(L=!0,N={folder:x,includePattern:{}},h.push(N),b.set(x,N));const U=y.relative(x.fsPath,M.fsPath);k.assertIsDefined(N.includePattern)[U.replace(/\\/g,"/")]=!0}else M.fsPath&&(L=!0,A[M.fsPath]=!0)}}),{folderQueries:h,includePattern:A,usingSearchPaths:!0,excludePattern:L?void 0:{"**/*":!0}}}isCaseSensitive(E,h){if(h.isSmartCase){if(E.isRegExp){if(T.containsUppercaseCharacter(E.pattern,!0))return!0}else if(T.containsUppercaseCharacter(E.pattern))return!0}return!!E.isCaseSensitive}isMultiline(E){return E.isMultiline||E.isRegExp&&f.isMultilineRegexSource(E.pattern)||E.pattern.indexOf(`
`)>=0?!0:!!E.isMultiline}parseSearchPaths(E){const h=x=>y.isAbsolute(x)||/^\.\.?([\/\\]|$)/.test(x),A=(Array.isArray(E)?E:r(E)).map(x=>{const N=this.pathService.resolvedUserHome;return N?P.untildify(x,N.scheme===I.Schemas.file?N.fsPath:N.path):x}),L=D.groupBy(A,x=>h(x)?"searchPaths":"exprSegments"),M=(L.exprSegments||[]).map(x=>T.rtrim(x,"/")).map(x=>T.rtrim(x,"\\")).map(x=>(x[0]==="."&&(x="*"+x),s(x))),z={},V=this.expandSearchPathPatterns(L.searchPaths||[]);V&&V.length&&(z.searchPaths=V);const W=v.flatten(M),K=t(...W);return K&&(z.pattern=K),z}getExcludesForFolder(E,h){return h.disregardExcludeSettings?void 0:a.getExcludes(E,!h.disregardSearchExcludeSettings)}expandSearchPathPatterns(E){if(!E||!E.length)return[];const h=v.flatten(E.map(A=>{let{pathPortion:L,globPortion:M}=c(A);M&&(M=n(M));const z=this.expandOneSearchPath(L);return v.flatten(z.map(V=>this.resolveOneSearchPathPattern(V,M)))})),b=new Map;return h.forEach(A=>{const L=A.searchPath.toString(),M=b.get(L);M?A.pattern&&(M.pattern=M.pattern||{},M.pattern[A.pattern]=!0):b.set(L,{searchPath:A.searchPath,pattern:A.pattern?t(A.pattern):void 0})}),Array.from(b.values())}expandOneSearchPath(E){if(y.isAbsolute(E)){const h=this.workspaceContextService.getWorkspace().folders;return h[0]&&h[0].uri.scheme!==I.Schemas.file?[{searchPath:h[0].uri.with({path:E})}]:[{searchPath:p.URI.file(y.normalize(E))}]}if(this.workspaceContextService.getWorkbenchState()===2){const h=this.workspaceContextService.getWorkspace().folders[0].uri;if(E=o(E),E.startsWith("../")||E===".."){const A=y.posix.resolve(h.path,E);return[{searchPath:h.with({path:A})}]}const b=n(E);return[{searchPath:h,pattern:b}]}else{if(E==="./"||E===".\\")return[];{const h=E.match(/\.[\/\\]([^\/\\]+)(?:[\/\\](.+))?/);if(h){const b=h[1],A=this.workspaceContextService.getWorkspace().folders.filter(L=>L.name===b);if(A.length)return A.map(L=>{const M=h[2];return{searchPath:L.uri,pattern:M&&n(M)}});{const L=l.localize(0,null,b);throw new Error(L)}}}}return[]}resolveOneSearchPathPattern(E,h){const b=E.pattern&&h?`${E.pattern}/${h}`:E.pattern||h,A=[{searchPath:E.searchPath,pattern:b}];return b&&!b.endsWith("**")&&A.push({searchPath:E.searchPath,pattern:b+"/**"}),A}getFolderQueryForSearchPath(E,h,b){const A=this.getFolderQueryForRoot(S.toWorkspaceFolder(E.searchPath),h,b,!1);return A?Object.assign(Object.assign({},A),{includePattern:E.pattern}):null}getFolderQueryForRoot(E,h,b,A){let L;const M=p.URI.isUri(E)?E:E.uri;if(b.searchPaths){const x=b.searchPaths.filter(N=>i.isEqual(N.searchPath,M))[0];if(x&&!x.pattern)return null;x&&(L=x.pattern)}const z=this.configurationService.getValue({resource:M}),V=this.getExcludesForFolder(z,h),W=Object.assign(Object.assign({},V||{}),L||{}),K=p.URI.isUri(E)?i.basename(E):E.name;return{folder:M,folderName:A?K:void 0,excludePattern:Object.keys(W).length>0?W:void 0,fileEncoding:z.files&&z.files.encoding,disregardIgnoreFiles:typeof h.disregardIgnoreFiles=="boolean"?h.disregardIgnoreFiles:!z.search.useIgnoreFiles,disregardGlobalIgnoreFiles:typeof h.disregardGlobalIgnoreFiles=="boolean"?h.disregardGlobalIgnoreFiles:!z.search.useGlobalIgnoreFiles,ignoreSymlinks:typeof h.ignoreSymlinks=="boolean"?h.ignoreSymlinks:!z.search.followSymlinks}}};u=Ve([$e(0,m.IConfigurationService),$e(1,S.IWorkspaceContextService),$e(2,_.IEditorGroupsService),$e(3,g.IPathService)],u),e.QueryBuilder=u;function c(w){const E=w.match(/[\*\{\}\(\)\[\]\?]/);if(E){const h=E.index,b=w.substr(0,h).match(/[/|\\][^/\\]*$/);if(b){let A=w.substr(0,b.index);return A.match(/[/\\]/)||(A+="/"),{pathPortion:A,globPortion:w.substr((b.index||0)+1)}}}return{pathPortion:w}}function t(...w){return w.length?w.reduce((E,h)=>(E[h]=!0,E),Object.create(null)):void 0}function r(w){return R.splitGlobAware(w,",").map(E=>E.trim()).filter(E=>!!E.length)}function s(w){return[`**/${w}/**`,`**/${w}`].map(h=>h.replace(/\*\*\/\*\*/g,"**"))}function o(w){return w.replace(/\\/g,"/")}function n(w){return o(w).replace(/^\.\//,"").replace(/\/+$/g,"")}function d(w,E){w=v.distinct(w,A=>A.toString());const h=[],b=E.getWorkspace();return w&&w.forEach(A=>{let L;if(E.getWorkbenchState()===2)L=i.relativePath(b.folders[0].uri,A),L&&L!=="."&&(L="./"+L);else{const M=E.getWorkspaceFolder(A);if(M){const z=M.name;if(b.folders.filter(W=>W.name===z).length===1){const W=i.relativePath(M.uri,A);W===""?L=`./${M.name}`:L=`./${M.name}/${W}`}else L=A.fsPath}}L&&h.push(L)}),h}e.resolveResourcesForSearchIncludes=d}),define(ge[262],pe([0,1,25,2,21,15,4,261,32,61]),function(Q,e,v,D,R,P,C,I,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.checkGlobFileExists=e.checkActivateWorkspaceContainsExtension=void 0;const T=7e3;function k(m,S){const _=S.activationEvents;if(!_)return Promise.resolve(void 0);const g=[],a=[];for(const o of _)if(/^workspaceContains:/.test(o)){const n=o.substr("workspaceContains:".length);n.indexOf("*")>=0||n.indexOf("?")>=0||m.forceUsingSearch?a.push(n):g.push(n)}if(g.length===0&&a.length===0)return Promise.resolve(void 0);let u;const c=new Promise((o,n)=>{u=o}),t=o=>u({activationEvent:o}),r=Promise.all(g.map(o=>p(m,o,t))).then(()=>{}),s=f(m,S.identifier,a,t);return Promise.all([r,s]).then(()=>{u(void 0)}),c}e.checkActivateWorkspaceContainsExtension=k;async function p(m,S,_){for(const g of m.folders)if(await m.exists(v.joinPath(D.URI.revive(g),S))){_(`workspaceContains:${S}`);return}}async function f(m,S,_,g){if(_.length===0)return Promise.resolve(void 0);const a=new R.CancellationTokenSource,u=m.checkExists(m.folders,_,a.token),c=setTimeout(async()=>{a.cancel(),g(`workspaceContainsTimeout:${_.join(",")}`)},T);let t=!1;try{t=await u}catch(r){P.isPromiseCanceledError(r)||P.onUnexpectedError(r)}a.dispose(),clearTimeout(c),t&&g(`workspaceContains:${_.join(",")}`)}function l(m,S,_,g){const a=m.get(C.IInstantiationService),u=m.get(y.ISearchService),t=a.createInstance(I.QueryBuilder).file(S.map(r=>i.toWorkspaceFolder(D.URI.revive(r))),{_reason:"checkExists",includePattern:_,exists:!0});return u.fileSearch(t,g).then(r=>!!r.limitHit,r=>P.isPromiseCanceledError(r)?!1:Promise.reject(r))}e.checkGlobFileExists=l}),define(ge[43],pe([0,1,159,7,68,25,19,5,22,2,11,6,37,226,88,33,42,224,15,30,13,26,193,8,111,4,27,89,14,82,51,36,3,262,86,194]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m,S,_,g,a,u,c,t,r,s,o,n,d,w,E,h,b,A,L,M,z){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IExtHostExtensionService=e.AbstractExtHostExtensionService=e.IHostUtils=void 0,e.IHostUtils=o.createDecorator("IHostUtils");let V=class An extends I.Disposable{constructor(x,N,U,F,O,$,q,Z,ae,fe){super();this._onDidChangeRemoteConnectionData=this._register(new A.Emitter),this.onDidChangeRemoteConnectionData=this._onDidChangeRemoteConnectionData.event,this._hostUtils=N,this._extHostContext=U,this._initData=q,this._extHostWorkspace=F,this._extHostConfiguration=O,this._logService=$,this._extHostTunnelService=ae,this._extHostTerminalService=fe,this._disposables=new I.DisposableStore,this._mainThreadWorkspaceProxy=this._extHostContext.getProxy(k.MainContext.MainThreadWorkspace),this._mainThreadTelemetryProxy=this._extHostContext.getProxy(k.MainContext.MainThreadTelemetry),this._mainThreadExtensionsProxy=this._extHostContext.getProxy(k.MainContext.MainThreadExtensionService),this._almostReadyToRunExtensions=new C.Barrier,this._readyToStartExtensionHost=new C.Barrier,this._readyToRunExtensions=new C.Barrier,this._registry=new _.ExtensionDescriptionRegistry(this._initData.extensions),this._storage=new l.ExtHostStorage(this._extHostContext),this._secretState=new M.ExtHostSecretState(this._extHostContext),this._storagePath=Z,this._instaService=x.createChild(new E.ServiceCollection([l.IExtHostStorage,this._storage],[M.IExtHostSecretState,this._secretState]));const Te=new Set;this._initData.hostExtensions.forEach(Se=>Te.add(a.ExtensionIdentifier.toKey(Se))),this._activator=new f.ExtensionsActivator(this._registry,this._initData.resolvedExtensions,this._initData.hostExtensions,{onExtensionActivationError:(Se,Le)=>{this._mainThreadExtensionsProxy.$onExtensionActivationError(Se,Le)},actualActivateExtension:async(Se,Le)=>{if(Te.has(a.ExtensionIdentifier.toKey(Se)))return await this._mainThreadExtensionsProxy.$activateExtension(Se,Le),new f.HostExtension;const H=this._registry.getExtensionDescription(Se);return this._activateExtension(H,Le)}},this._logService),this._extensionPathIndex=null,this._resolvers=Object.create(null),this._started=!1,this._remoteConnectionData=this._initData.remote.connectionData}getRemoteConnectionData(){return this._remoteConnectionData}async initialize(){try{await this._beforeAlmostReadyToRunExtensions(),this._almostReadyToRunExtensions.open(),await this._extHostWorkspace.waitForInitializeCall(),R.mark("code/extHost/ready"),this._readyToStartExtensionHost.open(),this._initData.autoStart&&this._startExtensionHost()}catch(x){g.onUnexpectedError(x)}}async deactivateAll(){let x=[];try{x=this._registry.getAllExtensionDescriptions().map(O=>O.identifier).filter(O=>this.isActivated(O)).map(O=>this._deactivate(O))}catch(N){}await Promise.all(x)}isActivated(x){return this._readyToRunExtensions.isOpen()?this._activator.isActivated(x):!1}_activateByEvent(x,N){return this._activator.activateByEvent(x,N)}_activateById(x,N){return this._activator.activateById(x,N)}activateByIdWithErrors(x,N){return this._activateById(x,N).then(()=>{const U=this._activator.getActivatedExtension(x);if(U.activationFailed)return Promise.reject(U.activationFailedError)})}getExtensionRegistry(){return this._readyToRunExtensions.wait().then(x=>this._registry)}getExtensionExports(x){return this._readyToRunExtensions.isOpen()?this._activator.getActivatedExtension(x).exports:null}getExtensionPathIndex(){if(!this._extensionPathIndex){const x=y.TernarySearchTree.forPaths(),N=this._registry.getAllExtensionDescriptions().map(U=>{if(!!this._getEntryPoint(U))return this._hostUtils.realpath(U.extensionLocation.fsPath).then(F=>x.set(i.URI.file(F).fsPath,U))});this._extensionPathIndex=Promise.all(N).then(()=>x)}return this._extensionPathIndex}_deactivate(x){let N=Promise.resolve(void 0);if(!this._readyToRunExtensions.isOpen()||!this._activator.isActivated(x))return N;const U=this._activator.getActivatedExtension(x);if(!U)return N;try{typeof U.module.deactivate=="function"&&(N=Promise.resolve(U.module.deactivate()).then(void 0,F=>Promise.resolve(void 0)))}catch(F){}try{I.dispose(U.subscriptions)}catch(F){}return N}async _activateExtension(x,N){return this._initData.remote.isRemote?this._mainThreadExtensionsProxy.$onWillActivateExtension(x.identifier):await this._mainThreadExtensionsProxy.$onWillActivateExtension(x.identifier),this._doActivateExtension(x,N).then(U=>{const F=U.activationTimes;return this._mainThreadExtensionsProxy.$onDidActivateExtension(x.identifier,F.codeLoadingTime,F.activateCallTime,F.activateResolvedTime,N),this._logExtensionActivationTimes(x,N,"success",F),U},U=>{throw this._logExtensionActivationTimes(x,N,"failure"),U})}_logExtensionActivationTimes(x,N,U,F){const O=W(x,N);this._mainThreadTelemetryProxy.$publicLog2("extensionActivationTimes",Object.assign(Object.assign(Object.assign({},O),F||{}),{outcome:U}))}_doActivateExtension(x,N){const U=W(x,N);this._mainThreadTelemetryProxy.$publicLog2("activatePlugin",U);const F=this._getEntryPoint(x);if(!F)return Promise.resolve(new f.EmptyExtension(f.ExtensionActivationTimes.NONE));this._logService.info(`ExtensionService#_doActivateExtension ${x.identifier.value} ${JSON.stringify(N)}`),this._logService.flush();const O=new f.ExtensionActivationTimesBuilder(N.startup);return Promise.all([this._loadCommonJSModule(x.identifier,P.joinPath(x.extensionLocation,F),O),this._loadExtensionContext(x)]).then($=>(R.mark(`code/extHost/willActivateExtension/${x.identifier.value}`),An._callActivate(this._logService,x.identifier,$[0],$[1],O))).then($=>(R.mark(`code/extHost/didActivateExtension/${x.identifier.value}`),$))}_loadExtensionContext(x){const N=new t.ExtensionGlobalMemento(x,this._storage),U=new t.ExtensionMemento(x.identifier.value,!1,this._storage),F=new z.ExtensionSecrets(x,this._secretState),O=x.isUnderDevelopment?this._initData.environment.extensionTestsLocationURI?r.ExtensionMode.Test:r.ExtensionMode.Development:r.ExtensionMode.Production,$=Date.now()-new Date(this._initData.telemetryInfo.firstSessionDate).getTime();return this._logService.trace(`ExtensionService#loadExtensionContext ${x.identifier.value}`),Promise.all([N.whenReady,U.whenReady,this._storagePath.whenReady]).then(()=>{const q=this;return Object.freeze({globalState:N,workspaceState:U,secrets:F,subscriptions:[],get extensionUri(){return x.extensionLocation},get extensionPath(){return x.extensionLocation.fsPath},asAbsolutePath(Z){return D.join(x.extensionLocation.fsPath,Z)},get storagePath(){var Z;return(Z=q._storagePath.workspaceValue(x))===null||Z===void 0?void 0:Z.fsPath},get globalStoragePath(){return q._storagePath.globalValue(x).fsPath},get logPath(){return D.join(q._initData.logsLocation.fsPath,x.identifier.value)},get logUri(){return i.URI.joinPath(q._initData.logsLocation,x.identifier.value)},get storageUri(){return q._storagePath.workspaceValue(x)},get globalStorageUri(){return q._storagePath.globalValue(x)},get extensionMode(){return O},get extensionId(){return S.checkProposedApiEnabled(x),x.identifier.value},get extensionVersion(){return S.checkProposedApiEnabled(x),x.version},get extensionRuntime(){return S.checkProposedApiEnabled(x),q.extensionRuntime},get isNewInstall(){return S.checkProposedApiEnabled(x),isNaN($)?!1:$<1e3*60*60*24},get environmentVariableCollection(){return q._extHostTerminalService.getEnvironmentVariableCollection(x)}})})}static _callActivate(x,N,U,F,O){return U=U||{activate:void 0,deactivate:void 0},this._callActivateOptional(x,N,U,F,O).then($=>new f.ActivatedExtension(!1,null,O.build(),U,$,F.subscriptions))}static _callActivateOptional(x,N,U,F,O){if(typeof U.activate=="function")try{O.activateCallStart(),x.trace(`ExtensionService#_callActivateOptional ${N.value}`);const $=typeof global=="object"?global:self,q=U.activate.apply($,[F]);return O.activateCallStop(),O.activateResolveStart(),Promise.resolve(q).then(Z=>(O.activateResolveStop(),Z))}catch($){return Promise.reject($)}else return Promise.resolve(U)}_activateOneStartupFinished(x,N){this._activateById(x.identifier,{startup:!1,extensionId:x.identifier,activationEvent:N}).then(void 0,U=>{this._logService.error(U)})}_activateAllStartupFinished(){this._mainThreadExtensionsProxy.$setPerformanceMarks(R.getMarks());for(const x of this._registry.getAllExtensionDescriptions())if(x.activationEvents)for(const N of x.activationEvents)N==="onStartupFinished"&&this._activateOneStartupFinished(x,N)}_handleEagerExtensions(){const x=this._activateByEvent("*",!0).then(void 0,O=>{this._logService.error(O)});this._disposables.add(this._extHostWorkspace.onDidChangeWorkspace(O=>this._handleWorkspaceContainsEagerExtensions(O.added)));const N=this._extHostWorkspace.workspace?this._extHostWorkspace.workspace.folders:[],U=this._handleWorkspaceContainsEagerExtensions(N),F=Promise.all([x,U]).then(()=>{});return Promise.race([F,C.timeout(1e4)]).then(()=>{this._activateAllStartupFinished()}),F}_handleWorkspaceContainsEagerExtensions(x){return x.length===0?Promise.resolve(void 0):Promise.all(this._registry.getAllExtensionDescriptions().map(N=>this._handleWorkspaceContainsEagerExtension(x,N))).then(()=>{})}async _handleWorkspaceContainsEagerExtension(x,N){if(!this.isActivated(N.identifier)){const U=!this._initData.remote.isRemote&&!!this._initData.remote.authority,F={folders:x.map($=>$.uri),forceUsingSearch:U,exists:$=>this._hostUtils.exists($.fsPath),checkExists:($,q,Z)=>this._mainThreadWorkspaceProxy.$checkExists($,q,Z)},O=await L.checkActivateWorkspaceContainsExtension(F,N);if(!!O)return this._activateById(N.identifier,{startup:!0,extensionId:N.identifier,activationEvent:O.activationEvent}).then(void 0,$=>this._logService.error($))}}_handleExtensionTests(){return this._doHandleExtensionTests().then(void 0,x=>(console.error(x),Promise.reject(x)))}async _doHandleExtensionTests(){const{extensionDevelopmentLocationURI:x,extensionTestsLocationURI:N}=this._initData.environment;if(!(x&&N&&N.scheme===u.Schemas.file))return Promise.resolve(void 0);const U=P.originalFSPath(N);let F,O;try{F=await this._loadCommonJSModule(null,i.URI.file(U),new f.ExtensionActivationTimesBuilder(!1))}catch($){O=$}return F&&typeof F.run=="function"?new Promise(($,q)=>{const Z=(fe,Te)=>{fe?q(fe.toString()):$(void 0),this._testRunnerExit(fe||typeof Te=="number"&&Te>0?1:0)},ae=F.run(U,Z);ae&&ae.then&&ae.then(()=>{$(),this._testRunnerExit(0)}).catch(fe=>{q(fe.toString()),this._testRunnerExit(1)})}):(this._testRunnerExit(1),Promise.reject(new Error(O?O.toString():v.localize(0,null,U))))}_testRunnerExit(x){this._logService.info(`extension host terminating: test runner requested exit with code ${x}`),this._logService.flush();const N=this._mainThreadExtensionsProxy.$onExtensionHostExit(x),U=this._extHostContext.drain();Promise.race([Promise.all([N,U]),C.timeout(5e3)]).then(()=>{this._logService.info(`exiting with code ${x}`),this._logService.flush(),this._hostUtils.exit(x)})}_startExtensionHost(){if(this._started)throw new Error("Extension host is already started!");return this._started=!0,this._readyToStartExtensionHost.wait().then(()=>this._readyToRunExtensions.open()).then(()=>this._handleEagerExtensions()).then(()=>this._handleExtensionTests()).then(()=>{this._logService.info("eager extensions activated")})}registerRemoteAuthorityResolver(x,N){return this._resolvers[x]=N,I.toDisposable(()=>{delete this._resolvers[x]})}async $resolveAuthority(x,N){const U=x.indexOf("+");if(U===-1)throw new Error("Not an authority that can be resolved!");const F=x.substr(0,U);await this._almostReadyToRunExtensions.wait(),await this._activateByEvent(`onResolveRemoteAuthority:${F}`,!1);const O=this._resolvers[F];if(!O)return{type:"error",error:{code:s.RemoteAuthorityResolverErrorCode.NoResolverFound,message:`No remote extension installed to resolve ${F}.`,detail:void 0}};try{R.mark(`code/extHost/willResolveAuthority/${F}`);const $=await O.resolve(x,{resolveAttempt:N});R.mark(`code/extHost/didResolveAuthorityOK/${F}`),this._disposables.add(await this._extHostTunnelService.setTunnelExtensionFunctions(O));const q={authority:x,host:$.host,port:$.port,connectionToken:$.connectionToken},Z={extensionHostEnv:$.extensionHostEnv};return{type:"ok",value:{authority:q,options:Z,tunnelInformation:{environmentTunnels:$.environmentTunnels}}}}catch($){if(R.mark(`code/extHost/didResolveAuthorityError/${F}`),$ instanceof r.RemoteAuthorityResolverError)return{type:"error",error:{code:$._code,message:$._message,detail:$._detail}};throw $}}$startExtensionHost(x){return this._registry.keepOnly(x),this._startExtensionHost()}$activateByEvent(x,N){return N===1?this._activateByEvent(x,!1):this._readyToRunExtensions.wait().then(U=>this._activateByEvent(x,!1))}async $activate(x,N){return await this._readyToRunExtensions.wait(),this._registry.getExtensionDescription(x)?(await this._activateById(x,N),!0):!1}async $deltaExtensions(x,N){x.forEach(F=>F.extensionLocation=i.URI.revive(F.extensionLocation));const U=await this.getExtensionPathIndex();return await Promise.all(N.map(async F=>{const O=this._registry.getExtensionDescription(F);if(!!O){const $=await this._hostUtils.realpath(O.extensionLocation.fsPath);U.delete(i.URI.file($).fsPath)}})),await Promise.all(x.map(async F=>{const O=await this._hostUtils.realpath(F.extensionLocation.fsPath);U.set(i.URI.file(O).fsPath,F)})),this._registry.deltaExtensions(x,N),Promise.resolve(void 0)}async $test_latency(x){return x}async $test_up(x){return x.byteLength}async $test_down(x){let N=c.VSBuffer.alloc(x),U=Math.random()%256;for(let F=0;F<x;F++)N.writeUInt8(U,F);return N}async $updateRemoteConnectionData(x){this._remoteConnectionData=x,this._onDidChangeRemoteConnectionData.fire()}};V=Ve([$e(0,o.IInstantiationService),$e(1,e.IHostUtils),$e(2,w.IExtHostRpcService),$e(3,m.IExtHostWorkspace),$e(4,p.IExtHostConfiguration),$e(5,T.ILogService),$e(6,n.IExtHostInitDataService),$e(7,d.IExtensionStoragePaths),$e(8,h.IExtHostTunnelService),$e(9,b.IExtHostTerminalService)],V),e.AbstractExtHostExtensionService=V;function W(K,x){return{id:K.identifier.value,name:K.name,extensionVersion:K.version,publisherDisplayName:K.publisher,activationEvents:K.activationEvents?K.activationEvents.join(","):null,isBuiltin:K.isBuiltin,reason:x.activationEvent,reasonId:x.extensionId.value}}e.IExtHostExtensionService=o.createDecorator("IExtHostExtensionService")}),define(ge[45],pe([0,1,7,2,3,19,6,8,116,33,43,40,214,37,198,14,4,16]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m,S,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.WorkerExtHostDebugService=e.ExtHostVariableResolverService=e.ExtHostDebugConsole=e.ExtHostDebugSession=e.ExtHostDebugServiceBase=e.IExtHostDebugService=void 0,e.IExtHostDebugService=S.createDecorator("IExtHostDebugService");let g=class{constructor(n,d,w,E,h){this._workspaceService=d,this._extensionService=w,this._editorsService=E,this._configurationService=h,this._debugSessions=new Map,this._configProviderHandleCounter=0,this._configProviders=[],this._adapterFactoryHandleCounter=0,this._adapterFactories=[],this._trackerFactoryHandleCounter=0,this._trackerFactories=[],this._debugAdapters=new Map,this._debugAdaptersTrackers=new Map,this._onDidStartDebugSession=new R.Emitter,this._onDidTerminateDebugSession=new R.Emitter,this._onDidChangeActiveDebugSession=new R.Emitter,this._onDidReceiveDebugSessionCustomEvent=new R.Emitter,this._debugServiceProxy=n.getProxy(C.MainContext.MainThreadDebugService),this._onDidChangeBreakpoints=new R.Emitter({onFirstListenerAdd:()=>{this.startBreakpoints()}}),this._activeDebugConsole=new u(this._debugServiceProxy),this._breakpoints=new Map,this._breakpointEventsActive=!1,this._extensionService.getExtensionRegistry().then(b=>{b.onDidChange(A=>{this.registerAllDebugTypes(b)}),this.registerAllDebugTypes(b)})}get onDidStartDebugSession(){return this._onDidStartDebugSession.event}get onDidTerminateDebugSession(){return this._onDidTerminateDebugSession.event}get onDidChangeActiveDebugSession(){return this._onDidChangeActiveDebugSession.event}get activeDebugSession(){return this._activeDebugSession}get onDidReceiveDebugSessionCustomEvent(){return this._onDidReceiveDebugSessionCustomEvent.event}get activeDebugConsole(){return this._activeDebugConsole.value}asDebugSourceUri(n,d){const w=n;if(typeof w.sourceReference=="number"&&w.sourceReference>0){let E=`debug:${encodeURIComponent(w.path||"")}`,h="?";return d&&(E+=`${h}session=${encodeURIComponent(d.id)}`,h="&"),E+=`${h}ref=${w.sourceReference}`,D.URI.parse(E)}else{if(w.path)return D.URI.file(w.path);throw new Error("cannot create uri from DAP 'source' object; properties 'path' and 'sourceReference' are both missing.")}}registerAllDebugTypes(n){const d=[];for(const w of n.getAllExtensionDescriptions())if(w.contributes){const E=w.contributes.debuggers;if(E&&E.length>0)for(const h of E)l.isDebuggerMainContribution(h)&&d.push(h.type)}this._debugServiceProxy.$registerDebugTypes(d)}get onDidChangeBreakpoints(){return this._onDidChangeBreakpoints.event}get breakpoints(){this.startBreakpoints();const n=[];return this._breakpoints.forEach(d=>n.push(d)),n}addBreakpoints(n){this.startBreakpoints();const d=n.filter(h=>{const b=h.id;return this._breakpoints.has(b)?!1:(this._breakpoints.set(b,h),!0)});this.fireBreakpointChanges(d,[],[]);const w=[],E=new Map;for(const h of d)if(h instanceof I.SourceBreakpoint){let b=E.get(h.location.uri.toString());b||(b={type:"sourceMulti",uri:h.location.uri,lines:[]},E.set(h.location.uri.toString(),b),w.push(b)),b.lines.push({id:h.id,enabled:h.enabled,condition:h.condition,hitCondition:h.hitCondition,logMessage:h.logMessage,line:h.location.range.start.line,character:h.location.range.start.character})}else h instanceof I.FunctionBreakpoint&&w.push({type:"function",id:h.id,enabled:h.enabled,hitCondition:h.hitCondition,logMessage:h.logMessage,condition:h.condition,functionName:h.functionName});return this._debugServiceProxy.$registerBreakpoints(w)}removeBreakpoints(n){this.startBreakpoints();const d=n.filter(b=>this._breakpoints.delete(b.id));this.fireBreakpointChanges([],d,[]);const w=d.filter(b=>b instanceof I.SourceBreakpoint).map(b=>b.id),E=d.filter(b=>b instanceof I.FunctionBreakpoint).map(b=>b.id),h=d.filter(b=>b instanceof I.DataBreakpoint).map(b=>b.id);return this._debugServiceProxy.$unregisterBreakpoints(w,E,h)}startDebugging(n,d,w){return this._debugServiceProxy.$startDebugging(n?n.uri:void 0,d,{parentSessionID:w.parentSession?w.parentSession.id:void 0,repl:w.consoleMode===I.DebugConsoleMode.MergeWithParent?"mergeWithParent":"separate",noDebug:w.noDebug,compact:w.compact})}stopDebugging(n){return this._debugServiceProxy.$stopDebugging(n?n.id:void 0)}registerDebugConfigurationProvider(n,d,w){if(!d)return new I.Disposable(()=>{});const E=this._configProviderHandleCounter++;return this._configProviders.push({type:n,handle:E,provider:d}),this._debugServiceProxy.$registerDebugConfigurationProvider(n,w,!!d.provideDebugConfigurations,!!d.resolveDebugConfiguration,!!d.resolveDebugConfigurationWithSubstitutedVariables,E),new I.Disposable(()=>{this._configProviders=this._configProviders.filter(h=>h.provider!==d),this._debugServiceProxy.$unregisterDebugConfigurationProvider(E)})}registerDebugAdapterDescriptorFactory(n,d,w){if(!w)return new I.Disposable(()=>{});if(!this.definesDebugType(n,d))throw new Error(`a DebugAdapterDescriptorFactory can only be registered from the extension that defines the '${d}' debugger.`);if(this.getAdapterDescriptorFactoryByType(d))throw new Error("a DebugAdapterDescriptorFactory can only be registered once per a type.");const E=this._adapterFactoryHandleCounter++;return this._adapterFactories.push({type:d,handle:E,factory:w}),this._debugServiceProxy.$registerDebugAdapterDescriptorFactory(d,E),new I.Disposable(()=>{this._adapterFactories=this._adapterFactories.filter(h=>h.factory!==w),this._debugServiceProxy.$unregisterDebugAdapterDescriptorFactory(E)})}registerDebugAdapterTrackerFactory(n,d){if(!d)return new I.Disposable(()=>{});const w=this._trackerFactoryHandleCounter++;return this._trackerFactories.push({type:n,handle:w,factory:d}),new I.Disposable(()=>{this._trackerFactories=this._trackerFactories.filter(E=>E.factory!==d)})}async $runInTerminal(n,d){return Promise.resolve(void 0)}async $substituteVariables(n,d){if(!this._variableResolver){const[h,b]=await Promise.all([this._workspaceService.getWorkspaceFolders2(),this._configurationService.getConfigProvider()]);this._variableResolver=this.createVariableResolver(h||[],this._editorsService,b)}let w;const E=await this.getFolder(n);return E&&(w={uri:E.uri,name:E.name,index:E.index,toResource:()=>{throw new Error("Not implemented")}}),this._variableResolver.resolveAny(w,d)}createDebugAdapter(n,d){if(n.type==="implementation")return new r(n.implementation)}createSignService(){}async $startDASession(n,d){const w=this,E=await this.getSession(d);return this.getAdapterDescriptor(this.getAdapterDescriptorFactoryByType(E.type),E).then(h=>{if(!h)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${E.type}' (extension might have failed to activate)`);const b=this.convertToDto(h),A=this.createDebugAdapter(b,E);if(!A)throw new Error(`Couldn't create a debug adapter for type '${E.type}'.`);const L=A;return this._debugAdapters.set(n,L),this.getDebugAdapterTrackers(E).then(M=>(M&&this._debugAdaptersTrackers.set(n,M),L.onMessage(async z=>{if(z.type==="request"&&z.command==="handshake"){const V=z,W={type:"response",seq:0,command:V.command,request_seq:V.seq,success:!0};this._signService||(this._signService=this.createSignService());try{if(this._signService){const K=await this._signService.sign(V.arguments.value);W.body={signature:K},L.sendResponse(W)}else throw new Error("no signer")}catch(K){W.success=!1,W.message=K.message,L.sendResponse(W)}}else M&&M.onDidSendMessage&&M.onDidSendMessage(z),z=l.convertToVSCPaths(z,!0),w._debugServiceProxy.$acceptDAMessage(n,z)}),L.onError(z=>{M&&M.onError&&M.onError(z),this._debugServiceProxy.$acceptDAError(n,z.name,z.message,z.stack)}),L.onExit(z=>{M&&M.onExit&&M.onExit(_.withNullAsUndefined(z),void 0),this._debugServiceProxy.$acceptDAExit(n,_.withNullAsUndefined(z),void 0)}),M&&M.onWillStartSession&&M.onWillStartSession(),L.startSession()))})}$sendDAMessage(n,d){d=l.convertToDAPaths(d,!1);const w=this._debugAdaptersTrackers.get(n);w&&w.onWillReceiveMessage&&w.onWillReceiveMessage(d);const E=this._debugAdapters.get(n);E&&E.sendMessage(d)}$stopDASession(n){const d=this._debugAdaptersTrackers.get(n);this._debugAdaptersTrackers.delete(n),d&&d.onWillStopSession&&d.onWillStopSession();const w=this._debugAdapters.get(n);return this._debugAdapters.delete(n),w?w.stopSession():Promise.resolve(void 0)}$acceptBreakpointsDelta(n){const d=[],w=[],E=[];if(n.added)for(const h of n.added){const b=h.id;if(b&&!this._breakpoints.has(b)){let A;if(h.type==="function")A=new I.FunctionBreakpoint(h.functionName,h.enabled,h.condition,h.hitCondition,h.logMessage);else if(h.type==="data")A=new I.DataBreakpoint(h.label,h.dataId,h.canPersist,h.enabled,h.hitCondition,h.condition,h.logMessage);else{const L=D.URI.revive(h.uri);A=new I.SourceBreakpoint(new I.Location(L,new I.Position(h.line,h.character)),h.enabled,h.condition,h.hitCondition,h.logMessage)}A._id=b,this._breakpoints.set(b,A),d.push(A)}}if(n.removed)for(const h of n.removed){const b=this._breakpoints.get(h);b&&(this._breakpoints.delete(h),w.push(b))}if(n.changed){for(const h of n.changed)if(h.id){const b=this._breakpoints.get(h.id);if(b){if(b instanceof I.FunctionBreakpoint&&h.type==="function"){const A=b;A.enabled=h.enabled,A.condition=h.condition,A.hitCondition=h.hitCondition,A.logMessage=h.logMessage,A.functionName=h.functionName}else if(b instanceof I.SourceBreakpoint&&h.type==="source"){const A=b;A.enabled=h.enabled,A.condition=h.condition,A.hitCondition=h.hitCondition,A.logMessage=h.logMessage,A.location=new I.Location(D.URI.revive(h.uri),new I.Position(h.line,h.character))}E.push(b)}}}this.fireBreakpointChanges(d,w,E)}$provideDebugConfigurations(n,d,w){return P.asPromise(async()=>{const E=this.getConfigProviderByHandle(n);if(!E)throw new Error("no DebugConfigurationProvider found");if(!E.provideDebugConfigurations)throw new Error("DebugConfigurationProvider has no method provideDebugConfigurations");const h=await this.getFolder(d);return E.provideDebugConfigurations(h,w)}).then(E=>{if(!E)throw new Error("nothing returned from DebugConfigurationProvider.provideDebugConfigurations");return E})}$resolveDebugConfiguration(n,d,w,E){return P.asPromise(async()=>{const h=this.getConfigProviderByHandle(n);if(!h)throw new Error("no DebugConfigurationProvider found");if(!h.resolveDebugConfiguration)throw new Error("DebugConfigurationProvider has no method resolveDebugConfiguration");const b=await this.getFolder(d);return h.resolveDebugConfiguration(b,w,E)})}$resolveDebugConfigurationWithSubstitutedVariables(n,d,w,E){return P.asPromise(async()=>{const h=this.getConfigProviderByHandle(n);if(!h)throw new Error("no DebugConfigurationProvider found");if(!h.resolveDebugConfigurationWithSubstitutedVariables)throw new Error("DebugConfigurationProvider has no method resolveDebugConfigurationWithSubstitutedVariables");const b=await this.getFolder(d);return h.resolveDebugConfigurationWithSubstitutedVariables(b,w,E)})}async $provideDebugAdapter(n,d){const w=this.getAdapterDescriptorFactoryByHandle(n);if(!w)return Promise.reject(new Error("no adapter descriptor factory found for handle"));const E=await this.getSession(d);return this.getAdapterDescriptor(w,E).then(h=>{if(!h)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${E.type}'`);return this.convertToDto(h)})}async $acceptDebugSessionStarted(n){const d=await this.getSession(n);this._onDidStartDebugSession.fire(d)}async $acceptDebugSessionTerminated(n){const d=await this.getSession(n);d&&(this._onDidTerminateDebugSession.fire(d),this._debugSessions.delete(d.id))}async $acceptDebugSessionActiveChanged(n){this._activeDebugSession=n?await this.getSession(n):void 0,this._onDidChangeActiveDebugSession.fire(this._activeDebugSession)}async $acceptDebugSessionNameChanged(n,d){const w=await this.getSession(n);w&&w._acceptNameChanged(d)}async $acceptDebugSessionCustomEvent(n,d){const E={session:await this.getSession(n),event:d.event,body:d.body};this._onDidReceiveDebugSessionCustomEvent.fire(E)}convertToDto(n){if(n instanceof I.DebugAdapterExecutable)return{type:"executable",command:n.command,args:n.args,options:n.options};if(n instanceof I.DebugAdapterServer)return{type:"server",port:n.port,host:n.host};if(n instanceof I.DebugAdapterNamedPipeServer)return{type:"pipeServer",path:n.path};if(n instanceof I.DebugAdapterInlineImplementation)return{type:"implementation",implementation:n.implementation};throw new Error("convertToDto unexpected type")}getAdapterDescriptorFactoryByType(n){const d=this._adapterFactories.filter(w=>w.type===n);if(d.length>0)return d[0].factory}getAdapterDescriptorFactoryByHandle(n){const d=this._adapterFactories.filter(w=>w.handle===n);if(d.length>0)return d[0].factory}getConfigProviderByHandle(n){const d=this._configProviders.filter(w=>w.handle===n);if(d.length>0)return d[0].provider}definesDebugType(n,d){if(n.contributes){const w=n.contributes.debuggers;if(w&&w.length>0){for(const E of w)if(E.label&&E.type&&E.type===d)return!0}}return!1}getDebugAdapterTrackers(n){const w=n.configuration.type,E=this._trackerFactories.filter(h=>h.type===w||h.type==="*").map(h=>P.asPromise(()=>h.factory.createDebugAdapterTracker(n)).then(b=>b,b=>null));return Promise.race([Promise.all(E).then(h=>{const b=h.filter(A=>!!A);if(b.length>0)return new t(b)}),new Promise((h,b)=>{const A=setTimeout(()=>{clearTimeout(A),b(new Error("timeout"))},1e3)})]).catch(h=>{})}async getAdapterDescriptor(n,d){const w=d.configuration.debugServer;if(typeof w=="number")return Promise.resolve(new I.DebugAdapterServer(w));if(n){const h=await this._extensionService.getExtensionRegistry();return P.asPromise(()=>n.createDebugAdapterDescriptor(d,this.daExecutableFromPackage(d,h))).then(b=>{if(b)return b})}const E=await this._extensionService.getExtensionRegistry();return Promise.resolve(this.daExecutableFromPackage(d,E))}daExecutableFromPackage(n,d){}startBreakpoints(){this._breakpointEventsActive||(this._breakpointEventsActive=!0,this._debugServiceProxy.$startBreakpointEvents())}fireBreakpointChanges(n,d,w){(n.length>0||d.length>0||w.length>0)&&this._onDidChangeBreakpoints.fire(Object.freeze({added:n,removed:d,changed:w}))}async getSession(n){if(n)if(typeof n=="string"){const d=this._debugSessions.get(n);if(d)return d}else{let d=this._debugSessions.get(n.id);if(!d){const w=await this.getFolder(n.folderUri);d=new a(this._debugServiceProxy,n.id,n.type,n.name,w,n.configuration),this._debugSessions.set(d.id,d),this._debugServiceProxy.$sessionCached(d.id)}return d}throw new Error("cannot find session")}getFolder(n){if(n){const d=D.URI.revive(n);return this._workspaceService.resolveWorkspaceFolder(d)}return Promise.resolve(void 0)}};g=Ve([$e(0,m.IExtHostRpcService),$e(1,i.IExtHostWorkspace),$e(2,T.IExtHostExtensionService),$e(3,k.IExtHostDocumentsAndEditors),$e(4,f.IExtHostConfiguration)],g),e.ExtHostDebugServiceBase=g;class a{constructor(n,d,w,E,h,b){this._debugServiceProxy=n,this._id=d,this._type=w,this._name=E,this._workspaceFolder=h,this._configuration=b}get id(){return this._id}get type(){return this._type}get name(){return this._name}set name(n){this._name=n,this._debugServiceProxy.$setDebugSessionName(this._id,n)}_acceptNameChanged(n){this._name=n}get workspaceFolder(){return this._workspaceFolder}get configuration(){return this._configuration}customRequest(n,d){return this._debugServiceProxy.$customDebugAdapterRequest(this._id,n,d)}getDebugProtocolBreakpoint(n){return this._debugServiceProxy.$getDebugProtocolBreakpoint(this._id,n.id)}}e.ExtHostDebugSession=a;class u{constructor(n){this.value=Object.freeze({append(d){n.$appendDebugConsole(d)},appendLine(d){this.append(d+`
`)}})}}e.ExtHostDebugConsole=u;class c extends p.AbstractVariableResolverService{constructor(n,d,w,E,h){super({getFolderUri:b=>{const A=n.filter(L=>L.name===b);if(A&&A.length>0)return A[0].uri},getWorkspaceFolderCount:()=>n.length,getConfigurationValue:(b,A)=>w.getConfiguration(void 0,b).get(A),getAppRoot:()=>E?E.VSCODE_CWD:void 0,getExecPath:()=>E?E.VSCODE_EXEC_PATH:void 0,getFilePath:()=>{if(d){const b=d.activeEditor();if(b)return v.normalize(b.document.uri.fsPath)}},getWorkspaceFolderPathForFile:()=>{if(d&&h){const b=d.activeEditor();if(b){const A=h.getWorkspaceFolder(b.document.uri);if(A)return v.normalize(A.uri.fsPath)}}},getSelectedText:()=>{if(d){const b=d.activeEditor();if(b&&!b.selection.isEmpty)return b.document.getText(b.selection)}},getLineNumber:()=>{if(d){const b=d.activeEditor();if(b)return String(b.selection.end.line+1)}}},void 0,E)}}e.ExtHostVariableResolverService=c;class t{constructor(n){this.trackers=n}onWillStartSession(){this.trackers.forEach(n=>n.onWillStartSession?n.onWillStartSession():void 0)}onWillReceiveMessage(n){this.trackers.forEach(d=>d.onWillReceiveMessage?d.onWillReceiveMessage(n):void 0)}onDidSendMessage(n){this.trackers.forEach(d=>d.onDidSendMessage?d.onDidSendMessage(n):void 0)}onWillStopSession(){this.trackers.forEach(n=>n.onWillStopSession?n.onWillStopSession():void 0)}onError(n){this.trackers.forEach(d=>d.onError?d.onError(n):void 0)}onExit(n,d){this.trackers.forEach(w=>w.onExit?w.onExit(n,d):void 0)}}class r extends y.AbstractDebugAdapter{constructor(n){super();this.implementation=n,n.onDidSendMessage(d=>{this.acceptMessage(d)})}startSession(){return Promise.resolve(void 0)}sendMessage(n){this.implementation.handleMessage(n)}stopSession(){return this.implementation.dispose(),Promise.resolve(void 0)}}let s=class extends g{constructor(n,d,w,E,h){super(n,d,w,E,h)}createVariableResolver(n,d,w){return new c(n,d,w)}};s=Ve([$e(0,m.IExtHostRpcService),$e(1,i.IExtHostWorkspace),$e(2,T.IExtHostExtensionService),$e(3,k.IExtHostDocumentsAndEditors),$e(4,f.IExtHostConfiguration)],s),e.WorkerExtHostDebugService=s}),define(ge[263],pe([0,1,68,2,6,37,42,30,14,27,4,43,38,11]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RequireInterceptor=void 0;let l=class{constructor(a,u,c,t,r,s,o){this._apiFactory=a,this._extensionRegistry=u,this._instaService=c,this._extHostConfiguration=t,this._extHostExtensionService=r,this._initData=s,this._logService=o,this._factories=new Map,this._alternatives=[]}async install(){this._installInterceptor(),v.mark("code/extHost/willWaitForConfig");const a=await this._extHostConfiguration.getConfigProvider();v.mark("code/extHost/didWaitForConfig");const u=await this._extHostExtensionService.getExtensionPathIndex();this.register(new m(this._apiFactory,u,this._extensionRegistry,a,this._logService)),this.register(this._instaService.createInstance(S)),this._initData.remote.isRemote&&this.register(this._instaService.createInstance(_,u,this._initData.environment.appUriScheme))}register(a){if(Array.isArray(a.nodeModuleName))for(let u of a.nodeModuleName)this._factories.set(u,a);else this._factories.set(a.nodeModuleName,a);typeof a.alternativeModuleName=="function"&&this._alternatives.push(u=>a.alternativeModuleName(u))}};l=Ve([$e(2,T.IInstantiationService),$e(3,P.IExtHostConfiguration),$e(4,k.IExtHostExtensionService),$e(5,i.IExtHostInitDataService),$e(6,f.ILogService)],l),e.RequireInterceptor=l;class m{constructor(a,u,c,t,r){this._apiFactory=a,this._extensionPaths=u,this._extensionRegistry=c,this._configProvider=t,this._logService=r,this.nodeModuleName="vscode",this._extApiImpl=new Map}load(a,u){const c=this._extensionPaths.findSubstr(u.fsPath);if(c){let t=this._extApiImpl.get(I.ExtensionIdentifier.toKey(c.identifier));return t||(t=this._apiFactory(c,this._extensionRegistry,this._configProvider),this._extApiImpl.set(I.ExtensionIdentifier.toKey(c.identifier),t)),t}if(!this._defaultApiImpl){let t="";this._extensionPaths.forEach((r,s)=>t+=`	${s} -> ${r.identifier.value}
`),this._logService.warn(`Could not identify extension for 'vscode' require call from ${u.fsPath}. These are the extension path mappings: 
${t}`),this._defaultApiImpl=this._apiFactory(C.nullExtensionDescription,this._extensionRegistry,this._configProvider)}return this._defaultApiImpl}}let S=class{constructor(a,u){this.nodeModuleName="keytar";const{environment:c}=u,t=a.getProxy(R.MainContext.MainThreadKeytar);if(c.appRoot){let r=c.appRoot.fsPath;p.platform==="win32"&&(r=r.replace(/\\/g,"/")),r[r.length-1]==="/"&&(r=r.substr(0,r.length-1)),this.alternativeNames=new Set,this.alternativeNames.add(`${r}/node_modules.asar/keytar`),this.alternativeNames.add(`${r}/node_modules/keytar`)}this._impl={getPassword:(r,s)=>t.$getPassword(r,s),setPassword:(r,s,o)=>t.$setPassword(r,s,o),deletePassword:(r,s)=>t.$deletePassword(r,s),findPassword:r=>t.$findPassword(r),findCredentials(r){return t.$findCredentials(r)}}}load(a,u){return this._impl}alternativeModuleName(a){const u=a.length;if(!(u<=7||!this.alternativeNames)){const c=u-7;if((a.charAt(c)==="/"||a.charAt(c)==="\\")&&a.endsWith("keytar")&&(a=a.replace(/\\/g,"/"),this.alternativeNames.has(a)))return"keytar"}}};S=Ve([$e(0,y.IExtHostRpcService),$e(1,i.IExtHostInitDataService)],S);let _=class{constructor(a,u,c){this._extensionPaths=a,this._appUriScheme=u,this.nodeModuleName=["open","opn"],this._mainThreadTelemetry=c.getProxy(R.MainContext.MainThreadTelemetry);const t=c.getProxy(R.MainContext.MainThreadWindow);this._impl=(r,s)=>{const o=D.URI.parse(r);return s?this.callOriginal(r,s):o.scheme==="http"||o.scheme==="https"?t.$openUri(o,r,{allowTunneling:!0}):o.scheme==="mailto"||o.scheme===this._appUriScheme?t.$openUri(o,r,{}):this.callOriginal(r,s)}}load(a,u,c){const t=this._extensionPaths.findSubstr(u.fsPath);return t&&(this._extensionId=t.identifier.value,this.sendShimmingTelemetry()),this._original=c(a),this._impl}callOriginal(a,u){return this.sendNoForwardTelemetry(),this._original(a,u)}sendShimmingTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open",{extension:this._extensionId})}sendNoForwardTelemetry(){!this._extensionId||this._mainThreadTelemetry.$publicLog2("shimming.open.call.noForward",{extension:this._extensionId})}};_=Ve([$e(2,y.IExtHostRpcService)],_)}),define(ge[264],pe([0,1,165,8,199,33,43,40,37,36,14,45,186,202,19]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostDebugService=void 0;let m=class extends k.ExtHostDebugServiceBase{constructor(g,a,u,c,t,r){super(g,a,u,c,t);this._terminalService=r,this._integratedTerminalInstances=new S}createDebugAdapter(g,a){switch(g.type){case"server":return new R.SocketDebugAdapter(g);case"pipeServer":return new R.NamedPipeDebugAdapter(g);case"executable":return new R.ExecutableDebugAdapter(g,a.type)}return super.createDebugAdapter(g,a)}daExecutableFromPackage(g,a){const u=R.ExecutableDebugAdapter.platformAdapterExecutable(a.getAllExtensionDescriptions(),g.type);if(u)return new D.DebugAdapterExecutable(u.command,u.args,u.options)}createSignService(){return new p.SignService}async $runInTerminal(g,a){if(g.kind==="integrated"){this._terminalDisposedListener||(this._terminalDisposedListener=this._terminalService.onDidCloseTerminal(h=>{this._integratedTerminalInstances.onTerminalClosed(h)}));const u=await this._configurationService.getConfigProvider(),c=this._terminalService.getDefaultShell(!0,u),t=this._terminalService.getDefaultShellArgs(!0,u),r=JSON.stringify({shell:c,shellArgs:t});let s=await this._integratedTerminalInstances.checkout(r),o,n=!1;if(s)o=g.cwd;else{const h={shellPath:c,shellArgs:t,cwd:g.cwd,name:g.title||v.localize(0,null)};n=!0,s=this._terminalService.createTerminalFromOptions(h,!0),this._integratedTerminalInstances.insert(s,r)}s.show(!0);const d=await s.processId;n&&await new Promise(h=>setTimeout(h,1e3));const w=f.prepareCommand(c,g.args,o,g.env);s.sendText(w,!0);const E=this.onDidTerminateDebugSession(h=>{h.id===a&&(this._integratedTerminalInstances.free(s),E.dispose())});return d}else if(g.kind==="external")return f.runInExternalTerminal(g,await this._configurationService.getConfigProvider());return super.$runInTerminal(g,a)}createVariableResolver(g,a,u){return new k.ExtHostVariableResolverService(g,a,u,process.env,this._workspaceService)}};m=Ve([$e(0,T.IExtHostRpcService),$e(1,P.IExtHostWorkspace),$e(2,C.IExtHostExtensionService),$e(3,I.IExtHostDocumentsAndEditors),$e(4,y.IExtHostConfiguration),$e(5,i.IExtHostTerminalService)],m),e.ExtHostDebugService=m;class S{constructor(){this._terminalInstances=new Map}async checkout(g){const u=[...this._terminalInstances.entries()].map(([c,t])=>l.createCancelablePromise(async r=>{if(t.lastUsedAt!==-1&&await f.hasChildProcesses(await c.processId))return null;const s=Date.now();return t.lastUsedAt+S.minUseDelay>s||r.isCancellationRequested||t.config!==g?null:(t.lastUsedAt=s,c)}));return await l.firstParallel(u,c=>!!c)}insert(g,a){this._terminalInstances.set(g,{lastUsedAt:Date.now(),config:a})}free(g){const a=this._terminalInstances.get(g);a&&(a.lastUsedAt=-1)}onTerminalClosed(g){this._terminalInstances.delete(g)}}S.minUseDelay=1e3}),define(ge[265],pe([0,1,7,2,79,33,45,40,37,36,14,27,67,13,11,64]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTask=void 0;let S=class extends p.ExtHostTaskBase{constructor(g,a,u,c,t,r,s,o){super(g,a,u,c,t,r,s,o);this.workspaceService=u,a.remote.isRemote&&a.remote.authority&&this.registerTaskSystem(f.Schemas.vscodeRemote,{scheme:f.Schemas.vscodeRemote,authority:a.remote.authority,platform:process.platform}),this._proxy.$registerSupportedExecutions(!0,!0,!0)}async executeTask(g,a){const u=a;if(!a.execution&&u._id===void 0)throw new Error("Tasks to execute must include an execution");if(u._id!==void 0){const c=p.TaskHandleDTO.from(u,this.workspaceService),t=await this._proxy.$getTaskExecution(c);if(t.task===void 0)throw new Error("Task from execution DTO is undefined");const r=await this.getTaskExecution(t,a);return this._proxy.$executeTask(c).catch(()=>{}),r}else{const c=p.TaskDTO.from(a,g);if(c===void 0)return Promise.reject(new Error("Task is not valid"));p.CustomExecutionDTO.is(c.execution)&&await this.addCustomExecution(c,a,!1);const t=await this.getTaskExecution(await this._proxy.$getTaskExecution(c),a);return this._proxy.$executeTask(c).catch(()=>{}),t}}provideTasksInternal(g,a,u,c){const t=[];if(c)for(let r of c){this.checkDeprecation(r,u),(!r.definition||!g[r.definition.type])&&this._logService.warn(`The task [${r.source}, ${r.name}] uses an undefined task type. The task will be ignored in the future.`);const s=p.TaskDTO.from(r,u.extension);s&&(t.push(s),p.CustomExecutionDTO.is(s.execution)&&a.push(this.addCustomExecution(s,r,!0)))}return{tasks:t,extension:u.extension}}async resolveTaskInternal(g){return g}async getVariableResolver(g){if(this._variableResolver===void 0){const a=await this._configurationService.getConfigProvider();this._variableResolver=new C.ExtHostVariableResolverService(g,this._editorService,a,process.env,this.workspaceService)}return this._variableResolver}async $resolveVariables(g,a){const u=D.URI.revive(g),c={process:void 0,variables:Object.create(null)},t=await this._workspaceProvider.resolveWorkspaceFolder(u),r=await this._workspaceProvider.getWorkspaceFolders2();if(!r||!t)throw new Error("Unexpected: Tasks can only be run in a workspace folder");const s=await this.getVariableResolver(r),o={uri:t.uri,name:t.name,index:t.index,toResource:()=>{throw new Error("Not implemented")}};for(let n of a.variables)c.variables[n]=s.resolve(o,n);if(a.process!==void 0){let n;if(a.process.path!==void 0){n=a.process.path.split(v.delimiter);for(let d=0;d<n.length;d++)n[d]=s.resolve(o,n[d])}c.process=await R.win32.findExecutable(s.resolve(o,a.process.name),a.process.cwd!==void 0?s.resolve(o,a.process.cwd):void 0,n)}return c}$getDefaultShellAndArgs(){return this._terminalService.$getDefaultShellAndArgs(!0)}async $jsonTasksSupported(){return!0}async $findExecutable(g,a,u){return R.win32.findExecutable(g,a,u)}};S=Ve([$e(0,T.IExtHostRpcService),$e(1,k.IExtHostInitDataService),$e(2,P.IExtHostWorkspace),$e(3,I.IExtHostDocumentsAndEditors),$e(4,y.IExtHostConfiguration),$e(5,i.IExtHostTerminalService),$e(6,l.ILogService),$e(7,m.IExtHostApiDeprecationService)],S),e.ExtHostTask=S}),define(ge[266],pe([0,1,39,2,9,210,37,11,188,33,45,40,211,212,36,14,207,27,16,146,28]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m,S,_,g,a,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostTerminalService=void 0;let c=class extends l.BaseExtHostTerminalService{constructor(r,s,o,n,d,w){super(!0,r);this._extHostConfiguration=s,this._extHostWorkspace=o,this._extHostDocumentsAndEditors=n,this._logService=d,this._extHostInitDataService=w,this._isWorkspaceShellAllowed=!1,a.getSystemShell(R.platform).then(E=>this._defaultShell=E),this._updateLastActiveWorkspace(),this._updateVariableResolver(),this._registerListeners()}createTerminal(r,s,o){const n=new l.ExtHostTerminal(this._proxy,u.generateUuid(),{name:r,shellPath:s,shellArgs:o},r);return this._terminals.push(n),n.create(s,o),n.value}createTerminalFromOptions(r,s){const o=new l.ExtHostTerminal(this._proxy,u.generateUuid(),r,r.name);return this._terminals.push(o),o.create(g.withNullAsUndefined(r.shellPath),g.withNullAsUndefined(r.shellArgs),g.withNullAsUndefined(r.cwd),g.withNullAsUndefined(r.env),void 0,g.withNullAsUndefined(r.strictEnv),g.withNullAsUndefined(r.hideFromUser),g.withNullAsUndefined(s)),o.value}getDefaultShell(r,s){var o;const n=d=>{const w=s.getConfiguration(d.substr(0,d.lastIndexOf("."))).inspect(d.substr(d.lastIndexOf(".")+1));return this._apiInspectConfigToPlain(w)};return P.getDefaultShell(n,this._isWorkspaceShellAllowed,(o=this._defaultShell)!==null&&o!==void 0?o:a.getSystemShellSync(R.platform),process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432"),process.env.windir,P.createVariableResolver(this._lastActiveWorkspace,this._variableResolver),this._logService,r)}getDefaultShellArgs(r,s){const o=n=>{const d=s.getConfiguration(n.substr(0,n.lastIndexOf("."))).inspect(n.substr(n.lastIndexOf(".")+1));return this._apiInspectConfigToPlain(d)};return P.getDefaultShellArgs(o,this._isWorkspaceShellAllowed,r,P.createVariableResolver(this._lastActiveWorkspace,this._variableResolver),this._logService)}_apiInspectConfigToPlain(r){return{userValue:r?r.globalValue:void 0,value:r?r.workspaceValue:void 0,defaultValue:r?r.defaultValue:void 0}}async _getNonInheritedEnv(){const r=await f.getMainProcessParentEnv();return r.VSCODE_IPC_HOOK_CLI=process.env.VSCODE_IPC_HOOK_CLI,r}_registerListeners(){this._extHostDocumentsAndEditors.onDidChangeActiveTextEditor(()=>this._updateLastActiveWorkspace()),this._extHostWorkspace.onDidChangeWorkspace(()=>this._updateVariableResolver())}_updateLastActiveWorkspace(){const r=this._extHostDocumentsAndEditors.activeEditor();r&&(this._lastActiveWorkspace=this._extHostWorkspace.getWorkspaceFolder(r.document.uri))}async _updateVariableResolver(){const r=await this._extHostConfiguration.getConfigProvider(),s=await this._extHostWorkspace.getWorkspaceFolders2();this._variableResolver=new T.ExtHostVariableResolverService(s||[],this._extHostDocumentsAndEditors,r,process.env)}async $spawnExtHostProcess(r,s,o,n,d,w){const E={name:s.name,executable:s.executable,args:s.args,cwd:typeof s.cwd=="string"?s.cwd:D.URI.revive(s.cwd),env:s.env,flowControl:s.flowControl},h=R.isWindows?"windows":R.isMacintosh?"osx":"linux",b=await this._extHostConfiguration.getConfigProvider();if(!E.executable)E.executable=this.getDefaultShell(!1,b),E.args=this.getDefaultShellArgs(!1,b);else if(this._variableResolver&&(E.executable=this._variableResolver.resolve(this._lastActiveWorkspace,E.executable),E.args))if(Array.isArray(E.args)){const O=[];for(const $ of E.args)O.push(this._variableResolver.resolve(this._lastActiveWorkspace,$));E.args=O}else E.args=this._variableResolver.resolve(this._lastActiveWorkspace,E.args);const A=D.URI.revive(o);let L;if(o&&A){const O=await this._extHostWorkspace.getWorkspaceFolder(A);O&&(L={uri:O.uri,name:O.name,index:O.index,toResource:()=>{throw new Error("Not implemented")}})}const M=b.getConfiguration("terminal.integrated"),z=P.getCwd(E,v.homedir(),P.createVariableResolver(L,this._variableResolver),A,M.cwd,this._logService);E.cwd=z;const V=this._apiInspectConfigToPlain(b.getConfiguration("terminal.integrated").inspect(`env.${h}`)),W=M.get("inheritEnv",!0)?process.env:await this._getNonInheritedEnv(),K=P.createVariableResolver(L,this._variableResolver),x=P.createTerminalEnvironment(E,V,K,w,this._extHostInitDataService.version,M.get("detectLocale","auto"),W);!E.strictEnv&&!E.hideFromUser&&new S.MergedEnvironmentVariableCollection(this._environmentVariableCollections).applyToProcessEnvironment(x,K),this._proxy.$sendResolvedLaunchConfig(r,E),this._logService.debug("Terminal process launching on ext host",{shellLaunchConfig:E,initialCwd:z,cols:n,rows:d,env:x});const N=!1,U=new y.TerminalProcess(E,z,n,d,x,process.env,N,this._logService);this._setupExtHostProcessListeners(r,U);const F=await U.start();if(F)return F}$getAvailableShells(){return p.detectAvailableShells()}async $getDefaultShellAndArgs(r){const s=await this._extHostConfiguration.getConfigProvider();return{shell:this.getDefaultShell(r,s),args:this.getDefaultShellArgs(r,s)}}$acceptWorkspacePermissionsChanged(r){this._isWorkspaceShellAllowed=r}};c=Ve([$e(0,m.IExtHostRpcService),$e(1,C.IExtHostConfiguration),$e(2,i.IExtHostWorkspace),$e(3,k.IExtHostDocumentsAndEditors),$e(4,I.ILogService),$e(5,_.IExtHostInitDataService)],c),e.ExtHostTerminalService=c}),define(ge[267],pe([0,1,19,15,68,5,2,6,257,11,80,82,27,181,14,63,43,36]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m,S,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtensionHostMain=void 0;class g{constructor(u,c,t,r){this._disposables=new P.DisposableStore,this._isTerminating=!1,this._hostUtils=t;const s=new y.RPCProtocol(u,null,r);c=g._transform(c,s);const o=new k.ServiceCollection(...T.getSingletonServiceDescriptors());o.set(p.IExtHostInitDataService,Object.assign({_serviceBrand:void 0},c)),o.set(l.IExtHostRpcService,new l.ExtHostRpcService(s)),o.set(m.IURITransformerService,new m.URITransformerService(r)),o.set(S.IHostUtils,t);const n=new f.InstantiationService(o,!0),d=n.invokeFunction(b=>b.get(_.IExtHostTerminalService));this._disposables.add(d),this._logService=n.invokeFunction(b=>b.get(i.ILogService)),R.mark("code/extHost/didCreateServices"),this._logService.info("extension host started"),this._logService.trace("initData",c),this._extensionService=n.invokeFunction(b=>b.get(S.IExtHostExtensionService)),this._extensionService.initialize(),Error.stackTraceLimit=100;const w=new WeakMap;this._extensionService.getExtensionPathIndex().then(b=>{Error.prepareStackTrace=(A,L)=>{let M="",z,V;for(const W of L)M+=`
	at ${W.toString()}`,V=W.getFileName(),!z&&V&&(z=b.findSubstr(V));return w.set(A,z),`${A.name||"Error"}: ${A.message||""}${M}`}});const E=s.getProxy(I.MainContext.MainThreadExtensionService),h=s.getProxy(I.MainContext.MainThreadErrors);D.setUnexpectedErrorHandler(b=>{const A=D.transformErrorForSerialization(b),L=w.get(b);L?E.$onExtensionRuntimeError(L.identifier,A):h.$onUnexpectedError(A)})}terminate(u){if(!this._isTerminating){this._isTerminating=!0,this._logService.info(`extension host terminating: ${u}`),this._logService.flush(),this._disposables.dispose(),D.setUnexpectedErrorHandler(t=>{});const c=this._extensionService.deactivateAll();setTimeout(()=>{Promise.race([v.timeout(4e3),c]).finally(()=>{this._logService.info("exiting with code 0"),this._logService.flush(),this._logService.dispose(),this._hostUtils.exit(0)})},1e3)}}static _transform(u,c){u.extensions.forEach(r=>r.extensionLocation=C.URI.revive(c.transformIncomingURIs(r.extensionLocation))),u.environment.appRoot=C.URI.revive(c.transformIncomingURIs(u.environment.appRoot));const t=u.environment.extensionDevelopmentLocationURI;return t&&(u.environment.extensionDevelopmentLocationURI=t.map(r=>C.URI.revive(c.transformIncomingURIs(r)))),u.environment.extensionTestsLocationURI=C.URI.revive(c.transformIncomingURIs(u.environment.extensionTestsLocationURI)),u.environment.globalStorageHome=C.URI.revive(c.transformIncomingURIs(u.environment.globalStorageHome)),u.environment.workspaceStorageHome=C.URI.revive(c.transformIncomingURIs(u.environment.workspaceStorageHome)),u.logsLocation=C.URI.revive(c.transformIncomingURIs(u.logsLocation)),u.logFile=C.URI.revive(c.transformIncomingURIs(u.logFile)),u.workspace=c.transformIncomingURIs(u.workspace),u}}e.ExtensionHostMain=g}),define(ge[268],pe([0,1,7,21,49,34,25,46,32,38]),function(Q,e,v,D,R,P,C,I,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.FileSearchManager=void 0;class T{constructor(f,l,m){this.config=f,this.provider=l,this.sessionToken=m,this.isLimitHit=!1,this.resultCount=0,this.isCanceled=!1,this.filePattern=f.filePattern,this.includePattern=f.includePattern&&P.parse(f.includePattern),this.maxResults=f.maxResults||void 0,this.exists=f.exists,this.activeCancellationTokens=new Set,this.globalExcludePattern=f.excludePattern&&P.parse(f.excludePattern)}cancel(){this.isCanceled=!0,this.activeCancellationTokens.forEach(f=>f.cancel()),this.activeCancellationTokens=new Set}search(f){const l=this.config.folderQueries||[];return new Promise((m,S)=>{const _=g=>{this.resultCount++,f(g)};if(this.isCanceled)return m({limitHit:this.isLimitHit});this.config.extraFileResources&&this.config.extraFileResources.forEach(g=>{const a=g.toString(),u=v.basename(a);this.globalExcludePattern&&this.globalExcludePattern(a,u)||this.matchFile(_,{base:g,basename:u})}),Promise.all(l.map(g=>this.searchInFolder(g,_))).then(g=>{m({limitHit:this.isLimitHit,stats:g[0]||void 0})},g=>{S(new Error(R.toErrorMessage(g)))})})}searchInFolder(f,l){const m=new D.CancellationTokenSource;return new Promise((S,_)=>{const g=this.getSearchOptionsForFolder(f),a=this.initDirectoryTree(),u=new y.QueryGlobTester(this.config,f),c=!u.hasSiblingExcludeClauses();let t;new Promise(r=>i.nextTick(r)).then(()=>(this.activeCancellationTokens.add(m),t=I.StopWatch.create(),this.provider.provideFileSearchResults({pattern:this.config.filePattern||""},g,m.token))).then(r=>{const s=t.elapsed(),o=I.StopWatch.create();return this.isCanceled&&!this.isLimitHit||(r&&r.forEach(n=>{const d=v.posix.relative(f.folder.path,n.path);if(c){const w=v.basename(n.path);this.matchFile(l,{base:f.folder,relativePath:d,basename:w});return}this.addDirectoryEntries(a,f.folder,d,l)}),this.activeCancellationTokens.delete(m),this.isCanceled&&!this.isLimitHit)?null:(this.matchDirectoryTree(a,u,l),{providerTime:s,postProcessTime:o.elapsed()})}).then(r=>{m.dispose(),S(r)},r=>{m.dispose(),_(r)})})}getSearchOptionsForFolder(f){const l=y.resolvePatternsForProvider(this.config.includePattern,f.includePattern),m=y.resolvePatternsForProvider(this.config.excludePattern,f.excludePattern);return{folder:f.folder,excludes:m,includes:l,useIgnoreFiles:!f.disregardIgnoreFiles,useGlobalIgnoreFiles:!f.disregardGlobalIgnoreFiles,followSymlinks:!f.ignoreSymlinks,maxResults:this.config.maxResults,session:this.sessionToken}}initDirectoryTree(){const f={rootEntries:[],pathToEntries:Object.create(null)};return f.pathToEntries["."]=f.rootEntries,f}addDirectoryEntries({pathToEntries:f},l,m,S){if(m===this.filePattern){const g=v.basename(this.filePattern);this.matchFile(S,{base:l,relativePath:this.filePattern,basename:g})}function _(g){const a=v.basename(g),u=v.dirname(g);let c=f[u];c||(c=f[u]=[],_(u)),c.push({base:l,relativePath:g,basename:a})}_(m)}matchDirectoryTree({rootEntries:f,pathToEntries:l},m,S){const _=this,g=this.filePattern;function a(u){const c=P.hasSiblingFn(()=>u.map(t=>t.basename));for(let t=0,r=u.length;t<r;t++){const s=u[t],{relativePath:o,basename:n}=s;if(!!m.includedInQuerySync(o,n,g!==n?c:void 0)){const d=l[o];if(d)a(d);else{if(o===g)continue;_.matchFile(S,s)}if(_.isLimitHit)break}}}a(f)}matchFile(f,l){(!this.includePattern||l.relativePath&&this.includePattern(l.relativePath,l.basename))&&((this.exists||this.maxResults&&this.resultCount>=this.maxResults)&&(this.isLimitHit=!0,this.cancel()),this.isLimitHit||f(l))}}class k{constructor(){this.sessions=new Map}fileSearch(f,l,m,S){const _=this.getSessionTokenSource(f.cacheKey),g=new T(f,l,_&&_.token);let a=0;const u=c=>{a+=c.length,m(c.map(t=>this.rawMatchToSearchItem(t)))};return this.doSearch(g,k.BATCH_SIZE,u,S).then(c=>({limitHit:c.limitHit,stats:{fromCache:!1,type:"fileSearchProvider",resultCount:a,detailStats:c.stats}}))}clearCache(f){const l=this.getSessionTokenSource(f);l&&l.cancel()}getSessionTokenSource(f){if(!!f)return this.sessions.has(f)||this.sessions.set(f,new D.CancellationTokenSource),this.sessions.get(f)}rawMatchToSearchItem(f){return f.relativePath?{resource:C.joinPath(f.base,f.relativePath)}:{resource:f.base}}doSearch(f,l,m,S){S.onCancellationRequested(()=>{f.cancel()});const _=a=>{a&&(g.push(a),l>0&&g.length>=l&&(m(g),g=[]))};let g=[];return f.search(_).then(a=>(g.length&&m(g),a),a=>(g.length&&m(g),Promise.reject(a)))}}e.FileSearchManager=k,k.BATCH_SIZE=512}),define(ge[123],pe([0,1]),function(Q,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Range=e.Position=void 0;class v{constructor(P,C){this.line=P,this.character=C}isBefore(P){return!1}isBeforeOrEqual(P){return!1}isAfter(P){return!1}isAfterOrEqual(P){return!1}isEqual(P){return!1}compareTo(P){return 0}translate(P,C){return new v(0,0)}with(P){return new v(0,0)}}e.Position=v;class D{constructor(P,C,I,y){this.isEmpty=!1,this.isSingleLine=!1,this.start=new v(P,C),this.end=new v(I,y)}contains(P){return!1}isEqual(P){return!1}intersection(P){}union(P){return new D(0,0,0,0)}with(P){return new D(0,0,0,0)}}e.Range=D}),define(ge[124],pe([0,1,7,12,21,49,25,34,2,32,38,13]),function(Q,e,v,D,R,P,C,I,y,i,T,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.BatchedCollector=e.extensionResultIsMatch=e.TextSearchResultsCollector=e.TextSearchManager=void 0;class p{constructor(a,u,c){this.query=a,this.provider=u,this.fileUtils=c,this.collector=null,this.isLimitHit=!1,this.resultCount=0}search(a,u){const c=this.query.folderQueries||[],t=new R.CancellationTokenSource;return u.onCancellationRequested(()=>t.cancel()),new Promise((r,s)=>{this.collector=new l(a);let o=!1;const n=(d,w)=>{if(!o&&!this.isLimitHit){const E=this.resultSize(d);S(d)&&typeof this.query.maxResults=="number"&&this.resultCount+E>this.query.maxResults&&(this.isLimitHit=!0,o=!0,t.cancel(),d=this.trimResultToSize(d,this.query.maxResults-this.resultCount));const h=this.resultSize(d);this.resultCount+=h,(h>0||!S(d))&&this.collector.add(d,w)}};Promise.all(c.map((d,w)=>this.searchInFolder(d,E=>n(E,w),t.token))).then(d=>{t.dispose(),this.collector.flush();const w=d.some(E=>!!E&&!!E.limitHit);r({limitHit:this.isLimitHit||w,stats:{type:"textSearchProvider"}})},d=>{t.dispose();const w=P.toErrorMessage(d);s(new Error(w))})})}resultSize(a){return S(a)?Array.isArray(a.ranges)?a.ranges.length:1:0}trimResultToSize(a,u){const c=Array.isArray(a.ranges)?a.ranges:[a.ranges],t=Array.isArray(a.preview.matches)?a.preview.matches:[a.preview.matches];return{ranges:c.slice(0,u),preview:{matches:t.slice(0,u),text:a.preview.text},uri:a.uri}}searchInFolder(a,u,c){const t=new i.QueryGlobTester(this.query,a),r=[],s={report:n=>{if(!!this.validateProviderResult(n)){const d=a.folder.scheme===k.Schemas.file?I.hasSiblingPromiseFn(()=>this.fileUtils.readdir(C.dirname(n.uri))):void 0,w=C.relativePath(a.folder,n.uri);w&&r.push(t.includedInQuery(w,v.basename(w),d).then(E=>{E&&u(n)}))}}},o=this.getSearchOptionsForFolder(a);return new Promise(n=>T.nextTick(n)).then(()=>this.provider.provideTextSearchResults(f(this.query.contentPattern),o,s,c)).then(n=>Promise.all(r).then(()=>n))}validateProviderResult(a){if(S(a)){if(Array.isArray(a.ranges)){if(!Array.isArray(a.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same type."),!1;if(a.preview.matches.length!==a.ranges.length)return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}else if(Array.isArray(a.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}return!0}getSearchOptionsForFolder(a){const u=i.resolvePatternsForProvider(this.query.includePattern,a.includePattern),c=i.resolvePatternsForProvider(this.query.excludePattern,a.excludePattern),t={folder:y.URI.from(a.folder),excludes:c,includes:u,useIgnoreFiles:!a.disregardIgnoreFiles,useGlobalIgnoreFiles:!a.disregardGlobalIgnoreFiles,followSymlinks:!a.ignoreSymlinks,encoding:a.fileEncoding&&this.fileUtils.toCanonicalName(a.fileEncoding),maxFileSize:this.query.maxFileSize,maxResults:this.query.maxResults,previewOptions:this.query.previewOptions,afterContext:this.query.afterContext,beforeContext:this.query.beforeContext};return t.usePCRE2=this.query.usePCRE2,t}}e.TextSearchManager=p;function f(g){return{isCaseSensitive:g.isCaseSensitive||!1,isRegExp:g.isRegExp||!1,isWordMatch:g.isWordMatch||!1,isMultiline:g.isMultiline||!1,pattern:g.pattern}}class l{constructor(a){this._onResult=a,this._currentFolderIdx=-1,this._currentFileMatch=null,this._batchedCollector=new _(512,u=>this.sendItems(u))}add(a,u){this._currentFileMatch&&(this._currentFolderIdx!==u||!C.isEqual(this._currentUri,a.uri))&&(this.pushToCollector(),this._currentFileMatch=null),this._currentFileMatch||(this._currentFolderIdx=u,this._currentFileMatch={resource:a.uri,results:[]}),this._currentFileMatch.results.push(m(a))}pushToCollector(){const a=this._currentFileMatch&&this._currentFileMatch.results?this._currentFileMatch.results.length:0;this._batchedCollector.addItem(this._currentFileMatch,a)}flush(){this.pushToCollector(),this._batchedCollector.flush()}sendItems(a){this._onResult(a)}}e.TextSearchResultsCollector=l;function m(g){return S(g)?{preview:{matches:D.mapArrayOrNot(g.preview.matches,a=>({startLineNumber:a.start.line,startColumn:a.start.character,endLineNumber:a.end.line,endColumn:a.end.character})),text:g.preview.text},ranges:D.mapArrayOrNot(g.ranges,a=>({startLineNumber:a.start.line,startColumn:a.start.character,endLineNumber:a.end.line,endColumn:a.end.character}))}:{text:g.text,lineNumber:g.lineNumber}}function S(g){return!!g.preview}e.extensionResultIsMatch=S;class _{constructor(a,u){this.maxBatchSize=a,this.cb=u,this.totalNumberCompleted=0,this.batch=[],this.batchSize=0}addItem(a,u){!a||this.addItemToBatch(a,u)}addItems(a,u){!a||this.addItemsToBatch(a,u)}addItemToBatch(a,u){this.batch.push(a),this.batchSize+=u,this.onUpdate()}addItemsToBatch(a,u){this.batch=this.batch.concat(a),this.batchSize+=u,this.onUpdate()}onUpdate(){this.totalNumberCompleted<_.START_BATCH_AFTER_COUNT?this.flush():this.batchSize>=this.maxBatchSize?this.flush():this.timeoutHandle||(this.timeoutHandle=setTimeout(()=>{this.flush()},_.TIMEOUT))}flush(){this.batchSize&&(this.totalNumberCompleted+=this.batchSize,this.cb(this.batch),this.batch=[],this.batchSize=0,this.timeoutHandle&&(clearTimeout(this.timeoutHandle),this.timeoutHandle=0))}}e.BatchedCollector=_,_.TIMEOUT=4e3,_.START_BATCH_AFTER_COUNT=50}),define(ge[69],pe([0,1,5,6,4,268,14,63,11,2,124]),function(Q,e,v,D,R,P,C,I,y,i,T){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.reviveQuery=e.ExtHostSearch=e.IExtHostSearch=void 0,e.IExtHostSearch=R.createDecorator("IExtHostSearch");let k=class{constructor(m,S,_){this.extHostRpc=m,this._uriTransformer=S,this._logService=_,this._proxy=this.extHostRpc.getProxy(D.MainContext.MainThreadSearch),this._handlePool=0,this._textSearchProvider=new Map,this._textSearchUsedSchemes=new Set,this._fileSearchProvider=new Map,this._fileSearchUsedSchemes=new Set,this._fileSearchManager=new P.FileSearchManager}_transformScheme(m){return this._uriTransformer.transformOutgoingScheme(m)}registerTextSearchProvider(m,S){if(this._textSearchUsedSchemes.has(m))throw new Error(`a text search provider for the scheme '${m}' is already registered`);this._textSearchUsedSchemes.add(m);const _=this._handlePool++;return this._textSearchProvider.set(_,S),this._proxy.$registerTextSearchProvider(_,this._transformScheme(m)),v.toDisposable(()=>{this._textSearchUsedSchemes.delete(m),this._textSearchProvider.delete(_),this._proxy.$unregisterProvider(_)})}registerFileSearchProvider(m,S){if(this._fileSearchUsedSchemes.has(m))throw new Error(`a file search provider for the scheme '${m}' is already registered`);this._fileSearchUsedSchemes.add(m);const _=this._handlePool++;return this._fileSearchProvider.set(_,S),this._proxy.$registerFileSearchProvider(_,this._transformScheme(m)),v.toDisposable(()=>{this._fileSearchUsedSchemes.delete(m),this._fileSearchProvider.delete(_),this._proxy.$unregisterProvider(_)})}$provideFileSearchResults(m,S,_,g){const a=p(_),u=this._fileSearchProvider.get(m);if(u)return this._fileSearchManager.fileSearch(a,u,c=>{this._proxy.$handleFileMatch(m,S,c.map(t=>t.resource))},g);throw new Error("unknown provider: "+m)}$clearCache(m){return this._fileSearchManager.clearCache(m),Promise.resolve(void 0)}$provideTextSearchResults(m,S,_,g){const a=this._textSearchProvider.get(m);if(!a||!a.provideTextSearchResults)throw new Error(`Unknown provider ${m}`);const u=p(_);return this.createTextSearchManager(u,a).search(t=>this._proxy.$handleTextMatch(m,S,t),g)}createTextSearchManager(m,S){return new T.TextSearchManager(m,S,{readdir:_=>Promise.resolve([]),toCanonicalName:_=>_})}};k=Ve([$e(0,C.IExtHostRpcService),$e(1,I.IURITransformerService),$e(2,y.ILogService)],k),e.ExtHostSearch=k;function p(l){return Object.assign(Object.assign({},l),{folderQueries:l.folderQueries&&l.folderQueries.map(f),extraFileResources:l.extraFileResources&&l.extraFileResources.map(m=>i.URI.revive(m))})}e.reviveQuery=p;function f(l){return Object.assign(Object.assign({},l),{folder:i.URI.revive(l.folder)})}});var nt=this&&this.__classPrivateFieldSet||function(Q,e,v){if(!e.has(Q))throw new TypeError("attempted to set private field on non-instance");return e.set(Q,v),v},ze=this&&this.__classPrivateFieldGet||function(Q,e){if(!e.has(Q))throw new TypeError("attempted to get private field on non-instance");return e.get(Q)};define(ge[269],pe([0,1,156,21,15,3,7,75,2,148,103,138,78,50,6,232,231,53,233,37,234,235,236,217,237,40,43,238,218,240,241,242,65,221,244,245,246,88,36,247,222,20,8,250,66,122,33,42,25,55,195,239,112,121,67,45,69,11,63,14,27,243,204,51,64,229,248,203,89,87,253,251,252,230,62,260,249,86,192]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m,S,_,g,a,u,c,t,r,s,o,n,d,w,E,h,b,A,L,M,z,V,W,K,x,N,U,F,O,$,q,Z,ae,fe,Te,Se,Le,H,Y,ie,oe,ve,ke,Me,_e,Pe,Re,Ue,Ee,Ke,X,ne,we,Ne,Be,We,Je,G,se,he,J,re,de,me){"use strict";var ye,je,He;Object.defineProperty(e,"__esModule",{value:!0}),e.createApiFactoryAndRegisterActors=void 0;function qe(Ze){const be=Ze.get(Pe.IExtHostInitDataService),De=Ze.get(he.IExtHostFileSystemInfo),ue=Ze.get(Be.IExtHostConsumerFileSystem),ee=Ze.get(n.IExtHostExtensionService),Fe=Ze.get(Z.IExtHostWorkspace),xe=Ze.get(a.IExtHostConfiguration),Ye=Ze.get(Me.IURITransformerService),Ae=Ze.get(_e.IExtHostRpcService),st=Ze.get(W.IExtHostStorage),rt=Ze.get(Ne.IExtensionStoragePaths),Xe=Ze.get(ke.ILogService),ct=Ze.get(Ee.IExtHostTunnelService),dt=Ze.get(Ke.IExtHostApiDeprecationService),ht=Ze.get(q.IExtHostWindow),_t=Ze.get(de.IExtHostSecretState);Ae.set(l.ExtHostContext.ExtHostFileSystemInfo,De),Ae.set(l.ExtHostContext.ExtHostLogService,Xe),Ae.set(l.ExtHostContext.ExtHostWorkspace,Fe),Ae.set(l.ExtHostContext.ExtHostConfiguration,xe),Ae.set(l.ExtHostContext.ExtHostExtensionService,ee),Ae.set(l.ExtHostContext.ExtHostStorage,st),Ae.set(l.ExtHostContext.ExtHostTunnelService,ct),Ae.set(l.ExtHostContext.ExtHostWindow,ht),Ae.set(l.ExtHostContext.ExtHostSecretState,_t);const Dt=Ae.set(l.ExtHostContext.ExtHostDecorations,Ze.get(Y.IExtHostDecorations)),yt=Ae.set(l.ExtHostContext.ExtHostDocumentsAndEditors,Ze.get(o.IExtHostDocumentsAndEditors)),gt=Ae.set(l.ExtHostContext.ExtHostCommands,Ze.get(_.IExtHostCommands)),mt=Ae.set(l.ExtHostContext.ExtHostTerminalService,Ze.get(K.IExtHostTerminalService)),ut=Ae.set(l.ExtHostContext.ExtHostDebugService,Ze.get(oe.IExtHostDebugService)),wt=Ae.set(l.ExtHostContext.ExtHostSearch,Ze.get(ve.IExtHostSearch)),vt=Ae.set(l.ExtHostContext.ExtHostTask,Ze.get(ie.IExtHostTask)),Rt=Ae.set(l.ExtHostContext.ExtHostOutputService,Ze.get(A.IExtHostOutputService)),Pt=Ae.set(l.ExtHostContext.ExtHostEditorTabs,new me.ExtHostEditorTabs),It=Ae.set(l.ExtHostContext.ExtHostUrls,new O.ExtHostUrls(Ae)),Et=Ae.set(l.ExtHostContext.ExtHostDocuments,new s.ExtHostDocuments(Ae,yt)),zt=Ae.set(l.ExtHostContext.ExtHostDocumentContentProviders,new t.ExtHostDocumentContentProvider(Ae,yt,Xe)),Vt=Ae.set(l.ExtHostContext.ExtHostDocumentSaveParticipant,new r.ExtHostDocumentSaveParticipant(Xe,Et,Ae.getProxy(l.MainContext.MainThreadBulkEdits))),at=Ae.set(l.ExtHostContext.ExtHostNotebook,new Re.ExtHostNotebookController(Ae,gt,yt,be.environment,Xe,rt)),St=Ae.set(l.ExtHostContext.ExtHostEditors,new x.ExtHostEditors(Ae,yt)),$t=Ae.set(l.ExtHostContext.ExtHostTreeViews,new N.ExtHostTreeViews(Ae.getProxy(l.MainContext.MainThreadTreeViews),gt,Xe)),dn=Ae.set(l.ExtHostContext.ExtHostEditorInsets,new Se.ExtHostEditorInsets(Ae.getProxy(l.MainContext.MainThreadEditorInsets),St,be.environment)),Lt=Ae.set(l.ExtHostContext.ExtHostDiagnostics,new u.ExtHostDiagnostics(Ae,Xe)),ot=Ae.set(l.ExtHostContext.ExtHostLanguageFeatures,new E.ExtHostLanguageFeatures(Ae,Ye,Et,gt,Lt,Xe,dt)),hn=Ae.set(l.ExtHostContext.ExtHostFileSystem,new d.ExtHostFileSystem(Ae,ot)),Tt=Ae.set(l.ExtHostContext.ExtHostFileSystemEventService,new w.ExtHostFileSystemEventService(Ae,Xe,yt)),Nt=Ae.set(l.ExtHostContext.ExtHostQuickOpen,M.createExtHostQuickOpen(Ae,Fe,gt)),en=Ae.set(l.ExtHostContext.ExtHostSCM,new z.ExtHostSCM(Ae,gt,Xe)),fn=Ae.set(l.ExtHostContext.ExtHostComments,new g.ExtHostComments(Ae,gt,Et)),Ht=Ae.set(l.ExtHostContext.ExtHostProgress,new L.ExtHostProgress(Ae.getProxy(l.MainContext.MainThreadProgress))),jt=Ae.set(l.ExtHostContext.ExtHosLabelService,new Le.ExtHostLabelService(Ae)),tn=Ae.set(l.ExtHostContext.ExtHostTheming,new Ue.ExtHostTheming(Ae)),Ft=Ae.set(l.ExtHostContext.ExtHostAuthentication,new X.ExtHostAuthentication(Ae)),mn=Ae.set(l.ExtHostContext.ExtHostTimeline,new ne.ExtHostTimeline(Ae,gt)),qt=Ae.set(l.ExtHostContext.ExtHostWebviews,new $.ExtHostWebviews(Ae,be.environment,Fe,Xe,dt)),Ot=Ae.set(l.ExtHostContext.ExtHostWebviewPanels,new G.ExtHostWebviewPanels(Ae,qt,Fe)),gn=Ae.set(l.ExtHostContext.ExtHostCustomEditors,new Je.ExtHostCustomEditors(Ae,Et,rt,qt,Ot)),pn=Ae.set(l.ExtHostContext.ExtHostWebviewViews,new We.ExtHostWebviewViews(Ae,qt)),kt=Ae.set(l.ExtHostContext.ExtHostTesting,new J.ExtHostTesting(Ae,yt,Fe)),vn=Ae.set(l.ExtHostContext.ExtHostUriOpeners,new re.ExtHostUriOpeners(Ae)),_n=Te.values(l.ExtHostContext);Ae.assertRegistered(_n);const Gt=new se.ExtHostBulkEdits(Ae,yt,at),Kt=new S.ExtHostClipboard(Ae),Ut=new b.ExtHostMessageService(Ae,Xe),nn=new c.ExtHostDialogs(Ae),rn=new V.ExtHostStatusBar(Ae,gt.converter),Xt=new h.ExtHostLanguages(Ae,Et);return m.ExtHostApiCommands.register(gt),function(Oe,Qt,Yt){const ft=function(){let te=!Oe.isUnderDevelopment;function le(Ce){te||(Xe.info(`Extension '${Oe.identifier.value}' uses a document selector without scheme. Learn more about this: https://go.microsoft.com/fwlink/?linkid=872305`),te=!0)}return function Ce(tt){if(Array.isArray(tt))tt.forEach(Ce);else if(typeof tt=="string")le(tt);else{const it=tt;typeof it.scheme=="undefined"&&le(tt),!Oe.enableProposedApi&&typeof it.exclusive=="boolean"&&ae.throwProposedApiError(Oe)}return tt}}(),wn={getSession(te,le,Ce){return Ft.getSession(Oe,te,le,Ce)},get onDidChangeSessions(){return Ft.onDidChangeSessions},registerAuthenticationProvider(te,le,Ce,tt){return Ft.registerAuthenticationProvider(te,le,Ce,tt)},get onDidChangeAuthenticationProviders(){return ae.checkProposedApiEnabled(Oe),Ft.onDidChangeAuthenticationProviders},get providers(){return ae.checkProposedApiEnabled(Oe),Ft.providers},logout(te,le){return ae.checkProposedApiEnabled(Oe),Ft.removeSession(te,le)}},bn={registerCommand(te,le,Ce){return gt.registerCommand(!0,te,le,Ce)},registerTextEditorCommand(te,le,Ce){return gt.registerCommand(!0,te,(...tt)=>{const it=St.getActiveTextEditor();if(!it){Xe.warn("Cannot execute "+te+" because there is no active text editor.");return}return it.edit(lt=>{le.apply(Ce,[it,lt,...tt])}).then(lt=>{lt||Xe.warn("Edits from command "+te+" were not applied.")},lt=>{Xe.warn("An error occurred while running command "+te,lt)})})},registerDiffInformationCommand:(te,le,Ce)=>(ae.checkProposedApiEnabled(Oe),gt.registerCommand(!0,te,async(...tt)=>{const it=yt.activeEditor(!0);if(!it){Xe.warn("Cannot execute "+te+" because there is no active text editor.");return}const lt=await St.getDiffInformation(it.id);le.apply(Ce,[lt,...tt])})),executeCommand(te,...le){return gt.executeCommand(te,...le)},getCommands(te=!1){return gt.getCommands(te)}},sn={get machineId(){return be.telemetryInfo.machineId},get sessionId(){return be.telemetryInfo.sessionId},get language(){return be.environment.appLanguage},get appName(){return be.environment.appName},get appRoot(){var te,le;return(le=(te=be.environment.appRoot)===null||te===void 0?void 0:te.fsPath)!==null&&le!==void 0?le:""},get uriScheme(){return be.environment.appUriScheme},get clipboard(){return Kt.value},get shell(){return mt.getDefaultShell(!1,Yt)},openExternal(te,le){return ht.openUri(te,{allowTunneling:!!be.remote.authority,allowContributedOpeners:le==null?void 0:le.allowContributedOpeners})},asExternalUri(te){return te.scheme===be.environment.appUriScheme?It.createAppUri(te):ht.asExternalUri(te,{allowTunneling:!!be.remote.authority})},get remoteName(){return H.getRemoteName(be.remote.authority)},get uiKind(){return be.uiKind}};be.environment.extensionTestsLocationURI||Object.freeze(sn);const on=be.remote.isRemote?F.ExtensionKind.Workspace:F.ExtensionKind.UI,En={registerTestProvider(te){return ae.checkProposedApiEnabled(Oe),kt.registerTestProvider(te)},createDocumentTestObserver(te){return ae.checkProposedApiEnabled(Oe),kt.createTextDocumentTestObserver(te)},createWorkspaceTestObserver(te){return ae.checkProposedApiEnabled(Oe),kt.createWorkspaceTestObserver(te)},runTests(te){return ae.checkProposedApiEnabled(Oe),kt.runTests(te)},publishTestResult(te,le=!0){return ae.checkProposedApiEnabled(Oe),kt.publishExtensionProvidedResults(te,le)},get onDidChangeTestResults(){return ae.checkProposedApiEnabled(Oe),kt.onResultsChanged},get testResults(){return ae.checkProposedApiEnabled(Oe),kt.results}},Sn={getExtension(te){const le=Qt.getExtensionDescription(te);if(le)return new Qe(ee,Oe.identifier,le,on)},get all(){return Qt.getAllExtensionDescriptions().map(te=>new Qe(ee,Oe.identifier,te,on))},get onDidChange(){return Qt.onDidChange}},yn={createDiagnosticCollection(te){return Lt.createDiagnosticCollection(Oe.identifier,te)},get onDidChangeDiagnostics(){return Lt.onDidChangeDiagnostics},getDiagnostics:te=>Lt.getDiagnostics(te),getLanguages(){return Xt.getLanguages()},setTextDocumentLanguage(te,le){return Xt.changeLanguage(te.uri,le)},match(te,le){return p.score(U.LanguageSelector.from(te),le.uri,le.languageId,!0)},registerCodeActionsProvider(te,le,Ce){return ot.registerCodeActionProvider(Oe,ft(te),le,Ce)},registerCodeLensProvider(te,le){return ot.registerCodeLensProvider(Oe,ft(te),le)},registerDefinitionProvider(te,le){return ot.registerDefinitionProvider(Oe,ft(te),le)},registerDeclarationProvider(te,le){return ot.registerDeclarationProvider(Oe,ft(te),le)},registerImplementationProvider(te,le){return ot.registerImplementationProvider(Oe,ft(te),le)},registerTypeDefinitionProvider(te,le){return ot.registerTypeDefinitionProvider(Oe,ft(te),le)},registerHoverProvider(te,le){return ot.registerHoverProvider(Oe,ft(te),le,Oe.identifier)},registerEvaluatableExpressionProvider(te,le){return ot.registerEvaluatableExpressionProvider(Oe,ft(te),le,Oe.identifier)},registerInlineValuesProvider(te,le){return ae.checkProposedApiEnabled(Oe),ot.registerInlineValuesProvider(Oe,ft(te),le,Oe.identifier)},registerDocumentHighlightProvider(te,le){return ot.registerDocumentHighlightProvider(Oe,ft(te),le)},registerLinkedEditingRangeProvider(te,le){return ot.registerLinkedEditingRangeProvider(Oe,ft(te),le)},registerReferenceProvider(te,le){return ot.registerReferenceProvider(Oe,ft(te),le)},registerRenameProvider(te,le){return ot.registerRenameProvider(Oe,ft(te),le)},registerDocumentSymbolProvider(te,le,Ce){return ot.registerDocumentSymbolProvider(Oe,ft(te),le,Ce)},registerWorkspaceSymbolProvider(te){return ot.registerWorkspaceSymbolProvider(Oe,te)},registerDocumentFormattingEditProvider(te,le){return ot.registerDocumentFormattingEditProvider(Oe,ft(te),le)},registerDocumentRangeFormattingEditProvider(te,le){return ot.registerDocumentRangeFormattingEditProvider(Oe,ft(te),le)},registerOnTypeFormattingEditProvider(te,le,Ce,...tt){return ot.registerOnTypeFormattingEditProvider(Oe,ft(te),le,[Ce].concat(tt))},registerDocumentSemanticTokensProvider(te,le,Ce){return ot.registerDocumentSemanticTokensProvider(Oe,ft(te),le,Ce)},registerDocumentRangeSemanticTokensProvider(te,le,Ce){return ot.registerDocumentRangeSemanticTokensProvider(Oe,ft(te),le,Ce)},registerSignatureHelpProvider(te,le,Ce,...tt){return typeof Ce=="object"?ot.registerSignatureHelpProvider(Oe,ft(te),le,Ce):ot.registerSignatureHelpProvider(Oe,ft(te),le,typeof Ce=="undefined"?[]:[Ce,...tt])},registerCompletionItemProvider(te,le,...Ce){return ot.registerCompletionItemProvider(Oe,ft(te),le,Ce)},registerDocumentLinkProvider(te,le){return ot.registerDocumentLinkProvider(Oe,ft(te),le)},registerColorProvider(te,le){return ot.registerColorProvider(Oe,ft(te),le)},registerFoldingRangeProvider(te,le){return ot.registerFoldingRangeProvider(Oe,ft(te),le)},registerSelectionRangeProvider(te,le){return ot.registerSelectionRangeProvider(Oe,te,le)},registerCallHierarchyProvider(te,le){return ot.registerCallHierarchyProvider(Oe,te,le)},setLanguageConfiguration:(te,le)=>ot.setLanguageConfiguration(Oe,te,le),getTokenInformationAtPosition(te,le){return ae.checkProposedApiEnabled(Oe),Xt.tokenAtPosition(te,le)},registerInlineHintsProvider(te,le){return ae.checkProposedApiEnabled(Oe),ot.registerInlineHintsProvider(Oe,te,le)}},Dn={get activeTextEditor(){return St.getActiveTextEditor()},get visibleTextEditors(){return St.getVisibleTextEditors()},get activeTerminal(){return mt.activeTerminal},get terminals(){return mt.terminals},async showTextDocument(te,le,Ce){const tt=await(y.URI.isUri(te)?Promise.resolve(j.openTextDocument(te)):Promise.resolve(te));return St.showTextDocument(tt,le,Ce)},createTextEditorDecorationType(te){return St.createTextEditorDecorationType(te)},onDidChangeActiveTextEditor(te,le,Ce){return St.onDidChangeActiveTextEditor(te,le,Ce)},onDidChangeVisibleTextEditors(te,le,Ce){return St.onDidChangeVisibleTextEditors(te,le,Ce)},onDidChangeTextEditorSelection(te,le,Ce){return St.onDidChangeTextEditorSelection(te,le,Ce)},onDidChangeTextEditorOptions(te,le,Ce){return St.onDidChangeTextEditorOptions(te,le,Ce)},onDidChangeTextEditorVisibleRanges(te,le,Ce){return St.onDidChangeTextEditorVisibleRanges(te,le,Ce)},onDidChangeTextEditorViewColumn(te,le,Ce){return St.onDidChangeTextEditorViewColumn(te,le,Ce)},onDidCloseTerminal(te,le,Ce){return mt.onDidCloseTerminal(te,le,Ce)},onDidOpenTerminal(te,le,Ce){return mt.onDidOpenTerminal(te,le,Ce)},onDidChangeActiveTerminal(te,le,Ce){return mt.onDidChangeActiveTerminal(te,le,Ce)},onDidChangeTerminalDimensions(te,le,Ce){return ae.checkProposedApiEnabled(Oe),mt.onDidChangeTerminalDimensions(te,le,Ce)},onDidWriteTerminalData(te,le,Ce){return ae.checkProposedApiEnabled(Oe),mt.onDidWriteTerminalData(te,le,Ce)},get state(){return ht.state},onDidChangeWindowState(te,le,Ce){return ht.onDidChangeWindowState(te,le,Ce)},showInformationMessage(te,...le){return Ut.showMessage(Oe,I.default.Info,te,le[0],le.slice(1))},showWarningMessage(te,...le){return Ut.showMessage(Oe,I.default.Warning,te,le[0],le.slice(1))},showErrorMessage(te,...le){return Ut.showMessage(Oe,I.default.Error,te,le[0],le.slice(1))},showQuickPick(te,le,Ce){return Nt.showQuickPick(te,!!Oe.enableProposedApi,le,Ce)},showWorkspaceFolderPick(te){return Nt.showWorkspaceFolderPick(te)},showInputBox(te,le){return Nt.showInput(te,le)},showOpenDialog(te){return nn.showOpenDialog(te)},showSaveDialog(te){return nn.showSaveDialog(te)},createStatusBarItem(te,le){let Ce,tt,it,lt;return te&&typeof te!="number"?(Ce=te.id,tt=te.name,it=te.alignment,le=te.priority,lt=te.accessibilityInformation):(Ce=Oe.identifier.value,tt=v.localize(0,null,Oe.displayName||Oe.name),it=te),rn.createStatusBarEntry(Ce,tt,it,le,lt)},setStatusBarMessage(te,le){return rn.setStatusBarMessage(te,le)},withScmProgress(te){return dt.report("window.withScmProgress",Oe,"Use 'withProgress' instead."),Ht.withProgress(Oe,{location:F.ProgressLocation.SourceControl},(le,Ce)=>te({report(tt){}}))},withProgress(te,le){return Ht.withProgress(Oe,te,le)},createOutputChannel(te){return Rt.createOutputChannel(te)},createWebviewPanel(te,le,Ce,tt){return Ot.createWebviewPanel(Oe,te,le,Ce,tt)},createWebviewTextEditorInset(te,le,Ce,tt){return ae.checkProposedApiEnabled(Oe),dn.createWebviewEditorInset(te,le,Ce,tt,Oe)},createTerminal(te,le,Ce){return typeof te=="object"?"pty"in te?mt.createExtensionTerminal(te):mt.createTerminalFromOptions(te):mt.createTerminal(te,le,Ce)},registerTerminalLinkProvider(te){return mt.registerLinkProvider(te)},registerTreeDataProvider(te,le){return $t.registerTreeDataProvider(te,le,Oe)},createTreeView(te,le){return $t.createTreeView(te,le,Oe)},registerWebviewPanelSerializer:(te,le)=>Ot.registerWebviewPanelSerializer(Oe,te,le),registerCustomEditorProvider:(te,le,Ce={})=>gn.registerCustomEditorProvider(Oe,te,le,Ce),registerFileDecorationProvider(te){return Dt.registerFileDecorationProvider(te,Oe.identifier)},registerUriHandler(te){return It.registerUriHandler(Oe.identifier,te)},createQuickPick(){return Nt.createQuickPick(Oe.identifier,!!Oe.enableProposedApi)},createInputBox(){return Nt.createInputBox(Oe.identifier)},get activeColorTheme(){return tn.activeColorTheme},onDidChangeActiveColorTheme(te,le,Ce){return tn.onDidChangeActiveColorTheme(te,le,Ce)},registerWebviewViewProvider(te,le,Ce){return pn.registerWebviewViewProvider(Oe,te,le,Ce==null?void 0:Ce.webviewOptions)},get activeNotebookEditor(){return ae.checkProposedApiEnabled(Oe),at.activeNotebookEditor},onDidChangeActiveNotebookEditor(te,le,Ce){return ae.checkProposedApiEnabled(Oe),at.onDidChangeActiveNotebookEditor(te,le,Ce)},get visibleNotebookEditors(){return ae.checkProposedApiEnabled(Oe),at.visibleNotebookEditors},get onDidChangeVisibleNotebookEditors(){return ae.checkProposedApiEnabled(Oe),at.onDidChangeVisibleNotebookEditors},onDidChangeNotebookEditorSelection(te,le,Ce){return ae.checkProposedApiEnabled(Oe),at.onDidChangeNotebookEditorSelection(te,le,Ce)},onDidChangeNotebookEditorVisibleRanges(te,le,Ce){return ae.checkProposedApiEnabled(Oe),at.onDidChangeNotebookEditorVisibleRanges(te,le,Ce)},showNotebookDocument(te,le){return ae.checkProposedApiEnabled(Oe),at.showNotebookDocument(te,le)},registerExternalUriOpener(te,le,Ce){return ae.checkProposedApiEnabled(Oe),vn.registerExternalUriOpener(Oe.identifier,te,le,Ce)},get openEditors(){return ae.checkProposedApiEnabled(Oe),Pt.tabs},get onDidChangeOpenEditors(){return ae.checkProposedApiEnabled(Oe),Pt.onDidChangeTabs}},j={get rootPath(){return dt.report("workspace.rootPath",Oe,"Please use 'workspace.workspaceFolders' instead. More details: https://aka.ms/vscode-eliminating-rootpath"),Fe.getPath()},set rootPath(te){throw R.readonly()},getWorkspaceFolder(te){return Fe.getWorkspaceFolder(te)},get workspaceFolders(){return Fe.getWorkspaceFolders()},get name(){return Fe.name},set name(te){throw R.readonly()},get workspaceFile(){return Fe.workspaceFile},set workspaceFile(te){throw R.readonly()},updateWorkspaceFolders:(te,le,...Ce)=>Fe.updateWorkspaceFolders(Oe,te,le||0,...Ce),onDidChangeWorkspaceFolders:function(te,le,Ce){return Fe.onDidChangeWorkspace(te,le,Ce)},asRelativePath:(te,le)=>Fe.getRelativePath(te,le),findFiles:(te,le,Ce,tt)=>Fe.findFiles(U.GlobPattern.from(te),U.GlobPattern.from(le),Ce,Oe.identifier,tt),findTextInFiles:(te,le,Ce,tt)=>{let it,lt;return typeof le=="object"?(it=le,lt=Ce):(it={},lt=le,tt=Ce),Fe.findTextInFiles(te,it||{},lt,Oe.identifier,tt)},saveAll:te=>Fe.saveAll(te),applyEdit(te){return Gt.applyWorkspaceEdit(te)},createFileSystemWatcher:(te,le,Ce,tt)=>Tt.createFileSystemWatcher(U.GlobPattern.from(te),le,Ce,tt),get textDocuments(){return Et.getAllDocumentData().map(te=>te.document)},set textDocuments(te){throw R.readonly()},openTextDocument(te){let le;const Ce=te;if(typeof te=="string")le=Promise.resolve(y.URI.file(te));else if(y.URI.isUri(te))le=Promise.resolve(te);else if(!Ce||typeof Ce=="object")le=Et.createDocumentData(Ce);else throw new Error("illegal argument - uriOrFileNameOrOptions");return le.then(tt=>Et.ensureDocumentData(tt).then(it=>it.document))},onDidOpenTextDocument:(te,le,Ce)=>Et.onDidAddDocument(te,le,Ce),onDidCloseTextDocument:(te,le,Ce)=>Et.onDidRemoveDocument(te,le,Ce),onDidChangeTextDocument:(te,le,Ce)=>Et.onDidChangeDocument(te,le,Ce),onDidSaveTextDocument:(te,le,Ce)=>Et.onDidSaveDocument(te,le,Ce),onWillSaveTextDocument:(te,le,Ce)=>Vt.getOnWillSaveTextDocumentEvent(Oe)(te,le,Ce),onDidChangeConfiguration:(te,le,Ce)=>Yt.onDidChangeConfiguration(te,le,Ce),getConfiguration(te,le){return le=arguments.length===1?void 0:le,Yt.getConfiguration(te,le,Oe)},registerTextDocumentContentProvider(te,le){return zt.registerTextDocumentContentProvider(te,le)},registerTaskProvider:(te,le)=>(dt.report("window.registerTaskProvider",Oe,"Use the corresponding function on the 'tasks' namespace instead"),vt.registerTaskProvider(Oe,te,le)),registerFileSystemProvider(te,le,Ce){return hn.registerFileSystemProvider(Oe.identifier,te,le,Ce)},get fs(){return ue.value},registerFileSearchProvider:(te,le)=>(ae.checkProposedApiEnabled(Oe),wt.registerFileSearchProvider(te,le)),registerTextSearchProvider:(te,le)=>(ae.checkProposedApiEnabled(Oe),wt.registerTextSearchProvider(te,le)),registerRemoteAuthorityResolver:(te,le)=>(ae.checkProposedApiEnabled(Oe),ee.registerRemoteAuthorityResolver(te,le)),registerResourceLabelFormatter:te=>(ae.checkProposedApiEnabled(Oe),jt.$registerResourceLabelFormatter(te)),onDidCreateFiles:(te,le,Ce)=>Tt.onDidCreateFile(te,le,Ce),onDidDeleteFiles:(te,le,Ce)=>Tt.onDidDeleteFile(te,le,Ce),onDidRenameFiles:(te,le,Ce)=>Tt.onDidRenameFile(te,le,Ce),onWillCreateFiles:(te,le,Ce)=>Tt.getOnWillCreateFileEvent(Oe)(te,le,Ce),onWillDeleteFiles:(te,le,Ce)=>Tt.getOnWillDeleteFileEvent(Oe)(te,le,Ce),onWillRenameFiles:(te,le,Ce)=>Tt.getOnWillRenameFileEvent(Oe)(te,le,Ce),openTunnel:te=>(ae.checkProposedApiEnabled(Oe),ct.openTunnel(Oe,te).then(le=>{if(!le)throw new Error("cannot open tunnel");return le})),get tunnels(){return ae.checkProposedApiEnabled(Oe),ct.getTunnels()},onDidChangeTunnels:(te,le,Ce)=>(ae.checkProposedApiEnabled(Oe),ct.onDidChangeTunnels(te,le,Ce)),registerTimelineProvider:(te,le)=>(ae.checkProposedApiEnabled(Oe),mn.registerTimelineProvider(te,le,Oe.identifier,gt.converter)),get trustState(){return ae.checkProposedApiEnabled(Oe),ae.checkRequiresWorkspaceTrust(Oe),Fe.trustState},requireWorkspaceTrust:te=>(ae.checkProposedApiEnabled(Oe),ae.checkRequiresWorkspaceTrust(Oe),Fe.requireWorkspaceTrust(te)),onDidChangeWorkspaceTrustState:(te,le,Ce)=>Fe.onDidChangeWorkspaceTrustState(te,le,Ce)},B={get inputBox(){return dt.report("scm.inputBox",Oe,"Use 'SourceControl.inputBox' instead"),en.getLastInputBox(Oe)},createSourceControl(te,le,Ce){return en.createSourceControl(Oe,te,le,Ce)}},ce={createCommentController(te,le){return fn.createCommentController(Oe,te,le)}},Ie={get activeDebugSession(){return ut.activeDebugSession},get activeDebugConsole(){return ut.activeDebugConsole},get breakpoints(){return ut.breakpoints},onDidStartDebugSession(te,le,Ce){return ut.onDidStartDebugSession(te,le,Ce)},onDidTerminateDebugSession(te,le,Ce){return ut.onDidTerminateDebugSession(te,le,Ce)},onDidChangeActiveDebugSession(te,le,Ce){return ut.onDidChangeActiveDebugSession(te,le,Ce)},onDidReceiveDebugSessionCustomEvent(te,le,Ce){return ut.onDidReceiveDebugSessionCustomEvent(te,le,Ce)},onDidChangeBreakpoints(te,le,Ce){return ut.onDidChangeBreakpoints(te,le,Ce)},registerDebugConfigurationProvider(te,le,Ce){return ut.registerDebugConfigurationProvider(te,le,Ce||F.DebugConfigurationProviderTriggerKind.Initial)},registerDebugAdapterDescriptorFactory(te,le){return ut.registerDebugAdapterDescriptorFactory(Oe,te,le)},registerDebugAdapterTrackerFactory(te,le){return ut.registerDebugAdapterTrackerFactory(te,le)},startDebugging(te,le,Ce){return!Ce||typeof Ce=="object"&&"configuration"in Ce?ut.startDebugging(te,le,{parentSession:Ce}):ut.startDebugging(te,le,Ce||{})},stopDebugging(te){return ut.stopDebugging(te)},addBreakpoints(te){return ut.addBreakpoints(te)},removeBreakpoints(te){return ut.removeBreakpoints(te)},asDebugSourceUri(te,le){return ut.asDebugSourceUri(te,le)}},Ge={registerTaskProvider:(te,le)=>vt.registerTaskProvider(Oe,te,le),fetchTasks:te=>vt.fetchTasks(te),executeTask:te=>vt.executeTask(Oe,te),get taskExecutions(){return vt.taskExecutions},onDidStartTask:(te,le,Ce)=>vt.onDidStartTask(te,le,Ce),onDidEndTask:(te,le,Ce)=>vt.onDidEndTask(te,le,Ce),onDidStartTaskProcess:(te,le,Ce)=>vt.onDidStartTaskProcess(te,le,Ce),onDidEndTaskProcess:(te,le,Ce)=>vt.onDidEndTaskProcess(te,le,Ce)},et={openNotebookDocument:(te,le)=>(ae.checkProposedApiEnabled(Oe),at.openNotebookDocument(te,le)),get onDidOpenNotebookDocument(){return ae.checkProposedApiEnabled(Oe),at.onDidOpenNotebookDocument},get onDidCloseNotebookDocument(){return ae.checkProposedApiEnabled(Oe),at.onDidCloseNotebookDocument},get onDidSaveNotebookDocument(){return ae.checkProposedApiEnabled(Oe),at.onDidSaveNotebookDocument},get notebookDocuments(){return ae.checkProposedApiEnabled(Oe),at.notebookDocuments.map(te=>te.notebookDocument)},get visibleNotebookEditors(){return ae.checkProposedApiEnabled(Oe),at.visibleNotebookEditors},get onDidChangeVisibleNotebookEditors(){return ae.checkProposedApiEnabled(Oe),at.onDidChangeVisibleNotebookEditors},get onDidChangeActiveNotebookKernel(){return ae.checkProposedApiEnabled(Oe),at.onDidChangeActiveNotebookKernel},registerNotebookContentProvider:(te,le,Ce)=>(ae.checkProposedApiEnabled(Oe),at.registerNotebookContentProvider(Oe,te,le,Ce)),registerNotebookKernelProvider:(te,le)=>(ae.checkProposedApiEnabled(Oe),at.registerNotebookKernelProvider(Oe,te,le)),createNotebookEditorDecorationType(te){return ae.checkProposedApiEnabled(Oe),at.createNotebookEditorDecorationType(te)},get activeNotebookEditor(){return ae.checkProposedApiEnabled(Oe),at.activeNotebookEditor},onDidChangeActiveNotebookEditor(te,le,Ce){return ae.checkProposedApiEnabled(Oe),at.onDidChangeActiveNotebookEditor(te,le,Ce)},onDidChangeNotebookDocumentMetadata(te,le,Ce){return ae.checkProposedApiEnabled(Oe),at.onDidChangeNotebookDocumentMetadata(te,le,Ce)},onDidChangeNotebookCells(te,le,Ce){return ae.checkProposedApiEnabled(Oe),at.onDidChangeNotebookCells(te,le,Ce)},onDidChangeNotebookEditorSelection(te,le,Ce){return ae.checkProposedApiEnabled(Oe),at.onDidChangeNotebookEditorSelection(te,le,Ce)},onDidChangeNotebookEditorVisibleRanges(te,le,Ce){return ae.checkProposedApiEnabled(Oe),at.onDidChangeNotebookEditorVisibleRanges(te,le,Ce)},onDidChangeCellOutputs(te,le,Ce){return ae.checkProposedApiEnabled(Oe),at.onDidChangeCellOutputs(te,le,Ce)},onDidChangeCellLanguage(te,le,Ce){return ae.checkProposedApiEnabled(Oe),at.onDidChangeCellLanguage(te,le,Ce)},onDidChangeCellMetadata(te,le,Ce){return ae.checkProposedApiEnabled(Oe),at.onDidChangeCellMetadata(te,le,Ce)},createConcatTextDocument(te,le){return ae.checkProposedApiEnabled(Oe),new we.ExtHostNotebookConcatDocument(at,Et,te,le)},createCellStatusBarItem(te,le,Ce){return ae.checkProposedApiEnabled(Oe),at.createNotebookCellStatusBarItemInternal(te,le,Ce)}};return{version:be.version,authentication:wn,commands:bn,comments:ce,debug:Ie,env:sn,extensions:Sn,languages:yn,notebook:et,scm:B,tasks:Ge,test:En,window:Dn,workspace:j,Breakpoint:F.Breakpoint,CallHierarchyIncomingCall:F.CallHierarchyIncomingCall,CallHierarchyItem:F.CallHierarchyItem,CallHierarchyOutgoingCall:F.CallHierarchyOutgoingCall,CancellationError:R.CancellationError,CancellationTokenSource:D.CancellationTokenSource,CandidatePortSource:l.CandidatePortSource,CodeAction:F.CodeAction,CodeActionKind:F.CodeActionKind,CodeActionTrigger:F.CodeActionTrigger,CodeLens:F.CodeLens,Color:F.Color,ColorInformation:F.ColorInformation,ColorPresentation:F.ColorPresentation,ColorThemeKind:F.ColorThemeKind,CommentMode:F.CommentMode,CommentThreadCollapsibleState:F.CommentThreadCollapsibleState,CompletionItem:F.CompletionItem,CompletionItemKind:F.CompletionItemKind,CompletionItemTag:F.CompletionItemTag,CompletionList:F.CompletionList,CompletionTriggerKind:F.CompletionTriggerKind,ConfigurationTarget:F.ConfigurationTarget,CustomExecution:F.CustomExecution,DebugAdapterExecutable:F.DebugAdapterExecutable,DebugAdapterInlineImplementation:F.DebugAdapterInlineImplementation,DebugAdapterNamedPipeServer:F.DebugAdapterNamedPipeServer,DebugAdapterServer:F.DebugAdapterServer,DebugConfigurationProviderTriggerKind:F.DebugConfigurationProviderTriggerKind,DebugConsoleMode:F.DebugConsoleMode,DecorationRangeBehavior:F.DecorationRangeBehavior,Diagnostic:F.Diagnostic,DiagnosticRelatedInformation:F.DiagnosticRelatedInformation,DiagnosticSeverity:F.DiagnosticSeverity,DiagnosticTag:F.DiagnosticTag,Disposable:F.Disposable,DocumentHighlight:F.DocumentHighlight,DocumentHighlightKind:F.DocumentHighlightKind,DocumentLink:F.DocumentLink,DocumentSymbol:F.DocumentSymbol,EndOfLine:F.EndOfLine,EnvironmentVariableMutatorType:F.EnvironmentVariableMutatorType,EvaluatableExpression:F.EvaluatableExpression,InlineValueText:F.InlineValueText,InlineValueVariableLookup:F.InlineValueVariableLookup,InlineValueEvaluatableExpression:F.InlineValueEvaluatableExpression,EventEmitter:P.Emitter,ExtensionKind:F.ExtensionKind,ExtensionMode:F.ExtensionMode,ExternalUriOpenerPriority:F.ExternalUriOpenerPriority,FileChangeType:F.FileChangeType,FileDecoration:F.FileDecoration,FileSystemError:F.FileSystemError,FileType:f.FileType,FoldingRange:F.FoldingRange,FoldingRangeKind:F.FoldingRangeKind,FunctionBreakpoint:F.FunctionBreakpoint,Hover:F.Hover,IndentAction:k.IndentAction,Location:F.Location,MarkdownString:F.MarkdownString,OverviewRulerLane:T.OverviewRulerLane,ParameterInformation:F.ParameterInformation,Position:F.Position,ProcessExecution:F.ProcessExecution,ProgressLocation:F.ProgressLocation,QuickInputButtons:F.QuickInputButtons,Range:F.Range,RelativePattern:F.RelativePattern,Selection:F.Selection,SelectionRange:F.SelectionRange,SemanticTokens:F.SemanticTokens,SemanticTokensBuilder:F.SemanticTokensBuilder,SemanticTokensEdit:F.SemanticTokensEdit,SemanticTokensEdits:F.SemanticTokensEdits,SemanticTokensLegend:F.SemanticTokensLegend,ShellExecution:F.ShellExecution,ShellQuoting:F.ShellQuoting,SignatureHelp:F.SignatureHelp,SignatureHelpTriggerKind:F.SignatureHelpTriggerKind,SignatureInformation:F.SignatureInformation,SnippetString:F.SnippetString,SourceBreakpoint:F.SourceBreakpoint,StandardTokenType:F.StandardTokenType,StatusBarAlignment:F.StatusBarAlignment,SymbolInformation:F.SymbolInformation,SymbolKind:F.SymbolKind,SymbolTag:F.SymbolTag,Task:F.Task,TaskGroup:F.TaskGroup,TaskPanelKind:F.TaskPanelKind,TaskRevealKind:F.TaskRevealKind,TaskScope:F.TaskScope,TextDocumentSaveReason:F.TextDocumentSaveReason,TextEdit:F.TextEdit,TextEditorCursorStyle:i.TextEditorCursorStyle,TextEditorLineNumbersStyle:F.TextEditorLineNumbersStyle,TextEditorRevealType:F.TextEditorRevealType,TextEditorSelectionChangeKind:F.TextEditorSelectionChangeKind,ThemeColor:F.ThemeColor,ThemeIcon:F.ThemeIcon,TreeItem:F.TreeItem,TreeItemCollapsibleState:F.TreeItemCollapsibleState,UIKind:l.UIKind,Uri:y.URI,ViewColumn:F.ViewColumn,WorkspaceEdit:F.WorkspaceEdit,get InlineHint(){return F.InlineHint},get InlineHintKind(){return F.InlineHintKind},get RemoteAuthorityResolverError(){return F.RemoteAuthorityResolverError},get ResolvedAuthority(){return F.ResolvedAuthority},get SourceControlInputBoxValidationType(){return F.SourceControlInputBoxValidationType},get ExtensionRuntime(){return F.ExtensionRuntime},get TimelineItem(){return F.TimelineItem},get NotebookCellRange(){return F.NotebookCellRange},get NotebookCellKind(){return F.NotebookCellKind},get NotebookCellRunState(){return F.NotebookCellRunState},get NotebookDocumentMetadata(){return F.NotebookDocumentMetadata},get NotebookCellMetadata(){return F.NotebookCellMetadata},get NotebookRunState(){return F.NotebookRunState},get NotebookCellStatusBarAlignment(){return F.NotebookCellStatusBarAlignment},get NotebookEditorRevealType(){return F.NotebookEditorRevealType},get NotebookCellOutput(){return F.NotebookCellOutput},get NotebookCellOutputItem(){return F.NotebookCellOutputItem},get LinkedEditingRanges(){return F.LinkedEditingRanges},get TestRunState(){return F.TestRunState},get TestMessageSeverity(){return F.TestMessageSeverity},get WorkspaceTrustState(){return F.WorkspaceTrustState}}}}e.createApiFactoryAndRegisterActors=qe;class Qe{constructor(be,De,ue,ee){ye.set(this,void 0),je.set(this,void 0),He.set(this,void 0),nt(this,ye,be),nt(this,je,De),nt(this,He,ue.identifier),this.id=ue.identifier.value,this.extensionUri=ue.extensionLocation,this.extensionPath=C.normalize(fe.originalFSPath(ue.extensionLocation)),this.packageJSON=ue,this.extensionKind=ee}get isActive(){return ze(this,ye).isActivated(ze(this,He))}get exports(){if(this.packageJSON.api!=="none")return ze(this,ye).getExtensionExports(ze(this,He))}activate(){return ze(this,ye).activateByIdWithErrors(ze(this,He),{startup:!1,extensionId:ze(this,je),activationEvent:"api"}).then(()=>this.exports)}}ye=new WeakMap,je=new WeakMap,He=new WeakMap}),define(ge[270],pe([0,1,80,65,33,121,37,53,40,36,67,45,69,89,88,51,64,122,87,62,86]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m,S,_,g,a,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),v.registerSingleton(f.IExtensionStoragePaths,f.ExtensionStoragePaths),v.registerSingleton(S.IExtHostApiDeprecationService,S.ExtHostApiDeprecationService),v.registerSingleton(I.IExtHostCommands,I.ExtHostCommands),v.registerSingleton(C.IExtHostConfiguration,C.ExtHostConfiguration),v.registerSingleton(g.IExtHostConsumerFileSystem,g.ExtHostConsumerFileSystem),v.registerSingleton(k.IExtHostDebugService,k.WorkerExtHostDebugService),v.registerSingleton(P.IExtHostDecorations,P.ExtHostDecorations),v.registerSingleton(y.IExtHostDocumentsAndEditors,y.ExtHostDocumentsAndEditors),v.registerSingleton(a.IExtHostFileSystemInfo,a.ExtHostFileSystemInfo),v.registerSingleton(D.IExtHostOutputService,D.ExtHostOutputService),v.registerSingleton(p.IExtHostSearch,p.ExtHostSearch),v.registerSingleton(l.IExtHostStorage,l.ExtHostStorage),v.registerSingleton(T.IExtHostTask,T.WorkerExtHostTask),v.registerSingleton(i.IExtHostTerminalService,i.WorkerExtHostTerminalService),v.registerSingleton(m.IExtHostTunnelService,m.ExtHostTunnelService),v.registerSingleton(_.IExtHostWindow,_.ExtHostWindow),v.registerSingleton(R.IExtHostWorkspace,R.ExtHostWorkspace),v.registerSingleton(u.IExtHostSecretState,u.ExtHostSecretState)}),define(ge[90],pe([0,1,12,11,32,123]),function(Q,e,v,D,R,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.OutputChannel=e.createTextSearchResult=e.anchorGlob=void 0;function C(k){return k.startsWith("**")||k.startsWith("/")?k:`/${k}`}e.anchorGlob=C;function I(k,p,f,l){const m=v.mapArrayOrNot(f,y),S=new R.TextSearchMatch(p,m,l),_=S.preview.matches;return{ranges:v.mapArrayOrNot(m,i),uri:k,preview:{text:S.preview.text,matches:v.mapArrayOrNot(_,i)}}}e.createTextSearchResult=I;function y(k){return new R.SearchRange(k.start.line,k.start.character,k.end.line,k.end.character)}function i(k){return new P.Range(k.startLineNumber,k.startColumn,k.endLineNumber,k.endColumn)}let T=class{constructor(p){this.logService=p}appendLine(p){this.logService.debug("RipgrepSearchEH#search",p)}};T=Ve([$e(0,D.ILogService)],T),e.OutputChannel=T}),define(ge[271],pe([0,1,92,26]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SUPPORTED_ENCODINGS=e.detectEncodingFromBuffer=e.toCanonicalName=e.detectEncodingByBOMFromBuffer=e.toNodeEncoding=e.encodingExists=e.toEncodeReadable=e.toDecodeStream=e.UTF8_BOM=e.UTF16le_BOM=e.UTF16be_BOM=e.isUTFEncoding=e.UTF16le=e.UTF16be=e.UTF8_with_bom=e.UTF8=void 0,e.UTF8="utf8",e.UTF8_with_bom="utf8bom",e.UTF16be="utf16be",e.UTF16le="utf16le";function R(t){return[e.UTF8,e.UTF8_with_bom,e.UTF16be,e.UTF16le].some(r=>r===t)}e.isUTFEncoding=R,e.UTF16be_BOM=[254,255],e.UTF16le_BOM=[255,254],e.UTF8_BOM=[239,187,191];const P=512,C=512,I=512*8,y=512*128;class i{constructor(r){this.iconvLiteDecoder=r}static async create(r){let s;if(r!==e.UTF8)s=(await new Promise((n,d)=>{Q(["iconv-lite-umd"],n,d)})).getDecoder(f(r));else{const o=new TextDecoder;s={write(n){return o.decode(n,{stream:!0})},end(){return o.decode()}}}return new i(s)}write(r){return this.iconvLiteDecoder.write(r)}end(){return this.iconvLiteDecoder.end()}}function T(t,r){var s;const o=((s=r.minBytesRequiredForDetection)!==null&&s!==void 0?s:r.guessEncoding)?I:C;return new Promise((n,d)=>{const w=v.newWriteableStream(L=>L.join("")),E=[];let h=0,b;const A=async()=>{try{const L=await c({buffer:D.VSBuffer.concat(E),bytesRead:h},r.guessEncoding);L.encoding=await r.overwriteEncoding(L.encoding),b=await i.create(L.encoding);const M=b.write(D.VSBuffer.concat(E).buffer);w.write(M),E.length=0,h=0,n({stream:w,detected:L})}catch(L){d(L)}};v.listenStream(t,{onData:async L=>{b?w.write(b.write(L.buffer)):(E.push(L),h+=L.byteLength,h>=o&&(t.pause(),await A(),setTimeout(()=>t.resume())))},onError:L=>w.error(L),onEnd:async()=>{b||await A(),w.end(b==null?void 0:b.end())}})})}e.toDecodeStream=T;async function k(t,r,s){const n=(await new Promise((E,h)=>{Q(["iconv-lite-umd"],E,h)})).getEncoder(f(r),s);let d=!1,w=!1;return{read(){if(w)return null;const E=t.read();if(typeof E!="string"){if(w=!0,!d&&(s==null?void 0:s.addBOM))switch(r){case e.UTF8:case e.UTF8_with_bom:return D.VSBuffer.wrap(Uint8Array.from(e.UTF8_BOM));case e.UTF16be:return D.VSBuffer.wrap(Uint8Array.from(e.UTF16be_BOM));case e.UTF16le:return D.VSBuffer.wrap(Uint8Array.from(e.UTF16le_BOM))}const h=n.end();return h&&h.length>0?(d=!0,D.VSBuffer.wrap(h)):null}return d=!0,D.VSBuffer.wrap(n.write(E))}}}e.toEncodeReadable=k;async function p(t){return(await new Promise((s,o)=>{Q(["iconv-lite-umd"],s,o)})).encodingExists(f(t))}e.encodingExists=p;function f(t){return t===e.UTF8_with_bom||t===null?e.UTF8:t}e.toNodeEncoding=f;function l(t,r){if(!t||r<e.UTF16be_BOM.length)return null;const s=t.readUInt8(0),o=t.readUInt8(1);if(s===e.UTF16be_BOM[0]&&o===e.UTF16be_BOM[1])return e.UTF16be;if(s===e.UTF16le_BOM[0]&&o===e.UTF16le_BOM[1])return e.UTF16le;if(r<e.UTF8_BOM.length)return null;const n=t.readUInt8(2);return s===e.UTF8_BOM[0]&&o===e.UTF8_BOM[1]&&n===e.UTF8_BOM[2]?e.UTF8_with_bom:null}e.detectEncodingByBOMFromBuffer=l;const m=["ascii","utf-16","utf-32"];async function S(t){const r=await new Promise((w,E)=>{Q(["jschardet"],w,E)}),s=t.slice(0,y),o=a(s.buffer),n=r.detect(o);if(!n||!n.encoding)return null;const d=n.encoding.toLowerCase();return 0<=m.indexOf(d)?null:g(n.encoding)}const _={ibm866:"cp866",big5:"cp950"};function g(t){const r=t.replace(/[^a-zA-Z0-9]/g,"").toLowerCase();return _[r]||r}function a(t){let r="";for(let s=0;s<t.length;s++)r+=String.fromCharCode(t[s]);return r}function u(t){switch(t){case"shiftjis":return"shift-jis";case"utf16le":return"utf-16le";case"utf16be":return"utf-16be";case"big5hkscs":return"big5-hkscs";case"eucjp":return"euc-jp";case"euckr":return"euc-kr";case"koi8r":return"koi8-r";case"koi8u":return"koi8-u";case"macroman":return"x-mac-roman";case"utf8bom":return"utf8";default:const r=t.match(/windows(\d+)/);return r?"windows-"+r[1]:t}}e.toCanonicalName=u;function c({buffer:t,bytesRead:r},s){let o=l(t,r),n=!1;if(o!==e.UTF16be&&o!==e.UTF16le&&t){let d=!0,w=!0,E=!1;for(let h=0;h<r&&h<P;h++){const b=h%2==1,A=t.readUInt8(h)===0;if(A&&(E=!0),d&&(b&&!A||!b&&A)&&(d=!1),w&&(b&&A||!b&&!A)&&(w=!1),A&&!d&&!w)break}E&&(d?o=e.UTF16le:w?o=e.UTF16be:n=!0)}return s&&!n&&!o&&t?S(t.slice(0,r)).then(d=>({seemsBinary:!1,encoding:d})):{seemsBinary:n,encoding:o}}e.detectEncodingFromBuffer=c,e.SUPPORTED_ENCODINGS={utf8:{labelLong:"UTF-8",labelShort:"UTF-8",order:1,alias:"utf8bom"},utf8bom:{labelLong:"UTF-8 with BOM",labelShort:"UTF-8 with BOM",encodeOnly:!0,order:2,alias:"utf8"},utf16le:{labelLong:"UTF-16 LE",labelShort:"UTF-16 LE",order:3},utf16be:{labelLong:"UTF-16 BE",labelShort:"UTF-16 BE",order:4},windows1252:{labelLong:"Western (Windows 1252)",labelShort:"Windows 1252",order:5},iso88591:{labelLong:"Western (ISO 8859-1)",labelShort:"ISO 8859-1",order:6},iso88593:{labelLong:"Western (ISO 8859-3)",labelShort:"ISO 8859-3",order:7},iso885915:{labelLong:"Western (ISO 8859-15)",labelShort:"ISO 8859-15",order:8},macroman:{labelLong:"Western (Mac Roman)",labelShort:"Mac Roman",order:9},cp437:{labelLong:"DOS (CP 437)",labelShort:"CP437",order:10},windows1256:{labelLong:"Arabic (Windows 1256)",labelShort:"Windows 1256",order:11},iso88596:{labelLong:"Arabic (ISO 8859-6)",labelShort:"ISO 8859-6",order:12},windows1257:{labelLong:"Baltic (Windows 1257)",labelShort:"Windows 1257",order:13},iso88594:{labelLong:"Baltic (ISO 8859-4)",labelShort:"ISO 8859-4",order:14},iso885914:{labelLong:"Celtic (ISO 8859-14)",labelShort:"ISO 8859-14",order:15},windows1250:{labelLong:"Central European (Windows 1250)",labelShort:"Windows 1250",order:16},iso88592:{labelLong:"Central European (ISO 8859-2)",labelShort:"ISO 8859-2",order:17},cp852:{labelLong:"Central European (CP 852)",labelShort:"CP 852",order:18},windows1251:{labelLong:"Cyrillic (Windows 1251)",labelShort:"Windows 1251",order:19},cp866:{labelLong:"Cyrillic (CP 866)",labelShort:"CP 866",order:20},iso88595:{labelLong:"Cyrillic (ISO 8859-5)",labelShort:"ISO 8859-5",order:21},koi8r:{labelLong:"Cyrillic (KOI8-R)",labelShort:"KOI8-R",order:22},koi8u:{labelLong:"Cyrillic (KOI8-U)",labelShort:"KOI8-U",order:23},iso885913:{labelLong:"Estonian (ISO 8859-13)",labelShort:"ISO 8859-13",order:24},windows1253:{labelLong:"Greek (Windows 1253)",labelShort:"Windows 1253",order:25},iso88597:{labelLong:"Greek (ISO 8859-7)",labelShort:"ISO 8859-7",order:26},windows1255:{labelLong:"Hebrew (Windows 1255)",labelShort:"Windows 1255",order:27},iso88598:{labelLong:"Hebrew (ISO 8859-8)",labelShort:"ISO 8859-8",order:28},iso885910:{labelLong:"Nordic (ISO 8859-10)",labelShort:"ISO 8859-10",order:29},iso885916:{labelLong:"Romanian (ISO 8859-16)",labelShort:"ISO 8859-16",order:30},windows1254:{labelLong:"Turkish (Windows 1254)",labelShort:"Windows 1254",order:31},iso88599:{labelLong:"Turkish (ISO 8859-9)",labelShort:"ISO 8859-9",order:32},windows1258:{labelLong:"Vietnamese (Windows 1258)",labelShort:"Windows 1258",order:33},gbk:{labelLong:"Simplified Chinese (GBK)",labelShort:"GBK",order:34},gb18030:{labelLong:"Simplified Chinese (GB18030)",labelShort:"GB18030",order:35},cp950:{labelLong:"Traditional Chinese (Big5)",labelShort:"Big5",order:36},big5hkscs:{labelLong:"Traditional Chinese (Big5-HKSCS)",labelShort:"Big5-HKSCS",order:37},shiftjis:{labelLong:"Japanese (Shift JIS)",labelShort:"Shift JIS",order:38},eucjp:{labelLong:"Japanese (EUC-JP)",labelShort:"EUC-JP",order:39},euckr:{labelLong:"Korean (EUC-KR)",labelShort:"EUC-KR",order:40},windows874:{labelLong:"Thai (Windows 874)",labelShort:"Windows 874",order:41},iso885911:{labelLong:"Latin/Thai (ISO 8859-11)",labelShort:"ISO 8859-11",order:42},koi8ru:{labelLong:"Cyrillic (KOI8-RU)",labelShort:"KOI8-RU",order:43},koi8t:{labelLong:"Tajik (KOI8-T)",labelShort:"KOI8-T",order:44},gb2312:{labelLong:"Simplified Chinese (GB 2312)",labelShort:"GB 2312",order:45},cp865:{labelLong:"Nordic DOS (CP 865)",labelShort:"CP 865",order:46},cp850:{labelLong:"Western European DOS (CP 850)",labelShort:"CP 850",order:47}}}),define(ge[125],pe([0,1,271,24,124]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeTextSearchManager=void 0;class P extends R.TextSearchManager{constructor(I,y,i=D){super(I,y,{readdir:T=>i.readdir(T.fsPath),toCanonicalName:T=>v.toCanonicalName(T)})}}e.NativeTextSearchManager=P}),define(ge[272],pe([0,1,273,286,287,288,39,29,35,289,49,2,11]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connectProxyResolver=void 0;function f(M,z,V,W,K,x){const N=m(M,z,W,K,x),U=u(z,N);return s(V,U)}e.connectProxyResolver=f;const l=5e3;function m(M,z,V,W,K){const x=process.env;let N=g(z.getConfiguration("http").get("proxy"));z.onDidChangeConfiguration(Ue=>{N=g(z.getConfiguration("http").get("proxy"))});let U=g(x.https_proxy||x.HTTPS_PROXY||x.http_proxy||x.HTTP_PROXY),F=a(x.no_proxy||x.NO_PROXY),O=0,$=new Map,q=new Map;function Z(Ue){return P.format(Object.assign(Object.assign({},Ue),{pathname:void 0,search:void 0,hash:void 0}))}function ae(Ue){let Ee=q.get(Ue);return Ee||(Ee=$.get(Ue),Ee&&($.delete(Ue),fe(Ue,Ee)),Ee)}function fe(Ue,Ee){q.set(Ue,Ee),q.size>=l&&($=q,q=new Map,O++,V.debug("ProxyResolver#cacheProxy cacheRolls",O))}let Te,Se=0,Le=0,H=0,Y=0,ie=0,oe=0,ve=0,ke=0,Me=[];function _e(){Te=void 0,W.$publicLog2("resolveProxy",{count:Se,duration:Le,errorCount:H,cacheCount:Y,cacheSize:q.size,cacheRolls:O,envCount:ie,settingsCount:oe,localhostCount:ve,envNoProxyCount:ke,results:Me}),Se=Le=H=Y=ie=oe=ve=ke=0,Me=[]}function Pe(Ue,Ee,Ke,X,ne){Te||(Te=setTimeout(_e,10*60*1e3));const we=V.getLevel()===p.LogLevel.Trace?`
`+new Error("Error for stack trace").stack:"",Ne=K.environment.useHostProxy,Be=typeof Ne=="boolean"?Ne:!K.remote.isRemote;o(V,Ue.useSystemCertificates,Ke,()=>{Re(Be,Ue.useProxySettings,Ee,Ke,X,we,ne)})}function Re(Ue,Ee,Ke,X,ne,we,Ne){if(!Ee){Ne("DIRECT");return}const Be=P.parse(ne),We=Be.hostname;if(We==="localhost"||We==="127.0.0.1"||We==="::1"||We==="::ffff:127.0.0.1"){ve++,Ne("DIRECT"),V.debug("ProxyResolver#resolveProxy localhost",ne,"DIRECT",we);return}if(typeof We=="string"&&F(We,String(Be.port||X.agent.defaultPort))){ke++,Ne("DIRECT"),V.debug("ProxyResolver#resolveProxy envNoProxy",ne,"DIRECT",we);return}if(N){oe++,Ne(N),V.debug("ProxyResolver#resolveProxy settings",ne,N,we);return}if(U){ie++,Ne(U),V.debug("ProxyResolver#resolveProxy env",ne,U,we);return}const Je=Z(Be),G=ae(Je);if(G){Y++,S(Me,G,Be.protocol==="https:"?"HTTPS":"HTTP",Ke),Ne(G),V.debug("ProxyResolver#resolveProxy cached",ne,G,we);return}if(!Ue){Ne("DIRECT"),V.debug("ProxyResolver#resolveProxy unconfigured",ne,"DIRECT",we);return}const se=Date.now();M.resolveProxy(ne).then(he=>{he&&(fe(Je,he),S(Me,he,Be.protocol==="https:"?"HTTPS":"HTTP",Ke)),Ne(he),V.debug("ProxyResolver#resolveProxy",ne,he,we)}).then(()=>{Se++,Le=Date.now()-se+Le},he=>{H++,Ne(),V.error("ProxyResolver#resolveProxy",T.toErrorMessage(he),we)})}return Pe}function S(M,z,V,W){const K=z?String(z).trim().split(/\s+/,1)[0]:"EMPTY";W.on("response",x=>{const N=`HTTP_${x.statusCode}`,U=_(M,K,V,N);U.count++}),W.on("error",x=>{const N=x&&typeof x.code=="string"&&x.code||"UNKNOWN_ERROR",U=_(M,K,V,N);U.count++})}function _(M,z,V,W){for(const x of M)if(x.proxy===z&&x.connection===V&&x.code===W)return x;const K={proxy:z,connection:V,code:W,count:0};return M.push(K),K}function g(M){const z=(M||"").trim(),V=z.indexOf("://");if(V!==-1){const W=z.substr(0,V).toLowerCase(),K=z.substr(V+3);if(W==="http")return"PROXY "+K;if(W==="https")return"HTTPS "+K;if(W==="socks")return"SOCKS "+K}}function a(M){const z=(M||"").trim().toLowerCase();if(z==="*")return()=>!0;const V=z.split(",").map(W=>W.trim().split(":",2)).map(([W,K])=>({name:W,port:K})).filter(W=>!!W.name).map(({name:W,port:K})=>({domain:W[0]==="."?W:`.${W}`,port:K}));return V.length?(W,K)=>V.some(({domain:x,port:N})=>`.${W.toLowerCase()}`.endsWith(x)&&(!N||K===N)):()=>!1}function u(M,z){const V={config:M.getConfiguration("http").get("proxySupport")||"off"};M.onDidChangeConfiguration(K=>{V.config=M.getConfiguration("http").get("proxySupport")||"off"});const W={config:!!M.getConfiguration("http").get("systemCertificates")};return M.onDidChangeConfiguration(K=>{W.config=!!M.getConfiguration("http").get("systemCertificates")}),{http:{off:Object.assign({},v,c(v,z,{config:"off"},W,!0)),on:Object.assign({},v,c(v,z,{config:"on"},W,!0)),override:Object.assign({},v,c(v,z,{config:"override"},W,!0)),onRequest:Object.assign({},v,c(v,z,V,W,!0)),default:Object.assign(v,c(v,z,V,W,!1))},https:{off:Object.assign({},D,c(D,z,{config:"off"},W,!0)),on:Object.assign({},D,c(D,z,{config:"on"},W,!0)),override:Object.assign({},D,c(D,z,{config:"override"},W,!0)),onRequest:Object.assign({},D,c(D,z,V,W,!0)),default:Object.assign(D,c(D,z,V,W,!1))},tls:Object.assign(R,t(R))}}function c(M,z,V,W,K){return{get:x(M.get),request:x(M.request)};function x(N){function U(F,O,$){if(typeof F!="string"&&!(F&&F.searchParams)&&($=O,O=F,F=null),typeof O=="function"&&($=O,O=null),O=O||{},O.socketPath)return N.apply(null,arguments);const q=O.agent;if(q===!0)throw new Error("Unexpected agent option: true");const Z=q instanceof i.ProxyAgent,ae=K&&(O._vscodeProxySupport||O._vscodeSystemProxy)||V.config,fe=!Z&&(ae==="override"||ae==="on"&&q===void 0),Te=!Z&&W.config&&M===D&&!O.ca;if(fe||Te){if(F){const Se=typeof F=="string"?new P.URL(F):F,Le={protocol:Se.protocol,hostname:Se.hostname.lastIndexOf("[",0)===0?Se.hostname.slice(1,-1):Se.hostname,port:Se.port,path:`${Se.pathname}${Se.search}`};(Se.username||Se.password)&&(O.auth=`${Se.username}:${Se.password}`),O=Object.assign(Object.assign({},Le),O)}else O=Object.assign({},O);return O.agent=new i.ProxyAgent({resolveProxy:z.bind(void 0,{useProxySettings:fe,useSystemCertificates:Te}),defaultPort:M===D?443:80,originalAgent:q}),N(O,$)}return N.apply(null,arguments)}return U}}function t(M){return{createSecureContext:z(M.createSecureContext)};function z(V){return function(W){const K=V.apply(null,arguments),x=W._vscodeAdditionalCaCerts;if(x)for(const N of x)K.context.addCACert(N);return K}}}const r=new Map;function s(M,z){return M.getExtensionPathIndex().then(V=>{const W=Q.__$__nodeRequire("module"),K=W._load;W._load=function(N,U,F){if(N==="tls")return z.tls;if(N!=="http"&&N!=="https")return K.apply(this,arguments);const O=z[N],$=V.findSubstr(k.URI.file(U.filename).fsPath);let q=r.get($);if(q||r.set($,q={}),!q[N]){let Z=O.default;$&&$.enableProposedApi&&(Z=O[$.proxySupport]||O.onRequest),q[N]=Object.assign({},Z)}return q[N]}})}function o(M,z,V,W){z?d(M).then(K=>{K&&(K.append?V._vscodeAdditionalCaCerts=K.certs:V.ca=K.certs),W()}).catch(K=>{M.error("ProxyResolver#useSystemCertificates",T.toErrorMessage(K))}):W()}let n;async function d(M){return n||(n=w().then(z=>(M.debug("ProxyResolver#getCaCertificates count",z&&z.certs.length),z&&z.certs.length?z:void 0)).catch(z=>{M.error("ProxyResolver#getCaCertificates error",T.toErrorMessage(z))})),n}async function w(){if(process.platform==="win32")return E();if(process.platform==="darwin")return h();if(process.platform==="linux")return A()}async function E(){const M=await new Promise((K,x)=>{Q(["vscode-windows-ca-certs"],K,x)});let z=[];const V=new M.Crypt32;try{let K;for(;K=V.next();)z.push(K)}finally{V.done()}const W=new Set(z.map(L));return{certs:Array.from(W),append:!0}}async function h(){const M=await new Promise((V,W)=>{const K=y.spawn("/usr/bin/security",["find-certificate","-a","-p"]),x=[];K.stdout.setEncoding("utf8"),K.stdout.on("data",N=>x.push(N)),K.on("error",W),K.on("exit",N=>N?W(N):V(x.join("")))}),z=new Set(M.split(/(?=-----BEGIN CERTIFICATE-----)/g).filter(V=>!!V.length));return{certs:Array.from(z),append:!0}}const b=["/etc/ssl/certs/ca-certificates.crt","/etc/ssl/certs/ca-bundle.crt"];async function A(){for(const M of b)try{const z=await I.promises.readFile(M,{encoding:"utf8"}),V=new Set(z.split(/(?=-----BEGIN CERTIFICATE-----)/g).filter(W=>!!W.length));return{certs:Array.from(V),append:!1}}catch(z){if(z.code!=="ENOENT")throw z}}function L(M){const z=["-----BEGIN CERTIFICATE-----"],V=M.toString("base64");for(let W=0;W<V.length;W+=64)z.push(V.substr(W,64));return z.push("-----END CERTIFICATE-----",""),z.join(C.EOL)}}),define(ge[274],pe([0,1,35,7,76,31,9,10,90,275]),function(Q,e,v,D,R,P,C,I,y,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fixDriveC=e.getAbsoluteGlob=e.foldersToIncludeGlobs=e.foldersToRgExcludeGlobs=e.spawnRipgrepCmd=void 0;const T=i.rgPath.replace(/\bnode_modules\.asar\b/,"node_modules.asar.unpacked");function k(a,u,c,t){const r=p(a,u,c,t),s=u.folder.fsPath;return{cmd:v.spawn(T,r.args,{cwd:s}),rgDiskPath:T,siblingClauses:r.siblingClauses,rgArgs:r,cwd:s}}e.spawnRipgrepCmd=k;function p(a,u,c,t){const r=["--files","--hidden","--case-sensitive"];l([u],c,!1).forEach(o=>{const n=y.anchorGlob(o);if(r.push("-g",n),C.isMacintosh){const d=R.normalizeNFD(n);d!==n&&r.push("-g",d)}});const s=f([u],t,void 0,!1);return s.globArgs.forEach(o=>{const n=`!${y.anchorGlob(o)}`;if(r.push("-g",n),C.isMacintosh){const d=R.normalizeNFD(n);d!==n&&r.push("-g",d)}}),u.disregardIgnoreFiles!==!1?r.push("--no-ignore"):r.push("--no-ignore-parent"),u.ignoreSymlinks||r.push("--follow"),a.exists&&r.push("--quiet"),r.push("--no-config"),u.disregardGlobalIgnoreFiles&&r.push("--no-ignore-global"),{args:r,siblingClauses:s.siblingClauses}}function f(a,u,c,t=!0){const r=[];let s={};return a.forEach(o=>{const n=Object.assign({},o.excludePattern||{},u||{}),d=m(n,t?o.folder.fsPath:void 0,c);r.push(...d.globArgs),d.siblingClauses&&(s=Object.assign(s,d.siblingClauses))}),{globArgs:r,siblingClauses:s}}e.foldersToRgExcludeGlobs=f;function l(a,u,c=!0){const t=[];return a.forEach(r=>{const s=Object.assign({},u||{},r.includePattern||{}),o=m(s,c?r.folder.fsPath:void 0);t.push(...o.globArgs)}),t}e.foldersToIncludeGlobs=l;function m(a,u,c){const t=[],r={};return Object.keys(a).forEach(s=>{if(!(c&&c.has(s))&&!!s){const o=a[s];s=_(u?S(u,s):s),s.startsWith("\\\\")?s="\\\\"+s.substr(2).replace(/\\/g,"/"):s=s.replace(/\\/g,"/"),typeof o=="boolean"&&o?(s.startsWith("\\\\")&&(s+="**"),t.push(g(s))):o&&o.when&&(r[s]=o)}}),{globArgs:t,siblingClauses:r}}function S(a,u){return D.isAbsolute(u)?u:D.join(a,u)}e.getAbsoluteGlob=S;function _(a){return a=I.rtrim(a,"\\"),I.rtrim(a,"/")}function g(a){return P.getRoot(a).toLowerCase()==="c:/"?a.replace(/^c:[/\\]/i,"/"):a}e.fixDriveC=g}),define(ge[276],pe([0,1,35,29,7,98,12,49,34,76,31,9,46,10,16,24,32,274,95]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m,S,_,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.rgErrorMsgForDisplay=e.Engine=e.FileWalker=void 0;const a=new Set;process.on("exit",()=>{a.forEach(s=>s())});class u{constructor(o){this.normalizedFilePatternLowercase=null,this.maxFilesize=null,this.isCanceled=!1,this.fileWalkSW=null,this.cmdSW=null,this.cmdResultCount=0,this.config=o,this.filePattern=o.filePattern||"",this.includePattern=o.includePattern&&y.parse(o.includePattern),this.maxResults=o.maxResults||null,this.exists=!!o.exists,this.walkedPaths=Object.create(null),this.resultCount=0,this.isLimitHit=!1,this.directoriesWalked=0,this.filesWalked=0,this.errors=[],this.filePattern&&(this.normalizedFilePatternLowercase=g.prepareQuery(this.filePattern).normalizedLowercase),this.globalExcludePattern=o.excludePattern&&y.parse(o.excludePattern),this.folderExcludePatterns=new Map,o.folderQueries.forEach(n=>{const d=Object.assign({},n.excludePattern||{},this.config.excludePattern||{}),w=n.folder.fsPath;o.folderQueries.map(E=>E.folder.fsPath).filter(E=>E!==w).forEach(E=>{T.isEqualOrParent(E,w)&&(d[R.relative(w,E)]=!0)}),this.folderExcludePatterns.set(w,new t(d,w))})}cancel(){this.isCanceled=!0}walk(o,n,d,w,E){if(this.fileWalkSW=p.StopWatch.create(!1),this.isCanceled)return E(null,this.isLimitHit);n.forEach(h=>{const b=R.basename(h.fsPath);this.globalExcludePattern&&this.globalExcludePattern(h.fsPath,b)||this.matchFile(d,{relativePath:h.fsPath,searchPath:void 0})}),this.cmdSW=p.StopWatch.create(!1),this.parallel(o,(h,b)=>{this.call(this.cmdTraversal,this,h,d,w,A=>{if(A){const L=I.toErrorMessage(A);console.error(L),this.errors.push(L),b(A,void 0)}else b(null,void 0)})},(h,b)=>{this.fileWalkSW.stop();const A=h?C.coalesce(h)[0]:null;E(A,this.isLimitHit)})}parallel(o,n,d){const w=new Array(o.length),E=new Array(o.length);let h=!1,b=0;if(o.length===0)return d(null,[]);o.forEach((A,L)=>{n(A,(M,z)=>{if(M?(h=!0,w[L]=null,E[L]=M):(w[L]=z,E[L]=null),++b===o.length)return d(h?E:null,w)})})}call(o,n,...d){try{o.apply(n,d)}catch(w){d[d.length-1](w)}}cmdTraversal(o,n,d,w){const E=o.folder.fsPath,h=k.isMacintosh;let b;const A=()=>b&&b.kill();a.add(A);let L=N=>{a.delete(A),L=()=>{},w(N)},M="";const z=this.initDirectoryTree();let V;const W=_.spawnRipgrepCmd(this.config,o,this.config.includePattern,this.folderExcludePatterns.get(o.folder.fsPath).expression);b=W.cmd,V=!Object.keys(W.siblingClauses).length;const K=W.rgArgs.args.map(N=>N.match(/^-/)?N:`'${N}'`).join(" ");let x=`${W.rgDiskPath} ${K}
 - cwd: ${W.cwd}`;W.rgArgs.siblingClauses&&(x+=`
 - Sibling clauses: ${JSON.stringify(W.rgArgs.siblingClauses)}`),d({message:x}),this.cmdResultCount=0,this.collectStdout(b,"utf8",d,(N,U,F)=>{if(N){L(N);return}if(this.isLimitHit){L();return}const $=(M+(h?i.normalizeNFC(U||""):U)).split(`
`);if(F){const q=$.length;$[q-1]=$[q-1].trim(),$[q-1]||$.pop()}else M=$.pop()||"";if($.length&&$[0].indexOf(`
`)!==-1){L(new Error("Splitting up files failed"));return}if(this.cmdResultCount+=$.length,V){for(const q of $)if(this.matchFile(n,{base:E,relativePath:q,searchPath:this.getSearchPath(o,q)}),this.isLimitHit){A();break}(F||this.isLimitHit)&&L();return}this.addDirectoryEntries(o,z,E,$,n),F&&(this.matchDirectoryTree(z,E,n),L())})}spawnFindCmd(o){const n=this.folderExcludePatterns.get(o.folder.fsPath),d=n.getBasenameTerms(),w=n.getPathTerms(),E=["-L","."];if(d.length||w.length){E.push("-not","(","(");for(const h of d)E.push("-name",h),E.push("-o");for(const h of w)E.push("-path",h),E.push("-o");E.pop(),E.push(")","-prune",")")}return E.push("-type","f"),v.spawn("find",E,{cwd:o.folder.fsPath})}readStdout(o,n,d){let w="";this.collectStdout(o,n,()=>{},(E,h,b)=>{if(E){d(E);return}w+=h,b&&d(null,w)})}collectStdout(o,n,d,w){let E=(A,L,M)=>{(A||M)&&(E=()=>{},this.cmdSW&&this.cmdSW.stop()),w(A,L,M)},h=!1;o.stdout?(this.forwardData(o.stdout,n,E),o.stdout.once("data",()=>h=!0)):d({message:"stdout is null"});let b;o.stderr?b=this.collectData(o.stderr):d({message:"stderr is null"}),o.on("error",A=>{E(A)}),o.on("close",A=>{let L;!h&&(L=this.decodeData(b,n))&&r(L)?E(new Error(`command failed with error code ${A}: ${this.decodeData(b,n)}`)):(this.exists&&A===0&&(this.isLimitHit=!0),E(null,"",!0))})}forwardData(o,n,d){const w=new P.StringDecoder(n);return o.on("data",E=>{d(null,w.write(E))}),w}collectData(o){const n=[];return o.on("data",d=>{n.push(d)}),n}decodeData(o,n){const d=new P.StringDecoder(n);return o.map(w=>d.write(w)).join("")}initDirectoryTree(){const o={rootEntries:[],pathToEntries:Object.create(null)};return o.pathToEntries["."]=o.rootEntries,o}addDirectoryEntries(o,{pathToEntries:n},d,w,E){w.indexOf(this.filePattern)!==-1&&this.matchFile(E,{base:d,relativePath:this.filePattern,searchPath:this.getSearchPath(o,this.filePattern)});const h=b=>{const A=R.basename(b),L=R.dirname(b);let M=n[L];M||(M=n[L]=[],h(L)),M.push({base:d,relativePath:b,basename:A,searchPath:this.getSearchPath(o,b)})};w.forEach(h)}matchDirectoryTree({rootEntries:o,pathToEntries:n},d,w){const E=this,h=this.folderExcludePatterns.get(d),b=this.filePattern;function A(L){E.directoriesWalked++;const M=y.hasSiblingFn(()=>L.map(z=>z.basename));for(let z=0,V=L.length;z<V;z++){const W=L[z],{relativePath:K,basename:x}=W;if(!h.test(K,x,b!==x?M:void 0)){const N=n[K];if(N)A(N);else{if(E.filesWalked++,K===b)continue;E.matchFile(w,W)}if(E.isLimitHit)break}}}A(o)}getStats(){return{cmdTime:this.cmdSW.elapsed(),fileWalkTime:this.fileWalkSW.elapsed(),directoriesWalked:this.directoriesWalked,filesWalked:this.filesWalked,cmdResultCount:this.cmdResultCount}}doWalk(o,n,d,w,E){const h=o.folder,b=y.hasSiblingFn(()=>d);this.parallel(d,(A,L)=>{if(this.isCanceled||this.isLimitHit)return L(null);const M=n?[n,A].join(R.sep):A;if(this.folderExcludePatterns.get(o.folder.fsPath).test(M,A,this.config.filePattern!==A?b:void 0))return L(null);const z=[h.fsPath,M].join(R.sep);D.lstat(z,(V,W)=>{if(V||this.isCanceled||this.isLimitHit)return L(null);this.statLinkIfNeeded(z,W,(K,x)=>K||this.isCanceled||this.isLimitHit?L(null):x.isDirectory()?(this.directoriesWalked++,this.realPathIfNeeded(z,W,(N,U)=>N||this.isCanceled||this.isLimitHit||(U=U||"",this.walkedPaths[U])?L(null):(this.walkedPaths[U]=!0,m.readdir(z).then(F=>{if(this.isCanceled||this.isLimitHit)return L(null);this.doWalk(o,M,F,w,O=>L(O||null))},F=>{L(null)})))):(this.filesWalked++,M===this.filePattern||this.maxFilesize&&l.isNumber(x.size)&&x.size>this.maxFilesize||this.matchFile(w,{base:h.fsPath,relativePath:M,searchPath:this.getSearchPath(o,M)}),L(null,void 0)))})},A=>{const L=A&&C.coalesce(A);return E(L&&L.length>0?L[0]:void 0)})}matchFile(o,n){this.isFileMatch(n)&&(!this.includePattern||this.includePattern(n.relativePath,R.basename(n.relativePath)))&&(this.resultCount++,(this.exists||this.maxResults&&this.resultCount>this.maxResults)&&(this.isLimitHit=!0),this.isLimitHit||o(n))}isFileMatch(o){if(this.filePattern){if(this.filePattern==="*")return!0;if(this.normalizedFilePatternLowercase)return S.isFilePatternMatch(o,this.normalizedFilePatternLowercase)}return!0}statLinkIfNeeded(o,n,d){return n.isSymbolicLink()?D.stat(o,d):d(null,n)}realPathIfNeeded(o,n,d){return n.isSymbolicLink()?D.realpath(o,(w,E)=>w?d(w):d(null,E)):d(null,o)}getSearchPath(o,n){return o.folderName?R.join(o.folderName,n):n}}e.FileWalker=u;class c{constructor(o){this.folderQueries=o.folderQueries,this.extraFiles=o.extraFileResources||[],this.walker=new u(o)}search(o,n,d){this.walker.walk(this.folderQueries,this.extraFiles,o,n,(w,E)=>{d(w,{limitHit:E,stats:this.walker.getStats()})})}cancel(){this.walker.cancel()}}e.Engine=c;class t{constructor(o,n){this.expression=o,this.root=n,this.init(o)}init(o){let n,d;Object.keys(o).filter(w=>o[w]).forEach(w=>{R.isAbsolute(w)?(n=n||y.getEmptyExpression(),n[w]=o[w]):(d=d||y.getEmptyExpression(),d[w]=o[w])}),this.absoluteParsedExpr=n&&y.parse(n,{trimForExclusions:!0}),this.relativeParsedExpr=d&&y.parse(d,{trimForExclusions:!0})}test(o,n,d){return this.relativeParsedExpr&&this.relativeParsedExpr(o,n,d)||this.absoluteParsedExpr&&this.absoluteParsedExpr(R.join(this.root,o),n,d)}getBasenameTerms(){const o=[];return this.absoluteParsedExpr&&o.push(...y.getBasenameTerms(this.absoluteParsedExpr)),this.relativeParsedExpr&&o.push(...y.getBasenameTerms(this.relativeParsedExpr)),o}getPathTerms(){const o=[];return this.absoluteParsedExpr&&o.push(...y.getPathTerms(this.absoluteParsedExpr)),this.relativeParsedExpr&&o.push(...y.getPathTerms(this.relativeParsedExpr)),o}}function r(s){const o=s.trim().split(`
`),n=o[0].trim();if(n.startsWith("Error parsing regex"))return n;if(n.startsWith("regex parse error"))return f.uppercaseFirstLetter(o[o.length-1].trim());if(n.startsWith("error parsing glob")||n.startsWith("unsupported encoding"))return n.charAt(0).toUpperCase()+n.substr(1);if(n==="Literal '\\n' not allowed.")return"Literal '\\n' currently not supported";if(n.startsWith("Literal "))return n}e.rgErrorMsgForDisplay=r}),define(ge[126],pe([0,1,35,290,98,12,55,34,7,10,2,32,123,291,275,90]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.fixNewline=e.fixRegexNewline=e.unicodeEscapesToPCRE2=e.spreadGlobComponents=e.RipgrepParser=e.buildRegexParseError=e.rgErrorMsgForDisplay=e.RipgrepTextSearchEngine=void 0;const S=l.rgPath.replace(/\bnode_modules\.asar\b/,"node_modules.asar.unpacked");class _{constructor(h){this.outputChannel=h}provideTextSearchResults(h,b,A,L){return this.outputChannel.appendLine(`provideTextSearchResults ${h.pattern}, ${JSON.stringify(Object.assign(Object.assign({},b),{folder:b.folder.toString()}))}`),new Promise((M,z)=>{L.onCancellationRequested(()=>O());const V=r(h,b),W=b.folder.fsPath,K=V.map(fe=>fe.match(/^-/)?fe:`'${fe}'`).join(" ");this.outputChannel.appendLine(`${S} ${K}
 - cwd: ${W}`);let x=v.spawn(S,V,{cwd:W});x.on("error",fe=>{console.error(fe),this.outputChannel.appendLine("Error: "+(fe&&fe.message)),z(k.serializeSearchError(new k.SearchError(fe&&fe.message,k.SearchErrorCode.rgProcessError)))});let N=!1;const U=new u(b.maxResults,W,b.previewOptions);U.on("result",fe=>{N=!0,q="",A.report(fe)});let F=!1;const O=()=>{F=!0,x&&x.kill(),U&&U.cancel()};let $=!1;U.on("hitLimit",()=>{$=!0,O()});let q="";x.stdout.on("data",fe=>{U.handleData(fe),N||(q+=fe)});let Z=!1;x.stdout.once("data",()=>Z=!0);let ae="";x.stderr.on("data",fe=>{const Te=fe.toString();this.outputChannel.appendLine(Te),ae+=Te}),x.on("close",()=>{if(this.outputChannel.appendLine(Z?"Got data from stdout":"No data from stdout"),this.outputChannel.appendLine(N?"Got result from parser":"No result from parser"),q&&this.outputChannel.appendLine(`Got data without result: ${q}`),this.outputChannel.appendLine(""),F)M({limitHit:$});else{U.flush(),x=null;let fe;ae&&!Z&&(fe=g(ae))?z(k.serializeSearchError(new k.SearchError(fe.message,fe.code))):M({limitHit:$})}})})}}e.RipgrepTextSearchEngine=_;function g(E){const h=E.split(`
`),b=h[0].trim();if(h.some(L=>L.startsWith("regex parse error")))return new k.SearchError(a(h),k.SearchErrorCode.regexParseError);const A=b.match(/grep config error: unknown encoding: (.*)/);if(A)return new k.SearchError(`Unknown encoding: ${A[1]}`,k.SearchErrorCode.unknownEncoding);if(b.startsWith("error parsing glob"))return new k.SearchError(b.charAt(0).toUpperCase()+b.substr(1),k.SearchErrorCode.globParseError);if(b.startsWith("the literal"))return new k.SearchError(b.charAt(0).toUpperCase()+b.substr(1),k.SearchErrorCode.invalidLiteral);if(b.startsWith("PCRE2: error compiling pattern"))return new k.SearchError(b,k.SearchErrorCode.regexParseError)}e.rgErrorMsgForDisplay=g;function a(E){const h=["Regex parse error"],b=E.filter(A=>A.startsWith("PCRE2:"));if(b.length>=1){const A=b[0].replace("PCRE2:","");if(A.indexOf(":")!==-1&&A.split(":").length>=2){const L=A.split(":")[1];h.push(":"+L)}}return h.join("")}e.buildRegexParseError=a;class u extends D.EventEmitter{constructor(h,b,A){super();this.maxResults=h,this.rootFolder=b,this.previewOptions=A,this.remainder="",this.isDone=!1,this.hitLimit=!1,this.numResults=0,this.stringDecoder=new R.StringDecoder}cancel(){this.isDone=!0}flush(){this.handleDecodedData(this.stringDecoder.end())}on(h,b){return super.on(h,b),this}handleData(h){if(!this.isDone){const b=typeof h=="string"?h:this.stringDecoder.write(h);this.handleDecodedData(b)}}handleDecodedData(h){let b=h.indexOf(`
`);const A=this.remainder+h;if(b>=0)b+=this.remainder.length;else{this.remainder=A;return}let L=0;for(;b>=0;)this.handleLine(A.substring(L,b).trim()),L=b+1,b=A.indexOf(`
`,L);this.remainder=A.substring(L)}handleLine(h){if(!(this.isDone||!h)){let b;try{b=JSON.parse(h)}catch(A){throw new Error(`malformed line from rg: ${h}`)}if(b.type==="match"){const A=c(b.data.path),L=T.URI.file(y.join(this.rootFolder,A)),M=this.createTextSearchMatch(b.data,L);this.onResult(M),this.hitLimit&&(this.cancel(),this.emit("hitLimit"))}else if(b.type==="context"){const A=c(b.data.path),L=T.URI.file(y.join(this.rootFolder,A));this.createTextSearchContext(b.data,L).forEach(z=>this.onResult(z))}}}createTextSearchMatch(h,b){const A=h.line_number-1;let L=!1,M=c(h.lines);A===0&&i.startsWithUTF8BOM(M)&&(L=!0,M=i.stripUTF8BOM(M));const z=Buffer.from(M);let V=0,W=0,K=A;h.submatches.length===0&&h.submatches.push(M.length?{start:0,end:1,match:{text:M[0]}}:{start:0,end:0,match:{text:""}});const x=P.coalesce(h.submatches.map((N,U)=>{if(this.hitLimit)return null;this.numResults++,this.numResults>=this.maxResults&&(this.hitLimit=!0);let F=c(N.match);A===0&&U===0&&L&&(F=i.stripUTF8BOM(F),N.start=N.start<=3?0:N.start-3,N.end=N.end<=3?0:N.end-3);const O=z.slice(V,N.start).toString().length,$=W+O,q=t(F),Z=K,ae=q.numLines+Z,fe=q.numLines>0?q.lastLineLength:q.lastLineLength+$;return V=N.end,W=fe,K=ae,new p.Range(Z,$,ae,fe)}));return m.createTextSearchResult(b,M,x,this.previewOptions)}createTextSearchContext(h,b){const A=c(h.lines),L=h.line_number;return A.replace(/\r?\n$/,"").split(`
`).map((M,z)=>({text:M,uri:b,lineNumber:L+z}))}onResult(h){this.emit("result",h)}}e.RipgrepParser=u;function c(E){return E.bytes?Buffer.from(E.bytes,"base64").toString():E.text}function t(E){const h=/\n/g;let b=0,A=-1,L;for(;L=h.exec(E);)b++,A=L.index;const M=A>=0?E.length-A-1:E.length;return{numLines:b,lastLineLength:M}}function r(E,h){const b=["--hidden"];b.push(E.isCaseSensitive?"--case-sensitive":"--ignore-case");const{doubleStarIncludes:A,otherIncludes:L}=C.groupBy(h.includes,z=>z.startsWith("**")?"doubleStarIncludes":"otherIncludes");if(L&&L.length){const z=new Set;L.forEach(V=>{z.add(V)}),b.push("-g","!*"),z.forEach(V=>{s(V).map(m.anchorGlob).forEach(W=>{b.push("-g",W)})})}A&&A.length&&A.forEach(z=>{b.push("-g",z)}),h.excludes.map(m.anchorGlob).forEach(z=>b.push("-g",`!${z}`)),h.maxFileSize&&b.push("--max-filesize",h.maxFileSize+""),h.useIgnoreFiles?b.push("--no-ignore-parent"):b.push("--no-ignore"),h.followSymlinks&&b.push("--follow"),h.encoding&&h.encoding!=="utf8"&&b.push("--encoding",h.encoding),E.pattern==="--"&&(E.isRegExp=!0,E.pattern="\\-\\-"),E.isMultiline&&!E.isRegExp&&(E.pattern=i.escapeRegExpCharacters(E.pattern),E.isRegExp=!0),h.usePCRE2&&b.push("--pcre2"),b.push("--crlf"),E.isRegExp&&(E.pattern=o(E.pattern),b.push("--auto-hybrid-regex"));let M;if(E.isWordMatch){const V=i.createRegExp(E.pattern,!!E.isRegExp,{wholeWord:E.isWordMatch}).source.replace(/\\\//g,"/");b.push("--regexp",V)}else if(E.isRegExp){let z=d(E.pattern);z=w(z),b.push("--regexp",z)}else M=E.pattern,b.push("--fixed-strings");return b.push("--no-config"),h.useGlobalIgnoreFiles||b.push("--no-ignore-global"),b.push("--json"),E.isMultiline&&b.push("--multiline"),h.beforeContext&&b.push("--before-context",h.beforeContext+""),h.afterContext&&b.push("--after-context",h.afterContext+""),b.push("--"),M&&b.push(M),b.push("."),b}function s(E){const h=I.splitGlobAware(E,"/");return h.map((b,A)=>h.slice(0,A+1).join("/"))}e.spreadGlobComponents=s;function o(E){const h=/((?:[^\\]|^)(?:\\\\)*)\\u([a-z0-9]{4})/gi;for(;E.match(h);)E=E.replace(h,"$1\\x{$2}");const b=/((?:[^\\]|^)(?:\\\\)*)\\u\{([a-z0-9]{4})\}/gi;for(;E.match(b);)E=E.replace(b,"$1\\x{$2}");return E}e.unicodeEscapesToPCRE2=o;const n=E=>E.type==="Assertion"&&E.kind==="lookbehind";function d(E){let h;try{h=new f.RegExpParser().parsePattern(E)}catch(V){return E}let b="",A=0;const L=(V,W,K)=>{b+=E.slice(A,V)+K,A=W},M=[];return new f.RegExpVisitor({onCharacterEnter(V){if(V.raw==="\\n"){const W=M[0];if(!W)L(V.start,V.end,"\\r?\\n");else if(!M.some(n))if(W.type==="CharacterClass"){const K=E.slice(W.start+1,V.start)+E.slice(V.end,W.end-1);L(W.start,W.end,K===""?"\\r?\\n":`(?:[${K}]|\\r?\\n)`)}else W.type==="Quantifier"&&L(V.start,V.end,"(?:\\r?\\n)")}},onQuantifierEnter(V){M.unshift(V)},onQuantifierLeave(){M.shift()},onCharacterClassRangeEnter(V){M.unshift(V)},onCharacterClassRangeLeave(){M.shift()},onCharacterClassEnter(V){M.unshift(V)},onCharacterClassLeave(){M.shift()},onAssertionEnter(V){n(V)&&M.push(V)},onAssertionLeave(V){M[0]===V&&M.shift()}}).visit(h),b+=E.slice(A),b}e.fixRegexNewline=d;function w(E){return E.replace(/\n/g,"\\r?\\n")}e.fixNewline=w}),define(ge[277],pe([0,1,21,126]),function(Q,e,v,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.RipgrepSearchProvider=void 0;class R{constructor(I){this.outputChannel=I,this.inProgress=new Set,process.once("exit",()=>this.dispose())}provideTextSearchResults(I,y,i,T){const k=new D.RipgrepTextSearchEngine(this.outputChannel);return this.withToken(T,p=>k.provideTextSearchResults(I,y,i,p))}async withToken(I,y){const i=P(I);this.inProgress.add(i);const T=await y(i.token);return this.inProgress.delete(i),T}dispose(){this.inProgress.forEach(I=>I.cancel())}}e.RipgrepSearchProvider=R;function P(C){const I=new v.CancellationTokenSource;return C.onCancellationRequested(()=>I.cancel()),I}}),define(ge[278],pe([0,1,24,126,125]),function(Q,e,v,D,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextSearchEngineAdapter=void 0;class P{constructor(y){this.query=y}search(y,i,T){if((!this.query.folderQueries||!this.query.folderQueries.length)&&(!this.query.extraFileResources||!this.query.extraFileResources.length))return Promise.resolve({type:"success",limitHit:!1,stats:{type:"searchProcess"}});const k={appendLine(f){T({message:f})}},p=new R.NativeTextSearchManager(this.query,new D.RipgrepTextSearchEngine(k),v);return new Promise((f,l)=>p.search(m=>{i(m.map(C))},y).then(m=>f({limitHit:m.limitHit,type:"success"}),l))}}e.TextSearchEngineAdapter=P;function C(I){return{path:I.resource&&I.resource.fsPath,results:I.results,numMatches:(I.results||[]).reduce((y,i)=>{if(i.ranges){const T=i;return y+(Array.isArray(T.ranges)?T.ranges.length:1)}else return y+1},0)}}}),define(ge[279],pe([0,1,29,292,12,19,15,3,95,7,46,2,24,32,276,278]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.SearchService=void 0,D.gracefulify(v);class S{constructor(){this.caches=Object.create(null)}fileSearch(t){let r;const s=a(t),o=new I.Emitter({onFirstListenerDidAdd:()=>{r=P.createCancelablePromise(n=>this.doFileSearchWithEngine(l.Engine,s,d=>o.fire(d),n)),r.then(n=>o.fire(n),n=>o.fire({type:"error",error:{message:n.message,stack:n.stack}}))},onLastListenerRemove:()=>{r.cancel()}});return o.event}textSearch(t){let r;const s=a(t),o=new I.Emitter({onFirstListenerDidAdd:()=>{r=P.createCancelablePromise(n=>this.ripgrepTextSearch(s,d=>o.fire(d),n)),r.then(n=>o.fire(n),n=>o.fire({type:"error",error:{message:n.message,stack:n.stack}}))},onLastListenerRemove:()=>{r.cancel()}});return o.event}ripgrepTextSearch(t,r,s){return t.maxFileSize=p.MAX_FILE_SIZE,new m.TextSearchEngineAdapter(t).search(s,r,r)}doFileSearch(t,r,s){return this.doFileSearchWithEngine(l.Engine,t,r,s)}doFileSearchWithEngine(t,r,s,o,n=S.BATCH_SIZE){let d=0;const w=h=>{Array.isArray(h)?(d+=h.length,s(h.map(b=>this.rawMatchToSearchItem(b)))):h.relativePath?(d++,s(this.rawMatchToSearchItem(h))):s(h)};if(r.sortByScore){let h=this.trySortedSearchFromCache(r,w,o);if(!h){const b=r.maxResults?Object.assign({},r,{maxResults:null}):r,A=new t(b);h=this.doSortedSearch(A,r,s,w,o)}return new Promise((b,A)=>{h.then(([L,M])=>{const z=M.map(V=>this.rawMatchToSearchItem(V));this.sendProgress(z,s,n),b(L)},A)})}const E=new t(r);return this.doSearch(E,w,n,o).then(h=>({limitHit:h.limitHit,type:"success",stats:{detailStats:h.stats,type:"searchProcess",fromCache:!1,resultCount:d,sortingTime:void 0}}))}rawMatchToSearchItem(t){return{path:t.base?i.join(t.base,t.relativePath):t.relativePath}}doSortedSearch(t,r,s,o,n){const d=new I.Emitter;let w=P.createCancelablePromise(h=>{let b=[];const A=L=>{Array.isArray(L)?b=L:(o(L),d.fire(L))};return this.doSearch(t,A,-1,h).then(L=>[L,b])}),E;if(r.cacheKey){E=this.getOrCreateCache(r.cacheKey);const h={promise:w,event:d.event,resolved:!1};E.resultsToSearchCache[r.filePattern||""]=h,w.then(()=>{h.resolved=!0},b=>{delete E.resultsToSearchCache[r.filePattern||""]}),w=this.preventCancellation(w)}return w.then(([h,b])=>{const A=E?E.scorerCache:Object.create(null),L=(typeof r.maxResults!="number"||r.maxResults>0)&&T.StopWatch.create(!1);return this.sortResults(r,b,A,n).then(M=>{const z=L?L.elapsed():-1;return[{type:"success",stats:{detailStats:h.stats,sortingTime:z,fromCache:!1,type:"searchProcess",workspaceFolderCount:r.folderQueries.length,resultCount:M.length},limitHit:h.limitHit||typeof r.maxResults=="number"&&b.length>r.maxResults},M]})})}getOrCreateCache(t){const r=this.caches[t];return r||(this.caches[t]=new _)}trySortedSearchFromCache(t,r,s){const o=t.cacheKey&&this.caches[t.cacheKey];if(!!o){const n=this.getResultsFromCache(o,t.filePattern||"",r,s);if(n)return n.then(([d,w,E])=>{const h=T.StopWatch.create(!1);return this.sortResults(t,w,o.scorerCache,s).then(b=>{const A=h.elapsed(),L={fromCache:!0,detailStats:E,type:"searchProcess",resultCount:w.length,sortingTime:A};return[{type:"success",limitHit:d.limitHit||typeof t.maxResults=="number"&&w.length>t.maxResults,stats:L},b]})})}}sortResults(t,r,s,o){const n=y.prepareQuery(t.filePattern||""),d=(E,h)=>y.compareItemsByFuzzyScore(E,h,n,!0,g,s),w=typeof t.maxResults=="number"?t.maxResults:Number.MAX_VALUE;return R.topAsync(r,d,w,1e4,o)}sendProgress(t,r,s){if(s&&s>0)for(let o=0;o<t.length;o+=s)r(t.slice(o,o+s));else r(t)}getResultsFromCache(t,r,s,o){const n=T.StopWatch.create(!1),d=r.indexOf(i.sep)>=0;let w;for(const A in t.resultsToSearchCache)if(r.startsWith(A)){if(d&&A.indexOf(i.sep)<0&&A!=="")continue;const L=t.resultsToSearchCache[A];w={promise:this.preventCancellation(L.promise),event:L.event,resolved:L.resolved};break}if(!w)return null;const E=n.elapsed(),h=T.StopWatch.create(!1),b=w.event(s);return o&&o.onCancellationRequested(()=>{b.dispose()}),w.promise.then(([A,L])=>{if(o&&o.isCancellationRequested)throw C.canceled();const M=[],z=y.prepareQuery(r).normalizedLowercase;for(const V of L)!f.isFilePatternMatch(V,z)||M.push(V);return[A,M,{cacheWasResolved:w.resolved,cacheLookupTime:E,cacheFilterTime:h.elapsed(),cacheEntryCount:L.length}]})}doSearch(t,r,s,o){return new Promise((n,d)=>{let w=[];o&&o.onCancellationRequested(()=>t.cancel()),t.search(E=>{E&&(s?(w.push(E),s>0&&w.length>=s&&(r(w),w=[])):r(E))},E=>{r(E)},(E,h)=>{w.length&&r(w),E?d(E):n(h)})})}clearCache(t){return delete this.caches[t],Promise.resolve(void 0)}preventCancellation(t){return new class{get[Symbol.toStringTag](){return this.toString()}cancel(){}then(r,s){return t.then(r,s)}catch(r){return this.then(void 0,r)}finally(r){return t.finally(r)}}}}e.SearchService=S,S.BATCH_SIZE=512;class _{constructor(){this.resultsToSearchCache=Object.create(null),this.scorerCache=Object.create(null)}}const g=new class{getItemLabel(c){return i.basename(c.relativePath)}getItemDescription(c){return i.dirname(c.relativePath)}getItemPath(c){return c.relativePath}};function a(c){return Object.assign(Object.assign({},c),{folderQueries:c.folderQueries&&c.folderQueries.map(u),extraFileResources:c.extraFileResources&&c.extraFileResources.map(t=>k.URI.revive(t))})}function u(c){return Object.assign(Object.assign({},c),{folder:k.URI.revive(c.folder)})}}),define(ge[280],pe([0,1,5,2,24,11,32,279,277,90,14,63,27,69,13,125]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeExtHostSearch=void 0;let S=class extends f.ExtHostSearch{constructor(g,a,u,c){super(g,u,c);this._pfs=R,this._internalFileSearchHandle=-1,this._internalFileSearchProvider=null,a.remote.isRemote&&a.remote.authority&&this._registerEHSearchProviders()}_registerEHSearchProviders(){const g=new i.OutputChannel(this._logService);this.registerTextSearchProvider(l.Schemas.file,new y.RipgrepSearchProvider(g)),this.registerInternalFileSearchProvider(l.Schemas.file,new I.SearchService)}registerInternalFileSearchProvider(g,a){const u=this._handlePool++;return this._internalFileSearchProvider=a,this._internalFileSearchHandle=u,this._proxy.$registerFileSearchProvider(u,this._transformScheme(g)),v.toDisposable(()=>{this._internalFileSearchProvider=null,this._proxy.$unregisterProvider(u)})}$provideFileSearchResults(g,a,u,c){const t=f.reviveQuery(u);return g===this._internalFileSearchHandle?this.doInternalFileSearch(g,a,t,c):super.$provideFileSearchResults(g,a,u,c)}doInternalFileSearch(g,a,u,c){const t=r=>{if(C.isSerializedFileMatch(r)&&(r=[r]),Array.isArray(r)){this._proxy.$handleFileMatch(g,a,r.map(s=>D.URI.file(s.path)));return}r.message&&this._logService.debug("ExtHostSearch",r.message)};if(!this._internalFileSearchProvider)throw new Error("No internal file search handler");return this._internalFileSearchProvider.doFileSearch(u,t,c)}$clearCache(g){return this._internalFileSearchProvider&&this._internalFileSearchProvider.clearCache(g),super.$clearCache(g)}createTextSearchManager(g,a){return new m.NativeTextSearchManager(g,a)}};S=Ve([$e(0,T.IExtHostRpcService),$e(1,p.IExtHostInitDataService),$e(2,k.IURITransformerService),$e(3,P.ILogService)],S),e.NativeExtHostSearch=S}),define(ge[127],pe([0,1,293,117,294,3,100,7,39,28,5,26,101,15,9]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.connect=e.serve=e.Server=e.createStaticIPCHandle=e.createRandomIPCHandle=e.XDG_RUNTIME_DIR=e.WebSocketNodeSocket=e.NodeSocket=void 0;class m{constructor(w){this.socket=w}dispose(){this.socket.destroy()}onData(w){const E=h=>w(k.VSBuffer.wrap(h));return this.socket.on("data",E),{dispose:()=>this.socket.off("data",E)}}onClose(w){return this.socket.on("close",w),{dispose:()=>this.socket.off("close",w)}}onEnd(w){return this.socket.on("end",w),{dispose:()=>this.socket.off("end",w)}}write(w){if(!this.socket.destroyed)try{this.socket.write(w.buffer)}catch(E){if(E.code==="EPIPE")return;f.onUnexpectedError(E)}}end(){this.socket.end()}drain(){return new Promise((w,E)=>{if(this.socket.bufferSize===0){w();return}const h=()=>{this.socket.off("close",h),this.socket.off("end",h),this.socket.off("error",h),this.socket.off("timeout",h),this.socket.off("drain",h),w()};this.socket.on("close",h),this.socket.on("end",h),this.socket.on("error",h),this.socket.on("timeout",h),this.socket.on("drain",h)})}}e.NodeSocket=m;var S;(function(d){d[d.MinHeaderByteSize=2]="MinHeaderByteSize"})(S||(S={}));var _;(function(d){d[d.PeekHeader=1]="PeekHeader",d[d.ReadHeader=2]="ReadHeader",d[d.ReadBody=3]="ReadBody",d[d.Fin=4]="Fin"})(_||(_={}));class g extends T.Disposable{constructor(w,E,h,b){super();this._onDidZlibFlush=this._register(new P.Emitter),this._recordedInflateBytes=[],this._pendingInflateData=[],this._pendingDeflateData=[],this._onData=this._register(new P.Emitter),this._onClose=this._register(new P.Emitter),this._isEnded=!1,this._state={state:1,readLen:2,fin:0,mask:0},this.socket=w,this._totalIncomingWireBytes=0,this._totalIncomingDataBytes=0,this._totalOutgoingWireBytes=0,this._totalOutgoingDataBytes=0,this.permessageDeflate=E,this._recordInflateBytes=b,E?(this._zlibInflate=R.createInflateRaw({windowBits:15}),this._zlibInflate.on("error",A=>{console.error(A),f.onUnexpectedError(A),this._onClose.fire()}),this._zlibInflate.on("data",A=>{this._pendingInflateData.push(A)}),h&&(this._zlibInflate.write(h.buffer),this._zlibInflate.flush(()=>{this._pendingInflateData.length=0})),this._zlibDeflate=R.createDeflateRaw({windowBits:15}),this._zlibDeflate.on("error",A=>{console.error(A),f.onUnexpectedError(A),this._onClose.fire()}),this._zlibDeflate.on("data",A=>{this._pendingDeflateData.push(A)})):(this._zlibInflate=null,this._zlibDeflate=null),this._zlibDeflateFlushWaitingCount=0,this._incomingData=new p.ChunkStream,this._register(this.socket.onData(A=>this._acceptChunk(A))),this._register(this.socket.onClose(()=>this._onClose.fire()))}get totalIncomingWireBytes(){return this._totalIncomingWireBytes}get totalIncomingDataBytes(){return this._totalIncomingDataBytes}get totalOutgoingWireBytes(){return this._totalOutgoingWireBytes}get totalOutgoingDataBytes(){return this._totalOutgoingDataBytes}get recordedInflateBytes(){return this._recordInflateBytes?k.VSBuffer.wrap(Buffer.concat(this._recordedInflateBytes)):k.VSBuffer.alloc(0)}dispose(){this._zlibDeflateFlushWaitingCount>0?this._register(this._onDidZlibFlush.event(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(w){return this._onData.event(w)}onClose(w){return this._onClose.event(w)}onEnd(w){return this.socket.onEnd(w)}write(w){this._totalOutgoingDataBytes+=w.byteLength,this._zlibDeflate?(this._zlibDeflate.write(w.buffer),this._zlibDeflateFlushWaitingCount++,this._zlibDeflate.flush(2,()=>{this._zlibDeflateFlushWaitingCount--;let E=Buffer.concat(this._pendingDeflateData);this._pendingDeflateData.length=0,E=E.slice(0,E.length-4),this._isEnded||this._write(k.VSBuffer.wrap(E),!0),this._zlibDeflateFlushWaitingCount===0&&this._onDidZlibFlush.fire()})):this._write(w,!1)}_write(w,E){let h=2;w.byteLength<126?h+=0:w.byteLength<2**16?h+=2:h+=8;const b=k.VSBuffer.alloc(h);if(E?b.writeUInt8(194,0):b.writeUInt8(130,0),w.byteLength<126)b.writeUInt8(w.byteLength,1);else if(w.byteLength<2**16){b.writeUInt8(126,1);let A=1;b.writeUInt8(w.byteLength>>>8&255,++A),b.writeUInt8(w.byteLength>>>0&255,++A)}else{b.writeUInt8(127,1);let A=1;b.writeUInt8(0,++A),b.writeUInt8(0,++A),b.writeUInt8(0,++A),b.writeUInt8(0,++A),b.writeUInt8(w.byteLength>>>24&255,++A),b.writeUInt8(w.byteLength>>>16&255,++A),b.writeUInt8(w.byteLength>>>8&255,++A),b.writeUInt8(w.byteLength>>>0&255,++A)}this._totalOutgoingWireBytes+=b.byteLength+w.byteLength,this.socket.write(k.VSBuffer.concat([b,w]))}end(){this._isEnded=!0,this.socket.end()}_acceptChunk(w){if(w.byteLength!==0){for(this._totalIncomingWireBytes+=w.byteLength,this._incomingData.acceptChunk(w);this._incomingData.byteLength>=this._state.readLen;)if(this._state.state===1){const E=this._incomingData.peek(this._state.readLen),b=(E.readUInt8(0)&128)>>>7,A=E.readUInt8(1),L=(A&128)>>>7,M=A&127;this._state.state=2,this._state.readLen=2+(L?4:0)+(M===126?2:0)+(M===127?8:0),this._state.fin=b,this._state.mask=0}else if(this._state.state===2){const E=this._incomingData.read(this._state.readLen),h=E.readUInt8(1),b=(h&128)>>>7;let A=h&127,L=1;A===126?A=E.readUInt8(++L)*2**8+E.readUInt8(++L):A===127&&(A=E.readUInt8(++L)*0+E.readUInt8(++L)*0+E.readUInt8(++L)*0+E.readUInt8(++L)*0+E.readUInt8(++L)*2**24+E.readUInt8(++L)*2**16+E.readUInt8(++L)*2**8+E.readUInt8(++L));let M=0;b&&(M=E.readUInt8(++L)*2**24+E.readUInt8(++L)*2**16+E.readUInt8(++L)*2**8+E.readUInt8(++L)),this._state.state=3,this._state.readLen=A,this._state.mask=M}else if(this._state.state===3){const E=this._incomingData.read(this._state.readLen);a(E,this._state.mask),this._state.state=1,this._state.readLen=2,this._state.mask=0,this._zlibInflate?(this._recordInflateBytes&&this._recordedInflateBytes.push(Buffer.from(E.buffer)),this._zlibInflate.write(E.buffer),this._state.fin&&(this._recordInflateBytes&&this._recordedInflateBytes.push(Buffer.from([0,0,255,255])),this._zlibInflate.write(Buffer.from([0,0,255,255]))),this._zlibInflate.flush(()=>{const h=Buffer.concat(this._pendingInflateData);this._pendingInflateData.length=0,this._totalIncomingDataBytes+=h.length,this._onData.fire(k.VSBuffer.wrap(h))})):(this._totalIncomingDataBytes+=E.byteLength,this._onData.fire(E))}}}async drain(){this._zlibDeflateFlushWaitingCount>0&&await P.Event.toPromise(this._onDidZlibFlush.event),await this.socket.drain()}}e.WebSocketNodeSocket=g;function a(d,w){if(w!==0){let E=d.byteLength>>>2;for(let z=0;z<E;z++){const V=d.readUInt32BE(z*4);d.writeUInt32BE(V^w,z*4)}let h=E*4,b=d.byteLength-h;const A=w>>>24&255,L=w>>>16&255,M=w>>>8&255;b>=1&&d.writeUInt8(d.readUInt8(h)^A,h),b>=2&&d.writeUInt8(d.readUInt8(h+1)^L,h+1),b>=3&&d.writeUInt8(d.readUInt8(h+2)^M,h+2)}}e.XDG_RUNTIME_DIR=process.env.XDG_RUNTIME_DIR;const u={[2]:107,[1]:103};function c(){const d=i.generateUuid();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${d}-sock`;let w;return e.XDG_RUNTIME_DIR?w=I.join(e.XDG_RUNTIME_DIR,`vscode-ipc-${d}.sock`):w=I.join(y.tmpdir(),`vscode-ipc-${d}.sock`),r(w),w}e.createRandomIPCHandle=c;function t(d,w,E){const h=v.createHash("md5").update(d).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${h}-${E}-${w}-sock`;let b;return e.XDG_RUNTIME_DIR&&!process.env.VSCODE_PORTABLE?b=I.join(e.XDG_RUNTIME_DIR,`vscode-${h.substr(0,8)}-${E}-${w}.sock`):b=I.join(d,`${E}-${w}.sock`),r(b),b}e.createStaticIPCHandle=t;function r(d){const w=u[l.platform];typeof w=="number"&&d.length>=w&&console.warn(`WARNING: IPC handle "${d}" is longer than ${w} chars, try a shorter --user-data-dir`)}class s extends C.IPCServer{constructor(w){super(s.toClientConnectionEvent(w));this.server=w}static toClientConnectionEvent(w){const E=P.Event.fromNodeEventEmitter(w,"connection");return P.Event.map(E,h=>({protocol:new p.Protocol(new m(h)),onDidClientDisconnect:P.Event.once(P.Event.fromNodeEventEmitter(h,"close"))}))}dispose(){super.dispose(),this.server&&(this.server.close(),this.server=null)}}e.Server=s;function o(d){return new Promise((w,E)=>{const h=D.createServer();h.on("error",E),h.listen(d,()=>{h.removeListener("error",E),w(new s(h))})})}e.serve=o;function n(d,w){return new Promise((E,h)=>{const b=D.createConnection(d,()=>{b.removeListener("error",h),E(p.Client.fromSocket(new m(b),w))});b.once("error",h)})}e.connect=n}),define(ge[281],pe([0,1,127,273,29,53,2,114,11]),function(Q,e,v,D,R,P,C,I,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.CLIServer=e.CLIServerBase=void 0;class i{constructor(p,f,l){this._commands=p,this.logService=f,this._ipcHandlePath=l,this._server=D.createServer((m,S)=>this.onRequest(m,S)),this.setup().catch(m=>(f.error(m),""))}get ipcHandlePath(){return this._ipcHandlePath}async setup(){try{this._server.listen(this.ipcHandlePath),this._server.on("error",p=>this.logService.error(p))}catch(p){this.logService.error("Could not start open from terminal server.")}return this._ipcHandlePath}onRequest(p,f){const l=[];p.setEncoding("utf8"),p.on("data",m=>l.push(m)),p.on("end",()=>{const m=JSON.parse(l.join(""));switch(m.type){case"open":this.open(m,f);break;case"openExternal":this.openExternal(m,f);break;case"status":this.getStatus(m,f);break;case"command":this.runCommand(m,f).catch(this.logService.error);break;case"extensionManagement":this.manageExtensions(m,f).catch(this.logService.error);break;default:f.writeHead(404),f.write(`Unknown message type: ${m.type}`,S=>{S&&this.logService.error(S)}),f.end();break}})}open(p,f){let{fileURIs:l,folderURIs:m,forceNewWindow:S,diffMode:_,addMode:g,forceReuseWindow:a,gotoLineMode:u,waitMarkerFilePath:c}=p;const t=[];if(Array.isArray(m))for(const r of m)try{t.push({folderUri:C.URI.parse(r)})}catch(s){}if(Array.isArray(l))for(const r of l)try{I.hasWorkspaceFileExtension(r)?t.push({workspaceUri:C.URI.parse(r)}):t.push({fileUri:C.URI.parse(r)})}catch(s){}if(t.length){const r=c?C.URI.file(c):void 0,o={forceNewWindow:S,diffMode:_,addMode:g,gotoLineMode:u,forceReuseWindow:a,preferNewWindow:!a&&!r&&!g,waitMarkerFileURI:r};this._commands.executeCommand("_files.windowOpen",t,o)}f.writeHead(200),f.end()}async openExternal(p,f){for(const l of p.uris){const m=C.URI.parse(l),S=m.scheme==="file"?m:l;await this._commands.executeCommand("_remoteCLI.openExternal",S)}f.writeHead(200),f.end()}async manageExtensions(p,f){console.log("server: manageExtensions");try{const l=_=>_==null?void 0:_.map(g=>/\.vsix$/i.test(g)?C.URI.parse(g):g),m={list:p.list,install:l(p.install),uninstall:l(p.uninstall),force:p.force},S=await this._commands.executeCommand("_remoteCLI.manageExtensions",m,{allowTunneling:!0});f.writeHead(200),f.write(S)}catch(l){f.writeHead(500),f.write(String(l))}f.end()}async getStatus(p,f){try{const l=await this._commands.executeCommand("_issues.getSystemStatus");f.writeHead(200),f.write(l),f.end()}catch(l){f.writeHead(500),f.write(String(l),m=>{m&&this.logService.error(m)}),f.end()}}async runCommand(p,f){try{const{command:l,args:m}=p,S=await this._commands.executeCommand(l,...m);f.writeHead(200),f.write(JSON.stringify(S),_=>{_&&this.logService.error(_)}),f.end()}catch(l){f.writeHead(500),f.write(String(l),m=>{m&&this.logService.error(m)}),f.end()}}dispose(){this._server.close(),this._ipcHandlePath&&process.platform!=="win32"&&R.existsSync(this._ipcHandlePath)&&R.unlinkSync(this._ipcHandlePath)}}e.CLIServerBase=i;let T=class extends i{constructor(p,f){super(p,f,v.createRandomIPCHandle())}};T=Ve([$e(0,P.IExtHostCommands),$e(1,y.ILogService)],T),e.CLIServer=T}),define(ge[282],pe([0,1,68,269,263,6,272,43,254,2,13,8,281]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ExtHostExtensionService=void 0;class f extends R.RequireInterceptor{_installInterceptor(){const S=this,_=Q.__$__nodeRequire("module"),g=_._load;_._load=function(u,c,t){for(let r of S._alternatives){let s=r(u);if(s){u=s;break}}return S._factories.has(u)?S._factories.get(u).load(u,i.URI.file(c.filename),r=>g.apply(this,[r,c,t])):g.apply(this,arguments)}}}class l extends I.AbstractExtHostExtensionService{constructor(){super(...arguments);this.extensionRuntime=k.ExtensionRuntime.Node}async _beforeAlmostReadyToRunExtensions(){const S=this._instaService.invokeFunction(D.createApiFactoryAndRegisterActors);if(this._instaService.createInstance(y.ExtHostDownloadService),this._initData.remote.isRemote&&this._initData.remote.authority){const c=this._instaService.createInstance(p.CLIServer);process.env.VSCODE_IPC_HOOK_CLI=c.ipcHandlePath}await this._instaService.createInstance(f,S,this._registry).install(),v.mark("code/extHost/didInitAPI");const g=await this._extHostConfiguration.getConfigProvider();await C.connectProxyResolver(this._extHostWorkspace,g,this,this._logService,this._mainThreadTelemetryProxy,this._initData),v.mark("code/extHost/didInitProxyResolver");const a=process.send,u=this._extHostContext.getProxy(P.MainContext.MainThreadConsole);process.send=(...c)=>c.length===0||!c[0]||c[0].type!=="__$console"?a.apply(process,c):(u.$logExtensionHostMessage(c[0]),!1)}_getEntryPoint(S){return S.main}_loadCommonJSModule(S,_,g){if(_.scheme!==T.Schemas.file)throw new Error(`Cannot load URI: '${_}', must be of file-scheme`);let a=null;g.codeLoadingStart(),this._logService.info(`ExtensionService#loadCommonJSModule ${_.toString(!0)}`),this._logService.flush();try{S&&v.mark(`code/extHost/willLoadExtensionCode/${S.value}`),a=Q.__$__nodeRequire(_.fsPath)}catch(u){return Promise.reject(u)}finally{S&&v.mark(`code/extHost/didLoadExtensionCode/${S.value}`),g.codeLoadingStop()}return Promise.resolve(a)}async $setRemoteEnvironment(S){if(!!this._initData.remote.isRemote)for(const _ in S){const g=S[_];g===null?delete process.env[_]:process.env[_]=g}}}e.ExtHostExtensionService=l}),define(ge[283],pe([0,1,80,255,266,265,264,280,282,227,256,45,43,65,69,67,36,51,11]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m,S,_,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),v.registerSingleton(p.IExtHostExtensionService,y.ExtHostExtensionService),v.registerSingleton(g.ILogService,i.ExtHostLogService),v.registerSingleton(k.IExtHostDebugService,C.ExtHostDebugService),v.registerSingleton(f.IExtHostOutputService,D.ExtHostOutputService2),v.registerSingleton(l.IExtHostSearch,I.NativeExtHostSearch),v.registerSingleton(m.IExtHostTask,P.ExtHostTask),v.registerSingleton(S.IExtHostTerminalService,R.ExtHostTerminalService),v.registerSingleton(_.IExtHostTunnelService,T.ExtHostTunnelService)}),define(ge[284],pe([0,1,117,295,68,15,101,127,183,225,267,26,97,24,134,19,270,283]),function(Q,e,v,D,R,P,C,I,y,i,T,k,p,f,l,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.startExtensionHostProcess=void 0,function(){for(let o=0;o<process.execArgv.length;o++)process.execArgv[o]==="--inspect-port=0"&&(process.execArgv.splice(o,1),o--)}();const S=D(process.argv.slice(2),{string:["uriTransformerPath","useHostProxy"]});(function(){const s=Q.__$__nodeRequire("module"),o=s._load;s._load=function(n){if(n==="natives")throw new Error('Either the extension or a NPM dependency is using the "natives" node module which is unsupported as it can cause a crash of the extension host. Click [here](https://go.microsoft.com/fwlink/?linkid=871887) to find out more');return o.apply(this,arguments)}})();const _=process.exit.bind(process);function g(s){process.exit=function(o){if(s)_(o);else{const n=new Error("An extension called process.exit() and this was prevented.");console.warn(n.stack)}},process.crash=function(){const o=new Error("An extension called process.crash() and this was prevented.");console.warn(o.stack)}}let a=function(s){_()};function u(){if(process.env.VSCODE_EXTHOST_WILL_SEND_SOCKET)return new Promise((s,o)=>{let n=null,d=setTimeout(()=>{o(new Error("VSCODE_EXTHOST_IPC_SOCKET timeout"))},6e4);const w=108e5,E=3e5,h=new m.RunOnceScheduler(()=>a("renderer disconnected for too long (1)"),w),b=new m.RunOnceScheduler(()=>a("renderer disconnected for too long (2)"),E);process.on("message",(L,M)=>{if(L&&L.type==="VSCODE_EXTHOST_IPC_SOCKET"){const z=k.VSBuffer.wrap(Buffer.from(L.initialDataChunk,"base64"));let V;if(L.skipWebSocketFrames)V=new I.NodeSocket(M);else{const W=k.VSBuffer.wrap(Buffer.from(L.inflateBytes,"base64"));V=new I.WebSocketNodeSocket(new I.NodeSocket(M),L.permessageDeflate,W,!1)}n?(h.cancel(),b.cancel(),n.beginAcceptReconnection(V,z),n.endAcceptReconnection()):(clearTimeout(d),n=new C.PersistentProtocol(V,z),n.onDidDispose(()=>a("renderer disconnected")),s(n),n.onSocketClose(()=>{h.schedule()}))}if(L&&L.type==="VSCODE_EXTHOST_IPC_REDUCE_GRACE_TIME"){if(b.isScheduled())return;h.isScheduled()&&b.schedule()}});const A={type:"VSCODE_EXTHOST_IPC_READY"};process.send&&process.send(A)});{const s=process.env.VSCODE_IPC_HOOK_EXTHOST;return new Promise((o,n)=>{const d=v.createConnection(s,()=>{d.removeListener("error",n),o(new C.PersistentProtocol(new I.NodeSocket(d)))});d.once("error",n)})}}async function c(){const s=await u();return new class{constructor(){this._onMessage=new C.BufferedEmitter,this.onMessage=this._onMessage.event,this._terminating=!1,s.onMessage(o=>{i.isMessageOfType(o,2)?(this._terminating=!0,a("received terminate message from renderer")):this._onMessage.fire(o)})}send(o){this._terminating||s.send(o)}drain(){return s.drain()}}}function t(s){return new Promise(o=>{const n=s.onMessage(d=>{n.dispose();const w=JSON.parse(d.toString()),E=w.commit,h=y.default.commit;E&&h&&E!==h&&_(55);const b=[];process.on("unhandledRejection",(M,z)=>{b.push(z),setTimeout(()=>{const V=b.indexOf(z);V>=0&&z.catch(W=>{b.splice(V,1),console.warn(`rejected promise not handled within 1 second: ${W}`),W&&W.stack&&console.warn(`stack trace: ${W.stack}`),P.onUnexpectedError(M)})},1e3)}),process.on("rejectionHandled",M=>{const z=b.indexOf(M);z>=0&&b.splice(z,1)}),process.on("uncaughtException",function(M){P.onUnexpectedError(M)});let A=0;setInterval(function(){try{process.kill(w.parentPid,0),A=0}catch(M){M&&M.code==="EPERM"?(A++,A>=3&&a(`parent process ${w.parentPid} does not exist anymore (3 x EPERM): ${M.message} (code: ${M.code}) (errno: ${M.errno})`)):a(`parent process ${w.parentPid} does not exist anymore: ${M.message} (code: ${M.code}) (errno: ${M.errno})`)}},1e3);let L;try{L=Q.__$__nodeRequire("native-watchdog"),L.start(w.parentPid)}catch(M){P.onUnexpectedError(M)}s.send(i.createMessageOfType(0)),o({protocol:s,initData:w})});s.send(i.createMessageOfType(1))})}async function r(){R.mark("code/extHost/willConnectToRenderer");const s=await c();R.mark("code/extHost/didConnectToRenderer");const o=await t(s);R.mark("code/extHost/didWaitForInitData");const{initData:n}=o;g(!!n.environment.extensionTestsLocationURI),n.environment.useHostProxy=S.useHostProxy!==void 0?S.useHostProxy!=="false":void 0;const d=new class{exit(b){_(b)}exists(b){return f.exists(b)}realpath(b){return l.realpath(b)}};let w=null;if(n.remote.authority&&S.uriTransformerPath)try{const b=Q.__$__nodeRequire(S.uriTransformerPath)(n.remote.authority);w=new p.URITransformer(b)}catch(h){console.error(h)}const E=new T.ExtensionHostMain(o.protocol,n,d,w);a=h=>E.terminate(h)}e.startExtensionHostProcess=r}),define(ge[296],pe([0,1,284]),function(Q,e,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),v.startExtensionHostProcess().catch(D=>console.log(D))})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/f30a9b73e8ffc278e71575118b6bf568f04587c8/core/vs/workbench/services/extensions/node/extensionHostProcess.js.map
